'use strict';

const fs = require('fs');
const path = require('path');
const test = require('tape');
const { Split, SplitFeat } = require('../lib/map/split');
const turf = require('@turf/turf');

const db = require('./lib/db');
db.init(test);

test('Split: Dulaney Valley Rd, MD', (t) => {
    const feat = new SplitFeat(
        1,
        [{ 'freq': 1, 'priority': 0, 'display': 'Dulaney Valley Road', 'tokenized': [{ token: 'dulaney', token_type: null }, { token: 'vly', token_type: null }, { token: 'rd', token_type: null }] }],
        { '1':{ 'id':1,'output':true,'number':12301 },'2':{ 'id':2,'output':true,'number':12101 },'3':{ 'id':3,'output':true,'number':2106 },'4':{ 'id':4,'output':true,'number':2004 },'5':{ 'id':5,'output':true,'number':1798 },'6':{ 'id':6,'output':true,'number':1213 },'7':{ 'id':7,'output':true,'number':1225 },'8':{ 'id':8,'output':true,'number':1012 },'9':{ 'id':9,'output':true,'number':1320 },'10':{ 'id':10,'output':true,'number':2300 },'11':{ 'id':11,'output':true,'number':2300 },'12':{ 'id':12,'output':true,'number':812 },'13':{ 'id':13,'output':true,'number':1311 },'14':{ 'id':14,'output':true,'number':1219 },'15':{ 'id':15,'output':true,'number':1018 },'16':{ 'id':16,'output':true,'number':1008 },'17':{ 'id':17,'output':true,'number':825 },'18':{ 'id':18,'output':true,'number':2100 },'19':{ 'id':19,'output':true,'number':949 },'20':{ 'id':20,'output':true,'number':1320 },'21':{ 'id':21,'output':true,'number':2203 },'22':{ 'id':22,'output':true,'number':1006 },'23':{ 'id':23,'output':true,'number':1202 },'24':{ 'id':24,'output':true,'number':1802 },'25':{ 'id':25,'output':true,'number':1021 },'26':{ 'id':26,'output':true,'number':2300 },'27':{ 'id':27,'output':true,'number':2300 },'28':{ 'id':28,'output':true,'number':1808 },'29':{ 'id':29,'output':true,'number':956 },'30':{ 'id':30,'output':true,'number':2204 },'31':{ 'id':31,'output':true,'number':1411 },'32':{ 'id':32,'output':true,'number':2300 },'33':{ 'id':33,'output':true,'number':1021 },'34':{ 'id':34,'output':true,'number':1310 },'35':{ 'id':35,'output':true,'number':1800 },'36':{ 'id':36,'output':true,'number':1311 },'37':{ 'id':37,'output':true,'number':1306 },'38':{ 'id':38,'output':true,'number':1021 },'39':{ 'id':39,'output':true,'number':1014 },'40':{ 'id':40,'output':true,'number':1221 },'41':{ 'id':41,'output':true,'number':1300 },'42':{ 'id':42,'output':true,'number':1214 },'43':{ 'id':43,'output':true,'number':2300 },'44':{ 'id':44,'output':true,'number':1008 },'45':{ 'id':45,'output':true,'number':1810 },'46':{ 'id':46,'output':true,'number':2124 },'47':{ 'id':47,'output':true,'number':1718 },'48':{ 'id':48,'output':true,'number':1307 },'49':{ 'id':49,'output':true,'number':1710 },'50':{ 'id':50,'output':true,'number':1318 },'51':{ 'id':51,'output':true,'number':825 },'52':{ 'id':52,'output':true,'number':1798 },'53':{ 'id':53,'output':true,'number':825 },'54':{ 'id':54,'output':true,'number':2300 },'55':{ 'id':55,'output':true,'number':825 },'56':{ 'id':56,'output':true,'number':1233 },'57':{ 'id':57,'output':true,'number':1314 },'58':{ 'id':58,'output':true,'number':1225 },'59':{ 'id':59,'output':true,'number':1021 },'60':{ 'id':60,'output':true,'number':1021 },'61':{ 'id':61,'output':true,'number':730 },'62':{ 'id':62,'output':true,'number':2010 },'63':{ 'id':63,'output':true,'number':1802 },'64':{ 'id':64,'output':true,'number':2202 },'65':{ 'id':65,'output':true,'number':1021 },'66':{ 'id':66,'output':true,'number':1021 },'67':{ 'id':67,'output':true,'number':1506 },'68':{ 'id':68,'output':true,'number':2108 },'69':{ 'id':69,'output':true,'number':744 },'70':{ 'id':70,'output':true,'number':2002 },'71':{ 'id':71,'output':true,'number':1307 },'72':{ 'id':72,'output':true,'number':2006 },'73':{ 'id':73,'output':true,'number':2122 },'74':{ 'id':74,'output':true,'number':1720 },'75':{ 'id':75,'output':true,'number':1508 },'76':{ 'id':76,'output':true,'number':1310 },'77':{ 'id':77,'output':true,'number':1021 },'78':{ 'id':78,'output':true,'number':1215 },'79':{ 'id':79,'output':true,'number':2118 },'80':{ 'id':80,'output':true,'number':1806 },'81':{ 'id':81,'output':true,'number':1314 },'82':{ 'id':82,'output':true,'number':1506 },'83':{ 'id':83,'output':true,'number':1718 },'84':{ 'id':84,'output':true,'number':1301 },'85':{ 'id':85,'output':true,'number':1510 },'86':{ 'id':86,'output':true,'number':1504 },'87':{ 'id':87,'output':true,'number':1231 },'88':{ 'id':88,'output':true,'number':2300 },'89':{ 'id':89,'output':true,'number':2108 },'90':{ 'id':90,'output':true,'number':1216 },'91':{ 'id':91,'output':true,'number':2310 },'92':{ 'id':92,'output':true,'number':1006 },'93':{ 'id':93,'output':true,'number':2204 },'94':{ 'id':94,'output':true,'number':2118 },'95':{ 'id':95,'output':true,'number':1002 },'96':{ 'id':96,'output':true,'number':1217 },'97':{ 'id':97,'output':true,'number':1014 },'98':{ 'id':98,'output':true,'number':1014 },'99':{ 'id':99,'output':true,'number':1233 },'100':{ 'id':100,'output':true,'number':1204 },'101':{ 'id':101,'output':true,'number':1206 },'102':{ 'id':102,'output':true,'number':1808 },'103':{ 'id':103,'output':true,'number':1217 },'104':{ 'id':104,'output':true,'number':1206 },'105':{ 'id':105,'output':true,'number':2120 },'106':{ 'id':106,'output':true,'number':903 },'107':{ 'id':107,'output':true,'number':1214 },'108':{ 'id':108,'output':true,'number':2106 },'109':{ 'id':109,'output':true,'number':2010 },'110':{ 'id':110,'output':true,'number':903 },'111':{ 'id':111,'output':true,'number':1213 },'112':{ 'id':112,'output':true,'number':1012 },'113':{ 'id':113,'output':true,'number':1317 },'114':{ 'id':114,'output':true,'number':1908 },'115':{ 'id':115,'output':true,'number':825 },'116':{ 'id':116,'output':true,'number':2200 },'117':{ 'id':117,'output':true,'number':1018 },'118':{ 'id':118,'output':true,'number':1227 },'119':{ 'id':119,'output':true,'number':1212 },'120':{ 'id':120,'output':true,'number':1200 },'121':{ 'id':121,'output':true,'number':1223 },'122':{ 'id':122,'output':true,'number':2126 },'123':{ 'id':123,'output':true,'number':1225 },'124':{ 'id':124,'output':true,'number':1306 },'125':{ 'id':125,'output':true,'number':1322 },'126':{ 'id':126,'output':true,'number':1004 },'127':{ 'id':127,'output':true,'number':1316 },'128':{ 'id':128,'output':true,'number':1902 },'129':{ 'id':129,'output':true,'number':1800 },'130':{ 'id':130,'output':true,'number':1233 },'131':{ 'id':131,'output':true,'number':1208 },'132':{ 'id':132,'output':true,'number':2012 },'133':{ 'id':133,'output':true,'number':956 },'134':{ 'id':134,'output':true,'number':2296 },'135':{ 'id':135,'output':true,'number':2122 },'136':{ 'id':136,'output':true,'number':1810 },'137':{ 'id':137,'output':true,'number':2202 },'138':{ 'id':138,'output':true,'number':2202 },'139':{ 'id':139,'output':true,'number':2110 },'140':{ 'id':140,'output':true,'number':1806 },'141':{ 'id':141,'output':true,'number':813 },'142':{ 'id':142,'output':true,'number':1314 },'143':{ 'id':143,'output':true,'number':1502 },'144':{ 'id':144,'output':true,'number':2008 },'145':{ 'id':145,'output':true,'number':1500 },'146':{ 'id':146,'output':true,'number':1210 },'147':{ 'id':147,'output':true,'number':2002 },'148':{ 'id':148,'output':true,'number':1202 },'149':{ 'id':149,'output':true,'number':1309 },'150':{ 'id':150,'output':true,'number':2006 },'151':{ 'id':151,'output':true,'number':2004 },'152':{ 'id':152,'output':true,'number':2292 },'153':{ 'id':153,'output':true,'number':2204 },'154':{ 'id':154,'output':true,'number':2203 },'155':{ 'id':155,'output':true,'number':1016 },'156':{ 'id':156,'output':true,'number':1221 },'157':{ 'id':157,'output':true,'number':2205 },'158':{ 'id':158,'output':true,'number':901 },'159':{ 'id':159,'output':true,'number':1502 },'160':{ 'id':160,'output':true,'number':740 },'161':{ 'id':161,'output':true,'number':1010 },'162':{ 'id':162,'output':true,'number':1229 },'163':{ 'id':163,'output':true,'number':1300 },'164':{ 'id':164,'output':true,'number':1021 },'165':{ 'id':165,'output':true,'number':1214 },'166':{ 'id':166,'output':true,'number':1210 },'167':{ 'id':167,'output':true,'number':1500 },'168':{ 'id':168,'output':true,'number':1800 },'169':{ 'id':169,'output':true,'number':2126 },'170':{ 'id':170,'output':true,'number':812 },'171':{ 'id':171,'output':true,'number':1021 },'172':{ 'id':172,'output':true,'number':1216 },'173':{ 'id':173,'output':true,'number':1021 },'174':{ 'id':174,'output':true,'number':1229 },'175':{ 'id':175,'output':true,'number':1010 },'176':{ 'id':176,'output':true,'number':2300 },'177':{ 'id':177,'output':true,'number':714 },'178':{ 'id':178,'output':true,'number':1506 },'179':{ 'id':179,'output':true,'number':1229 },'180':{ 'id':180,'output':true,'number':2001 },'181':{ 'id':181,'output':true,'number':1219 },'182':{ 'id':182,'output':true,'number':820 },'183':{ 'id':183,'output':true,'number':1316 },'184':{ 'id':184,'output':true,'number':2012 },'185':{ 'id':185,'output':true,'number':1231 },'186':{ 'id':186,'output':true,'number':2110 },'187':{ 'id':187,'output':true,'number':2300 },'188':{ 'id':188,'output':true,'number':1508 },'189':{ 'id':189,'output':true,'number':1411 },'190':{ 'id':190,'output':true,'number':2300 },'191':{ 'id':191,'output':true,'number':2300 },'192':{ 'id':192,'output':true,'number':825 },'193':{ 'id':193,'output':true,'number':1508 },'194':{ 'id':194,'output':true,'number':2124 },'195':{ 'id':195,'output':true,'number':1215 },'196':{ 'id':196,'output':true,'number':1798 },'197':{ 'id':197,'output':true,'number':716 },'198':{ 'id':198,'output':true,'number':825 },'199':{ 'id':199,'output':true,'number':1202 },'200':{ 'id':200,'output':true,'number':1021 },'201':{ 'id':201,'output':true,'number':1021 },'202':{ 'id':202,'output':true,'number':1200 },'203':{ 'id':203,'output':true,'number':1300 },'204':{ 'id':204,'output':true,'number':1021 },'205':{ 'id':205,'output':true,'number':732 },'206':{ 'id':206,'output':true,'number':2120 },'207':{ 'id':207,'output':true,'number':1311 },'208':{ 'id':208,'output':true,'number':1314 },'209':{ 'id':209,'output':true,'number':2205 },'210':{ 'id':210,'output':true,'number':1206 },'211':{ 'id':211,'output':true,'number':1227 },'212':{ 'id':212,'output':true,'number':720 },'213':{ 'id':213,'output':true,'number':1500 },'214':{ 'id':214,'output':true,'number':2100 },'215':{ 'id':215,'output':true,'number':1502 },'216':{ 'id':216,'output':true,'number':2120 },'217':{ 'id':217,'output':true,'number':1317 },'218':{ 'id':218,'output':true,'number':1021 },'219':{ 'id':219,'output':true,'number':1010 },'220':{ 'id':220,'output':true,'number':1021 },'221':{ 'id':221,'output':true,'number':1215 },'222':{ 'id':222,'output':true,'number':1309 },'223':{ 'id':223,'output':true,'number':1024 },'224':{ 'id':224,'output':true,'number':1908 },'225':{ 'id':225,'output':true,'number':1902 },'226':{ 'id':226,'output':true,'number':1016 },'227':{ 'id':227,'output':true,'number':1320 },'228':{ 'id':228,'output':true,'number':828 },'229':{ 'id':229,'output':true,'number':2006 },'230':{ 'id':230,'output':true,'number':2300 },'231':{ 'id':231,'output':true,'number':2200 },'232':{ 'id':232,'output':true,'number':1808 },'233':{ 'id':233,'output':true,'number':1316 },'234':{ 'id':234,'output':true,'number':901 },'235':{ 'id':235,'output':true,'number':834 },'236':{ 'id':236,'output':true,'number':2300 },'237':{ 'id':237,'output':true,'number':838 },'238':{ 'id':238,'output':true,'number':1208 },'239':{ 'id':239,'output':true,'number':1322 },'240':{ 'id':240,'output':true,'number':1008 },'241':{ 'id':241,'output':true,'number':1213 },'242':{ 'id':242,'output':true,'number':1309 },'243':{ 'id':243,'output':true,'number':2002 },'244':{ 'id':244,'output':true,'number':956 },'245':{ 'id':245,'output':true,'number':1227 },'246':{ 'id':246,'output':true,'number':1307 },'247':{ 'id':247,'output':true,'number':1004 },'248':{ 'id':248,'output':true,'number':956 },'249':{ 'id':249,'output':true,'number':2200 },'250':{ 'id':250,'output':true,'number':1016 },'251':{ 'id':251,'output':true,'number':718 },'252':{ 'id':252,'output':true,'number':1310 },'253':{ 'id':253,'output':true,'number':2100 },'254':{ 'id':254,'output':true,'number':1208 },'255':{ 'id':255,'output':true,'number':2008 },'256':{ 'id':256,'output':true,'number':1400 },'257':{ 'id':257,'output':true,'number':2008 },'258':{ 'id':258,'output':true,'number':2108 },'259':{ 'id':259,'output':true,'number':1204 },'260':{ 'id':260,'output':true,'number':1320 },'261':{ 'id':261,'output':true,'number':903 },'262':{ 'id':262,'output':true,'number':1021 },'263':{ 'id':263,'output':true,'number':1212 },'264':{ 'id':264,'output':true,'number':1908 },'265':{ 'id':265,'output':true,'number':722 },'266':{ 'id':266,'output':true,'number':1301 },'267':{ 'id':267,'output':true,'number':1720 },'268':{ 'id':268,'output':true,'number':2106 },'269':{ 'id':269,'output':true,'number':1021 },'270':{ 'id':270,'output':true,'number':1504 },'271':{ 'id':271,'output':true,'number':806 },'272':{ 'id':272,'output':true,'number':813 },'273':{ 'id':273,'output':true,'number':1002 },'274':{ 'id':274,'output':true,'number':1510 },'275':{ 'id':275,'output':true,'number':813 },'276':{ 'id':276,'output':true,'number':1217 },'277':{ 'id':277,'output':true,'number':1021 },'278':{ 'id':278,'output':true,'number':2292 },'279':{ 'id':279,'output':true,'number':2122 },'280':{ 'id':280,'output':true,'number':1810 },'281':{ 'id':281,'output':true,'number':1798 },'282':{ 'id':282,'output':true,'number':1021 },'283':{ 'id':283,'output':true,'number':824 },'284':{ 'id':284,'output':true,'number':2010 },'285':{ 'id':285,'output':true,'number':2126 },'286':{ 'id':286,'output':true,'number':1317 },'287':{ 'id':287,'output':true,'number':1301 },'288':{ 'id':288,'output':true,'number':2300 },'289':{ 'id':289,'output':true,'number':2310 },'290':{ 'id':290,'output':true,'number':1221 },'291':{ 'id':291,'output':true,'number':2101 },'292':{ 'id':292,'output':true,'number':1210 },'293':{ 'id':293,'output':true,'number':830 },'294':{ 'id':294,'output':true,'number':1322 },'295':{ 'id':295,'output':true,'number':1720 },'296':{ 'id':296,'output':true,'number':1006 },'297':{ 'id':297,'output':true,'number':1021 },'298':{ 'id':298,'output':true,'number':1306 },'299':{ 'id':299,'output':true,'number':826 },'300':{ 'id':300,'output':true,'number':1902 },'301':{ 'id':301,'output':true,'number':812 },'302':{ 'id':302,'output':true,'number':901 },'303':{ 'id':303,'output':true,'number':2205 },'304':{ 'id':304,'output':true,'number':1018 },'305':{ 'id':305,'output':true,'number':2100 },'306':{ 'id':306,'output':true,'number':1021 },'307':{ 'id':307,'output':true,'number':1411 },'308':{ 'id':308,'output':true,'number':2300 },'309':{ 'id':309,'output':true,'number':1021 },'310':{ 'id':310,'output':true,'number':1806 },'311':{ 'id':311,'output':true,'number':810 },'312':{ 'id':312,'output':true,'number':1223 },'313':{ 'id':313,'output':true,'number':1510 },'314':{ 'id':314,'output':true,'number':1002 },'315':{ 'id':315,'output':true,'number':1200 },'316':{ 'id':316,'output':true,'number':1223 },'317':{ 'id':317,'output':true,'number':2203 },'318':{ 'id':318,'output':true,'number':1204 },'319':{ 'id':319,'output':true,'number':1012 },'320':{ 'id':320,'output':true,'number':2110 },'321':{ 'id':321,'output':true,'number':1216 },'322':{ 'id':322,'output':true,'number':1311 },'323':{ 'id':323,'output':true,'number':1231 },'324':{ 'id':324,'output':true,'number':814 },'325':{ 'id':325,'output':true,'number':1219 },'326':{ 'id':326,'output':true,'number':1504 },'327':{ 'id':327,'output':true,'number':2004 },'328':{ 'id':328,'output':true,'number':1004 },'329':{ 'id':329,'output':true,'number':1021 },'330':{ 'id':330,'output':true,'number':1802 },'331':{ 'id':331,'output':true,'number':1021 },'332':{ 'id':332,'output':true,'number':2300 },'333':{ 'id':333,'output':true,'number':1902 },'334':{ 'id':334,'output':true,'number':1212 },'335':{ 'id':335,'output':true,'number':1021 },'336':{ 'id':336,'output':true,'number':2012 },'337':{ 'id':337,'output':true,'number':2124 },'338':{ 'id':338,'output':true,'number':2296 },'339':{ 'id':339,'output':true,'number':822 },'340':{ 'id':340,'output':true,'number':2118 },'341':{ 'id':341,'output':true,'number':825 },'342':{ 'id':342,'output':true,'number':1021 },'343':{ 'id':343,'output':true,'number':13214 },'344':{ 'id':344,'output':true,'number':13218 },'345':{ 'id':345,'output':true,'number':13100 },'346':{ 'id':346,'output':true,'number':12808 },'347':{ 'id':347,'output':true,'number':12813 },'348':{ 'id':348,'output':true,'number':12450 },'349':{ 'id':349,'output':true,'number':12901 },'350':{ 'id':350,'output':true,'number':12808 },'351':{ 'id':351,'output':true,'number':12460 },'352':{ 'id':352,'output':true,'number':12814 },'353':{ 'id':353,'output':true,'number':12815 },'354':{ 'id':354,'output':true,'number':12806 },'355':{ 'id':355,'output':true,'number':12721 },'356':{ 'id':356,'output':true,'number':13200 },'357':{ 'id':357,'output':true,'number':13214 },'358':{ 'id':358,'output':true,'number':13101 },'359':{ 'id':359,'output':true,'number':13115 },'360':{ 'id':360,'output':true,'number':12813 },'361':{ 'id':361,'output':true,'number':13103 },'362':{ 'id':362,'output':true,'number':12907 },'363':{ 'id':363,'output':true,'number':13204 },'364':{ 'id':364,'output':true,'number':12804 },'365':{ 'id':365,'output':true,'number':12810 },'366':{ 'id':366,'output':true,'number':12909 },'367':{ 'id':367,'output':true,'number':12905 },'368':{ 'id':368,'output':true,'number':12807 },'369':{ 'id':369,'output':true,'number':12567 },'370':{ 'id':370,'output':true,'number':12605 },'371':{ 'id':371,'output':true,'number':13020 },'372':{ 'id':372,'output':true,'number':13019 },'373':{ 'id':373,'output':true,'number':13140 },'374':{ 'id':374,'output':true,'number':13015 },'375':{ 'id':375,'output':true,'number':12563 },'376':{ 'id':376,'output':true,'number':13001 },'377':{ 'id':377,'output':true,'number':13005 },'378':{ 'id':378,'output':true,'number':12559 },'379':{ 'id':379,'output':true,'number':13008 },'380':{ 'id':380,'output':true,'number':13101 },'381':{ 'id':381,'output':true,'number':13208 },'382':{ 'id':382,'output':true,'number':13201 },'383':{ 'id':383,'output':true,'number':13114 },'384':{ 'id':384,'output':true,'number':13212 },'385':{ 'id':385,'output':true,'number':13007 },'386':{ 'id':386,'output':true,'number':13211 },'387':{ 'id':387,'output':true,'number':12916 },'388':{ 'id':388,'output':true,'number':13100 },'389':{ 'id':389,'output':true,'number':13000 },'390':{ 'id':390,'output':true,'number':12911 },'391':{ 'id':391,'output':true,'number':13207 },'392':{ 'id':392,'output':true,'number':12811 },'393':{ 'id':393,'output':true,'number':12911 },'394':{ 'id':394,'output':true,'number':12905 },'395':{ 'id':395,'output':true,'number':13000 },'396':{ 'id':396,'output':true,'number':13000 },'397':{ 'id':397,'output':true,'number':12720 },'398':{ 'id':398,'output':true,'number':13208 },'399':{ 'id':399,'output':true,'number':12563 },'400':{ 'id':400,'output':true,'number':13115 },'401':{ 'id':401,'output':true,'number':13212 },'402':{ 'id':402,'output':true,'number':13216 },'403':{ 'id':403,'output':true,'number':12810 },'404':{ 'id':404,'output':true,'number':12900 },'405':{ 'id':405,'output':true,'number':13200 },'406':{ 'id':406,'output':true,'number':13140 },'407':{ 'id':407,'output':true,'number':12460 },'408':{ 'id':408,'output':true,'number':13224 },'409':{ 'id':409,'output':true,'number':13142 },'410':{ 'id':410,'output':true,'number':13006 },'411':{ 'id':411,'output':true,'number':12813 },'412':{ 'id':412,'output':true,'number':13209 },'413':{ 'id':413,'output':true,'number':12916 },'414':{ 'id':414,'output':true,'number':13207 },'415':{ 'id':415,'output':true,'number':12915 },'416':{ 'id':416,'output':true,'number':12460 },'417':{ 'id':417,'output':true,'number':12605 },'418':{ 'id':418,'output':true,'number':12807 },'419':{ 'id':419,'output':true,'number':13006 },'420':{ 'id':420,'output':true,'number':13103 },'421':{ 'id':421,'output':true,'number':12720 },'422':{ 'id':422,'output':true,'number':13216 },'423':{ 'id':423,'output':true,'number':13200 },'424':{ 'id':424,'output':true,'number':12919 },'425':{ 'id':425,'output':true,'number':12900 },'426':{ 'id':426,'output':true,'number':13142 },'427':{ 'id':427,'output':true,'number':12919 },'428':{ 'id':428,'output':true,'number':12809 },'429':{ 'id':429,'output':true,'number':13224 },'430':{ 'id':430,'output':true,'number':13146 },'431':{ 'id':431,'output':true,'number':12605 },'432':{ 'id':432,'output':true,'number':12919 },'433':{ 'id':433,'output':true,'number':13132 },'434':{ 'id':434,'output':true,'number':13004 },'435':{ 'id':435,'output':true,'number':12804 },'436':{ 'id':436,'output':true,'number':12450 },'437':{ 'id':437,'output':true,'number':12919 },'438':{ 'id':438,'output':true,'number':12620 },'439':{ 'id':439,'output':true,'number':12908 },'440':{ 'id':440,'output':true,'number':13144 },'441':{ 'id':441,'output':true,'number':12919 },'442':{ 'id':442,'output':true,'number':13006 },'443':{ 'id':443,'output':true,'number':12906 },'444':{ 'id':444,'output':true,'number':12615 },'445':{ 'id':445,'output':true,'number':12909 },'446':{ 'id':446,'output':true,'number':12805 },'447':{ 'id':447,'output':true,'number':12915 },'448':{ 'id':448,'output':true,'number':13004 },'449':{ 'id':449,'output':true,'number':12907 },'450':{ 'id':450,'output':true,'number':12805 },'451':{ 'id':451,'output':true,'number':12814 },'452':{ 'id':452,'output':true,'number':13201 },'453':{ 'id':453,'output':true,'number':12563 },'454':{ 'id':454,'output':true,'number':13132 },'455':{ 'id':455,'output':true,'number':12615 },'456':{ 'id':456,'output':true,'number':12615 },'457':{ 'id':457,'output':true,'number':13020 },'458':{ 'id':458,'output':true,'number':13211 },'459':{ 'id':459,'output':true,'number':12909 },'460':{ 'id':460,'output':true,'number':13004 },'461':{ 'id':461,'output':true,'number':13008 },'462':{ 'id':462,'output':true,'number':12811 },'463':{ 'id':463,'output':true,'number':13211 },'464':{ 'id':464,'output':true,'number':13218 },'465':{ 'id':465,'output':true,'number':13142 },'466':{ 'id':466,'output':true,'number':13015 },'467':{ 'id':467,'output':true,'number':13020 },'468':{ 'id':468,'output':true,'number':12901 },'469':{ 'id':469,'output':true,'number':13007 },'470':{ 'id':470,'output':true,'number':13020 },'471':{ 'id':471,'output':true,'number':13216 },'472':{ 'id':472,'output':true,'number':13218 },'473':{ 'id':473,'output':true,'number':13144 },'474':{ 'id':474,'output':true,'number':12808 },'475':{ 'id':475,'output':true,'number':12908 },'476':{ 'id':476,'output':true,'number':13201 },'477':{ 'id':477,'output':true,'number':12916 },'478':{ 'id':478,'output':true,'number':13214 },'479':{ 'id':479,'output':true,'number':13005 },'480':{ 'id':480,'output':true,'number':13146 },'481':{ 'id':481,'output':true,'number':13212 },'482':{ 'id':482,'output':true,'number':12567 },'483':{ 'id':483,'output':true,'number':12806 },'484':{ 'id':484,'output':true,'number':12901 },'485':{ 'id':485,'output':true,'number':13144 },'486':{ 'id':486,'output':true,'number':12807 },'487':{ 'id':487,'output':true,'number':13001 },'488':{ 'id':488,'output':true,'number':12906 },'489':{ 'id':489,'output':true,'number':13103 },'490':{ 'id':490,'output':true,'number':12620 },'491':{ 'id':491,'output':true,'number':12919 },'492':{ 'id':492,'output':true,'number':13114 },'493':{ 'id':493,'output':true,'number':12615 },'494':{ 'id':494,'output':true,'number':12900 },'495':{ 'id':495,'output':true,'number':13007 },'496':{ 'id':496,'output':true,'number':13100 },'497':{ 'id':497,'output':true,'number':12559 },'498':{ 'id':498,'output':true,'number':12908 },'499':{ 'id':499,'output':true,'number':13207 },'500':{ 'id':500,'output':true,'number':12721 },'501':{ 'id':501,'output':true,'number':12911 },'502':{ 'id':502,'output':true,'number':12815 },'503':{ 'id':503,'output':true,'number':12460 },'504':{ 'id':504,'output':true,'number':13019 },'505':{ 'id':505,'output':true,'number':12809 },'506':{ 'id':506,'output':true,'number':12814 },'507':{ 'id':507,'output':true,'number':13208 },'508':{ 'id':508,'output':true,'number':12804 },'509':{ 'id':509,'output':true,'number':12907 },'510':{ 'id':510,'output':true,'number':12721 },'511':{ 'id':511,'output':true,'number':12905 },'512':{ 'id':512,'output':true,'number':12811 },'513':{ 'id':513,'output':true,'number':12620 },'514':{ 'id':514,'output':true,'number':12460 },'515':{ 'id':515,'output':true,'number':13114 },'516':{ 'id':516,'output':true,'number':12809 },'517':{ 'id':517,'output':true,'number':13204 },'518':{ 'id':518,'output':true,'number':13001 },'519':{ 'id':519,'output':true,'number':12815 },'520':{ 'id':520,'output':true,'number':12908 },'521':{ 'id':521,'output':true,'number':12919 },'522':{ 'id':522,'output':true,'number':13140 },'523':{ 'id':523,'output':true,'number':13115 },'524':{ 'id':524,'output':true,'number':13000 },'525':{ 'id':525,'output':true,'number':13019 },'526':{ 'id':526,'output':true,'number':13008 },'527':{ 'id':527,'output':true,'number':13224 },'528':{ 'id':528,'output':true,'number':13015 },'529':{ 'id':529,'output':true,'number':12900 },'530':{ 'id':530,'output':true,'number':13000 },'531':{ 'id':531,'output':true,'number':13204 },'532':{ 'id':532,'output':true,'number':12915 },'533':{ 'id':533,'output':true,'number':12806 },'534':{ 'id':534,'output':true,'number':12567 },'535':{ 'id':535,'output':true,'number':13000 },'536':{ 'id':536,'output':true,'number':13000 },'537':{ 'id':537,'output':true,'number':12906 },'538':{ 'id':538,'output':true,'number':13146 },'539':{ 'id':539,'output':true,'number':12559 },'540':{ 'id':540,'output':true,'number':12810 },'541':{ 'id':541,'output':true,'number':13101 },'542':{ 'id':542,'output':true,'number':12720 },'543':{ 'id':543,'output':true,'number':12450 },'544':{ 'id':544,'output':true,'number':13132 },'545':{ 'id':545,'output':true,'number':13005 },'546':{ 'id':546,'output':true,'number':2101 },'547':{ 'id':547,'output':true,'number':2101 },'548':{ 'id':548,'output':true,'number':2101 },'549':{ 'id':549,'output':true,'number':2101 },'550':{ 'id':550,'output':true,'number':2101 },'551':{ 'id':551,'output':true,'number':2101 } },
        { 'type':'MultiLineString','coordinates':[[[-76.576516,39.464153,1],[-76.5769,39.463908,1],[-76.577122,39.463783,1],[-76.577421,39.463643,1],[-76.577877,39.463512,1],[-76.578492,39.463369,1]],[[-76.602014,39.402035,1],[-76.601978,39.402217,1],[-76.601954,39.402319,1],[-76.601917,39.402539,1],[-76.601845,39.402765,1]],[[-76.578492,39.463369,1],[-76.582147,39.462461,1],[-76.582404,39.462397,1]],[[-76.600369,39.41315,1],[-76.600366,39.413354,1]],[[-76.600406,39.411645,1],[-76.600382,39.412418,1]],[[-76.600492,39.410394,1],[-76.600451,39.410653,1],[-76.60041,39.41088,1],[-76.600336,39.411446,1],[-76.600406,39.411645,1]],[[-76.593006,39.450177,1],[-76.593305,39.449648,1],[-76.594053,39.448353,1]],[[-76.574924,39.464219,1],[-76.574729,39.464269,1],[-76.574219,39.464399,1],[-76.57344,39.46457,1],[-76.573092,39.464651,1],[-76.572714,39.46473,1],[-76.572136,39.464832,1],[-76.571591,39.464935,1],[-76.571038,39.46504,1],[-76.570812,39.46509,1],[-76.570619,39.465133,1],[-76.570455,39.465176,1],[-76.57018,39.465255,1],[-76.569994,39.465303,1],[-76.56971,39.465373,1],[-76.569342,39.465465,1],[-76.569079,39.465541,1],[-76.568736,39.465632,1],[-76.568498,39.4657,1],[-76.56828,39.465742,1],[-76.567992,39.465782,1],[-76.567658,39.465828,1],[-76.567398,39.465864,1],[-76.567136,39.465905,1],[-76.566835,39.46594,1],[-76.566575,39.465982,1],[-76.566107,39.466057,1],[-76.566008,39.466069,1],[-76.56593,39.466085,1],[-76.565675,39.466123,1],[-76.565167,39.466205,1],[-76.56441,39.466322,1],[-76.563693,39.466431,1],[-76.562984,39.466548,1],[-76.562633,39.466601,1]],[[-76.601239,39.405939,1],[-76.6012,39.40607,1]],[[-76.600376,39.412627,1],[-76.600373,39.412857,1]],[[-76.582404,39.462397,1],[-76.582729,39.462317,1],[-76.582965,39.462269,1],[-76.583168,39.462246,1],[-76.583408,39.462229,1],[-76.583675,39.462234,1],[-76.583948,39.462265,1],[-76.58421,39.462314,1],[-76.584724,39.462423,1],[-76.584838,39.462447,1],[-76.585182,39.462519,1],[-76.585538,39.46257,1],[-76.58583,39.462585,1],[-76.586165,39.462579,1],[-76.586339,39.462563,1],[-76.586438,39.462554,1],[-76.586804,39.462493,1],[-76.587058,39.462431,1],[-76.58736,39.462336,1],[-76.587632,39.462222,1],[-76.58787,39.462106,1],[-76.588141,39.461937,1],[-76.588385,39.461763,1],[-76.588681,39.46153,1],[-76.588933,39.461323,1],[-76.589066,39.461203,1],[-76.589203,39.461071,1]],[[-76.600382,39.412418,1],[-76.600376,39.412627,1]],[[-76.589203,39.461071,1],[-76.589278,39.460996,1],[-76.589364,39.460892,1]],[[-76.600406,39.411645,1],[-76.600489,39.411464,1],[-76.600499,39.411338,1]],[[-76.601587,39.40416,1],[-76.60152,39.404488,1]],[[-76.589364,39.460892,1],[-76.589423,39.460819,1],[-76.58947,39.460761,1],[-76.589582,39.4606,1],[-76.58975,39.460303,1],[-76.589939,39.459931,1],[-76.5905,39.458797,1],[-76.59147,39.456834,1],[-76.591905,39.455952,1],[-76.592051,39.455657,1],[-76.592176,39.455388,1],[-76.592216,39.455281,1],[-76.592274,39.455124,1],[-76.592345,39.454874,1],[-76.592391,39.454595,1],[-76.592422,39.454321,1],[-76.592426,39.454018,1],[-76.592456,39.451923,1],[-76.592464,39.451671,1],[-76.592471,39.451621,1],[-76.592494,39.451435,1],[-76.592544,39.451218,1],[-76.592609,39.451008,1],[-76.592679,39.450817,1],[-76.592798,39.45056,1],[-76.593006,39.450177,1]],[[-76.601424,39.405984,1],[-76.60148,39.405684,1],[-76.601504,39.405536,1],[-76.601565,39.405193,1]],[[-76.601334,39.4054,1],[-76.601239,39.405939,1]],[[-76.600366,39.413354,1],[-76.600345,39.413727,1],[-76.600316,39.413967,1]],[[-76.601882,39.403391,1],[-76.601901,39.403272,1],[-76.601947,39.402979,1],[-76.602005,39.402702,1],[-76.602099,39.402235,1],[-76.602138,39.402172,1],[-76.602205,39.402116,1]],[[-76.562633,39.466601,1],[-76.562225,39.466653,1],[-76.561805,39.466717,1],[-76.561565,39.466755,1],[-76.561022,39.466834,1],[-76.560887,39.466856,1],[-76.560435,39.46693,1],[-76.559938,39.467008,1],[-76.558849,39.467181,1],[-76.558268,39.467274,1],[-76.557817,39.467346,1],[-76.557552,39.467389,1],[-76.557331,39.46743,1],[-76.556974,39.467507,1],[-76.556764,39.467556,1],[-76.55646,39.467645,1],[-76.556336,39.467684,1],[-76.555562,39.467919,1],[-76.552434,39.468888,1],[-76.552262,39.468941,1],[-76.552127,39.468977,1],[-76.551989,39.469007,1],[-76.551815,39.469031,1],[-76.551611,39.469046,1],[-76.551363,39.469049,1],[-76.551169,39.469033,1],[-76.551079,39.469018,1],[-76.550969,39.468993,1],[-76.550842,39.468961,1],[-76.550705,39.468921,1],[-76.550493,39.468848,1],[-76.550352,39.468784,1],[-76.550124,39.46868,1],[-76.549697,39.468478,1],[-76.547758,39.46756,1],[-76.547661,39.467514,1],[-76.547553,39.467455,1],[-76.547479,39.467405,1],[-76.547417,39.46735,1],[-76.547329,39.467275,1]],[[-76.601276,39.406995,1],[-76.601292,39.406892,1],[-76.60137,39.406369,1]],[[-76.595458,39.445992,1],[-76.595553,39.445832,1]],[[-76.595553,39.445832,1],[-76.596122,39.444875,1],[-76.596405,39.444372,1],[-76.596528,39.444116,1],[-76.596642,39.443864,1],[-76.596711,39.44367,1],[-76.596779,39.443434,1],[-76.596843,39.44319,1],[-76.596884,39.442967,1],[-76.596913,39.442723,1],[-76.596926,39.442509,1],[-76.596928,39.441396,1],[-76.59692,39.441196,1],[-76.596918,39.44022,1]],[[-76.600499,39.411338,1],[-76.600558,39.410891,1],[-76.600593,39.410672,1],[-76.600693,39.410131,1],[-76.600774,39.409686,1]],[[-76.601737,39.404221,1],[-76.601748,39.404158,1],[-76.601804,39.403841,1]],[[-76.600056,39.414926,1],[-76.600155,39.414631,1],[-76.60021,39.414429,1],[-76.600267,39.414208,1],[-76.600316,39.413967,1]],[[-76.599893,39.41542,1],[-76.600056,39.414926,1]],[[-76.601399,39.406105,1],[-76.601424,39.405984,1]],[[-76.601804,39.403841,1],[-76.601882,39.403391,1]],[[-76.594053,39.448353,1],[-76.594626,39.4474,1],[-76.595096,39.446604,1],[-76.595325,39.446211,1],[-76.595458,39.445992,1]],[[-76.601024,39.408414,1],[-76.601042,39.408312,1],[-76.601115,39.40794,1],[-76.601167,39.407678,1]],[[-76.596918,39.44022,1],[-76.596898,39.436518,1],[-76.596897,39.436472,1],[-76.596889,39.434313,1],[-76.596867,39.431962,1],[-76.596848,39.431778,1],[-76.596803,39.43161,1],[-76.59674,39.431453,1],[-76.596661,39.431306,1],[-76.596543,39.431121,1],[-76.596502,39.431071,1],[-76.596388,39.430936,1],[-76.596057,39.430574,1],[-76.595885,39.430368,1],[-76.595766,39.430187,1],[-76.595668,39.430005,1],[-76.595582,39.429797,1],[-76.595531,39.429567,1],[-76.59552,39.4294,1],[-76.595526,39.429192,1],[-76.595553,39.429042,1],[-76.595606,39.42884,1],[-76.595626,39.428777,1],[-76.595632,39.428759,1],[-76.595783,39.428275,1],[-76.595969,39.42764,1]],[[-76.601669,39.404603,1],[-76.601685,39.404512,1],[-76.601737,39.404221,1]],[[-76.6012,39.40607,1],[-76.601134,39.406453,1],[-76.601073,39.406839,1],[-76.600943,39.407652,1],[-76.600765,39.408823,1],[-76.600711,39.409208,1],[-76.600695,39.409302,1]],[[-76.601746,39.403258,1],[-76.601724,39.403371,1],[-76.601587,39.40416,1]],[[-76.600373,39.412857,1],[-76.600369,39.41315,1]],[[-76.600774,39.409686,1],[-76.600857,39.409227,1]],[[-76.595969,39.42764,1],[-76.596092,39.427106,1]],[[-76.60152,39.404488,1],[-76.60151,39.404542,1],[-76.601503,39.404581,1],[-76.601424,39.405054,1],[-76.601342,39.405355,1],[-76.601334,39.4054,1]],[[-76.596092,39.427106,1],[-76.596147,39.426882,1],[-76.596197,39.426705,1]],[[-76.599795,39.415695,1],[-76.599893,39.41542,1]],[[-76.596197,39.426705,1],[-76.596268,39.426468,1],[-76.596369,39.42617,1],[-76.596486,39.425856,1],[-76.596596,39.425604,1],[-76.596652,39.425461,1],[-76.596766,39.425172,1],[-76.596985,39.424507,1],[-76.597012,39.424424,1],[-76.597301,39.423454,1],[-76.597402,39.423097,1],[-76.597594,39.422482,1],[-76.597965,39.421246,1],[-76.598288,39.420189,1],[-76.598626,39.419155,1],[-76.598739,39.41881,1],[-76.59892,39.418253,1],[-76.599305,39.417081,1],[-76.599795,39.415695,1]],[[-76.60137,39.406369,1],[-76.601382,39.406292,1],[-76.601399,39.406105,1]],[[-76.547329,39.467275,1],[-76.54726,39.467217,1],[-76.547139,39.467144,1],[-76.547081,39.467117,1],[-76.547032,39.467109,1],[-76.546996,39.467106,1],[-76.546973,39.467109,1],[-76.546929,39.46712,1],[-76.546904,39.467136,1],[-76.546869,39.467158,1],[-76.546825,39.467207,1],[-76.546797,39.467264,1],[-76.546605,39.467657,1],[-76.54603,39.468831,1],[-76.54575,39.469372,1],[-76.545512,39.469869,1],[-76.545393,39.470077,1],[-76.545251,39.47027,1],[-76.545103,39.470416,1],[-76.544997,39.470512,1],[-76.544834,39.47064,1],[-76.544761,39.470694,1],[-76.544603,39.470779,1],[-76.544457,39.470848,1],[-76.54441,39.470873,1],[-76.544018,39.471032,1],[-76.543776,39.471134,1],[-76.543538,39.471234,1],[-76.543104,39.471411,1],[-76.54231,39.471739,1],[-76.541944,39.47189,1],[-76.541123,39.472255,1],[-76.540592,39.472522,1],[-76.540341,39.472663,1],[-76.540136,39.472792,1],[-76.539991,39.472901,1],[-76.539904,39.472969,1],[-76.539809,39.473066,1],[-76.539338,39.473639,1],[-76.539125,39.473937,1],[-76.538945,39.474136,1],[-76.538784,39.474323,1],[-76.538611,39.474504,1],[-76.538454,39.474664,1],[-76.53804,39.475066,1],[-76.537532,39.475552,1],[-76.537352,39.475719,1],[-76.537156,39.475914,1],[-76.536873,39.476194,1],[-76.536729,39.476352,1],[-76.536634,39.476469,1],[-76.53606,39.477108,1],[-76.535863,39.477352,1],[-76.535423,39.477853,1],[-76.535117,39.478209,1],[-76.534695,39.478798,1],[-76.534547,39.47901,1],[-76.534403,39.479203,1],[-76.534359,39.479259,1],[-76.534185,39.479518,1],[-76.534044,39.479694,1],[-76.533781,39.479982,1],[-76.533702,39.480069,1],[-76.533628,39.480134,1],[-76.533574,39.480181,1],[-76.533423,39.480326,1],[-76.533282,39.480447,1],[-76.532651,39.480912,1],[-76.532109,39.481308,1],[-76.531774,39.481545,1],[-76.531448,39.481746,1],[-76.529239,39.483128,1],[-76.529073,39.483223,1],[-76.52891,39.483339,1],[-76.528772,39.483441,1],[-76.528694,39.483515,1],[-76.528616,39.483592,1],[-76.528538,39.483692,1],[-76.52846,39.483829,1],[-76.528302,39.484154,1],[-76.528199,39.484381,1],[-76.528119,39.484571,1],[-76.528069,39.484715,1],[-76.528031,39.484818,1],[-76.527997,39.484989,1],[-76.527969,39.485176,1],[-76.527957,39.485676,1],[-76.527948,39.4859,1],[-76.527937,39.486051,1],[-76.527915,39.486228,1],[-76.527783,39.487001,1],[-76.527729,39.487231,1],[-76.527653,39.487481,1],[-76.527578,39.487635,1],[-76.527503,39.487759,1],[-76.527452,39.487833,1],[-76.527384,39.487909,1],[-76.527238,39.488027,1],[-76.527171,39.488069,1],[-76.52705,39.488145,1],[-76.526918,39.488227,1],[-76.526676,39.488351,1],[-76.526464,39.488439,1],[-76.526436,39.488449,1],[-76.526212,39.488525,1],[-76.525626,39.488683,1],[-76.525343,39.488756,1],[-76.525136,39.488803,1],[-76.524699,39.488927,1],[-76.524397,39.489011,1],[-76.52425,39.48906,1],[-76.524132,39.489102,1],[-76.52397,39.489178,1],[-76.523305,39.489583,1],[-76.523107,39.489698,1],[-76.522888,39.489815,1]],[[-76.601565,39.405193,1],[-76.601669,39.404603,1]],[[-76.601845,39.402765,1],[-76.601833,39.402801,1],[-76.601746,39.403258,1]],[[-76.576516,39.464153,1],[-76.576371,39.464027,1],[-76.576276,39.463968,1],[-76.576202,39.463946,1],[-76.576118,39.463939,1],[-76.576024,39.463953,1],[-76.575812,39.464002,1],[-76.57536,39.46411,1],[-76.57509,39.464178,1],[-76.574924,39.464219,1]],[[-76.600857,39.409227,1],[-76.600978,39.408678,1],[-76.601024,39.408414,1]],[[-76.601167,39.407678,1],[-76.601226,39.407312,1],[-76.601276,39.406995,1]],[[-76.600695,39.409302,1],[-76.600492,39.410394,1]]] },
        { 'type':'MultiPoint','coordinates':[[-76.554825,39.460839,1],[-76.567178,39.462854,2],[-76.597763,39.442952,3],[-76.597381,39.438022,4],[-76.599005,39.431047,5],[-76.599332,39.415862,6],[-76.598647,39.41753,7],[-76.600995,39.410555,8],[-76.602079,39.423173,9],[-76.594571,39.451609,10],[-76.595055,39.459747,11],[-76.602419,39.405303,12],[-76.597323,39.420842,13],[-76.598909,39.416646,14],[-76.60084,39.411361,15],[-76.601097,39.410104,16],[-76.598452,39.404,17],[-76.592984,39.435944,18],[-76.599829,39.407802,19],[-76.602287,39.423609,20],[-76.593549,39.4481,21],[-76.601095,39.409904,22],[-76.600076,39.416008,23],[-76.597404,39.432329,24],[-76.596191,39.411014,25],[-76.597225,39.457633,26],[-76.596336,39.452082,27],[-76.59753,39.433314,28],[-76.601294,39.40888,29],[-76.59391,39.449525,30],[-76.595955,39.42509,31],[-76.596843,39.458131,32],[-76.592457,39.407039,33],[-76.599057,39.421769,34],[-76.597347,39.431869,35],[-76.597259,39.420817,36],[-76.599676,39.42118,37],[-76.591964,39.412279,38],[-76.600887,39.410925,39],[-76.59889,39.416928,40],[-76.600931,39.420055,41],[-76.599494,39.417756,42],[-76.597226,39.451942,43],[-76.60105,39.410127,44],[-76.597355,39.433929,45],[-76.595201,39.447394,46],[-76.600341,39.430875,47],[-76.595848,39.420572,48],[-76.597943,39.430071,49],[-76.602784,39.42249,50],[-76.599207,39.403309,51],[-76.598698,39.430773,52],[-76.601148,39.402946,53],[-76.597044,39.455811,54],[-76.599369,39.403989,55],[-76.598339,39.418525,56],[-76.598985,39.422383,57],[-76.598634,39.417429,58],[-76.594387,39.411753,59],[-76.588623,39.407698,60],[-76.603153,39.40446,61],[-76.597373,39.439394,62],[-76.597426,39.432264,63],[-76.594155,39.449169,64],[-76.592199,39.412682,65],[-76.592441,39.408569,66],[-76.59645,39.427759,67],[-76.59737,39.443442,68],[-76.603217,39.404758,69],[-76.597374,39.437583,70],[-76.595917,39.42057,71],[-76.597487,39.438337,72],[-76.595421,39.446971,73],[-76.599771,39.431002,74],[-76.596322,39.428186,75],[-76.599162,39.421665,76],[-76.591846,39.413208,77],[-76.599083,39.416125,78],[-76.596111,39.445922,79],[-76.597601,39.432674,80],[-76.599338,39.422278,81],[-76.596456,39.427725,82],[-76.600201,39.430654,83],[-76.597812,39.419648,84],[-76.59619,39.428624,85],[-76.596563,39.427385,86],[-76.598386,39.418248,87],[-76.596668,39.457248,88],[-76.597256,39.443418,89],[-76.59952,39.41803,90],[-76.597218,39.455125,91],[-76.601136,39.409891,92],[-76.593866,39.449276,93],[-76.596214,39.445898,94],[-76.601205,39.409452,95],[-76.599029,39.416432,96],[-76.600982,39.410896,97],[-76.600895,39.410942,98],[-76.598315,39.418551,99],[-76.600095,39.416328,100],[-76.600101,39.416505,101],[-76.597339,39.433247,102],[-76.599,39.416374,103],[-76.599997,39.416614,104],[-76.595616,39.446501,105],[-76.599772,39.406398,106],[-76.599616,39.417746,107],[-76.597454,39.442942,108],[-76.597391,39.439389,109],[-76.599792,39.406175,110],[-76.599298,39.415773,111],[-76.601003,39.410537,112],[-76.597029,39.421799,113],[-76.597338,39.435625,114],[-76.599725,39.404793,115],[-76.594363,39.448671,116],[-76.60084,39.411393,117],[-76.598558,39.417723,118],[-76.599706,39.417476,119],[-76.600288,39.415772,120],[-76.598731,39.417187,121],[-76.59479,39.44797,122],[-76.598652,39.417431,123],[-76.599332,39.421075,124],[-76.601524,39.421777,125],[-76.601157,39.409676,126],[-76.600739,39.421804,127],[-76.59758,39.435141,128],[-76.597246,39.431646,129],[-76.598356,39.418517,130],[-76.599897,39.41691,131],[-76.597531,39.439896,132],[-76.601384,39.408861,133],[-76.597736,39.45163,134],[-76.595574,39.446993,135],[-76.597378,39.433912,136],[-76.594227,39.449188,137],[-76.594134,39.448979,138],[-76.596978,39.444135,139],[-76.597356,39.432774,140],[-76.601132,39.40387,141],[-76.598675,39.422536,142],[-76.596631,39.426941,143],[-76.597387,39.438919,144],[-76.596843,39.426383,145],[-76.599795,39.417212,146],[-76.597364,39.437523,147],[-76.600183,39.416076,148],[-76.595839,39.421041,149],[-76.597387,39.438421,150],[-76.597375,39.43797,151],[-76.597072,39.451993,152],[-76.593629,39.449721,153],[-76.593592,39.44811,154],[-76.600867,39.411162,155],[-76.598824,39.416906,156],[-76.593298,39.448623,157],[-76.600665,39.407012,158],[-76.596637,39.426856,159],[-76.603105,39.404854,160],[-76.601053,39.410333,161],[-76.598472,39.417984,162],[-76.600268,39.419924,163],[-76.590596,39.407567,164],[-76.599531,39.417507,165],[-76.59972,39.417213,166],[-76.596759,39.426496,167],[-76.597517,39.431685,168],[-76.594833,39.447936,169],[-76.602534,39.404707,170],[-76.591549,39.407361,171],[-76.599537,39.418062,172],[-76.59489,39.410153,173],[-76.598516,39.417985,174],[-76.601129,39.410262,175],[-76.59791,39.453274,176],[-76.601982,39.404271,177],[-76.596484,39.42784,178],[-76.598507,39.418003,179],[-76.593692,39.436317,180],[-76.598927,39.416692,181],[-76.602513,39.404791,182],[-76.600677,39.421963,183],[-76.597376,39.439869,184],[-76.598452,39.418256,185],[-76.597041,39.444189,186],[-76.597611,39.455451,187],[-76.596387,39.428215,188],[-76.596036,39.425277,189],[-76.596499,39.453758,190],[-76.602419,39.456389,191],[-76.600562,39.403152,192],[-76.596255,39.428225,193],[-76.595141,39.447435,194],[-76.599153,39.416159,195],[-76.59992,39.430391,196],[-76.602351,39.404375,197],[-76.600348,39.405224,198],[-76.600305,39.415957,199],[-76.593265,39.407821,200],[-76.593032,39.409373,201],[-76.600402,39.415745,202],[-76.600449,39.419797,203],[-76.593414,39.408362,204],[-76.603135,39.40467,205],[-76.595735,39.446465,206],[-76.597166,39.421044,207],[-76.599751,39.422243,208],[-76.593316,39.448626,209],[-76.599915,39.416621,210],[-76.598598,39.41783,211],[-76.602456,39.404377,212],[-76.596808,39.426378,213],[-76.593352,39.435989,214],[-76.59668,39.426959,215],[-76.595694,39.446583,216],[-76.596806,39.421771,217],[-76.595673,39.409889,218],[-76.600996,39.410347,219],[-76.594586,39.409311,220],[-76.599178,39.41622,221],[-76.595746,39.421003,222],[-76.600848,39.41154,223],[-76.597362,39.43567,224],[-76.597474,39.435583,225],[-76.600854,39.411138,226],[-76.601948,39.423157,227],[-76.60247,39.405067,228],[-76.597382,39.438471,229],[-76.597521,39.458861,230],[-76.594466,39.44873,231],[-76.597407,39.433238,232],[-76.600938,39.421852,233],[-76.600715,39.406766,234],[-76.602503,39.405267,235],[-76.597932,39.461558,236],[-76.60248,39.405519,237],[-76.599938,39.41676,238],[-76.601591,39.42246,239],[-76.601218,39.410154,240],[-76.599237,39.415894,241],[-76.596134,39.421098,242],[-76.597548,39.437435,243],[-76.601255,39.409035,244],[-76.598625,39.417741,245],[-76.59626,39.420653,246],[-76.601125,39.409699,247],[-76.601273,39.408806,248],[-76.594342,39.448523,249],[-76.600907,39.411071,250],[-76.602408,39.404379,251],[-76.599341,39.42175,252],[-76.593267,39.435979,253],[-76.59984,39.416873,254],[-76.597554,39.438802,255],[-76.597681,39.42563,256],[-76.59741,39.438896,257],[-76.597522,39.443422,258],[-76.600024,39.416291,259],[-76.602311,39.423451,260],[-76.600143,39.406218,261],[-76.591424,39.412213,262],[-76.599608,39.417507,263],[-76.59756,39.435583,264],[-76.602521,39.40439,265],[-76.597962,39.419459,266],[-76.599692,39.430476,267],[-76.597371,39.442982,268],[-76.59164,39.406302,269],[-76.596562,39.427414,270],[-76.602566,39.404601,271],[-76.601133,39.403835,272],[-76.601189,39.409491,273],[-76.596157,39.428628,274],[-76.601076,39.403862,275],[-76.599056,39.416404,276],[-76.59794,39.407882,277],[-76.597164,39.451877,278],[-76.595473,39.446854,279],[-76.597542,39.433804,280],[-76.598822,39.431035,281],[-76.590475,39.408255,282],[-76.602491,39.404907,283],[-76.597371,39.439292,284],[-76.594668,39.44779,285],[-76.597053,39.421717,286],[-76.597889,39.419592,287],[-76.594592,39.459876,288],[-76.597172,39.454906,289],[-76.598808,39.416972,290],[-76.589619,39.454343,291],[-76.599856,39.416971,292],[-76.602468,39.405141,293],[-76.601461,39.422231,294],[-76.599777,39.430911,295],[-76.601151,39.40983,296],[-76.595679,39.408751,297],[-76.599414,39.420978,298],[-76.602469,39.404988,299],[-76.597289,39.435177,300],[-76.60245,39.405162,301],[-76.600655,39.40697,302],[-76.59325,39.448584,303],[-76.600943,39.411345,304],[-76.593105,39.435949,305],[-76.586888,39.409884,306],[-76.595824,39.42534,307],[-76.60151,39.455999,308],[-76.594139,39.409897,309],[-76.597385,39.432834,310],[-76.602544,39.404663,311],[-76.5988,39.417202,312],[-76.596127,39.428719,313],[-76.601179,39.409456,314],[-76.600206,39.415751,315],[-76.598754,39.417221,316],[-76.593612,39.448117,317],[-76.600181,39.416218,318],[-76.601172,39.410579,319],[-76.597176,39.444152,320],[-76.599547,39.417774,321],[-76.597351,39.420742,322],[-76.598451,39.418149,323],[-76.602523,39.404749,324],[-76.598992,39.416659,325],[-76.596546,39.427367,326],[-76.597546,39.437861,327],[-76.601138,39.409683,328],[-76.590142,39.409872,329],[-76.597697,39.432245,330],[-76.594641,39.412796,331],[-76.596258,39.45946,332],[-76.597902,39.434902,333],[-76.599596,39.417214,334],[-76.592096,39.410693,335],[-76.597636,39.439757,336],[-76.595018,39.447368,337],[-76.596901,39.450649,338],[-76.602501,39.404858,339],[-76.596244,39.446057,340],[-76.600717,39.403181,341],[-76.592931,39.408533,342],[-76.527422,39.489461,343],[-76.524296,39.490224,344],[-76.529332,39.48453,345],[-76.53581,39.47799,346],[-76.534494,39.478217,347],[-76.54733,39.468673,348],[-76.533673,39.479453,349],[-76.535776,39.478026,350],[-76.547381,39.467525,351],[-76.536176,39.478819,352],[-76.534155,39.47879,353],[-76.536327,39.477737,354],[-76.536452,39.47565,355],[-76.527098,39.488672,356],[-76.527446,39.489787,357],[-76.527646,39.484285,358],[-76.5266,39.485457,359],[-76.534229,39.478144,360],[-76.527513,39.484715,361],[-76.532959,39.480079,362],[-76.526316,39.488773,363],[-76.536438,39.477194,364],[-76.535611,39.478386,365],[-76.53242,39.48028,366],[-76.533373,39.479853,367],[-76.535126,39.476937,368],[-76.542126,39.47142,369],[-76.540465,39.471853,370],[-76.528797,39.483932,371],[-76.528179,39.483625,372],[-76.528153,39.488047,373],[-76.528601,39.483158,374],[-76.542696,39.471193,375],[-76.530886,39.481714,376],[-76.530196,39.481963,377],[-76.543099,39.470891,378],[-76.530386,39.483458,379],[-76.527728,39.484303,380],[-76.525704,39.489134,381],[-76.526478,39.487767,382],[-76.528551,39.485167,383],[-76.52491,39.489138,384],[-76.529719,39.482139,385],[-76.5244,39.488045,386],[-76.533362,39.481846,387],[-76.528304,39.484914,388],[-76.532285,39.481983,389],[-76.531918,39.480526,390],[-76.525375,39.487982,391],[-76.534599,39.477937,392],[-76.532228,39.480735,393],[-76.533347,39.479923,394],[-76.532452,39.482011,395],[-76.532122,39.481755,396],[-76.538239,39.476193,397],[-76.525572,39.488963,398],[-76.54262,39.471089,399],[-76.527037,39.485739,400],[-76.524896,39.489117,401],[-76.525614,39.489976,402],[-76.535519,39.478343,403],[-76.535733,39.47925,404],[-76.526919,39.488556,405],[-76.527788,39.487749,406],[-76.546762,39.467789,407],[-76.523206,39.490049,408],[-76.529035,39.488489,409],[-76.530775,39.482723,410],[-76.534511,39.47838,411],[-76.524917,39.487841,412],[-76.532949,39.481702,413],[-76.52544,39.487928,414],[-76.531974,39.480929,415],[-76.5469,39.468063,416],[-76.540741,39.471394,417],[-76.535199,39.477097,418],[-76.53081,39.482924,419],[-76.527738,39.484617,420],[-76.53859,39.476546,421],[-76.525812,39.489831,422],[-76.527145,39.488446,423],[-76.531789,39.481278,424],[-76.53529,39.47963,425],[-76.52984,39.489081,426],[-76.531326,39.480924,427],[-76.534891,39.477567,428],[-76.523377,39.489891,429],[-76.528344,39.489528,430],[-76.540891,39.471722,431],[-76.531352,39.481216,432],[-76.528351,39.486595,433],[-76.531726,39.482988,434],[-76.536772,39.477009,435],[-76.547599,39.468235,436],[-76.531653,39.481153,437],[-76.540044,39.473859,438],[-76.53449,39.481137,439],[-76.528888,39.489345,440],[-76.531833,39.481432,441],[-76.531236,39.483202,442],[-76.534416,39.480139,443],[-76.537912,39.473283,444],[-76.532592,39.480467,445],[-76.535672,39.476811,446],[-76.531698,39.4809,447],[-76.531388,39.482848,448],[-76.53306,39.480151,449],[-76.535612,39.476562,450],[-76.536859,39.478518,451],[-76.526761,39.48766,452],[-76.54288,39.471166,453],[-76.528345,39.486654,454],[-76.53909,39.472363,455],[-76.538383,39.473184,456],[-76.52899,39.48392,457],[-76.524569,39.488406,458],[-76.532761,39.480426,459],[-76.531284,39.482491,460],[-76.530322,39.482996,461],[-76.534764,39.478077,462],[-76.525228,39.488305,463],[-76.524118,39.489737,464],[-76.530291,39.489484,465],[-76.5285,39.483233,466],[-76.529203,39.48396,467],[-76.533692,39.479372,468],[-76.529731,39.48227,469],[-76.529174,39.483791,470],[-76.525234,39.490243,471],[-76.524616,39.490099,472],[-76.529268,39.489676,473],[-76.536245,39.477838,474],[-76.534147,39.481277,475],[-76.526276,39.487785,476],[-76.533522,39.481988,477],[-76.526501,39.489351,478],[-76.530274,39.481979,479],[-76.529869,39.490674,480],[-76.525011,39.48901,481],[-76.542051,39.471408,482],[-76.536097,39.477629,483],[-76.533931,39.479299,484],[-76.528656,39.489053,485],[-76.535306,39.47726,486],[-76.531074,39.481593,487],[-76.534476,39.480173,488],[-76.527558,39.484734,489],[-76.539773,39.47446,490],[-76.531344,39.481255,491],[-76.528792,39.485365,492],[-76.539474,39.473041,493],[-76.535542,39.479286,494],[-76.529981,39.48238,495],[-76.529085,39.48455,496],[-76.543251,39.470856,497],[-76.533603,39.48061,498],[-76.52564,39.487938,499],[-76.536649,39.475952,500],[-76.532507,39.480697,501],[-76.5343,39.478627,502],[-76.547051,39.467497,503],[-76.528087,39.48368,504],[-76.535046,39.477689,505],[-76.536236,39.478942,506],[-76.52575,39.488791,507],[-76.536389,39.477181,508],[-76.532798,39.479805,509],[-76.536977,39.475791,510],[-76.533438,39.479695,511],[-76.534611,39.477822,512],[-76.540032,39.474527,513],[-76.547158,39.467962,514],[-76.528446,39.485236,515],[-76.535016,39.477473,516],[-76.526321,39.488546,517],[-76.530874,39.481751,518],[-76.53422,39.478723,519],[-76.534114,39.480798,520],[-76.531602,39.481262,521],[-76.528252,39.488294,522],[-76.526997,39.485432,523],[-76.532887,39.48267,524],[-76.528602,39.483445,525],[-76.531162,39.483717,526],[-76.523631,39.489771,527],[-76.528778,39.48305,528],[-76.53532,39.479613,529],[-76.531595,39.482088,530],[-76.526306,39.488777,531],[-76.531757,39.480983,532],[-76.536784,39.477446,533],[-76.542326,39.471356,534],[-76.53258,39.482622,535],[-76.532483,39.482035,536],[-76.534796,39.480469,537],[-76.53062,39.490525,538],[-76.543071,39.470887,539],[-76.535908,39.47822,540],[-76.527893,39.48416,541],[-76.538905,39.476083,542],[-76.54778,39.468261,543],[-76.528436,39.48675,544],[-76.530391,39.481947,545],[-76.579991,39.446206,546],[-76.580033,39.443925,547],[-76.582554,39.444624,548],[-76.581615,39.445157,549],[-76.581168,39.445211,550],[-76.583862,39.445015,551]] },
        []
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, res) => {
        t.error(err);

        t.equals(res.length, 1);

        res = res[0];

        t.equals(res.type, 'Feature', 'Type should be feature');
        t.equals(res.geometry.type, 'GeometryCollection', 'Geometry should be GeometryCollection');
        t.equals(res.geometry.geometries.length, 2, 'GeometryCollection should have 2 child geometries');

        t.equals(res.properties['carmen:text'], 'Dulaney Valley Road', 'Text should be Dulaney Valley Road');
        t.deepEquals(res.properties['carmen:addressnumber'], [null, ['714', '716', '718', '720', '722', '730', '732', '740', '744', '806', '810', '812', '813', '814', '820', '822', '824', '825', '826', '828', '830', '834', '838', '901', '903', '949', '956', '1002', '1004', '1006', '1008', '1010', '1012', '1014', '1016', '1018', '1021', '1024', '1200', '1202', '1204', '1206', '1208', '1210', '1212', '1213', '1214', '1215', '1216', '1217', '1219', '1221', '1223', '1225', '1227', '1229', '1231', '1233', '1300', '1301', '1306', '1307', '1309', '1310', '1311', '1314', '1316', '1317', '1318', '1320', '1322', '1400', '1411', '1500', '1502', '1504', '1506', '1508', '1510', '1710', '1718', '1720', '1798', '1800', '1802', '1806', '1808', '1810', '1902', '1908', '2001', '2002', '2004', '2006', '2008', '2010', '2012', '2100', '2101', '2106', '2108', '2110', '2118', '2120', '2122', '2124', '2126', '2200', '2202', '2203', '2204', '2205', '2292', '2296', '2300', '2310', '12101', '12301', '12450', '12460', '12559', '12563', '12567', '12605', '12615', '12620', '12720', '12721', '12804', '12805', '12806', '12807', '12808', '12809', '12810', '12811', '12813', '12814', '12815', '12900', '12901', '12905', '12906', '12907', '12908', '12909', '12911', '12915', '12916', '12919', '13000', '13001', '13004', '13005', '13006', '13007', '13008', '13015', '13019', '13020', '13100', '13101', '13103', '13114', '13115', '13132', '13140', '13142', '13144', '13146', '13200', '13201', '13204', '13207', '13208', '13209', '13211', '13212', '13214', '13216', '13218', '13224']], 'carmen:addressnumber should be stable');
        t.deepEquals(res.properties['carmen:parityl'], [[null, null, null, null, null, 'O', 'O', null, 'O', 'O', 'O', null, 'E', null, 'O', 'O', null, 'O', null, null, null, 'E', null, 'E', 'E', 'E', 'E', 'E', null, 'E', 'E', null, null, null, null, null], null], 'carmen:parityl should be stable');
        t.deepEquals(res.properties['carmen:parityr'], [['O', 'O', 'E', 'O', 'O', null, null, 'E', 'E', 'E', 'E', 'E', 'E', 'E', 'E', 'E', 'E', 'E', 'E', 'O', 'O', null, 'O', 'O', 'O', 'O', 'O', 'O', 'O', null, null, null, null, null, null, null], null], 'carmen:parityr should be stable');

        t.deepEquals(res.properties['carmen:lfromhn'], [[null, null, null, null, null, 1021, 1021, null, 1233, 1317, 1411, null, 2002, null, 2101, 2101, null, 2205, null, null, null, 12450, null, 12620, 12720, 12906, 13008, 13132, null, 13218, 13224, null, null, null, null, null], null], 'carmen:lfromhn should be stable');
        t.deepEquals(res.properties['carmen:ltohn'], [[null, null, null, null, null, 1001, 1021, null, 1213, 1301, 1411, null, 1806, null, 2101, 2101, null, 2203, null, null, null, 12450, null, 12720, 12900, 13006, 13114, 13216, null, 13224, 14000, null, null, null, null, null], null], 'carmen:ltohn should be stable');
        t.deepEquals(res.properties['carmen:rfromhn'], [[1, 825, 838, 903, 1021, null, null, 1024, 1300, 1320, 1508, 1802, 1908, 2012, 2292, 2300, 2110, 2204, 2300, 12101, 12301, null, 12559, 12605, 12721, 12901, 13015, 13201, 13211, null, null, null, null, null, null, null], null], 'carmen:rfromhn should be stable');
        t.deepEquals(res.properties['carmen:rtohn'], [[825, 903, 720, 949, 1021, null, null, 956, 1200, 1300, 1400, 1510, 1806, 2002, 2296, 2310, 2108, 2118, 2300, 12101, 12301, null, 12605, 12615, 12901, 13007, 13115, 13211, 14001, null, null, null, null, null, null, null], null], 'carmen:rtohn should be stable');

        t.end();
    });
});

test('Split: East Long Street', (t) => {
    const feat = new SplitFeat(
        1,
        [{ 'freq': 1, 'priority': 0, 'tokenized': [{ token: 'e', token_type: null }, { token: 'long', token_type: null }, { token: 'st', token_type: null }], 'display': 'East Long Street' }],
        { '1':{ 'id':1,'output':true,'number':'1240' },'2':{ 'id':2,'output':true,'number':'124' },'3':{ 'id':3,'output':true,'number':'1727' },'4':{ 'id':4,'output':true,'number':'1022' },'5':{ 'id':5,'output':true,'number':'1433' },'6':{ 'id':6,'output':true,'number':'1514' },'7':{ 'id':7,'output':true,'number':'1093' },'8':{ 'id':8,'output':true,'number':'879' },'9':{ 'id':9,'output':true,'number':'1059' },'10':{ 'id':10,'output':true,'number':'295' },'11':{ 'id':11,'output':true,'number':'1570' },'12':{ 'id':12,'output':true,'number':'1734' },'13':{ 'id':13,'output':true,'number':'1736' },'14':{ 'id':14,'output':true,'number':'1070' },'15':{ 'id':15,'output':true,'number':'1673' },'16':{ 'id':16,'output':true,'number':'1685' },'17':{ 'id':17,'output':true,'number':'295' },'18':{ 'id':18,'output':true,'number':'295' },'19':{ 'id':19,'output':true,'number':'1147' },'20':{ 'id':20,'output':true,'number':'769' },'21':{ 'id':21,'output':true,'number':'1572' },'22':{ 'id':22,'output':true,'number':'740' },'23':{ 'id':23,'output':true,'number':'217' },'24':{ 'id':24,'output':true,'number':'295' },'25':{ 'id':25,'output':true,'number':'1514' },'26':{ 'id':26,'output':true,'number':'1695' },'27':{ 'id':27,'output':true,'number':'1276' },'28':{ 'id':28,'output':true,'number':'295' },'29':{ 'id':29,'output':true,'number':'964' },'30':{ 'id':30,'output':true,'number':'165' },'31':{ 'id':31,'output':true,'number':'1730' },'32':{ 'id':32,'output':true,'number':'1764' },'33':{ 'id':33,'output':true,'number':'769' },'34':{ 'id':34,'output':true,'number':'1730' },'35':{ 'id':35,'output':true,'number':'797' },'36':{ 'id':36,'output':true,'number':'315' },'37':{ 'id':37,'output':true,'number':'1046' },'38':{ 'id':38,'output':true,'number':'1431' },'39':{ 'id':39,'output':true,'number':'295' },'40':{ 'id':40,'output':true,'number':'295' },'41':{ 'id':41,'output':true,'number':'1500' },'42':{ 'id':42,'output':true,'number':'1192' },'43':{ 'id':43,'output':true,'number':'793' },'44':{ 'id':44,'output':true,'number':'564' },'45':{ 'id':45,'output':true,'number':'1005' },'46':{ 'id':46,'output':true,'number':'1730' },'47':{ 'id':47,'output':true,'number':'954' },'48':{ 'id':48,'output':true,'number':'1271' },'49':{ 'id':49,'output':true,'number':'1728' },'50':{ 'id':50,'output':true,'number':'295' },'51':{ 'id':51,'output':true,'number':'1522' },'52':{ 'id':52,'output':true,'number':'600' },'53':{ 'id':53,'output':true,'number':'1059' },'54':{ 'id':54,'output':true,'number':'295' },'55':{ 'id':55,'output':true,'number':'295' },'56':{ 'id':56,'output':true,'number':'1066' },'57':{ 'id':57,'output':true,'number':'1524' },'58':{ 'id':58,'output':true,'number':'1337' },'59':{ 'id':59,'output':true,'number':'1427' },'60':{ 'id':60,'output':true,'number':'1331' },'61':{ 'id':61,'output':true,'number':'295' },'62':{ 'id':62,'output':true,'number':'1736' },'63':{ 'id':63,'output':true,'number':'1780' },'64':{ 'id':64,'output':true,'number':'1734' },'65':{ 'id':65,'output':true,'number':'1750' },'66':{ 'id':66,'output':true,'number':'809' },'67':{ 'id':67,'output':true,'number':'1730' },'68':{ 'id':68,'output':true,'number':'859' },'69':{ 'id':69,'output':true,'number':'1144' },'70':{ 'id':70,'output':true,'number':'1734' },'71':{ 'id':71,'output':true,'number':'1730' },'72':{ 'id':72,'output':true,'number':'1728' },'73':{ 'id':73,'output':true,'number':'639' },'74':{ 'id':74,'output':true,'number':'805' },'75':{ 'id':75,'output':true,'number':'1743' },'76':{ 'id':76,'output':true,'number':'1736' },'77':{ 'id':77,'output':true,'number':'295' },'78':{ 'id':78,'output':true,'number':'190' },'79':{ 'id':79,'output':true,'number':'295' },'80':{ 'id':80,'output':true,'number':'295' },'81':{ 'id':81,'output':true,'number':'1732' },'82':{ 'id':82,'output':true,'number':'564' },'83':{ 'id':83,'output':true,'number':'266' },'84':{ 'id':84,'output':true,'number':'203' },'85':{ 'id':85,'output':true,'number':'5' },'86':{ 'id':86,'output':true,'number':'922' },'87':{ 'id':87,'output':true,'number':'1323' },'88':{ 'id':88,'output':true,'number':'1796' },'89':{ 'id':89,'output':true,'number':'1736' },'90':{ 'id':90,'output':true,'number':'1143' },'91':{ 'id':91,'output':true,'number':'1705' },'92':{ 'id':92,'output':true,'number':'1540' },'93':{ 'id':93,'output':true,'number':'1160' },'94':{ 'id':94,'output':true,'number':'1146' },'95':{ 'id':95,'output':true,'number':'1805' },'96':{ 'id':96,'output':true,'number':'42' },'97':{ 'id':97,'output':true,'number':'295' },'98':{ 'id':98,'output':true,'number':'1370' },'99':{ 'id':99,'output':true,'number':'717' },'100':{ 'id':100,'output':true,'number':'300' },'101':{ 'id':101,'output':true,'number':'701' },'102':{ 'id':102,'output':true,'number':'889' },'103':{ 'id':103,'output':true,'number':'1805' },'104':{ 'id':104,'output':true,'number':'1186' },'105':{ 'id':105,'output':true,'number':'45' },'106':{ 'id':106,'output':true,'number':'1465' },'107':{ 'id':107,'output':true,'number':'634' },'108':{ 'id':108,'output':true,'number':'1730' },'109':{ 'id':109,'output':true,'number':'1413' },'110':{ 'id':110,'output':true,'number':'1060' },'111':{ 'id':111,'output':true,'number':'545' },'112':{ 'id':112,'output':true,'number':'1205' },'113':{ 'id':113,'output':true,'number':'790' },'114':{ 'id':114,'output':true,'number':'182' },'115':{ 'id':115,'output':true,'number':'1209' },'116':{ 'id':116,'output':true,'number':'1728' },'117':{ 'id':117,'output':true,'number':'1353' },'118':{ 'id':118,'output':true,'number':'705' },'119':{ 'id':119,'output':true,'number':'50' },'120':{ 'id':120,'output':true,'number':'1312' },'121':{ 'id':121,'output':true,'number':'1805' },'122':{ 'id':122,'output':true,'number':'1151' },'123':{ 'id':123,'output':true,'number':'1360' },'124':{ 'id':124,'output':true,'number':'929' },'125':{ 'id':125,'output':true,'number':'134' },'126':{ 'id':126,'output':true,'number':'1597' },'127':{ 'id':127,'output':true,'number':'1187' },'128':{ 'id':128,'output':true,'number':'1243' },'129':{ 'id':129,'output':true,'number':'255' },'130':{ 'id':130,'output':true,'number':'1806' },'131':{ 'id':131,'output':true,'number':'1730' },'132':{ 'id':132,'output':true,'number':'1514' },'133':{ 'id':133,'output':true,'number':'112' },'134':{ 'id':134,'output':true,'number':'1205' },'135':{ 'id':135,'output':true,'number':'295' },'136':{ 'id':136,'output':true,'number':'1348' },'137':{ 'id':137,'output':true,'number':'1247' },'138':{ 'id':138,'output':true,'number':'255' },'139':{ 'id':139,'output':true,'number':'1186' },'140':{ 'id':140,'output':true,'number':'255' },'141':{ 'id':141,'output':true,'number':'1059' },'142':{ 'id':142,'output':true,'number':'1709' },'143':{ 'id':143,'output':true,'number':'1118' },'144':{ 'id':144,'output':true,'number':'1441' },'145':{ 'id':145,'output':true,'number':'1581' },'146':{ 'id':146,'output':true,'number':'1762' },'147':{ 'id':147,'output':true,'number':'1806' },'148':{ 'id':148,'output':true,'number':'1736' },'149':{ 'id':149,'output':true,'number':'768' },'150':{ 'id':150,'output':true,'number':'255' },'151':{ 'id':151,'output':true,'number':'871' },'152':{ 'id':152,'output':true,'number':'1098' },'153':{ 'id':153,'output':true,'number':'1341' },'154':{ 'id':154,'output':true,'number':'1806' },'155':{ 'id':155,'output':true,'number':'1094' },'156':{ 'id':156,'output':true,'number':'295' },'157':{ 'id':157,'output':true,'number':'295' },'158':{ 'id':158,'output':true,'number':'295' },'159':{ 'id':159,'output':true,'number':'1437' },'160':{ 'id':160,'output':true,'number':'1738' },'161':{ 'id':161,'output':true,'number':'1738' },'162':{ 'id':162,'output':true,'number':'1271' },'163':{ 'id':163,'output':true,'number':'295' },'164':{ 'id':164,'output':true,'number':'1567' },'165':{ 'id':165,'output':true,'number':'855' },'166':{ 'id':166,'output':true,'number':'1738' },'167':{ 'id':167,'output':true,'number':'736' },'168':{ 'id':168,'output':true,'number':'295' },'169':{ 'id':169,'output':true,'number':'1738' },'170':{ 'id':170,'output':true,'number':'1331' },'171':{ 'id':171,'output':true,'number':'1728' },'172':{ 'id':172,'output':true,'number':'295' },'173':{ 'id':173,'output':true,'number':'1514' },'174':{ 'id':174,'output':true,'number':'1251' },'175':{ 'id':175,'output':true,'number':'295' },'176':{ 'id':176,'output':true,'number':'1290' },'177':{ 'id':177,'output':true,'number':'295' },'178':{ 'id':178,'output':true,'number':'1728' },'179':{ 'id':179,'output':true,'number':'1085' },'180':{ 'id':180,'output':true,'number':'295' },'181':{ 'id':181,'output':true,'number':'1738' },'182':{ 'id':182,'output':true,'number':'1441' },'183':{ 'id':183,'output':true,'number':'1071' },'184':{ 'id':184,'output':true,'number':'331' },'185':{ 'id':185,'output':true,'number':'821' },'186':{ 'id':186,'output':true,'number':'1449' },'187':{ 'id':187,'output':true,'number':'295' },'188':{ 'id':188,'output':true,'number':'295' },'189':{ 'id':189,'output':true,'number':'1811' },'190':{ 'id':190,'output':true,'number':'295' },'191':{ 'id':191,'output':true,'number':'1492' },'192':{ 'id':192,'output':true,'number':'1059' },'193':{ 'id':193,'output':true,'number':'1514' },'194':{ 'id':194,'output':true,'number':'1738' },'195':{ 'id':195,'output':true,'number':'1728' },'196':{ 'id':196,'output':true,'number':'1133' },'197':{ 'id':197,'output':true,'number':'1137' },'198':{ 'id':198,'output':true,'number':'1730' },'199':{ 'id':199,'output':true,'number':'295' },'200':{ 'id':200,'output':true,'number':'1300' },'201':{ 'id':201,'output':true,'number':'1069' },'202':{ 'id':202,'output':true,'number':'295' },'203':{ 'id':203,'output':true,'number':'295' },'204':{ 'id':204,'output':true,'number':'1108' },'205':{ 'id':205,'output':true,'number':'1796' },'206':{ 'id':206,'output':true,'number':'97' },'207':{ 'id':207,'output':true,'number':'1738' },'208':{ 'id':208,'output':true,'number':'1734' },'209':{ 'id':209,'output':true,'number':'1514' },'210':{ 'id':210,'output':true,'number':'295' },'211':{ 'id':211,'output':true,'number':'1395' },'212':{ 'id':212,'output':true,'number':'176' },'213':{ 'id':213,'output':true,'number':'1272' },'214':{ 'id':214,'output':true,'number':'1730' },'215':{ 'id':215,'output':true,'number':'916' },'216':{ 'id':216,'output':true,'number':'1796' },'217':{ 'id':217,'output':true,'number':'1732' },'218':{ 'id':218,'output':true,'number':'1736' },'219':{ 'id':219,'output':true,'number':'1477' },'220':{ 'id':220,'output':true,'number':'1466' },'221':{ 'id':221,'output':true,'number':'288' },'222':{ 'id':222,'output':true,'number':'1730' },'223':{ 'id':223,'output':true,'number':'1365' },'224':{ 'id':224,'output':true,'number':'1154' },'225':{ 'id':225,'output':true,'number':'255' },'226':{ 'id':226,'output':true,'number':'1401' },'227':{ 'id':227,'output':true,'number':'1679' },'228':{ 'id':228,'output':true,'number':'972' },'229':{ 'id':229,'output':true,'number':'1047' },'230':{ 'id':230,'output':true,'number':'1732' },'231':{ 'id':231,'output':true,'number':'295' },'232':{ 'id':232,'output':true,'number':'295' },'233':{ 'id':233,'output':true,'number':'955' },'234':{ 'id':234,'output':true,'number':'1112' },'235':{ 'id':235,'output':true,'number':'78' },'236':{ 'id':236,'output':true,'number':'1573' },'237':{ 'id':237,'output':true,'number':'255' },'238':{ 'id':238,'output':true,'number':'1582' },'239':{ 'id':239,'output':true,'number':'1020' },'240':{ 'id':240,'output':true,'number':'1734' },'241':{ 'id':241,'output':true,'number':'136' },'242':{ 'id':242,'output':true,'number':'1334' },'243':{ 'id':243,'output':true,'number':'295' },'244':{ 'id':244,'output':true,'number':'295' },'245':{ 'id':245,'output':true,'number':'1345' },'246':{ 'id':246,'output':true,'number':'703' },'247':{ 'id':247,'output':true,'number':'896' },'248':{ 'id':248,'output':true,'number':'1291' },'249':{ 'id':249,'output':true,'number':'1356' },'250':{ 'id':250,'output':true,'number':'1738' },'251':{ 'id':251,'output':true,'number':'295' },'252':{ 'id':252,'output':true,'number':'255' },'253':{ 'id':253,'output':true,'number':'1728' },'254':{ 'id':254,'output':true,'number':'93' },'255':{ 'id':255,'output':true,'number':'1738' },'256':{ 'id':256,'output':true,'number':'1738' },'257':{ 'id':257,'output':true,'number':'1736' },'258':{ 'id':258,'output':true,'number':'1728' },'259':{ 'id':259,'output':true,'number':'255' },'260':{ 'id':260,'output':true,'number':'721' },'261':{ 'id':261,'output':true,'number':'1751' },'262':{ 'id':262,'output':true,'number':'791' },'263':{ 'id':263,'output':true,'number':'1417' },'264':{ 'id':264,'output':true,'number':'1728' },'265':{ 'id':265,'output':true,'number':'295' },'266':{ 'id':266,'output':true,'number':'580' },'267':{ 'id':267,'output':true,'number':'1728' },'268':{ 'id':268,'output':true,'number':'274' },'269':{ 'id':269,'output':true,'number':'1736' },'270':{ 'id':270,'output':true,'number':'569' },'271':{ 'id':271,'output':true,'number':'295' },'272':{ 'id':272,'output':true,'number':'928' },'273':{ 'id':273,'output':true,'number':'1142' },'274':{ 'id':274,'output':true,'number':'1811' },'275':{ 'id':275,'output':true,'number':'295' },'276':{ 'id':276,'output':true,'number':'703' },'277':{ 'id':277,'output':true,'number':'218' },'278':{ 'id':278,'output':true,'number':'1730' },'279':{ 'id':279,'output':true,'number':'255' },'280':{ 'id':280,'output':true,'number':'331' },'281':{ 'id':281,'output':true,'number':'1032' },'282':{ 'id':282,'output':true,'number':'1091' },'283':{ 'id':283,'output':true,'number':'295' },'284':{ 'id':284,'output':true,'number':'255' },'285':{ 'id':285,'output':true,'number':'1403' },'286':{ 'id':286,'output':true,'number':'295' },'287':{ 'id':287,'output':true,'number':'628' },'288':{ 'id':288,'output':true,'number':'255' },'289':{ 'id':289,'output':true,'number':'1359' },'290':{ 'id':290,'output':true,'number':'720' },'291':{ 'id':291,'output':true,'number':'1382' },'292':{ 'id':292,'output':true,'number':'255' },'293':{ 'id':293,'output':true,'number':'295' },'294':{ 'id':294,'output':true,'number':'255' },'295':{ 'id':295,'output':true,'number':'1230' },'296':{ 'id':296,'output':true,'number':'1191' },'297':{ 'id':297,'output':true,'number':'1289' },'298':{ 'id':298,'output':true,'number':'295' },'299':{ 'id':299,'output':true,'number':'255' },'300':{ 'id':300,'output':true,'number':'1802' },'301':{ 'id':301,'output':true,'number':'295' },'302':{ 'id':302,'output':true,'number':'1049' },'303':{ 'id':303,'output':true,'number':'1714' },'304':{ 'id':304,'output':true,'number':'1201' },'305':{ 'id':305,'output':true,'number':'10' },'306':{ 'id':306,'output':true,'number':'1148' },'307':{ 'id':307,'output':true,'number':'817' },'308':{ 'id':308,'output':true,'number':'331' },'309':{ 'id':309,'output':true,'number':'1050' },'310':{ 'id':310,'output':true,'number':'1734' },'311':{ 'id':311,'output':true,'number':'295' },'312':{ 'id':312,'output':true,'number':'1083' },'313':{ 'id':313,'output':true,'number':'711' },'314':{ 'id':314,'output':true,'number':'818' },'315':{ 'id':315,'output':true,'number':'1734' },'316':{ 'id':316,'output':true,'number':'295' },'317':{ 'id':317,'output':true,'number':'255' },'318':{ 'id':318,'output':true,'number':'1088' },'319':{ 'id':319,'output':true,'number':'1208' },'320':{ 'id':320,'output':true,'number':'1736' },'321':{ 'id':321,'output':true,'number':'295' },'322':{ 'id':322,'output':true,'number':'1212' },'323':{ 'id':323,'output':true,'number':'255' },'324':{ 'id':324,'output':true,'number':'1044' },'325':{ 'id':325,'output':true,'number':'1736' },'326':{ 'id':326,'output':true,'number':'295' },'327':{ 'id':327,'output':true,'number':'295' },'328':{ 'id':328,'output':true,'number':'1732' },'329':{ 'id':329,'output':true,'number':'295' },'330':{ 'id':330,'output':true,'number':'255' },'331':{ 'id':331,'output':true,'number':'1357' },'332':{ 'id':332,'output':true,'number':'1222' },'333':{ 'id':333,'output':true,'number':'4' },'334':{ 'id':334,'output':true,'number':'295' },'335':{ 'id':335,'output':true,'number':'255' },'336':{ 'id':336,'output':true,'number':'295' },'337':{ 'id':337,'output':true,'number':'1738' },'338':{ 'id':338,'output':true,'number':'1587' },'339':{ 'id':339,'output':true,'number':'1298' },'340':{ 'id':340,'output':true,'number':'295' },'341':{ 'id':341,'output':true,'number':'1115' },'342':{ 'id':342,'output':true,'number':'295' },'343':{ 'id':343,'output':true,'number':'713' },'344':{ 'id':344,'output':true,'number':'1805' },'345':{ 'id':345,'output':true,'number':'1707' },'346':{ 'id':346,'output':true,'number':'1728' },'347':{ 'id':347,'output':true,'number':'295' },'348':{ 'id':348,'output':true,'number':'758' },'349':{ 'id':349,'output':true,'number':'1398' },'350':{ 'id':350,'output':true,'number':'1818' },'351':{ 'id':351,'output':true,'number':'331' },'352':{ 'id':352,'output':true,'number':'1149' },'353':{ 'id':353,'output':true,'number':'360' },'354':{ 'id':354,'output':true,'number':'1564' },'355':{ 'id':355,'output':true,'number':'1048' },'356':{ 'id':356,'output':true,'number':'255' },'357':{ 'id':357,'output':true,'number':'882' },'358':{ 'id':358,'output':true,'number':'255' },'359':{ 'id':359,'output':true,'number':'295' },'360':{ 'id':360,'output':true,'number':'1730' },'361':{ 'id':361,'output':true,'number':'295' },'362':{ 'id':362,'output':true,'number':'1786' },'363':{ 'id':363,'output':true,'number':'555' },'364':{ 'id':364,'output':true,'number':'295' },'365':{ 'id':365,'output':true,'number':'1514' },'366':{ 'id':366,'output':true,'number':'295' },'367':{ 'id':367,'output':true,'number':'255' },'368':{ 'id':368,'output':true,'number':'1355' },'369':{ 'id':369,'output':true,'number':'1736' },'370':{ 'id':370,'output':true,'number':'1730' },'371':{ 'id':371,'output':true,'number':'764' },'372':{ 'id':372,'output':true,'number':'1159' },'373':{ 'id':373,'output':true,'number':'295' },'374':{ 'id':374,'output':true,'number':'1732' },'375':{ 'id':375,'output':true,'number':'1734' },'376':{ 'id':376,'output':true,'number':'255' },'377':{ 'id':377,'output':true,'number':'295' },'378':{ 'id':378,'output':true,'number':'331' },'379':{ 'id':379,'output':true,'number':'295' },'380':{ 'id':380,'output':true,'number':'1293' },'381':{ 'id':381,'output':true,'number':'325' },'382':{ 'id':382,'output':true,'number':'255' },'383':{ 'id':383,'output':true,'number':'1738' },'384':{ 'id':384,'output':true,'number':'1796' },'385':{ 'id':385,'output':true,'number':'905' },'386':{ 'id':386,'output':true,'number':'1441' },'387':{ 'id':387,'output':true,'number':'1435' },'388':{ 'id':388,'output':true,'number':'1732' },'389':{ 'id':389,'output':true,'number':'255' },'390':{ 'id':390,'output':true,'number':'1734' },'391':{ 'id':391,'output':true,'number':'959' },'392':{ 'id':392,'output':true,'number':'295' },'393':{ 'id':393,'output':true,'number':'891' },'394':{ 'id':394,'output':true,'number':'695' },'395':{ 'id':395,'output':true,'number':'2' },'396':{ 'id':396,'output':true,'number':'1340' },'397':{ 'id':397,'output':true,'number':'255' },'398':{ 'id':398,'output':true,'number':'255' },'399':{ 'id':399,'output':true,'number':'1600' },'400':{ 'id':400,'output':true,'number':'255' },'401':{ 'id':401,'output':true,'number':'255' },'402':{ 'id':402,'output':true,'number':'1530' },'403':{ 'id':403,'output':true,'number':'255' },'404':{ 'id':404,'output':true,'number':'255' },'405':{ 'id':405,'output':true,'number':'255' },'406':{ 'id':406,'output':true,'number':'255' },'407':{ 'id':407,'output':true,'number':'255' },'408':{ 'id':408,'output':true,'number':'255' },'409':{ 'id':409,'output':true,'number':'1441' },'410':{ 'id':410,'output':true,'number':'295' },'411':{ 'id':411,'output':true,'number':'1731' },'412':{ 'id':412,'output':true,'number':'1607' },'413':{ 'id':413,'output':true,'number':'295' },'414':{ 'id':414,'output':true,'number':'255' },'415':{ 'id':415,'output':true,'number':'1166' },'416':{ 'id':416,'output':true,'number':'1730' },'417':{ 'id':417,'output':true,'number':'295' },'418':{ 'id':418,'output':true,'number':'255' },'419':{ 'id':419,'output':true,'number':'255' },'420':{ 'id':420,'output':true,'number':'815' },'421':{ 'id':421,'output':true,'number':'255' },'422':{ 'id':422,'output':true,'number':'295' },'423':{ 'id':423,'output':true,'number':'255' },'424':{ 'id':424,'output':true,'number':'893' },'425':{ 'id':425,'output':true,'number':'933' },'426':{ 'id':426,'output':true,'number':'295' },'427':{ 'id':427,'output':true,'number':'255' },'428':{ 'id':428,'output':true,'number':'1459' },'429':{ 'id':429,'output':true,'number':'255' },'430':{ 'id':430,'output':true,'number':'1734' },'431':{ 'id':431,'output':true,'number':'255' },'432':{ 'id':432,'output':true,'number':'255' },'433':{ 'id':433,'output':true,'number':'255' },'434':{ 'id':434,'output':true,'number':'255' },'435':{ 'id':435,'output':true,'number':'331' },'436':{ 'id':436,'output':true,'number':'255' },'437':{ 'id':437,'output':true,'number':'777' },'438':{ 'id':438,'output':true,'number':'1484' },'439':{ 'id':439,'output':true,'number':'1730' },'440':{ 'id':440,'output':true,'number':'255' },'441':{ 'id':441,'output':true,'number':'255' },'442':{ 'id':442,'output':true,'number':'255' },'443':{ 'id':443,'output':true,'number':'255' },'444':{ 'id':444,'output':true,'number':'295' },'445':{ 'id':445,'output':true,'number':'509' },'446':{ 'id':446,'output':true,'number':'255' },'447':{ 'id':447,'output':true,'number':'255' },'448':{ 'id':448,'output':true,'number':'295' },'449':{ 'id':449,'output':true,'number':'255' },'450':{ 'id':450,'output':true,'number':'255' },'451':{ 'id':451,'output':true,'number':'255' },'452':{ 'id':452,'output':true,'number':'255' },'453':{ 'id':453,'output':true,'number':'1886' },'454':{ 'id':454,'output':true,'number':'1190' },'455':{ 'id':455,'output':true,'number':'640' },'456':{ 'id':456,'output':true,'number':'86' },'457':{ 'id':457,'output':true,'number':'255' },'458':{ 'id':458,'output':true,'number':'255' },'459':{ 'id':459,'output':true,'number':'255' },'460':{ 'id':460,'output':true,'number':'255' },'461':{ 'id':461,'output':true,'number':'295' },'462':{ 'id':462,'output':true,'number':'255' },'463':{ 'id':463,'output':true,'number':'374' },'464':{ 'id':464,'output':true,'number':'1689' },'465':{ 'id':465,'output':true,'number':'295' },'466':{ 'id':466,'output':true,'number':'1236' },'467':{ 'id':467,'output':true,'number':'255' },'468':{ 'id':468,'output':true,'number':'255' },'469':{ 'id':469,'output':true,'number':'255' },'470':{ 'id':470,'output':true,'number':'255' },'471':{ 'id':471,'output':true,'number':'255' },'472':{ 'id':472,'output':true,'number':'255' },'473':{ 'id':473,'output':true,'number':'255' },'474':{ 'id':474,'output':true,'number':'255' },'475':{ 'id':475,'output':true,'number':'255' },'476':{ 'id':476,'output':true,'number':'255' },'477':{ 'id':477,'output':true,'number':'331' },'478':{ 'id':478,'output':true,'number':'255' },'479':{ 'id':479,'output':true,'number':'295' },'480':{ 'id':480,'output':true,'number':'255' },'481':{ 'id':481,'output':true,'number':'295' },'482':{ 'id':482,'output':true,'number':'255' },'483':{ 'id':483,'output':true,'number':'255' },'484':{ 'id':484,'output':true,'number':'255' },'485':{ 'id':485,'output':true,'number':'295' },'486':{ 'id':486,'output':true,'number':'331' },'487':{ 'id':487,'output':true,'number':'9' },'488':{ 'id':488,'output':true,'number':'1441' },'489':{ 'id':489,'output':true,'number':'195' },'490':{ 'id':490,'output':true,'number':'134' },'491':{ 'id':491,'output':true,'number':'295' },'492':{ 'id':492,'output':true,'number':'255' },'493':{ 'id':493,'output':true,'number':'255' },'494':{ 'id':494,'output':true,'number':'1274' },'495':{ 'id':495,'output':true,'number':'255' },'496':{ 'id':496,'output':true,'number':'255' },'497':{ 'id':497,'output':true,'number':'255' },'498':{ 'id':498,'output':true,'number':'1801' },'499':{ 'id':499,'output':true,'number':'255' },'500':{ 'id':500,'output':true,'number':'255' },'501':{ 'id':501,'output':true,'number':'732' },'502':{ 'id':502,'output':true,'number':'255' },'503':{ 'id':503,'output':true,'number':'1730' },'504':{ 'id':504,'output':true,'number':'255' },'505':{ 'id':505,'output':true,'number':'255' },'506':{ 'id':506,'output':true,'number':'255' },'507':{ 'id':507,'output':true,'number':'255' },'508':{ 'id':508,'output':true,'number':'1738' },'509':{ 'id':509,'output':true,'number':'1732' },'510':{ 'id':510,'output':true,'number':'915' },'511':{ 'id':511,'output':true,'number':'255' },'512':{ 'id':512,'output':true,'number':'295' },'513':{ 'id':513,'output':true,'number':'738' },'514':{ 'id':514,'output':true,'number':'1732' },'515':{ 'id':515,'output':true,'number':'295' },'516':{ 'id':516,'output':true,'number':'255' },'517':{ 'id':517,'output':true,'number':'295' },'518':{ 'id':518,'output':true,'number':'1730' },'519':{ 'id':519,'output':true,'number':'1275' },'520':{ 'id':520,'output':true,'number':'255' },'521':{ 'id':521,'output':true,'number':'761' },'522':{ 'id':522,'output':true,'number':'914' },'523':{ 'id':523,'output':true,'number':'255' },'524':{ 'id':524,'output':true,'number':'1249' },'525':{ 'id':525,'output':true,'number':'1732' },'526':{ 'id':526,'output':true,'number':'1736' },'527':{ 'id':527,'output':true,'number':'255' },'528':{ 'id':528,'output':true,'number':'255' },'529':{ 'id':529,'output':true,'number':'295' },'530':{ 'id':530,'output':true,'number':'1285' },'531':{ 'id':531,'output':true,'number':'255' },'532':{ 'id':532,'output':true,'number':'255' },'533':{ 'id':533,'output':true,'number':'1378' },'534':{ 'id':534,'output':true,'number':'1339' },'535':{ 'id':535,'output':true,'number':'1715' },'536':{ 'id':536,'output':true,'number':'961' },'537':{ 'id':537,'output':true,'number':'980' },'538':{ 'id':538,'output':true,'number':'255' },'539':{ 'id':539,'output':true,'number':'255' },'540':{ 'id':540,'output':true,'number':'255' },'541':{ 'id':541,'output':true,'number':'294' },'542':{ 'id':542,'output':true,'number':'1451' },'543':{ 'id':543,'output':true,'number':'255' },'544':{ 'id':544,'output':true,'number':'1514' },'545':{ 'id':545,'output':true,'number':'1394' },'546':{ 'id':546,'output':true,'number':'1562' },'547':{ 'id':547,'output':true,'number':'709' },'548':{ 'id':548,'output':true,'number':'1514' },'549':{ 'id':549,'output':true,'number':'937' },'550':{ 'id':550,'output':true,'number':'1166' },'551':{ 'id':551,'output':true,'number':'1530' },'552':{ 'id':552,'output':true,'number':'295' },'553':{ 'id':553,'output':true,'number':'1425' },'554':{ 'id':554,'output':true,'number':'1734' },'555':{ 'id':555,'output':true,'number':'827' },'556':{ 'id':556,'output':true,'number':'1697' },'557':{ 'id':557,'output':true,'number':'1578' },'558':{ 'id':558,'output':true,'number':'295' },'559':{ 'id':559,'output':true,'number':'1728' },'560':{ 'id':560,'output':true,'number':'331' },'561':{ 'id':561,'output':true,'number':'295' },'562':{ 'id':562,'output':true,'number':'255' },'563':{ 'id':563,'output':true,'number':'1732' },'564':{ 'id':564,'output':true,'number':'255' },'565':{ 'id':565,'output':true,'number':'236' },'566':{ 'id':566,'output':true,'number':'1403' },'567':{ 'id':567,'output':true,'number':'255' },'568':{ 'id':568,'output':true,'number':'255' },'569':{ 'id':569,'output':true,'number':'50' },'570':{ 'id':570,'output':true,'number':'1290' },'571':{ 'id':571,'output':true,'number':'295' },'572':{ 'id':572,'output':true,'number':'255' },'573':{ 'id':573,'output':true,'number':'295' },'574':{ 'id':574,'output':true,'number':'1514' },'575':{ 'id':575,'output':true,'number':'295' },'576':{ 'id':576,'output':true,'number':'773' },'577':{ 'id':577,'output':true,'number':'892' },'578':{ 'id':578,'output':true,'number':'628' },'579':{ 'id':579,'output':true,'number':'1375' },'580':{ 'id':580,'output':true,'number':'1282' },'581':{ 'id':581,'output':true,'number':'1802' },'582':{ 'id':582,'output':true,'number':'1280' },'583':{ 'id':583,'output':true,'number':'295' },'584':{ 'id':584,'output':true,'number':'295' },'585':{ 'id':585,'output':true,'number':'295' },'586':{ 'id':586,'output':true,'number':'1730' },'587':{ 'id':587,'output':true,'number':'104' },'588':{ 'id':588,'output':true,'number':'1768' },'589':{ 'id':589,'output':true,'number':'1667' },'590':{ 'id':590,'output':true,'number':'295' },'591':{ 'id':591,'output':true,'number':'1476' },'592':{ 'id':592,'output':true,'number':'1562' },'593':{ 'id':593,'output':true,'number':'255' },'594':{ 'id':594,'output':true,'number':'1738' },'595':{ 'id':595,'output':true,'number':'255' },'596':{ 'id':596,'output':true,'number':'295' },'597':{ 'id':597,'output':true,'number':'1558' },'598':{ 'id':598,'output':true,'number':'1514' },'599':{ 'id':599,'output':true,'number':'1283' },'600':{ 'id':600,'output':true,'number':'255' },'601':{ 'id':601,'output':true,'number':'1728' },'602':{ 'id':602,'output':true,'number':'202' },'603':{ 'id':603,'output':true,'number':'295' },'604':{ 'id':604,'output':true,'number':'255' },'605':{ 'id':605,'output':true,'number':'255' },'606':{ 'id':606,'output':true,'number':'165' },'607':{ 'id':607,'output':true,'number':'1419' },'608':{ 'id':608,'output':true,'number':'255' },'609':{ 'id':609,'output':true,'number':'255' },'610':{ 'id':610,'output':true,'number':'255' },'611':{ 'id':611,'output':true,'number':'1738' },'612':{ 'id':612,'output':true,'number':'923' },'613':{ 'id':613,'output':true,'number':'255' },'614':{ 'id':614,'output':true,'number':'295' },'615':{ 'id':615,'output':true,'number':'255' },'616':{ 'id':616,'output':true,'number':'255' },'617':{ 'id':617,'output':true,'number':'1381' },'618':{ 'id':618,'output':true,'number':'295' },'619':{ 'id':619,'output':true,'number':'255' },'620':{ 'id':620,'output':true,'number':'1738' },'621':{ 'id':621,'output':true,'number':'1054' },'622':{ 'id':622,'output':true,'number':'1415' },'623':{ 'id':623,'output':true,'number':'255' },'624':{ 'id':624,'output':true,'number':'962' },'625':{ 'id':625,'output':true,'number':'255' },'626':{ 'id':626,'output':true,'number':'255' },'627':{ 'id':627,'output':true,'number':'255' },'628':{ 'id':628,'output':true,'number':'1059' },'629':{ 'id':629,'output':true,'number':'295' },'630':{ 'id':630,'output':true,'number':'255' },'631':{ 'id':631,'output':true,'number':'1210' },'632':{ 'id':632,'output':true,'number':'1371' },'633':{ 'id':633,'output':true,'number':'1799' },'634':{ 'id':634,'output':true,'number':'1732' },'635':{ 'id':635,'output':true,'number':'295' },'636':{ 'id':636,'output':true,'number':'295' },'637':{ 'id':637,'output':true,'number':'1703' },'638':{ 'id':638,'output':true,'number':'295' },'639':{ 'id':639,'output':true,'number':'1366' },'640':{ 'id':640,'output':true,'number':'555' },'641':{ 'id':641,'output':true,'number':'1810' },'642':{ 'id':642,'output':true,'number':'1019' },'643':{ 'id':643,'output':true,'number':'295' },'644':{ 'id':644,'output':true,'number':'719' },'645':{ 'id':645,'output':true,'number':'1795' },'646':{ 'id':646,'output':true,'number':'1298' },'647':{ 'id':647,'output':true,'number':'1734' },'648':{ 'id':648,'output':true,'number':'703' },'649':{ 'id':649,'output':true,'number':'278' },'650':{ 'id':650,'output':true,'number':'1110' },'651':{ 'id':651,'output':true,'number':'779' },'652':{ 'id':652,'output':true,'number':'1318' },'653':{ 'id':653,'output':true,'number':'48' },'654':{ 'id':654,'output':true,'number':'1514' },'655':{ 'id':655,'output':true,'number':'860' },'656':{ 'id':656,'output':true,'number':'1806' },'657':{ 'id':657,'output':true,'number':'295' },'658':{ 'id':658,'output':true,'number':'984' },'659':{ 'id':659,'output':true,'number':'968' },'660':{ 'id':660,'output':true,'number':'1245' },'661':{ 'id':661,'output':true,'number':'988' },'662':{ 'id':662,'output':true,'number':'1092' },'663':{ 'id':663,'output':true,'number':'1378' },'664':{ 'id':664,'output':true,'number':'750' },'665':{ 'id':665,'output':true,'number':'423' },'666':{ 'id':666,'output':true,'number':'295' },'667':{ 'id':667,'output':true,'number':'295' },'668':{ 'id':668,'output':true,'number':'1511' },'669':{ 'id':669,'output':true,'number':'1057' },'670':{ 'id':670,'output':true,'number':'8' },'671':{ 'id':671,'output':true,'number':'1824' },'672':{ 'id':672,'output':true,'number':'795' },'673':{ 'id':673,'output':true,'number':'1219' },'674':{ 'id':674,'output':true,'number':'1059' },'675':{ 'id':675,'output':true,'number':'1132' },'676':{ 'id':676,'output':true,'number':'295' },'677':{ 'id':677,'output':true,'number':'295' },'678':{ 'id':678,'output':true,'number':'703' },'679':{ 'id':679,'output':true,'number':'44' },'680':{ 'id':680,'output':true,'number':'747' },'681':{ 'id':681,'output':true,'number':'1514' },'682':{ 'id':682,'output':true,'number':'1183' },'683':{ 'id':683,'output':true,'number':'295' },'684':{ 'id':684,'output':true,'number':'295' },'685':{ 'id':685,'output':true,'number':'329' },'686':{ 'id':686,'output':true,'number':'1362' },'687':{ 'id':687,'output':true,'number':'1336' },'688':{ 'id':688,'output':true,'number':'1730' },'689':{ 'id':689,'output':true,'number':'769' },'690':{ 'id':690,'output':true,'number':'1192' },'691':{ 'id':691,'output':true,'number':'1728' },'692':{ 'id':692,'output':true,'number':'1194' },'693':{ 'id':693,'output':true,'number':'1811' },'694':{ 'id':694,'output':true,'number':'1557' },'695':{ 'id':695,'output':true,'number':'959' },'696':{ 'id':696,'output':true,'number':'1699' },'697':{ 'id':697,'output':true,'number':'295' },'698':{ 'id':698,'output':true,'number':'1732' },'699':{ 'id':699,'output':true,'number':'295' },'700':{ 'id':700,'output':true,'number':'1766' },'701':{ 'id':701,'output':true,'number':'295' },'702':{ 'id':702,'output':true,'number':'295' },'703':{ 'id':703,'output':true,'number':'1806' },'704':{ 'id':704,'output':true,'number':'242' },'705':{ 'id':705,'output':true,'number':'295' },'706':{ 'id':706,'output':true,'number':'1736' },'707':{ 'id':707,'output':true,'number':'894' },'708':{ 'id':708,'output':true,'number':'1579' },'709':{ 'id':709,'output':true,'number':'1369' },'710':{ 'id':710,'output':true,'number':'920' },'711':{ 'id':711,'output':true,'number':'295' },'712':{ 'id':712,'output':true,'number':'46' },'713':{ 'id':713,'output':true,'number':'295' },'714':{ 'id':714,'output':true,'number':'116' },'715':{ 'id':715,'output':true,'number':'60' },'716':{ 'id':716,'output':true,'number':'1130' },'717':{ 'id':717,'output':true,'number':'1736' },'718':{ 'id':718,'output':true,'number':'295' },'719':{ 'id':719,'output':true,'number':'1728' },'720':{ 'id':720,'output':true,'number':'1139' },'721':{ 'id':721,'output':true,'number':'6' },'722':{ 'id':722,'output':true,'number':'84' },'723':{ 'id':723,'output':true,'number':'1736' },'724':{ 'id':724,'output':true,'number':'1059' },'725':{ 'id':725,'output':true,'number':'1811' },'726':{ 'id':726,'output':true,'number':'701' },'727':{ 'id':727,'output':true,'number':'1561' },'728':{ 'id':728,'output':true,'number':'825' },'729':{ 'id':729,'output':true,'number':'1738' },'730':{ 'id':730,'output':true,'number':'1218' },'731':{ 'id':731,'output':true,'number':'1294' },'732':{ 'id':732,'output':true,'number':'734' },'733':{ 'id':733,'output':true,'number':'1829' },'734':{ 'id':734,'output':true,'number':'1732' },'735':{ 'id':735,'output':true,'number':'1732' },'736':{ 'id':736,'output':true,'number':'1265' },'737':{ 'id':737,'output':true,'number':'1032' },'738':{ 'id':738,'output':true,'number':'1304' },'739':{ 'id':739,'output':true,'number':'295' },'740':{ 'id':740,'output':true,'number':'823' },'741':{ 'id':741,'output':true,'number':'705' },'742':{ 'id':742,'output':true,'number':'769' },'743':{ 'id':743,'output':true,'number':'118' },'744':{ 'id':744,'output':true,'number':'1376' },'745':{ 'id':745,'output':true,'number':'1736' },'746':{ 'id':746,'output':true,'number':'295' },'747':{ 'id':747,'output':true,'number':'1736' },'748':{ 'id':748,'output':true,'number':'295' },'749':{ 'id':749,'output':true,'number':'223' },'750':{ 'id':750,'output':true,'number':'1734' },'751':{ 'id':751,'output':true,'number':'1728' },'752':{ 'id':752,'output':true,'number':'1728' },'753':{ 'id':753,'output':true,'number':'342' },'754':{ 'id':754,'output':true,'number':'1796' },'755':{ 'id':755,'output':true,'number':'295' },'756':{ 'id':756,'output':true,'number':'534' },'757':{ 'id':757,'output':true,'number':'1164' },'758':{ 'id':758,'output':true,'number':'1792' },'759':{ 'id':759,'output':true,'number':'1120' },'760':{ 'id':760,'output':true,'number':'295' },'761':{ 'id':761,'output':true,'number':'1758' },'762':{ 'id':762,'output':true,'number':'1063' },'763':{ 'id':763,'output':true,'number':'1802' },'764':{ 'id':764,'output':true,'number':'1106' },'765':{ 'id':765,'output':true,'number':'295' },'766':{ 'id':766,'output':true,'number':'1506' },'767':{ 'id':767,'output':true,'number':'1271' },'768':{ 'id':768,'output':true,'number':'935' },'769':{ 'id':769,'output':true,'number':'295' },'770':{ 'id':770,'output':true,'number':'723' },'771':{ 'id':771,'output':true,'number':'976' },'772':{ 'id':772,'output':true,'number':'120' },'773':{ 'id':773,'output':true,'number':'730' },'774':{ 'id':774,'output':true,'number':'295' },'775':{ 'id':775,'output':true,'number':'295' },'776':{ 'id':776,'output':true,'number':'211' },'777':{ 'id':777,'output':true,'number':'1720' },'778':{ 'id':778,'output':true,'number':'1268' },'779':{ 'id':779,'output':true,'number':'295' },'780':{ 'id':780,'output':true,'number':'1802' },'781':{ 'id':781,'output':true,'number':'1388' },'782':{ 'id':782,'output':true,'number':'1693' },'783':{ 'id':783,'output':true,'number':'295' },'784':{ 'id':784,'output':true,'number':'1421' },'785':{ 'id':785,'output':true,'number':'1180' },'786':{ 'id':786,'output':true,'number':'1536' },'787':{ 'id':787,'output':true,'number':'295' },'788':{ 'id':788,'output':true,'number':'639' },'789':{ 'id':789,'output':true,'number':'1196' },'790':{ 'id':790,'output':true,'number':'1399' },'791':{ 'id':791,'output':true,'number':'556' },'792':{ 'id':792,'output':true,'number':'255' },'793':{ 'id':793,'output':true,'number':'295' },'794':{ 'id':794,'output':true,'number':'295' },'795':{ 'id':795,'output':true,'number':'1261' },'796':{ 'id':796,'output':true,'number':'1502' },'797':{ 'id':797,'output':true,'number':'1330' },'798':{ 'id':798,'output':true,'number':'1204' },'799':{ 'id':799,'output':true,'number':'1736' },'800':{ 'id':800,'output':true,'number':'1738' },'801':{ 'id':801,'output':true,'number':'40' },'802':{ 'id':802,'output':true,'number':'1396' },'803':{ 'id':803,'output':true,'number':'18' },'804':{ 'id':804,'output':true,'number':'771' },'805':{ 'id':805,'output':true,'number':'1734' },'806':{ 'id':806,'output':true,'number':'1734' },'807':{ 'id':807,'output':true,'number':'1285' },'808':{ 'id':808,'output':true,'number':'255' },'809':{ 'id':809,'output':true,'number':'255' },'810':{ 'id':810,'output':true,'number':'703' },'811':{ 'id':811,'output':true,'number':'1223' },'812':{ 'id':812,'output':true,'number':'879' },'813':{ 'id':813,'output':true,'number':'255' },'814':{ 'id':814,'output':true,'number':'256' },'815':{ 'id':815,'output':true,'number':'255' },'816':{ 'id':816,'output':true,'number':'1253' },'817':{ 'id':817,'output':true,'number':'1734' },'818':{ 'id':818,'output':true,'number':'174' },'819':{ 'id':819,'output':true,'number':'885' },'820':{ 'id':820,'output':true,'number':'122' },'821':{ 'id':821,'output':true,'number':'1323' },'822':{ 'id':822,'output':true,'number':'939' },'823':{ 'id':823,'output':true,'number':'1072' },'824':{ 'id':824,'output':true,'number':'1734' },'825':{ 'id':825,'output':true,'number':'199' },'826':{ 'id':826,'output':true,'number':'255' },'827':{ 'id':827,'output':true,'number':'1049' },'828':{ 'id':828,'output':true,'number':'1732' },'829':{ 'id':829,'output':true,'number':'1732' },'830':{ 'id':830,'output':true,'number':'1728' },'831':{ 'id':831,'output':true,'number':'14' },'832':{ 'id':832,'output':true,'number':'741' },'833':{ 'id':833,'output':true,'number':'1102' },'834':{ 'id':834,'output':true,'number':'1257' },'835':{ 'id':835,'output':true,'number':'1059' },'836':{ 'id':836,'output':true,'number':'232' },'837':{ 'id':837,'output':true,'number':'1732' },'838':{ 'id':838,'output':true,'number':'1104' },'839':{ 'id':839,'output':true,'number':'3' },'840':{ 'id':840,'output':true,'number':'1162' },'841':{ 'id':841,'output':true,'number':'1212' },'842':{ 'id':842,'output':true,'number':'255' },'843':{ 'id':843,'output':true,'number':'1064' },'844':{ 'id':844,'output':true,'number':'255' },'845':{ 'id':845,'output':true,'number':'1732' },'846':{ 'id':846,'output':true,'number':'748' },'847':{ 'id':847,'output':true,'number':'295' },'848':{ 'id':848,'output':true,'number':'880' },'849':{ 'id':849,'output':true,'number':'56' },'850':{ 'id':850,'output':true,'number':'1379' },'851':{ 'id':851,'output':true,'number':'236' },'852':{ 'id':852,'output':true,'number':'295' },'853':{ 'id':853,'output':true,'number':'943' },'854':{ 'id':854,'output':true,'number':'254' },'855':{ 'id':855,'output':true,'number':'1449' },'856':{ 'id':856,'output':true,'number':'949' },'857':{ 'id':857,'output':true,'number':'295' },'858':{ 'id':858,'output':true,'number':'1281' },'859':{ 'id':859,'output':true,'number':'295' },'860':{ 'id':860,'output':true,'number':'1363' },'861':{ 'id':861,'output':true,'number':'89' },'862':{ 'id':862,'output':true,'number':'1385' },'863':{ 'id':863,'output':true,'number':'1734' },'864':{ 'id':864,'output':true,'number':'295' },'865':{ 'id':865,'output':true,'number':'1597' },'866':{ 'id':866,'output':true,'number':'295' },'867':{ 'id':867,'output':true,'number':'1836' },'868':{ 'id':868,'output':true,'number':'945' },'869':{ 'id':869,'output':true,'number':'1298' },'870':{ 'id':870,'output':true,'number':'1389' },'871':{ 'id':871,'output':true,'number':'1298' },'872':{ 'id':872,'output':true,'number':'1197' },'873':{ 'id':873,'output':true,'number':'1354' },'874':{ 'id':874,'output':true,'number':'1372' },'875':{ 'id':875,'output':true,'number':'1735' },'876':{ 'id':876,'output':true,'number':'791' },'877':{ 'id':877,'output':true,'number':'887' },'878':{ 'id':878,'output':true,'number':'898' },'879':{ 'id':879,'output':true,'number':'1342' },'880':{ 'id':880,'output':true,'number':'953' },'881':{ 'id':881,'output':true,'number':'1734' },'882':{ 'id':882,'output':true,'number':'1802' },'883':{ 'id':883,'output':true,'number':'715' },'884':{ 'id':884,'output':true,'number':'924' },'885':{ 'id':885,'output':true,'number':'1441' },'886':{ 'id':886,'output':true,'number':'1736' },'887':{ 'id':887,'output':true,'number':'1059' },'888':{ 'id':888,'output':true,'number':'1738' },'889':{ 'id':889,'output':true,'number':'1070' },'890':{ 'id':890,'output':true,'number':'1728' } },
        { 'type':'MultiLineString','coordinates':[[[-82.981705,39.967187,2],[-82.98164,39.967194,2],[-82.981062,39.967263,2],[-82.980273,39.967342,2],[-82.979299,39.967451,2],[-82.978513,39.967543,2],[-82.977825,39.967621,2],[-82.977585,39.967648,2],[-82.977166,39.967695,2],[-82.975909,39.967835,2],[-82.975826,39.967844,2],[-82.975051,39.967929,2],[-82.974738,39.967966,2],[-82.974273,39.968018,2],[-82.973596,39.968093,2],[-82.972728,39.968196,2],[-82.97244,39.968231,2],[-82.971252,39.968358,2],[-82.969984,39.96851,2],[-82.969317,39.968583,2],[-82.968381,39.968688,2]],[[-82.968381,39.968688,2],[-82.967027,39.968846,2],[-82.966044,39.968956,2],[-82.965702,39.968993,2],[-82.965588,39.969002,2],[-82.965413,39.969003,2],[-82.965208,39.968993,2],[-82.964301,39.96895,2],[-82.963813,39.96893,2],[-82.963669,39.968923,2],[-82.96199,39.96884,2],[-82.961583,39.968823,2],[-82.959814,39.968732,2],[-82.958673,39.968673,2],[-82.95741,39.968608,2],[-82.956712,39.968573,2],[-82.955833,39.968529,2],[-82.955491,39.968525,2],[-82.955196,39.96855,2],[-82.954891,39.968604,2],[-82.954592,39.968658,2],[-82.954106,39.968744,2],[-82.953976,39.968759,2],[-82.953531,39.968812,2],[-82.952596,39.968917,2],[-82.952053,39.968979,2]],[[-82.982673,39.967079,2],[-82.982294,39.967115,2],[-82.981705,39.967187,2]],[[-82.98282,39.967062,2],[-82.982673,39.967079,2]],[[-82.983925,39.966928,2],[-82.98282,39.967062,2]],[[-83.001169,39.96494,2],[-83.000268,39.965044,2],[-82.99938,39.965147,2],[-82.999229,39.965164,2],[-82.998505,39.965248,2]],[[-82.98396,39.966924,2],[-82.983925,39.966928,2]],[[-82.990468,39.966197,2],[-82.98951,39.966307,2],[-82.989262,39.966336,2],[-82.988896,39.966378,2],[-82.988746,39.966395,2],[-82.987613,39.966527,2],[-82.98721,39.966574,2],[-82.986959,39.966604,2],[-82.986685,39.966636,2],[-82.986085,39.966707,2],[-82.985939,39.966712,2],[-82.985836,39.966721,2],[-82.985684,39.966732,2],[-82.984929,39.966818,2],[-82.98396,39.966924,2]],[[-82.996768,39.965443,2],[-82.996061,39.965527,2],[-82.995904,39.965545,2],[-82.995406,39.965603,2],[-82.994919,39.965657,2],[-82.994066,39.965758,2],[-82.99382,39.965784,2],[-82.992838,39.965898,2],[-82.992719,39.965912,2],[-82.992226,39.965972,2],[-82.99217,39.965979,2],[-82.991587,39.966073,2],[-82.991477,39.966085,2],[-82.991024,39.966137,2],[-82.990552,39.966187,2],[-82.990468,39.966197,2]],[[-82.998505,39.965248,2],[-82.997642,39.965345,2],[-82.996768,39.965443,2]],[[-82.952053,39.968979,2],[-82.950256,39.969177,2]]] },
        { 'type':'MultiPoint','coordinates':[[-82.967928,39.969044,1],[-82.997858,39.965519,2],[-82.955,39.968307,3],[-82.974059,39.968262,4],[-82.963026,39.968742,5],[-82.960813,39.969075,6],[-82.972009,39.967987,7],[-82.977671,39.967514,8],[-82.972932,39.967876,9],[-82.993616,39.965448,10],[-82.959286,39.969001,11],[-82.954585,39.969858,12],[-82.954659,39.970002,13],[-82.97275,39.96842,14],[-82.956456,39.96832,15],[-82.956187,39.968217,16],[-82.993069,39.965627,17],[-82.992969,39.965628,18],[-82.970605,39.968212,19],[-82.980748,39.967171,20],[-82.959286,39.969001,21],[-82.981187,39.967366,22],[-82.99516,39.965421,23],[-82.993347,39.965579,24],[-82.960813,39.969075,25],[-82.955906,39.96821,26],[-82.967307,39.969115,27],[-82.993256,39.965454,28],[-82.975603,39.968143,29],[-82.996283,39.965339,30],[-82.954657,39.969285,31],[-82.954142,39.968885,32],[-82.980782,39.967061,33],[-82.954921,39.969346,34],[-82.980038,39.967106,35],[-82.992576,39.965802,36],[-82.973428,39.968415,37],[-82.963057,39.968743,38],[-82.992826,39.965643,39],[-82.993334,39.965703,40],[-82.961274,39.969095,41],[-82.969428,39.968859,42],[-82.980038,39.967106,43],[-82.986123,39.96693,44],[-82.974438,39.967867,45],[-82.954737,39.969383,46],[-82.975752,39.967991,47],[-82.967321,39.968489,48],[-82.954732,39.968925,49],[-82.993261,39.965528,50],[-82.960617,39.969064,51],[-82.98511,39.966954,52],[-82.972932,39.967876,53],[-82.992849,39.965728,54],[-82.993055,39.965586,55],[-82.972875,39.968413,56],[-82.960617,39.969064,57],[-82.965527,39.968672,58],[-82.963157,39.968749,59],[-82.965713,39.968679,60],[-82.993148,39.965485,61],[-82.954553,39.970087,62],[-82.953652,39.968949,63],[-82.954597,39.969767,64],[-82.954436,39.968858,65],[-82.979536,39.967298,66],[-82.954852,39.969294,67],[-82.978035,39.967482,68],[-82.970808,39.968714,69],[-82.954597,39.969767,70],[-82.95484,39.969388,71],[-82.954653,39.968844,72],[-82.984291,39.966718,73],[-82.979671,39.967267,74],[-82.954569,39.968358,75],[-82.954749,39.970098,76],[-82.99347,39.965407,77],[-82.995965,39.965717,78],[-82.992856,39.965749,79],[-82.992824,39.965622,80],[-82.954709,39.969613,81],[-82.986123,39.96693,82],[-82.993976,39.965959,83],[-82.995534,39.965364,84],[-83.000732,39.964862,85],[-82.976632,39.967916,86],[-82.96587,39.968684,87],[-82.953203,39.969011,88],[-82.954761,39.970005,89],[-82.970723,39.968204,90],[-82.95562,39.968225,91],[-82.960121,39.969017,92],[-82.970355,39.968771,93],[-82.97068,39.968731,94],[-82.952916,39.968655,95],[-82.999904,39.965479,96],[-82.993477,39.965467,97],[-82.964796,39.969254,98],[-82.981971,39.967008,99],[-82.993148,39.966006,100],[-82.982417,39.966988,101],[-82.977422,39.96754,102],[-82.952868,39.96874,103],[-82.969674,39.968845,104],[-82.999871,39.964728,105],[-82.962144,39.968542,106],[-82.98433,39.96719,107],[-82.954657,39.969285,108],[-82.963573,39.968752,109],[-82.973015,39.968461,110],[-82.986679,39.966417,111],[-82.969079,39.968323,112],[-82.980119,39.967482,113],[-82.996218,39.96565,114],[-82.968954,39.968334,115],[-82.954653,39.968844,116],[-82.965214,39.968678,117],[-82.982296,39.966833,118],[-82.999933,39.965481,119],[-82.96637,39.96922,120],[-82.952933,39.968734,121],[-82.97043,39.968218,122],[-82.965018,39.969264,123],[-82.976334,39.967544,124],[-82.977049,39.967862,125],[-82.958511,39.968356,126],[-82.969556,39.96826,127],[-82.968073,39.968453,128],[-82.994199,39.965508,129],[-82.952925,39.969037,130],[-82.954852,39.969294,131],[-82.960813,39.969075,132],[-82.989991,39.965972,133],[-82.969079,39.968323,134],[-82.993527,39.965659,135],[-82.965418,39.969256,136],[-82.967945,39.968459,137],[-82.994591,39.965513,138],[-82.969674,39.968845,139],[-82.994482,39.96547,140],[-82.972932,39.967876,141],[-82.955503,39.968247,142],[-82.971517,39.968626,143],[-82.96274,39.968705,144],[-82.959036,39.968379,145],[-82.95415,39.968873,146],[-82.952925,39.969037,147],[-82.954746,39.970098,148],[-82.980487,39.967538,149],[-82.994193,39.965509,150],[-82.977896,39.967477,151],[-82.972021,39.968486,152],[-82.965527,39.968672,153],[-82.952925,39.969037,154],[-82.972115,39.96842,155],[-82.99315,39.965704,156],[-82.992911,39.965443,157],[-82.992926,39.965534,158],[-82.962882,39.968718,159],[-82.954715,39.970348,160],[-82.954613,39.970343,161],[-82.967321,39.968489,162],[-82.993539,39.965679,163],[-82.959346,39.968389,164],[-82.978249,39.967413,165],[-82.95452,39.970336,166],[-82.981315,39.967351,167],[-82.993398,39.965545,168],[-82.954625,39.970252,169],[-82.965713,39.968679,170],[-82.954637,39.968996,171],[-82.993532,39.965658,172],[-82.960813,39.969075,173],[-82.96796,39.968607,174],[-82.993655,39.965633,175],[-82.966993,39.969149,176],[-82.993483,39.965488,177],[-82.954701,39.968804,178],[-82.972252,39.968066,179],[-82.993591,39.965381,180],[-82.954613,39.970343,181],[-82.962772,39.968671,182],[-82.972579,39.967922,183],[-82.992236,39.965756,184],[-82.979161,39.967285,185],[-82.9626,39.9687,186],[-82.993354,39.9656,187],[-82.993596,39.96538,188],[-82.952768,39.968666,189],[-82.992924,39.965484,190],[-82.961434,39.969102,191],[-82.972932,39.967876,192],[-82.960813,39.969075,193],[-82.95452,39.970336,194],[-82.954722,39.969001,195],[-82.970951,39.968192,196],[-82.970833,39.968198,197],[-82.954657,39.969285,198],[-82.993172,39.96556,199],[-82.966744,39.969178,200],[-82.972693,39.967896,201],[-82.993487,39.965588,202],[-82.993475,39.965394,203],[-82.971803,39.968595,204],[-82.953203,39.969011,205],[-82.980009,39.967095,206],[-82.954727,39.970254,207],[-82.95469,39.969774,208],[-82.960813,39.969075,209],[-82.993617,39.965469,210],[-82.964075,39.968786,211],[-82.996369,39.965641,212],[-82.967421,39.969101,213],[-82.954644,39.969376,214],[-82.976871,39.967871,215],[-82.953203,39.969011,216],[-82.954628,39.969515,217],[-82.954761,39.970005,218],[-82.961759,39.968552,219],[-82.962148,39.969127,220],[-82.993391,39.965991,221],[-82.954737,39.969383,222],[-82.964889,39.968663,223],[-82.970484,39.968759,224],[-82.993915,39.965392,225],[-82.963842,39.968774,226],[-82.95632,39.968269,227],[-82.975378,39.968177,228],[-82.973347,39.968028,229],[-82.954823,39.969524,230],[-82.993115,39.965601,231],[-82.993115,39.965601,232],[-82.975707,39.967659,233],[-82.971646,39.968612,234],[-82.999055,39.965524,235],[-82.959189,39.968381,236],[-82.994072,39.965578,237],[-82.958975,39.968986,238],[-82.974087,39.968157,239],[-82.954678,39.969865,240],[-82.997417,39.965749,241],[-82.965724,39.969272,242],[-82.993262,39.965474,243],[-82.993413,39.96565,244],[-82.965403,39.968667,245],[-82.982365,39.966829,246],[-82.977492,39.967814,247],[-82.966814,39.968513,248],[-82.965146,39.969272,249],[-82.954727,39.970254,250],[-82.993267,39.965549,251],[-82.994321,39.965366,252],[-82.954732,39.968925,253],[-82.977304,39.967551,254],[-82.954715,39.970348,255],[-82.954532,39.970245,256],[-82.954566,39.969995,257],[-82.954741,39.96885,258],[-82.994592,39.965522,259],[-82.981971,39.967008,260],[-82.953683,39.968232,261],[-82.980038,39.967106,262],[-82.963461,39.96874,263],[-82.954741,39.96885,264],[-82.993263,39.965474,265],[-82.98576,39.966904,266],[-82.954732,39.968925,267],[-82.993799,39.965954,268],[-82.954553,39.970087,269],[-82.985874,39.966594,270],[-82.992962,39.965608,271],[-82.976401,39.967931,272],[-82.970808,39.968714,273],[-82.95278,39.968746,274],[-82.993062,39.965606,275],[-82.982368,39.966936,276],[-82.995302,39.965882,277],[-82.954749,39.969292,278],[-82.994658,39.965288,279],[-82.992213,39.965771,280],[-82.973724,39.968279,281],[-82.97212,39.967976,282],[-82.9928,39.965497,283],[-82.994157,39.965516,284],[-82.963825,39.968773,285],[-82.993162,39.965725,286],[-82.984368,39.967023,287],[-82.99396,39.96557,288],[-82.965035,39.968671,289],[-82.982041,39.967329,290],[-82.964414,39.969233,291],[-82.994602,39.96536,292],[-82.993405,39.965565,293],[-82.994173,39.965572,294],[-82.968533,39.968822,295],[-82.969435,39.968275,296],[-82.966814,39.968513,297],[-82.993179,39.965581,298],[-82.99398,39.9654,299],[-82.953064,39.969025,300],[-82.993122,39.965622,301],[-82.973175,39.967903,302],[-82.955432,39.968958,303],[-82.969247,39.968443,304],[-83.000575,39.965131,305],[-82.970672,39.968572,306],[-82.979408,39.967323,307],[-82.992275,39.965687,308],[-82.973286,39.968429,309],[-82.954678,39.969865,310],[-82.993081,39.965692,311],[-82.972252,39.968066,312],[-82.981885,39.967052,313],[-82.979406,39.967578,314],[-82.95478,39.96987,315],[-82.993405,39.965565,316],[-82.994657,39.965294,317],[-82.972266,39.968543,318],[-82.969047,39.968891,319],[-82.954646,39.970094,320],[-82.99342,39.965671,321],[-82.968911,39.968897,322],[-82.994664,39.965291,323],[-82.973428,39.968415,324],[-82.954566,39.969995,325],[-82.99334,39.965559,326],[-82.993274,39.96557,327],[-82.954823,39.969524,328],[-82.993267,39.965549,329],[-82.994619,39.965279,330],[-82.965035,39.968671,331],[-82.9687,39.968835,332],[-83.000815,39.965104,333],[-82.993629,39.965489,334],[-82.994669,39.965379,335],[-82.993327,39.965682,336],[-82.954727,39.970254,337],[-82.958879,39.968371,338],[-82.966744,39.969178,339],[-82.993166,39.96554,340],[-82.971603,39.968151,341],[-82.993342,39.96558,342],[-82.981971,39.967008,343],[-82.952852,39.968659,344],[-82.955503,39.968247,345],[-82.954732,39.968925,346],[-82.992831,39.965642,347],[-82.981029,39.967569,348],[-82.963965,39.969211,349],[-82.952622,39.969085,350],[-82.992226,39.965851,351],[-82.970605,39.968212,352],[-82.99144,39.966176,353],[-82.95945,39.969009,354],[-82.973286,39.968429,355],[-82.993921,39.965444,356],[-82.977705,39.967763,357],[-82.993927,39.965442,358],[-82.993475,39.965567,359],[-82.954852,39.969294,360],[-82.993474,39.965546,361],[-82.953499,39.968969,362],[-82.98619,39.96634,363],[-82.993322,39.965683,364],[-82.960813,39.969075,365],[-82.992978,39.965724,366],[-82.994437,39.96548,367],[-82.965149,39.968676,368],[-82.954659,39.970002,369],[-82.954837,39.969388,370],[-82.980872,39.967569,371],[-82.970419,39.968177,372],[-82.993327,39.965682,373],[-82.954616,39.969606,374],[-82.954792,39.969776,375],[-82.994153,39.965513,376],[-82.993155,39.965704,377],[-82.992234,39.965748,378],[-82.993411,39.965586,379],[-82.966814,39.968513,380],[-82.992356,39.965825,381],[-82.994489,39.965535,382],[-82.95452,39.970336,383],[-82.953203,39.969011,384],[-82.977039,39.967586,385],[-82.962719,39.968668,386],[-82.9629,39.968718,387],[-82.954709,39.969613,388],[-82.994187,39.965508,389],[-82.954678,39.969865,390],[-82.975589,39.96766,391],[-82.993108,39.965581,392],[-82.977425,39.96754,393],[-82.982515,39.966975,394],[-83.001004,39.96508,395],[-82.965574,39.969267,396],[-82.994427,39.96554,397],[-82.994589,39.965518,398],[-82.958361,39.968815,399],[-82.99461,39.965361,400],[-82.99434,39.96541,401],[-82.960399,39.969052,402],[-82.994102,39.965521,403],[-82.994542,39.965471,404],[-82.993947,39.965372,405],[-82.993995,39.965442,406],[-82.994697,39.965474,407],[-82.994584,39.965514,408],[-82.962718,39.968685,409],[-82.993602,39.965401,410],[-82.95484,39.968327,411],[-82.958268,39.968338,412],[-82.993481,39.965415,413],[-82.994243,39.965554,414],[-82.970112,39.968719,415],[-82.954737,39.969383,416],[-82.993142,39.965464,417],[-82.99425,39.965371,418],[-82.994256,39.965422,419],[-82.979414,39.967175,420],[-82.994258,39.965369,421],[-82.99365,39.965634,422],[-82.994334,39.965407,423],[-82.977425,39.96754,424],[-82.97619,39.967454,425],[-82.992968,39.965628,426],[-82.994232,39.965556,427],[-82.962241,39.968641,428],[-82.99443,39.965544,429],[-82.954864,39.969826,430],[-82.99415,39.965518,431],[-82.994536,39.965467,432],[-82.994537,39.965457,433],[-82.994236,39.96556,434],[-82.992283,39.965686,435],[-82.994691,39.965477,436],[-82.980499,39.967197,437],[-82.961741,39.969052,438],[-82.954644,39.969376,439],[-82.994171,39.965565,440],[-82.994268,39.965416,441],[-82.993949,39.965521,442],[-82.994329,39.965411,443],[-82.992973,39.965725,444],[-82.987432,39.966439,445],[-82.99392,39.965394,446],[-82.993994,39.965434,447],[-82.993639,39.965546,448],[-82.994601,39.965322,449],[-82.99394,39.965575,450],[-82.99462,39.965274,451],[-82.994322,39.965375,452],[-82.950835,39.969213,453],[-82.969428,39.968859,454],[-82.984116,39.967087,455],[-82.998817,39.965408,456],[-82.993927,39.965447,457],[-82.993951,39.965368,458],[-82.994539,39.965462,459],[-82.99471,39.965474,460],[-82.993655,39.965633,461],[-82.993909,39.965395,462],[-82.991172,39.966212,463],[-82.956048,39.968209,464],[-82.993172,39.96556,465],[-82.96829,39.968782,466],[-82.994669,39.965346,467],[-82.993933,39.965443,468],[-82.994336,39.965412,469],[-82.993944,39.965524,470],[-82.994614,39.96527,471],[-82.994326,39.965362,472],[-82.994229,39.965561,473],[-82.993989,39.96544,474],[-82.994177,39.965564,475],[-82.994613,39.965275,476],[-82.992222,39.96577,477],[-82.994275,39.965418,478],[-82.993167,39.965561,479],[-82.994489,39.965526,480],[-82.993648,39.965613,481],[-82.993946,39.965363,482],[-82.994066,39.965579,483],[-82.99407,39.965583,484],[-82.992913,39.965477,485],[-82.992287,39.965784,486],[-83.000615,39.96487,487],[-82.962771,39.968689,488],[-82.995789,39.965417,489],[-82.997519,39.965499,490],[-82.993634,39.965547,491],[-82.994587,39.965509,492],[-82.993945,39.965572,493],[-82.967421,39.969101,494],[-82.994698,39.965449,495],[-82.994686,39.965451,496],[-82.993943,39.965519,497],[-82.952996,39.968493,498],[-82.994327,39.965367,499],[-82.994068,39.965574,500],[-82.981454,39.967334,501],[-82.994345,39.965406,502],[-82.954644,39.969376,503],[-82.994334,39.965364,504],[-82.994487,39.965473,505],[-82.994485,39.965522,506],[-82.994195,39.965515,507],[-82.954815,39.970307,508],[-82.954823,39.969524,509],[-82.976654,39.967645,510],[-82.994093,39.965513,511],[-82.993623,39.965468,512],[-82.981251,39.967357,513],[-82.954628,39.969515,514],[-82.993262,39.965474,515],[-82.994175,39.965569,516],[-82.992787,39.965456,517],[-82.95484,39.969388,518],[-82.967189,39.968495,519],[-82.994446,39.965479,520],[-82.980937,39.967113,521],[-82.976871,39.967871,522],[-82.994324,39.965593,523],[-82.967945,39.968459,524],[-82.954721,39.969522,525],[-82.954749,39.970098,526],[-82.994094,39.965522,527],[-82.994097,39.965517,528],[-82.993136,39.965465,529],[-82.966943,39.968507,530],[-82.994691,39.965448,531],[-82.994479,39.965474,532],[-82.964543,39.969241,533],[-82.965527,39.968672,534],[-82.955221,39.968281,535],[-82.975589,39.96766,536],[-82.975147,39.968194,537],[-82.994261,39.965419,538],[-82.993952,39.965568,539],[-82.993937,39.965522,540],[-82.993284,39.966005,541],[-82.962506,39.968703,542],[-82.994276,39.965548,543],[-82.960813,39.969075,544],[-82.964118,39.969215,545],[-82.95945,39.969009,546],[-82.982206,39.967004,547],[-82.960813,39.969075,548],[-82.976076,39.967476,549],[-82.970112,39.968719,550],[-82.960399,39.969052,551],[-82.993471,39.965468,552],[-82.963235,39.968752,553],[-82.954792,39.969776,554],[-82.979194,39.967346,555],[-82.955763,39.968213,556],[-82.959136,39.968993,557],[-82.993468,39.965373,558],[-82.954722,39.969001,559],[-82.992284,39.965776,560],[-82.992849,39.965728,561],[-82.994484,39.965527,562],[-82.954721,39.969522,563],[-82.99444,39.965475,564],[-82.994757,39.96595,565],[-82.963825,39.968773,566],[-82.994704,39.965477,567],[-82.994697,39.965479,568],[-82.999933,39.965481,569],[-82.966993,39.969149,570],[-82.993069,39.965627,571],[-82.993914,39.965397,572],[-82.992794,39.965476,573],[-82.960813,39.969075,574],[-82.992964,39.965629,575],[-82.980637,39.967181,576],[-82.977428,39.967899,577],[-82.984472,39.966997,578],[-82.964578,39.968654,579],[-82.967149,39.968959,580],[-82.953064,39.969025,581],[-82.967182,39.969129,582],[-82.992918,39.965463,583],[-82.992971,39.965704,584],[-82.993262,39.965549,585],[-82.954749,39.969292,586],[-82.998332,39.965429,587],[-82.95411,39.968878,588],[-82.956609,39.968224,589],[-82.993082,39.965713,590],[-82.961898,39.969112,591],[-82.95945,39.969009,592],[-82.993944,39.965367,593],[-82.954625,39.970252,594],[-82.994099,39.965527,595],[-82.993646,39.965567,596],[-82.959607,39.969016,597],[-82.960813,39.969075,598],[-82.966943,39.968507,599],[-82.994156,39.96552,600],[-82.954645,39.96892,601],[-82.995669,39.965715,602],[-82.992842,39.965708,603],[-82.994428,39.965535,604],[-82.994194,39.965505,605],[-82.996283,39.965339,606],[-82.963359,39.968754,607],[-82.994486,39.965531,608],[-82.994651,39.965292,609],[-82.994265,39.965372,610],[-82.954613,39.970343,611],[-82.976481,39.967615,612],[-82.994423,39.965535,613],[-82.992844,39.965729,614],[-82.994481,39.965465,615],[-82.994425,39.965531,616],[-82.964446,39.968643,617],[-82.9934,39.965566,618],[-82.994173,39.965561,619],[-82.954532,39.970245,620],[-82.973136,39.968446,621],[-82.963503,39.968768,622],[-82.994692,39.965452,623],[-82.975603,39.968143,624],[-82.994663,39.965351,625],[-82.994484,39.965478,626],[-82.994439,39.96547,627],[-82.972932,39.967876,628],[-82.99342,39.965671,629],[-82.99467,39.965354,630],[-82.969039,39.968779,631],[-82.964742,39.968656,632],[-82.952996,39.968493,633],[-82.954811,39.969618,634],[-82.99311,39.965602,635],[-82.992806,39.965544,636],[-82.95562,39.968225,637],[-82.993477,39.965467,638],[-82.964918,39.969242,639],[-82.985964,39.966593,640],[-82.952768,39.969059,641],[-82.974046,39.967899,642],[-82.993258,39.965475,643],[-82.981971,39.967008,644],[-82.952996,39.968493,645],[-82.966744,39.969178,646],[-82.95469,39.969774,647],[-82.982402,39.966932,648],[-82.993587,39.966029,649],[-82.971803,39.968595,650],[-82.980425,39.967203,651],[-82.96622,39.969237,652],[-82.999904,39.965479,653],[-82.960813,39.969075,654],[-82.978105,39.967754,655],[-82.952925,39.969037,656],[-82.993149,39.965683,657],[-82.975042,39.968093,658],[-82.9755,39.968165,659],[-82.968227,39.96851,660],[-82.97491,39.968107,661],[-82.972163,39.968555,662],[-82.964543,39.969241,663],[-82.981193,39.96756,664],[-82.989592,39.966153,665],[-82.99348,39.965567,666],[-82.993087,39.965712,667],[-82.96087,39.968451,668],[-82.973046,39.967868,669],[-83.000672,39.965122,670],[-82.953284,39.96945,671],[-82.980038,39.967106,672],[-82.968726,39.96836,673],[-82.972932,39.967876,674],[-82.971065,39.968683,675],[-82.993149,39.965683,676],[-82.993321,39.965662,677],[-82.982395,39.96699,678],[-82.999904,39.965479,679],[-82.981129,39.967107,680],[-82.960813,39.969075,681],[-82.96967,39.968246,682],[-82.993532,39.965658,683],[-82.992937,39.965554,684],[-82.992246,39.965848,685],[-82.965018,39.969264,686],[-82.965724,39.969272,687],[-82.954921,39.969346,688],[-82.980748,39.967171,689],[-82.96955,39.968853,690],[-82.954653,39.968844,691],[-82.969428,39.968859,692],[-82.9527,39.968675,693],[-82.95966,39.968415,694],[-82.975589,39.96766,695],[-82.955763,39.968213,696],[-82.992813,39.965565,697],[-82.954811,39.969618,698],[-82.993526,39.965638,699],[-82.954122,39.968887,700],[-82.992984,39.965745,701],[-82.992842,39.965708,702],[-82.952925,39.969037,703],[-82.994554,39.965967,704],[-82.992975,39.965649,705],[-82.954761,39.970005,706],[-82.977428,39.967899,707],[-82.959036,39.968379,708],[-82.964742,39.968656,709],[-82.976632,39.967916,710],[-82.993135,39.965444,711],[-82.999904,39.965479,712],[-82.993347,39.965579,713],[-82.997858,39.965519,714],[-82.999491,39.965259,715],[-82.971078,39.968496,716],[-82.954566,39.969995,717],[-82.993087,39.965712,718],[-82.954645,39.96892,719],[-82.970833,39.968198,720],[-83.000767,39.965109,721],[-82.998843,39.965609,722],[-82.954646,39.970094,723],[-82.972932,39.967876,724],[-82.952721,39.96875,725],[-82.982422,39.966821,726],[-82.959496,39.968399,727],[-82.979161,39.967285,728],[-82.954712,39.970348,729],[-82.968801,39.968903,730],[-82.966872,39.969163,731],[-82.981375,39.967343,732],[-82.952345,39.968767,733],[-82.95489,39.969575,734],[-82.954808,39.969618,735],[-82.967446,39.968483,736],[-82.973724,39.968279,737],[-82.966623,39.969192,738],[-82.99348,39.965567,739],[-82.979161,39.967285,740],[-82.982373,39.966993,741],[-82.980741,39.967141,742],[-82.997886,39.965453,743],[-82.964543,39.969241,744],[-82.954553,39.970087,745],[-82.992837,39.965663,746],[-82.954847,39.970059,747],[-82.992788,39.965477,748],[-82.994959,39.965268,749],[-82.954597,39.969767,750],[-82.954741,39.96885,751],[-82.954637,39.968996,752],[-82.991866,39.966264,753],[-82.953203,39.969011,754],[-82.992819,39.965586,755],[-82.986914,39.966847,756],[-82.970231,39.968788,757],[-82.953349,39.968977,758],[-82.971367,39.968599,759],[-82.992924,39.965513,760],[-82.954301,39.968878,761],[-82.972825,39.967899,762],[-82.953064,39.969025,763],[-82.971803,39.968595,764],[-82.99347,39.965447,765],[-82.961066,39.969027,766],[-82.967321,39.968489,767],[-82.97619,39.967454,768],[-82.993094,39.965733,769],[-82.981971,39.967008,770],[-82.975268,39.968185,771],[-82.997858,39.965519,772],[-82.981525,39.967326,773],[-82.993062,39.965606,774],[-82.993415,39.965671,775],[-82.995283,39.965234,776],[-82.955193,39.968957,777],[-82.967553,39.969086,778],[-82.993057,39.965607,779],[-82.953064,39.969025,780],[-82.964261,39.969226,781],[-82.955906,39.96821,782],[-82.992978,39.965724,783],[-82.9633,39.96875,784],[-82.969789,39.968839,785],[-82.960267,39.969005,786],[-82.992808,39.965565,787],[-82.984291,39.966718,788],[-82.969428,39.968859,789],[-82.963969,39.96878,790],[-82.986376,39.966904,791],[-82.994603,39.965366,792],[-82.993249,39.965686,793],[-82.992931,39.965533,794],[-82.967585,39.968477,795],[-82.961244,39.968944,796],[-82.965842,39.969274,797],[-82.969168,39.968885,798],[-82.954646,39.970094,799],[-82.954625,39.970252,800],[-82.999941,39.965217,801],[-82.964118,39.969215,802],[-83.000421,39.965148,803],[-82.980688,39.967176,804],[-82.954792,39.969776,805],[-82.954585,39.969858,806],[-82.966943,39.968507,807],[-82.994073,39.965586,808],[-82.994545,39.965466,809],[-82.982382,39.966924,810],[-82.968517,39.968569,811],[-82.977671,39.967514,812],[-82.99415,39.965509,813],[-82.994284,39.966108,814],[-82.994257,39.965374,815],[-82.967827,39.968465,816],[-82.954585,39.969858,817],[-82.996539,39.965629,818],[-82.977425,39.96754,819],[-82.997858,39.965519,820],[-82.96587,39.968684,821],[-82.976076,39.967476,822],[-82.972618,39.968314,823],[-82.954792,39.969776,824],[-82.995619,39.965199,825],[-82.994443,39.965484,826],[-82.973175,39.967903,827],[-82.954616,39.969606,828],[-82.954709,39.969613,829],[-82.954637,39.968996,830],[-83.000498,39.965139,831],[-82.981304,39.96709,832],[-82.971942,39.968578,833],[-82.967695,39.968471,834],[-82.972932,39.967876,835],[-82.994978,39.965927,836],[-82.954616,39.969606,837],[-82.971803,39.968595,838],[-83.000834,39.964852,839],[-82.970231,39.968788,840],[-82.968911,39.9689,841],[-82.994268,39.965421,842],[-82.972926,39.968469,843],[-82.993953,39.965573,844],[-82.954628,39.969515,845],[-82.981201,39.967579,846],[-82.993589,39.96536,847],[-82.977735,39.967753,848],[-82.99955,39.965253,849],[-82.964446,39.968643,850],[-82.994757,39.96595,851],[-82.993426,39.965692,852],[-82.97597,39.967565,853],[-82.994429,39.965957,854],[-82.9626,39.9687,855],[-82.97587,39.967609,856],[-82.993662,39.965654,857],[-82.967068,39.968501,858],[-82.993155,39.965704,859],[-82.964889,39.968663,860],[-82.998668,39.965077,861],[-82.964339,39.968638,862],[-82.954777,39.96987,863],[-82.993269,39.965495,864],[-82.958511,39.968356,865],[-82.993633,39.965526,866],[-82.951162,39.968947,867],[-82.97597,39.967565,868],[-82.966744,39.969178,869],[-82.964203,39.96863,870],[-82.966744,39.969178,871],[-82.96931,39.968289,872],[-82.965146,39.969272,873],[-82.964679,39.969246,874],[-82.954701,39.968349,875],[-82.980028,39.967219,876],[-82.977425,39.96754,877],[-82.977428,39.967899,878],[-82.965574,39.969267,879],[-82.975707,39.967659,880],[-82.95478,39.96987,881],[-82.953064,39.969025,882],[-82.981971,39.967008,883],[-82.976611,39.967903,884],[-82.96274,39.968705,885],[-82.954847,39.970059,886],[-82.972932,39.967876,887],[-82.954532,39.970245,888],[-82.97275,39.96842,889],[-82.954722,39.969001,890]] },
        []
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, ress) => {
        t.error(err);

        t.equals(ress.length, 2);

        for (const res of ress) {
            t.equals(res.type, 'Feature', 'Type should be feature');
            t.equals(res.geometry.type, 'GeometryCollection', 'Geometry should be GeometryCollection');
            t.equals(res.geometry.geometries.length, 2, 'GeometryCollection should have 2 child geometries');

            t.equals(res.properties['carmen:text'], 'East Long Street', 'Text should be East Long Street');
        }

        t.equals(ress[0].geometry.geometries[0].coordinates.length, 1);
        t.equals(ress[1].geometry.geometries[0].coordinates.length, 10);


        t.end();
    });
});

test('Split: (with no output) Mt Thor Way', (t) => {
    const feat = new SplitFeat(
        1,
        [{ 'freq': 1, 'priority': 0, 'tokenized': [{ token: 'mt', token_type: null }, { token: 'thor', token_type: null }, { token: 'way', token_type: null }], 'display': 'Mount Thor Way' }],
        { '1':{ 'id':1,'output':true,'number':'1000' },'2':{ 'id':2,'output':false,'number':'1' },'3':{ 'id':3,'output':true,'number':'5432' },'4':{ 'id':4,'output':false,'number':'4543' },'5':{ 'id':5,'output':false,'number':'4831' } },
        { 'type':'MultiLineString','coordinates':[[[-76.576516,39.464153,1],[-76.5769,39.463908,1],[-76.577122,39.463783,1],[-76.577421,39.463643,1],[-76.577877,39.463512,1],[-76.578492,39.463369,1]],[[-76.602014,39.402035,1],[-76.601978,39.402217,1],[-76.601954,39.402319,1],[-76.601917,39.402539,1],[-76.601845,39.402765,1]],[[-76.578492,39.463369,1],[-76.582147,39.462461,1],[-76.582404,39.462397,1]],[[-76.600369,39.41315,1],[-76.600366,39.413354,1]],[[-76.600406,39.411645,1],[-76.600382,39.412418,1]],[[-76.600492,39.410394,1],[-76.600451,39.410653,1],[-76.60041,39.41088,1],[-76.600336,39.411446,1],[-76.600406,39.411645,1]],[[-76.593006,39.450177,1],[-76.593305,39.449648,1],[-76.594053,39.448353,1]],[[-76.574924,39.464219,1],[-76.574729,39.464269,1],[-76.574219,39.464399,1],[-76.57344,39.46457,1],[-76.573092,39.464651,1],[-76.572714,39.46473,1],[-76.572136,39.464832,1],[-76.571591,39.464935,1],[-76.571038,39.46504,1],[-76.570812,39.46509,1],[-76.570619,39.465133,1],[-76.570455,39.465176,1],[-76.57018,39.465255,1],[-76.569994,39.465303,1],[-76.56971,39.465373,1],[-76.569342,39.465465,1],[-76.569079,39.465541,1],[-76.568736,39.465632,1],[-76.568498,39.4657,1],[-76.56828,39.465742,1],[-76.567992,39.465782,1],[-76.567658,39.465828,1],[-76.567398,39.465864,1],[-76.567136,39.465905,1],[-76.566835,39.46594,1],[-76.566575,39.465982,1],[-76.566107,39.466057,1],[-76.566008,39.466069,1],[-76.56593,39.466085,1],[-76.565675,39.466123,1],[-76.565167,39.466205,1],[-76.56441,39.466322,1],[-76.563693,39.466431,1],[-76.562984,39.466548,1],[-76.562633,39.466601,1]],[[-76.601239,39.405939,1],[-76.6012,39.40607,1]],[[-76.600376,39.412627,1],[-76.600373,39.412857,1]],[[-76.582404,39.462397,1],[-76.582729,39.462317,1],[-76.582965,39.462269,1],[-76.583168,39.462246,1],[-76.583408,39.462229,1],[-76.583675,39.462234,1],[-76.583948,39.462265,1],[-76.58421,39.462314,1],[-76.584724,39.462423,1],[-76.584838,39.462447,1],[-76.585182,39.462519,1],[-76.585538,39.46257,1],[-76.58583,39.462585,1],[-76.586165,39.462579,1],[-76.586339,39.462563,1],[-76.586438,39.462554,1],[-76.586804,39.462493,1],[-76.587058,39.462431,1],[-76.58736,39.462336,1],[-76.587632,39.462222,1],[-76.58787,39.462106,1],[-76.588141,39.461937,1],[-76.588385,39.461763,1],[-76.588681,39.46153,1],[-76.588933,39.461323,1],[-76.589066,39.461203,1],[-76.589203,39.461071,1]],[[-76.600382,39.412418,1],[-76.600376,39.412627,1]],[[-76.589203,39.461071,1],[-76.589278,39.460996,1],[-76.589364,39.460892,1]],[[-76.600406,39.411645,1],[-76.600489,39.411464,1],[-76.600499,39.411338,1]],[[-76.601587,39.40416,1],[-76.60152,39.404488,1]],[[-76.589364,39.460892,1],[-76.589423,39.460819,1],[-76.58947,39.460761,1],[-76.589582,39.4606,1],[-76.58975,39.460303,1],[-76.589939,39.459931,1],[-76.5905,39.458797,1],[-76.59147,39.456834,1],[-76.591905,39.455952,1],[-76.592051,39.455657,1],[-76.592176,39.455388,1],[-76.592216,39.455281,1],[-76.592274,39.455124,1],[-76.592345,39.454874,1],[-76.592391,39.454595,1],[-76.592422,39.454321,1],[-76.592426,39.454018,1],[-76.592456,39.451923,1],[-76.592464,39.451671,1],[-76.592471,39.451621,1],[-76.592494,39.451435,1],[-76.592544,39.451218,1],[-76.592609,39.451008,1],[-76.592679,39.450817,1],[-76.592798,39.45056,1],[-76.593006,39.450177,1]],[[-76.601424,39.405984,1],[-76.60148,39.405684,1],[-76.601504,39.405536,1],[-76.601565,39.405193,1]],[[-76.601334,39.4054,1],[-76.601239,39.405939,1]],[[-76.600366,39.413354,1],[-76.600345,39.413727,1],[-76.600316,39.413967,1]],[[-76.601882,39.403391,1],[-76.601901,39.403272,1],[-76.601947,39.402979,1],[-76.602005,39.402702,1],[-76.602099,39.402235,1],[-76.602138,39.402172,1],[-76.602205,39.402116,1]],[[-76.562633,39.466601,1],[-76.562225,39.466653,1],[-76.561805,39.466717,1],[-76.561565,39.466755,1],[-76.561022,39.466834,1],[-76.560887,39.466856,1],[-76.560435,39.46693,1],[-76.559938,39.467008,1],[-76.558849,39.467181,1],[-76.558268,39.467274,1],[-76.557817,39.467346,1],[-76.557552,39.467389,1],[-76.557331,39.46743,1],[-76.556974,39.467507,1],[-76.556764,39.467556,1],[-76.55646,39.467645,1],[-76.556336,39.467684,1],[-76.555562,39.467919,1],[-76.552434,39.468888,1],[-76.552262,39.468941,1],[-76.552127,39.468977,1],[-76.551989,39.469007,1],[-76.551815,39.469031,1],[-76.551611,39.469046,1],[-76.551363,39.469049,1],[-76.551169,39.469033,1],[-76.551079,39.469018,1],[-76.550969,39.468993,1],[-76.550842,39.468961,1],[-76.550705,39.468921,1],[-76.550493,39.468848,1],[-76.550352,39.468784,1],[-76.550124,39.46868,1],[-76.549697,39.468478,1],[-76.547758,39.46756,1],[-76.547661,39.467514,1],[-76.547553,39.467455,1],[-76.547479,39.467405,1],[-76.547417,39.46735,1],[-76.547329,39.467275,1]],[[-76.601276,39.406995,1],[-76.601292,39.406892,1],[-76.60137,39.406369,1]],[[-76.595458,39.445992,1],[-76.595553,39.445832,1]],[[-76.595553,39.445832,1],[-76.596122,39.444875,1],[-76.596405,39.444372,1],[-76.596528,39.444116,1],[-76.596642,39.443864,1],[-76.596711,39.44367,1],[-76.596779,39.443434,1],[-76.596843,39.44319,1],[-76.596884,39.442967,1],[-76.596913,39.442723,1],[-76.596926,39.442509,1],[-76.596928,39.441396,1],[-76.59692,39.441196,1],[-76.596918,39.44022,1]],[[-76.600499,39.411338,1],[-76.600558,39.410891,1],[-76.600593,39.410672,1],[-76.600693,39.410131,1],[-76.600774,39.409686,1]],[[-76.601737,39.404221,1],[-76.601748,39.404158,1],[-76.601804,39.403841,1]],[[-76.600056,39.414926,1],[-76.600155,39.414631,1],[-76.60021,39.414429,1],[-76.600267,39.414208,1],[-76.600316,39.413967,1]],[[-76.599893,39.41542,1],[-76.600056,39.414926,1]],[[-76.601399,39.406105,1],[-76.601424,39.405984,1]],[[-76.601804,39.403841,1],[-76.601882,39.403391,1]],[[-76.594053,39.448353,1],[-76.594626,39.4474,1],[-76.595096,39.446604,1],[-76.595325,39.446211,1],[-76.595458,39.445992,1]],[[-76.601024,39.408414,1],[-76.601042,39.408312,1],[-76.601115,39.40794,1],[-76.601167,39.407678,1]],[[-76.596918,39.44022,1],[-76.596898,39.436518,1],[-76.596897,39.436472,1],[-76.596889,39.434313,1],[-76.596867,39.431962,1],[-76.596848,39.431778,1],[-76.596803,39.43161,1],[-76.59674,39.431453,1],[-76.596661,39.431306,1],[-76.596543,39.431121,1],[-76.596502,39.431071,1],[-76.596388,39.430936,1],[-76.596057,39.430574,1],[-76.595885,39.430368,1],[-76.595766,39.430187,1],[-76.595668,39.430005,1],[-76.595582,39.429797,1],[-76.595531,39.429567,1],[-76.59552,39.4294,1],[-76.595526,39.429192,1],[-76.595553,39.429042,1],[-76.595606,39.42884,1],[-76.595626,39.428777,1],[-76.595632,39.428759,1],[-76.595783,39.428275,1],[-76.595969,39.42764,1]],[[-76.601669,39.404603,1],[-76.601685,39.404512,1],[-76.601737,39.404221,1]],[[-76.6012,39.40607,1],[-76.601134,39.406453,1],[-76.601073,39.406839,1],[-76.600943,39.407652,1],[-76.600765,39.408823,1],[-76.600711,39.409208,1],[-76.600695,39.409302,1]],[[-76.601746,39.403258,1],[-76.601724,39.403371,1],[-76.601587,39.40416,1]],[[-76.600373,39.412857,1],[-76.600369,39.41315,1]],[[-76.600774,39.409686,1],[-76.600857,39.409227,1]],[[-76.595969,39.42764,1],[-76.596092,39.427106,1]],[[-76.60152,39.404488,1],[-76.60151,39.404542,1],[-76.601503,39.404581,1],[-76.601424,39.405054,1],[-76.601342,39.405355,1],[-76.601334,39.4054,1]],[[-76.596092,39.427106,1],[-76.596147,39.426882,1],[-76.596197,39.426705,1]],[[-76.599795,39.415695,1],[-76.599893,39.41542,1]],[[-76.596197,39.426705,1],[-76.596268,39.426468,1],[-76.596369,39.42617,1],[-76.596486,39.425856,1],[-76.596596,39.425604,1],[-76.596652,39.425461,1],[-76.596766,39.425172,1],[-76.596985,39.424507,1],[-76.597012,39.424424,1],[-76.597301,39.423454,1],[-76.597402,39.423097,1],[-76.597594,39.422482,1],[-76.597965,39.421246,1],[-76.598288,39.420189,1],[-76.598626,39.419155,1],[-76.598739,39.41881,1],[-76.59892,39.418253,1],[-76.599305,39.417081,1],[-76.599795,39.415695,1]],[[-76.60137,39.406369,1],[-76.601382,39.406292,1],[-76.601399,39.406105,1]],[[-76.547329,39.467275,1],[-76.54726,39.467217,1],[-76.547139,39.467144,1],[-76.547081,39.467117,1],[-76.547032,39.467109,1],[-76.546996,39.467106,1],[-76.546973,39.467109,1],[-76.546929,39.46712,1],[-76.546904,39.467136,1],[-76.546869,39.467158,1],[-76.546825,39.467207,1],[-76.546797,39.467264,1],[-76.546605,39.467657,1],[-76.54603,39.468831,1],[-76.54575,39.469372,1],[-76.545512,39.469869,1],[-76.545393,39.470077,1],[-76.545251,39.47027,1],[-76.545103,39.470416,1],[-76.544997,39.470512,1],[-76.544834,39.47064,1],[-76.544761,39.470694,1],[-76.544603,39.470779,1],[-76.544457,39.470848,1],[-76.54441,39.470873,1],[-76.544018,39.471032,1],[-76.543776,39.471134,1],[-76.543538,39.471234,1],[-76.543104,39.471411,1],[-76.54231,39.471739,1],[-76.541944,39.47189,1],[-76.541123,39.472255,1],[-76.540592,39.472522,1],[-76.540341,39.472663,1],[-76.540136,39.472792,1],[-76.539991,39.472901,1],[-76.539904,39.472969,1],[-76.539809,39.473066,1],[-76.539338,39.473639,1],[-76.539125,39.473937,1],[-76.538945,39.474136,1],[-76.538784,39.474323,1],[-76.538611,39.474504,1],[-76.538454,39.474664,1],[-76.53804,39.475066,1],[-76.537532,39.475552,1],[-76.537352,39.475719,1],[-76.537156,39.475914,1],[-76.536873,39.476194,1],[-76.536729,39.476352,1],[-76.536634,39.476469,1],[-76.53606,39.477108,1],[-76.535863,39.477352,1],[-76.535423,39.477853,1],[-76.535117,39.478209,1],[-76.534695,39.478798,1],[-76.534547,39.47901,1],[-76.534403,39.479203,1],[-76.534359,39.479259,1],[-76.534185,39.479518,1],[-76.534044,39.479694,1],[-76.533781,39.479982,1],[-76.533702,39.480069,1],[-76.533628,39.480134,1],[-76.533574,39.480181,1],[-76.533423,39.480326,1],[-76.533282,39.480447,1],[-76.532651,39.480912,1],[-76.532109,39.481308,1],[-76.531774,39.481545,1],[-76.531448,39.481746,1],[-76.529239,39.483128,1],[-76.529073,39.483223,1],[-76.52891,39.483339,1],[-76.528772,39.483441,1],[-76.528694,39.483515,1],[-76.528616,39.483592,1],[-76.528538,39.483692,1],[-76.52846,39.483829,1],[-76.528302,39.484154,1],[-76.528199,39.484381,1],[-76.528119,39.484571,1],[-76.528069,39.484715,1],[-76.528031,39.484818,1],[-76.527997,39.484989,1],[-76.527969,39.485176,1],[-76.527957,39.485676,1],[-76.527948,39.4859,1],[-76.527937,39.486051,1],[-76.527915,39.486228,1],[-76.527783,39.487001,1],[-76.527729,39.487231,1],[-76.527653,39.487481,1],[-76.527578,39.487635,1],[-76.527503,39.487759,1],[-76.527452,39.487833,1],[-76.527384,39.487909,1],[-76.527238,39.488027,1],[-76.527171,39.488069,1],[-76.52705,39.488145,1],[-76.526918,39.488227,1],[-76.526676,39.488351,1],[-76.526464,39.488439,1],[-76.526436,39.488449,1],[-76.526212,39.488525,1],[-76.525626,39.488683,1],[-76.525343,39.488756,1],[-76.525136,39.488803,1],[-76.524699,39.488927,1],[-76.524397,39.489011,1],[-76.52425,39.48906,1],[-76.524132,39.489102,1],[-76.52397,39.489178,1],[-76.523305,39.489583,1],[-76.523107,39.489698,1],[-76.522888,39.489815,1]],[[-76.601565,39.405193,1],[-76.601669,39.404603,1]],[[-76.601845,39.402765,1],[-76.601833,39.402801,1],[-76.601746,39.403258,1]],[[-76.576516,39.464153,1],[-76.576371,39.464027,1],[-76.576276,39.463968,1],[-76.576202,39.463946,1],[-76.576118,39.463939,1],[-76.576024,39.463953,1],[-76.575812,39.464002,1],[-76.57536,39.46411,1],[-76.57509,39.464178,1],[-76.574924,39.464219,1]],[[-76.600857,39.409227,1],[-76.600978,39.408678,1],[-76.601024,39.408414,1]],[[-76.601167,39.407678,1],[-76.601226,39.407312,1],[-76.601276,39.406995,1]],[[-76.600695,39.409302,1],[-76.600492,39.410394,1]]] },
        { 'type':'MultiPoint','coordinates':[[-76.554825,39.460839,1],[-76.567178,39.462854,2],[-76.597763,39.442952,3],[-76.597381,39.438022,4],[-76.599005,39.431047,5]] },
        []
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, res) => {
        t.error(err);

        t.equals(res.length, 1);

        res = res[0];

        t.equals(res.type, 'Feature', 'Type should be feature');
        t.equals(res.geometry.type, 'GeometryCollection', 'Geometry should be GeometryCollection');
        t.equals(res.geometry.geometries.length, 2, 'GeometryCollection should have 2 child geometries');

        t.equals(res.properties['carmen:text'], 'Mount Thor Way', 'Text should be Mount Thor Way');
        t.deepEquals(res.properties['carmen:addressnumber'], [null, ['1000', '5432']], 'Epheremal addrpts dropped');
        t.end();
    });
});

/**
 * Roads should be split into a max distance as defined by explode#split
 * Ensure roads that pass into cluster#break don't exceed this threshold
 */
test('Split: Ensure cluster#break roads are split', (t) => {
    const feat = new SplitFeat(
        1,
        [{ 'freq': 1, 'priority': 0, 'tokenized': [{ token: 'really', token_type: null }, { token: 'long', token_type: null }, { token: 'rd', token_type: null }], 'display': 'Really Long road' }],
        { '1':{ 'id':1,'output':true,'number':'1' },'2':{ 'id':2,'output':true,'number':'3' },'3':{ 'id':3,'output':true,'number':'3' },'4':{ 'id':4,'output':true,'number':'1' },'5':{ 'id':5,'output':true,'number':'2' },'6':{ 'id':6,'output':true,'number':'4' },'7':{ 'id':7,'output':true,'number':'4' },'8':{ 'id':8,'output':true,'number':'2' } },
        { 'type': 'MultiLineString', 'coordinates': [[[-81.65313720703125, 38.35673412466715, 1], [-81.46087646484375, 38.48154475346391, 1], [-81.38671875, 38.51378825951165, 1], [-81.26861572265625, 38.56105262446978, 1], [-81.1669921875, 38.59755381474309, 1], [-81.14089965820312, 38.56105262446978, 1], [-81.10931396484374, 38.57501115220884, 1], [-81.02691650390625, 38.61579745317872, 1], [-80.97610473632811, 38.61579745317872, 1], [-80.91293334960938, 38.60292007223949, 1], [-80.78384399414062, 38.60721278935162, 1], [-80.73165893554688, 38.63189092902837, 1], [-80.72616577148438, 38.66835610151506, 1], [-80.6781005859375, 38.70694605159386, 1], [-80.66299438476562, 38.7508703622086, 1], [-80.65750122070312, 38.79904887985135, 1], [-80.66299438476562, 38.83542884007305, 1], [-80.65338134765625, 38.86751337001198, 1], [-80.58334350585938, 38.9070643560226, 1]]] },
        { 'type':'MultiPoint','coordinates':[[-80.67535400390625,38.91561302513129,1],[-80.74127197265625,38.70908932739828,2],[-81.14227294921875,38.6329636990003,3],[-81.55014038085938,38.477244528955595,4],[-80.54214477539062,38.817241182948266,5],[-80.64102172851561,38.6233081913603,6],[-81.04888916015625,38.4783196091326,7],[-81.53228759765625,38.33734763569314,8]] },
        []
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, ress) => {
        t.error(err);

        t.equals(ress.length, 1, 'has 1 results');

        for (const res of ress) {
            t.equals(res.type, 'Feature', 'Type should be feature');
            t.equals(res.geometry.type, 'GeometryCollection', 'Geometry should be GeometryCollection');
            t.equals(res.geometry.geometries.length, 2, 'GeometryCollection should have 2 child geometries');

            for (const ln of res.geometry.geometries[0].coordinates) {
                t.ok(turf.lineDistance(turf.lineString(ln)) < 0.51, 'does not exceed max seg length');
            }
        }

        t.end();
    });
});

/**
 * Ensure Boston Ave is split into two streets via cluster#break (Actual Data)
 */
test('Split: Ensure cluster#break roads are split (Boston ave)', (t) => {
    const feat = new SplitFeat(
        1,
        [{ 'freq': 1, 'source': 'Network', 'display': 'Boston Avenue', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }] }, { 'freq': 743, 'source': 'Address', 'display': 'BOSTON AVENUE', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }] }, { 'freq': 284, 'source': 'Address', 'display': 'BOSTON Ave', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U2', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u2', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U3', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u3', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U4', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u4', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U5', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u5', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U6', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u6', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U7', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u7', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U8', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u8', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U9', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u9', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'R BOSTON Ave', 'priority': 0, 'tokenized': [{ token: 'r', token_type: null }, { token: 'boston', token_type: null }, { token: 'av', token_type: null }] }, { 'freq': 1, 'source': 'Address', 'display': 'BOSTON AV  U1', 'priority': 0, 'tokenized': [{ token: 'boston', token_type: null }, { token: 'av', token_type: null }, { token: 'u1', token_type: null }] }],
        { '1':{ 'id':1,'output':true,'number':'267' },'2':{ 'id':2,'output':true,'number':'503' },'3':{ 'id':3,'output':true,'number':'131' },'4':{ 'id':4,'output':true,'number':'129' },'5':{ 'id':5,'output':true,'number':'5' },'6':{ 'id':6,'output':true,'number':'90' },'7':{ 'id':7,'output':true,'number':'540' },'8':{ 'id':8,'output':true,'number':'183' },'9':{ 'id':9,'output':true,'number':'601' },'10':{ 'id':10,'output':true,'number':'148' },'11':{ 'id':11,'output':true,'number':'31' },'12':{ 'id':12,'output':true,'number':'7' },'13':{ 'id':13,'output':true,'number':'123' },'14':{ 'id':14,'output':true,'number':'193' },'15':{ 'id':15,'output':true,'number':'98' },'16':{ 'id':16,'output':true,'number':'124' },'17':{ 'id':17,'output':true,'number':'609' },'18':{ 'id':18,'output':true,'number':'324' },'19':{ 'id':19,'output':true,'number':'302' },'20':{ 'id':20,'output':true,'number':'184' },'21':{ 'id':21,'output':true,'number':'334' },'22':{ 'id':22,'output':true,'number':'7' },'23':{ 'id':23,'output':true,'number':'298' },'24':{ 'id':24,'output':true,'number':'288' },'25':{ 'id':25,'output':true,'number':'16' },'26':{ 'id':26,'output':true,'number':'159' },'27':{ 'id':27,'output':true,'number':'105' },'28':{ 'id':28,'output':true,'number':'151' },'29':{ 'id':29,'output':true,'number':'567' },'30':{ 'id':30,'output':true,'number':'239' },'31':{ 'id':31,'output':true,'number':'250' },'32':{ 'id':32,'output':true,'number':'165' },'33':{ 'id':33,'output':true,'number':'73' },'34':{ 'id':34,'output':true,'number':'58' },'35':{ 'id':35,'output':true,'number':'260' },'36':{ 'id':36,'output':true,'number':'85' },'37':{ 'id':37,'output':true,'number':'59' },'38':{ 'id':38,'output':true,'number':'38' },'39':{ 'id':39,'output':true,'number':'535' },'40':{ 'id':40,'output':true,'number':'79' },'41':{ 'id':41,'output':true,'number':'28' },'42':{ 'id':42,'output':true,'number':'203' },'43':{ 'id':43,'output':true,'number':'631' },'44':{ 'id':44,'output':true,'number':'178' },'45':{ 'id':45,'output':true,'number':'611' },'46':{ 'id':46,'output':true,'number':'111' },'47':{ 'id':47,'output':true,'number':'530' },'48':{ 'id':48,'output':true,'number':'294' },'49':{ 'id':49,'output':true,'number':'292' },'50':{ 'id':50,'output':true,'number':'17' },'51':{ 'id':51,'output':true,'number':'72' },'52':{ 'id':52,'output':true,'number':'26' },'53':{ 'id':53,'output':true,'number':'616' },'54':{ 'id':54,'output':true,'number':'308' },'55':{ 'id':55,'output':true,'number':'603' },'56':{ 'id':56,'output':true,'number':'46' },'57':{ 'id':57,'output':true,'number':'627' },'58':{ 'id':58,'output':true,'number':'139' },'59':{ 'id':59,'output':true,'number':'620' },'60':{ 'id':60,'output':true,'number':'275-275' },'61':{ 'id':61,'output':true,'number':'322' },'62':{ 'id':62,'output':true,'number':'11' },'63':{ 'id':63,'output':true,'number':'586' },'64':{ 'id':64,'output':true,'number':'27' },'65':{ 'id':65,'output':true,'number':'619' },'66':{ 'id':66,'output':true,'number':'249' },'67':{ 'id':67,'output':true,'number':'6' },'68':{ 'id':68,'output':true,'number':'180' },'69':{ 'id':69,'output':true,'number':'45' },'70':{ 'id':70,'output':true,'number':'125' },'71':{ 'id':71,'output':true,'number':'600' },'72':{ 'id':72,'output':true,'number':'268' },'73':{ 'id':73,'output':true,'number':'284' },'74':{ 'id':74,'output':true,'number':'135' },'75':{ 'id':75,'output':true,'number':'30' },'76':{ 'id':76,'output':true,'number':'99' },'77':{ 'id':77,'output':true,'number':'662' },'78':{ 'id':78,'output':true,'number':'12' },'79':{ 'id':79,'output':true,'number':'196' },'80':{ 'id':80,'output':true,'number':'157' },'81':{ 'id':81,'output':true,'number':'132' },'82':{ 'id':82,'output':true,'number':'89' },'83':{ 'id':83,'output':true,'number':'635' },'84':{ 'id':84,'output':true,'number':'77' },'85':{ 'id':85,'output':true,'number':'27' },'86':{ 'id':86,'output':true,'number':'84' },'87':{ 'id':87,'output':true,'number':'81' },'88':{ 'id':88,'output':true,'number':'112' },'89':{ 'id':89,'output':true,'number':'171' },'90':{ 'id':90,'output':true,'number':'375' },'91':{ 'id':91,'output':true,'number':'328' },'92':{ 'id':92,'output':true,'number':'6' },'93':{ 'id':93,'output':true,'number':'90-90' },'94':{ 'id':94,'output':true,'number':'167' },'95':{ 'id':95,'output':true,'number':'94' },'96':{ 'id':96,'output':true,'number':'215' },'97':{ 'id':97,'output':true,'number':'39' },'98':{ 'id':98,'output':true,'number':'15' },'99':{ 'id':99,'output':true,'number':'68' },'100':{ 'id':100,'output':true,'number':'77' },'101':{ 'id':101,'output':true,'number':'169' },'102':{ 'id':102,'output':true,'number':'229' },'103':{ 'id':103,'output':true,'number':'201' },'104':{ 'id':104,'output':true,'number':'54' },'105':{ 'id':105,'output':true,'number':'63' },'106':{ 'id':106,'output':true,'number':'649' },'107':{ 'id':107,'output':true,'number':'167-169' },'108':{ 'id':108,'output':true,'number':'276' },'109':{ 'id':109,'output':true,'number':'83' },'110':{ 'id':110,'output':true,'number':'181' },'111':{ 'id':111,'output':true,'number':'97-97' },'112':{ 'id':112,'output':true,'number':'107' },'113':{ 'id':113,'output':true,'number':'53' },'114':{ 'id':114,'output':true,'number':'200' },'115':{ 'id':115,'output':true,'number':'301' },'116':{ 'id':116,'output':true,'number':'42' },'117':{ 'id':117,'output':true,'number':'86' },'118':{ 'id':118,'output':true,'number':'94' },'119':{ 'id':119,'output':true,'number':'177' },'120':{ 'id':120,'output':true,'number':'128' },'121':{ 'id':121,'output':true,'number':'37' },'122':{ 'id':122,'output':true,'number':'110' },'123':{ 'id':123,'output':true,'number':'38' },'124':{ 'id':124,'output':true,'number':'266' },'125':{ 'id':125,'output':true,'number':'115' },'126':{ 'id':126,'output':true,'number':'115' },'127':{ 'id':127,'output':true,'number':'253' },'128':{ 'id':128,'output':true,'number':'49' },'129':{ 'id':129,'output':true,'number':'35' },'130':{ 'id':130,'output':true,'number':'207' },'131':{ 'id':131,'output':true,'number':'166' },'132':{ 'id':132,'output':true,'number':'265' },'133':{ 'id':133,'output':true,'number':'103' },'134':{ 'id':134,'output':true,'number':'85' },'135':{ 'id':135,'output':true,'number':'110' },'136':{ 'id':136,'output':true,'number':'338' },'137':{ 'id':137,'output':true,'number':'33' },'138':{ 'id':138,'output':true,'number':'43' },'139':{ 'id':139,'output':true,'number':'130' },'140':{ 'id':140,'output':true,'number':'109' },'141':{ 'id':141,'output':true,'number':'309' },'142':{ 'id':142,'output':true,'number':'230' },'143':{ 'id':143,'output':true,'number':'187' },'144':{ 'id':144,'output':true,'number':'195' },'145':{ 'id':145,'output':true,'number':'128' },'146':{ 'id':146,'output':true,'number':'24' },'147':{ 'id':147,'output':true,'number':'347' },'148':{ 'id':148,'output':true,'number':'42' },'149':{ 'id':149,'output':true,'number':'14' },'150':{ 'id':150,'output':true,'number':'209' },'151':{ 'id':151,'output':true,'number':'272' },'152':{ 'id':152,'output':true,'number':'25' },'153':{ 'id':153,'output':true,'number':'355' },'154':{ 'id':154,'output':true,'number':'293' },'155':{ 'id':155,'output':true,'number':'190' },'156':{ 'id':156,'output':true,'number':'613' },'157':{ 'id':157,'output':true,'number':'87' },'158':{ 'id':158,'output':true,'number':'132' },'159':{ 'id':159,'output':true,'number':'356' },'160':{ 'id':160,'output':true,'number':'261' },'161':{ 'id':161,'output':true,'number':'121' },'162':{ 'id':162,'output':true,'number':'24' },'163':{ 'id':163,'output':true,'number':'231' },'164':{ 'id':164,'output':true,'number':'189' },'165':{ 'id':165,'output':true,'number':'116' },'166':{ 'id':166,'output':true,'number':'66' },'167':{ 'id':167,'output':true,'number':'187-189' },'168':{ 'id':168,'output':true,'number':'527' },'169':{ 'id':169,'output':true,'number':'16' },'170':{ 'id':170,'output':true,'number':'95' },'171':{ 'id':171,'output':true,'number':'10' },'172':{ 'id':172,'output':true,'number':'111' },'173':{ 'id':173,'output':true,'number':'18' },'174':{ 'id':174,'output':true,'number':'62' },'175':{ 'id':175,'output':true,'number':'119' },'176':{ 'id':176,'output':true,'number':'97' },'177':{ 'id':177,'output':true,'number':'640' },'178':{ 'id':178,'output':true,'number':'71' },'179':{ 'id':179,'output':true,'number':'105' },'180':{ 'id':180,'output':true,'number':'82' },'181':{ 'id':181,'output':true,'number':'57' },'182':{ 'id':182,'output':true,'number':'664' },'183':{ 'id':183,'output':true,'number':'11' },'184':{ 'id':184,'output':true,'number':'70' },'185':{ 'id':185,'output':true,'number':'41' },'186':{ 'id':186,'output':true,'number':'369' },'187':{ 'id':187,'output':true,'number':'50' },'188':{ 'id':188,'output':true,'number':'133' },'189':{ 'id':189,'output':true,'number':'138' },'190':{ 'id':190,'output':true,'number':'69' },'191':{ 'id':191,'output':true,'number':'95-97' },'192':{ 'id':192,'output':true,'number':'29' },'193':{ 'id':193,'output':true,'number':'80' },'194':{ 'id':194,'output':true,'number':'104' },'195':{ 'id':195,'output':true,'number':'605' },'196':{ 'id':196,'output':true,'number':'19' },'197':{ 'id':197,'output':true,'number':'144' },'198':{ 'id':198,'output':true,'number':'278' },'199':{ 'id':199,'output':true,'number':'93' },'200':{ 'id':200,'output':true,'number':'158' },'201':{ 'id':201,'output':true,'number':'624' },'202':{ 'id':202,'output':true,'number':'34' },'203':{ 'id':203,'output':true,'number':'74' },'204':{ 'id':204,'output':true,'number':'236' },'205':{ 'id':205,'output':true,'number':'45' },'206':{ 'id':206,'output':true,'number':'86' },'207':{ 'id':207,'output':true,'number':'269' },'208':{ 'id':208,'output':true,'number':'66' },'209':{ 'id':209,'output':true,'number':'65' },'210':{ 'id':210,'output':true,'number':'281' },'211':{ 'id':211,'output':true,'number':'10' },'212':{ 'id':212,'output':true,'number':'30' },'213':{ 'id':213,'output':true,'number':'290' },'214':{ 'id':214,'output':true,'number':'318' },'215':{ 'id':215,'output':true,'number':'91' },'216':{ 'id':216,'output':true,'number':'227' },'217':{ 'id':217,'output':true,'number':'124' },'218':{ 'id':218,'output':true,'number':'188' },'219':{ 'id':219,'output':true,'number':'646' },'220':{ 'id':220,'output':true,'number':'143' },'221':{ 'id':221,'output':true,'number':'121-121' },'222':{ 'id':222,'output':true,'number':'271' },'223':{ 'id':223,'output':true,'number':'196' },'224':{ 'id':224,'output':true,'number':'616-616' },'225':{ 'id':225,'output':true,'number':'76' },'226':{ 'id':226,'output':true,'number':'69' },'227':{ 'id':227,'output':true,'number':'349' },'228':{ 'id':228,'output':true,'number':'637' },'229':{ 'id':229,'output':true,'number':'595' },'230':{ 'id':230,'output':true,'number':'97' },'231':{ 'id':231,'output':true,'number':'371' },'232':{ 'id':232,'output':true,'number':'282' },'233':{ 'id':233,'output':true,'number':'102' },'234':{ 'id':234,'output':true,'number':'311' },'235':{ 'id':235,'output':true,'number':'119' },'236':{ 'id':236,'output':true,'number':'621' },'237':{ 'id':237,'output':true,'number':'133' },'238':{ 'id':238,'output':true,'number':'222' },'239':{ 'id':239,'output':true,'number':'574' },'240':{ 'id':240,'output':true,'number':'419' },'241':{ 'id':241,'output':true,'number':'23' },'242':{ 'id':242,'output':true,'number':'219' },'243':{ 'id':243,'output':true,'number':'1' },'244':{ 'id':244,'output':true,'number':'136' },'245':{ 'id':245,'output':true,'number':'221' },'246':{ 'id':246,'output':true,'number':'241' },'247':{ 'id':247,'output':true,'number':'106' },'248':{ 'id':248,'output':true,'number':'642' },'249':{ 'id':249,'output':true,'number':'252' },'250':{ 'id':250,'output':true,'number':'305' },'251':{ 'id':251,'output':true,'number':'618' },'252':{ 'id':252,'output':true,'number':'120' },'253':{ 'id':253,'output':true,'number':'633' },'254':{ 'id':254,'output':true,'number':'245' },'255':{ 'id':255,'output':true,'number':'625' },'256':{ 'id':256,'output':true,'number':'527' },'257':{ 'id':257,'output':true,'number':'15' },'258':{ 'id':258,'output':true,'number':'275' },'259':{ 'id':259,'output':true,'number':'101' },'260':{ 'id':260,'output':true,'number':'617' },'261':{ 'id':261,'output':true,'number':'258' },'262':{ 'id':262,'output':true,'number':'364' },'263':{ 'id':263,'output':true,'number':'20' },'264':{ 'id':264,'output':true,'number':'242' },'265':{ 'id':265,'output':true,'number':'622' },'266':{ 'id':266,'output':true,'number':'297' },'267':{ 'id':267,'output':true,'number':'29-29' },'268':{ 'id':268,'output':true,'number':'372' },'269':{ 'id':269,'output':true,'number':'313' },'270':{ 'id':270,'output':true,'number':'255' },'271':{ 'id':271,'output':true,'number':'89' },'272':{ 'id':272,'output':true,'number':'93' },'273':{ 'id':273,'output':true,'number':'71' },'274':{ 'id':274,'output':true,'number':'274' },'275':{ 'id':275,'output':true,'number':'340' },'276':{ 'id':276,'output':true,'number':'61' },'277':{ 'id':277,'output':true,'number':'325' },'278':{ 'id':278,'output':true,'number':'17' },'279':{ 'id':279,'output':true,'number':'256' },'280':{ 'id':280,'output':true,'number':'300' },'281':{ 'id':281,'output':true,'number':'235' },'282':{ 'id':282,'output':true,'number':'352' },'283':{ 'id':283,'output':true,'number':'359' },'284':{ 'id':284,'output':true,'number':'262' },'285':{ 'id':285,'output':true,'number':'618' },'286':{ 'id':286,'output':true,'number':'207' },'287':{ 'id':287,'output':true,'number':'372' },'288':{ 'id':288,'output':true,'number':'618' },'289':{ 'id':289,'output':true,'number':'635' },'290':{ 'id':290,'output':true,'number':'236' },'291':{ 'id':291,'output':true,'number':'93' },'292':{ 'id':292,'output':true,'number':'144' },'293':{ 'id':293,'output':true,'number':'616' },'294':{ 'id':294,'output':true,'number':'268' },'295':{ 'id':295,'output':true,'number':'621' },'296':{ 'id':296,'output':true,'number':'618' },'297':{ 'id':297,'output':true,'number':'37' },'298':{ 'id':298,'output':true,'number':'227' },'299':{ 'id':299,'output':true,'number':'305' },'300':{ 'id':300,'output':true,'number':'119' },'301':{ 'id':301,'output':true,'number':'616' },'302':{ 'id':302,'output':true,'number':'136' },'303':{ 'id':303,'output':true,'number':'222' },'304':{ 'id':304,'output':true,'number':'115' },'305':{ 'id':305,'output':true,'number':'611' },'306':{ 'id':306,'output':true,'number':'272' },'307':{ 'id':307,'output':true,'number':'605' },'308':{ 'id':308,'output':true,'number':'625' },'309':{ 'id':309,'output':true,'number':'7' },'310':{ 'id':310,'output':true,'number':'347' },'311':{ 'id':311,'output':true,'number':'245' },'312':{ 'id':312,'output':true,'number':'128' },'313':{ 'id':313,'output':true,'number':'325' },'314':{ 'id':314,'output':true,'number':'308' },'315':{ 'id':315,'output':true,'number':'265' },'316':{ 'id':316,'output':true,'number':'124' },'317':{ 'id':317,'output':true,'number':'324' },'318':{ 'id':318,'output':true,'number':'105' },'319':{ 'id':319,'output':true,'number':'625' },'320':{ 'id':320,'output':true,'number':'253' },'321':{ 'id':321,'output':true,'number':'97' },'322':{ 'id':322,'output':true,'number':'250' },'323':{ 'id':323,'output':true,'number':'322' },'324':{ 'id':324,'output':true,'number':'249' },'325':{ 'id':325,'output':true,'number':'303' },'326':{ 'id':326,'output':true,'number':'293' },'327':{ 'id':327,'output':true,'number':'35' },'328':{ 'id':328,'output':true,'number':'125a' },'329':{ 'id':329,'output':true,'number':'128' },'330':{ 'id':330,'output':true,'number':'308' },'331':{ 'id':331,'output':true,'number':'293' },'332':{ 'id':332,'output':true,'number':'322' },'333':{ 'id':333,'output':true,'number':'324' },'334':{ 'id':334,'output':true,'number':'530' },'335':{ 'id':335,'output':true,'number':'50' },'336':{ 'id':336,'output':true,'number':'324' },'337':{ 'id':337,'output':true,'number':'24' },'338':{ 'id':338,'output':true,'number':'474' },'339':{ 'id':339,'output':true,'number':'294' },'340':{ 'id':340,'output':true,'number':'324' },'341':{ 'id':341,'output':true,'number':'200' },'342':{ 'id':342,'output':true,'number':'215' },'343':{ 'id':343,'output':true,'number':'622' },'344':{ 'id':344,'output':true,'number':'85' },'345':{ 'id':345,'output':true,'number':'586' },'346':{ 'id':346,'output':true,'number':'230' },'347':{ 'id':347,'output':true,'number':'308' },'348':{ 'id':348,'output':true,'number':'298' },'349':{ 'id':349,'output':true,'number':'24' },'350':{ 'id':350,'output':true,'number':'308' },'351':{ 'id':351,'output':true,'number':'93' },'352':{ 'id':352,'output':true,'number':'91' },'353':{ 'id':353,'output':true,'number':'15' },'354':{ 'id':354,'output':true,'number':'309' },'355':{ 'id':355,'output':true,'number':'112' },'356':{ 'id':356,'output':true,'number':'302' },'357':{ 'id':357,'output':true,'number':'272' },'358':{ 'id':358,'output':true,'number':'97' },'359':{ 'id':359,'output':true,'number':'131' },'360':{ 'id':360,'output':true,'number':'245' },'361':{ 'id':361,'output':true,'number':'239' },'362':{ 'id':362,'output':true,'number':'272' },'363':{ 'id':363,'output':true,'number':'616' },'364':{ 'id':364,'output':true,'number':'167' },'365':{ 'id':365,'output':true,'number':'121' },'366':{ 'id':366,'output':true,'number':'347' },'367':{ 'id':367,'output':true,'number':'180' },'368':{ 'id':368,'output':true,'number':'303' },'369':{ 'id':369,'output':true,'number':'633' },'370':{ 'id':370,'output':true,'number':'127' },'371':{ 'id':371,'output':true,'number':'284' },'372':{ 'id':372,'output':true,'number':'265' },'373':{ 'id':373,'output':true,'number':'622' },'374':{ 'id':374,'output':true,'number':'193' },'375':{ 'id':375,'output':true,'number':'89' },'376':{ 'id':376,'output':true,'number':'209' },'377':{ 'id':377,'output':true,'number':'5' },'378':{ 'id':378,'output':true,'number':'249' },'379':{ 'id':379,'output':true,'number':'11' },'380':{ 'id':380,'output':true,'number':'200' },'381':{ 'id':381,'output':true,'number':'195' },'382':{ 'id':382,'output':true,'number':'196' },'383':{ 'id':383,'output':true,'number':'303' },'384':{ 'id':384,'output':true,'number':'255' },'385':{ 'id':385,'output':true,'number':'159' },'386':{ 'id':386,'output':true,'number':'90' },'387':{ 'id':387,'output':true,'number':'620' },'388':{ 'id':388,'output':true,'number':'93' },'389':{ 'id':389,'output':true,'number':'133' },'390':{ 'id':390,'output':true,'number':'187' },'391':{ 'id':391,'output':true,'number':'616' },'392':{ 'id':392,'output':true,'number':'63' },'393':{ 'id':393,'output':true,'number':'196' },'394':{ 'id':394,'output':true,'number':'188' },'395':{ 'id':395,'output':true,'number':'110' },'396':{ 'id':396,'output':true,'number':'253' },'397':{ 'id':397,'output':true,'number':'294' },'398':{ 'id':398,'output':true,'number':'101' },'399':{ 'id':399,'output':true,'number':'69' },'400':{ 'id':400,'output':true,'number':'622' },'401':{ 'id':401,'output':true,'number':'276' },'402':{ 'id':402,'output':true,'number':'276' },'403':{ 'id':403,'output':true,'number':'23' },'404':{ 'id':404,'output':true,'number':'196' },'405':{ 'id':405,'output':true,'number':'119' },'406':{ 'id':406,'output':true,'number':'266' },'407':{ 'id':407,'output':true,'number':'313' },'408':{ 'id':408,'output':true,'number':'7' },'409':{ 'id':409,'output':true,'number':'574' },'410':{ 'id':410,'output':true,'number':'239' },'411':{ 'id':411,'output':true,'number':'203' },'412':{ 'id':412,'output':true,'number':'94' },'413':{ 'id':413,'output':true,'number':'269' },'414':{ 'id':414,'output':true,'number':'275' },'415':{ 'id':415,'output':true,'number':'241' },'416':{ 'id':416,'output':true,'number':'200' },'417':{ 'id':417,'output':true,'number':'85' },'418':{ 'id':418,'output':true,'number':'200' },'419':{ 'id':419,'output':true,'number':'308' },'420':{ 'id':420,'output':true,'number':'119' },'421':{ 'id':421,'output':true,'number':'72' },'422':{ 'id':422,'output':true,'number':'178' },'423':{ 'id':423,'output':true,'number':'132' },'424':{ 'id':424,'output':true,'number':'274' },'425':{ 'id':425,'output':true,'number':'111' },'426':{ 'id':426,'output':true,'number':'157' },'427':{ 'id':427,'output':true,'number':'94' },'428':{ 'id':428,'output':true,'number':'272' },'429':{ 'id':429,'output':true,'number':'169' },'430':{ 'id':430,'output':true,'number':'196' },'431':{ 'id':431,'output':true,'number':'322' },'432':{ 'id':432,'output':true,'number':'347' },'433':{ 'id':433,'output':true,'number':'284' },'434':{ 'id':434,'output':true,'number':'66' },'435':{ 'id':435,'output':true,'number':'49' },'436':{ 'id':436,'output':true,'number':'616' },'437':{ 'id':437,'output':true,'number':'323a' },'438':{ 'id':438,'output':true,'number':'101' },'439':{ 'id':439,'output':true,'number':'129' },'440':{ 'id':440,'output':true,'number':'132' },'441':{ 'id':441,'output':true,'number':'603' },'442':{ 'id':442,'output':true,'number':'256' },'443':{ 'id':443,'output':true,'number':'290' },'444':{ 'id':444,'output':true,'number':'132' },'445':{ 'id':445,'output':true,'number':'95' },'446':{ 'id':446,'output':true,'number':'5' },'447':{ 'id':447,'output':true,'number':'200' },'448':{ 'id':448,'output':true,'number':'200' },'449':{ 'id':449,'output':true,'number':'268' },'450':{ 'id':450,'output':true,'number':'294' },'451':{ 'id':451,'output':true,'number':'282' },'452':{ 'id':452,'output':true,'number':'124' },'453':{ 'id':453,'output':true,'number':'94' },'454':{ 'id':454,'output':true,'number':'349' },'455':{ 'id':455,'output':true,'number':'275' },'456':{ 'id':456,'output':true,'number':'535' },'457':{ 'id':457,'output':true,'number':'375' },'458':{ 'id':458,'output':true,'number':'18' },'459':{ 'id':459,'output':true,'number':'201' },'460':{ 'id':460,'output':true,'number':'355' },'461':{ 'id':461,'output':true,'number':'20' },'462':{ 'id':462,'output':true,'number':'574' },'463':{ 'id':463,'output':true,'number':'128' },'464':{ 'id':464,'output':true,'number':'99' },'465':{ 'id':465,'output':true,'number':'45' },'466':{ 'id':466,'output':true,'number':'12' },'467':{ 'id':467,'output':true,'number':'293' },'468':{ 'id':468,'output':true,'number':'235' },'469':{ 'id':469,'output':true,'number':'272' },'470':{ 'id':470,'output':true,'number':'616' },'471':{ 'id':471,'output':true,'number':'79' },'472':{ 'id':472,'output':true,'number':'57' },'473':{ 'id':473,'output':true,'number':'275' },'474':{ 'id':474,'output':true,'number':'239' },'475':{ 'id':475,'output':true,'number':'196' },'476':{ 'id':476,'output':true,'number':'369' },'477':{ 'id':477,'output':true,'number':'229' },'478':{ 'id':478,'output':true,'number':'94' },'479':{ 'id':479,'output':true,'number':'622' },'480':{ 'id':480,'output':true,'number':'292' },'481':{ 'id':481,'output':true,'number':'622' },'482':{ 'id':482,'output':true,'number':'269' },'483':{ 'id':483,'output':true,'number':'18' },'484':{ 'id':484,'output':true,'number':'187-189' },'485':{ 'id':485,'output':true,'number':'520' },'486':{ 'id':486,'output':true,'number':'540' },'487':{ 'id':487,'output':true,'number':'87' },'488':{ 'id':488,'output':true,'number':'616' },'489':{ 'id':489,'output':true,'number':'165' },'490':{ 'id':490,'output':true,'number':'68' },'491':{ 'id':491,'output':true,'number':'617' },'492':{ 'id':492,'output':true,'number':'249' },'493':{ 'id':493,'output':true,'number':'72' },'494':{ 'id':494,'output':true,'number':'95' },'495':{ 'id':495,'output':true,'number':'180' },'496':{ 'id':496,'output':true,'number':'324' },'497':{ 'id':497,'output':true,'number':'90' },'498':{ 'id':498,'output':true,'number':'308' },'499':{ 'id':499,'output':true,'number':'81' },'500':{ 'id':500,'output':true,'number':'271' },'501':{ 'id':501,'output':true,'number':'256' },'502':{ 'id':502,'output':true,'number':'77' },'503':{ 'id':503,'output':true,'number':'189' },'504':{ 'id':504,'output':true,'number':'86' },'505':{ 'id':505,'output':true,'number':'359' },'506':{ 'id':506,'output':true,'number':'300' },'507':{ 'id':507,'output':true,'number':'39' },'508':{ 'id':508,'output':true,'number':'318' },'509':{ 'id':509,'output':true,'number':'631' },'510':{ 'id':510,'output':true,'number':'5' },'511':{ 'id':511,'output':true,'number':'98' },'512':{ 'id':512,'output':true,'number':'616' },'513':{ 'id':513,'output':true,'number':'109' },'514':{ 'id':514,'output':true,'number':'620' },'515':{ 'id':515,'output':true,'number':'196' },'516':{ 'id':516,'output':true,'number':'272' },'517':{ 'id':517,'output':true,'number':'252' },'518':{ 'id':518,'output':true,'number':'288' },'519':{ 'id':519,'output':true,'number':'616' },'520':{ 'id':520,'output':true,'number':'527' },'521':{ 'id':521,'output':true,'number':'601' },'522':{ 'id':522,'output':true,'number':'231' },'523':{ 'id':523,'output':true,'number':'17' },'524':{ 'id':524,'output':true,'number':'618' },'525':{ 'id':525,'output':true,'number':'616' },'526':{ 'id':526,'output':true,'number':'109' },'527':{ 'id':527,'output':true,'number':'503' },'528':{ 'id':528,'output':true,'number':'180' },'529':{ 'id':529,'output':true,'number':'20' },'530':{ 'id':530,'output':true,'number':'624' },'531':{ 'id':531,'output':true,'number':'616' },'532':{ 'id':532,'output':true,'number':'640' },'533':{ 'id':533,'output':true,'number':'618' },'534':{ 'id':534,'output':true,'number':'278' },'535':{ 'id':535,'output':true,'number':'124' },'536':{ 'id':536,'output':true,'number':'605' },'537':{ 'id':537,'output':true,'number':'1' },'538':{ 'id':538,'output':true,'number':'649' },'539':{ 'id':539,'output':true,'number':'627' },'540':{ 'id':540,'output':true,'number':'274' },'541':{ 'id':541,'output':true,'number':'5' },'542':{ 'id':542,'output':true,'number':'290' },'543':{ 'id':543,'output':true,'number':'631' },'544':{ 'id':544,'output':true,'number':'200' },'545':{ 'id':545,'output':true,'number':'624' },'546':{ 'id':546,'output':true,'number':'6' },'547':{ 'id':547,'output':true,'number':'231' },'548':{ 'id':548,'output':true,'number':'322' },'549':{ 'id':549,'output':true,'number':'613' },'550':{ 'id':550,'output':true,'number':'143' },'551':{ 'id':551,'output':true,'number':'609' },'552':{ 'id':552,'output':true,'number':'171' },'553':{ 'id':553,'output':true,'number':'309' },'554':{ 'id':554,'output':true,'number':'275' },'555':{ 'id':555,'output':true,'number':'275' },'556':{ 'id':556,'output':true,'number':'618' },'557':{ 'id':557,'output':true,'number':'196' },'558':{ 'id':558,'output':true,'number':'281' },'559':{ 'id':559,'output':true,'number':'221' },'560':{ 'id':560,'output':true,'number':'290' },'561':{ 'id':561,'output':true,'number':'308' },'562':{ 'id':562,'output':true,'number':'177' },'563':{ 'id':563,'output':true,'number':'616' },'564':{ 'id':564,'output':true,'number':'300' },'565':{ 'id':565,'output':true,'number':'245' },'566':{ 'id':566,'output':true,'number':'616' },'567':{ 'id':567,'output':true,'number':'266' },'568':{ 'id':568,'output':true,'number':'180' },'569':{ 'id':569,'output':true,'number':'200' },'570':{ 'id':570,'output':true,'number':'200' },'571':{ 'id':571,'output':true,'number':'229' },'572':{ 'id':572,'output':true,'number':'253' },'573':{ 'id':573,'output':true,'number':'74' },'574':{ 'id':574,'output':true,'number':'200r' },'575':{ 'id':575,'output':true,'number':'80' },'576':{ 'id':576,'output':true,'number':'259' },'577':{ 'id':577,'output':true,'number':'308' },'578':{ 'id':578,'output':true,'number':'73' },'579':{ 'id':579,'output':true,'number':'635' },'580':{ 'id':580,'output':true,'number':'616' },'581':{ 'id':581,'output':true,'number':'112' },'582':{ 'id':582,'output':true,'number':'138' },'583':{ 'id':583,'output':true,'number':'256' },'584':{ 'id':584,'output':true,'number':'262' },'585':{ 'id':585,'output':true,'number':'85' },'586':{ 'id':586,'output':true,'number':'209' },'587':{ 'id':587,'output':true,'number':'618' },'588':{ 'id':588,'output':true,'number':'123' },'589':{ 'id':589,'output':true,'number':'262' },'590':{ 'id':590,'output':true,'number':'267' },'591':{ 'id':591,'output':true,'number':'302' },'592':{ 'id':592,'output':true,'number':'620' },'593':{ 'id':593,'output':true,'number':'574' },'594':{ 'id':594,'output':true,'number':'11' },'595':{ 'id':595,'output':true,'number':'255' },'596':{ 'id':596,'output':true,'number':'94' },'597':{ 'id':597,'output':true,'number':'305' },'598':{ 'id':598,'output':true,'number':'131' },'599':{ 'id':599,'output':true,'number':'620' },'600':{ 'id':600,'output':true,'number':'260' },'601':{ 'id':601,'output':true,'number':'97' },'602':{ 'id':602,'output':true,'number':'101' },'603':{ 'id':603,'output':true,'number':'616' },'604':{ 'id':604,'output':true,'number':'252' },'605':{ 'id':605,'output':true,'number':'618' },'606':{ 'id':606,'output':true,'number':'252' },'607':{ 'id':607,'output':true,'number':'42' },'608':{ 'id':608,'output':true,'number':'57' },'609':{ 'id':609,'output':true,'number':'135' },'610':{ 'id':610,'output':true,'number':'131' },'611':{ 'id':611,'output':true,'number':'128' },'612':{ 'id':612,'output':true,'number':'30' },'613':{ 'id':613,'output':true,'number':'308' },'614':{ 'id':614,'output':true,'number':'620' },'615':{ 'id':615,'output':true,'number':'143' },'616':{ 'id':616,'output':true,'number':'69' },'617':{ 'id':617,'output':true,'number':'574' },'618':{ 'id':618,'output':true,'number':'133' },'619':{ 'id':619,'output':true,'number':'129' },'620':{ 'id':620,'output':true,'number':'276' },'621':{ 'id':621,'output':true,'number':'274' },'622':{ 'id':622,'output':true,'number':'71' },'623':{ 'id':623,'output':true,'number':'85' },'624':{ 'id':624,'output':true,'number':'121a' },'625':{ 'id':625,'output':true,'number':'297' },'626':{ 'id':626,'output':true,'number':'618' },'627':{ 'id':627,'output':true,'number':'298' },'628':{ 'id':628,'output':true,'number':'603' },'629':{ 'id':629,'output':true,'number':'105' },'630':{ 'id':630,'output':true,'number':'258' },'631':{ 'id':631,'output':true,'number':'265' },'632':{ 'id':632,'output':true,'number':'347' },'633':{ 'id':633,'output':true,'number':'620' },'634':{ 'id':634,'output':true,'number':'328' },'635':{ 'id':635,'output':true,'number':'620' },'636':{ 'id':636,'output':true,'number':'129a' },'637':{ 'id':637,'output':true,'number':'324' },'638':{ 'id':638,'output':true,'number':'284' },'639':{ 'id':639,'output':true,'number':'275' },'640':{ 'id':640,'output':true,'number':'309' },'641':{ 'id':641,'output':true,'number':'45' },'642':{ 'id':642,'output':true,'number':'15' },'643':{ 'id':643,'output':true,'number':'294' },'644':{ 'id':644,'output':true,'number':'98' },'645':{ 'id':645,'output':true,'number':'97' },'646':{ 'id':646,'output':true,'number':'35' },'647':{ 'id':647,'output':true,'number':'148' },'648':{ 'id':648,'output':true,'number':'616' },'649':{ 'id':649,'output':true,'number':'16' },'650':{ 'id':650,'output':true,'number':'618' },'651':{ 'id':651,'output':true,'number':'20' },'652':{ 'id':652,'output':true,'number':'219' },'653':{ 'id':653,'output':true,'number':'305' },'654':{ 'id':654,'output':true,'number':'617' },'655':{ 'id':655,'output':true,'number':'311' },'656':{ 'id':656,'output':true,'number':'200' },'657':{ 'id':657,'output':true,'number':'297' },'658':{ 'id':658,'output':true,'number':'308' },'659':{ 'id':659,'output':true,'number':'209' },'660':{ 'id':660,'output':true,'number':'203' },'661':{ 'id':661,'output':true,'number':'38' },'662':{ 'id':662,'output':true,'number':'308' },'663':{ 'id':663,'output':true,'number':'104' },'664':{ 'id':664,'output':true,'number':'303' },'665':{ 'id':665,'output':true,'number':'124' },'666':{ 'id':666,'output':true,'number':'624' },'667':{ 'id':667,'output':true,'number':'282' },'668':{ 'id':668,'output':true,'number':'90' },'669':{ 'id':669,'output':true,'number':'309' },'670':{ 'id':670,'output':true,'number':'138' },'671':{ 'id':671,'output':true,'number':'41' },'672':{ 'id':672,'output':true,'number':'102' },'673':{ 'id':673,'output':true,'number':'77' },'674':{ 'id':674,'output':true,'number':'308' },'675':{ 'id':675,'output':true,'number':'158' },'676':{ 'id':676,'output':true,'number':'311' },'677':{ 'id':677,'output':true,'number':'46' },'678':{ 'id':678,'output':true,'number':'124' },'679':{ 'id':679,'output':true,'number':'124' },'680':{ 'id':680,'output':true,'number':'81' },'681':{ 'id':681,'output':true,'number':'260' },'682':{ 'id':682,'output':true,'number':'116' },'683':{ 'id':683,'output':true,'number':'34' },'684':{ 'id':684,'output':true,'number':'190' },'685':{ 'id':685,'output':true,'number':'89' },'686':{ 'id':686,'output':true,'number':'301' },'687':{ 'id':687,'output':true,'number':'258' },'688':{ 'id':688,'output':true,'number':'620' },'689':{ 'id':689,'output':true,'number':'308' },'690':{ 'id':690,'output':true,'number':'85' },'691':{ 'id':691,'output':true,'number':'303' },'692':{ 'id':692,'output':true,'number':'311' },'693':{ 'id':693,'output':true,'number':'294' },'694':{ 'id':694,'output':true,'number':'121a' },'695':{ 'id':695,'output':true,'number':'620' },'696':{ 'id':696,'output':true,'number':'349' },'697':{ 'id':697,'output':true,'number':'19' },'698':{ 'id':698,'output':true,'number':'268' },'699':{ 'id':699,'output':true,'number':'324' },'700':{ 'id':700,'output':true,'number':'616' },'701':{ 'id':701,'output':true,'number':'249' },'702':{ 'id':702,'output':true,'number':'308' },'703':{ 'id':703,'output':true,'number':'219' },'704':{ 'id':704,'output':true,'number':'77' },'705':{ 'id':705,'output':true,'number':'121' },'706':{ 'id':706,'output':true,'number':'196' },'707':{ 'id':707,'output':true,'number':'315a' },'708':{ 'id':708,'output':true,'number':'196' },'709':{ 'id':709,'output':true,'number':'70' },'710':{ 'id':710,'output':true,'number':'45' },'711':{ 'id':711,'output':true,'number':'618' },'712':{ 'id':712,'output':true,'number':'195' },'713':{ 'id':713,'output':true,'number':'250' },'714':{ 'id':714,'output':true,'number':'59' },'715':{ 'id':715,'output':true,'number':'90' },'716':{ 'id':716,'output':true,'number':'622' },'717':{ 'id':717,'output':true,'number':'15' },'718':{ 'id':718,'output':true,'number':'252' },'719':{ 'id':719,'output':true,'number':'620' },'720':{ 'id':720,'output':true,'number':'308' },'721':{ 'id':721,'output':true,'number':'6' },'722':{ 'id':722,'output':true,'number':'133' },'723':{ 'id':723,'output':true,'number':'662' },'724':{ 'id':724,'output':true,'number':'616' },'725':{ 'id':725,'output':true,'number':'267' },'726':{ 'id':726,'output':true,'number':'288' },'727':{ 'id':727,'output':true,'number':'620' },'728':{ 'id':728,'output':true,'number':'201' },'729':{ 'id':729,'output':true,'number':'19' },'730':{ 'id':730,'output':true,'number':'227' },'731':{ 'id':731,'output':true,'number':'633' },'732':{ 'id':732,'output':true,'number':'274' },'733':{ 'id':733,'output':true,'number':'83' },'734':{ 'id':734,'output':true,'number':'308' },'735':{ 'id':735,'output':true,'number':'308' },'736':{ 'id':736,'output':true,'number':'82' },'737':{ 'id':737,'output':true,'number':'200' },'738':{ 'id':738,'output':true,'number':'219' },'739':{ 'id':739,'output':true,'number':'81' },'740':{ 'id':740,'output':true,'number':'180' },'741':{ 'id':741,'output':true,'number':'308' },'742':{ 'id':742,'output':true,'number':'23' },'743':{ 'id':743,'output':true,'number':'255' },'744':{ 'id':744,'output':true,'number':'10' },'745':{ 'id':745,'output':true,'number':'6' },'746':{ 'id':746,'output':true,'number':'5' },'747':{ 'id':747,'output':true,'number':'622' },'748':{ 'id':748,'output':true,'number':'1' },'749':{ 'id':749,'output':true,'number':'302' },'750':{ 'id':750,'output':true,'number':'298' },'751':{ 'id':751,'output':true,'number':'595' },'752':{ 'id':752,'output':true,'number':'119' },'753':{ 'id':753,'output':true,'number':'364' },'754':{ 'id':754,'output':true,'number':'352' },'755':{ 'id':755,'output':true,'number':'603' },'756':{ 'id':756,'output':true,'number':'106' },'757':{ 'id':757,'output':true,'number':'25' },'758':{ 'id':758,'output':true,'number':'184' },'759':{ 'id':759,'output':true,'number':'109' },'760':{ 'id':760,'output':true,'number':'300' },'761':{ 'id':761,'output':true,'number':'24' },'762':{ 'id':762,'output':true,'number':'250' },'763':{ 'id':763,'output':true,'number':'89' },'764':{ 'id':764,'output':true,'number':'31' },'765':{ 'id':765,'output':true,'number':'18' },'766':{ 'id':766,'output':true,'number':'262' },'767':{ 'id':767,'output':true,'number':'23' },'768':{ 'id':768,'output':true,'number':'180' },'769':{ 'id':769,'output':true,'number':'89a' },'770':{ 'id':770,'output':true,'number':'338' },'771':{ 'id':771,'output':true,'number':'664' },'772':{ 'id':772,'output':true,'number':'183' },'773':{ 'id':773,'output':true,'number':'298' },'774':{ 'id':774,'output':true,'number':'371' },'775':{ 'id':775,'output':true,'number':'139' },'776':{ 'id':776,'output':true,'number':'259' },'777':{ 'id':777,'output':true,'number':'14' },'778':{ 'id':778,'output':true,'number':'259' },'779':{ 'id':779,'output':true,'number':'132' },'780':{ 'id':780,'output':true,'number':'94' },'781':{ 'id':781,'output':true,'number':'42' },'782':{ 'id':782,'output':true,'number':'292' },'783':{ 'id':783,'output':true,'number':'609' },'784':{ 'id':784,'output':true,'number':'90' },'785':{ 'id':785,'output':true,'number':'98' },'786':{ 'id':786,'output':true,'number':'196' },'787':{ 'id':787,'output':true,'number':'622' },'788':{ 'id':788,'output':true,'number':'503' },'789':{ 'id':789,'output':true,'number':'90' },'790':{ 'id':790,'output':true,'number':'124' },'791':{ 'id':791,'output':true,'number':'624' },'792':{ 'id':792,'output':true,'number':'167-169' },'793':{ 'id':793,'output':true,'number':'255' },'794':{ 'id':794,'output':true,'number':'132' },'795':{ 'id':795,'output':true,'number':'253' },'796':{ 'id':796,'output':true,'number':'200' },'797':{ 'id':797,'output':true,'number':'103' },'798':{ 'id':798,'output':true,'number':'90' },'799':{ 'id':799,'output':true,'number':'104' },'800':{ 'id':800,'output':true,'number':'68' },'801':{ 'id':801,'output':true,'number':'94' },'802':{ 'id':802,'output':true,'number':'15' },'803':{ 'id':803,'output':true,'number':'261' },'804':{ 'id':804,'output':true,'number':'177' },'805':{ 'id':805,'output':true,'number':'15' },'806':{ 'id':806,'output':true,'number':'600' },'807':{ 'id':807,'output':true,'number':'41' },'808':{ 'id':808,'output':true,'number':'77' },'809':{ 'id':809,'output':true,'number':'242' },'810':{ 'id':810,'output':true,'number':'26' },'811':{ 'id':811,'output':true,'number':'84' },'812':{ 'id':812,'output':true,'number':'271' },'813':{ 'id':813,'output':true,'number':'618' },'814':{ 'id':814,'output':true,'number':'53' },'815':{ 'id':815,'output':true,'number':'334' },'816':{ 'id':816,'output':true,'number':'107' },'817':{ 'id':817,'output':true,'number':'622' },'818':{ 'id':818,'output':true,'number':'103' },'819':{ 'id':819,'output':true,'number':'288' },'820':{ 'id':820,'output':true,'number':'255' },'821':{ 'id':821,'output':true,'number':'616' },'822':{ 'id':822,'output':true,'number':'17' },'823':{ 'id':823,'output':true,'number':'27' },'824':{ 'id':824,'output':true,'number':'98' },'825':{ 'id':825,'output':true,'number':'609' },'826':{ 'id':826,'output':true,'number':'166' },'827':{ 'id':827,'output':true,'number':'274' },'828':{ 'id':828,'output':true,'number':'196' },'829':{ 'id':829,'output':true,'number':'624' },'830':{ 'id':830,'output':true,'number':'490' },'831':{ 'id':831,'output':true,'number':'301' },'832':{ 'id':832,'output':true,'number':'288' },'833':{ 'id':833,'output':true,'number':'617' },'834':{ 'id':834,'output':true,'number':'625' },'835':{ 'id':835,'output':true,'number':'624' },'836':{ 'id':836,'output':true,'number':'201' },'837':{ 'id':837,'output':true,'number':'135' },'838':{ 'id':838,'output':true,'number':'620' },'839':{ 'id':839,'output':true,'number':'308' },'840':{ 'id':840,'output':true,'number':'111' },'841':{ 'id':841,'output':true,'number':'616' },'842':{ 'id':842,'output':true,'number':'633' },'843':{ 'id':843,'output':true,'number':'65' },'844':{ 'id':844,'output':true,'number':'281' },'845':{ 'id':845,'output':true,'number':'308' },'846':{ 'id':846,'output':true,'number':'292' },'847':{ 'id':847,'output':true,'number':'260' },'848':{ 'id':848,'output':true,'number':'89' },'849':{ 'id':849,'output':true,'number':'66' },'850':{ 'id':850,'output':true,'number':'272' },'851':{ 'id':851,'output':true,'number':'267' },'852':{ 'id':852,'output':true,'number':'260' },'853':{ 'id':853,'output':true,'number':'308' },'854':{ 'id':854,'output':true,'number':'62' },'855':{ 'id':855,'output':true,'number':'284' },'856':{ 'id':856,'output':true,'number':'94' },'857':{ 'id':857,'output':true,'number':'43' },'858':{ 'id':858,'output':true,'number':'616' },'859':{ 'id':859,'output':true,'number':'6' },'860':{ 'id':860,'output':true,'number':'356' },'861':{ 'id':861,'output':true,'number':'68' },'862':{ 'id':862,'output':true,'number':'111' },'863':{ 'id':863,'output':true,'number':'151' },'864':{ 'id':864,'output':true,'number':'110' },'865':{ 'id':865,'output':true,'number':'99' },'866':{ 'id':866,'output':true,'number':'132' },'867':{ 'id':867,'output':true,'number':'38' },'868':{ 'id':868,'output':true,'number':'258' },'869':{ 'id':869,'output':true,'number':'302' },'870':{ 'id':870,'output':true,'number':'227' },'871':{ 'id':871,'output':true,'number':'28' },'872':{ 'id':872,'output':true,'number':'87' },'873':{ 'id':873,'output':true,'number':'504' },'874':{ 'id':874,'output':true,'number':'200' },'875':{ 'id':875,'output':true,'number':'135' },'876':{ 'id':876,'output':true,'number':'105' },'877':{ 'id':877,'output':true,'number':'620' },'878':{ 'id':878,'output':true,'number':'112' },'879':{ 'id':879,'output':true,'number':'121' },'880':{ 'id':880,'output':true,'number':'94' },'881':{ 'id':881,'output':true,'number':'130' },'882':{ 'id':882,'output':true,'number':'120' },'883':{ 'id':883,'output':true,'number':'258' },'884':{ 'id':884,'output':true,'number':'115' },'885':{ 'id':885,'output':true,'number':'103' },'886':{ 'id':886,'output':true,'number':'121b' },'887':{ 'id':887,'output':true,'number':'10' },'888':{ 'id':888,'output':true,'number':'616' },'889':{ 'id':889,'output':true,'number':'94' },'890':{ 'id':890,'output':true,'number':'27' },'891':{ 'id':891,'output':true,'number':'111' },'892':{ 'id':892,'output':true,'number':'97' },'893':{ 'id':893,'output':true,'number':'369' },'894':{ 'id':894,'output':true,'number':'115' },'895':{ 'id':895,'output':true,'number':'17' },'896':{ 'id':896,'output':true,'number':'11' },'897':{ 'id':897,'output':true,'number':'29' },'898':{ 'id':898,'output':true,'number':'231' },'899':{ 'id':899,'output':true,'number':'619' },'900':{ 'id':900,'output':true,'number':'138' },'901':{ 'id':901,'output':true,'number':'121' },'902':{ 'id':902,'output':true,'number':'16' },'903':{ 'id':903,'output':true,'number':'664' },'904':{ 'id':904,'output':true,'number':'125' },'905':{ 'id':905,'output':true,'number':'89' },'906':{ 'id':906,'output':true,'number':'274' },'907':{ 'id':907,'output':true,'number':'601' },'908':{ 'id':908,'output':true,'number':'579' },'909':{ 'id':909,'output':true,'number':'128' },'910':{ 'id':910,'output':true,'number':'200' },'911':{ 'id':911,'output':true,'number':'33' },'912':{ 'id':912,'output':true,'number':'89' },'913':{ 'id':913,'output':true,'number':'308' },'914':{ 'id':914,'output':true,'number':'97' },'915':{ 'id':915,'output':true,'number':'618' },'916':{ 'id':916,'output':true,'number':'125a' },'917':{ 'id':917,'output':true,'number':'125' },'918':{ 'id':918,'output':true,'number':'14' },'919':{ 'id':919,'output':true,'number':'627' },'920':{ 'id':920,'output':true,'number':'646' },'921':{ 'id':921,'output':true,'number':'11' },'922':{ 'id':922,'output':true,'number':'24' },'923':{ 'id':923,'output':true,'number':'419' },'924':{ 'id':924,'output':true,'number':'324' },'925':{ 'id':925,'output':true,'number':'419' },'926':{ 'id':926,'output':true,'number':'221' },'927':{ 'id':927,'output':true,'number':'616' },'928':{ 'id':928,'output':true,'number':'93' },'929':{ 'id':929,'output':true,'number':'633' },'930':{ 'id':930,'output':true,'number':'91' },'931':{ 'id':931,'output':true,'number':'95' },'932':{ 'id':932,'output':true,'number':'129' },'933':{ 'id':933,'output':true,'number':'300' },'934':{ 'id':934,'output':true,'number':'256' },'935':{ 'id':935,'output':true,'number':'83' },'936':{ 'id':936,'output':true,'number':'387' },'937':{ 'id':937,'output':true,'number':'38' },'938':{ 'id':938,'output':true,'number':'196' },'939':{ 'id':939,'output':true,'number':'58' },'940':{ 'id':940,'output':true,'number':'200' },'941':{ 'id':941,'output':true,'number':'627' },'942':{ 'id':942,'output':true,'number':'292' },'943':{ 'id':943,'output':true,'number':'133' },'944':{ 'id':944,'output':true,'number':'61' },'945':{ 'id':945,'output':true,'number':'527' },'946':{ 'id':946,'output':true,'number':'229' },'947':{ 'id':947,'output':true,'number':'71' },'948':{ 'id':948,'output':true,'number':'110' },'949':{ 'id':949,'output':true,'number':'601' },'950':{ 'id':950,'output':true,'number':'207' },'951':{ 'id':951,'output':true,'number':'15' },'952':{ 'id':952,'output':true,'number':'324' },'953':{ 'id':953,'output':true,'number':'131' },'954':{ 'id':954,'output':true,'number':'119' },'955':{ 'id':955,'output':true,'number':'274' },'956':{ 'id':956,'output':true,'number':'94' },'957':{ 'id':957,'output':true,'number':'624' },'958':{ 'id':958,'output':true,'number':'133' },'959':{ 'id':959,'output':true,'number':'266' },'960':{ 'id':960,'output':true,'number':'308' },'961':{ 'id':961,'output':true,'number':'340' },'962':{ 'id':962,'output':true,'number':'322' },'963':{ 'id':963,'output':true,'number':'19' },'964':{ 'id':964,'output':true,'number':'635' },'965':{ 'id':965,'output':true,'number':'627' },'966':{ 'id':966,'output':true,'number':'69' },'967':{ 'id':967,'output':true,'number':'267' },'968':{ 'id':968,'output':true,'number':'269' },'969':{ 'id':969,'output':true,'number':'631' },'970':{ 'id':970,'output':true,'number':'30' },'971':{ 'id':971,'output':true,'number':'474' },'972':{ 'id':972,'output':true,'number':'622' },'973':{ 'id':973,'output':true,'number':'282' },'974':{ 'id':974,'output':true,'number':'631' },'975':{ 'id':975,'output':true,'number':'349' },'976':{ 'id':976,'output':true,'number':'622' },'977':{ 'id':977,'output':true,'number':'637' },'978':{ 'id':978,'output':true,'number':'616' },'979':{ 'id':979,'output':true,'number':'567' },'980':{ 'id':980,'output':true,'number':'1' },'981':{ 'id':981,'output':true,'number':'613' },'982':{ 'id':982,'output':true,'number':'290' },'983':{ 'id':983,'output':true,'number':'294' },'984':{ 'id':984,'output':true,'number':'624' },'985':{ 'id':985,'output':true,'number':'375' },'986':{ 'id':986,'output':true,'number':'625' },'987':{ 'id':987,'output':true,'number':'12' },'988':{ 'id':988,'output':true,'number':'119' },'989':{ 'id':989,'output':true,'number':'616' },'990':{ 'id':990,'output':true,'number':'271' },'991':{ 'id':991,'output':true,'number':'618' },'992':{ 'id':992,'output':true,'number':'105' },'993':{ 'id':993,'output':true,'number':'620' },'994':{ 'id':994,'output':true,'number':'11' },'995':{ 'id':995,'output':true,'number':'17' },'996':{ 'id':996,'output':true,'number':'99' },'997':{ 'id':997,'output':true,'number':'45' },'998':{ 'id':998,'output':true,'number':'181' },'999':{ 'id':999,'output':true,'number':'46' },'1000':{ 'id':1000,'output':true,'number':'308' },'1001':{ 'id':1001,'output':true,'number':'616' },'1002':{ 'id':1002,'output':true,'number':'308' },'1003':{ 'id':1003,'output':true,'number':'622' },'1004':{ 'id':1004,'output':true,'number':'196' },'1005':{ 'id':1005,'output':true,'number':'196' },'1006':{ 'id':1006,'output':true,'number':'125' },'1007':{ 'id':1007,'output':true,'number':'54' },'1008':{ 'id':1008,'output':true,'number':'293' },'1009':{ 'id':1009,'output':true,'number':'245' },'1010':{ 'id':1010,'output':true,'number':'303' },'1011':{ 'id':1011,'output':true,'number':'148' },'1012':{ 'id':1012,'output':true,'number':'89-89a' },'1013':{ 'id':1013,'output':true,'number':'616' },'1014':{ 'id':1014,'output':true,'number':'200' },'1015':{ 'id':1015,'output':true,'number':'618' },'1016':{ 'id':1016,'output':true,'number':'110' },'1017':{ 'id':1017,'output':true,'number':'95-97' },'1018':{ 'id':1018,'output':true,'number':'133' },'1019':{ 'id':1019,'output':true,'number':'14' },'1020':{ 'id':1020,'output':true,'number':'76' },'1021':{ 'id':1021,'output':true,'number':'642' },'1022':{ 'id':1022,'output':true,'number':'419' },'1023':{ 'id':1023,'output':true,'number':'24' },'1024':{ 'id':1024,'output':true,'number':'86' },'1025':{ 'id':1025,'output':true,'number':'72' },'1026':{ 'id':1026,'output':true,'number':'313' },'1027':{ 'id':1027,'output':true,'number':'574' },'1028':{ 'id':1028,'output':true,'number':'616' },'1029':{ 'id':1029,'output':true,'number':'616' },'1030':{ 'id':1030,'output':true,'number':'618' },'1031':{ 'id':1031,'output':true,'number':'616' },'1032':{ 'id':1032,'output':true,'number':'620' },'1033':{ 'id':1033,'output':true,'number':'620' },'1034':{ 'id':1034,'output':true,'number':'622' },'1035':{ 'id':1035,'output':true,'number':'622' },'1036':{ 'id':1036,'output':true,'number':'624' },'1037':{ 'id':1037,'output':true,'number':'200' } },
        { 'type':'MultiLineString','coordinates':[[[-71.110302,42.396207],[-71.109804,42.396937],[-71.109721,42.397058],[-71.109718,42.39717],[-71.109718,42.397179],[-71.109799,42.397357],[-71.110035,42.397693]],[[-71.130332,42.417185],[-71.12977,42.416824],[-71.129573,42.416693],[-71.129483,42.416633],[-71.129416,42.416586],[-71.129335,42.416535],[-71.128689,42.416112],[-71.128043,42.415683],[-71.128003,42.415656],[-71.127893,42.415582]],[[-71.130727,42.417445],[-71.130534,42.417317]],[[-71.110302,42.396207],[-71.111349,42.394668],[-71.111392,42.394605]],[[-71.117118,42.407645],[-71.116804,42.407229],[-71.116786,42.4072],[-71.116758,42.407142],[-71.116727,42.407028]],[[-71.127893,42.415582],[-71.127843,42.415548],[-71.127688,42.415444],[-71.127129,42.415062],[-71.126676,42.414766],[-71.126569,42.414695],[-71.125806,42.414187],[-71.125128,42.413756],[-71.124474,42.413304],[-71.123795,42.412862],[-71.123442,42.412636],[-71.122853,42.412248],[-71.122328,42.4119],[-71.121782,42.411549],[-71.121398,42.411294],[-71.120822,42.410936],[-71.120235,42.410581],[-71.119827,42.410329],[-71.119727,42.410258],[-71.119279,42.4099],[-71.118972,42.40965],[-71.118636,42.409375],[-71.118368,42.409123],[-71.118161,42.408894],[-71.118004,42.408734],[-71.117725,42.408426],[-71.117429,42.408053],[-71.117118,42.407645]],[[-71.130534,42.417317],[-71.130332,42.417185]],[[-71.110035,42.397693],[-71.110441,42.398265],[-71.110909,42.398928],[-71.111164,42.399291],[-71.111316,42.399507],[-71.111436,42.399656]],[[-71.111436,42.399656],[-71.111678,42.399978],[-71.113796,42.402792],[-71.114583,42.403868],[-71.114963,42.404374],[-71.11529,42.40481],[-71.115543,42.405147],[-71.115547,42.405151],[-71.115581,42.405198],[-71.116118,42.405914],[-71.116158,42.405971],[-71.116622,42.406586],[-71.116679,42.406661],[-71.116696,42.406684],[-71.116786,42.4068]],[[-71.13726,42.421329],[-71.137185,42.421291],[-71.136722,42.421053],[-71.136114,42.420693],[-71.135585,42.420382],[-71.13544,42.420296],[-71.134523,42.419777],[-71.133858,42.419393],[-71.132971,42.418884],[-71.132206,42.418435],[-71.131848,42.418188],[-71.131402,42.417893],[-71.130727,42.417445]]] },
        { 'type':'MultiPoint','coordinates':[[-71.12492,42.413358,1],[-71.116858,42.405471,2],[-71.131211,42.417432,3],[-71.110367,42.398671,4],[-71.137055,42.420971,5],[-71.132616,42.418965,6],[-71.114574,42.404281,7],[-71.128408,42.41565,8],[-71.113454,42.40196,9],[-71.111277,42.399183,10],[-71.135819,42.420177,11],[-71.136941,42.420825,12],[-71.131424,42.417584,13],[-71.128102,42.415437,14],[-71.132304,42.418754,15],[-71.110705,42.398425,16],[-71.11323,42.40166,17],[-71.121985,42.411894,18],[-71.122828,42.412515,19],[-71.128166,42.416048,20],[-71.12155,42.411643,21],[-71.111003,42.394832,22],[-71.123059,42.412659,23],[-71.123515,42.412967,24],[-71.136024,42.421005,25],[-71.129094,42.416074,26],[-71.132369,42.418181,27],[-71.110829,42.399264,28],[-71.114552,42.403384,29],[-71.126204,42.414203,30],[-71.125335,42.414137,31],[-71.128979,42.416004,32],[-71.1338,42.419041,33],[-71.110365,42.39646,34],[-71.124899,42.413849,35],[-71.133291,42.418759,36],[-71.134538,42.419483,37],[-71.110777,42.395864,38],[-71.1152,42.404449,39],[-71.109603,42.396899,40],[-71.13564,42.420699,41],[-71.127643,42.415102,42],[-71.112658,42.400888,43],[-71.128647,42.416365,44],[-71.113158,42.401563,45],[-71.110017,42.398185,46],[-71.115049,42.404915,47],[-71.12317,42.412735,48],[-71.123282,42.41281,49],[-71.110793,42.395143,50],[-71.133462,42.419524,51],[-71.110981,42.395562,52],[-71.112459,42.401425,53],[-71.122644,42.412465,54],[-71.113378,42.401858,55],[-71.11064,42.396068,56],[-71.112729,42.400983,57],[-71.110638,42.398959,58],[-71.112459,42.401425,59],[-71.124353,42.413037,60],[-71.122067,42.41213,61],[-71.110931,42.394938,62],[-71.113326,42.402668,63],[-71.110584,42.395452,64],[-71.112947,42.401278,65],[-71.125644,42.413812,66],[-71.136601,42.421172,67],[-71.128349,42.416168,68],[-71.135125,42.41979,69],[-71.110295,42.398572,70],[-71.113098,42.402305,71],[-71.124563,42.413627,72],[-71.123763,42.41311,73],[-71.110518,42.39888,74],[-71.135481,42.420589,75],[-71.109742,42.397803,76],[-71.111443,42.400096,77],[-71.136197,42.421075,78],[-71.127723,42.416132,79],[-71.129235,42.416117,80],[-71.130715,42.417668,81],[-71.109357,42.397444,82],[-71.112515,42.400694,83],[-71.109564,42.396733,84],[-71.136021,42.420294,85],[-71.109927,42.397116,86],[-71.133449,42.418868,87],[-71.110486,42.397946,88],[-71.128751,42.415862,89],[-71.120013,42.410152,90],[-71.121845,42.411804,91],[-71.111392,42.394946,92],[-71.132616,42.418965,93],[-71.128865,42.415933,94],[-71.110031,42.397478,95],[-71.127196,42.414808,96],[-71.135448,42.419965,97],[-71.110862,42.39504,98],[-71.133691,42.419581,99],[-71.133639,42.418947,100],[-71.128865,42.415933,101],[-71.126603,42.414459,102],[-71.127763,42.415168,103],[-71.110429,42.396365,104],[-71.134229,42.419304,105],[-71.111953,42.400105,106],[-71.128865,42.415933,107],[-71.1241,42.41335,108],[-71.109534,42.397003,109],[-71.128523,42.415721,110],[-71.132628,42.418391,111],[-71.132231,42.418093,112],[-71.110166,42.396068,113],[-71.126811,42.415579,114],[-71.123381,42.412246,115],[-71.110709,42.395964,116],[-71.13293,42.419101,117],[-71.132441,42.418867,118],[-71.128636,42.415792,119],[-71.130911,42.41785,120],[-71.110444,42.395658,121],[-71.110344,42.397942,122],[-71.135236,42.420521,123],[-71.124674,42.413703,124],[-71.110085,42.398281,125],[-71.131936,42.417937,126],[-71.125495,42.413736,127],[-71.110238,42.395963,128],[-71.135598,42.420051,129],[-71.127508,42.41505,130],[-71.128904,42.416594,131],[-71.125032,42.413414,132],[-71.10981,42.397896,133],[-71.109469,42.397128,134],[-71.131806,42.418366,135],[-71.121481,42.411583,136],[-71.110514,42.395555,137],[-71.135305,42.419883,138],[-71.130798,42.417791,139],[-71.109948,42.398088,140],[-71.123083,42.412075,141],[-71.126204,42.414809,142],[-71.128297,42.415583,143],[-71.127966,42.415346,144],[-71.110769,42.398533,145],[-71.111047,42.395461,146],[-71.121292,42.41092,147],[-71.134816,42.420287,148],[-71.111249,42.395158,149],[-71.127418,42.414956,150],[-71.124404,42.413553,151],[-71.110653,42.395349,152],[-71.12088,42.410711,153],[-71.123588,42.412426,154],[-71.127845,42.415837,155],[-71.113086,42.401465,156],[-71.109375,42.397277,157],[-71.11087,42.398664,158],[-71.121012,42.411306,159],[-71.125145,42.413472,160],[-71.110228,42.398478,161],[-71.135785,42.420785,162],[-71.126464,42.414368,163],[-71.128297,42.415583,164],[-71.131546,42.418246,165],[-71.133475,42.419809,166],[-71.128297,42.415583,167],[-71.115485,42.404762,168],[-71.111179,42.395258,169],[-71.109675,42.397708,170],[-71.136354,42.421156,171],[-71.132099,42.418003,172],[-71.111112,42.395361,173],[-71.133874,42.419686,174],[-71.110158,42.398378,175],[-71.109675,42.397708,176],[-71.112022,42.400834,177],[-71.109772,42.396649,178],[-71.109879,42.397992,179],[-71.133106,42.419206,180],[-71.110078,42.396199,181],[-71.111527,42.399933,182],[-71.136779,42.420731,183],[-71.110152,42.396775,184],[-71.110375,42.395761,185],[-71.120302,42.410338,186],[-71.110571,42.396169,187],[-71.110442,42.398774,188],[-71.13048,42.417572,189],[-71.109872,42.396501,190],[-71.109675,42.397708,191],[-71.135819,42.420177,192],[-71.109987,42.397016,193],[-71.110288,42.397833,194],[-71.113303,42.401758,195],[-71.110724,42.395246,196],[-71.111211,42.399067,197],[-71.123992,42.413278,198],[-71.109603,42.397608,199],[-71.11143,42.399195,200],[-71.112459,42.401425,201],[-71.110839,42.395765,202],[-71.11006,42.396907,203],[-71.125984,42.414662,204],[-71.110306,42.395863,205],[-71.109928,42.397235,206],[-71.124834,42.413255,207],[-71.110278,42.396588,208],[-71.109979,42.396345,209],[-71.124111,42.412853,210],[-71.111318,42.395057,211],[-71.110906,42.395661,212],[-71.123412,42.412879,213],[-71.122257,42.412201,214],[-71.109526,42.397496,215],[-71.126839,42.414609,216],[-71.131082,42.417928,217],[-71.12801,42.415944,218],[-71.111619,42.400296,219],[-71.1106,42.399156,220],[-71.110228,42.398478,221],[-71.124712,42.413184,222],[-71.127367,42.416046,223],[-71.112459,42.401425,224],[-71.133223,42.419412,225],[-71.134083,42.41922,226],[-71.121169,42.410845,227],[-71.112439,42.400591,228],[-71.113633,42.402199,229],[-71.132628,42.418391,230],[-71.120159,42.410248,231],[-71.123897,42.413186,232],[-71.132156,42.418637,233],[-71.122931,42.411998,234],[-71.131772,42.41781,235],[-71.112873,42.401178,236],[-71.130977,42.417448,237],[-71.125685,42.414986,238],[-71.114022,42.403553,239],[-71.11905,42.409024,240],[-71.136168,42.420379,241],[-71.127075,42.414741,242],[-71.137237,42.421066,243],[-71.13062,42.417598,244],[-71.126945,42.414683,245],[-71.126067,42.414117,246],[-71.131948,42.418459,247],[-71.111828,42.400488,248],[-71.125228,42.414067,249],[-71.123229,42.41216,250],[-71.112459,42.401425,251],[-71.131391,42.418175,252],[-71.112588,42.400794,253],[-71.125799,42.413891,254],[-71.1128,42.401079,255],[-71.11536,42.404606,256],[-71.136635,42.420648,257],[-71.124353,42.413037,258],[-71.132505,42.418272,259],[-71.113017,42.401373,260],[-71.125006,42.413921,261],[-71.120801,42.411261,262],[-71.135899,42.420896,263],[-71.125493,42.414239,264],[-71.112459,42.401425,265],[-71.123453,42.412373,266],[-71.135819,42.420177,267],[-71.119872,42.410517,268],[-71.122773,42.411892,269],[-71.125381,42.413621,270],[-71.132983,42.418589,271],[-71.1328,42.418486,272],[-71.133937,42.419136,273],[-71.124237,42.413441,274],[-71.121315,42.411523,275],[-71.13436,42.41938,276],[-71.12202,42.411433,277],[-71.136412,42.420519,278],[-71.125117,42.413994,279],[-71.122944,42.412579,280],[-71.126333,42.414285,281],[-71.121149,42.411404,282],[-71.120718,42.410609,283],[-71.124789,42.413779,284],[-71.112624,42.401618,285],[-71.127505,42.415064,286],[-71.119967,42.410558,287],[-71.112624,42.401618,288],[-71.112525,42.400726,289],[-71.125988,42.414674,290],[-71.132797,42.41851,291],[-71.111236,42.399033,292],[-71.112624,42.401618,293],[-71.124579,42.413642,294],[-71.112872,42.401212,295],[-71.112624,42.401618,296],[-71.110461,42.395655,297],[-71.126817,42.414647,298],[-71.123208,42.41218,299],[-71.110192,42.398393,300],[-71.112624,42.401618,301],[-71.130626,42.417601,302],[-71.125611,42.415067,303],[-71.110192,42.398278,304],[-71.113153,42.401592,305],[-71.124396,42.413555,306],[-71.113304,42.401793,307],[-71.112817,42.401107,308],[-71.136927,42.420868,309],[-71.121223,42.410983,310],[-71.125769,42.41396,311],[-71.110818,42.398482,312],[-71.122042,42.411523,313],[-71.122622,42.412471,314],[-71.125008,42.41345,315],[-71.131044,42.417944,316],[-71.121959,42.41192,317],[-71.132327,42.418245,318],[-71.112817,42.401107,319],[-71.125498,42.413721,320],[-71.132607,42.418424,321],[-71.125333,42.414146,322],[-71.122043,42.412087,323],[-71.125628,42.413845,324],[-71.123309,42.412281,325],[-71.123558,42.412464,326],[-71.135606,42.420082,327],[-71.131421,42.417603,328],[-71.110818,42.398482,329],[-71.122622,42.412471,330],[-71.123558,42.412464,331],[-71.122043,42.412087,332],[-71.121959,42.41192,333],[-71.115021,42.405001,334],[-71.110582,42.39617,335],[-71.121959,42.41192,336],[-71.135825,42.420781,337],[-71.116521,42.406821,338],[-71.123172,42.412736,339],[-71.121959,42.41192,340],[-71.1266,42.415742,341],[-71.127208,42.414819,342],[-71.112624,42.401618,343],[-71.109522,42.397145,344],[-71.113233,42.402576,345],[-71.126157,42.414811,346],[-71.122622,42.412471,347],[-71.12306,42.412656,348],[-71.111048,42.395452,349],[-71.122622,42.412471,350],[-71.109723,42.397594,351],[-71.109572,42.397509,352],[-71.110888,42.395039,353],[-71.123062,42.412115,354],[-71.110488,42.397989,355],[-71.122834,42.412486,356],[-71.124396,42.413555,357],[-71.132607,42.418424,358],[-71.131246,42.417445,359],[-71.125769,42.41396,360],[-71.126191,42.414237,361],[-71.124396,42.413555,362],[-71.112624,42.401618,363],[-71.128865,42.415957,364],[-71.131421,42.417603,365],[-71.121223,42.410983,366],[-71.128351,42.416148,367],[-71.123309,42.412281,368],[-71.112607,42.400818,369],[-71.131421,42.417603,370],[-71.123785,42.413113,371],[-71.125008,42.41345,372],[-71.112624,42.401618,373],[-71.128076,42.415466,374],[-71.10948,42.397394,375],[-71.127373,42.415004,376],[-71.137098,42.420952,377],[-71.125628,42.413845,378],[-71.110946,42.394954,379],[-71.1266,42.415742,380],[-71.127951,42.415375,381],[-71.127386,42.416082,382],[-71.123309,42.412281,383],[-71.125329,42.413664,384],[-71.129093,42.416104,385],[-71.132603,42.418967,386],[-71.112624,42.401618,387],[-71.109723,42.397594,388],[-71.110531,42.398786,389],[-71.128294,42.415612,390],[-71.112624,42.401618,391],[-71.134201,42.419328,392],[-71.127386,42.416082,393],[-71.128053,42.415921,394],[-71.110402,42.397887,395],[-71.125498,42.413721,396],[-71.123172,42.412736,397],[-71.132505,42.418286,398],[-71.134053,42.419245,399],[-71.112624,42.401618,400],[-71.124124,42.413338,401],[-71.124124,42.413338,402],[-71.136188,42.420367,403],[-71.127386,42.416082,404],[-71.131768,42.417876,405],[-71.124686,42.413714,406],[-71.122768,42.411918,407],[-71.111016,42.39486,408],[-71.114035,42.403509,409],[-71.126191,42.414237,410],[-71.127621,42.415141,411],[-71.132445,42.418868,412],[-71.124806,42.413307,413],[-71.124374,42.413067,414],[-71.126051,42.414146,415],[-71.1266,42.415742,416],[-71.133281,42.418815,417],[-71.1266,42.415742,418],[-71.122622,42.412471,419],[-71.110192,42.398393,420],[-71.133483,42.41957,421],[-71.128649,42.41633,422],[-71.13072,42.417679,423],[-71.124232,42.413449,424],[-71.110105,42.398185,425],[-71.129211,42.416168,426],[-71.132445,42.418868,427],[-71.124396,42.413555,428],[-71.128865,42.415957,429],[-71.127386,42.416082,430],[-71.122043,42.412087,431],[-71.121223,42.410983,432],[-71.123785,42.413113,433],[-71.133478,42.419836,434],[-71.110259,42.395964,435],[-71.112624,42.401618,436],[-71.122218,42.411595,437],[-71.132505,42.418286,438],[-71.131421,42.417603,439],[-71.110903,42.398581,440],[-71.113391,42.401885,441],[-71.125119,42.414002,442],[-71.123413,42.41288,443],[-71.110903,42.398581,444],[-71.109775,42.397698,445],[-71.137098,42.420952,446],[-71.1266,42.415742,447],[-71.1266,42.415742,448],[-71.124579,42.413642,449],[-71.123172,42.412736,450],[-71.123864,42.41322,451],[-71.110752,42.398384,452],[-71.110081,42.397428,453],[-71.121156,42.410873,454],[-71.124374,42.413067,455],[-71.115219,42.404401,456],[-71.120032,42.4102,457],[-71.111125,42.395357,458],[-71.127759,42.415169,459],[-71.120894,42.410735,460],[-71.135913,42.420907,461],[-71.114035,42.403509,462],[-71.110818,42.398482,463],[-71.109827,42.397797,464],[-71.110328,42.395866,465],[-71.136232,42.421066,466],[-71.123558,42.412464,467],[-71.126335,42.414313,468],[-71.124396,42.413555,469],[-71.112624,42.401618,470],[-71.109623,42.396902,471],[-71.110089,42.396234,472],[-71.124374,42.413067,473],[-71.126191,42.414237,474],[-71.127386,42.416082,475],[-71.120295,42.410381,476],[-71.126596,42.414465,477],[-71.110081,42.397428,478],[-71.112624,42.401618,479],[-71.123302,42.412807,480],[-71.112624,42.401618,481],[-71.124806,42.413307,482],[-71.111125,42.395357,483],[-71.128294,42.415612,484],[-71.115292,42.40532,485],[-71.114635,42.404364,486],[-71.109426,42.397282,487],[-71.112624,42.401618,488],[-71.128978,42.416028,489],[-71.133716,42.419608,490],[-71.113015,42.401394,491],[-71.125628,42.413845,492],[-71.133483,42.41957,493],[-71.109775,42.397698,494],[-71.128351,42.416148,495],[-71.121959,42.41192,496],[-71.132603,42.418967,497],[-71.122622,42.412471,498],[-71.133485,42.418899,499],[-71.124688,42.413242,500],[-71.125119,42.414002,501],[-71.133648,42.418966,502],[-71.128294,42.415612,503],[-71.132915,42.419148,504],[-71.120747,42.41064,505],[-71.122947,42.412579,506],[-71.135485,42.419958,507],[-71.12221,42.412251,508],[-71.11267,42.400915,509],[-71.137098,42.420952,510],[-71.132286,42.418746,511],[-71.112624,42.401618,512],[-71.110039,42.398089,513],[-71.112624,42.401618,514],[-71.127386,42.416082,515],[-71.124396,42.413555,516],[-71.125221,42.414075,517],[-71.123507,42.412957,518],[-71.112624,42.401618,519],[-71.115494,42.404798,520],[-71.113451,42.401988,521],[-71.126458,42.4144,522],[-71.136393,42.420543,523],[-71.112624,42.401618,524],[-71.112624,42.401618,525],[-71.110039,42.398089,526],[-71.116491,42.405418,527],[-71.128351,42.416148,528],[-71.135913,42.420907,529],[-71.112624,42.401618,530],[-71.112624,42.401618,531],[-71.11202,42.400706,532],[-71.112624,42.401618,533],[-71.124018,42.413255,534],[-71.131044,42.417944,535],[-71.113304,42.401793,536],[-71.137226,42.421086,537],[-71.112026,42.400165,538],[-71.112743,42.401011,539],[-71.124232,42.413449,540],[-71.137098,42.420952,541],[-71.123413,42.41288,542],[-71.11267,42.400915,543],[-71.1266,42.415742,544],[-71.112624,42.401618,545],[-71.136577,42.421216,546],[-71.126458,42.4144,547],[-71.122043,42.412087,548],[-71.113081,42.401499,549],[-71.110762,42.399076,550],[-71.113226,42.401692,551],[-71.128741,42.415907,552],[-71.123062,42.412115,553],[-71.124374,42.413067,554],[-71.124374,42.413067,555],[-71.112624,42.401618,556],[-71.127597,42.416223,557],[-71.124066,42.412863,558],[-71.126947,42.414708,559],[-71.123413,42.41288,560],[-71.122622,42.412471,561],[-71.128638,42.415811,562],[-71.112624,42.401618,563],[-71.122947,42.412579,564],[-71.125769,42.41396,565],[-71.112624,42.401618,566],[-71.124686,42.413714,567],[-71.128351,42.416148,568],[-71.1266,42.415742,569],[-71.1266,42.415742,570],[-71.126596,42.414465,571],[-71.125498,42.413721,572],[-71.11005,42.396909,573],[-71.127394,42.41653,574],[-71.110007,42.397005,575],[-71.125129,42.413508,576],[-71.122622,42.412471,577],[-71.133806,42.419057,578],[-71.112525,42.400726,579],[-71.112624,42.401618,580],[-71.110488,42.397989,581],[-71.130556,42.417523,582],[-71.125119,42.414002,583],[-71.124793,42.413788,584],[-71.109522,42.397145,585],[-71.127373,42.415004,586],[-71.112624,42.401618,587],[-71.131421,42.417603,588],[-71.124793,42.413788,589],[-71.124927,42.413342,590],[-71.122834,42.412486,591],[-71.112624,42.401618,592],[-71.114035,42.403509,593],[-71.136786,42.420757,594],[-71.125329,42.413664,595],[-71.132445,42.418868,596],[-71.123208,42.41218,597],[-71.131246,42.417445,598],[-71.112624,42.401618,599],[-71.124904,42.413861,600],[-71.132607,42.418424,601],[-71.132505,42.418286,602],[-71.112624,42.401618,603],[-71.125221,42.414075,604],[-71.112624,42.401618,605],[-71.125221,42.414075,606],[-71.134807,42.420363,607],[-71.110089,42.396234,608],[-71.110558,42.39889,609],[-71.131246,42.417445,610],[-71.110818,42.398482,611],[-71.135517,42.420628,612],[-71.122622,42.412471,613],[-71.112624,42.401618,614],[-71.110762,42.399076,615],[-71.109883,42.396537,616],[-71.114035,42.403509,617],[-71.130984,42.417453,618],[-71.131421,42.417603,619],[-71.124124,42.413338,620],[-71.124232,42.413449,621],[-71.133932,42.419182,622],[-71.109522,42.397145,623],[-71.131421,42.417603,624],[-71.123447,42.412383,625],[-71.112624,42.401618,626],[-71.12306,42.412656,627],[-71.113391,42.401885,628],[-71.109963,42.397994,629],[-71.125013,42.413936,630],[-71.125008,42.41345,631],[-71.121223,42.410983,632],[-71.112624,42.401618,633],[-71.121833,42.411804,634],[-71.112624,42.401618,635],[-71.131421,42.417603,636],[-71.121959,42.41192,637],[-71.123785,42.413113,638],[-71.124374,42.413067,639],[-71.123062,42.412115,640],[-71.135176,42.419812,641],[-71.136603,42.420654,642],[-71.123172,42.412736,643],[-71.132286,42.418746,644],[-71.109775,42.397698,645],[-71.135606,42.420082,646],[-71.111338,42.399146,647],[-71.112624,42.401618,648],[-71.136131,42.420961,649],[-71.112624,42.401618,650],[-71.135913,42.420907,651],[-71.127066,42.414776,652],[-71.123208,42.41218,653],[-71.113015,42.401394,654],[-71.122918,42.412006,655],[-71.1266,42.415742,656],[-71.123447,42.412383,657],[-71.122622,42.412471,658],[-71.127373,42.415004,659],[-71.127621,42.415141,660],[-71.110786,42.395867,661],[-71.122622,42.412471,662],[-71.110337,42.397795,663],[-71.123309,42.412281,664],[-71.110752,42.398384,665],[-71.112624,42.401618,666],[-71.123864,42.41322,667],[-71.132603,42.418967,668],[-71.123062,42.412115,669],[-71.130556,42.417523,670],[-71.110395,42.395764,671],[-71.132149,42.418635,672],[-71.109622,42.396761,673],[-71.122622,42.412471,674],[-71.111416,42.399257,675],[-71.122918,42.412006,676],[-71.110653,42.396067,677],[-71.110752,42.398384,678],[-71.131044,42.417944,679],[-71.133485,42.418899,680],[-71.124904,42.413861,681],[-71.131551,42.418263,682],[-71.110854,42.39577,683],[-71.127914,42.415799,684],[-71.10948,42.397394,685],[-71.123309,42.412281,686],[-71.125013,42.413936,687],[-71.112624,42.401618,688],[-71.122622,42.412471,689],[-71.133281,42.418815,690],[-71.123309,42.412281,691],[-71.122918,42.412006,692],[-71.123172,42.412736,693],[-71.131421,42.417603,694],[-71.112624,42.401618,695],[-71.121156,42.410873,696],[-71.110762,42.395248,697],[-71.124579,42.413642,698],[-71.121959,42.41192,699],[-71.112624,42.401618,700],[-71.125628,42.413845,701],[-71.122622,42.412471,702],[-71.127066,42.414776,703],[-71.133648,42.418966,704],[-71.110314,42.398474,705],[-71.127386,42.416082,706],[-71.122437,42.411763,707],[-71.127386,42.416082,708],[-71.110158,42.39679,709],[-71.135176,42.419812,710],[-71.112624,42.401618,711],[-71.127951,42.415375,712],[-71.125333,42.414146,713],[-71.134556,42.419462,714],[-71.132603,42.418967,715],[-71.112624,42.401618,716],[-71.110888,42.395039,717],[-71.125221,42.414075,718],[-71.112624,42.401618,719],[-71.122622,42.412471,720],[-71.111377,42.394963,721],[-71.110531,42.398786,722],[-71.111463,42.400075,723],[-71.112624,42.401618,724],[-71.124927,42.413342,725],[-71.123507,42.412957,726],[-71.112624,42.401618,727],[-71.127759,42.415169,728],[-71.110762,42.395248,729],[-71.126817,42.414647,730],[-71.112607,42.400818,731],[-71.124232,42.413449,732],[-71.109545,42.397019,733],[-71.122622,42.412471,734],[-71.122622,42.412471,735],[-71.133078,42.419245,736],[-71.1266,42.415742,737],[-71.127066,42.414776,738],[-71.133485,42.418899,739],[-71.128351,42.416148,740],[-71.122622,42.412471,741],[-71.136188,42.420367,742],[-71.125329,42.413664,743],[-71.136445,42.42111,744],[-71.111377,42.394963,745],[-71.137098,42.420952,746],[-71.112624,42.401618,747],[-71.137226,42.421086,748],[-71.122834,42.412486,749],[-71.12306,42.412656,750],[-71.113652,42.402178,751],[-71.131768,42.417876,752],[-71.120512,42.410936,753],[-71.121208,42.411385,754],[-71.113391,42.401885,755],[-71.131953,42.41849,756],[-71.110678,42.395349,757],[-71.128161,42.41604,758],[-71.110039,42.398089,759],[-71.122947,42.412579,760],[-71.111048,42.395452,761],[-71.125333,42.414146,762],[-71.13298,42.418609,763],[-71.135855,42.420162,764],[-71.111125,42.395357,765],[-71.124793,42.413788,766],[-71.136188,42.420367,767],[-71.128351,42.416148,768],[-71.10948,42.397394,769],[-71.121489,42.411586,770],[-71.111499,42.399918,771],[-71.128409,42.415686,772],[-71.12306,42.412656,773],[-71.120164,42.410282,774],[-71.110688,42.39897,775],[-71.125129,42.413508,776],[-71.111248,42.39516,777],[-71.125129,42.413508,778],[-71.13072,42.417679,779],[-71.132445,42.418868,780],[-71.11072,42.395967,781],[-71.123302,42.412807,782],[-71.113226,42.401692,783],[-71.132603,42.418967,784],[-71.132286,42.418746,785],[-71.127386,42.416082,786],[-71.112624,42.401618,787],[-71.116404,42.405548,788],[-71.132603,42.418967,789],[-71.110752,42.398384,790],[-71.112624,42.401618,791],[-71.128865,42.415957,792],[-71.125329,42.413664,793],[-71.110903,42.398581,794],[-71.125498,42.413721,795],[-71.1266,42.415742,796],[-71.109821,42.397918,797],[-71.132603,42.418967,798],[-71.110337,42.397795,799],[-71.133716,42.419608,800],[-71.132445,42.418868,801],[-71.136603,42.420654,802],[-71.125129,42.413508,803],[-71.128638,42.415811,804],[-71.136603,42.420654,805],[-71.11319,42.402411,806],[-71.110395,42.395764,807],[-71.133648,42.418966,808],[-71.125451,42.414233,809],[-71.110992,42.395567,810],[-71.10991,42.397122,811],[-71.124688,42.413242,812],[-71.112624,42.401618,813],[-71.11019,42.396062,814],[-71.121563,42.411639,815],[-71.132186,42.418163,816],[-71.112624,42.401618,817],[-71.109821,42.397918,818],[-71.123507,42.412957,819],[-71.125329,42.413664,820],[-71.112624,42.401618,821],[-71.110823,42.395145,822],[-71.11061,42.395454,823],[-71.132286,42.418746,824],[-71.113226,42.401692,825],[-71.128893,42.416542,826],[-71.124232,42.413449,827],[-71.127386,42.416082,828],[-71.112624,42.401618,829],[-71.11613,42.406286,830],[-71.123309,42.412281,831],[-71.123507,42.412957,832],[-71.113015,42.401394,833],[-71.112817,42.401107,834],[-71.112624,42.401618,835],[-71.127759,42.415169,836],[-71.110558,42.39889,837],[-71.112624,42.401618,838],[-71.122622,42.412471,839],[-71.110105,42.398185,840],[-71.112624,42.401618,841],[-71.112607,42.400818,842],[-71.109985,42.396387,843],[-71.124066,42.412863,844],[-71.122622,42.412471,845],[-71.123302,42.412807,846],[-71.124904,42.413861,847],[-71.13298,42.418609,848],[-71.110285,42.396637,849],[-71.124396,42.413555,850],[-71.124927,42.413342,851],[-71.124904,42.413861,852],[-71.122622,42.412471,853],[-71.133864,42.419714,854],[-71.123785,42.413113,855],[-71.132445,42.418868,856],[-71.135277,42.41996,857],[-71.112624,42.401618,858],[-71.111377,42.394963,859],[-71.121084,42.411285,860],[-71.133716,42.419608,861],[-71.13205,42.418063,862],[-71.110928,42.399257,863],[-71.131782,42.418384,864],[-71.109827,42.397797,865],[-71.110903,42.398581,866],[-71.135181,42.420441,867],[-71.125013,42.413936,868],[-71.122834,42.412486,869],[-71.126817,42.414647,870],[-71.135672,42.420702,871],[-71.109426,42.397282,872],[-71.115676,42.405774,873],[-71.1266,42.415742,874],[-71.110558,42.39889,875],[-71.132327,42.418245,876],[-71.112624,42.401618,877],[-71.110488,42.397989,878],[-71.110314,42.398474,879],[-71.110081,42.397428,880],[-71.130847,42.417762,881],[-71.131345,42.418126,882],[-71.125013,42.413936,883],[-71.110192,42.398278,884],[-71.109821,42.397918,885],[-71.131421,42.417603,886],[-71.111316,42.39507,887],[-71.112624,42.401618,888],[-71.132445,42.418868,889],[-71.13606,42.420272,890],[-71.110105,42.398185,891],[-71.132607,42.418424,892],[-71.120295,42.410381,893],[-71.131926,42.417952,894],[-71.110823,42.395145,895],[-71.110946,42.394954,896],[-71.135855,42.420162,897],[-71.126458,42.4144,898],[-71.112947,42.401299,899],[-71.130556,42.417523,900],[-71.110314,42.398474,901],[-71.111198,42.395253,902],[-71.111392,42.400005,903],[-71.131421,42.417603,904],[-71.13298,42.418609,905],[-71.124232,42.413449,906],[-71.113451,42.401988,907],[-71.114309,42.403133,908],[-71.13094,42.417858,909],[-71.1266,42.415742,910],[-71.110541,42.395557,911],[-71.10948,42.397394,912],[-71.122622,42.412471,913],[-71.132607,42.418424,914],[-71.112624,42.401618,915],[-71.131421,42.417603,916],[-71.110355,42.398565,917],[-71.111248,42.39516,918],[-71.112743,42.401011,919],[-71.11178,42.400353,920],[-71.136786,42.420757,921],[-71.111048,42.395452,922],[-71.119941,42.409174,923],[-71.121959,42.41192,924],[-71.118345,42.408517,925],[-71.126947,42.414708,926],[-71.112624,42.401618,927],[-71.109723,42.397594,928],[-71.112607,42.400818,929],[-71.109572,42.397509,930],[-71.109775,42.397698,931],[-71.110484,42.39866,932],[-71.122947,42.412579,933],[-71.125119,42.414002,934],[-71.109545,42.397019,935],[-71.119697,42.40947,936],[-71.110786,42.395867,937],[-71.127386,42.416082,938],[-71.110369,42.396468,939],[-71.1266,42.415742,940],[-71.112743,42.401011,941],[-71.123302,42.412807,942],[-71.110531,42.398786,943],[-71.134347,42.41941,944],[-71.115369,42.404602,945],[-71.126596,42.414465,946],[-71.109838,42.396718,947],[-71.110402,42.397887,948],[-71.113451,42.401988,949],[-71.127505,42.415064,950],[-71.110888,42.395039,951],[-71.121959,42.41192,952],[-71.131246,42.417445,953],[-71.110192,42.398393,954],[-71.124232,42.413449,955],[-71.110081,42.397428,956],[-71.112624,42.401618,957],[-71.130984,42.417453,958],[-71.124686,42.413714,959],[-71.122622,42.412471,960],[-71.121365,42.411494,961],[-71.122043,42.412087,962],[-71.110762,42.395248,963],[-71.112525,42.400726,964],[-71.112743,42.401011,965],[-71.109883,42.396537,966],[-71.124927,42.413342,967],[-71.124806,42.413307,968],[-71.11267,42.400915,969],[-71.110925,42.395669,970],[-71.116521,42.406821,971],[-71.112624,42.401618,972],[-71.123864,42.41322,973],[-71.11267,42.400915,974],[-71.121156,42.410873,975],[-71.112624,42.401618,976],[-71.112465,42.400634,977],[-71.112624,42.401618,978],[-71.114309,42.403133,979],[-71.137226,42.421086,980],[-71.113081,42.401499,981],[-71.123413,42.41288,982],[-71.123172,42.412736,983],[-71.112624,42.401618,984],[-71.120032,42.4102,985],[-71.112817,42.401107,986],[-71.136232,42.421066,987],[-71.131768,42.417876,988],[-71.112624,42.401618,989],[-71.124688,42.413242,990],[-71.112624,42.401618,991],[-71.109963,42.397994,992],[-71.112624,42.401618,993],[-71.136786,42.420757,994],[-71.110823,42.395145,995],[-71.109827,42.397797,996],[-71.110328,42.395866,997],[-71.128518,42.41576,998],[-71.110653,42.396067,999],[-71.122622,42.412471,1000],[-71.112624,42.401618,1001],[-71.122622,42.412471,1002],[-71.112624,42.401618,1003],[-71.127386,42.416082,1004],[-71.127386,42.416082,1005],[-71.131421,42.417603,1006],[-71.110446,42.396365,1007],[-71.123558,42.412464,1008],[-71.125769,42.41396,1009],[-71.123309,42.412281,1010],[-71.111338,42.399146,1011],[-71.10948,42.397394,1012],[-71.112624,42.401618,1013],[-71.1266,42.415742,1014],[-71.112624,42.401618,1015],[-71.110402,42.397887,1016],[-71.109775,42.397698,1017],[-71.130984,42.417453,1018],[-71.111248,42.39516,1019],[-71.133231,42.419495,1020],[-71.111848,42.400464,1021],[-71.119272,42.40879,1022],[-71.111048,42.395452,1023],[-71.109958,42.397221,1024],[-71.133483,42.41957,1025],[-71.122768,42.411918,1026],[-71.114035,42.403509,1027],[-71.112459,42.401425,1028],[-71.112459,42.401425,1029],[-71.112459,42.401425,1030],[-71.112459,42.401425,1031],[-71.112459,42.401425,1032],[-71.112459,42.401425,1033],[-71.112459,42.401425,1034],[-71.112459,42.401425,1035],[-71.112459,42.401425,1036],[-71.12731,42.416564,1037]] },
        []
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, res) => {
        t.error(err);

        t.equals(res.length, 2);

        t.deepEquals(res[0].properties['carmen:addressnumber'], [
            null,
            ['6', '7', '10', '11', '14', '15', '16', '17', '18', '19', '24', '25', '26', '27', '30', '33', '34', '37', '38', '41', '42', '45', '46', '49', '50', '53', '54', '57', '58', '65', '66', '69', '70', '71', '74', '77', '79', '80', '83', '84', '85', '86', '87', '89', '91', '93', '94', '95', '97', '99', '103', '104', '105', '109', '110', '111', '89-89a', '89a', '95-97', '112', '616-616', '121-121', '115', '119', '121', '124', '125', '128', '129', '132', '133', '135', '139', '143', '144', '148', '151', '158', '474', '490', '503', '504', '520', '527', '530', '535', '540', '567', '574', '579', '586', '595', '600', '601', '603', '605', '609', '611', '613', '616', '617', '618', '619', '620', '621', '622', '624', '625', '627', '631', '633', '635', '637', '640', '642', '646', '649', '662', '664']
        ]);

        t.deepEquals(res[1].properties['carmen:addressnumber'], [
            null,
            ['1', '5', '6', '7', '10', '11', '12', '15', '16', '17', '20', '23', '24', '27', '28', '29', '30', '31', '35', '38', '39', '42', '43', '45', '59', '61', '62', '63', '66', '68', '69', '71', '72', '73', '76', '77', '81', '82', '85', '86', '89', '90', '93', '94', '97', '98', '101', '102', '105', '106', '107', '110', '111', '115', '116', '119', '120', '121', '123', '124', '125', '127', '128', '129', '130', '131', '132', '133', '136', '138', '157', '159', '165', '166', '167', '169', '171', '177', '178', '180', '181', '183', '184', '187', '188', '189', '190', '193', '195', '196', '200', '201', '203', '207', '209', '215', '219', '221', '222', '227', '229', '230', '231', '235', '236', '239', '241', '242', '245', '249', '250', '252', '253', '255', '256', '258', '259', '260', '261', '262', '265', '266', '267', '268', '269', '271', '272', '274', '275', '276', '278', '281', '282', '284', '288', '290', '292', '293', '294', '297', '298', '300', '301', '302', '303', '305', '308', '309', '311', '313', '318', '322', '324', '325', '328', '334', '338', '340', '347', '349', '352', '355', '356', '359', '364', '369', '371', '372', '375', '387', '121b', '129a', '29-29', '200r', '315a', '275-275', '90-90', '323a', '167-169', '97-97', '125a', '419', '121a', '187-189']
        ]);

        t.end();
    });
});

/**
 * Ensure Washington St is split into 2+ streets via cluster#break (Actual Data)
 */
test('Split: Ensure cluster#break roads are split (Washington St)', (t) => {
    const feat = new SplitFeat(
        1,
        [{ 'freq': 1, 'source': 'Network', 'display': 'Washington Street', 'priority': 0, 'tokenized': [{ token: 'washington', token_type: null }, { token: 'st', token_type: null }] }],
        { '1':{ 'id':1,'output':true,'number':'356' },'2':{ 'id':2,'output':true,'number':'890' },'3':{ 'id':3,'output':true,'number':'866' },'4':{ 'id':4,'output':true,'number':'848' },'5':{ 'id':5,'output':true,'number':'2362' },'6':{ 'id':6,'output':true,'number':'2101' },'7':{ 'id':7,'output':true,'number':'1940' },'8':{ 'id':8,'output':true,'number':'2014-2060' },'9':{ 'id':9,'output':true,'number':'186' },'10':{ 'id':10,'output':true,'number':'432' },'11':{ 'id':11,'output':true,'number':'573' },'12':{ 'id':12,'output':true,'number':'636' },'13':{ 'id':13,'output':true,'number':'485' },'14':{ 'id':14,'output':true,'number':'480' },'15':{ 'id':15,'output':true,'number':'135' },'16':{ 'id':16,'output':true,'number':'380' },'17':{ 'id':17,'output':true,'number':'641' },'18':{ 'id':18,'output':true,'number':'453' },'19':{ 'id':19,'output':true,'number':'56' },'20':{ 'id':20,'output':true,'number':'576' },'21':{ 'id':21,'output':true,'number':'850' },'22':{ 'id':22,'output':true,'number':'820' },'23':{ 'id':23,'output':true,'number':'619' },'24':{ 'id':24,'output':true,'number':'480' },'25':{ 'id':25,'output':true,'number':'296-334' },'26':{ 'id':26,'output':true,'number':'178-180' },'27':{ 'id':27,'output':true,'number':'617' },'28':{ 'id':28,'output':true,'number':'1210-1230' },'29':{ 'id':29,'output':true,'number':'615' },'30':{ 'id':30,'output':true,'number':'1502' },'31':{ 'id':31,'output':true,'number':'166' },'32':{ 'id':32,'output':true,'number':'1238' },'33':{ 'id':33,'output':true,'number':'177' },'34':{ 'id':34,'output':true,'number':'1249' },'35':{ 'id':35,'output':true,'number':'905' },'36':{ 'id':36,'output':true,'number':'309' },'37':{ 'id':37,'output':true,'number':'1798' },'38':{ 'id':38,'output':true,'number':'1467' },'39':{ 'id':39,'output':true,'number':'749' },'40':{ 'id':40,'output':true,'number':'1103' },'41':{ 'id':41,'output':true,'number':'1413' },'42':{ 'id':42,'output':true,'number':'373' },'43':{ 'id':43,'output':true,'number':'1269' },'44':{ 'id':44,'output':true,'number':'389' },'45':{ 'id':45,'output':true,'number':'347' },'46':{ 'id':46,'output':true,'number':'841' },'47':{ 'id':47,'output':true,'number':'2313' },'48':{ 'id':48,'output':true,'number':'2352' },'49':{ 'id':49,'output':true,'number':'564' },'50':{ 'id':50,'output':true,'number':'1419' },'51':{ 'id':51,'output':true,'number':'237' },'52':{ 'id':52,'output':true,'number':'1407' },'53':{ 'id':53,'output':true,'number':'843' },'54':{ 'id':54,'output':true,'number':'1363' },'55':{ 'id':55,'output':true,'number':'391' },'56':{ 'id':56,'output':true,'number':'907' },'57':{ 'id':57,'output':true,'number':'851' },'58':{ 'id':58,'output':true,'number':'2111' },'59':{ 'id':59,'output':true,'number':'2090' },'60':{ 'id':60,'output':true,'number':'665' },'61':{ 'id':61,'output':true,'number':'1167' },'62':{ 'id':62,'output':true,'number':'181' },'63':{ 'id':63,'output':true,'number':'201' },'64':{ 'id':64,'output':true,'number':'311' },'65':{ 'id':65,'output':true,'number':'2366' },'66':{ 'id':66,'output':true,'number':'324' },'67':{ 'id':67,'output':true,'number':'1336' },'68':{ 'id':68,'output':true,'number':'1463' },'69':{ 'id':69,'output':true,'number':'1190' },'70':{ 'id':70,'output':true,'number':'585' },'71':{ 'id':71,'output':true,'number':'977' },'72':{ 'id':72,'output':true,'number':'1409' },'73':{ 'id':73,'output':true,'number':'1417' },'74':{ 'id':74,'output':true,'number':'1421' },'75':{ 'id':75,'output':true,'number':'1437' },'76':{ 'id':76,'output':true,'number':'975' },'77':{ 'id':77,'output':true,'number':'805' },'78':{ 'id':78,'output':true,'number':'837' },'79':{ 'id':79,'output':true,'number':'1268' },'80':{ 'id':80,'output':true,'number':'1361' },'81':{ 'id':81,'output':true,'number':'2196' },'82':{ 'id':82,'output':true,'number':'2171' },'83':{ 'id':83,'output':true,'number':'407' },'84':{ 'id':84,'output':true,'number':'1337' },'85':{ 'id':85,'output':true,'number':'667' },'86':{ 'id':86,'output':true,'number':'2197' },'87':{ 'id':87,'output':true,'number':'183' },'88':{ 'id':88,'output':true,'number':'175' },'89':{ 'id':89,'output':true,'number':'359' },'90':{ 'id':90,'output':true,'number':'1777' },'91':{ 'id':91,'output':true,'number':'1758' },'92':{ 'id':92,'output':true,'number':'831' },'93':{ 'id':93,'output':true,'number':'1083' },'94':{ 'id':94,'output':true,'number':'642' },'95':{ 'id':95,'output':true,'number':'1423' },'96':{ 'id':96,'output':true,'number':'819' },'97':{ 'id':97,'output':true,'number':'781' },'98':{ 'id':98,'output':true,'number':'757' },'99':{ 'id':99,'output':true,'number':'883' },'100':{ 'id':100,'output':true,'number':'1405' },'101':{ 'id':101,'output':true,'number':'791' },'102':{ 'id':102,'output':true,'number':'1674' },'103':{ 'id':103,'output':true,'number':'307' },'104':{ 'id':104,'output':true,'number':'327' },'105':{ 'id':105,'output':true,'number':'182' },'106':{ 'id':106,'output':true,'number':'1964' },'107':{ 'id':107,'output':true,'number':'595' },'108':{ 'id':108,'output':true,'number':'1295' },'109':{ 'id':109,'output':true,'number':'1246' },'110':{ 'id':110,'output':true,'number':'316' },'111':{ 'id':111,'output':true,'number':'335' },'112':{ 'id':112,'output':true,'number':'2268' },'113':{ 'id':113,'output':true,'number':'330' },'114':{ 'id':114,'output':true,'number':'1401' },'115':{ 'id':115,'output':true,'number':'649' },'116':{ 'id':116,'output':true,'number':'1950' },'117':{ 'id':117,'output':true,'number':'1305' },'118':{ 'id':118,'output':true,'number':'789' },'119':{ 'id':119,'output':true,'number':'2213' },'120':{ 'id':120,'output':true,'number':'705' },'121':{ 'id':121,'output':true,'number':'1217' },'122':{ 'id':122,'output':true,'number':'1473' },'123':{ 'id':123,'output':true,'number':'879' },'124':{ 'id':124,'output':true,'number':'197' },'125':{ 'id':125,'output':true,'number':'1199' },'126':{ 'id':126,'output':true,'number':'304' },'127':{ 'id':127,'output':true,'number':'2368' },'128':{ 'id':128,'output':true,'number':'329' },'129':{ 'id':129,'output':true,'number':'971' },'130':{ 'id':130,'output':true,'number':'983' },'131':{ 'id':131,'output':true,'number':'1415' },'132':{ 'id':132,'output':true,'number':'2266' },'133':{ 'id':133,'output':true,'number':'791' },'134':{ 'id':134,'output':true,'number':'1915' },'135':{ 'id':135,'output':true,'number':'1425' },'136':{ 'id':136,'output':true,'number':'655' },'137':{ 'id':137,'output':true,'number':'1401' },'138':{ 'id':138,'output':true,'number':'735' },'139':{ 'id':139,'output':true,'number':'2189' },'140':{ 'id':140,'output':true,'number':'1439' },'141':{ 'id':141,'output':true,'number':'1183' },'142':{ 'id':142,'output':true,'number':'2270' },'143':{ 'id':143,'output':true,'number':'817' },'144':{ 'id':144,'output':true,'number':'1461' },'145':{ 'id':145,'output':true,'number':'903' },'146':{ 'id':146,'output':true,'number':'2349' },'147':{ 'id':147,'output':true,'number':'1277' },'148':{ 'id':148,'output':true,'number':'80' },'149':{ 'id':149,'output':true,'number':'1800' },'150':{ 'id':150,'output':true,'number':'1407' },'151':{ 'id':151,'output':true,'number':'2143' },'152':{ 'id':152,'output':true,'number':'889' },'153':{ 'id':153,'output':true,'number':'2211' },'154':{ 'id':154,'output':true,'number':'1612' },'155':{ 'id':155,'output':true,'number':'331' },'156':{ 'id':156,'output':true,'number':'1681' },'157':{ 'id':157,'output':true,'number':'1571' },'158':{ 'id':158,'output':true,'number':'1884' },'159':{ 'id':159,'output':true,'number':'1234' },'160':{ 'id':160,'output':true,'number':'2151' },'161':{ 'id':161,'output':true,'number':'1399' },'162':{ 'id':162,'output':true,'number':'721' },'163':{ 'id':163,'output':true,'number':'189' },'164':{ 'id':164,'output':true,'number':'1510' },'165':{ 'id':165,'output':true,'number':'1471' },'166':{ 'id':166,'output':true,'number':'315' },'167':{ 'id':167,'output':true,'number':'791' },'168':{ 'id':168,'output':true,'number':'1240' },'169':{ 'id':169,'output':true,'number':'379' },'170':{ 'id':170,'output':true,'number':'1585' },'171':{ 'id':171,'output':true,'number':'1528' },'172':{ 'id':172,'output':true,'number':'1359' },'173':{ 'id':173,'output':true,'number':'1970' },'174':{ 'id':174,'output':true,'number':'2282' },'175':{ 'id':175,'output':true,'number':'24' },'176':{ 'id':176,'output':true,'number':'835' },'177':{ 'id':177,'output':true,'number':'881' },'178':{ 'id':178,'output':true,'number':'664' },'179':{ 'id':179,'output':true,'number':'1455' },'180':{ 'id':180,'output':true,'number':'2098' },'181':{ 'id':181,'output':true,'number':'1567' },'182':{ 'id':182,'output':true,'number':'1801' },'183':{ 'id':183,'output':true,'number':'835' },'184':{ 'id':184,'output':true,'number':'1055' },'185':{ 'id':185,'output':true,'number':'1395' },'186':{ 'id':186,'output':true,'number':'1219' },'187':{ 'id':187,'output':true,'number':'1712' },'188':{ 'id':188,'output':true,'number':'312' },'189':{ 'id':189,'output':true,'number':'1433' },'190':{ 'id':190,'output':true,'number':'2201' },'191':{ 'id':191,'output':true,'number':'1367' },'192':{ 'id':192,'output':true,'number':'1998' },'193':{ 'id':193,'output':true,'number':'1720' },'194':{ 'id':194,'output':true,'number':'1445' },'195':{ 'id':195,'output':true,'number':'1441' },'196':{ 'id':196,'output':true,'number':'1576' },'197':{ 'id':197,'output':true,'number':'895' },'198':{ 'id':198,'output':true,'number':'283' },'199':{ 'id':199,'output':true,'number':'2181' },'200':{ 'id':200,'output':true,'number':'2262' },'201':{ 'id':201,'output':true,'number':'207' },'202':{ 'id':202,'output':true,'number':'425' },'203':{ 'id':203,'output':true,'number':'602' },'204':{ 'id':204,'output':true,'number':'1261' },'205':{ 'id':205,'output':true,'number':'305' },'206':{ 'id':206,'output':true,'number':'1358' },'207':{ 'id':207,'output':true,'number':'42' },'208':{ 'id':208,'output':true,'number':'1241' },'209':{ 'id':209,'output':true,'number':'1704' },'210':{ 'id':210,'output':true,'number':'1243' },'211':{ 'id':211,'output':true,'number':'1702' },'212':{ 'id':212,'output':true,'number':'1272' },'213':{ 'id':213,'output':true,'number':'2015' },'214':{ 'id':214,'output':true,'number':'901' },'215':{ 'id':215,'output':true,'number':'1257' },'216':{ 'id':216,'output':true,'number':'1978' },'217':{ 'id':217,'output':true,'number':'1490' },'218':{ 'id':218,'output':true,'number':'1304' },'219':{ 'id':219,'output':true,'number':'1640' },'220':{ 'id':220,'output':true,'number':'873' },'221':{ 'id':221,'output':true,'number':'15' },'222':{ 'id':222,'output':true,'number':'2048' },'223':{ 'id':223,'output':true,'number':'1390' },'224':{ 'id':224,'output':true,'number':'1469' },'225':{ 'id':225,'output':true,'number':'2342' },'226':{ 'id':226,'output':true,'number':'2256' },'227':{ 'id':227,'output':true,'number':'657' },'228':{ 'id':228,'output':true,'number':'209' },'229':{ 'id':229,'output':true,'number':'643' },'230':{ 'id':230,'output':true,'number':'2203' },'231':{ 'id':231,'output':true,'number':'893' },'232':{ 'id':232,'output':true,'number':'1563' },'233':{ 'id':233,'output':true,'number':'1904' },'234':{ 'id':234,'output':true,'number':'2120' },'235':{ 'id':235,'output':true,'number':'594' },'236':{ 'id':236,'output':true,'number':'1292' },'237':{ 'id':237,'output':true,'number':'1278' },'238':{ 'id':238,'output':true,'number':'1761' },'239':{ 'id':239,'output':true,'number':'1347' },'240':{ 'id':240,'output':true,'number':'629' },'241':{ 'id':241,'output':true,'number':'2130' },'242':{ 'id':242,'output':true,'number':'1678' },'243':{ 'id':243,'output':true,'number':'1928' },'244':{ 'id':244,'output':true,'number':'1329' },'245':{ 'id':245,'output':true,'number':'1435' },'246':{ 'id':246,'output':true,'number':'263' },'247':{ 'id':247,'output':true,'number':'967' },'248':{ 'id':248,'output':true,'number':'1302' },'249':{ 'id':249,'output':true,'number':'1589' },'250':{ 'id':250,'output':true,'number':'1951' },'251':{ 'id':251,'output':true,'number':'761' },'252':{ 'id':252,'output':true,'number':'57' },'253':{ 'id':253,'output':true,'number':'1265' },'254':{ 'id':254,'output':true,'number':'2309' },'255':{ 'id':255,'output':true,'number':'238' },'256':{ 'id':256,'output':true,'number':'1449' },'257':{ 'id':257,'output':true,'number':'1579' },'258':{ 'id':258,'output':true,'number':'1281' },'259':{ 'id':259,'output':true,'number':'1972' },'260':{ 'id':260,'output':true,'number':'2131' },'261':{ 'id':261,'output':true,'number':'1300' },'262':{ 'id':262,'output':true,'number':'636' },'263':{ 'id':263,'output':true,'number':'2122' },'264':{ 'id':264,'output':true,'number':'211' },'265':{ 'id':265,'output':true,'number':'203' },'266':{ 'id':266,'output':true,'number':'239' },'267':{ 'id':267,'output':true,'number':'1365' },'268':{ 'id':268,'output':true,'number':'1658' },'269':{ 'id':269,'output':true,'number':'1682' },'270':{ 'id':270,'output':true,'number':'663' },'271':{ 'id':271,'output':true,'number':'785' },'272':{ 'id':272,'output':true,'number':'2258' },'273':{ 'id':273,'output':true,'number':'791' },'274':{ 'id':274,'output':true,'number':'1403' },'275':{ 'id':275,'output':true,'number':'395' },'276':{ 'id':276,'output':true,'number':'877' },'277':{ 'id':277,'output':true,'number':'763' },'278':{ 'id':278,'output':true,'number':'1297' },'279':{ 'id':279,'output':true,'number':'417' },'280':{ 'id':280,'output':true,'number':'631' },'281':{ 'id':281,'output':true,'number':'1372' },'282':{ 'id':282,'output':true,'number':'1935' },'283':{ 'id':283,'output':true,'number':'473' },'284':{ 'id':284,'output':true,'number':'1667' },'285':{ 'id':285,'output':true,'number':'1936' },'286':{ 'id':286,'output':true,'number':'1411' },'287':{ 'id':287,'output':true,'number':'1259' },'288':{ 'id':288,'output':true,'number':'765' },'289':{ 'id':289,'output':true,'number':'1393' },'290':{ 'id':290,'output':true,'number':'2091' },'291':{ 'id':291,'output':true,'number':'387' },'292':{ 'id':292,'output':true,'number':'2159' },'293':{ 'id':293,'output':true,'number':'1371' },'294':{ 'id':294,'output':true,'number':'1107' },'295':{ 'id':295,'output':true,'number':'1990' },'296':{ 'id':296,'output':true,'number':'388-392' },'297':{ 'id':297,'output':true,'number':'665-667' },'298':{ 'id':298,'output':true,'number':'483-485' },'299':{ 'id':299,'output':true,'number':'462-468' },'300':{ 'id':300,'output':true,'number':'100-108' },'301':{ 'id':301,'output':true,'number':'569-573' },'302':{ 'id':302,'output':true,'number':'598-600' },'303':{ 'id':303,'output':true,'number':'543-547a' },'304':{ 'id':304,'output':true,'number':'127-135' },'305':{ 'id':305,'output':true,'number':'329-343' },'306':{ 'id':306,'output':true,'number':'578-580' },'307':{ 'id':307,'output':true,'number':'699-701' },'308':{ 'id':308,'output':true,'number':'311-315' },'309':{ 'id':309,'output':true,'number':'378-380' },'310':{ 'id':310,'output':true,'number':'637-639' },'311':{ 'id':311,'output':true,'number':'560-562' },'312':{ 'id':312,'output':true,'number':'543-561' },'313':{ 'id':313,'output':true,'number':'574-576' },'314':{ 'id':314,'output':true,'number':'709-711' },'315':{ 'id':315,'output':true,'number':'120-122' },'316':{ 'id':316,'output':true,'number':'202-204' },'317':{ 'id':317,'output':true,'number':'543-547' },'318':{ 'id':318,'output':true,'number':'91-95' },'319':{ 'id':319,'output':true,'number':'290-298' },'320':{ 'id':320,'output':true,'number':'363-365' },'321':{ 'id':321,'output':true,'number':'345-359' },'322':{ 'id':322,'output':true,'number':'139-149' },'323':{ 'id':323,'output':true,'number':'60-66' },'324':{ 'id':324,'output':true,'number':'344-350' },'325':{ 'id':325,'output':true,'number':'653-655' },'326':{ 'id':326,'output':true,'number':'661-663' },'327':{ 'id':327,'output':true,'number':'703-705' },'328':{ 'id':328,'output':true,'number':'352-354' },'329':{ 'id':329,'output':true,'number':'401-419' },'330':{ 'id':330,'output':true,'number':'559-569' },'331':{ 'id':331,'output':true,'number':'571-575' },'332':{ 'id':332,'output':true,'number':'709-711' },'333':{ 'id':333,'output':true,'number':'430-432' },'334':{ 'id':334,'output':true,'number':'384-426' },'335':{ 'id':335,'output':true,'number':'226-228' },'336':{ 'id':336,'output':true,'number':'128-130' },'337':{ 'id':337,'output':true,'number':'196-198' },'338':{ 'id':338,'output':true,'number':'493-501' },'339':{ 'id':339,'output':true,'number':'576-576a' },'340':{ 'id':340,'output':true,'number':'594-600' },'341':{ 'id':341,'output':true,'number':'261-265' },'342':{ 'id':342,'output':true,'number':'328-328' },'343':{ 'id':343,'output':true,'number':'382-386' },'344':{ 'id':344,'output':true,'number':'5' },'345':{ 'id':345,'output':true,'number':'657-659' },'346':{ 'id':346,'output':true,'number':'67-69' },'347':{ 'id':347,'output':true,'number':'570-580' },'348':{ 'id':348,'output':true,'number':'326-326b' },'349':{ 'id':349,'output':true,'number':'375-375' },'350':{ 'id':350,'output':true,'number':'192-194' },'351':{ 'id':351,'output':true,'number':'709-711' },'352':{ 'id':352,'output':true,'number':'389-397' },'353':{ 'id':353,'output':true,'number':'480-482' },'354':{ 'id':354,'output':true,'number':'411-413' },'355':{ 'id':355,'output':true,'number':'313' },'356':{ 'id':356,'output':true,'number':'272-280' },'357':{ 'id':357,'output':true,'number':'577-583' },'358':{ 'id':358,'output':true,'number':'487-489' },'359':{ 'id':359,'output':true,'number':'280-272' },'360':{ 'id':360,'output':true,'number':'570-572' },'361':{ 'id':361,'output':true,'number':'300-310' },'362':{ 'id':362,'output':true,'number':'610-618' },'363':{ 'id':363,'output':true,'number':'280-306' },'364':{ 'id':364,'output':true,'number':'377-385' },'365':{ 'id':365,'output':true,'number':'412-414' },'366':{ 'id':366,'output':true,'number':'535-537b' },'367':{ 'id':367,'output':true,'number':'16-20' },'368':{ 'id':368,'output':true,'number':'602-608' },'369':{ 'id':369,'output':true,'number':'362-364' },'370':{ 'id':370,'output':true,'number':'372-376' },'371':{ 'id':371,'output':true,'number':'471-473' },'372':{ 'id':372,'output':true,'number':'254-256' },'373':{ 'id':373,'output':true,'number':'465-467' },'374':{ 'id':374,'output':true,'number':'30-34' },'375':{ 'id':375,'output':true,'number':'501' },'376':{ 'id':376,'output':true,'number':'494' },'377':{ 'id':377,'output':true,'number':'352' },'378':{ 'id':378,'output':true,'number':'437' },'379':{ 'id':379,'output':true,'number':'599' },'380':{ 'id':380,'output':true,'number':'554' },'381':{ 'id':381,'output':true,'number':'608' },'382':{ 'id':382,'output':true,'number':'569' },'383':{ 'id':383,'output':true,'number':'683' },'384':{ 'id':384,'output':true,'number':'494' },'385':{ 'id':385,'output':true,'number':'539' },'386':{ 'id':386,'output':true,'number':'101' },'387':{ 'id':387,'output':true,'number':'91' },'388':{ 'id':388,'output':true,'number':'610' },'389':{ 'id':389,'output':true,'number':'236' },'390':{ 'id':390,'output':true,'number':'584' },'391':{ 'id':391,'output':true,'number':'587' },'392':{ 'id':392,'output':true,'number':'30' },'393':{ 'id':393,'output':true,'number':'20' },'394':{ 'id':394,'output':true,'number':'481a' },'395':{ 'id':395,'output':true,'number':'640' },'396':{ 'id':396,'output':true,'number':'34' },'397':{ 'id':397,'output':true,'number':'95' },'398':{ 'id':398,'output':true,'number':'677' },'399':{ 'id':399,'output':true,'number':'450' },'400':{ 'id':400,'output':true,'number':'580' },'401':{ 'id':401,'output':true,'number':'687' },'402':{ 'id':402,'output':true,'number':'245' },'403':{ 'id':403,'output':true,'number':'228' },'404':{ 'id':404,'output':true,'number':'20' },'405':{ 'id':405,'output':true,'number':'582' },'406':{ 'id':406,'output':true,'number':'803' },'407':{ 'id':407,'output':true,'number':'88' },'408':{ 'id':408,'output':true,'number':'273' },'409':{ 'id':409,'output':true,'number':'180' },'410':{ 'id':410,'output':true,'number':'335' },'411':{ 'id':411,'output':true,'number':'105' },'412':{ 'id':412,'output':true,'number':'580' },'413':{ 'id':413,'output':true,'number':'671' },'414':{ 'id':414,'output':true,'number':'300' },'415':{ 'id':415,'output':true,'number':'88' },'416':{ 'id':416,'output':true,'number':'631' },'417':{ 'id':417,'output':true,'number':'69' },'418':{ 'id':418,'output':true,'number':'135' },'419':{ 'id':419,'output':true,'number':'389' },'420':{ 'id':420,'output':true,'number':'668' },'421':{ 'id':421,'output':true,'number':'527' },'422':{ 'id':422,'output':true,'number':'1600' },'423':{ 'id':423,'output':true,'number':'30' },'424':{ 'id':424,'output':true,'number':'848r' },'425':{ 'id':425,'output':true,'number':'543' },'426':{ 'id':426,'output':true,'number':'30' },'427':{ 'id':427,'output':true,'number':'91' },'428':{ 'id':428,'output':true,'number':'668' },'429':{ 'id':429,'output':true,'number':'316' },'430':{ 'id':430,'output':true,'number':'108' },'431':{ 'id':431,'output':true,'number':'388' },'432':{ 'id':432,'output':true,'number':'572' },'433':{ 'id':433,'output':true,'number':'148' },'434':{ 'id':434,'output':true,'number':'30' },'435':{ 'id':435,'output':true,'number':'20' },'436':{ 'id':436,'output':true,'number':'27' },'437':{ 'id':437,'output':true,'number':'492' },'438':{ 'id':438,'output':true,'number':'576' },'439':{ 'id':439,'output':true,'number':'248' },'440':{ 'id':440,'output':true,'number':'555' },'441':{ 'id':441,'output':true,'number':'2300' },'442':{ 'id':442,'output':true,'number':'615' },'443':{ 'id':443,'output':true,'number':'101' },'444':{ 'id':444,'output':true,'number':'324' },'445':{ 'id':445,'output':true,'number':'566' },'446':{ 'id':446,'output':true,'number':'162' },'447':{ 'id':447,'output':true,'number':'558' },'448':{ 'id':448,'output':true,'number':'626' },'449':{ 'id':449,'output':true,'number':'461' },'450':{ 'id':450,'output':true,'number':'388' },'451':{ 'id':451,'output':true,'number':'30' },'452':{ 'id':452,'output':true,'number':'91' },'453':{ 'id':453,'output':true,'number':'495' },'454':{ 'id':454,'output':true,'number':'471' },'455':{ 'id':455,'output':true,'number':'412' },'456':{ 'id':456,'output':true,'number':'568' },'457':{ 'id':457,'output':true,'number':'20' },'458':{ 'id':458,'output':true,'number':'188' },'459':{ 'id':459,'output':true,'number':'364' },'460':{ 'id':460,'output':true,'number':'61' },'461':{ 'id':461,'output':true,'number':'280' },'462':{ 'id':462,'output':true,'number':'717' },'463':{ 'id':463,'output':true,'number':'462' },'464':{ 'id':464,'output':true,'number':'572' },'465':{ 'id':465,'output':true,'number':'264' },'466':{ 'id':466,'output':true,'number':'100' },'467':{ 'id':467,'output':true,'number':'100' },'468':{ 'id':468,'output':true,'number':'664' },'469':{ 'id':469,'output':true,'number':'661' },'470':{ 'id':470,'output':true,'number':'935' },'471':{ 'id':471,'output':true,'number':'664' },'472':{ 'id':472,'output':true,'number':'811' },'473':{ 'id':473,'output':true,'number':'256' },'474':{ 'id':474,'output':true,'number':'661' },'475':{ 'id':475,'output':true,'number':'30' },'476':{ 'id':476,'output':true,'number':'848' },'477':{ 'id':477,'output':true,'number':'190' },'478':{ 'id':478,'output':true,'number':'184' },'479':{ 'id':479,'output':true,'number':'484' },'480':{ 'id':480,'output':true,'number':'505' },'481':{ 'id':481,'output':true,'number':'20' },'482':{ 'id':482,'output':true,'number':'30' },'483':{ 'id':483,'output':true,'number':'372' },'484':{ 'id':484,'output':true,'number':'23' },'485':{ 'id':485,'output':true,'number':'192' },'486':{ 'id':486,'output':true,'number':'719' },'487':{ 'id':487,'output':true,'number':'159' },'488':{ 'id':488,'output':true,'number':'628' },'489':{ 'id':489,'output':true,'number':'152' },'490':{ 'id':490,'output':true,'number':'300' },'491':{ 'id':491,'output':true,'number':'594a' },'492':{ 'id':492,'output':true,'number':'482' },'493':{ 'id':493,'output':true,'number':'91' },'494':{ 'id':494,'output':true,'number':'626' },'495':{ 'id':495,'output':true,'number':'649' },'496':{ 'id':496,'output':true,'number':'703' },'497':{ 'id':497,'output':true,'number':'144' },'498':{ 'id':498,'output':true,'number':'91' },'499':{ 'id':499,'output':true,'number':'668' },'500':{ 'id':500,'output':true,'number':'324' },'501':{ 'id':501,'output':true,'number':'625' },'502':{ 'id':502,'output':true,'number':'648' },'503':{ 'id':503,'output':true,'number':'312a' },'504':{ 'id':504,'output':true,'number':'668' },'505':{ 'id':505,'output':true,'number':'30' },'506':{ 'id':506,'output':true,'number':'660' },'507':{ 'id':507,'output':true,'number':'363' },'508':{ 'id':508,'output':true,'number':'610' },'509':{ 'id':509,'output':true,'number':'404' },'510':{ 'id':510,'output':true,'number':'399' },'511':{ 'id':511,'output':true,'number':'498' },'512':{ 'id':512,'output':true,'number':'95' },'513':{ 'id':513,'output':true,'number':'756' },'514':{ 'id':514,'output':true,'number':'20' },'515':{ 'id':515,'output':true,'number':'461' },'516':{ 'id':516,'output':true,'number':'580' },'517':{ 'id':517,'output':true,'number':'308' },'518':{ 'id':518,'output':true,'number':'1299' },'519':{ 'id':519,'output':true,'number':'230r' },'520':{ 'id':520,'output':true,'number':'670' },'521':{ 'id':521,'output':true,'number':'96' },'522':{ 'id':522,'output':true,'number':'308' },'523':{ 'id':523,'output':true,'number':'30' },'524':{ 'id':524,'output':true,'number':'609' },'525':{ 'id':525,'output':true,'number':'505' },'526':{ 'id':526,'output':true,'number':'169' },'527':{ 'id':527,'output':true,'number':'196' },'528':{ 'id':528,'output':true,'number':'20' },'529':{ 'id':529,'output':true,'number':'20' },'530':{ 'id':530,'output':true,'number':'365' },'531':{ 'id':531,'output':true,'number':'20' },'532':{ 'id':532,'output':true,'number':'438' },'533':{ 'id':533,'output':true,'number':'589' },'534':{ 'id':534,'output':true,'number':'692-700' },'535':{ 'id':535,'output':true,'number':'323' },'536':{ 'id':536,'output':true,'number':'656' },'537':{ 'id':537,'output':true,'number':'610' },'538':{ 'id':538,'output':true,'number':'20' },'539':{ 'id':539,'output':true,'number':'35' },'540':{ 'id':540,'output':true,'number':'503' },'541':{ 'id':541,'output':true,'number':'566' },'542':{ 'id':542,'output':true,'number':'255' },'543':{ 'id':543,'output':true,'number':'558' },'544':{ 'id':544,'output':true,'number':'492' },'545':{ 'id':545,'output':true,'number':'438' },'546':{ 'id':546,'output':true,'number':'696' },'547':{ 'id':547,'output':true,'number':'649' },'548':{ 'id':548,'output':true,'number':'890r' },'549':{ 'id':549,'output':true,'number':'21' },'550':{ 'id':550,'output':true,'number':'1185' },'551':{ 'id':551,'output':true,'number':'719' },'552':{ 'id':552,'output':true,'number':'594' },'553':{ 'id':553,'output':true,'number':'30' },'554':{ 'id':554,'output':true,'number':'88' },'555':{ 'id':555,'output':true,'number':'587' },'556':{ 'id':556,'output':true,'number':'127' },'557':{ 'id':557,'output':true,'number':'652' },'558':{ 'id':558,'output':true,'number':'313' },'559':{ 'id':559,'output':true,'number':'135' },'560':{ 'id':560,'output':true,'number':'20' },'561':{ 'id':561,'output':true,'number':'44' },'562':{ 'id':562,'output':true,'number':'594' },'563':{ 'id':563,'output':true,'number':'201' },'564':{ 'id':564,'output':true,'number':'709' },'565':{ 'id':565,'output':true,'number':'530' },'566':{ 'id':566,'output':true,'number':'1231' },'567':{ 'id':567,'output':true,'number':'96' },'568':{ 'id':568,'output':true,'number':'600' },'569':{ 'id':569,'output':true,'number':'590' },'570':{ 'id':570,'output':true,'number':'485' },'571':{ 'id':571,'output':true,'number':'571' },'572':{ 'id':572,'output':true,'number':'260' },'573':{ 'id':573,'output':true,'number':'724' },'574':{ 'id':574,'output':true,'number':'337' },'575':{ 'id':575,'output':true,'number':'602' },'576':{ 'id':576,'output':true,'number':'727' },'577':{ 'id':577,'output':true,'number':'520' },'578':{ 'id':578,'output':true,'number':'20' },'579':{ 'id':579,'output':true,'number':'212' },'580':{ 'id':580,'output':true,'number':'586' },'581':{ 'id':581,'output':true,'number':'370' },'582':{ 'id':582,'output':true,'number':'666' },'583':{ 'id':583,'output':true,'number':'100' },'584':{ 'id':584,'output':true,'number':'891a' },'585':{ 'id':585,'output':true,'number':'666' },'586':{ 'id':586,'output':true,'number':'194' },'587':{ 'id':587,'output':true,'number':'100' },'588':{ 'id':588,'output':true,'number':'845' },'589':{ 'id':589,'output':true,'number':'30' },'590':{ 'id':590,'output':true,'number':'1280' },'591':{ 'id':591,'output':true,'number':'116' },'592':{ 'id':592,'output':true,'number':'580' },'593':{ 'id':593,'output':true,'number':'574' },'594':{ 'id':594,'output':true,'number':'651' },'595':{ 'id':595,'output':true,'number':'131' },'596':{ 'id':596,'output':true,'number':'594' },'597':{ 'id':597,'output':true,'number':'95' },'598':{ 'id':598,'output':true,'number':'455' },'599':{ 'id':599,'output':true,'number':'547' },'600':{ 'id':600,'output':true,'number':'440' },'601':{ 'id':601,'output':true,'number':'365' },'602':{ 'id':602,'output':true,'number':'20' },'603':{ 'id':603,'output':true,'number':'30' },'604':{ 'id':604,'output':true,'number':'600' },'605':{ 'id':605,'output':true,'number':'156' },'606':{ 'id':606,'output':true,'number':'169' },'607':{ 'id':607,'output':true,'number':'116' },'608':{ 'id':608,'output':true,'number':'493' },'609':{ 'id':609,'output':true,'number':'436' },'610':{ 'id':610,'output':true,'number':'96' },'611':{ 'id':611,'output':true,'number':'254' },'612':{ 'id':612,'output':true,'number':'2300' },'613':{ 'id':613,'output':true,'number':'20' },'614':{ 'id':614,'output':true,'number':'1209' },'615':{ 'id':615,'output':true,'number':'516' },'616':{ 'id':616,'output':true,'number':'591' },'617':{ 'id':617,'output':true,'number':'461' },'618':{ 'id':618,'output':true,'number':'445' },'619':{ 'id':619,'output':true,'number':'563' },'620':{ 'id':620,'output':true,'number':'330' },'621':{ 'id':621,'output':true,'number':'544' },'622':{ 'id':622,'output':true,'number':'1236' },'623':{ 'id':623,'output':true,'number':'344' },'624':{ 'id':624,'output':true,'number':'558' },'625':{ 'id':625,'output':true,'number':'30' },'626':{ 'id':626,'output':true,'number':'20' },'627':{ 'id':627,'output':true,'number':'176' },'628':{ 'id':628,'output':true,'number':'845z' },'629':{ 'id':629,'output':true,'number':'724' },'630':{ 'id':630,'output':true,'number':'169' },'631':{ 'id':631,'output':true,'number':'343' },'632':{ 'id':632,'output':true,'number':'594' },'633':{ 'id':633,'output':true,'number':'628' },'634':{ 'id':634,'output':true,'number':'88' },'635':{ 'id':635,'output':true,'number':'517' },'636':{ 'id':636,'output':true,'number':'555' },'637':{ 'id':637,'output':true,'number':'20' },'638':{ 'id':638,'output':true,'number':'803' },'639':{ 'id':639,'output':true,'number':'20' },'640':{ 'id':640,'output':true,'number':'507' },'641':{ 'id':641,'output':true,'number':'246' },'642':{ 'id':642,'output':true,'number':'300' },'643':{ 'id':643,'output':true,'number':'131' },'644':{ 'id':644,'output':true,'number':'2300' },'645':{ 'id':645,'output':true,'number':'591' },'646':{ 'id':646,'output':true,'number':'803' },'647':{ 'id':647,'output':true,'number':'648' },'648':{ 'id':648,'output':true,'number':'562' },'649':{ 'id':649,'output':true,'number':'88' },'650':{ 'id':650,'output':true,'number':'1286' },'651':{ 'id':651,'output':true,'number':'280' },'652':{ 'id':652,'output':true,'number':'487' },'653':{ 'id':653,'output':true,'number':'637' },'654':{ 'id':654,'output':true,'number':'113' },'655':{ 'id':655,'output':true,'number':'332' },'656':{ 'id':656,'output':true,'number':'580' },'657':{ 'id':657,'output':true,'number':'2300' },'658':{ 'id':658,'output':true,'number':'1387a' },'659':{ 'id':659,'output':true,'number':'594' },'660':{ 'id':660,'output':true,'number':'2261' },'661':{ 'id':661,'output':true,'number':'135' },'662':{ 'id':662,'output':true,'number':'672-674' },'663':{ 'id':663,'output':true,'number':'20' },'664':{ 'id':664,'output':true,'number':'606' },'665':{ 'id':665,'output':true,'number':'335' },'666':{ 'id':666,'output':true,'number':'1385' },'667':{ 'id':667,'output':true,'number':'135' },'668':{ 'id':668,'output':true,'number':'901z' },'669':{ 'id':669,'output':true,'number':'2300' },'670':{ 'id':670,'output':true,'number':'300' },'671':{ 'id':671,'output':true,'number':'549' },'672':{ 'id':672,'output':true,'number':'617' },'673':{ 'id':673,'output':true,'number':'30' },'674':{ 'id':674,'output':true,'number':'683' },'675':{ 'id':675,'output':true,'number':'100' },'676':{ 'id':676,'output':true,'number':'135' },'677':{ 'id':677,'output':true,'number':'371' },'678':{ 'id':678,'output':true,'number':'1354' },'679':{ 'id':679,'output':true,'number':'570' },'680':{ 'id':680,'output':true,'number':'226' },'681':{ 'id':681,'output':true,'number':'332' },'682':{ 'id':682,'output':true,'number':'1575' },'683':{ 'id':683,'output':true,'number':'350' },'684':{ 'id':684,'output':true,'number':'580' },'685':{ 'id':685,'output':true,'number':'20' },'686':{ 'id':686,'output':true,'number':'337' },'687':{ 'id':687,'output':true,'number':'364a' },'688':{ 'id':688,'output':true,'number':'848' },'689':{ 'id':689,'output':true,'number':'395' },'690':{ 'id':690,'output':true,'number':'607' },'691':{ 'id':691,'output':true,'number':'493' },'692':{ 'id':692,'output':true,'number':'20' },'693':{ 'id':693,'output':true,'number':'324' },'694':{ 'id':694,'output':true,'number':'757' },'695':{ 'id':695,'output':true,'number':'610' },'696':{ 'id':696,'output':true,'number':'554' },'697':{ 'id':697,'output':true,'number':'445' },'698':{ 'id':698,'output':true,'number':'2' },'699':{ 'id':699,'output':true,'number':'20' },'700':{ 'id':700,'output':true,'number':'628' },'701':{ 'id':701,'output':true,'number':'432' },'702':{ 'id':702,'output':true,'number':'645' },'703':{ 'id':703,'output':true,'number':'445' },'704':{ 'id':704,'output':true,'number':'910' },'705':{ 'id':705,'output':true,'number':'23' },'706':{ 'id':706,'output':true,'number':'583' },'707':{ 'id':707,'output':true,'number':'704' },'708':{ 'id':708,'output':true,'number':'604a' },'709':{ 'id':709,'output':true,'number':'20' },'710':{ 'id':710,'output':true,'number':'573' },'711':{ 'id':711,'output':true,'number':'160' },'712':{ 'id':712,'output':true,'number':'506' },'713':{ 'id':713,'output':true,'number':'657' },'714':{ 'id':714,'output':true,'number':'1135' },'715':{ 'id':715,'output':true,'number':'280' },'716':{ 'id':716,'output':true,'number':'20' },'717':{ 'id':717,'output':true,'number':'219' },'718':{ 'id':718,'output':true,'number':'457' },'719':{ 'id':719,'output':true,'number':'20' },'720':{ 'id':720,'output':true,'number':'894' },'721':{ 'id':721,'output':true,'number':'127' },'722':{ 'id':722,'output':true,'number':'319' },'723':{ 'id':723,'output':true,'number':'692' },'724':{ 'id':724,'output':true,'number':'396' },'725':{ 'id':725,'output':true,'number':'719' },'726':{ 'id':726,'output':true,'number':'169' },'727':{ 'id':727,'output':true,'number':'30' },'728':{ 'id':728,'output':true,'number':'715' },'729':{ 'id':729,'output':true,'number':'546' },'730':{ 'id':730,'output':true,'number':'674' },'731':{ 'id':731,'output':true,'number':'520' },'732':{ 'id':732,'output':true,'number':'239' },'733':{ 'id':733,'output':true,'number':'407' },'734':{ 'id':734,'output':true,'number':'169' },'735':{ 'id':735,'output':true,'number':'88' },'736':{ 'id':736,'output':true,'number':'509' },'737':{ 'id':737,'output':true,'number':'230' },'738':{ 'id':738,'output':true,'number':'269' },'739':{ 'id':739,'output':true,'number':'20' },'740':{ 'id':740,'output':true,'number':'464r' },'741':{ 'id':741,'output':true,'number':'387' },'742':{ 'id':742,'output':true,'number':'1938' },'743':{ 'id':743,'output':true,'number':'669r' },'744':{ 'id':744,'output':true,'number':'505' },'745':{ 'id':745,'output':true,'number':'20' },'746':{ 'id':746,'output':true,'number':'935' },'747':{ 'id':747,'output':true,'number':'88' },'748':{ 'id':748,'output':true,'number':'649' },'749':{ 'id':749,'output':true,'number':'149' },'750':{ 'id':750,'output':true,'number':'437b' },'751':{ 'id':751,'output':true,'number':'20' },'752':{ 'id':752,'output':true,'number':'496' },'753':{ 'id':753,'output':true,'number':'1946' },'754':{ 'id':754,'output':true,'number':'935' },'755':{ 'id':755,'output':true,'number':'312' },'756':{ 'id':756,'output':true,'number':'27' },'757':{ 'id':757,'output':true,'number':'30' },'758':{ 'id':758,'output':true,'number':'300' },'759':{ 'id':759,'output':true,'number':'502' },'760':{ 'id':760,'output':true,'number':'580' },'761':{ 'id':761,'output':true,'number':'127' },'762':{ 'id':762,'output':true,'number':'55' },'763':{ 'id':763,'output':true,'number':'375' },'764':{ 'id':764,'output':true,'number':'2300' },'765':{ 'id':765,'output':true,'number':'611' },'766':{ 'id':766,'output':true,'number':'1583' },'767':{ 'id':767,'output':true,'number':'377' },'768':{ 'id':768,'output':true,'number':'335' },'769':{ 'id':769,'output':true,'number':'120' },'770':{ 'id':770,'output':true,'number':'313' },'771':{ 'id':771,'output':true,'number':'566' },'772':{ 'id':772,'output':true,'number':'144' },'773':{ 'id':773,'output':true,'number':'570' },'774':{ 'id':774,'output':true,'number':'217' },'775':{ 'id':775,'output':true,'number':'392' },'776':{ 'id':776,'output':true,'number':'457' },'777':{ 'id':777,'output':true,'number':'40' },'778':{ 'id':778,'output':true,'number':'853' },'779':{ 'id':779,'output':true,'number':'200' },'780':{ 'id':780,'output':true,'number':'600' },'781':{ 'id':781,'output':true,'number':'20' },'782':{ 'id':782,'output':true,'number':'172' },'783':{ 'id':783,'output':true,'number':'131' },'784':{ 'id':784,'output':true,'number':'807' },'785':{ 'id':785,'output':true,'number':'488' },'786':{ 'id':786,'output':true,'number':'569' },'787':{ 'id':787,'output':true,'number':'108' },'788':{ 'id':788,'output':true,'number':'544' },'789':{ 'id':789,'output':true,'number':'326' },'790':{ 'id':790,'output':true,'number':'949' },'791':{ 'id':791,'output':true,'number':'317' },'792':{ 'id':792,'output':true,'number':'731' },'793':{ 'id':793,'output':true,'number':'30' },'794':{ 'id':794,'output':true,'number':'50-52' },'795':{ 'id':795,'output':true,'number':'190' },'796':{ 'id':796,'output':true,'number':'34' },'797':{ 'id':797,'output':true,'number':'301' },'798':{ 'id':798,'output':true,'number':'108' },'799':{ 'id':799,'output':true,'number':'95' },'800':{ 'id':800,'output':true,'number':'865' },'801':{ 'id':801,'output':true,'number':'555' },'802':{ 'id':802,'output':true,'number':'461' },'803':{ 'id':803,'output':true,'number':'317' },'804':{ 'id':804,'output':true,'number':'121' },'805':{ 'id':805,'output':true,'number':'530' },'806':{ 'id':806,'output':true,'number':'519' },'807':{ 'id':807,'output':true,'number':'381' },'808':{ 'id':808,'output':true,'number':'1653' },'809':{ 'id':809,'output':true,'number':'108' },'810':{ 'id':810,'output':true,'number':'1247' },'811':{ 'id':811,'output':true,'number':'192r' },'812':{ 'id':812,'output':true,'number':'2300' },'813':{ 'id':813,'output':true,'number':'91' },'814':{ 'id':814,'output':true,'number':'300' },'815':{ 'id':815,'output':true,'number':'575' },'816':{ 'id':816,'output':true,'number':'1786' },'817':{ 'id':817,'output':true,'number':'88' },'818':{ 'id':818,'output':true,'number':'313' },'819':{ 'id':819,'output':true,'number':'30' },'820':{ 'id':820,'output':true,'number':'336' },'821':{ 'id':821,'output':true,'number':'700' },'822':{ 'id':822,'output':true,'number':'1273' },'823':{ 'id':823,'output':true,'number':'30' },'824':{ 'id':824,'output':true,'number':'409' },'825':{ 'id':825,'output':true,'number':'23' },'826':{ 'id':826,'output':true,'number':'241' },'827':{ 'id':827,'output':true,'number':'212' },'828':{ 'id':828,'output':true,'number':'609' },'829':{ 'id':829,'output':true,'number':'20' },'830':{ 'id':830,'output':true,'number':'559' },'831':{ 'id':831,'output':true,'number':'703' },'832':{ 'id':832,'output':true,'number':'79' },'833':{ 'id':833,'output':true,'number':'490' },'834':{ 'id':834,'output':true,'number':'11' },'835':{ 'id':835,'output':true,'number':'574' },'836':{ 'id':836,'output':true,'number':'555' },'837':{ 'id':837,'output':true,'number':'1' },'838':{ 'id':838,'output':true,'number':'169' },'839':{ 'id':839,'output':true,'number':'535' },'840':{ 'id':840,'output':true,'number':'793-821' },'841':{ 'id':841,'output':true,'number':'135' },'842':{ 'id':842,'output':true,'number':'78' },'843':{ 'id':843,'output':true,'number':'479' },'844':{ 'id':844,'output':true,'number':'513' },'845':{ 'id':845,'output':true,'number':'516' },'846':{ 'id':846,'output':true,'number':'692' },'847':{ 'id':847,'output':true,'number':'485' },'848':{ 'id':848,'output':true,'number':'1250' },'849':{ 'id':849,'output':true,'number':'332' },'850':{ 'id':850,'output':true,'number':'1389' },'851':{ 'id':851,'output':true,'number':'108' },'852':{ 'id':852,'output':true,'number':'600a' },'853':{ 'id':853,'output':true,'number':'679' },'854':{ 'id':854,'output':true,'number':'592' },'855':{ 'id':855,'output':true,'number':'30' },'856':{ 'id':856,'output':true,'number':'129a' },'857':{ 'id':857,'output':true,'number':'108' },'858':{ 'id':858,'output':true,'number':'300' },'859':{ 'id':859,'output':true,'number':'676' },'860':{ 'id':860,'output':true,'number':'670' },'861':{ 'id':861,'output':true,'number':'31' },'862':{ 'id':862,'output':true,'number':'317' },'863':{ 'id':863,'output':true,'number':'461' },'864':{ 'id':864,'output':true,'number':'598' },'865':{ 'id':865,'output':true,'number':'494' },'866':{ 'id':866,'output':true,'number':'98' },'867':{ 'id':867,'output':true,'number':'108' },'868':{ 'id':868,'output':true,'number':'666' },'869':{ 'id':869,'output':true,'number':'574' },'870':{ 'id':870,'output':true,'number':'1672' },'871':{ 'id':871,'output':true,'number':'20' },'872':{ 'id':872,'output':true,'number':'788' },'873':{ 'id':873,'output':true,'number':'44' },'874':{ 'id':874,'output':true,'number':'675' },'875':{ 'id':875,'output':true,'number':'509' },'876':{ 'id':876,'output':true,'number':'2311' },'877':{ 'id':877,'output':true,'number':'365' },'878':{ 'id':878,'output':true,'number':'1369' },'879':{ 'id':879,'output':true,'number':'467' },'880':{ 'id':880,'output':true,'number':'1149' },'881':{ 'id':881,'output':true,'number':'679' },'882':{ 'id':882,'output':true,'number':'40' },'883':{ 'id':883,'output':true,'number':'140' },'884':{ 'id':884,'output':true,'number':'540' },'885':{ 'id':885,'output':true,'number':'633' },'886':{ 'id':886,'output':true,'number':'809' },'887':{ 'id':887,'output':true,'number':'651' },'888':{ 'id':888,'output':true,'number':'119' },'889':{ 'id':889,'output':true,'number':'30' },'890':{ 'id':890,'output':true,'number':'1440' },'891':{ 'id':891,'output':true,'number':'364a' },'892':{ 'id':892,'output':true,'number':'666' },'893':{ 'id':893,'output':true,'number':'653' },'894':{ 'id':894,'output':true,'number':'619' },'895':{ 'id':895,'output':true,'number':'131' },'896':{ 'id':896,'output':true,'number':'487' },'897':{ 'id':897,'output':true,'number':'491' },'898':{ 'id':898,'output':true,'number':'935' },'899':{ 'id':899,'output':true,'number':'30' },'900':{ 'id':900,'output':true,'number':'27' },'901':{ 'id':901,'output':true,'number':'501' },'902':{ 'id':902,'output':true,'number':'607' },'903':{ 'id':903,'output':true,'number':'30' },'904':{ 'id':904,'output':true,'number':'783' },'905':{ 'id':905,'output':true,'number':'480' },'906':{ 'id':906,'output':true,'number':'300' },'907':{ 'id':907,'output':true,'number':'20' },'908':{ 'id':908,'output':true,'number':'594' },'909':{ 'id':909,'output':true,'number':'27' },'910':{ 'id':910,'output':true,'number':'300' },'911':{ 'id':911,'output':true,'number':'471' },'912':{ 'id':912,'output':true,'number':'1177' },'913':{ 'id':913,'output':true,'number':'135' },'914':{ 'id':914,'output':true,'number':'1573' },'915':{ 'id':915,'output':true,'number':'30' },'916':{ 'id':916,'output':true,'number':'666' },'917':{ 'id':917,'output':true,'number':'505' },'918':{ 'id':918,'output':true,'number':'44' },'919':{ 'id':919,'output':true,'number':'375' },'920':{ 'id':920,'output':true,'number':'1275' },'921':{ 'id':921,'output':true,'number':'27' },'922':{ 'id':922,'output':true,'number':'1321' },'923':{ 'id':923,'output':true,'number':'669' },'924':{ 'id':924,'output':true,'number':'580' },'925':{ 'id':925,'output':true,'number':'116' },'926':{ 'id':926,'output':true,'number':'328' },'927':{ 'id':927,'output':true,'number':'30' },'928':{ 'id':928,'output':true,'number':'300' },'929':{ 'id':929,'output':true,'number':'363' },'930':{ 'id':930,'output':true,'number':'55' },'931':{ 'id':931,'output':true,'number':'30' },'932':{ 'id':932,'output':true,'number':'2345' },'933':{ 'id':933,'output':true,'number':'1942' },'934':{ 'id':934,'output':true,'number':'76' },'935':{ 'id':935,'output':true,'number':'304' },'936':{ 'id':936,'output':true,'number':'169' },'937':{ 'id':937,'output':true,'number':'530' },'938':{ 'id':938,'output':true,'number':'333' },'939':{ 'id':939,'output':true,'number':'139' },'940':{ 'id':940,'output':true,'number':'637' },'941':{ 'id':941,'output':true,'number':'461' },'942':{ 'id':942,'output':true,'number':'313' },'943':{ 'id':943,'output':true,'number':'20' },'944':{ 'id':944,'output':true,'number':'569' },'945':{ 'id':945,'output':true,'number':'30' },'946':{ 'id':946,'output':true,'number':'861' },'947':{ 'id':947,'output':true,'number':'444' },'948':{ 'id':948,'output':true,'number':'554' },'949':{ 'id':949,'output':true,'number':'108' },'950':{ 'id':950,'output':true,'number':'717' },'951':{ 'id':951,'output':true,'number':'30' },'952':{ 'id':952,'output':true,'number':'30' },'953':{ 'id':953,'output':true,'number':'656' },'954':{ 'id':954,'output':true,'number':'44' },'955':{ 'id':955,'output':true,'number':'677' },'956':{ 'id':956,'output':true,'number':'326' },'957':{ 'id':957,'output':true,'number':'27' },'958':{ 'id':958,'output':true,'number':'351' },'959':{ 'id':959,'output':true,'number':'577' },'960':{ 'id':960,'output':true,'number':'1623' },'961':{ 'id':961,'output':true,'number':'30' },'962':{ 'id':962,'output':true,'number':'1600' },'963':{ 'id':963,'output':true,'number':'30' },'964':{ 'id':964,'output':true,'number':'27' },'965':{ 'id':965,'output':true,'number':'430' },'966':{ 'id':966,'output':true,'number':'640' },'967':{ 'id':967,'output':true,'number':'492' },'968':{ 'id':968,'output':true,'number':'1045' },'969':{ 'id':969,'output':true,'number':'44' },'970':{ 'id':970,'output':true,'number':'1565' },'971':{ 'id':971,'output':true,'number':'558' },'972':{ 'id':972,'output':true,'number':'610' },'973':{ 'id':973,'output':true,'number':'319' },'974':{ 'id':974,'output':true,'number':'100' },'975':{ 'id':975,'output':true,'number':'501' },'976':{ 'id':976,'output':true,'number':'935' },'977':{ 'id':977,'output':true,'number':'461' },'978':{ 'id':978,'output':true,'number':'683' },'979':{ 'id':979,'output':true,'number':'91' },'980':{ 'id':980,'output':true,'number':'332' },'981':{ 'id':981,'output':true,'number':'2357' },'982':{ 'id':982,'output':true,'number':'1552' },'983':{ 'id':983,'output':true,'number':'100' },'984':{ 'id':984,'output':true,'number':'137' },'985':{ 'id':985,'output':true,'number':'709' },'986':{ 'id':986,'output':true,'number':'587' },'987':{ 'id':987,'output':true,'number':'20' },'988':{ 'id':988,'output':true,'number':'668' },'989':{ 'id':989,'output':true,'number':'120' },'990':{ 'id':990,'output':true,'number':'108' },'991':{ 'id':991,'output':true,'number':'20' },'992':{ 'id':992,'output':true,'number':'714' },'993':{ 'id':993,'output':true,'number':'1' },'994':{ 'id':994,'output':true,'number':'20' },'995':{ 'id':995,'output':true,'number':'578' },'996':{ 'id':996,'output':true,'number':'507' },'997':{ 'id':997,'output':true,'number':'30' },'998':{ 'id':998,'output':true,'number':'1600' },'999':{ 'id':999,'output':true,'number':'550' },'1000':{ 'id':1000,'output':true,'number':'489' },'1001':{ 'id':1001,'output':true,'number':'461' },'1002':{ 'id':1002,'output':true,'number':'833' },'1003':{ 'id':1003,'output':true,'number':'317' },'1004':{ 'id':1004,'output':true,'number':'604b' },'1005':{ 'id':1005,'output':true,'number':'36' },'1006':{ 'id':1006,'output':true,'number':'354' },'1007':{ 'id':1007,'output':true,'number':'461' },'1008':{ 'id':1008,'output':true,'number':'1371-1379' },'1009':{ 'id':1009,'output':true,'number':'302' },'1010':{ 'id':1010,'output':true,'number':'337' },'1011':{ 'id':1011,'output':true,'number':'659' },'1012':{ 'id':1012,'output':true,'number':'69' },'1013':{ 'id':1013,'output':true,'number':'560' },'1014':{ 'id':1014,'output':true,'number':'726' },'1015':{ 'id':1015,'output':true,'number':'581' },'1016':{ 'id':1016,'output':true,'number':'626' },'1017':{ 'id':1017,'output':true,'number':'626' },'1018':{ 'id':1018,'output':true,'number':'657' },'1019':{ 'id':1019,'output':true,'number':'108' },'1020':{ 'id':1020,'output':true,'number':'666' },'1021':{ 'id':1021,'output':true,'number':'127' },'1022':{ 'id':1022,'output':true,'number':'578' },'1023':{ 'id':1023,'output':true,'number':'461' },'1024':{ 'id':1024,'output':true,'number':'573' },'1025':{ 'id':1025,'output':true,'number':'461' },'1026':{ 'id':1026,'output':true,'number':'1015' },'1027':{ 'id':1027,'output':true,'number':'131' },'1028':{ 'id':1028,'output':true,'number':'571' },'1029':{ 'id':1029,'output':true,'number':'20' },'1030':{ 'id':1030,'output':true,'number':'673-675' },'1031':{ 'id':1031,'output':true,'number':'709' },'1032':{ 'id':1032,'output':true,'number':'2000' },'1033':{ 'id':1033,'output':true,'number':'446' },'1034':{ 'id':1034,'output':true,'number':'300' },'1035':{ 'id':1035,'output':true,'number':'541' },'1036':{ 'id':1036,'output':true,'number':'580' },'1037':{ 'id':1037,'output':true,'number':'445' },'1038':{ 'id':1038,'output':true,'number':'224' },'1039':{ 'id':1039,'output':true,'number':'160' },'1040':{ 'id':1040,'output':true,'number':'11' },'1041':{ 'id':1041,'output':true,'number':'2300' },'1042':{ 'id':1042,'output':true,'number':'697' },'1043':{ 'id':1043,'output':true,'number':'127' },'1044':{ 'id':1044,'output':true,'number':'568' },'1045':{ 'id':1045,'output':true,'number':'30' },'1046':{ 'id':1046,'output':true,'number':'1089' },'1047':{ 'id':1047,'output':true,'number':'389' },'1048':{ 'id':1048,'output':true,'number':'616' },'1049':{ 'id':1049,'output':true,'number':'410' },'1050':{ 'id':1050,'output':true,'number':'672' },'1051':{ 'id':1051,'output':true,'number':'30' },'1052':{ 'id':1052,'output':true,'number':'95' },'1053':{ 'id':1053,'output':true,'number':'550' },'1054':{ 'id':1054,'output':true,'number':'176' },'1055':{ 'id':1055,'output':true,'number':'328' },'1056':{ 'id':1056,'output':true,'number':'1581' },'1057':{ 'id':1057,'output':true,'number':'470' },'1058':{ 'id':1058,'output':true,'number':'483' },'1059':{ 'id':1059,'output':true,'number':'599' },'1060':{ 'id':1060,'output':true,'number':'587' },'1061':{ 'id':1061,'output':true,'number':'566' },'1062':{ 'id':1062,'output':true,'number':'662' },'1063':{ 'id':1063,'output':true,'number':'506' },'1064':{ 'id':1064,'output':true,'number':'626' },'1065':{ 'id':1065,'output':true,'number':'433' },'1066':{ 'id':1066,'output':true,'number':'44' },'1067':{ 'id':1067,'output':true,'number':'2301' },'1068':{ 'id':1068,'output':true,'number':'91' },'1069':{ 'id':1069,'output':true,'number':'461' },'1070':{ 'id':1070,'output':true,'number':'493' },'1071':{ 'id':1071,'output':true,'number':'67' },'1072':{ 'id':1072,'output':true,'number':'719' },'1073':{ 'id':1073,'output':true,'number':'570' },'1074':{ 'id':1074,'output':true,'number':'1595' },'1075':{ 'id':1075,'output':true,'number':'2300' },'1076':{ 'id':1076,'output':true,'number':'30' },'1077':{ 'id':1077,'output':true,'number':'543' },'1078':{ 'id':1078,'output':true,'number':'407' },'1079':{ 'id':1079,'output':true,'number':'91' },'1080':{ 'id':1080,'output':true,'number':'33' },'1081':{ 'id':1081,'output':true,'number':'450' },'1082':{ 'id':1082,'output':true,'number':'300' },'1083':{ 'id':1083,'output':true,'number':'44' },'1084':{ 'id':1084,'output':true,'number':'866a' },'1085':{ 'id':1085,'output':true,'number':'132' },'1086':{ 'id':1086,'output':true,'number':'186' },'1087':{ 'id':1087,'output':true,'number':'445' },'1088':{ 'id':1088,'output':true,'number':'1496' },'1089':{ 'id':1089,'output':true,'number':'326' },'1090':{ 'id':1090,'output':true,'number':'154-156' },'1091':{ 'id':1091,'output':true,'number':'2345' },'1092':{ 'id':1092,'output':true,'number':'364' },'1093':{ 'id':1093,'output':true,'number':'364a' },'1094':{ 'id':1094,'output':true,'number':'1600' },'1095':{ 'id':1095,'output':true,'number':'324' },'1096':{ 'id':1096,'output':true,'number':'1298-1308' },'1097':{ 'id':1097,'output':true,'number':'545' },'1098':{ 'id':1098,'output':true,'number':'610-612' },'1099':{ 'id':1099,'output':true,'number':'332' },'1100':{ 'id':1100,'output':true,'number':'20' },'1101':{ 'id':1101,'output':true,'number':'531' },'1102':{ 'id':1102,'output':true,'number':'661' },'1103':{ 'id':1103,'output':true,'number':'324' },'1104':{ 'id':1104,'output':true,'number':'1215' },'1105':{ 'id':1105,'output':true,'number':'113' },'1106':{ 'id':1106,'output':true,'number':'793' },'1107':{ 'id':1107,'output':true,'number':'629' },'1108':{ 'id':1108,'output':true,'number':'30' },'1109':{ 'id':1109,'output':true,'number':'498' },'1110':{ 'id':1110,'output':true,'number':'44' },'1111':{ 'id':1111,'output':true,'number':'2300' },'1112':{ 'id':1112,'output':true,'number':'621' },'1113':{ 'id':1113,'output':true,'number':'319' },'1114':{ 'id':1114,'output':true,'number':'1011' },'1115':{ 'id':1115,'output':true,'number':'36' },'1116':{ 'id':1116,'output':true,'number':'335' },'1117':{ 'id':1117,'output':true,'number':'434' },'1118':{ 'id':1118,'output':true,'number':'367' },'1119':{ 'id':1119,'output':true,'number':'44' },'1120':{ 'id':1120,'output':true,'number':'1387' },'1121':{ 'id':1121,'output':true,'number':'663' },'1122':{ 'id':1122,'output':true,'number':'169' },'1123':{ 'id':1123,'output':true,'number':'619b' },'1124':{ 'id':1124,'output':true,'number':'20' },'1125':{ 'id':1125,'output':true,'number':'555' },'1126':{ 'id':1126,'output':true,'number':'222' },'1127':{ 'id':1127,'output':true,'number':'2311' },'1128':{ 'id':1128,'output':true,'number':'727' },'1129':{ 'id':1129,'output':true,'number':'409' },'1130':{ 'id':1130,'output':true,'number':'1434' },'1131':{ 'id':1131,'output':true,'number':'2300' },'1132':{ 'id':1132,'output':true,'number':'127' },'1133':{ 'id':1133,'output':true,'number':'461' },'1134':{ 'id':1134,'output':true,'number':'100' },'1135':{ 'id':1135,'output':true,'number':'27' },'1136':{ 'id':1136,'output':true,'number':'489' },'1137':{ 'id':1137,'output':true,'number':'461' },'1138':{ 'id':1138,'output':true,'number':'95' },'1139':{ 'id':1139,'output':true,'number':'259' },'1140':{ 'id':1140,'output':true,'number':'20' },'1141':{ 'id':1141,'output':true,'number':'530' },'1142':{ 'id':1142,'output':true,'number':'190-200' },'1143':{ 'id':1143,'output':true,'number':'44' },'1144':{ 'id':1144,'output':true,'number':'696' },'1145':{ 'id':1145,'output':true,'number':'544' },'1146':{ 'id':1146,'output':true,'number':'300' },'1147':{ 'id':1147,'output':true,'number':'219' },'1148':{ 'id':1148,'output':true,'number':'30' },'1149':{ 'id':1149,'output':true,'number':'20' },'1150':{ 'id':1150,'output':true,'number':'311' },'1151':{ 'id':1151,'output':true,'number':'461' },'1152':{ 'id':1152,'output':true,'number':'1569' },'1153':{ 'id':1153,'output':true,'number':'20' },'1154':{ 'id':1154,'output':true,'number':'1605' },'1155':{ 'id':1155,'output':true,'number':'626' },'1156':{ 'id':1156,'output':true,'number':'382' },'1157':{ 'id':1157,'output':true,'number':'555' },'1158':{ 'id':1158,'output':true,'number':'217' },'1159':{ 'id':1159,'output':true,'number':'27' },'1160':{ 'id':1160,'output':true,'number':'586' },'1161':{ 'id':1161,'output':true,'number':'30' },'1162':{ 'id':1162,'output':true,'number':'1575a' },'1163':{ 'id':1163,'output':true,'number':'23' },'1164':{ 'id':1164,'output':true,'number':'667' },'1165':{ 'id':1165,'output':true,'number':'60' },'1166':{ 'id':1166,'output':true,'number':'649a' },'1167':{ 'id':1167,'output':true,'number':'44' },'1168':{ 'id':1168,'output':true,'number':'1185' },'1169':{ 'id':1169,'output':true,'number':'490' },'1170':{ 'id':1170,'output':true,'number':'300' },'1171':{ 'id':1171,'output':true,'number':'27' },'1172':{ 'id':1172,'output':true,'number':'863' },'1173':{ 'id':1173,'output':true,'number':'30' },'1174':{ 'id':1174,'output':true,'number':'431' },'1175':{ 'id':1175,'output':true,'number':'511' },'1176':{ 'id':1176,'output':true,'number':'150-152' },'1177':{ 'id':1177,'output':true,'number':'547a' },'1178':{ 'id':1178,'output':true,'number':'417' },'1179':{ 'id':1179,'output':true,'number':'46' },'1180':{ 'id':1180,'output':true,'number':'364' },'1181':{ 'id':1181,'output':true,'number':'20' },'1182':{ 'id':1182,'output':true,'number':'479a' },'1183':{ 'id':1183,'output':true,'number':'572' },'1184':{ 'id':1184,'output':true,'number':'457' },'1185':{ 'id':1185,'output':true,'number':'569' },'1186':{ 'id':1186,'output':true,'number':'1487' },'1187':{ 'id':1187,'output':true,'number':'332' },'1188':{ 'id':1188,'output':true,'number':'566' },'1189':{ 'id':1189,'output':true,'number':'493' },'1190':{ 'id':1190,'output':true,'number':'44' },'1191':{ 'id':1191,'output':true,'number':'580' },'1192':{ 'id':1192,'output':true,'number':'638' },'1193':{ 'id':1193,'output':true,'number':'30' },'1194':{ 'id':1194,'output':true,'number':'457' },'1195':{ 'id':1195,'output':true,'number':'235' },'1196':{ 'id':1196,'output':true,'number':'512' },'1197':{ 'id':1197,'output':true,'number':'517' },'1198':{ 'id':1198,'output':true,'number':'200' },'1199':{ 'id':1199,'output':true,'number':'2310' },'1200':{ 'id':1200,'output':true,'number':'300' },'1201':{ 'id':1201,'output':true,'number':'180' },'1202':{ 'id':1202,'output':true,'number':'667' },'1203':{ 'id':1203,'output':true,'number':'600' },'1204':{ 'id':1204,'output':true,'number':'20' },'1205':{ 'id':1205,'output':true,'number':'328a' },'1206':{ 'id':1206,'output':true,'number':'523' },'1207':{ 'id':1207,'output':true,'number':'2150' },'1208':{ 'id':1208,'output':true,'number':'300' },'1209':{ 'id':1209,'output':true,'number':'192' },'1210':{ 'id':1210,'output':true,'number':'159' },'1211':{ 'id':1211,'output':true,'number':'2300' },'1212':{ 'id':1212,'output':true,'number':'127' },'1213':{ 'id':1213,'output':true,'number':'667' },'1214':{ 'id':1214,'output':true,'number':'364a' },'1215':{ 'id':1215,'output':true,'number':'656' },'1216':{ 'id':1216,'output':true,'number':'1397' },'1217':{ 'id':1217,'output':true,'number':'425' },'1218':{ 'id':1218,'output':true,'number':'300' },'1219':{ 'id':1219,'output':true,'number':'7' },'1220':{ 'id':1220,'output':true,'number':'116' },'1221':{ 'id':1221,'output':true,'number':'20' },'1222':{ 'id':1222,'output':true,'number':'487' },'1223':{ 'id':1223,'output':true,'number':'31' },'1224':{ 'id':1224,'output':true,'number':'1754' },'1225':{ 'id':1225,'output':true,'number':'190r' },'1226':{ 'id':1226,'output':true,'number':'1379' },'1227':{ 'id':1227,'output':true,'number':'555' },'1228':{ 'id':1228,'output':true,'number':'180' },'1229':{ 'id':1229,'output':true,'number':'152' },'1230':{ 'id':1230,'output':true,'number':'570' },'1231':{ 'id':1231,'output':true,'number':'312' },'1232':{ 'id':1232,'output':true,'number':'1479' },'1233':{ 'id':1233,'output':true,'number':'578' },'1234':{ 'id':1234,'output':true,'number':'1362' },'1235':{ 'id':1235,'output':true,'number':'580' },'1236':{ 'id':1236,'output':true,'number':'254' },'1237':{ 'id':1237,'output':true,'number':'192' },'1238':{ 'id':1238,'output':true,'number':'636' },'1239':{ 'id':1239,'output':true,'number':'20' },'1240':{ 'id':1240,'output':true,'number':'1053-1055' },'1241':{ 'id':1241,'output':true,'number':'411' },'1242':{ 'id':1242,'output':true,'number':'1081' },'1243':{ 'id':1243,'output':true,'number':'186r' },'1244':{ 'id':1244,'output':true,'number':'95' },'1245':{ 'id':1245,'output':true,'number':'611' },'1246':{ 'id':1246,'output':true,'number':'128' },'1247':{ 'id':1247,'output':true,'number':'649' },'1248':{ 'id':1248,'output':true,'number':'172' },'1249':{ 'id':1249,'output':true,'number':'487' },'1250':{ 'id':1250,'output':true,'number':'811' },'1251':{ 'id':1251,'output':true,'number':'599' },'1252':{ 'id':1252,'output':true,'number':'557' },'1253':{ 'id':1253,'output':true,'number':'699' },'1254':{ 'id':1254,'output':true,'number':'807' },'1255':{ 'id':1255,'output':true,'number':'202' },'1256':{ 'id':1256,'output':true,'number':'1736' },'1257':{ 'id':1257,'output':true,'number':'2300' },'1258':{ 'id':1258,'output':true,'number':'20' },'1259':{ 'id':1259,'output':true,'number':'108b' },'1260':{ 'id':1260,'output':true,'number':'866r' },'1261':{ 'id':1261,'output':true,'number':'88' },'1262':{ 'id':1262,'output':true,'number':'280' },'1263':{ 'id':1263,'output':true,'number':'606a' },'1264':{ 'id':1264,'output':true,'number':'159' },'1265':{ 'id':1265,'output':true,'number':'493' },'1266':{ 'id':1266,'output':true,'number':'362' },'1267':{ 'id':1267,'output':true,'number':'539' },'1268':{ 'id':1268,'output':true,'number':'30' },'1269':{ 'id':1269,'output':true,'number':'44' },'1270':{ 'id':1270,'output':true,'number':'2300' },'1271':{ 'id':1271,'output':true,'number':'673' },'1272':{ 'id':1272,'output':true,'number':'717' },'1273':{ 'id':1273,'output':true,'number':'664' },'1274':{ 'id':1274,'output':true,'number':'100' },'1275':{ 'id':1275,'output':true,'number':'666' },'1276':{ 'id':1276,'output':true,'number':'693' },'1277':{ 'id':1277,'output':true,'number':'20' },'1278':{ 'id':1278,'output':true,'number':'483' },'1279':{ 'id':1279,'output':true,'number':'3' },'1280':{ 'id':1280,'output':true,'number':'300' },'1281':{ 'id':1281,'output':true,'number':'904' },'1282':{ 'id':1282,'output':true,'number':'30' },'1283':{ 'id':1283,'output':true,'number':'253' },'1284':{ 'id':1284,'output':true,'number':'88' },'1285':{ 'id':1285,'output':true,'number':'849' },'1286':{ 'id':1286,'output':true,'number':'563' },'1287':{ 'id':1287,'output':true,'number':'495' },'1288':{ 'id':1288,'output':true,'number':'1203' },'1289':{ 'id':1289,'output':true,'number':'2251' },'1290':{ 'id':1290,'output':true,'number':'280' },'1291':{ 'id':1291,'output':true,'number':'596' },'1292':{ 'id':1292,'output':true,'number':'666' },'1293':{ 'id':1293,'output':true,'number':'44' },'1294':{ 'id':1294,'output':true,'number':'482' },'1295':{ 'id':1295,'output':true,'number':'366' },'1296':{ 'id':1296,'output':true,'number':'416' },'1297':{ 'id':1297,'output':true,'number':'312' },'1298':{ 'id':1298,'output':true,'number':'364a' },'1299':{ 'id':1299,'output':true,'number':'66' },'1300':{ 'id':1300,'output':true,'number':'70' },'1301':{ 'id':1301,'output':true,'number':'220' },'1302':{ 'id':1302,'output':true,'number':'566' },'1303':{ 'id':1303,'output':true,'number':'2227' },'1304':{ 'id':1304,'output':true,'number':'58' },'1305':{ 'id':1305,'output':true,'number':'499' },'1306':{ 'id':1306,'output':true,'number':'899' },'1307':{ 'id':1307,'output':true,'number':'202' },'1308':{ 'id':1308,'output':true,'number':'486' },'1309':{ 'id':1309,'output':true,'number':'580' },'1310':{ 'id':1310,'output':true,'number':'44' },'1311':{ 'id':1311,'output':true,'number':'44' },'1312':{ 'id':1312,'output':true,'number':'1015' },'1313':{ 'id':1313,'output':true,'number':'335' },'1314':{ 'id':1314,'output':true,'number':'108' },'1315':{ 'id':1315,'output':true,'number':'498' },'1316':{ 'id':1316,'output':true,'number':'364a' },'1317':{ 'id':1317,'output':true,'number':'2300' },'1318':{ 'id':1318,'output':true,'number':'338' },'1319':{ 'id':1319,'output':true,'number':'20' },'1320':{ 'id':1320,'output':true,'number':'50' },'1321':{ 'id':1321,'output':true,'number':'335' },'1322':{ 'id':1322,'output':true,'number':'364a' },'1323':{ 'id':1323,'output':true,'number':'135' },'1324':{ 'id':1324,'output':true,'number':'530' },'1325':{ 'id':1325,'output':true,'number':'2300' },'1326':{ 'id':1326,'output':true,'number':'20' },'1327':{ 'id':1327,'output':true,'number':'525' },'1328':{ 'id':1328,'output':true,'number':'1284' },'1329':{ 'id':1329,'output':true,'number':'131' },'1330':{ 'id':1330,'output':true,'number':'661' },'1331':{ 'id':1331,'output':true,'number':'576' },'1332':{ 'id':1332,'output':true,'number':'735' },'1333':{ 'id':1333,'output':true,'number':'2300' },'1334':{ 'id':1334,'output':true,'number':'680' },'1335':{ 'id':1335,'output':true,'number':'30' },'1336':{ 'id':1336,'output':true,'number':'935' },'1337':{ 'id':1337,'output':true,'number':'96' },'1338':{ 'id':1338,'output':true,'number':'309' },'1339':{ 'id':1339,'output':true,'number':'440' },'1340':{ 'id':1340,'output':true,'number':'680' },'1341':{ 'id':1341,'output':true,'number':'554' },'1342':{ 'id':1342,'output':true,'number':'30' },'1343':{ 'id':1343,'output':true,'number':'131' },'1344':{ 'id':1344,'output':true,'number':'717' },'1345':{ 'id':1345,'output':true,'number':'280' },'1346':{ 'id':1346,'output':true,'number':'135' },'1347':{ 'id':1347,'output':true,'number':'136' },'1348':{ 'id':1348,'output':true,'number':'566' },'1349':{ 'id':1349,'output':true,'number':'20' },'1350':{ 'id':1350,'output':true,'number':'30' },'1351':{ 'id':1351,'output':true,'number':'135' },'1352':{ 'id':1352,'output':true,'number':'576' },'1353':{ 'id':1353,'output':true,'number':'131' },'1354':{ 'id':1354,'output':true,'number':'313' },'1355':{ 'id':1355,'output':true,'number':'480' },'1356':{ 'id':1356,'output':true,'number':'96' },'1357':{ 'id':1357,'output':true,'number':'135' },'1358':{ 'id':1358,'output':true,'number':'1766' },'1359':{ 'id':1359,'output':true,'number':'204' },'1360':{ 'id':1360,'output':true,'number':'584' },'1361':{ 'id':1361,'output':true,'number':'30' },'1362':{ 'id':1362,'output':true,'number':'156' },'1363':{ 'id':1363,'output':true,'number':'20' },'1364':{ 'id':1364,'output':true,'number':'495' },'1365':{ 'id':1365,'output':true,'number':'30' },'1366':{ 'id':1366,'output':true,'number':'530' },'1367':{ 'id':1367,'output':true,'number':'490' },'1368':{ 'id':1368,'output':true,'number':'624' },'1369':{ 'id':1369,'output':true,'number':'30' },'1370':{ 'id':1370,'output':true,'number':'100' },'1371':{ 'id':1371,'output':true,'number':'365' },'1372':{ 'id':1372,'output':true,'number':'64' },'1373':{ 'id':1373,'output':true,'number':'96' },'1374':{ 'id':1374,'output':true,'number':'122' },'1375':{ 'id':1375,'output':true,'number':'711' },'1376':{ 'id':1376,'output':true,'number':'1293' },'1377':{ 'id':1377,'output':true,'number':'20' },'1378':{ 'id':1378,'output':true,'number':'973' },'1379':{ 'id':1379,'output':true,'number':'20' },'1380':{ 'id':1380,'output':true,'number':'891' },'1381':{ 'id':1381,'output':true,'number':'20' },'1382':{ 'id':1382,'output':true,'number':'784' },'1383':{ 'id':1383,'output':true,'number':'30' },'1384':{ 'id':1384,'output':true,'number':'1255' },'1385':{ 'id':1385,'output':true,'number':'537' },'1386':{ 'id':1386,'output':true,'number':'579' },'1387':{ 'id':1387,'output':true,'number':'30' },'1388':{ 'id':1388,'output':true,'number':'135' },'1389':{ 'id':1389,'output':true,'number':'414' },'1390':{ 'id':1390,'output':true,'number':'30' },'1391':{ 'id':1391,'output':true,'number':'675' },'1392':{ 'id':1392,'output':true,'number':'657' },'1393':{ 'id':1393,'output':true,'number':'30' },'1394':{ 'id':1394,'output':true,'number':'30' },'1395':{ 'id':1395,'output':true,'number':'116' },'1396':{ 'id':1396,'output':true,'number':'30' },'1397':{ 'id':1397,'output':true,'number':'308' },'1398':{ 'id':1398,'output':true,'number':'96' },'1399':{ 'id':1399,'output':true,'number':'581' },'1400':{ 'id':1400,'output':true,'number':'337' },'1401':{ 'id':1401,'output':true,'number':'127' },'1402':{ 'id':1402,'output':true,'number':'957' },'1403':{ 'id':1403,'output':true,'number':'495' },'1404':{ 'id':1404,'output':true,'number':'501' },'1405':{ 'id':1405,'output':true,'number':'30' },'1406':{ 'id':1406,'output':true,'number':'1600' },'1407':{ 'id':1407,'output':true,'number':'20' },'1408':{ 'id':1408,'output':true,'number':'683' },'1409':{ 'id':1409,'output':true,'number':'662' },'1410':{ 'id':1410,'output':true,'number':'362' },'1411':{ 'id':1411,'output':true,'number':'131' },'1412':{ 'id':1412,'output':true,'number':'30' },'1413':{ 'id':1413,'output':true,'number':'519' },'1414':{ 'id':1414,'output':true,'number':'280' },'1415':{ 'id':1415,'output':true,'number':'30' },'1416':{ 'id':1416,'output':true,'number':'628' },'1417':{ 'id':1417,'output':true,'number':'280' },'1418':{ 'id':1418,'output':true,'number':'357' },'1419':{ 'id':1419,'output':true,'number':'20' },'1420':{ 'id':1420,'output':true,'number':'509' },'1421':{ 'id':1421,'output':true,'number':'131' },'1422':{ 'id':1422,'output':true,'number':'2000' },'1423':{ 'id':1423,'output':true,'number':'335' },'1424':{ 'id':1424,'output':true,'number':'1185' },'1425':{ 'id':1425,'output':true,'number':'566' },'1426':{ 'id':1426,'output':true,'number':'669' },'1427':{ 'id':1427,'output':true,'number':'364a' },'1428':{ 'id':1428,'output':true,'number':'335' },'1429':{ 'id':1429,'output':true,'number':'40' },'1430':{ 'id':1430,'output':true,'number':'572' },'1431':{ 'id':1431,'output':true,'number':'127' },'1432':{ 'id':1432,'output':true,'number':'662' },'1433':{ 'id':1433,'output':true,'number':'501' },'1434':{ 'id':1434,'output':true,'number':'493' },'1435':{ 'id':1435,'output':true,'number':'144' },'1436':{ 'id':1436,'output':true,'number':'20' },'1437':{ 'id':1437,'output':true,'number':'26' },'1438':{ 'id':1438,'output':true,'number':'697' },'1439':{ 'id':1439,'output':true,'number':'551' },'1440':{ 'id':1440,'output':true,'number':'1273' },'1441':{ 'id':1441,'output':true,'number':'127' },'1442':{ 'id':1442,'output':true,'number':'1492' },'1443':{ 'id':1443,'output':true,'number':'202' },'1444':{ 'id':1444,'output':true,'number':'666' },'1445':{ 'id':1445,'output':true,'number':'1' },'1446':{ 'id':1446,'output':true,'number':'671a' },'1447':{ 'id':1447,'output':true,'number':'160' },'1448':{ 'id':1448,'output':true,'number':'756' },'1449':{ 'id':1449,'output':true,'number':'116' },'1450':{ 'id':1450,'output':true,'number':'349' },'1451':{ 'id':1451,'output':true,'number':'30' },'1452':{ 'id':1452,'output':true,'number':'891' },'1453':{ 'id':1453,'output':true,'number':'325' },'1454':{ 'id':1454,'output':true,'number':'169' },'1455':{ 'id':1455,'output':true,'number':'501' },'1456':{ 'id':1456,'output':true,'number':'164-166' },'1457':{ 'id':1457,'output':true,'number':'30' },'1458':{ 'id':1458,'output':true,'number':'46' },'1459':{ 'id':1459,'output':true,'number':'578' },'1460':{ 'id':1460,'output':true,'number':'462' },'1461':{ 'id':1461,'output':true,'number':'44' },'1462':{ 'id':1462,'output':true,'number':'127' },'1463':{ 'id':1463,'output':true,'number':'444' },'1464':{ 'id':1464,'output':true,'number':'300' },'1465':{ 'id':1465,'output':true,'number':'30' },'1466':{ 'id':1466,'output':true,'number':'667' },'1467':{ 'id':1467,'output':true,'number':'30' },'1468':{ 'id':1468,'output':true,'number':'346' },'1469':{ 'id':1469,'output':true,'number':'1938' },'1470':{ 'id':1470,'output':true,'number':'731' },'1471':{ 'id':1471,'output':true,'number':'127' },'1472':{ 'id':1472,'output':true,'number':'56' },'1473':{ 'id':1473,'output':true,'number':'594a' },'1474':{ 'id':1474,'output':true,'number':'991' },'1475':{ 'id':1475,'output':true,'number':'586' },'1476':{ 'id':1476,'output':true,'number':'424' },'1477':{ 'id':1477,'output':true,'number':'465' },'1478':{ 'id':1478,'output':true,'number':'130' },'1479':{ 'id':1479,'output':true,'number':'461' },'1480':{ 'id':1480,'output':true,'number':'630' },'1481':{ 'id':1481,'output':true,'number':'335' },'1482':{ 'id':1482,'output':true,'number':'618' },'1483':{ 'id':1483,'output':true,'number':'581' },'1484':{ 'id':1484,'output':true,'number':'471' },'1485':{ 'id':1485,'output':true,'number':'108' },'1486':{ 'id':1486,'output':true,'number':'300' },'1487':{ 'id':1487,'output':true,'number':'100' },'1488':{ 'id':1488,'output':true,'number':'1073-1075' },'1489':{ 'id':1489,'output':true,'number':'20' },'1490':{ 'id':1490,'output':true,'number':'44' },'1491':{ 'id':1491,'output':true,'number':'95' },'1492':{ 'id':1492,'output':true,'number':'568' },'1493':{ 'id':1493,'output':true,'number':'30' },'1494':{ 'id':1494,'output':true,'number':'20' },'1495':{ 'id':1495,'output':true,'number':'446' },'1496':{ 'id':1496,'output':true,'number':'405' },'1497':{ 'id':1497,'output':true,'number':'384' },'1498':{ 'id':1498,'output':true,'number':'384' },'1499':{ 'id':1499,'output':true,'number':'497' },'1500':{ 'id':1500,'output':true,'number':'828' },'1501':{ 'id':1501,'output':true,'number':'671' },'1502':{ 'id':1502,'output':true,'number':'1177' },'1503':{ 'id':1503,'output':true,'number':'548' },'1504':{ 'id':1504,'output':true,'number':'441' },'1505':{ 'id':1505,'output':true,'number':'20' },'1506':{ 'id':1506,'output':true,'number':'44' },'1507':{ 'id':1507,'output':true,'number':'566' },'1508':{ 'id':1508,'output':true,'number':'324' },'1509':{ 'id':1509,'output':true,'number':'530' },'1510':{ 'id':1510,'output':true,'number':'432' },'1511':{ 'id':1511,'output':true,'number':'20' },'1512':{ 'id':1512,'output':true,'number':'519' },'1513':{ 'id':1513,'output':true,'number':'425' },'1514':{ 'id':1514,'output':true,'number':'497' },'1515':{ 'id':1515,'output':true,'number':'490' },'1516':{ 'id':1516,'output':true,'number':'497' },'1517':{ 'id':1517,'output':true,'number':'2300' },'1518':{ 'id':1518,'output':true,'number':'313' },'1519':{ 'id':1519,'output':true,'number':'30' },'1520':{ 'id':1520,'output':true,'number':'683' },'1521':{ 'id':1521,'output':true,'number':'461' },'1522':{ 'id':1522,'output':true,'number':'1942' },'1523':{ 'id':1523,'output':true,'number':'465' },'1524':{ 'id':1524,'output':true,'number':'670' },'1525':{ 'id':1525,'output':true,'number':'1938' },'1526':{ 'id':1526,'output':true,'number':'530' },'1527':{ 'id':1527,'output':true,'number':'91' },'1528':{ 'id':1528,'output':true,'number':'1296' },'1529':{ 'id':1529,'output':true,'number':'27' },'1530':{ 'id':1530,'output':true,'number':'95' },'1531':{ 'id':1531,'output':true,'number':'364' },'1532':{ 'id':1532,'output':true,'number':'20' },'1533':{ 'id':1533,'output':true,'number':'453' },'1534':{ 'id':1534,'output':true,'number':'142' },'1535':{ 'id':1535,'output':true,'number':'705' },'1536':{ 'id':1536,'output':true,'number':'683' },'1537':{ 'id':1537,'output':true,'number':'44' },'1538':{ 'id':1538,'output':true,'number':'213' },'1539':{ 'id':1539,'output':true,'number':'30' },'1540':{ 'id':1540,'output':true,'number':'76' },'1541':{ 'id':1541,'output':true,'number':'27' },'1542':{ 'id':1542,'output':true,'number':'91' },'1543':{ 'id':1543,'output':true,'number':'450' },'1544':{ 'id':1544,'output':true,'number':'485' },'1545':{ 'id':1545,'output':true,'number':'44' },'1546':{ 'id':1546,'output':true,'number':'581' },'1547':{ 'id':1547,'output':true,'number':'495' },'1548':{ 'id':1548,'output':true,'number':'324' },'1549':{ 'id':1549,'output':true,'number':'207' },'1550':{ 'id':1550,'output':true,'number':'475' },'1551':{ 'id':1551,'output':true,'number':'364' },'1552':{ 'id':1552,'output':true,'number':'337' },'1553':{ 'id':1553,'output':true,'number':'310' },'1554':{ 'id':1554,'output':true,'number':'100' },'1555':{ 'id':1555,'output':true,'number':'20' },'1556':{ 'id':1556,'output':true,'number':'499' },'1557':{ 'id':1557,'output':true,'number':'666' },'1558':{ 'id':1558,'output':true,'number':'473' },'1559':{ 'id':1559,'output':true,'number':'701' },'1560':{ 'id':1560,'output':true,'number':'1450' },'1561':{ 'id':1561,'output':true,'number':'666' },'1562':{ 'id':1562,'output':true,'number':'558' },'1563':{ 'id':1563,'output':true,'number':'345' },'1564':{ 'id':1564,'output':true,'number':'427' },'1565':{ 'id':1565,'output':true,'number':'1938' },'1566':{ 'id':1566,'output':true,'number':'403' },'1567':{ 'id':1567,'output':true,'number':'30' },'1568':{ 'id':1568,'output':true,'number':'731' },'1569':{ 'id':1569,'output':true,'number':'670' },'1570':{ 'id':1570,'output':true,'number':'1121' },'1571':{ 'id':1571,'output':true,'number':'576' },'1572':{ 'id':1572,'output':true,'number':'332' },'1573':{ 'id':1573,'output':true,'number':'273' },'1574':{ 'id':1574,'output':true,'number':'100' },'1575':{ 'id':1575,'output':true,'number':'675' },'1576':{ 'id':1576,'output':true,'number':'569' },'1577':{ 'id':1577,'output':true,'number':'473' },'1578':{ 'id':1578,'output':true,'number':'492' },'1579':{ 'id':1579,'output':true,'number':'669a' },'1580':{ 'id':1580,'output':true,'number':'332' },'1581':{ 'id':1581,'output':true,'number':'447' },'1582':{ 'id':1582,'output':true,'number':'719' },'1583':{ 'id':1583,'output':true,'number':'701' },'1584':{ 'id':1584,'output':true,'number':'661' },'1585':{ 'id':1585,'output':true,'number':'1' },'1586':{ 'id':1586,'output':true,'number':'1946' },'1587':{ 'id':1587,'output':true,'number':'711' },'1588':{ 'id':1588,'output':true,'number':'166' },'1589':{ 'id':1589,'output':true,'number':'635' },'1590':{ 'id':1590,'output':true,'number':'100' },'1591':{ 'id':1591,'output':true,'number':'198' },'1592':{ 'id':1592,'output':true,'number':'689' },'1593':{ 'id':1593,'output':true,'number':'507' },'1594':{ 'id':1594,'output':true,'number':'446' },'1595':{ 'id':1595,'output':true,'number':'655' },'1596':{ 'id':1596,'output':true,'number':'328' },'1597':{ 'id':1597,'output':true,'number':'44' },'1598':{ 'id':1598,'output':true,'number':'1210' },'1599':{ 'id':1599,'output':true,'number':'572' },'1600':{ 'id':1600,'output':true,'number':'674' },'1601':{ 'id':1601,'output':true,'number':'44' },'1602':{ 'id':1602,'output':true,'number':'255' },'1603':{ 'id':1603,'output':true,'number':'353' },'1604':{ 'id':1604,'output':true,'number':'670' },'1605':{ 'id':1605,'output':true,'number':'91' },'1606':{ 'id':1606,'output':true,'number':'256' },'1607':{ 'id':1607,'output':true,'number':'505' },'1608':{ 'id':1608,'output':true,'number':'1650' },'1609':{ 'id':1609,'output':true,'number':'2345' },'1610':{ 'id':1610,'output':true,'number':'136' },'1611':{ 'id':1611,'output':true,'number':'384' },'1612':{ 'id':1612,'output':true,'number':'866' },'1613':{ 'id':1613,'output':true,'number':'566' },'1614':{ 'id':1614,'output':true,'number':'689' },'1615':{ 'id':1615,'output':true,'number':'667' },'1616':{ 'id':1616,'output':true,'number':'652' },'1617':{ 'id':1617,'output':true,'number':'366' },'1618':{ 'id':1618,'output':true,'number':'72' },'1619':{ 'id':1619,'output':true,'number':'116' },'1620':{ 'id':1620,'output':true,'number':'564' },'1621':{ 'id':1621,'output':true,'number':'608' },'1622':{ 'id':1622,'output':true,'number':'695' },'1623':{ 'id':1623,'output':true,'number':'460' },'1624':{ 'id':1624,'output':true,'number':'573' },'1625':{ 'id':1625,'output':true,'number':'461' },'1626':{ 'id':1626,'output':true,'number':'513' },'1627':{ 'id':1627,'output':true,'number':'335' },'1628':{ 'id':1628,'output':true,'number':'554' },'1629':{ 'id':1629,'output':true,'number':'314' },'1630':{ 'id':1630,'output':true,'number':'637' },'1631':{ 'id':1631,'output':true,'number':'116' },'1632':{ 'id':1632,'output':true,'number':'337' },'1633':{ 'id':1633,'output':true,'number':'608' },'1634':{ 'id':1634,'output':true,'number':'648' },'1635':{ 'id':1635,'output':true,'number':'30' },'1636':{ 'id':1636,'output':true,'number':'324' },'1637':{ 'id':1637,'output':true,'number':'1938' },'1638':{ 'id':1638,'output':true,'number':'530' },'1639':{ 'id':1639,'output':true,'number':'30' },'1640':{ 'id':1640,'output':true,'number':'1274' },'1641':{ 'id':1641,'output':true,'number':'513' },'1642':{ 'id':1642,'output':true,'number':'571' },'1643':{ 'id':1643,'output':true,'number':'95' },'1644':{ 'id':1644,'output':true,'number':'608' },'1645':{ 'id':1645,'output':true,'number':'44' },'1646':{ 'id':1646,'output':true,'number':'300' },'1647':{ 'id':1647,'output':true,'number':'484' },'1648':{ 'id':1648,'output':true,'number':'116' },'1649':{ 'id':1649,'output':true,'number':'27' },'1650':{ 'id':1650,'output':true,'number':'445' },'1651':{ 'id':1651,'output':true,'number':'96' },'1652':{ 'id':1652,'output':true,'number':'458' },'1653':{ 'id':1653,'output':true,'number':'332' },'1654':{ 'id':1654,'output':true,'number':'20' },'1655':{ 'id':1655,'output':true,'number':'30' },'1656':{ 'id':1656,'output':true,'number':'783' },'1657':{ 'id':1657,'output':true,'number':'30' },'1658':{ 'id':1658,'output':true,'number':'369' },'1659':{ 'id':1659,'output':true,'number':'20' },'1660':{ 'id':1660,'output':true,'number':'284' },'1661':{ 'id':1661,'output':true,'number':'20' },'1662':{ 'id':1662,'output':true,'number':'719a' },'1663':{ 'id':1663,'output':true,'number':'30' },'1664':{ 'id':1664,'output':true,'number':'439' },'1665':{ 'id':1665,'output':true,'number':'497' },'1666':{ 'id':1666,'output':true,'number':'44' },'1667':{ 'id':1667,'output':true,'number':'127' },'1668':{ 'id':1668,'output':true,'number':'131' },'1669':{ 'id':1669,'output':true,'number':'848' },'1670':{ 'id':1670,'output':true,'number':'589a' },'1671':{ 'id':1671,'output':true,'number':'127' },'1672':{ 'id':1672,'output':true,'number':'36' },'1673':{ 'id':1673,'output':true,'number':'55' },'1674':{ 'id':1674,'output':true,'number':'116' },'1675':{ 'id':1675,'output':true,'number':'445' },'1676':{ 'id':1676,'output':true,'number':'270' },'1677':{ 'id':1677,'output':true,'number':'44' },'1678':{ 'id':1678,'output':true,'number':'537' },'1679':{ 'id':1679,'output':true,'number':'20' },'1680':{ 'id':1680,'output':true,'number':'1505' },'1681':{ 'id':1681,'output':true,'number':'15' },'1682':{ 'id':1682,'output':true,'number':'190a' },'1683':{ 'id':1683,'output':true,'number':'30' },'1684':{ 'id':1684,'output':true,'number':'570' },'1685':{ 'id':1685,'output':true,'number':'489' },'1686':{ 'id':1686,'output':true,'number':'30' },'1687':{ 'id':1687,'output':true,'number':'30' },'1688':{ 'id':1688,'output':true,'number':'547' },'1689':{ 'id':1689,'output':true,'number':'2281' },'1690':{ 'id':1690,'output':true,'number':'122' },'1691':{ 'id':1691,'output':true,'number':'20' },'1692':{ 'id':1692,'output':true,'number':'617' },'1693':{ 'id':1693,'output':true,'number':'464' },'1694':{ 'id':1694,'output':true,'number':'317' },'1695':{ 'id':1695,'output':true,'number':'467' },'1696':{ 'id':1696,'output':true,'number':'425' },'1697':{ 'id':1697,'output':true,'number':'471' },'1698':{ 'id':1698,'output':true,'number':'520' },'1699':{ 'id':1699,'output':true,'number':'30' },'1700':{ 'id':1700,'output':true,'number':'312' },'1701':{ 'id':1701,'output':true,'number':'23' },'1702':{ 'id':1702,'output':true,'number':'699' },'1703':{ 'id':1703,'output':true,'number':'30' },'1704':{ 'id':1704,'output':true,'number':'619-621' },'1705':{ 'id':1705,'output':true,'number':'1942' },'1706':{ 'id':1706,'output':true,'number':'272' },'1707':{ 'id':1707,'output':true,'number':'30' },'1708':{ 'id':1708,'output':true,'number':'372' },'1709':{ 'id':1709,'output':true,'number':'2084' },'1710':{ 'id':1710,'output':true,'number':'1113' },'1711':{ 'id':1711,'output':true,'number':'20' },'1712':{ 'id':1712,'output':true,'number':'628' },'1713':{ 'id':1713,'output':true,'number':'214-218' },'1714':{ 'id':1714,'output':true,'number':'100' },'1715':{ 'id':1715,'output':true,'number':'96' },'1716':{ 'id':1716,'output':true,'number':'482' },'1717':{ 'id':1717,'output':true,'number':'414' },'1718':{ 'id':1718,'output':true,'number':'30' },'1719':{ 'id':1719,'output':true,'number':'392' },'1720':{ 'id':1720,'output':true,'number':'1391' },'1721':{ 'id':1721,'output':true,'number':'1946' },'1722':{ 'id':1722,'output':true,'number':'544' },'1723':{ 'id':1723,'output':true,'number':'30' },'1724':{ 'id':1724,'output':true,'number':'580' },'1725':{ 'id':1725,'output':true,'number':'312' },'1726':{ 'id':1726,'output':true,'number':'320' },'1727':{ 'id':1727,'output':true,'number':'20' },'1728':{ 'id':1728,'output':true,'number':'1191' },'1729':{ 'id':1729,'output':true,'number':'666' },'1730':{ 'id':1730,'output':true,'number':'637' },'1731':{ 'id':1731,'output':true,'number':'131' },'1732':{ 'id':1732,'output':true,'number':'341' },'1733':{ 'id':1733,'output':true,'number':'40' },'1734':{ 'id':1734,'output':true,'number':'656' },'1735':{ 'id':1735,'output':true,'number':'647' },'1736':{ 'id':1736,'output':true,'number':'686' },'1737':{ 'id':1737,'output':true,'number':'1942' },'1738':{ 'id':1738,'output':true,'number':'108' },'1739':{ 'id':1739,'output':true,'number':'639' },'1740':{ 'id':1740,'output':true,'number':'467' },'1741':{ 'id':1741,'output':true,'number':'370' },'1742':{ 'id':1742,'output':true,'number':'875' },'1743':{ 'id':1743,'output':true,'number':'20' },'1744':{ 'id':1744,'output':true,'number':'17' },'1745':{ 'id':1745,'output':true,'number':'671' },'1746':{ 'id':1746,'output':true,'number':'274' },'1747':{ 'id':1747,'output':true,'number':'711' },'1748':{ 'id':1748,'output':true,'number':'572' },'1749':{ 'id':1749,'output':true,'number':'91' },'1750':{ 'id':1750,'output':true,'number':'585' },'1751':{ 'id':1751,'output':true,'number':'373' },'1752':{ 'id':1752,'output':true,'number':'1077' },'1753':{ 'id':1753,'output':true,'number':'457' },'1754':{ 'id':1754,'output':true,'number':'108' },'1755':{ 'id':1755,'output':true,'number':'20' },'1756':{ 'id':1756,'output':true,'number':'312' },'1757':{ 'id':1757,'output':true,'number':'1946' },'1758':{ 'id':1758,'output':true,'number':'1290' },'1759':{ 'id':1759,'output':true,'number':'693' },'1760':{ 'id':1760,'output':true,'number':'672' },'1761':{ 'id':1761,'output':true,'number':'44' },'1762':{ 'id':1762,'output':true,'number':'1946' },'1763':{ 'id':1763,'output':true,'number':'509' },'1764':{ 'id':1764,'output':true,'number':'324' },'1765':{ 'id':1765,'output':true,'number':'425' },'1766':{ 'id':1766,'output':true,'number':'328' },'1767':{ 'id':1767,'output':true,'number':'380' },'1768':{ 'id':1768,'output':true,'number':'363' },'1769':{ 'id':1769,'output':true,'number':'44' },'1770':{ 'id':1770,'output':true,'number':'339' },'1771':{ 'id':1771,'output':true,'number':'438' },'1772':{ 'id':1772,'output':true,'number':'135' },'1773':{ 'id':1773,'output':true,'number':'399' },'1774':{ 'id':1774,'output':true,'number':'1561' },'1775':{ 'id':1775,'output':true,'number':'30' },'1776':{ 'id':1776,'output':true,'number':'457' },'1777':{ 'id':1777,'output':true,'number':'227' },'1778':{ 'id':1778,'output':true,'number':'2300' },'1779':{ 'id':1779,'output':true,'number':'598' },'1780':{ 'id':1780,'output':true,'number':'436a' },'1781':{ 'id':1781,'output':true,'number':'95' },'1782':{ 'id':1782,'output':true,'number':'600' },'1783':{ 'id':1783,'output':true,'number':'30' },'1784':{ 'id':1784,'output':true,'number':'1061' },'1785':{ 'id':1785,'output':true,'number':'411' },'1786':{ 'id':1786,'output':true,'number':'358' },'1787':{ 'id':1787,'output':true,'number':'88' },'1788':{ 'id':1788,'output':true,'number':'347' },'1789':{ 'id':1789,'output':true,'number':'740' },'1790':{ 'id':1790,'output':true,'number':'36' },'1791':{ 'id':1791,'output':true,'number':'96' },'1792':{ 'id':1792,'output':true,'number':'566' },'1793':{ 'id':1793,'output':true,'number':'2300' },'1794':{ 'id':1794,'output':true,'number':'808' },'1795':{ 'id':1795,'output':true,'number':'30' },'1796':{ 'id':1796,'output':true,'number':'467' },'1797':{ 'id':1797,'output':true,'number':'863z' },'1798':{ 'id':1798,'output':true,'number':'664' },'1799':{ 'id':1799,'output':true,'number':'91' },'1800':{ 'id':1800,'output':true,'number':'704-716' },'1801':{ 'id':1801,'output':true,'number':'531' },'1802':{ 'id':1802,'output':true,'number':'589' },'1803':{ 'id':1803,'output':true,'number':'30' },'1804':{ 'id':1804,'output':true,'number':'890' },'1805':{ 'id':1805,'output':true,'number':'461' },'1806':{ 'id':1806,'output':true,'number':'1357' },'1807':{ 'id':1807,'output':true,'number':'523' },'1808':{ 'id':1808,'output':true,'number':'677' },'1809':{ 'id':1809,'output':true,'number':'2000' },'1810':{ 'id':1810,'output':true,'number':'683' },'1811':{ 'id':1811,'output':true,'number':'669' },'1812':{ 'id':1812,'output':true,'number':'30' },'1813':{ 'id':1813,'output':true,'number':'328a' },'1814':{ 'id':1814,'output':true,'number':'67' },'1815':{ 'id':1815,'output':true,'number':'204' },'1816':{ 'id':1816,'output':true,'number':'1569' },'1817':{ 'id':1817,'output':true,'number':'2300' },'1818':{ 'id':1818,'output':true,'number':'675' },'1819':{ 'id':1819,'output':true,'number':'88' },'1820':{ 'id':1820,'output':true,'number':'312' },'1821':{ 'id':1821,'output':true,'number':'486' },'1822':{ 'id':1822,'output':true,'number':'1650' },'1823':{ 'id':1823,'output':true,'number':'20' },'1824':{ 'id':1824,'output':true,'number':'1298' },'1825':{ 'id':1825,'output':true,'number':'478' },'1826':{ 'id':1826,'output':true,'number':'44' },'1827':{ 'id':1827,'output':true,'number':'131' },'1828':{ 'id':1828,'output':true,'number':'384' },'1829':{ 'id':1829,'output':true,'number':'2311' },'1830':{ 'id':1830,'output':true,'number':'91' },'1831':{ 'id':1831,'output':true,'number':'30' },'1832':{ 'id':1832,'output':true,'number':'1180' },'1833':{ 'id':1833,'output':true,'number':'207' },'1834':{ 'id':1834,'output':true,'number':'100' },'1835':{ 'id':1835,'output':true,'number':'20' },'1836':{ 'id':1836,'output':true,'number':'668' },'1837':{ 'id':1837,'output':true,'number':'1946' },'1838':{ 'id':1838,'output':true,'number':'130a' },'1839':{ 'id':1839,'output':true,'number':'649' },'1840':{ 'id':1840,'output':true,'number':'626' },'1841':{ 'id':1841,'output':true,'number':'44' },'1842':{ 'id':1842,'output':true,'number':'465' },'1843':{ 'id':1843,'output':true,'number':'639' },'1844':{ 'id':1844,'output':true,'number':'606' },'1845':{ 'id':1845,'output':true,'number':'539' },'1846':{ 'id':1846,'output':true,'number':'481' },'1847':{ 'id':1847,'output':true,'number':'30' },'1848':{ 'id':1848,'output':true,'number':'1019' },'1849':{ 'id':1849,'output':true,'number':'1' },'1850':{ 'id':1850,'output':true,'number':'365' },'1851':{ 'id':1851,'output':true,'number':'108' },'1852':{ 'id':1852,'output':true,'number':'310' },'1853':{ 'id':1853,'output':true,'number':'30' },'1854':{ 'id':1854,'output':true,'number':'677' },'1855':{ 'id':1855,'output':true,'number':'328' },'1856':{ 'id':1856,'output':true,'number':'519' },'1857':{ 'id':1857,'output':true,'number':'312' },'1858':{ 'id':1858,'output':true,'number':'334' },'1859':{ 'id':1859,'output':true,'number':'135' },'1860':{ 'id':1860,'output':true,'number':'670' },'1861':{ 'id':1861,'output':true,'number':'385' },'1862':{ 'id':1862,'output':true,'number':'280' },'1863':{ 'id':1863,'output':true,'number':'30' },'1864':{ 'id':1864,'output':true,'number':'583' },'1865':{ 'id':1865,'output':true,'number':'189' },'1866':{ 'id':1866,'output':true,'number':'560' },'1867':{ 'id':1867,'output':true,'number':'551' },'1868':{ 'id':1868,'output':true,'number':'486' },'1869':{ 'id':1869,'output':true,'number':'580' },'1870':{ 'id':1870,'output':true,'number':'44' },'1871':{ 'id':1871,'output':true,'number':'319' },'1872':{ 'id':1872,'output':true,'number':'312' },'1873':{ 'id':1873,'output':true,'number':'44' },'1874':{ 'id':1874,'output':true,'number':'274-278' },'1875':{ 'id':1875,'output':true,'number':'365' },'1876':{ 'id':1876,'output':true,'number':'617' },'1877':{ 'id':1877,'output':true,'number':'141' },'1878':{ 'id':1878,'output':true,'number':'307' },'1879':{ 'id':1879,'output':true,'number':'20' },'1880':{ 'id':1880,'output':true,'number':'568' },'1881':{ 'id':1881,'output':true,'number':'316' },'1882':{ 'id':1882,'output':true,'number':'108' },'1883':{ 'id':1883,'output':true,'number':'30' },'1884':{ 'id':1884,'output':true,'number':'127' },'1885':{ 'id':1885,'output':true,'number':'44' },'1886':{ 'id':1886,'output':true,'number':'599-601' },'1887':{ 'id':1887,'output':true,'number':'148' },'1888':{ 'id':1888,'output':true,'number':'505' },'1889':{ 'id':1889,'output':true,'number':'751' },'1890':{ 'id':1890,'output':true,'number':'686' },'1891':{ 'id':1891,'output':true,'number':'30' },'1892':{ 'id':1892,'output':true,'number':'670' },'1893':{ 'id':1893,'output':true,'number':'638' },'1894':{ 'id':1894,'output':true,'number':'715' },'1895':{ 'id':1895,'output':true,'number':'445' },'1896':{ 'id':1896,'output':true,'number':'354' },'1897':{ 'id':1897,'output':true,'number':'324' },'1898':{ 'id':1898,'output':true,'number':'663' },'1899':{ 'id':1899,'output':true,'number':'298' },'1900':{ 'id':1900,'output':true,'number':'511' },'1901':{ 'id':1901,'output':true,'number':'726' },'1902':{ 'id':1902,'output':true,'number':'576' },'1903':{ 'id':1903,'output':true,'number':'379' },'1904':{ 'id':1904,'output':true,'number':'131' },'1905':{ 'id':1905,'output':true,'number':'461' },'1906':{ 'id':1906,'output':true,'number':'2000' },'1907':{ 'id':1907,'output':true,'number':'116' },'1908':{ 'id':1908,'output':true,'number':'634' },'1909':{ 'id':1909,'output':true,'number':'587' },'1910':{ 'id':1910,'output':true,'number':'108' },'1911':{ 'id':1911,'output':true,'number':'30' },'1912':{ 'id':1912,'output':true,'number':'124' },'1913':{ 'id':1913,'output':true,'number':'88' },'1914':{ 'id':1914,'output':true,'number':'655' },'1915':{ 'id':1915,'output':true,'number':'25' },'1916':{ 'id':1916,'output':true,'number':'593' },'1917':{ 'id':1917,'output':true,'number':'116' },'1918':{ 'id':1918,'output':true,'number':'300' },'1919':{ 'id':1919,'output':true,'number':'136' },'1920':{ 'id':1920,'output':true,'number':'20' },'1921':{ 'id':1921,'output':true,'number':'2323' },'1922':{ 'id':1922,'output':true,'number':'666' },'1923':{ 'id':1923,'output':true,'number':'88' },'1924':{ 'id':1924,'output':true,'number':'608' },'1925':{ 'id':1925,'output':true,'number':'130' },'1926':{ 'id':1926,'output':true,'number':'440' },'1927':{ 'id':1927,'output':true,'number':'245' },'1928':{ 'id':1928,'output':true,'number':'95' },'1929':{ 'id':1929,'output':true,'number':'30' },'1930':{ 'id':1930,'output':true,'number':'15' },'1931':{ 'id':1931,'output':true,'number':'30' },'1932':{ 'id':1932,'output':true,'number':'396' },'1933':{ 'id':1933,'output':true,'number':'493' },'1934':{ 'id':1934,'output':true,'number':'1173' },'1935':{ 'id':1935,'output':true,'number':'96' },'1936':{ 'id':1936,'output':true,'number':'332' },'1937':{ 'id':1937,'output':true,'number':'20' },'1938':{ 'id':1938,'output':true,'number':'988' },'1939':{ 'id':1939,'output':true,'number':'594' },'1940':{ 'id':1940,'output':true,'number':'587a' },'1941':{ 'id':1941,'output':true,'number':'365' },'1942':{ 'id':1942,'output':true,'number':'372' },'1943':{ 'id':1943,'output':true,'number':'130' },'1944':{ 'id':1944,'output':true,'number':'91' },'1945':{ 'id':1945,'output':true,'number':'608' },'1946':{ 'id':1946,'output':true,'number':'30' },'1947':{ 'id':1947,'output':true,'number':'135' },'1948':{ 'id':1948,'output':true,'number':'544' },'1949':{ 'id':1949,'output':true,'number':'530' },'1950':{ 'id':1950,'output':true,'number':'726' },'1951':{ 'id':1951,'output':true,'number':'2344' },'1952':{ 'id':1952,'output':true,'number':'891d' },'1953':{ 'id':1953,'output':true,'number':'20' },'1954':{ 'id':1954,'output':true,'number':'235' },'1955':{ 'id':1955,'output':true,'number':'335' },'1956':{ 'id':1956,'output':true,'number':'302' },'1957':{ 'id':1957,'output':true,'number':'1940' },'1958':{ 'id':1958,'output':true,'number':'170' },'1959':{ 'id':1959,'output':true,'number':'365' },'1960':{ 'id':1960,'output':true,'number':'604' },'1961':{ 'id':1961,'output':true,'number':'302' },'1962':{ 'id':1962,'output':true,'number':'204' },'1963':{ 'id':1963,'output':true,'number':'312' },'1964':{ 'id':1964,'output':true,'number':'507' },'1965':{ 'id':1965,'output':true,'number':'30' },'1966':{ 'id':1966,'output':true,'number':'129' },'1967':{ 'id':1967,'output':true,'number':'559' },'1968':{ 'id':1968,'output':true,'number':'30' },'1969':{ 'id':1969,'output':true,'number':'2291' },'1970':{ 'id':1970,'output':true,'number':'351' },'1971':{ 'id':1971,'output':true,'number':'230r' },'1972':{ 'id':1972,'output':true,'number':'628' },'1973':{ 'id':1973,'output':true,'number':'91' },'1974':{ 'id':1974,'output':true,'number':'30' },'1975':{ 'id':1975,'output':true,'number':'1938' },'1976':{ 'id':1976,'output':true,'number':'668' },'1977':{ 'id':1977,'output':true,'number':'419' },'1978':{ 'id':1978,'output':true,'number':'226' },'1979':{ 'id':1979,'output':true,'number':'91' },'1980':{ 'id':1980,'output':true,'number':'135' },'1981':{ 'id':1981,'output':true,'number':'578' },'1982':{ 'id':1982,'output':true,'number':'1345' },'1983':{ 'id':1983,'output':true,'number':'202' },'1984':{ 'id':1984,'output':true,'number':'916' },'1985':{ 'id':1985,'output':true,'number':'20' },'1986':{ 'id':1986,'output':true,'number':'672' },'1987':{ 'id':1987,'output':true,'number':'44' },'1988':{ 'id':1988,'output':true,'number':'254' },'1989':{ 'id':1989,'output':true,'number':'544' },'1990':{ 'id':1990,'output':true,'number':'108' },'1991':{ 'id':1991,'output':true,'number':'30' },'1992':{ 'id':1992,'output':true,'number':'96' },'1993':{ 'id':1993,'output':true,'number':'1946' },'1994':{ 'id':1994,'output':true,'number':'30' },'1995':{ 'id':1995,'output':true,'number':'663' },'1996':{ 'id':1996,'output':true,'number':'502' },'1997':{ 'id':1997,'output':true,'number':'30' },'1998':{ 'id':1998,'output':true,'number':'719' },'1999':{ 'id':1999,'output':true,'number':'332' },'2000':{ 'id':2000,'output':true,'number':'709' },'2001':{ 'id':2001,'output':true,'number':'20' },'2002':{ 'id':2002,'output':true,'number':'30' },'2003':{ 'id':2003,'output':true,'number':'20' },'2004':{ 'id':2004,'output':true,'number':'392' },'2005':{ 'id':2005,'output':true,'number':'36' },'2006':{ 'id':2006,'output':true,'number':'30' },'2007':{ 'id':2007,'output':true,'number':'20' },'2008':{ 'id':2008,'output':true,'number':'505' },'2009':{ 'id':2009,'output':true,'number':'91' },'2010':{ 'id':2010,'output':true,'number':'333' },'2011':{ 'id':2011,'output':true,'number':'44' },'2012':{ 'id':2012,'output':true,'number':'906' },'2013':{ 'id':2013,'output':true,'number':'20' },'2014':{ 'id':2014,'output':true,'number':'652' },'2015':{ 'id':2015,'output':true,'number':'20' },'2016':{ 'id':2016,'output':true,'number':'131' },'2017':{ 'id':2017,'output':true,'number':'2000' },'2018':{ 'id':2018,'output':true,'number':'666' },'2019':{ 'id':2019,'output':true,'number':'30' },'2020':{ 'id':2020,'output':true,'number':'639' },'2021':{ 'id':2021,'output':true,'number':'20' },'2022':{ 'id':2022,'output':true,'number':'160' },'2023':{ 'id':2023,'output':true,'number':'224' },'2024':{ 'id':2024,'output':true,'number':'30' },'2025':{ 'id':2025,'output':true,'number':'530' },'2026':{ 'id':2026,'output':true,'number':'376' },'2027':{ 'id':2027,'output':true,'number':'20' },'2028':{ 'id':2028,'output':true,'number':'30' },'2029':{ 'id':2029,'output':true,'number':'1942' },'2030':{ 'id':2030,'output':true,'number':'815' },'2031':{ 'id':2031,'output':true,'number':'95' },'2032':{ 'id':2032,'output':true,'number':'269' },'2033':{ 'id':2033,'output':true,'number':'355' },'2034':{ 'id':2034,'output':true,'number':'403' },'2035':{ 'id':2035,'output':true,'number':'2323' },'2036':{ 'id':2036,'output':true,'number':'579' },'2037':{ 'id':2037,'output':true,'number':'711' },'2038':{ 'id':2038,'output':true,'number':'653' },'2039':{ 'id':2039,'output':true,'number':'501' },'2040':{ 'id':2040,'output':true,'number':'898' },'2041':{ 'id':2041,'output':true,'number':'572' },'2042':{ 'id':2042,'output':true,'number':'383' },'2043':{ 'id':2043,'output':true,'number':'20' },'2044':{ 'id':2044,'output':true,'number':'611' },'2045':{ 'id':2045,'output':true,'number':'30' },'2046':{ 'id':2046,'output':true,'number':'935' },'2047':{ 'id':2047,'output':true,'number':'20' },'2048':{ 'id':2048,'output':true,'number':'611' },'2049':{ 'id':2049,'output':true,'number':'91' },'2050':{ 'id':2050,'output':true,'number':'681' },'2051':{ 'id':2051,'output':true,'number':'1942' },'2052':{ 'id':2052,'output':true,'number':'507' },'2053':{ 'id':2053,'output':true,'number':'27' },'2054':{ 'id':2054,'output':true,'number':'493' },'2055':{ 'id':2055,'output':true,'number':'131' },'2056':{ 'id':2056,'output':true,'number':'603' },'2057':{ 'id':2057,'output':true,'number':'2000' },'2058':{ 'id':2058,'output':true,'number':'565' },'2059':{ 'id':2059,'output':true,'number':'554' },'2060':{ 'id':2060,'output':true,'number':'892' },'2061':{ 'id':2061,'output':true,'number':'264' },'2062':{ 'id':2062,'output':true,'number':'14' },'2063':{ 'id':2063,'output':true,'number':'481' },'2064':{ 'id':2064,'output':true,'number':'554' },'2065':{ 'id':2065,'output':true,'number':'447' },'2066':{ 'id':2066,'output':true,'number':'1600' },'2067':{ 'id':2067,'output':true,'number':'30' },'2068':{ 'id':2068,'output':true,'number':'860' },'2069':{ 'id':2069,'output':true,'number':'324' },'2070':{ 'id':2070,'output':true,'number':'30' },'2071':{ 'id':2071,'output':true,'number':'403' },'2072':{ 'id':2072,'output':true,'number':'490' },'2073':{ 'id':2073,'output':true,'number':'2300' },'2074':{ 'id':2074,'output':true,'number':'359' },'2075':{ 'id':2075,'output':true,'number':'668' },'2076':{ 'id':2076,'output':true,'number':'601' },'2077':{ 'id':2077,'output':true,'number':'1946' },'2078':{ 'id':2078,'output':true,'number':'811' },'2079':{ 'id':2079,'output':true,'number':'580' },'2080':{ 'id':2080,'output':true,'number':'572' },'2081':{ 'id':2081,'output':true,'number':'251' },'2082':{ 'id':2082,'output':true,'number':'44' },'2083':{ 'id':2083,'output':true,'number':'600a' },'2084':{ 'id':2084,'output':true,'number':'116' },'2085':{ 'id':2085,'output':true,'number':'2300' },'2086':{ 'id':2086,'output':true,'number':'69' },'2087':{ 'id':2087,'output':true,'number':'2227' },'2088':{ 'id':2088,'output':true,'number':'608' },'2089':{ 'id':2089,'output':true,'number':'339' },'2090':{ 'id':2090,'output':true,'number':'530' },'2091':{ 'id':2091,'output':true,'number':'324' },'2092':{ 'id':2092,'output':true,'number':'901' },'2093':{ 'id':2093,'output':true,'number':'486' },'2094':{ 'id':2094,'output':true,'number':'308' },'2095':{ 'id':2095,'output':true,'number':'192' },'2096':{ 'id':2096,'output':true,'number':'517' },'2097':{ 'id':2097,'output':true,'number':'568' },'2098':{ 'id':2098,'output':true,'number':'95' },'2099':{ 'id':2099,'output':true,'number':'44' },'2100':{ 'id':2100,'output':true,'number':'779' },'2101':{ 'id':2101,'output':true,'number':'312' },'2102':{ 'id':2102,'output':true,'number':'20' },'2103':{ 'id':2103,'output':true,'number':'332' },'2104':{ 'id':2104,'output':true,'number':'30' },'2105':{ 'id':2105,'output':true,'number':'2000' },'2106':{ 'id':2106,'output':true,'number':'135' },'2107':{ 'id':2107,'output':true,'number':'604' },'2108':{ 'id':2108,'output':true,'number':'20' },'2109':{ 'id':2109,'output':true,'number':'525' },'2110':{ 'id':2110,'output':true,'number':'461' },'2111':{ 'id':2111,'output':true,'number':'324' },'2112':{ 'id':2112,'output':true,'number':'384' },'2113':{ 'id':2113,'output':true,'number':'1938' },'2114':{ 'id':2114,'output':true,'number':'135' },'2115':{ 'id':2115,'output':true,'number':'153' },'2116':{ 'id':2116,'output':true,'number':'649' },'2117':{ 'id':2117,'output':true,'number':'233' },'2118':{ 'id':2118,'output':true,'number':'867' },'2119':{ 'id':2119,'output':true,'number':'44' },'2120':{ 'id':2120,'output':true,'number':'116' },'2121':{ 'id':2121,'output':true,'number':'308' },'2122':{ 'id':2122,'output':true,'number':'824' },'2123':{ 'id':2123,'output':true,'number':'30' },'2124':{ 'id':2124,'output':true,'number':'567' },'2125':{ 'id':2125,'output':true,'number':'334' },'2126':{ 'id':2126,'output':true,'number':'1946' },'2127':{ 'id':2127,'output':true,'number':'30' },'2128':{ 'id':2128,'output':true,'number':'227' },'2129':{ 'id':2129,'output':true,'number':'95' },'2130':{ 'id':2130,'output':true,'number':'364a' },'2131':{ 'id':2131,'output':true,'number':'40' },'2132':{ 'id':2132,'output':true,'number':'30' },'2133':{ 'id':2133,'output':true,'number':'458' },'2134':{ 'id':2134,'output':true,'number':'2311' },'2135':{ 'id':2135,'output':true,'number':'20' },'2136':{ 'id':2136,'output':true,'number':'20' },'2137':{ 'id':2137,'output':true,'number':'276' },'2138':{ 'id':2138,'output':true,'number':'116' },'2139':{ 'id':2139,'output':true,'number':'30' },'2140':{ 'id':2140,'output':true,'number':'2300' },'2141':{ 'id':2141,'output':true,'number':'190' },'2142':{ 'id':2142,'output':true,'number':'649' },'2143':{ 'id':2143,'output':true,'number':'1938' },'2144':{ 'id':2144,'output':true,'number':'361' },'2145':{ 'id':2145,'output':true,'number':'30' },'2146':{ 'id':2146,'output':true,'number':'525' },'2147':{ 'id':2147,'output':true,'number':'127' },'2148':{ 'id':2148,'output':true,'number':'91' },'2149':{ 'id':2149,'output':true,'number':'508' },'2150':{ 'id':2150,'output':true,'number':'127' },'2151':{ 'id':2151,'output':true,'number':'488' },'2152':{ 'id':2152,'output':true,'number':'418' },'2153':{ 'id':2153,'output':true,'number':'152a' },'2154':{ 'id':2154,'output':true,'number':'135' },'2155':{ 'id':2155,'output':true,'number':'689' },'2156':{ 'id':2156,'output':true,'number':'20' },'2157':{ 'id':2157,'output':true,'number':'692' },'2158':{ 'id':2158,'output':true,'number':'44' },'2159':{ 'id':2159,'output':true,'number':'95' },'2160':{ 'id':2160,'output':true,'number':'551' },'2161':{ 'id':2161,'output':true,'number':'78' },'2162':{ 'id':2162,'output':true,'number':'484' },'2163':{ 'id':2163,'output':true,'number':'20' },'2164':{ 'id':2164,'output':true,'number':'2359' },'2165':{ 'id':2165,'output':true,'number':'30' },'2166':{ 'id':2166,'output':true,'number':'156' },'2167':{ 'id':2167,'output':true,'number':'483' },'2168':{ 'id':2168,'output':true,'number':'30' },'2169':{ 'id':2169,'output':true,'number':'20' },'2170':{ 'id':2170,'output':true,'number':'668' },'2171':{ 'id':2171,'output':true,'number':'461' },'2172':{ 'id':2172,'output':true,'number':'384' },'2173':{ 'id':2173,'output':true,'number':'1391-1397' },'2174':{ 'id':2174,'output':true,'number':'544' },'2175':{ 'id':2175,'output':true,'number':'648' },'2176':{ 'id':2176,'output':true,'number':'44' },'2177':{ 'id':2177,'output':true,'number':'580' },'2178':{ 'id':2178,'output':true,'number':'20' },'2179':{ 'id':2179,'output':true,'number':'356r' },'2180':{ 'id':2180,'output':true,'number':'337' },'2181':{ 'id':2181,'output':true,'number':'96' },'2182':{ 'id':2182,'output':true,'number':'847' },'2183':{ 'id':2183,'output':true,'number':'148' },'2184':{ 'id':2184,'output':true,'number':'335' },'2185':{ 'id':2185,'output':true,'number':'1938' },'2186':{ 'id':2186,'output':true,'number':'589' },'2187':{ 'id':2187,'output':true,'number':'30' },'2188':{ 'id':2188,'output':true,'number':'405' },'2189':{ 'id':2189,'output':true,'number':'519' },'2190':{ 'id':2190,'output':true,'number':'328a' },'2191':{ 'id':2191,'output':true,'number':'459' },'2192':{ 'id':2192,'output':true,'number':'30' },'2193':{ 'id':2193,'output':true,'number':'96' },'2194':{ 'id':2194,'output':true,'number':'662' },'2195':{ 'id':2195,'output':true,'number':'384' },'2196':{ 'id':2196,'output':true,'number':'479' },'2197':{ 'id':2197,'output':true,'number':'130' },'2198':{ 'id':2198,'output':true,'number':'618' },'2199':{ 'id':2199,'output':true,'number':'499' },'2200':{ 'id':2200,'output':true,'number':'659' },'2201':{ 'id':2201,'output':true,'number':'20' },'2202':{ 'id':2202,'output':true,'number':'60' },'2203':{ 'id':2203,'output':true,'number':'1600' },'2204':{ 'id':2204,'output':true,'number':'499' },'2205':{ 'id':2205,'output':true,'number':'364' },'2206':{ 'id':2206,'output':true,'number':'1600' },'2207':{ 'id':2207,'output':true,'number':'30' },'2208':{ 'id':2208,'output':true,'number':'196' },'2209':{ 'id':2209,'output':true,'number':'180' },'2210':{ 'id':2210,'output':true,'number':'571' },'2211':{ 'id':2211,'output':true,'number':'30' },'2212':{ 'id':2212,'output':true,'number':'555' },'2213':{ 'id':2213,'output':true,'number':'461' },'2214':{ 'id':2214,'output':true,'number':'100' },'2215':{ 'id':2215,'output':true,'number':'485' },'2216':{ 'id':2216,'output':true,'number':'461' },'2217':{ 'id':2217,'output':true,'number':'30' },'2218':{ 'id':2218,'output':true,'number':'1600' },'2219':{ 'id':2219,'output':true,'number':'131' },'2220':{ 'id':2220,'output':true,'number':'637' },'2221':{ 'id':2221,'output':true,'number':'1200' },'2222':{ 'id':2222,'output':true,'number':'566' },'2223':{ 'id':2223,'output':true,'number':'516' },'2224':{ 'id':2224,'output':true,'number':'580' },'2225':{ 'id':2225,'output':true,'number':'543' },'2226':{ 'id':2226,'output':true,'number':'380' },'2227':{ 'id':2227,'output':true,'number':'1581-1583' },'2228':{ 'id':2228,'output':true,'number':'30' },'2229':{ 'id':2229,'output':true,'number':'116' },'2230':{ 'id':2230,'output':true,'number':'386' },'2231':{ 'id':2231,'output':true,'number':'30' },'2232':{ 'id':2232,'output':true,'number':'326' },'2233':{ 'id':2233,'output':true,'number':'41' },'2234':{ 'id':2234,'output':true,'number':'777' },'2235':{ 'id':2235,'output':true,'number':'88' },'2236':{ 'id':2236,'output':true,'number':'423' },'2237':{ 'id':2237,'output':true,'number':'566' },'2238':{ 'id':2238,'output':true,'number':'101' },'2239':{ 'id':2239,'output':true,'number':'425' },'2240':{ 'id':2240,'output':true,'number':'20' },'2241':{ 'id':2241,'output':true,'number':'135' },'2242':{ 'id':2242,'output':true,'number':'2301' },'2243':{ 'id':2243,'output':true,'number':'573' },'2244':{ 'id':2244,'output':true,'number':'360' },'2245':{ 'id':2245,'output':true,'number':'671' },'2246':{ 'id':2246,'output':true,'number':'30' },'2247':{ 'id':2247,'output':true,'number':'392' },'2248':{ 'id':2248,'output':true,'number':'427' },'2249':{ 'id':2249,'output':true,'number':'88' },'2250':{ 'id':2250,'output':true,'number':'664a' },'2251':{ 'id':2251,'output':true,'number':'1938' },'2252':{ 'id':2252,'output':true,'number':'675' },'2253':{ 'id':2253,'output':true,'number':'438' },'2254':{ 'id':2254,'output':true,'number':'23' },'2255':{ 'id':2255,'output':true,'number':'96' },'2256':{ 'id':2256,'output':true,'number':'364a' },'2257':{ 'id':2257,'output':true,'number':'2300' },'2258':{ 'id':2258,'output':true,'number':'20' },'2259':{ 'id':2259,'output':true,'number':'501' },'2260':{ 'id':2260,'output':true,'number':'312' },'2261':{ 'id':2261,'output':true,'number':'660' },'2262':{ 'id':2262,'output':true,'number':'705' },'2263':{ 'id':2263,'output':true,'number':'511' },'2264':{ 'id':2264,'output':true,'number':'20' },'2265':{ 'id':2265,'output':true,'number':'20' },'2266':{ 'id':2266,'output':true,'number':'402b' },'2267':{ 'id':2267,'output':true,'number':'497' },'2268':{ 'id':2268,'output':true,'number':'30' },'2269':{ 'id':2269,'output':true,'number':'44' },'2270':{ 'id':2270,'output':true,'number':'1600' },'2271':{ 'id':2271,'output':true,'number':'96' },'2272':{ 'id':2272,'output':true,'number':'181' },'2273':{ 'id':2273,'output':true,'number':'95' },'2274':{ 'id':2274,'output':true,'number':'88' },'2275':{ 'id':2275,'output':true,'number':'2300' },'2276':{ 'id':2276,'output':true,'number':'530' },'2277':{ 'id':2277,'output':true,'number':'20' },'2278':{ 'id':2278,'output':true,'number':'509' },'2279':{ 'id':2279,'output':true,'number':'62' },'2280':{ 'id':2280,'output':true,'number':'335' },'2281':{ 'id':2281,'output':true,'number':'1946' },'2282':{ 'id':2282,'output':true,'number':'212' },'2283':{ 'id':2283,'output':true,'number':'96' },'2284':{ 'id':2284,'output':true,'number':'282' },'2285':{ 'id':2285,'output':true,'number':'96' },'2286':{ 'id':2286,'output':true,'number':'20' },'2287':{ 'id':2287,'output':true,'number':'337b' },'2288':{ 'id':2288,'output':true,'number':'86' },'2289':{ 'id':2289,'output':true,'number':'127' },'2290':{ 'id':2290,'output':true,'number':'2251' },'2291':{ 'id':2291,'output':true,'number':'30' },'2292':{ 'id':2292,'output':true,'number':'131' },'2293':{ 'id':2293,'output':true,'number':'44' },'2294':{ 'id':2294,'output':true,'number':'96' },'2295':{ 'id':2295,'output':true,'number':'91' },'2296':{ 'id':2296,'output':true,'number':'1169' },'2297':{ 'id':2297,'output':true,'number':'300' },'2298':{ 'id':2298,'output':true,'number':'116' },'2299':{ 'id':2299,'output':true,'number':'1600' },'2300':{ 'id':2300,'output':true,'number':'384' },'2301':{ 'id':2301,'output':true,'number':'493' },'2302':{ 'id':2302,'output':true,'number':'271r' },'2303':{ 'id':2303,'output':true,'number':'645' },'2304':{ 'id':2304,'output':true,'number':'95' },'2305':{ 'id':2305,'output':true,'number':'2300' },'2306':{ 'id':2306,'output':true,'number':'576' },'2307':{ 'id':2307,'output':true,'number':'495' },'2308':{ 'id':2308,'output':true,'number':'2300' },'2309':{ 'id':2309,'output':true,'number':'254' },'2310':{ 'id':2310,'output':true,'number':'450' },'2311':{ 'id':2311,'output':true,'number':'1938' },'2312':{ 'id':2312,'output':true,'number':'95' },'2313':{ 'id':2313,'output':true,'number':'30' },'2314':{ 'id':2314,'output':true,'number':'609' },'2315':{ 'id':2315,'output':true,'number':'418' },'2316':{ 'id':2316,'output':true,'number':'610' },'2317':{ 'id':2317,'output':true,'number':'805' },'2318':{ 'id':2318,'output':true,'number':'585' },'2319':{ 'id':2319,'output':true,'number':'20' },'2320':{ 'id':2320,'output':true,'number':'44' },'2321':{ 'id':2321,'output':true,'number':'365' },'2322':{ 'id':2322,'output':true,'number':'144' },'2323':{ 'id':2323,'output':true,'number':'1600' },'2324':{ 'id':2324,'output':true,'number':'659' },'2325':{ 'id':2325,'output':true,'number':'30' },'2326':{ 'id':2326,'output':true,'number':'302' },'2327':{ 'id':2327,'output':true,'number':'135' },'2328':{ 'id':2328,'output':true,'number':'30' },'2329':{ 'id':2329,'output':true,'number':'410' },'2330':{ 'id':2330,'output':true,'number':'20' },'2331':{ 'id':2331,'output':true,'number':'20' },'2332':{ 'id':2332,'output':true,'number':'661' },'2333':{ 'id':2333,'output':true,'number':'106' },'2334':{ 'id':2334,'output':true,'number':'384' },'2335':{ 'id':2335,'output':true,'number':'1011b' },'2336':{ 'id':2336,'output':true,'number':'577a' },'2337':{ 'id':2337,'output':true,'number':'30' },'2338':{ 'id':2338,'output':true,'number':'27' },'2339':{ 'id':2339,'output':true,'number':'20' },'2340':{ 'id':2340,'output':true,'number':'30' },'2341':{ 'id':2341,'output':true,'number':'706' },'2342':{ 'id':2342,'output':true,'number':'96' },'2343':{ 'id':2343,'output':true,'number':'335' },'2344':{ 'id':2344,'output':true,'number':'2220' },'2345':{ 'id':2345,'output':true,'number':'437' },'2346':{ 'id':2346,'output':true,'number':'30' },'2347':{ 'id':2347,'output':true,'number':'169' },'2348':{ 'id':2348,'output':true,'number':'555' },'2349':{ 'id':2349,'output':true,'number':'679' },'2350':{ 'id':2350,'output':true,'number':'96' },'2351':{ 'id':2351,'output':true,'number':'461' },'2352':{ 'id':2352,'output':true,'number':'365' },'2353':{ 'id':2353,'output':true,'number':'2000' },'2354':{ 'id':2354,'output':true,'number':'494' },'2355':{ 'id':2355,'output':true,'number':'127' },'2356':{ 'id':2356,'output':true,'number':'629' },'2357':{ 'id':2357,'output':true,'number':'88' },'2358':{ 'id':2358,'output':true,'number':'20' },'2359':{ 'id':2359,'output':true,'number':'1185' },'2360':{ 'id':2360,'output':true,'number':'620' },'2361':{ 'id':2361,'output':true,'number':'533' },'2362':{ 'id':2362,'output':true,'number':'332' },'2363':{ 'id':2363,'output':true,'number':'30' },'2364':{ 'id':2364,'output':true,'number':'335' },'2365':{ 'id':2365,'output':true,'number':'606' },'2366':{ 'id':2366,'output':true,'number':'30' },'2367':{ 'id':2367,'output':true,'number':'88' },'2368':{ 'id':2368,'output':true,'number':'44' },'2369':{ 'id':2369,'output':true,'number':'1946' },'2370':{ 'id':2370,'output':true,'number':'664' },'2371':{ 'id':2371,'output':true,'number':'2011' },'2372':{ 'id':2372,'output':true,'number':'20' },'2373':{ 'id':2373,'output':true,'number':'30' },'2374':{ 'id':2374,'output':true,'number':'815' },'2375':{ 'id':2375,'output':true,'number':'88' },'2376':{ 'id':2376,'output':true,'number':'30' },'2377':{ 'id':2377,'output':true,'number':'1974a' },'2378':{ 'id':2378,'output':true,'number':'417' },'2379':{ 'id':2379,'output':true,'number':'523' },'2380':{ 'id':2380,'output':true,'number':'957' },'2381':{ 'id':2381,'output':true,'number':'438' },'2382':{ 'id':2382,'output':true,'number':'127' },'2383':{ 'id':2383,'output':true,'number':'2000' },'2384':{ 'id':2384,'output':true,'number':'665' },'2385':{ 'id':2385,'output':true,'number':'30' },'2386':{ 'id':2386,'output':true,'number':'44' },'2387':{ 'id':2387,'output':true,'number':'96' },'2388':{ 'id':2388,'output':true,'number':'88' },'2389':{ 'id':2389,'output':true,'number':'334' },'2390':{ 'id':2390,'output':true,'number':'30' },'2391':{ 'id':2391,'output':true,'number':'236' },'2392':{ 'id':2392,'output':true,'number':'674' },'2393':{ 'id':2393,'output':true,'number':'20' },'2394':{ 'id':2394,'output':true,'number':'30' },'2395':{ 'id':2395,'output':true,'number':'160' },'2396':{ 'id':2396,'output':true,'number':'169' },'2397':{ 'id':2397,'output':true,'number':'135' },'2398':{ 'id':2398,'output':true,'number':'312' },'2399':{ 'id':2399,'output':true,'number':'20' },'2400':{ 'id':2400,'output':true,'number':'520' },'2401':{ 'id':2401,'output':true,'number':'256' },'2402':{ 'id':2402,'output':true,'number':'455' },'2403':{ 'id':2403,'output':true,'number':'20' },'2404':{ 'id':2404,'output':true,'number':'531' },'2405':{ 'id':2405,'output':true,'number':'44' },'2406':{ 'id':2406,'output':true,'number':'88' },'2407':{ 'id':2407,'output':true,'number':'2000' },'2408':{ 'id':2408,'output':true,'number':'116' },'2409':{ 'id':2409,'output':true,'number':'127' },'2410':{ 'id':2410,'output':true,'number':'71' },'2411':{ 'id':2411,'output':true,'number':'652' },'2412':{ 'id':2412,'output':true,'number':'585' },'2413':{ 'id':2413,'output':true,'number':'413' },'2414':{ 'id':2414,'output':true,'number':'1900' },'2415':{ 'id':2415,'output':true,'number':'240' },'2416':{ 'id':2416,'output':true,'number':'572' },'2417':{ 'id':2417,'output':true,'number':'127' },'2418':{ 'id':2418,'output':true,'number':'20' },'2419':{ 'id':2419,'output':true,'number':'2300' },'2420':{ 'id':2420,'output':true,'number':'535' },'2421':{ 'id':2421,'output':true,'number':'152' },'2422':{ 'id':2422,'output':true,'number':'700' },'2423':{ 'id':2423,'output':true,'number':'95' },'2424':{ 'id':2424,'output':true,'number':'20' },'2425':{ 'id':2425,'output':true,'number':'1942' },'2426':{ 'id':2426,'output':true,'number':'30' },'2427':{ 'id':2427,'output':true,'number':'335' },'2428':{ 'id':2428,'output':true,'number':'555' },'2429':{ 'id':2429,'output':true,'number':'648' },'2430':{ 'id':2430,'output':true,'number':'505' },'2431':{ 'id':2431,'output':true,'number':'44' },'2432':{ 'id':2432,'output':true,'number':'1357-1369' },'2433':{ 'id':2433,'output':true,'number':'566' },'2434':{ 'id':2434,'output':true,'number':'200' },'2435':{ 'id':2435,'output':true,'number':'445' },'2436':{ 'id':2436,'output':true,'number':'20' },'2437':{ 'id':2437,'output':true,'number':'20' },'2438':{ 'id':2438,'output':true,'number':'385' },'2439':{ 'id':2439,'output':true,'number':'548' },'2440':{ 'id':2440,'output':true,'number':'1942' },'2441':{ 'id':2441,'output':true,'number':'719' },'2442':{ 'id':2442,'output':true,'number':'88' },'2443':{ 'id':2443,'output':true,'number':'337' },'2444':{ 'id':2444,'output':true,'number':'513' },'2445':{ 'id':2445,'output':true,'number':'30' },'2446':{ 'id':2446,'output':true,'number':'27' },'2447':{ 'id':2447,'output':true,'number':'95' },'2448':{ 'id':2448,'output':true,'number':'20' },'2449':{ 'id':2449,'output':true,'number':'1946' },'2450':{ 'id':2450,'output':true,'number':'672' },'2451':{ 'id':2451,'output':true,'number':'91' },'2452':{ 'id':2452,'output':true,'number':'2300' },'2453':{ 'id':2453,'output':true,'number':'131' },'2454':{ 'id':2454,'output':true,'number':'91' },'2455':{ 'id':2455,'output':true,'number':'429' },'2456':{ 'id':2456,'output':true,'number':'71' },'2457':{ 'id':2457,'output':true,'number':'30' },'2458':{ 'id':2458,'output':true,'number':'265' },'2459':{ 'id':2459,'output':true,'number':'645' },'2460':{ 'id':2460,'output':true,'number':'647' },'2461':{ 'id':2461,'output':true,'number':'2345' },'2462':{ 'id':2462,'output':true,'number':'30' },'2463':{ 'id':2463,'output':true,'number':'541' },'2464':{ 'id':2464,'output':true,'number':'473' },'2465':{ 'id':2465,'output':true,'number':'30' },'2466':{ 'id':2466,'output':true,'number':'20' },'2467':{ 'id':2467,'output':true,'number':'2101' },'2468':{ 'id':2468,'output':true,'number':'1355' },'2469':{ 'id':2469,'output':true,'number':'525' },'2470':{ 'id':2470,'output':true,'number':'569' },'2471':{ 'id':2471,'output':true,'number':'20' },'2472':{ 'id':2472,'output':true,'number':'88' },'2473':{ 'id':2473,'output':true,'number':'1600' },'2474':{ 'id':2474,'output':true,'number':'598' },'2475':{ 'id':2475,'output':true,'number':'88' },'2476':{ 'id':2476,'output':true,'number':'1942' },'2477':{ 'id':2477,'output':true,'number':'723r' },'2478':{ 'id':2478,'output':true,'number':'20' },'2479':{ 'id':2479,'output':true,'number':'403' },'2480':{ 'id':2480,'output':true,'number':'20' },'2481':{ 'id':2481,'output':true,'number':'170' },'2482':{ 'id':2482,'output':true,'number':'504' },'2483':{ 'id':2483,'output':true,'number':'445' },'2484':{ 'id':2484,'output':true,'number':'20' },'2485':{ 'id':2485,'output':true,'number':'1946' },'2486':{ 'id':2486,'output':true,'number':'2000' },'2487':{ 'id':2487,'output':true,'number':'20' },'2488':{ 'id':2488,'output':true,'number':'34' },'2489':{ 'id':2489,'output':true,'number':'96' },'2490':{ 'id':2490,'output':true,'number':'30' },'2491':{ 'id':2491,'output':true,'number':'324' },'2492':{ 'id':2492,'output':true,'number':'341' },'2493':{ 'id':2493,'output':true,'number':'30' },'2494':{ 'id':2494,'output':true,'number':'2291' },'2495':{ 'id':2495,'output':true,'number':'502' },'2496':{ 'id':2496,'output':true,'number':'30' },'2497':{ 'id':2497,'output':true,'number':'1' },'2498':{ 'id':2498,'output':true,'number':'501' },'2499':{ 'id':2499,'output':true,'number':'600a' },'2500':{ 'id':2500,'output':true,'number':'248' },'2501':{ 'id':2501,'output':true,'number':'230' },'2502':{ 'id':2502,'output':true,'number':'91' },'2503':{ 'id':2503,'output':true,'number':'2291' },'2504':{ 'id':2504,'output':true,'number':'169' },'2505':{ 'id':2505,'output':true,'number':'96' },'2506':{ 'id':2506,'output':true,'number':'606' },'2507':{ 'id':2507,'output':true,'number':'335' },'2508':{ 'id':2508,'output':true,'number':'236' },'2509':{ 'id':2509,'output':true,'number':'607' },'2510':{ 'id':2510,'output':true,'number':'30' },'2511':{ 'id':2511,'output':true,'number':'20' },'2512':{ 'id':2512,'output':true,'number':'67' },'2513':{ 'id':2513,'output':true,'number':'354' },'2514':{ 'id':2514,'output':true,'number':'116' },'2515':{ 'id':2515,'output':true,'number':'519' },'2516':{ 'id':2516,'output':true,'number':'224' },'2517':{ 'id':2517,'output':true,'number':'131' },'2518':{ 'id':2518,'output':true,'number':'513' },'2519':{ 'id':2519,'output':true,'number':'116' },'2520':{ 'id':2520,'output':true,'number':'541' },'2521':{ 'id':2521,'output':true,'number':'11' },'2522':{ 'id':2522,'output':true,'number':'793' },'2523':{ 'id':2523,'output':true,'number':'20' },'2524':{ 'id':2524,'output':true,'number':'502' },'2525':{ 'id':2525,'output':true,'number':'91' },'2526':{ 'id':2526,'output':true,'number':'30' },'2527':{ 'id':2527,'output':true,'number':'44' },'2528':{ 'id':2528,'output':true,'number':'127' },'2529':{ 'id':2529,'output':true,'number':'20' },'2530':{ 'id':2530,'output':true,'number':'316' },'2531':{ 'id':2531,'output':true,'number':'731' },'2532':{ 'id':2532,'output':true,'number':'116' },'2533':{ 'id':2533,'output':true,'number':'1593' },'2534':{ 'id':2534,'output':true,'number':'364' },'2535':{ 'id':2535,'output':true,'number':'335' },'2536':{ 'id':2536,'output':true,'number':'295' },'2537':{ 'id':2537,'output':true,'number':'733' },'2538':{ 'id':2538,'output':true,'number':'20' },'2539':{ 'id':2539,'output':true,'number':'589' },'2540':{ 'id':2540,'output':true,'number':'1282' },'2541':{ 'id':2541,'output':true,'number':'20' },'2542':{ 'id':2542,'output':true,'number':'55' },'2543':{ 'id':2543,'output':true,'number':'30' },'2544':{ 'id':2544,'output':true,'number':'91' },'2545':{ 'id':2545,'output':true,'number':'500' },'2546':{ 'id':2546,'output':true,'number':'703' },'2547':{ 'id':2547,'output':true,'number':'91' },'2548':{ 'id':2548,'output':true,'number':'222' },'2549':{ 'id':2549,'output':true,'number':'600' },'2550':{ 'id':2550,'output':true,'number':'335' },'2551':{ 'id':2551,'output':true,'number':'407' },'2552':{ 'id':2552,'output':true,'number':'30' },'2553':{ 'id':2553,'output':true,'number':'639' },'2554':{ 'id':2554,'output':true,'number':'1600' },'2555':{ 'id':2555,'output':true,'number':'543' },'2556':{ 'id':2556,'output':true,'number':'20' },'2557':{ 'id':2557,'output':true,'number':'324' },'2558':{ 'id':2558,'output':true,'number':'300' },'2559':{ 'id':2559,'output':true,'number':'30' },'2560':{ 'id':2560,'output':true,'number':'600a' },'2561':{ 'id':2561,'output':true,'number':'328' },'2562':{ 'id':2562,'output':true,'number':'30' },'2563':{ 'id':2563,'output':true,'number':'44' },'2564':{ 'id':2564,'output':true,'number':'423' },'2565':{ 'id':2565,'output':true,'number':'20' },'2566':{ 'id':2566,'output':true,'number':'610' },'2567':{ 'id':2567,'output':true,'number':'554' },'2568':{ 'id':2568,'output':true,'number':'132' },'2569':{ 'id':2569,'output':true,'number':'1946' },'2570':{ 'id':2570,'output':true,'number':'127' },'2571':{ 'id':2571,'output':true,'number':'30' },'2572':{ 'id':2572,'output':true,'number':'541' },'2573':{ 'id':2573,'output':true,'number':'566' },'2574':{ 'id':2574,'output':true,'number':'116' },'2575':{ 'id':2575,'output':true,'number':'44' },'2576':{ 'id':2576,'output':true,'number':'313q' },'2577':{ 'id':2577,'output':true,'number':'695' },'2578':{ 'id':2578,'output':true,'number':'386' },'2579':{ 'id':2579,'output':true,'number':'335' },'2580':{ 'id':2580,'output':true,'number':'91' },'2581':{ 'id':2581,'output':true,'number':'1730' },'2582':{ 'id':2582,'output':true,'number':'673' },'2583':{ 'id':2583,'output':true,'number':'523' },'2584':{ 'id':2584,'output':true,'number':'853' },'2585':{ 'id':2585,'output':true,'number':'662' },'2586':{ 'id':2586,'output':true,'number':'20' },'2587':{ 'id':2587,'output':true,'number':'637' },'2588':{ 'id':2588,'output':true,'number':'437' },'2589':{ 'id':2589,'output':true,'number':'505' },'2590':{ 'id':2590,'output':true,'number':'554' },'2591':{ 'id':2591,'output':true,'number':'20' },'2592':{ 'id':2592,'output':true,'number':'445' },'2593':{ 'id':2593,'output':true,'number':'2221' },'2594':{ 'id':2594,'output':true,'number':'2000' },'2595':{ 'id':2595,'output':true,'number':'20' },'2596':{ 'id':2596,'output':true,'number':'580' },'2597':{ 'id':2597,'output':true,'number':'444' },'2598':{ 'id':2598,'output':true,'number':'30' },'2599':{ 'id':2599,'output':true,'number':'44' },'2600':{ 'id':2600,'output':true,'number':'290' },'2601':{ 'id':2601,'output':true,'number':'308' },'2602':{ 'id':2602,'output':true,'number':'761' },'2603':{ 'id':2603,'output':true,'number':'184' },'2604':{ 'id':2604,'output':true,'number':'192' },'2605':{ 'id':2605,'output':true,'number':'471' },'2606':{ 'id':2606,'output':true,'number':'356' },'2607':{ 'id':2607,'output':true,'number':'95' },'2608':{ 'id':2608,'output':true,'number':'263' },'2609':{ 'id':2609,'output':true,'number':'20' },'2610':{ 'id':2610,'output':true,'number':'96' },'2611':{ 'id':2611,'output':true,'number':'395a' },'2612':{ 'id':2612,'output':true,'number':'300' },'2613':{ 'id':2613,'output':true,'number':'95' },'2614':{ 'id':2614,'output':true,'number':'628' },'2615':{ 'id':2615,'output':true,'number':'127' },'2616':{ 'id':2616,'output':true,'number':'498' },'2617':{ 'id':2617,'output':true,'number':'217' },'2618':{ 'id':2618,'output':true,'number':'240' },'2619':{ 'id':2619,'output':true,'number':'499' },'2620':{ 'id':2620,'output':true,'number':'27' },'2621':{ 'id':2621,'output':true,'number':'445' },'2622':{ 'id':2622,'output':true,'number':'20' },'2623':{ 'id':2623,'output':true,'number':'27' },'2624':{ 'id':2624,'output':true,'number':'127' },'2625':{ 'id':2625,'output':true,'number':'131' },'2626':{ 'id':2626,'output':true,'number':'949' },'2627':{ 'id':2627,'output':true,'number':'95' },'2628':{ 'id':2628,'output':true,'number':'20' },'2629':{ 'id':2629,'output':true,'number':'402c' },'2630':{ 'id':2630,'output':true,'number':'361' },'2631':{ 'id':2631,'output':true,'number':'655' },'2632':{ 'id':2632,'output':true,'number':'1600' },'2633':{ 'id':2633,'output':true,'number':'116' },'2634':{ 'id':2634,'output':true,'number':'30' },'2635':{ 'id':2635,'output':true,'number':'296' },'2636':{ 'id':2636,'output':true,'number':'335' },'2637':{ 'id':2637,'output':true,'number':'152' },'2638':{ 'id':2638,'output':true,'number':'600' },'2639':{ 'id':2639,'output':true,'number':'575' },'2640':{ 'id':2640,'output':true,'number':'20' },'2641':{ 'id':2641,'output':true,'number':'405' },'2642':{ 'id':2642,'output':true,'number':'230' },'2643':{ 'id':2643,'output':true,'number':'30' },'2644':{ 'id':2644,'output':true,'number':'115' },'2645':{ 'id':2645,'output':true,'number':'88' },'2646':{ 'id':2646,'output':true,'number':'20' },'2647':{ 'id':2647,'output':true,'number':'2000' },'2648':{ 'id':2648,'output':true,'number':'129' },'2649':{ 'id':2649,'output':true,'number':'30' },'2650':{ 'id':2650,'output':true,'number':'436b' },'2651':{ 'id':2651,'output':true,'number':'20' },'2652':{ 'id':2652,'output':true,'number':'95' },'2653':{ 'id':2653,'output':true,'number':'1932' },'2654':{ 'id':2654,'output':true,'number':'30' },'2655':{ 'id':2655,'output':true,'number':'30' },'2656':{ 'id':2656,'output':true,'number':'935' },'2657':{ 'id':2657,'output':true,'number':'414' },'2658':{ 'id':2658,'output':true,'number':'30' },'2659':{ 'id':2659,'output':true,'number':'1600' },'2660':{ 'id':2660,'output':true,'number':'364' },'2661':{ 'id':2661,'output':true,'number':'364' },'2662':{ 'id':2662,'output':true,'number':'1946' },'2663':{ 'id':2663,'output':true,'number':'30' },'2664':{ 'id':2664,'output':true,'number':'20' },'2665':{ 'id':2665,'output':true,'number':'20' },'2666':{ 'id':2666,'output':true,'number':'457' },'2667':{ 'id':2667,'output':true,'number':'20' },'2668':{ 'id':2668,'output':true,'number':'594a' },'2669':{ 'id':2669,'output':true,'number':'280' },'2670':{ 'id':2670,'output':true,'number':'20' },'2671':{ 'id':2671,'output':true,'number':'312' },'2672':{ 'id':2672,'output':true,'number':'294' },'2673':{ 'id':2673,'output':true,'number':'551' },'2674':{ 'id':2674,'output':true,'number':'594' },'2675':{ 'id':2675,'output':true,'number':'488' },'2676':{ 'id':2676,'output':true,'number':'557' },'2677':{ 'id':2677,'output':true,'number':'2000' },'2678':{ 'id':2678,'output':true,'number':'202' },'2679':{ 'id':2679,'output':true,'number':'446' },'2680':{ 'id':2680,'output':true,'number':'652a' },'2681':{ 'id':2681,'output':true,'number':'127' },'2682':{ 'id':2682,'output':true,'number':'530' },'2683':{ 'id':2683,'output':true,'number':'724' },'2684':{ 'id':2684,'output':true,'number':'334' },'2685':{ 'id':2685,'output':true,'number':'335' },'2686':{ 'id':2686,'output':true,'number':'569' },'2687':{ 'id':2687,'output':true,'number':'495' },'2688':{ 'id':2688,'output':true,'number':'30' },'2689':{ 'id':2689,'output':true,'number':'313' },'2690':{ 'id':2690,'output':true,'number':'108' },'2691':{ 'id':2691,'output':true,'number':'135' },'2692':{ 'id':2692,'output':true,'number':'782' },'2693':{ 'id':2693,'output':true,'number':'1434a' },'2694':{ 'id':2694,'output':true,'number':'20' },'2695':{ 'id':2695,'output':true,'number':'44' },'2696':{ 'id':2696,'output':true,'number':'280' },'2697':{ 'id':2697,'output':true,'number':'30' },'2698':{ 'id':2698,'output':true,'number':'27' },'2699':{ 'id':2699,'output':true,'number':'30' },'2700':{ 'id':2700,'output':true,'number':'96' },'2701':{ 'id':2701,'output':true,'number':'42' },'2702':{ 'id':2702,'output':true,'number':'1890' },'2703':{ 'id':2703,'output':true,'number':'88' },'2704':{ 'id':2704,'output':true,'number':'428' },'2705':{ 'id':2705,'output':true,'number':'95' },'2706':{ 'id':2706,'output':true,'number':'20' },'2707':{ 'id':2707,'output':true,'number':'497' },'2708':{ 'id':2708,'output':true,'number':'320' },'2709':{ 'id':2709,'output':true,'number':'290' },'2710':{ 'id':2710,'output':true,'number':'655' },'2711':{ 'id':2711,'output':true,'number':'723' },'2712':{ 'id':2712,'output':true,'number':'30' },'2713':{ 'id':2713,'output':true,'number':'288-298' },'2714':{ 'id':2714,'output':true,'number':'30' },'2715':{ 'id':2715,'output':true,'number':'20' },'2716':{ 'id':2716,'output':true,'number':'2281' },'2717':{ 'id':2717,'output':true,'number':'20' },'2718':{ 'id':2718,'output':true,'number':'135' },'2719':{ 'id':2719,'output':true,'number':'300' },'2720':{ 'id':2720,'output':true,'number':'255' },'2721':{ 'id':2721,'output':true,'number':'364' },'2722':{ 'id':2722,'output':true,'number':'2300' },'2723':{ 'id':2723,'output':true,'number':'30' },'2724':{ 'id':2724,'output':true,'number':'30' },'2725':{ 'id':2725,'output':true,'number':'2300' },'2726':{ 'id':2726,'output':true,'number':'647' },'2727':{ 'id':2727,'output':true,'number':'20' },'2728':{ 'id':2728,'output':true,'number':'101' },'2729':{ 'id':2729,'output':true,'number':'529' },'2730':{ 'id':2730,'output':true,'number':'308' },'2731':{ 'id':2731,'output':true,'number':'403' },'2732':{ 'id':2732,'output':true,'number':'583' },'2733':{ 'id':2733,'output':true,'number':'176' },'2734':{ 'id':2734,'output':true,'number':'1515' },'2735':{ 'id':2735,'output':true,'number':'30' },'2736':{ 'id':2736,'output':true,'number':'530' },'2737':{ 'id':2737,'output':true,'number':'224' },'2738':{ 'id':2738,'output':true,'number':'817' },'2739':{ 'id':2739,'output':true,'number':'591' },'2740':{ 'id':2740,'output':true,'number':'2261' },'2741':{ 'id':2741,'output':true,'number':'20' },'2742':{ 'id':2742,'output':true,'number':'20' },'2743':{ 'id':2743,'output':true,'number':'1938' },'2744':{ 'id':2744,'output':true,'number':'696' },'2745':{ 'id':2745,'output':true,'number':'410' },'2746':{ 'id':2746,'output':true,'number':'648' },'2747':{ 'id':2747,'output':true,'number':'169' },'2748':{ 'id':2748,'output':true,'number':'30' },'2749':{ 'id':2749,'output':true,'number':'428' },'2750':{ 'id':2750,'output':true,'number':'20' },'2751':{ 'id':2751,'output':true,'number':'20' },'2752':{ 'id':2752,'output':true,'number':'44' },'2753':{ 'id':2753,'output':true,'number':'88' },'2754':{ 'id':2754,'output':true,'number':'91' },'2755':{ 'id':2755,'output':true,'number':'1974' },'2756':{ 'id':2756,'output':true,'number':'111' },'2757':{ 'id':2757,'output':true,'number':'20' },'2758':{ 'id':2758,'output':true,'number':'803' },'2759':{ 'id':2759,'output':true,'number':'20' },'2760':{ 'id':2760,'output':true,'number':'20' },'2761':{ 'id':2761,'output':true,'number':'517' },'2762':{ 'id':2762,'output':true,'number':'127' },'2763':{ 'id':2763,'output':true,'number':'384' },'2764':{ 'id':2764,'output':true,'number':'507' },'2765':{ 'id':2765,'output':true,'number':'572' },'2766':{ 'id':2766,'output':true,'number':'20' },'2767':{ 'id':2767,'output':true,'number':'27' },'2768':{ 'id':2768,'output':true,'number':'539' },'2769':{ 'id':2769,'output':true,'number':'516' },'2770':{ 'id':2770,'output':true,'number':'324' },'2771':{ 'id':2771,'output':true,'number':'127' },'2772':{ 'id':2772,'output':true,'number':'140' },'2773':{ 'id':2773,'output':true,'number':'11' },'2774':{ 'id':2774,'output':true,'number':'380' },'2775':{ 'id':2775,'output':true,'number':'91' },'2776':{ 'id':2776,'output':true,'number':'27' },'2777':{ 'id':2777,'output':true,'number':'308' },'2778':{ 'id':2778,'output':true,'number':'365' },'2779':{ 'id':2779,'output':true,'number':'1' },'2780':{ 'id':2780,'output':true,'number':'188' },'2781':{ 'id':2781,'output':true,'number':'715' },'2782':{ 'id':2782,'output':true,'number':'2251' },'2783':{ 'id':2783,'output':true,'number':'300' },'2784':{ 'id':2784,'output':true,'number':'30' },'2785':{ 'id':2785,'output':true,'number':'2300' },'2786':{ 'id':2786,'output':true,'number':'554' },'2787':{ 'id':2787,'output':true,'number':'30' },'2788':{ 'id':2788,'output':true,'number':'848z' },'2789':{ 'id':2789,'output':true,'number':'321' },'2790':{ 'id':2790,'output':true,'number':'509' },'2791':{ 'id':2791,'output':true,'number':'461' },'2792':{ 'id':2792,'output':true,'number':'300' },'2793':{ 'id':2793,'output':true,'number':'696' },'2794':{ 'id':2794,'output':true,'number':'497' },'2795':{ 'id':2795,'output':true,'number':'30' },'2796':{ 'id':2796,'output':true,'number':'571' },'2797':{ 'id':2797,'output':true,'number':'2251-2311' },'2798':{ 'id':2798,'output':true,'number':'464' },'2799':{ 'id':2799,'output':true,'number':'96' },'2800':{ 'id':2800,'output':true,'number':'610' },'2801':{ 'id':2801,'output':true,'number':'116' },'2802':{ 'id':2802,'output':true,'number':'20' },'2803':{ 'id':2803,'output':true,'number':'382' },'2804':{ 'id':2804,'output':true,'number':'127' },'2805':{ 'id':2805,'output':true,'number':'494' },'2806':{ 'id':2806,'output':true,'number':'94' },'2807':{ 'id':2807,'output':true,'number':'671a' },'2808':{ 'id':2808,'output':true,'number':'20' },'2809':{ 'id':2809,'output':true,'number':'30' },'2810':{ 'id':2810,'output':true,'number':'637' },'2811':{ 'id':2811,'output':true,'number':'116' },'2812':{ 'id':2812,'output':true,'number':'935' },'2813':{ 'id':2813,'output':true,'number':'30' },'2814':{ 'id':2814,'output':true,'number':'30' },'2815':{ 'id':2815,'output':true,'number':'11' },'2816':{ 'id':2816,'output':true,'number':'20' },'2817':{ 'id':2817,'output':true,'number':'30' },'2818':{ 'id':2818,'output':true,'number':'324' },'2819':{ 'id':2819,'output':true,'number':'300' },'2820':{ 'id':2820,'output':true,'number':'96' },'2821':{ 'id':2821,'output':true,'number':'282' },'2822':{ 'id':2822,'output':true,'number':'506' },'2823':{ 'id':2823,'output':true,'number':'335' },'2824':{ 'id':2824,'output':true,'number':'27' },'2825':{ 'id':2825,'output':true,'number':'135' },'2826':{ 'id':2826,'output':true,'number':'96' },'2827':{ 'id':2827,'output':true,'number':'431' },'2828':{ 'id':2828,'output':true,'number':'674' },'2829':{ 'id':2829,'output':true,'number':'539' },'2830':{ 'id':2830,'output':true,'number':'811' },'2831':{ 'id':2831,'output':true,'number':'530' },'2832':{ 'id':2832,'output':true,'number':'95' },'2833':{ 'id':2833,'output':true,'number':'1' },'2834':{ 'id':2834,'output':true,'number':'493' },'2835':{ 'id':2835,'output':true,'number':'184' },'2836':{ 'id':2836,'output':true,'number':'124' },'2837':{ 'id':2837,'output':true,'number':'489' },'2838':{ 'id':2838,'output':true,'number':'20' },'2839':{ 'id':2839,'output':true,'number':'1874' },'2840':{ 'id':2840,'output':true,'number':'116' },'2841':{ 'id':2841,'output':true,'number':'91' },'2842':{ 'id':2842,'output':true,'number':'2300' },'2843':{ 'id':2843,'output':true,'number':'30' },'2844':{ 'id':2844,'output':true,'number':'445' },'2845':{ 'id':2845,'output':true,'number':'62' },'2846':{ 'id':2846,'output':true,'number':'580' },'2847':{ 'id':2847,'output':true,'number':'30' },'2848':{ 'id':2848,'output':true,'number':'709' },'2849':{ 'id':2849,'output':true,'number':'96' },'2850':{ 'id':2850,'output':true,'number':'445' },'2851':{ 'id':2851,'output':true,'number':'724' },'2852':{ 'id':2852,'output':true,'number':'570' },'2853':{ 'id':2853,'output':true,'number':'20' },'2854':{ 'id':2854,'output':true,'number':'1942' },'2855':{ 'id':2855,'output':true,'number':'349' },'2856':{ 'id':2856,'output':true,'number':'20' },'2857':{ 'id':2857,'output':true,'number':'324' },'2858':{ 'id':2858,'output':true,'number':'499' },'2859':{ 'id':2859,'output':true,'number':'95' },'2860':{ 'id':2860,'output':true,'number':'987' },'2861':{ 'id':2861,'output':true,'number':'30' },'2862':{ 'id':2862,'output':true,'number':'131' },'2863':{ 'id':2863,'output':true,'number':'1938' },'2864':{ 'id':2864,'output':true,'number':'300' },'2865':{ 'id':2865,'output':true,'number':'20' },'2866':{ 'id':2866,'output':true,'number':'2101' },'2867':{ 'id':2867,'output':true,'number':'30' },'2868':{ 'id':2868,'output':true,'number':'20' },'2869':{ 'id':2869,'output':true,'number':'333' },'2870':{ 'id':2870,'output':true,'number':'20' },'2871':{ 'id':2871,'output':true,'number':'280' },'2872':{ 'id':2872,'output':true,'number':'2000' },'2873':{ 'id':2873,'output':true,'number':'413' },'2874':{ 'id':2874,'output':true,'number':'88' },'2875':{ 'id':2875,'output':true,'number':'11' },'2876':{ 'id':2876,'output':true,'number':'131' },'2877':{ 'id':2877,'output':true,'number':'20' },'2878':{ 'id':2878,'output':true,'number':'408' },'2879':{ 'id':2879,'output':true,'number':'135' },'2880':{ 'id':2880,'output':true,'number':'20' },'2881':{ 'id':2881,'output':true,'number':'399' },'2882':{ 'id':2882,'output':true,'number':'1942' },'2883':{ 'id':2883,'output':true,'number':'30' },'2884':{ 'id':2884,'output':true,'number':'2281' },'2885':{ 'id':2885,'output':true,'number':'591' },'2886':{ 'id':2886,'output':true,'number':'91' },'2887':{ 'id':2887,'output':true,'number':'156' },'2888':{ 'id':2888,'output':true,'number':'135' },'2889':{ 'id':2889,'output':true,'number':'30' },'2890':{ 'id':2890,'output':true,'number':'2300' },'2891':{ 'id':2891,'output':true,'number':'1600' },'2892':{ 'id':2892,'output':true,'number':'335' },'2893':{ 'id':2893,'output':true,'number':'20' },'2894':{ 'id':2894,'output':true,'number':'135' },'2895':{ 'id':2895,'output':true,'number':'484' },'2896':{ 'id':2896,'output':true,'number':'589-591' },'2897':{ 'id':2897,'output':true,'number':'530' },'2898':{ 'id':2898,'output':true,'number':'131' },'2899':{ 'id':2899,'output':true,'number':'93' },'2900':{ 'id':2900,'output':true,'number':'1288' },'2901':{ 'id':2901,'output':true,'number':'131' },'2902':{ 'id':2902,'output':true,'number':'969' },'2903':{ 'id':2903,'output':true,'number':'20' },'2904':{ 'id':2904,'output':true,'number':'124' },'2905':{ 'id':2905,'output':true,'number':'1942' },'2906':{ 'id':2906,'output':true,'number':'34' },'2907':{ 'id':2907,'output':true,'number':'30' },'2908':{ 'id':2908,'output':true,'number':'1309' },'2909':{ 'id':2909,'output':true,'number':'471' },'2910':{ 'id':2910,'output':true,'number':'440' },'2911':{ 'id':2911,'output':true,'number':'44' },'2912':{ 'id':2912,'output':true,'number':'649' },'2913':{ 'id':2913,'output':true,'number':'20' },'2914':{ 'id':2914,'output':true,'number':'673' },'2915':{ 'id':2915,'output':true,'number':'101' },'2916':{ 'id':2916,'output':true,'number':'30' },'2917':{ 'id':2917,'output':true,'number':'572' },'2918':{ 'id':2918,'output':true,'number':'1151' },'2919':{ 'id':2919,'output':true,'number':'30' },'2920':{ 'id':2920,'output':true,'number':'1751' },'2921':{ 'id':2921,'output':true,'number':'20' },'2922':{ 'id':2922,'output':true,'number':'95' },'2923':{ 'id':2923,'output':true,'number':'585' },'2924':{ 'id':2924,'output':true,'number':'329' },'2925':{ 'id':2925,'output':true,'number':'135' },'2926':{ 'id':2926,'output':true,'number':'324' },'2927':{ 'id':2927,'output':true,'number':'265' },'2928':{ 'id':2928,'output':true,'number':'671' },'2929':{ 'id':2929,'output':true,'number':'44' },'2930':{ 'id':2930,'output':true,'number':'190' },'2931':{ 'id':2931,'output':true,'number':'335' },'2932':{ 'id':2932,'output':true,'number':'156' },'2933':{ 'id':2933,'output':true,'number':'20' },'2934':{ 'id':2934,'output':true,'number':'20' },'2935':{ 'id':2935,'output':true,'number':'44' },'2936':{ 'id':2936,'output':true,'number':'288' },'2937':{ 'id':2937,'output':true,'number':'95' },'2938':{ 'id':2938,'output':true,'number':'44' },'2939':{ 'id':2939,'output':true,'number':'30' },'2940':{ 'id':2940,'output':true,'number':'116' },'2941':{ 'id':2941,'output':true,'number':'44' },'2942':{ 'id':2942,'output':true,'number':'116' },'2943':{ 'id':2943,'output':true,'number':'280' },'2944':{ 'id':2944,'output':true,'number':'406' },'2945':{ 'id':2945,'output':true,'number':'580' },'2946':{ 'id':2946,'output':true,'number':'30' },'2947':{ 'id':2947,'output':true,'number':'302' },'2948':{ 'id':2948,'output':true,'number':'131' },'2949':{ 'id':2949,'output':true,'number':'20' },'2950':{ 'id':2950,'output':true,'number':'19' },'2951':{ 'id':2951,'output':true,'number':'248r' },'2952':{ 'id':2952,'output':true,'number':'20' },'2953':{ 'id':2953,'output':true,'number':'649' },'2954':{ 'id':2954,'output':true,'number':'399' },'2955':{ 'id':2955,'output':true,'number':'95' },'2956':{ 'id':2956,'output':true,'number':'20' },'2957':{ 'id':2957,'output':true,'number':'20' },'2958':{ 'id':2958,'output':true,'number':'585' },'2959':{ 'id':2959,'output':true,'number':'1946' },'2960':{ 'id':2960,'output':true,'number':'95' },'2961':{ 'id':2961,'output':true,'number':'555' },'2962':{ 'id':2962,'output':true,'number':'606' },'2963':{ 'id':2963,'output':true,'number':'300' },'2964':{ 'id':2964,'output':true,'number':'116' },'2965':{ 'id':2965,'output':true,'number':'336' },'2966':{ 'id':2966,'output':true,'number':'135' },'2967':{ 'id':2967,'output':true,'number':'280' },'2968':{ 'id':2968,'output':true,'number':'698' },'2969':{ 'id':2969,'output':true,'number':'184' },'2970':{ 'id':2970,'output':true,'number':'30' },'2971':{ 'id':2971,'output':true,'number':'103' },'2972':{ 'id':2972,'output':true,'number':'255' },'2973':{ 'id':2973,'output':true,'number':'652' },'2974':{ 'id':2974,'output':true,'number':'2261' },'2975':{ 'id':2975,'output':true,'number':'95' },'2976':{ 'id':2976,'output':true,'number':'480' },'2977':{ 'id':2977,'output':true,'number':'9' },'2978':{ 'id':2978,'output':true,'number':'20' },'2979':{ 'id':2979,'output':true,'number':'88' },'2980':{ 'id':2980,'output':true,'number':'1279' },'2981':{ 'id':2981,'output':true,'number':'1593' },'2982':{ 'id':2982,'output':true,'number':'485' },'2983':{ 'id':2983,'output':true,'number':'12b' },'2984':{ 'id':2984,'output':true,'number':'127' },'2985':{ 'id':2985,'output':true,'number':'280' },'2986':{ 'id':2986,'output':true,'number':'324' },'2987':{ 'id':2987,'output':true,'number':'20' },'2988':{ 'id':2988,'output':true,'number':'20' },'2989':{ 'id':2989,'output':true,'number':'337' },'2990':{ 'id':2990,'output':true,'number':'457' },'2991':{ 'id':2991,'output':true,'number':'132' },'2992':{ 'id':2992,'output':true,'number':'95' },'2993':{ 'id':2993,'output':true,'number':'91' },'2994':{ 'id':2994,'output':true,'number':'20' },'2995':{ 'id':2995,'output':true,'number':'44' },'2996':{ 'id':2996,'output':true,'number':'96' },'2997':{ 'id':2997,'output':true,'number':'20' },'2998':{ 'id':2998,'output':true,'number':'493' },'2999':{ 'id':2999,'output':true,'number':'957' },'3000':{ 'id':3000,'output':true,'number':'555' },'3001':{ 'id':3001,'output':true,'number':'2000' },'3002':{ 'id':3002,'output':true,'number':'95' },'3003':{ 'id':3003,'output':true,'number':'365' },'3004':{ 'id':3004,'output':true,'number':'394' },'3005':{ 'id':3005,'output':true,'number':'169' },'3006':{ 'id':3006,'output':true,'number':'335' },'3007':{ 'id':3007,'output':true,'number':'36' },'3008':{ 'id':3008,'output':true,'number':'483' },'3009':{ 'id':3009,'output':true,'number':'328' },'3010':{ 'id':3010,'output':true,'number':'609' },'3011':{ 'id':3011,'output':true,'number':'785' },'3012':{ 'id':3012,'output':true,'number':'20' },'3013':{ 'id':3013,'output':true,'number':'36' },'3014':{ 'id':3014,'output':true,'number':'550' },'3015':{ 'id':3015,'output':true,'number':'96' },'3016':{ 'id':3016,'output':true,'number':'580' },'3017':{ 'id':3017,'output':true,'number':'337' },'3018':{ 'id':3018,'output':true,'number':'439' },'3019':{ 'id':3019,'output':true,'number':'1600' },'3020':{ 'id':3020,'output':true,'number':'200' },'3021':{ 'id':3021,'output':true,'number':'30' },'3022':{ 'id':3022,'output':true,'number':'2227' },'3023':{ 'id':3023,'output':true,'number':'675' },'3024':{ 'id':3024,'output':true,'number':'566' },'3025':{ 'id':3025,'output':true,'number':'1942' },'3026':{ 'id':3026,'output':true,'number':'91' },'3027':{ 'id':3027,'output':true,'number':'160' },'3028':{ 'id':3028,'output':true,'number':'87' },'3029':{ 'id':3029,'output':true,'number':'371' },'3030':{ 'id':3030,'output':true,'number':'88' },'3031':{ 'id':3031,'output':true,'number':'20' },'3032':{ 'id':3032,'output':true,'number':'131' },'3033':{ 'id':3033,'output':true,'number':'30' },'3034':{ 'id':3034,'output':true,'number':'30' },'3035':{ 'id':3035,'output':true,'number':'457' },'3036':{ 'id':3036,'output':true,'number':'20' },'3037':{ 'id':3037,'output':true,'number':'512' },'3038':{ 'id':3038,'output':true,'number':'116' },'3039':{ 'id':3039,'output':true,'number':'131' },'3040':{ 'id':3040,'output':true,'number':'2310' },'3041':{ 'id':3041,'output':true,'number':'769' },'3042':{ 'id':3042,'output':true,'number':'30' },'3043':{ 'id':3043,'output':true,'number':'495' },'3044':{ 'id':3044,'output':true,'number':'30' },'3045':{ 'id':3045,'output':true,'number':'30' },'3046':{ 'id':3046,'output':true,'number':'57' },'3047':{ 'id':3047,'output':true,'number':'795' },'3048':{ 'id':3048,'output':true,'number':'302' },'3049':{ 'id':3049,'output':true,'number':'401' },'3050':{ 'id':3050,'output':true,'number':'30' },'3051':{ 'id':3051,'output':true,'number':'517' },'3052':{ 'id':3052,'output':true,'number':'885' },'3053':{ 'id':3053,'output':true,'number':'769' },'3054':{ 'id':3054,'output':true,'number':'91' },'3055':{ 'id':3055,'output':true,'number':'405' },'3056':{ 'id':3056,'output':true,'number':'585' },'3057':{ 'id':3057,'output':true,'number':'364' },'3058':{ 'id':3058,'output':true,'number':'1121' },'3059':{ 'id':3059,'output':true,'number':'648' },'3060':{ 'id':3060,'output':true,'number':'20' },'3061':{ 'id':3061,'output':true,'number':'123' },'3062':{ 'id':3062,'output':true,'number':'20' },'3063':{ 'id':3063,'output':true,'number':'20' },'3064':{ 'id':3064,'output':true,'number':'2300' },'3065':{ 'id':3065,'output':true,'number':'2021' },'3066':{ 'id':3066,'output':true,'number':'91' },'3067':{ 'id':3067,'output':true,'number':'1488' },'3068':{ 'id':3068,'output':true,'number':'541' },'3069':{ 'id':3069,'output':true,'number':'95' },'3070':{ 'id':3070,'output':true,'number':'648' },'3071':{ 'id':3071,'output':true,'number':'765' },'3072':{ 'id':3072,'output':true,'number':'30' },'3073':{ 'id':3073,'output':true,'number':'44' },'3074':{ 'id':3074,'output':true,'number':'30' },'3075':{ 'id':3075,'output':true,'number':'131' },'3076':{ 'id':3076,'output':true,'number':'1185' },'3077':{ 'id':3077,'output':true,'number':'405-409' },'3078':{ 'id':3078,'output':true,'number':'497' },'3079':{ 'id':3079,'output':true,'number':'1938' },'3080':{ 'id':3080,'output':true,'number':'20' },'3081':{ 'id':3081,'output':true,'number':'131' },'3082':{ 'id':3082,'output':true,'number':'2300' },'3083':{ 'id':3083,'output':true,'number':'990' },'3084':{ 'id':3084,'output':true,'number':'127' },'3085':{ 'id':3085,'output':true,'number':'35' },'3086':{ 'id':3086,'output':true,'number':'91' },'3087':{ 'id':3087,'output':true,'number':'530' },'3088':{ 'id':3088,'output':true,'number':'324' },'3089':{ 'id':3089,'output':true,'number':'1946' },'3090':{ 'id':3090,'output':true,'number':'703' },'3091':{ 'id':3091,'output':true,'number':'1946' },'3092':{ 'id':3092,'output':true,'number':'20' },'3093':{ 'id':3093,'output':true,'number':'499' },'3094':{ 'id':3094,'output':true,'number':'61' },'3095':{ 'id':3095,'output':true,'number':'1232' },'3096':{ 'id':3096,'output':true,'number':'280' },'3097':{ 'id':3097,'output':true,'number':'20' },'3098':{ 'id':3098,'output':true,'number':'127' },'3099':{ 'id':3099,'output':true,'number':'335' },'3100':{ 'id':3100,'output':true,'number':'505' },'3101':{ 'id':3101,'output':true,'number':'275' },'3102':{ 'id':3102,'output':true,'number':'530' },'3103':{ 'id':3103,'output':true,'number':'2300' },'3104':{ 'id':3104,'output':true,'number':'30' },'3105':{ 'id':3105,'output':true,'number':'131' },'3106':{ 'id':3106,'output':true,'number':'188' },'3107':{ 'id':3107,'output':true,'number':'457' },'3108':{ 'id':3108,'output':true,'number':'30' },'3109':{ 'id':3109,'output':true,'number':'335' },'3110':{ 'id':3110,'output':true,'number':'655' },'3111':{ 'id':3111,'output':true,'number':'140' },'3112':{ 'id':3112,'output':true,'number':'59' },'3113':{ 'id':3113,'output':true,'number':'275' },'3114':{ 'id':3114,'output':true,'number':'30' },'3115':{ 'id':3115,'output':true,'number':'65c' },'3116':{ 'id':3116,'output':true,'number':'30' },'3117':{ 'id':3117,'output':true,'number':'30' },'3118':{ 'id':3118,'output':true,'number':'44' },'3119':{ 'id':3119,'output':true,'number':'823' },'3120':{ 'id':3120,'output':true,'number':'587' },'3121':{ 'id':3121,'output':true,'number':'336' },'3122':{ 'id':3122,'output':true,'number':'530' },'3123':{ 'id':3123,'output':true,'number':'502' },'3124':{ 'id':3124,'output':true,'number':'40' },'3125':{ 'id':3125,'output':true,'number':'1314' },'3126':{ 'id':3126,'output':true,'number':'30' },'3127':{ 'id':3127,'output':true,'number':'278' },'3128':{ 'id':3128,'output':true,'number':'365' },'3129':{ 'id':3129,'output':true,'number':'665' },'3130':{ 'id':3130,'output':true,'number':'2300' },'3131':{ 'id':3131,'output':true,'number':'313' },'3132':{ 'id':3132,'output':true,'number':'20' },'3133':{ 'id':3133,'output':true,'number':'1276' },'3134':{ 'id':3134,'output':true,'number':'88' },'3135':{ 'id':3135,'output':true,'number':'30' },'3136':{ 'id':3136,'output':true,'number':'1045' },'3137':{ 'id':3137,'output':true,'number':'1253' },'3138':{ 'id':3138,'output':true,'number':'350' },'3139':{ 'id':3139,'output':true,'number':'224' },'3140':{ 'id':3140,'output':true,'number':'20' },'3141':{ 'id':3141,'output':true,'number':'30' },'3142':{ 'id':3142,'output':true,'number':'162' },'3143':{ 'id':3143,'output':true,'number':'159' },'3144':{ 'id':3144,'output':true,'number':'30' },'3145':{ 'id':3145,'output':true,'number':'537' },'3146':{ 'id':3146,'output':true,'number':'566' },'3147':{ 'id':3147,'output':true,'number':'1600' },'3148':{ 'id':3148,'output':true,'number':'1497' },'3149':{ 'id':3149,'output':true,'number':'2281' },'3150':{ 'id':3150,'output':true,'number':'365' },'3151':{ 'id':3151,'output':true,'number':'350' },'3152':{ 'id':3152,'output':true,'number':'599' },'3153':{ 'id':3153,'output':true,'number':'44' },'3154':{ 'id':3154,'output':true,'number':'30' },'3155':{ 'id':3155,'output':true,'number':'2000' },'3156':{ 'id':3156,'output':true,'number':'1546' },'3157':{ 'id':3157,'output':true,'number':'512' },'3158':{ 'id':3158,'output':true,'number':'91' },'3159':{ 'id':3159,'output':true,'number':'278' },'3160':{ 'id':3160,'output':true,'number':'300' },'3161':{ 'id':3161,'output':true,'number':'2251' },'3162':{ 'id':3162,'output':true,'number':'30' },'3163':{ 'id':3163,'output':true,'number':'1011' },'3164':{ 'id':3164,'output':true,'number':'313' },'3165':{ 'id':3165,'output':true,'number':'465' },'3166':{ 'id':3166,'output':true,'number':'30' },'3167':{ 'id':3167,'output':true,'number':'326' },'3168':{ 'id':3168,'output':true,'number':'652' },'3169':{ 'id':3169,'output':true,'number':'44' },'3170':{ 'id':3170,'output':true,'number':'30' },'3171':{ 'id':3171,'output':true,'number':'592' },'3172':{ 'id':3172,'output':true,'number':'44' },'3173':{ 'id':3173,'output':true,'number':'2223' },'3174':{ 'id':3174,'output':true,'number':'671' },'3175':{ 'id':3175,'output':true,'number':'240' },'3176':{ 'id':3176,'output':true,'number':'861' },'3177':{ 'id':3177,'output':true,'number':'399' },'3178':{ 'id':3178,'output':true,'number':'20' },'3179':{ 'id':3179,'output':true,'number':'1942' },'3180':{ 'id':3180,'output':true,'number':'1220' },'3181':{ 'id':3181,'output':true,'number':'27' },'3182':{ 'id':3182,'output':true,'number':'445' },'3183':{ 'id':3183,'output':true,'number':'2370' },'3184':{ 'id':3184,'output':true,'number':'355' },'3185':{ 'id':3185,'output':true,'number':'324' },'3186':{ 'id':3186,'output':true,'number':'530' },'3187':{ 'id':3187,'output':true,'number':'619c' },'3188':{ 'id':3188,'output':true,'number':'44' },'3189':{ 'id':3189,'output':true,'number':'2300' },'3190':{ 'id':3190,'output':true,'number':'156' },'3191':{ 'id':3191,'output':true,'number':'324' },'3192':{ 'id':3192,'output':true,'number':'164' },'3193':{ 'id':3193,'output':true,'number':'160' },'3194':{ 'id':3194,'output':true,'number':'30' },'3195':{ 'id':3195,'output':true,'number':'1221' },'3196':{ 'id':3196,'output':true,'number':'1179' },'3197':{ 'id':3197,'output':true,'number':'2291' },'3198':{ 'id':3198,'output':true,'number':'407' },'3199':{ 'id':3199,'output':true,'number':'2300' },'3200':{ 'id':3200,'output':true,'number':'44' },'3201':{ 'id':3201,'output':true,'number':'300' },'3202':{ 'id':3202,'output':true,'number':'675' },'3203':{ 'id':3203,'output':true,'number':'445' },'3204':{ 'id':3204,'output':true,'number':'665' },'3205':{ 'id':3205,'output':true,'number':'415' },'3206':{ 'id':3206,'output':true,'number':'457' },'3207':{ 'id':3207,'output':true,'number':'324' },'3208':{ 'id':3208,'output':true,'number':'815' },'3209':{ 'id':3209,'output':true,'number':'378' },'3210':{ 'id':3210,'output':true,'number':'573' },'3211':{ 'id':3211,'output':true,'number':'2362' },'3212':{ 'id':3212,'output':true,'number':'719' },'3213':{ 'id':3213,'output':true,'number':'427' },'3214':{ 'id':3214,'output':true,'number':'313' },'3215':{ 'id':3215,'output':true,'number':'606' },'3216':{ 'id':3216,'output':true,'number':'1235' },'3217':{ 'id':3217,'output':true,'number':'439' },'3218':{ 'id':3218,'output':true,'number':'255' },'3219':{ 'id':3219,'output':true,'number':'192' },'3220':{ 'id':3220,'output':true,'number':'403' },'3221':{ 'id':3221,'output':true,'number':'39' },'3222':{ 'id':3222,'output':true,'number':'619-621' },'3223':{ 'id':3223,'output':true,'number':'493' },'3224':{ 'id':3224,'output':true,'number':'677' },'3225':{ 'id':3225,'output':true,'number':'63' },'3226':{ 'id':3226,'output':true,'number':'1400' },'3227':{ 'id':3227,'output':true,'number':'30' },'3228':{ 'id':3228,'output':true,'number':'2000' },'3229':{ 'id':3229,'output':true,'number':'31' },'3230':{ 'id':3230,'output':true,'number':'343' },'3231':{ 'id':3231,'output':true,'number':'628' },'3232':{ 'id':3232,'output':true,'number':'1383' },'3233':{ 'id':3233,'output':true,'number':'719' },'3234':{ 'id':3234,'output':true,'number':'300' },'3235':{ 'id':3235,'output':true,'number':'316' },'3236':{ 'id':3236,'output':true,'number':'95' },'3237':{ 'id':3237,'output':true,'number':'300' },'3238':{ 'id':3238,'output':true,'number':'44' },'3239':{ 'id':3239,'output':true,'number':'887' },'3240':{ 'id':3240,'output':true,'number':'1081' },'3241':{ 'id':3241,'output':true,'number':'429' },'3242':{ 'id':3242,'output':true,'number':'1231' },'3243':{ 'id':3243,'output':true,'number':'392' },'3244':{ 'id':3244,'output':true,'number':'2323' },'3245':{ 'id':3245,'output':true,'number':'2000' },'3246':{ 'id':3246,'output':true,'number':'457' },'3247':{ 'id':3247,'output':true,'number':'2323' },'3248':{ 'id':3248,'output':true,'number':'159' },'3249':{ 'id':3249,'output':true,'number':'1938' },'3250':{ 'id':3250,'output':true,'number':'107' },'3251':{ 'id':3251,'output':true,'number':'324' },'3252':{ 'id':3252,'output':true,'number':'236' },'3253':{ 'id':3253,'output':true,'number':'669' },'3254':{ 'id':3254,'output':true,'number':'690' },'3255':{ 'id':3255,'output':true,'number':'2223' },'3256':{ 'id':3256,'output':true,'number':'1296b' },'3257':{ 'id':3257,'output':true,'number':'1958' },'3258':{ 'id':3258,'output':true,'number':'44' },'3259':{ 'id':3259,'output':true,'number':'580' },'3260':{ 'id':3260,'output':true,'number':'2300' },'3261':{ 'id':3261,'output':true,'number':'44' },'3262':{ 'id':3262,'output':true,'number':'897' },'3263':{ 'id':3263,'output':true,'number':'617' },'3264':{ 'id':3264,'output':true,'number':'136' },'3265':{ 'id':3265,'output':true,'number':'2223' },'3266':{ 'id':3266,'output':true,'number':'1946' },'3267':{ 'id':3267,'output':true,'number':'44' },'3268':{ 'id':3268,'output':true,'number':'441a' },'3269':{ 'id':3269,'output':true,'number':'34' },'3270':{ 'id':3270,'output':true,'number':'1587' },'3271':{ 'id':3271,'output':true,'number':'398' },'3272':{ 'id':3272,'output':true,'number':'1938' },'3273':{ 'id':3273,'output':true,'number':'429' },'3274':{ 'id':3274,'output':true,'number':'600' },'3275':{ 'id':3275,'output':true,'number':'312' },'3276':{ 'id':3276,'output':true,'number':'1938' },'3277':{ 'id':3277,'output':true,'number':'658' },'3278':{ 'id':3278,'output':true,'number':'987-989' },'3279':{ 'id':3279,'output':true,'number':'378' },'3280':{ 'id':3280,'output':true,'number':'658' },'3281':{ 'id':3281,'output':true,'number':'2281' },'3282':{ 'id':3282,'output':true,'number':'1345' },'3283':{ 'id':3283,'output':true,'number':'513' },'3284':{ 'id':3284,'output':true,'number':'667-671' },'3285':{ 'id':3285,'output':true,'number':'36' },'3286':{ 'id':3286,'output':true,'number':'300' },'3287':{ 'id':3287,'output':true,'number':'471' },'3288':{ 'id':3288,'output':true,'number':'1930-1932' },'3289':{ 'id':3289,'output':true,'number':'274' },'3290':{ 'id':3290,'output':true,'number':'1600' },'3291':{ 'id':3291,'output':true,'number':'1947' },'3292':{ 'id':3292,'output':true,'number':'723' },'3293':{ 'id':3293,'output':true,'number':'31' },'3294':{ 'id':3294,'output':true,'number':'169' },'3295':{ 'id':3295,'output':true,'number':'402d' },'3296':{ 'id':3296,'output':true,'number':'1938' },'3297':{ 'id':3297,'output':true,'number':'431' },'3298':{ 'id':3298,'output':true,'number':'169' },'3299':{ 'id':3299,'output':true,'number':'1650' },'3300':{ 'id':3300,'output':true,'number':'405' },'3301':{ 'id':3301,'output':true,'number':'354' },'3302':{ 'id':3302,'output':true,'number':'1213' },'3303':{ 'id':3303,'output':true,'number':'1482' },'3304':{ 'id':3304,'output':true,'number':'853' },'3305':{ 'id':3305,'output':true,'number':'1938' },'3306':{ 'id':3306,'output':true,'number':'547-549' },'3307':{ 'id':3307,'output':true,'number':'200' },'3308':{ 'id':3308,'output':true,'number':'726' },'3309':{ 'id':3309,'output':true,'number':'2311' },'3310':{ 'id':3310,'output':true,'number':'1560' },'3311':{ 'id':3311,'output':true,'number':'447' },'3312':{ 'id':3312,'output':true,'number':'130' },'3313':{ 'id':3313,'output':true,'number':'668' },'3314':{ 'id':3314,'output':true,'number':'1121' },'3315':{ 'id':3315,'output':true,'number':'324' },'3316':{ 'id':3316,'output':true,'number':'405' },'3317':{ 'id':3317,'output':true,'number':'410' },'3318':{ 'id':3318,'output':true,'number':'445' },'3319':{ 'id':3319,'output':true,'number':'324' },'3320':{ 'id':3320,'output':true,'number':'255' },'3321':{ 'id':3321,'output':true,'number':'25' },'3322':{ 'id':3322,'output':true,'number':'1171-1173' },'3323':{ 'id':3323,'output':true,'number':'27' },'3324':{ 'id':3324,'output':true,'number':'44' },'3325':{ 'id':3325,'output':true,'number':'44' },'3326':{ 'id':3326,'output':true,'number':'343' },'3327':{ 'id':3327,'output':true,'number':'119' },'3328':{ 'id':3328,'output':true,'number':'1663' },'3329':{ 'id':3329,'output':true,'number':'180' },'3330':{ 'id':3330,'output':true,'number':'300' },'3331':{ 'id':3331,'output':true,'number':'413' },'3332':{ 'id':3332,'output':true,'number':'300' },'3333':{ 'id':3333,'output':true,'number':'2000' },'3334':{ 'id':3334,'output':true,'number':'580' },'3335':{ 'id':3335,'output':true,'number':'592a' },'3336':{ 'id':3336,'output':true,'number':'1105' },'3337':{ 'id':3337,'output':true,'number':'457' },'3338':{ 'id':3338,'output':true,'number':'129' },'3339':{ 'id':3339,'output':true,'number':'594' },'3340':{ 'id':3340,'output':true,'number':'1121' },'3341':{ 'id':3341,'output':true,'number':'429' },'3342':{ 'id':3342,'output':true,'number':'325' },'3343':{ 'id':3343,'output':true,'number':'2311' },'3344':{ 'id':3344,'output':true,'number':'587' },'3345':{ 'id':3345,'output':true,'number':'1938' },'3346':{ 'id':3346,'output':true,'number':'1552-1554' },'3347':{ 'id':3347,'output':true,'number':'312' },'3348':{ 'id':3348,'output':true,'number':'569' },'3349':{ 'id':3349,'output':true,'number':'288' },'3350':{ 'id':3350,'output':true,'number':'592' },'3351':{ 'id':3351,'output':true,'number':'222' },'3352':{ 'id':3352,'output':true,'number':'576' },'3353':{ 'id':3353,'output':true,'number':'160-162' },'3354':{ 'id':3354,'output':true,'number':'839' },'3355':{ 'id':3355,'output':true,'number':'90' },'3356':{ 'id':3356,'output':true,'number':'2000' },'3357':{ 'id':3357,'output':true,'number':'816' },'3358':{ 'id':3358,'output':true,'number':'1230' },'3359':{ 'id':3359,'output':true,'number':'2300' },'3360':{ 'id':3360,'output':true,'number':'1011d' },'3361':{ 'id':3361,'output':true,'number':'220' },'3362':{ 'id':3362,'output':true,'number':'361-363' },'3363':{ 'id':3363,'output':true,'number':'1938' },'3364':{ 'id':3364,'output':true,'number':'590' },'3365':{ 'id':3365,'output':true,'number':'227' },'3366':{ 'id':3366,'output':true,'number':'1560' },'3367':{ 'id':3367,'output':true,'number':'227' },'3368':{ 'id':3368,'output':true,'number':'1053' },'3369':{ 'id':3369,'output':true,'number':'465' },'3370':{ 'id':3370,'output':true,'number':'169' },'3371':{ 'id':3371,'output':true,'number':'2251' },'3372':{ 'id':3372,'output':true,'number':'787' },'3373':{ 'id':3373,'output':true,'number':'606' },'3374':{ 'id':3374,'output':true,'number':'145b' },'3375':{ 'id':3375,'output':true,'number':'342' },'3376':{ 'id':3376,'output':true,'number':'576' },'3377':{ 'id':3377,'output':true,'number':'44' },'3378':{ 'id':3378,'output':true,'number':'457' },'3379':{ 'id':3379,'output':true,'number':'332' },'3380':{ 'id':3380,'output':true,'number':'44' },'3381':{ 'id':3381,'output':true,'number':'44' },'3382':{ 'id':3382,'output':true,'number':'300' },'3383':{ 'id':3383,'output':true,'number':'723' },'3384':{ 'id':3384,'output':true,'number':'891' },'3385':{ 'id':3385,'output':true,'number':'44' },'3386':{ 'id':3386,'output':true,'number':'313' },'3387':{ 'id':3387,'output':true,'number':'2227' },'3388':{ 'id':3388,'output':true,'number':'241' },'3389':{ 'id':3389,'output':true,'number':'427' },'3390':{ 'id':3390,'output':true,'number':'178' },'3391':{ 'id':3391,'output':true,'number':'1940r' },'3392':{ 'id':3392,'output':true,'number':'300' },'3393':{ 'id':3393,'output':true,'number':'313' },'3394':{ 'id':3394,'output':true,'number':'1600' },'3395':{ 'id':3395,'output':true,'number':'27' },'3396':{ 'id':3396,'output':true,'number':'786' },'3397':{ 'id':3397,'output':true,'number':'2000' },'3398':{ 'id':3398,'output':true,'number':'300' },'3399':{ 'id':3399,'output':true,'number':'300' },'3400':{ 'id':3400,'output':true,'number':'689' },'3401':{ 'id':3401,'output':true,'number':'44' },'3402':{ 'id':3402,'output':true,'number':'111-113' },'3403':{ 'id':3403,'output':true,'number':'2300' },'3404':{ 'id':3404,'output':true,'number':'541' },'3405':{ 'id':3405,'output':true,'number':'2300' },'3406':{ 'id':3406,'output':true,'number':'129' },'3407':{ 'id':3407,'output':true,'number':'27' },'3408':{ 'id':3408,'output':true,'number':'2055' },'3409':{ 'id':3409,'output':true,'number':'427' },'3410':{ 'id':3410,'output':true,'number':'519' },'3411':{ 'id':3411,'output':true,'number':'318' },'3412':{ 'id':3412,'output':true,'number':'300' },'3413':{ 'id':3413,'output':true,'number':'1942' },'3414':{ 'id':3414,'output':true,'number':'619' },'3415':{ 'id':3415,'output':true,'number':'1942' },'3416':{ 'id':3416,'output':true,'number':'403' },'3417':{ 'id':3417,'output':true,'number':'300' },'3418':{ 'id':3418,'output':true,'number':'41' },'3419':{ 'id':3419,'output':true,'number':'891-897' },'3420':{ 'id':3420,'output':true,'number':'652' },'3421':{ 'id':3421,'output':true,'number':'1600' },'3422':{ 'id':3422,'output':true,'number':'300' },'3423':{ 'id':3423,'output':true,'number':'1548' },'3424':{ 'id':3424,'output':true,'number':'807' },'3425':{ 'id':3425,'output':true,'number':'44' },'3426':{ 'id':3426,'output':true,'number':'457' },'3427':{ 'id':3427,'output':true,'number':'326' },'3428':{ 'id':3428,'output':true,'number':'1946' },'3429':{ 'id':3429,'output':true,'number':'275' },'3430':{ 'id':3430,'output':true,'number':'56-58' },'3431':{ 'id':3431,'output':true,'number':'1229' },'3432':{ 'id':3432,'output':true,'number':'23' },'3433':{ 'id':3433,'output':true,'number':'2000' },'3434':{ 'id':3434,'output':true,'number':'300' },'3435':{ 'id':3435,'output':true,'number':'807' },'3436':{ 'id':3436,'output':true,'number':'608' },'3437':{ 'id':3437,'output':true,'number':'30' },'3438':{ 'id':3438,'output':true,'number':'1650' },'3439':{ 'id':3439,'output':true,'number':'67' },'3440':{ 'id':3440,'output':true,'number':'793' },'3441':{ 'id':3441,'output':true,'number':'127' },'3442':{ 'id':3442,'output':true,'number':'345' },'3443':{ 'id':3443,'output':true,'number':'471' },'3444':{ 'id':3444,'output':true,'number':'757' },'3445':{ 'id':3445,'output':true,'number':'55' },'3446':{ 'id':3446,'output':true,'number':'303' },'3447':{ 'id':3447,'output':true,'number':'1725' },'3448':{ 'id':3448,'output':true,'number':'217-229' },'3449':{ 'id':3449,'output':true,'number':'2276' },'3450':{ 'id':3450,'output':true,'number':'616' },'3451':{ 'id':3451,'output':true,'number':'2300' },'3452':{ 'id':3452,'output':true,'number':'30' },'3453':{ 'id':3453,'output':true,'number':'324' },'3454':{ 'id':3454,'output':true,'number':'1573-1575' },'3455':{ 'id':3455,'output':true,'number':'44' },'3456':{ 'id':3456,'output':true,'number':'1585-1587' },'3457':{ 'id':3457,'output':true,'number':'44' },'3458':{ 'id':3458,'output':true,'number':'337' },'3459':{ 'id':3459,'output':true,'number':'440' },'3460':{ 'id':3460,'output':true,'number':'401' },'3461':{ 'id':3461,'output':true,'number':'332' },'3462':{ 'id':3462,'output':true,'number':'523' },'3463':{ 'id':3463,'output':true,'number':'857-859' },'3464':{ 'id':3464,'output':true,'number':'590' },'3465':{ 'id':3465,'output':true,'number':'414' },'3466':{ 'id':3466,'output':true,'number':'863' },'3467':{ 'id':3467,'output':true,'number':'1946' },'3468':{ 'id':3468,'output':true,'number':'413' },'3469':{ 'id':3469,'output':true,'number':'366' },'3470':{ 'id':3470,'output':true,'number':'599' },'3471':{ 'id':3471,'output':true,'number':'44' },'3472':{ 'id':3472,'output':true,'number':'313' },'3473':{ 'id':3473,'output':true,'number':'1' },'3474':{ 'id':3474,'output':true,'number':'74' },'3475':{ 'id':3475,'output':true,'number':'461' },'3476':{ 'id':3476,'output':true,'number':'423' },'3477':{ 'id':3477,'output':true,'number':'1942' },'3478':{ 'id':3478,'output':true,'number':'1383' },'3479':{ 'id':3479,'output':true,'number':'36' },'3480':{ 'id':3480,'output':true,'number':'425' },'3481':{ 'id':3481,'output':true,'number':'222' },'3482':{ 'id':3482,'output':true,'number':'399-403' },'3483':{ 'id':3483,'output':true,'number':'44' },'3484':{ 'id':3484,'output':true,'number':'1545' },'3485':{ 'id':3485,'output':true,'number':'44' },'3486':{ 'id':3486,'output':true,'number':'1079' },'3487':{ 'id':3487,'output':true,'number':'1828' },'3488':{ 'id':3488,'output':true,'number':'1' },'3489':{ 'id':3489,'output':true,'number':'231' },'3490':{ 'id':3490,'output':true,'number':'935' },'3491':{ 'id':3491,'output':true,'number':'675' },'3492':{ 'id':3492,'output':true,'number':'235' },'3493':{ 'id':3493,'output':true,'number':'239' },'3494':{ 'id':3494,'output':true,'number':'142' },'3495':{ 'id':3495,'output':true,'number':'1' },'3496':{ 'id':3496,'output':true,'number':'611' },'3497':{ 'id':3497,'output':true,'number':'519' },'3498':{ 'id':3498,'output':true,'number':'1273' },'3499':{ 'id':3499,'output':true,'number':'27' },'3500':{ 'id':3500,'output':true,'number':'628' },'3501':{ 'id':3501,'output':true,'number':'44' },'3502':{ 'id':3502,'output':true,'number':'300' },'3503':{ 'id':3503,'output':true,'number':'2291' },'3504':{ 'id':3504,'output':true,'number':'719' },'3505':{ 'id':3505,'output':true,'number':'2323' },'3506':{ 'id':3506,'output':true,'number':'2301' },'3507':{ 'id':3507,'output':true,'number':'2150' },'3508':{ 'id':3508,'output':true,'number':'1942' },'3509':{ 'id':3509,'output':true,'number':'135' },'3510':{ 'id':3510,'output':true,'number':'88' },'3511':{ 'id':3511,'output':true,'number':'2300' },'3512':{ 'id':3512,'output':true,'number':'827' },'3513':{ 'id':3513,'output':true,'number':'715' },'3514':{ 'id':3514,'output':true,'number':'957' },'3515':{ 'id':3515,'output':true,'number':'491' },'3516':{ 'id':3516,'output':true,'number':'2077' },'3517':{ 'id':3517,'output':true,'number':'1938' },'3518':{ 'id':3518,'output':true,'number':'2300' },'3519':{ 'id':3519,'output':true,'number':'324' },'3520':{ 'id':3520,'output':true,'number':'258' },'3521':{ 'id':3521,'output':true,'number':'233' },'3522':{ 'id':3522,'output':true,'number':'332' },'3523':{ 'id':3523,'output':true,'number':'337' },'3524':{ 'id':3524,'output':true,'number':'44' },'3525':{ 'id':3525,'output':true,'number':'324' },'3526':{ 'id':3526,'output':true,'number':'2300' },'3527':{ 'id':3527,'output':true,'number':'313' },'3528':{ 'id':3528,'output':true,'number':'310' },'3529':{ 'id':3529,'output':true,'number':'2261' },'3530':{ 'id':3530,'output':true,'number':'1600' },'3531':{ 'id':3531,'output':true,'number':'397' },'3532':{ 'id':3532,'output':true,'number':'626' },'3533':{ 'id':3533,'output':true,'number':'385-397' },'3534':{ 'id':3534,'output':true,'number':'2271' },'3535':{ 'id':3535,'output':true,'number':'1938' },'3536':{ 'id':3536,'output':true,'number':'239' },'3537':{ 'id':3537,'output':true,'number':'2000' },'3538':{ 'id':3538,'output':true,'number':'40' },'3539':{ 'id':3539,'output':true,'number':'36' },'3540':{ 'id':3540,'output':true,'number':'453' },'3541':{ 'id':3541,'output':true,'number':'312' },'3542':{ 'id':3542,'output':true,'number':'28' },'3543':{ 'id':3543,'output':true,'number':'44' },'3544':{ 'id':3544,'output':true,'number':'36' },'3545':{ 'id':3545,'output':true,'number':'1942' },'3546':{ 'id':3546,'output':true,'number':'44' },'3547':{ 'id':3547,'output':true,'number':'25' },'3548':{ 'id':3548,'output':true,'number':'44' },'3549':{ 'id':3549,'output':true,'number':'2221' },'3550':{ 'id':3550,'output':true,'number':'403' },'3551':{ 'id':3551,'output':true,'number':'2261' },'3552':{ 'id':3552,'output':true,'number':'1942' },'3553':{ 'id':3553,'output':true,'number':'27' },'3554':{ 'id':3554,'output':true,'number':'343' },'3555':{ 'id':3555,'output':true,'number':'44' },'3556':{ 'id':3556,'output':true,'number':'2323' },'3557':{ 'id':3557,'output':true,'number':'44' },'3558':{ 'id':3558,'output':true,'number':'1075' },'3559':{ 'id':3559,'output':true,'number':'44' },'3560':{ 'id':3560,'output':true,'number':'44' },'3561':{ 'id':3561,'output':true,'number':'1946' },'3562':{ 'id':3562,'output':true,'number':'2310' },'3563':{ 'id':3563,'output':true,'number':'222' },'3564':{ 'id':3564,'output':true,'number':'116' },'3565':{ 'id':3565,'output':true,'number':'30' },'3566':{ 'id':3566,'output':true,'number':'1' },'3567':{ 'id':3567,'output':true,'number':'2221' },'3568':{ 'id':3568,'output':true,'number':'44' },'3569':{ 'id':3569,'output':true,'number':'530' },'3570':{ 'id':3570,'output':true,'number':'263' },'3571':{ 'id':3571,'output':true,'number':'40' },'3572':{ 'id':3572,'output':true,'number':'221' },'3573':{ 'id':3573,'output':true,'number':'44' },'3574':{ 'id':3574,'output':true,'number':'1946' },'3575':{ 'id':3575,'output':true,'number':'44' },'3576':{ 'id':3576,'output':true,'number':'40' },'3577':{ 'id':3577,'output':true,'number':'2276' },'3578':{ 'id':3578,'output':true,'number':'572' },'3579':{ 'id':3579,'output':true,'number':'44' },'3580':{ 'id':3580,'output':true,'number':'40' },'3581':{ 'id':3581,'output':true,'number':'23' },'3582':{ 'id':3582,'output':true,'number':'440' },'3583':{ 'id':3583,'output':true,'number':'332' },'3584':{ 'id':3584,'output':true,'number':'2310' },'3585':{ 'id':3585,'output':true,'number':'44' },'3586':{ 'id':3586,'output':true,'number':'1946' },'3587':{ 'id':3587,'output':true,'number':'316-320' },'3588':{ 'id':3588,'output':true,'number':'439' },'3589':{ 'id':3589,'output':true,'number':'131' },'3590':{ 'id':3590,'output':true,'number':'2000' },'3591':{ 'id':3591,'output':true,'number':'1946' },'3592':{ 'id':3592,'output':true,'number':'2323' },'3593':{ 'id':3593,'output':true,'number':'1942' },'3594':{ 'id':3594,'output':true,'number':'1' },'3595':{ 'id':3595,'output':true,'number':'300' },'3596':{ 'id':3596,'output':true,'number':'44' },'3597':{ 'id':3597,'output':true,'number':'27' },'3598':{ 'id':3598,'output':true,'number':'78' },'3599':{ 'id':3599,'output':true,'number':'1946' },'3600':{ 'id':3600,'output':true,'number':'23' },'3601':{ 'id':3601,'output':true,'number':'2323' },'3602':{ 'id':3602,'output':true,'number':'849' },'3603':{ 'id':3603,'output':true,'number':'544' },'3604':{ 'id':3604,'output':true,'number':'453' },'3605':{ 'id':3605,'output':true,'number':'1938' },'3606':{ 'id':3606,'output':true,'number':'600' },'3607':{ 'id':3607,'output':true,'number':'2323' },'3608':{ 'id':3608,'output':true,'number':'514' },'3609':{ 'id':3609,'output':true,'number':'23' },'3610':{ 'id':3610,'output':true,'number':'378' },'3611':{ 'id':3611,'output':true,'number':'1942' },'3612':{ 'id':3612,'output':true,'number':'323' },'3613':{ 'id':3613,'output':true,'number':'1946' },'3614':{ 'id':3614,'output':true,'number':'27' },'3615':{ 'id':3615,'output':true,'number':'198' },'3616':{ 'id':3616,'output':true,'number':'555' },'3617':{ 'id':3617,'output':true,'number':'124' },'3618':{ 'id':3618,'output':true,'number':'44' },'3619':{ 'id':3619,'output':true,'number':'2261' },'3620':{ 'id':3620,'output':true,'number':'499' },'3621':{ 'id':3621,'output':true,'number':'2300' },'3622':{ 'id':3622,'output':true,'number':'1819' },'3623':{ 'id':3623,'output':true,'number':'51' },'3624':{ 'id':3624,'output':true,'number':'11' },'3625':{ 'id':3625,'output':true,'number':'1' },'3626':{ 'id':3626,'output':true,'number':'116' },'3627':{ 'id':3627,'output':true,'number':'2311' },'3628':{ 'id':3628,'output':true,'number':'436' },'3629':{ 'id':3629,'output':true,'number':'27' },'3630':{ 'id':3630,'output':true,'number':'245' },'3631':{ 'id':3631,'output':true,'number':'1938' },'3632':{ 'id':3632,'output':true,'number':'129' },'3633':{ 'id':3633,'output':true,'number':'580' },'3634':{ 'id':3634,'output':true,'number':'487' },'3635':{ 'id':3635,'output':true,'number':'430' },'3636':{ 'id':3636,'output':true,'number':'44' },'3637':{ 'id':3637,'output':true,'number':'322' },'3638':{ 'id':3638,'output':true,'number':'612' },'3639':{ 'id':3639,'output':true,'number':'2227' },'3640':{ 'id':3640,'output':true,'number':'1844' },'3641':{ 'id':3641,'output':true,'number':'307' },'3642':{ 'id':3642,'output':true,'number':'239' },'3643':{ 'id':3643,'output':true,'number':'661' },'3644':{ 'id':3644,'output':true,'number':'2227' },'3645':{ 'id':3645,'output':true,'number':'47' },'3646':{ 'id':3646,'output':true,'number':'769' },'3647':{ 'id':3647,'output':true,'number':'36' },'3648':{ 'id':3648,'output':true,'number':'267' },'3649':{ 'id':3649,'output':true,'number':'2000' },'3650':{ 'id':3650,'output':true,'number':'280' },'3651':{ 'id':3651,'output':true,'number':'44' },'3652':{ 'id':3652,'output':true,'number':'608' },'3653':{ 'id':3653,'output':true,'number':'216' },'3654':{ 'id':3654,'output':true,'number':'330' },'3655':{ 'id':3655,'output':true,'number':'487' },'3656':{ 'id':3656,'output':true,'number':'572' },'3657':{ 'id':3657,'output':true,'number':'119' },'3658':{ 'id':3658,'output':true,'number':'245' },'3659':{ 'id':3659,'output':true,'number':'2323' },'3660':{ 'id':3660,'output':true,'number':'743' },'3661':{ 'id':3661,'output':true,'number':'640' },'3662':{ 'id':3662,'output':true,'number':'354' },'3663':{ 'id':3663,'output':true,'number':'605' },'3664':{ 'id':3664,'output':true,'number':'2300' },'3665':{ 'id':3665,'output':true,'number':'20' },'3666':{ 'id':3666,'output':true,'number':'769' },'3667':{ 'id':3667,'output':true,'number':'548' },'3668':{ 'id':3668,'output':true,'number':'636' },'3669':{ 'id':3669,'output':true,'number':'453' },'3670':{ 'id':3670,'output':true,'number':'1177' },'3671':{ 'id':3671,'output':true,'number':'215' },'3672':{ 'id':3672,'output':true,'number':'36' },'3673':{ 'id':3673,'output':true,'number':'44' },'3674':{ 'id':3674,'output':true,'number':'44' },'3675':{ 'id':3675,'output':true,'number':'44' },'3676':{ 'id':3676,'output':true,'number':'227' },'3677':{ 'id':3677,'output':true,'number':'222' },'3678':{ 'id':3678,'output':true,'number':'885' },'3679':{ 'id':3679,'output':true,'number':'2291' },'3680':{ 'id':3680,'output':true,'number':'662' },'3681':{ 'id':3681,'output':true,'number':'308' },'3682':{ 'id':3682,'output':true,'number':'628' },'3683':{ 'id':3683,'output':true,'number':'44' },'3684':{ 'id':3684,'output':true,'number':'674' },'3685':{ 'id':3685,'output':true,'number':'44' },'3686':{ 'id':3686,'output':true,'number':'957' },'3687':{ 'id':3687,'output':true,'number':'1776' },'3688':{ 'id':3688,'output':true,'number':'575' },'3689':{ 'id':3689,'output':true,'number':'328' },'3690':{ 'id':3690,'output':true,'number':'47' },'3691':{ 'id':3691,'output':true,'number':'1375' },'3692':{ 'id':3692,'output':true,'number':'251r' },'3693':{ 'id':3693,'output':true,'number':'2000' },'3694':{ 'id':3694,'output':true,'number':'689' },'3695':{ 'id':3695,'output':true,'number':'300' },'3696':{ 'id':3696,'output':true,'number':'44' },'3697':{ 'id':3697,'output':true,'number':'724-726' },'3698':{ 'id':3698,'output':true,'number':'580' },'3699':{ 'id':3699,'output':true,'number':'313' },'3700':{ 'id':3700,'output':true,'number':'41' },'3701':{ 'id':3701,'output':true,'number':'300' },'3702':{ 'id':3702,'output':true,'number':'1617' },'3703':{ 'id':3703,'output':true,'number':'1171' },'3704':{ 'id':3704,'output':true,'number':'27' },'3705':{ 'id':3705,'output':true,'number':'68' },'3706':{ 'id':3706,'output':true,'number':'30' },'3707':{ 'id':3707,'output':true,'number':'227' },'3708':{ 'id':3708,'output':true,'number':'2261' },'3709':{ 'id':3709,'output':true,'number':'395' },'3710':{ 'id':3710,'output':true,'number':'1385-1389' },'3711':{ 'id':3711,'output':true,'number':'255' },'3712':{ 'id':3712,'output':true,'number':'14' },'3713':{ 'id':3713,'output':true,'number':'2060' },'3714':{ 'id':3714,'output':true,'number':'316' },'3715':{ 'id':3715,'output':true,'number':'313' },'3716':{ 'id':3716,'output':true,'number':'666' },'3717':{ 'id':3717,'output':true,'number':'300' },'3718':{ 'id':3718,'output':true,'number':'815' },'3719':{ 'id':3719,'output':true,'number':'568' },'3720':{ 'id':3720,'output':true,'number':'550' },'3721':{ 'id':3721,'output':true,'number':'44' },'3722':{ 'id':3722,'output':true,'number':'1554' },'3723':{ 'id':3723,'output':true,'number':'36' },'3724':{ 'id':3724,'output':true,'number':'1942' },'3725':{ 'id':3725,'output':true,'number':'1839' },'3726':{ 'id':3726,'output':true,'number':'588' },'3727':{ 'id':3727,'output':true,'number':'600' },'3728':{ 'id':3728,'output':true,'number':'2301' },'3729':{ 'id':3729,'output':true,'number':'300' },'3730':{ 'id':3730,'output':true,'number':'1081' },'3731':{ 'id':3731,'output':true,'number':'1938' },'3732':{ 'id':3732,'output':true,'number':'1672' },'3733':{ 'id':3733,'output':true,'number':'1185' },'3734':{ 'id':3734,'output':true,'number':'1177' },'3735':{ 'id':3735,'output':true,'number':'437' },'3736':{ 'id':3736,'output':true,'number':'619a' },'3737':{ 'id':3737,'output':true,'number':'652' },'3738':{ 'id':3738,'output':true,'number':'402a' },'3739':{ 'id':3739,'output':true,'number':'169' },'3740':{ 'id':3740,'output':true,'number':'847' },'3741':{ 'id':3741,'output':true,'number':'457' },'3742':{ 'id':3742,'output':true,'number':'44' },'3743':{ 'id':3743,'output':true,'number':'1938' },'3744':{ 'id':3744,'output':true,'number':'1482' },'3745':{ 'id':3745,'output':true,'number':'306' },'3746':{ 'id':3746,'output':true,'number':'461' },'3747':{ 'id':3747,'output':true,'number':'354' },'3748':{ 'id':3748,'output':true,'number':'811' },'3749':{ 'id':3749,'output':true,'number':'797' },'3750':{ 'id':3750,'output':true,'number':'2300' },'3751':{ 'id':3751,'output':true,'number':'724' },'3752':{ 'id':3752,'output':true,'number':'666' },'3753':{ 'id':3753,'output':true,'number':'1942' },'3754':{ 'id':3754,'output':true,'number':'530' },'3755':{ 'id':3755,'output':true,'number':'285' },'3756':{ 'id':3756,'output':true,'number':'723' },'3757':{ 'id':3757,'output':true,'number':'1946' },'3758':{ 'id':3758,'output':true,'number':'44' },'3759':{ 'id':3759,'output':true,'number':'356' },'3760':{ 'id':3760,'output':true,'number':'36' },'3761':{ 'id':3761,'output':true,'number':'44' },'3762':{ 'id':3762,'output':true,'number':'125' },'3763':{ 'id':3763,'output':true,'number':'200' },'3764':{ 'id':3764,'output':true,'number':'211' },'3765':{ 'id':3765,'output':true,'number':'228' },'3766':{ 'id':3766,'output':true,'number':'61' },'3767':{ 'id':3767,'output':true,'number':'467' },'3768':{ 'id':3768,'output':true,'number':'2358' },'3769':{ 'id':3769,'output':true,'number':'326' },'3770':{ 'id':3770,'output':true,'number':'511' },'3771':{ 'id':3771,'output':true,'number':'853' },'3772':{ 'id':3772,'output':true,'number':'555' },'3773':{ 'id':3773,'output':true,'number':'324' },'3774':{ 'id':3774,'output':true,'number':'298' },'3775':{ 'id':3775,'output':true,'number':'310' },'3776':{ 'id':3776,'output':true,'number':'2300' },'3777':{ 'id':3777,'output':true,'number':'312' },'3778':{ 'id':3778,'output':true,'number':'439' },'3779':{ 'id':3779,'output':true,'number':'1' },'3780':{ 'id':3780,'output':true,'number':'659' },'3781':{ 'id':3781,'output':true,'number':'27' },'3782':{ 'id':3782,'output':true,'number':'1938' },'3783':{ 'id':3783,'output':true,'number':'36' },'3784':{ 'id':3784,'output':true,'number':'273' },'3785':{ 'id':3785,'output':true,'number':'414' },'3786':{ 'id':3786,'output':true,'number':'2' },'3787':{ 'id':3787,'output':true,'number':'493' },'3788':{ 'id':3788,'output':true,'number':'1591-1593' },'3789':{ 'id':3789,'output':true,'number':'282' },'3790':{ 'id':3790,'output':true,'number':'885' },'3791':{ 'id':3791,'output':true,'number':'2291' },'3792':{ 'id':3792,'output':true,'number':'447' },'3793':{ 'id':3793,'output':true,'number':'2271' },'3794':{ 'id':3794,'output':true,'number':'309' },'3795':{ 'id':3795,'output':true,'number':'210' },'3796':{ 'id':3796,'output':true,'number':'1938' },'3797':{ 'id':3797,'output':true,'number':'1946' },'3798':{ 'id':3798,'output':true,'number':'1524' },'3799':{ 'id':3799,'output':true,'number':'2300' },'3800':{ 'id':3800,'output':true,'number':'291' },'3801':{ 'id':3801,'output':true,'number':'2242' },'3802':{ 'id':3802,'output':true,'number':'815' },'3803':{ 'id':3803,'output':true,'number':'475' },'3804':{ 'id':3804,'output':true,'number':'811b' },'3805':{ 'id':3805,'output':true,'number':'414' },'3806':{ 'id':3806,'output':true,'number':'324' },'3807':{ 'id':3807,'output':true,'number':'229' },'3808':{ 'id':3808,'output':true,'number':'979' },'3809':{ 'id':3809,'output':true,'number':'36' },'3810':{ 'id':3810,'output':true,'number':'1874-1876' },'3811':{ 'id':3811,'output':true,'number':'462' },'3812':{ 'id':3812,'output':true,'number':'330' },'3813':{ 'id':3813,'output':true,'number':'276' },'3814':{ 'id':3814,'output':true,'number':'188' },'3815':{ 'id':3815,'output':true,'number':'27' },'3816':{ 'id':3816,'output':true,'number':'845-855' },'3817':{ 'id':3817,'output':true,'number':'1942' },'3818':{ 'id':3818,'output':true,'number':'636' },'3819':{ 'id':3819,'output':true,'number':'2000' },'3820':{ 'id':3820,'output':true,'number':'40' },'3821':{ 'id':3821,'output':true,'number':'364a' },'3822':{ 'id':3822,'output':true,'number':'2323' },'3823':{ 'id':3823,'output':true,'number':'209' },'3824':{ 'id':3824,'output':true,'number':'332' },'3825':{ 'id':3825,'output':true,'number':'27' },'3826':{ 'id':3826,'output':true,'number':'2323' },'3827':{ 'id':3827,'output':true,'number':'1897' },'3828':{ 'id':3828,'output':true,'number':'672' },'3829':{ 'id':3829,'output':true,'number':'1942' },'3830':{ 'id':3830,'output':true,'number':'300' },'3831':{ 'id':3831,'output':true,'number':'44' },'3832':{ 'id':3832,'output':true,'number':'619d' },'3833':{ 'id':3833,'output':true,'number':'407' },'3834':{ 'id':3834,'output':true,'number':'719' },'3835':{ 'id':3835,'output':true,'number':'300-302' },'3836':{ 'id':3836,'output':true,'number':'36' },'3837':{ 'id':3837,'output':true,'number':'222' },'3838':{ 'id':3838,'output':true,'number':'1942' },'3839':{ 'id':3839,'output':true,'number':'436' },'3840':{ 'id':3840,'output':true,'number':'202-204' },'3841':{ 'id':3841,'output':true,'number':'585' },'3842':{ 'id':3842,'output':true,'number':'682' },'3843':{ 'id':3843,'output':true,'number':'27' },'3844':{ 'id':3844,'output':true,'number':'44' },'3845':{ 'id':3845,'output':true,'number':'469' },'3846':{ 'id':3846,'output':true,'number':'504' },'3847':{ 'id':3847,'output':true,'number':'1946' },'3848':{ 'id':3848,'output':true,'number':'417' },'3849':{ 'id':3849,'output':true,'number':'2323' },'3850':{ 'id':3850,'output':true,'number':'457' },'3851':{ 'id':3851,'output':true,'number':'1832' },'3852':{ 'id':3852,'output':true,'number':'783' },'3853':{ 'id':3853,'output':true,'number':'2150' },'3854':{ 'id':3854,'output':true,'number':'30' },'3855':{ 'id':3855,'output':true,'number':'441' },'3856':{ 'id':3856,'output':true,'number':'608' },'3857':{ 'id':3857,'output':true,'number':'2281' },'3858':{ 'id':3858,'output':true,'number':'95' },'3859':{ 'id':3859,'output':true,'number':'302' },'3860':{ 'id':3860,'output':true,'number':'1600' },'3861':{ 'id':3861,'output':true,'number':'2227' },'3862':{ 'id':3862,'output':true,'number':'405' },'3863':{ 'id':3863,'output':true,'number':'727a' },'3864':{ 'id':3864,'output':true,'number':'591' },'3865':{ 'id':3865,'output':true,'number':'2251' },'3866':{ 'id':3866,'output':true,'number':'487' },'3867':{ 'id':3867,'output':true,'number':'2150' },'3868':{ 'id':3868,'output':true,'number':'5' },'3869':{ 'id':3869,'output':true,'number':'2301' },'3870':{ 'id':3870,'output':true,'number':'341-349' },'3871':{ 'id':3871,'output':true,'number':'611' },'3872':{ 'id':3872,'output':true,'number':'717' },'3873':{ 'id':3873,'output':true,'number':'2362-2370' },'3874':{ 'id':3874,'output':true,'number':'1600' },'3875':{ 'id':3875,'output':true,'number':'354' },'3876':{ 'id':3876,'output':true,'number':'523' },'3877':{ 'id':3877,'output':true,'number':'312' },'3878':{ 'id':3878,'output':true,'number':'815' },'3879':{ 'id':3879,'output':true,'number':'324' },'3880':{ 'id':3880,'output':true,'number':'797' },'3881':{ 'id':3881,'output':true,'number':'27' },'3882':{ 'id':3882,'output':true,'number':'300' },'3883':{ 'id':3883,'output':true,'number':'292' },'3884':{ 'id':3884,'output':true,'number':'576' },'3885':{ 'id':3885,'output':true,'number':'1942' },'3886':{ 'id':3886,'output':true,'number':'300' },'3887':{ 'id':3887,'output':true,'number':'580' },'3888':{ 'id':3888,'output':true,'number':'683' },'3889':{ 'id':3889,'output':true,'number':'2310' },'3890':{ 'id':3890,'output':true,'number':'23' },'3891':{ 'id':3891,'output':true,'number':'27' },'3892':{ 'id':3892,'output':true,'number':'255' },'3893':{ 'id':3893,'output':true,'number':'1784' },'3894':{ 'id':3894,'output':true,'number':'44' },'3895':{ 'id':3895,'output':true,'number':'773' },'3896':{ 'id':3896,'output':true,'number':'465' },'3897':{ 'id':3897,'output':true,'number':'1600' },'3898':{ 'id':3898,'output':true,'number':'380' },'3899':{ 'id':3899,'output':true,'number':'20' },'3900':{ 'id':3900,'output':true,'number':'640' },'3901':{ 'id':3901,'output':true,'number':'1' },'3902':{ 'id':3902,'output':true,'number':'2323' },'3903':{ 'id':3903,'output':true,'number':'23' },'3904':{ 'id':3904,'output':true,'number':'441' },'3905':{ 'id':3905,'output':true,'number':'44' },'3906':{ 'id':3906,'output':true,'number':'300' },'3907':{ 'id':3907,'output':true,'number':'1942' },'3908':{ 'id':3908,'output':true,'number':'50a' },'3909':{ 'id':3909,'output':true,'number':'312' },'3910':{ 'id':3910,'output':true,'number':'221' },'3911':{ 'id':3911,'output':true,'number':'441' },'3912':{ 'id':3912,'output':true,'number':'20' },'3913':{ 'id':3913,'output':true,'number':'584' },'3914':{ 'id':3914,'output':true,'number':'816' },'3915':{ 'id':3915,'output':true,'number':'368' },'3916':{ 'id':3916,'output':true,'number':'793' },'3917':{ 'id':3917,'output':true,'number':'328' },'3918':{ 'id':3918,'output':true,'number':'485' },'3919':{ 'id':3919,'output':true,'number':'413' },'3920':{ 'id':3920,'output':true,'number':'580' },'3921':{ 'id':3921,'output':true,'number':'99' },'3922':{ 'id':3922,'output':true,'number':'1938' },'3923':{ 'id':3923,'output':true,'number':'1011' },'3924':{ 'id':3924,'output':true,'number':'403' },'3925':{ 'id':3925,'output':true,'number':'44' },'3926':{ 'id':3926,'output':true,'number':'1647' },'3927':{ 'id':3927,'output':true,'number':'1488-1492' },'3928':{ 'id':3928,'output':true,'number':'516' },'3929':{ 'id':3929,'output':true,'number':'823-833' },'3930':{ 'id':3930,'output':true,'number':'563' },'3931':{ 'id':3931,'output':true,'number':'636' },'3932':{ 'id':3932,'output':true,'number':'313' },'3933':{ 'id':3933,'output':true,'number':'404' },'3934':{ 'id':3934,'output':true,'number':'500' },'3935':{ 'id':3935,'output':true,'number':'1' },'3936':{ 'id':3936,'output':true,'number':'2000' },'3937':{ 'id':3937,'output':true,'number':'588' },'3938':{ 'id':3938,'output':true,'number':'68-70' },'3939':{ 'id':3939,'output':true,'number':'1946' },'3940':{ 'id':3940,'output':true,'number':'300' },'3941':{ 'id':3941,'output':true,'number':'324' },'3942':{ 'id':3942,'output':true,'number':'441' },'3943':{ 'id':3943,'output':true,'number':'2311' },'3944':{ 'id':3944,'output':true,'number':'282' },'3945':{ 'id':3945,'output':true,'number':'2310' },'3946':{ 'id':3946,'output':true,'number':'618' },'3947':{ 'id':3947,'output':true,'number':'1942' },'3948':{ 'id':3948,'output':true,'number':'719' },'3949':{ 'id':3949,'output':true,'number':'23' },'3950':{ 'id':3950,'output':true,'number':'417' },'3951':{ 'id':3951,'output':true,'number':'411' },'3952':{ 'id':3952,'output':true,'number':'275' },'3953':{ 'id':3953,'output':true,'number':'209' },'3954':{ 'id':3954,'output':true,'number':'727' },'3955':{ 'id':3955,'output':true,'number':'44' },'3956':{ 'id':3956,'output':true,'number':'690' },'3957':{ 'id':3957,'output':true,'number':'2223' },'3958':{ 'id':3958,'output':true,'number':'563a' },'3959':{ 'id':3959,'output':true,'number':'44' },'3960':{ 'id':3960,'output':true,'number':'261' },'3961':{ 'id':3961,'output':true,'number':'2000' },'3962':{ 'id':3962,'output':true,'number':'337' },'3963':{ 'id':3963,'output':true,'number':'662' },'3964':{ 'id':3964,'output':true,'number':'30' },'3965':{ 'id':3965,'output':true,'number':'641' },'3966':{ 'id':3966,'output':true,'number':'44' },'3967':{ 'id':3967,'output':true,'number':'2323' },'3968':{ 'id':3968,'output':true,'number':'2281' },'3969':{ 'id':3969,'output':true,'number':'573' },'3970':{ 'id':3970,'output':true,'number':'999' },'3971':{ 'id':3971,'output':true,'number':'455' },'3972':{ 'id':3972,'output':true,'number':'1821' },'3973':{ 'id':3973,'output':true,'number':'44' },'3974':{ 'id':3974,'output':true,'number':'65' },'3975':{ 'id':3975,'output':true,'number':'324' },'3976':{ 'id':3976,'output':true,'number':'419' },'3977':{ 'id':3977,'output':true,'number':'44' },'3978':{ 'id':3978,'output':true,'number':'547' },'3979':{ 'id':3979,'output':true,'number':'44' },'3980':{ 'id':3980,'output':true,'number':'662' },'3981':{ 'id':3981,'output':true,'number':'44' },'3982':{ 'id':3982,'output':true,'number':'690' },'3983':{ 'id':3983,'output':true,'number':'1' },'3984':{ 'id':3984,'output':true,'number':'419' },'3985':{ 'id':3985,'output':true,'number':'27' },'3986':{ 'id':3986,'output':true,'number':'1185' },'3987':{ 'id':3987,'output':true,'number':'44' },'3988':{ 'id':3988,'output':true,'number':'1591' },'3989':{ 'id':3989,'output':true,'number':'20' },'3990':{ 'id':3990,'output':true,'number':'453' },'3991':{ 'id':3991,'output':true,'number':'2300' },'3992':{ 'id':3992,'output':true,'number':'519' },'3993':{ 'id':3993,'output':true,'number':'324' },'3994':{ 'id':3994,'output':true,'number':'2323' },'3995':{ 'id':3995,'output':true,'number':'44' },'3996':{ 'id':3996,'output':true,'number':'620' },'3997':{ 'id':3997,'output':true,'number':'548' },'3998':{ 'id':3998,'output':true,'number':'169' },'3999':{ 'id':3999,'output':true,'number':'310' },'4000':{ 'id':4000,'output':true,'number':'815' },'4001':{ 'id':4001,'output':true,'number':'140' },'4002':{ 'id':4002,'output':true,'number':'36' },'4003':{ 'id':4003,'output':true,'number':'612' },'4004':{ 'id':4004,'output':true,'number':'911' },'4005':{ 'id':4005,'output':true,'number':'44' },'4006':{ 'id':4006,'output':true,'number':'809' },'4007':{ 'id':4007,'output':true,'number':'263' },'4008':{ 'id':4008,'output':true,'number':'1274-1284' },'4009':{ 'id':4009,'output':true,'number':'673' },'4010':{ 'id':4010,'output':true,'number':'214' },'4011':{ 'id':4011,'output':true,'number':'324' },'4012':{ 'id':4012,'output':true,'number':'1577' },'4013':{ 'id':4013,'output':true,'number':'1946' },'4014':{ 'id':4014,'output':true,'number':'72-74' },'4015':{ 'id':4015,'output':true,'number':'44' },'4016':{ 'id':4016,'output':true,'number':'337' },'4017':{ 'id':4017,'output':true,'number':'272' },'4018':{ 'id':4018,'output':true,'number':'429' },'4019':{ 'id':4019,'output':true,'number':'44' },'4020':{ 'id':4020,'output':true,'number':'1675' },'4021':{ 'id':4021,'output':true,'number':'324' },'4022':{ 'id':4022,'output':true,'number':'723' },'4023':{ 'id':4023,'output':true,'number':'2330' },'4024':{ 'id':4024,'output':true,'number':'1069' },'4025':{ 'id':4025,'output':true,'number':'471' },'4026':{ 'id':4026,'output':true,'number':'1600' },'4027':{ 'id':4027,'output':true,'number':'44' },'4028':{ 'id':4028,'output':true,'number':'865' },'4029':{ 'id':4029,'output':true,'number':'1707' },'4030':{ 'id':4030,'output':true,'number':'589' },'4031':{ 'id':4031,'output':true,'number':'2323' },'4032':{ 'id':4032,'output':true,'number':'1537' },'4033':{ 'id':4033,'output':true,'number':'324' },'4034':{ 'id':4034,'output':true,'number':'41a' },'4035':{ 'id':4035,'output':true,'number':'651' },'4036':{ 'id':4036,'output':true,'number':'2012' },'4037':{ 'id':4037,'output':true,'number':'222' },'4038':{ 'id':4038,'output':true,'number':'145' },'4039':{ 'id':4039,'output':true,'number':'505' },'4040':{ 'id':4040,'output':true,'number':'159' },'4041':{ 'id':4041,'output':true,'number':'1942' },'4042':{ 'id':4042,'output':true,'number':'2300' },'4043':{ 'id':4043,'output':true,'number':'630' },'4044':{ 'id':4044,'output':true,'number':'782' },'4045':{ 'id':4045,'output':true,'number':'411' },'4046':{ 'id':4046,'output':true,'number':'415' },'4047':{ 'id':4047,'output':true,'number':'1938' },'4048':{ 'id':4048,'output':true,'number':'829' },'4049':{ 'id':4049,'output':true,'number':'27' },'4050':{ 'id':4050,'output':true,'number':'576' },'4051':{ 'id':4051,'output':true,'number':'542a' },'4052':{ 'id':4052,'output':true,'number':'1561' },'4053':{ 'id':4053,'output':true,'number':'495' },'4054':{ 'id':4054,'output':true,'number':'1858' },'4055':{ 'id':4055,'output':true,'number':'658' },'4056':{ 'id':4056,'output':true,'number':'300' },'4057':{ 'id':4057,'output':true,'number':'2260' },'4058':{ 'id':4058,'output':true,'number':'666' },'4059':{ 'id':4059,'output':true,'number':'608' },'4060':{ 'id':4060,'output':true,'number':'590' },'4061':{ 'id':4061,'output':true,'number':'551' },'4062':{ 'id':4062,'output':true,'number':'36' },'4063':{ 'id':4063,'output':true,'number':'574' },'4064':{ 'id':4064,'output':true,'number':'1294' },'4065':{ 'id':4065,'output':true,'number':'304' },'4066':{ 'id':4066,'output':true,'number':'300' },'4067':{ 'id':4067,'output':true,'number':'257' },'4068':{ 'id':4068,'output':true,'number':'2101r' },'4069':{ 'id':4069,'output':true,'number':'477' },'4070':{ 'id':4070,'output':true,'number':'55' },'4071':{ 'id':4071,'output':true,'number':'2284' },'4072':{ 'id':4072,'output':true,'number':'1942' },'4073':{ 'id':4073,'output':true,'number':'44' },'4074':{ 'id':4074,'output':true,'number':'666' },'4075':{ 'id':4075,'output':true,'number':'1974' },'4076':{ 'id':4076,'output':true,'number':'1639' },'4077':{ 'id':4077,'output':true,'number':'586' },'4078':{ 'id':4078,'output':true,'number':'235-241' },'4079':{ 'id':4079,'output':true,'number':'392' },'4080':{ 'id':4080,'output':true,'number':'675' },'4081':{ 'id':4081,'output':true,'number':'2345' },'4082':{ 'id':4082,'output':true,'number':'169' },'4083':{ 'id':4083,'output':true,'number':'324' },'4084':{ 'id':4084,'output':true,'number':'417a' },'4085':{ 'id':4085,'output':true,'number':'415' },'4086':{ 'id':4086,'output':true,'number':'563' },'4087':{ 'id':4087,'output':true,'number':'44' },'4088':{ 'id':4088,'output':true,'number':'275' },'4089':{ 'id':4089,'output':true,'number':'454' },'4090':{ 'id':4090,'output':true,'number':'1600' },'4091':{ 'id':4091,'output':true,'number':'1938' },'4092':{ 'id':4092,'output':true,'number':'1600' },'4093':{ 'id':4093,'output':true,'number':'44' },'4094':{ 'id':4094,'output':true,'number':'608' },'4095':{ 'id':4095,'output':true,'number':'1938' },'4096':{ 'id':4096,'output':true,'number':'313' },'4097':{ 'id':4097,'output':true,'number':'604a' },'4098':{ 'id':4098,'output':true,'number':'55' },'4099':{ 'id':4099,'output':true,'number':'617' },'4100':{ 'id':4100,'output':true,'number':'337' },'4101':{ 'id':4101,'output':true,'number':'116' },'4102':{ 'id':4102,'output':true,'number':'674' },'4103':{ 'id':4103,'output':true,'number':'1600' },'4104':{ 'id':4104,'output':true,'number':'1938' },'4105':{ 'id':4105,'output':true,'number':'36' },'4106':{ 'id':4106,'output':true,'number':'20' },'4107':{ 'id':4107,'output':true,'number':'726a' },'4108':{ 'id':4108,'output':true,'number':'626' },'4109':{ 'id':4109,'output':true,'number':'370' },'4110':{ 'id':4110,'output':true,'number':'619' },'4111':{ 'id':4111,'output':true,'number':'55' },'4112':{ 'id':4112,'output':true,'number':'159' },'4113':{ 'id':4113,'output':true,'number':'370' },'4114':{ 'id':4114,'output':true,'number':'1345-1355' },'4115':{ 'id':4115,'output':true,'number':'609' },'4116':{ 'id':4116,'output':true,'number':'779' },'4117':{ 'id':4117,'output':true,'number':'274' },'4118':{ 'id':4118,'output':true,'number':'30' },'4119':{ 'id':4119,'output':true,'number':'324' },'4120':{ 'id':4120,'output':true,'number':'628' },'4121':{ 'id':4121,'output':true,'number':'267' },'4122':{ 'id':4122,'output':true,'number':'1426' },'4123':{ 'id':4123,'output':true,'number':'2221' },'4124':{ 'id':4124,'output':true,'number':'991-993' },'4125':{ 'id':4125,'output':true,'number':'531' },'4126':{ 'id':4126,'output':true,'number':'1577-1579' },'4127':{ 'id':4127,'output':true,'number':'519' },'4128':{ 'id':4128,'output':true,'number':'683' },'4129':{ 'id':4129,'output':true,'number':'44' },'4130':{ 'id':4130,'output':true,'number':'337' },'4131':{ 'id':4131,'output':true,'number':'2323' },'4132':{ 'id':4132,'output':true,'number':'2323' },'4133':{ 'id':4133,'output':true,'number':'1946' },'4134':{ 'id':4134,'output':true,'number':'431' },'4135':{ 'id':4135,'output':true,'number':'1' },'4136':{ 'id':4136,'output':true,'number':'52' },'4137':{ 'id':4137,'output':true,'number':'312' },'4138':{ 'id':4138,'output':true,'number':'563' },'4139':{ 'id':4139,'output':true,'number':'312' },'4140':{ 'id':4140,'output':true,'number':'150' },'4141':{ 'id':4141,'output':true,'number':'1946' },'4142':{ 'id':4142,'output':true,'number':'1600' },'4143':{ 'id':4143,'output':true,'number':'44' },'4144':{ 'id':4144,'output':true,'number':'569' },'4145':{ 'id':4145,'output':true,'number':'354' },'4146':{ 'id':4146,'output':true,'number':'382a' },'4147':{ 'id':4147,'output':true,'number':'1946' },'4148':{ 'id':4148,'output':true,'number':'310a' },'4149':{ 'id':4149,'output':true,'number':'1938' },'4150':{ 'id':4150,'output':true,'number':'797' },'4151':{ 'id':4151,'output':true,'number':'204' },'4152':{ 'id':4152,'output':true,'number':'300' },'4153':{ 'id':4153,'output':true,'number':'439' },'4154':{ 'id':4154,'output':true,'number':'1942' },'4155':{ 'id':4155,'output':true,'number':'160' },'4156':{ 'id':4156,'output':true,'number':'630' },'4157':{ 'id':4157,'output':true,'number':'336' },'4158':{ 'id':4158,'output':true,'number':'1669' },'4159':{ 'id':4159,'output':true,'number':'44' },'4160':{ 'id':4160,'output':true,'number':'457' },'4161':{ 'id':4161,'output':true,'number':'20' },'4162':{ 'id':4162,'output':true,'number':'1600' },'4163':{ 'id':4163,'output':true,'number':'741' },'4164':{ 'id':4164,'output':true,'number':'723' },'4165':{ 'id':4165,'output':true,'number':'2221' },'4166':{ 'id':4166,'output':true,'number':'594' },'4167':{ 'id':4167,'output':true,'number':'44' },'4168':{ 'id':4168,'output':true,'number':'677' },'4169':{ 'id':4169,'output':true,'number':'2000' },'4170':{ 'id':4170,'output':true,'number':'1263' },'4171':{ 'id':4171,'output':true,'number':'855' },'4172':{ 'id':4172,'output':true,'number':'320' },'4173':{ 'id':4173,'output':true,'number':'747' },'4174':{ 'id':4174,'output':true,'number':'1938' },'4175':{ 'id':4175,'output':true,'number':'1600' },'4176':{ 'id':4176,'output':true,'number':'769' },'4177':{ 'id':4177,'output':true,'number':'505' },'4178':{ 'id':4178,'output':true,'number':'816' },'4179':{ 'id':4179,'output':true,'number':'509' },'4180':{ 'id':4180,'output':true,'number':'1600' },'4181':{ 'id':4181,'output':true,'number':'629' },'4182':{ 'id':4182,'output':true,'number':'44' },'4183':{ 'id':4183,'output':true,'number':'44' },'4184':{ 'id':4184,'output':true,'number':'159' },'4185':{ 'id':4185,'output':true,'number':'318' },'4186':{ 'id':4186,'output':true,'number':'413' },'4187':{ 'id':4187,'output':true,'number':'2300' },'4188':{ 'id':4188,'output':true,'number':'601' },'4189':{ 'id':4189,'output':true,'number':'1946' },'4190':{ 'id':4190,'output':true,'number':'64' },'4191':{ 'id':4191,'output':true,'number':'471' },'4192':{ 'id':4192,'output':true,'number':'1273' },'4193':{ 'id':4193,'output':true,'number':'320' },'4194':{ 'id':4194,'output':true,'number':'885' },'4195':{ 'id':4195,'output':true,'number':'432' },'4196':{ 'id':4196,'output':true,'number':'169' },'4197':{ 'id':4197,'output':true,'number':'44' },'4198':{ 'id':4198,'output':true,'number':'44' },'4199':{ 'id':4199,'output':true,'number':'44' },'4200':{ 'id':4200,'output':true,'number':'610' },'4201':{ 'id':4201,'output':true,'number':'96' },'4202':{ 'id':4202,'output':true,'number':'575' },'4203':{ 'id':4203,'output':true,'number':'580' },'4204':{ 'id':4204,'output':true,'number':'180' },'4205':{ 'id':4205,'output':true,'number':'594' },'4206':{ 'id':4206,'output':true,'number':'11a' },'4207':{ 'id':4207,'output':true,'number':'44' },'4208':{ 'id':4208,'output':true,'number':'651' },'4209':{ 'id':4209,'output':true,'number':'745' },'4210':{ 'id':4210,'output':true,'number':'527' },'4211':{ 'id':4211,'output':true,'number':'245' },'4212':{ 'id':4212,'output':true,'number':'2000' },'4213':{ 'id':4213,'output':true,'number':'332' },'4214':{ 'id':4214,'output':true,'number':'600' },'4215':{ 'id':4215,'output':true,'number':'427' },'4216':{ 'id':4216,'output':true,'number':'1351' },'4217':{ 'id':4217,'output':true,'number':'483' },'4218':{ 'id':4218,'output':true,'number':'142' },'4219':{ 'id':4219,'output':true,'number':'516' },'4220':{ 'id':4220,'output':true,'number':'44' },'4221':{ 'id':4221,'output':true,'number':'312' },'4222':{ 'id':4222,'output':true,'number':'609' },'4223':{ 'id':4223,'output':true,'number':'44' },'4224':{ 'id':4224,'output':true,'number':'306-314' },'4225':{ 'id':4225,'output':true,'number':'44' },'4226':{ 'id':4226,'output':true,'number':'513' },'4227':{ 'id':4227,'output':true,'number':'670' },'4228':{ 'id':4228,'output':true,'number':'2088' },'4229':{ 'id':4229,'output':true,'number':'237' },'4230':{ 'id':4230,'output':true,'number':'815' },'4231':{ 'id':4231,'output':true,'number':'1' },'4232':{ 'id':4232,'output':true,'number':'300' },'4233':{ 'id':4233,'output':true,'number':'209' },'4234':{ 'id':4234,'output':true,'number':'44' },'4235':{ 'id':4235,'output':true,'number':'471' },'4236':{ 'id':4236,'output':true,'number':'44' },'4237':{ 'id':4237,'output':true,'number':'431' },'4238':{ 'id':4238,'output':true,'number':'935' },'4239':{ 'id':4239,'output':true,'number':'294' },'4240':{ 'id':4240,'output':true,'number':'1049' },'4241':{ 'id':4241,'output':true,'number':'726' },'4242':{ 'id':4242,'output':true,'number':'27' },'4243':{ 'id':4243,'output':true,'number':'600' },'4244':{ 'id':4244,'output':true,'number':'797' },'4245':{ 'id':4245,'output':true,'number':'44' },'4246':{ 'id':4246,'output':true,'number':'390' },'4247':{ 'id':4247,'output':true,'number':'44' },'4248':{ 'id':4248,'output':true,'number':'701' },'4249':{ 'id':4249,'output':true,'number':'1938' },'4250':{ 'id':4250,'output':true,'number':'782-784' },'4251':{ 'id':4251,'output':true,'number':'511' },'4252':{ 'id':4252,'output':true,'number':'274' },'4253':{ 'id':4253,'output':true,'number':'1946' },'4254':{ 'id':4254,'output':true,'number':'44' },'4255':{ 'id':4255,'output':true,'number':'2301' },'4256':{ 'id':4256,'output':true,'number':'227' },'4257':{ 'id':4257,'output':true,'number':'44' },'4258':{ 'id':4258,'output':true,'number':'44' },'4259':{ 'id':4259,'output':true,'number':'1946' },'4260':{ 'id':4260,'output':true,'number':'36' },'4261':{ 'id':4261,'output':true,'number':'1600' },'4262':{ 'id':4262,'output':true,'number':'44' },'4263':{ 'id':4263,'output':true,'number':'36' },'4264':{ 'id':4264,'output':true,'number':'1231' },'4265':{ 'id':4265,'output':true,'number':'300' },'4266':{ 'id':4266,'output':true,'number':'647' },'4267':{ 'id':4267,'output':true,'number':'1946' },'4268':{ 'id':4268,'output':true,'number':'853' },'4269':{ 'id':4269,'output':true,'number':'556' },'4270':{ 'id':4270,'output':true,'number':'651' },'4271':{ 'id':4271,'output':true,'number':'453' },'4272':{ 'id':4272,'output':true,'number':'785' },'4273':{ 'id':4273,'output':true,'number':'1946' },'4274':{ 'id':4274,'output':true,'number':'1946' },'4275':{ 'id':4275,'output':true,'number':'575' },'4276':{ 'id':4276,'output':true,'number':'44' },'4277':{ 'id':4277,'output':true,'number':'2000' },'4278':{ 'id':4278,'output':true,'number':'209' },'4279':{ 'id':4279,'output':true,'number':'505' },'4280':{ 'id':4280,'output':true,'number':'1045' },'4281':{ 'id':4281,'output':true,'number':'332' },'4282':{ 'id':4282,'output':true,'number':'471b' },'4283':{ 'id':4283,'output':true,'number':'519' },'4284':{ 'id':4284,'output':true,'number':'704' },'4285':{ 'id':4285,'output':true,'number':'1942' },'4286':{ 'id':4286,'output':true,'number':'2150' },'4287':{ 'id':4287,'output':true,'number':'2000' },'4288':{ 'id':4288,'output':true,'number':'1522' },'4289':{ 'id':4289,'output':true,'number':'273' },'4290':{ 'id':4290,'output':true,'number':'1239-1247' },'4291':{ 'id':4291,'output':true,'number':'1633' },'4292':{ 'id':4292,'output':true,'number':'30' },'4293':{ 'id':4293,'output':true,'number':'750' },'4294':{ 'id':4294,'output':true,'number':'31' },'4295':{ 'id':4295,'output':true,'number':'1946' },'4296':{ 'id':4296,'output':true,'number':'23' },'4297':{ 'id':4297,'output':true,'number':'1930' },'4298':{ 'id':4298,'output':true,'number':'967-979' },'4299':{ 'id':4299,'output':true,'number':'2000' },'4300':{ 'id':4300,'output':true,'number':'44' },'4301':{ 'id':4301,'output':true,'number':'585-587' },'4302':{ 'id':4302,'output':true,'number':'690a' },'4303':{ 'id':4303,'output':true,'number':'350' },'4304':{ 'id':4304,'output':true,'number':'2291' },'4305':{ 'id':4305,'output':true,'number':'82' },'4306':{ 'id':4306,'output':true,'number':'152' },'4307':{ 'id':4307,'output':true,'number':'44' },'4308':{ 'id':4308,'output':true,'number':'40' },'4309':{ 'id':4309,'output':true,'number':'44' },'4310':{ 'id':4310,'output':true,'number':'2232' },'4311':{ 'id':4311,'output':true,'number':'324' },'4312':{ 'id':4312,'output':true,'number':'2300' },'4313':{ 'id':4313,'output':true,'number':'20' },'4314':{ 'id':4314,'output':true,'number':'762' },'4315':{ 'id':4315,'output':true,'number':'27' },'4316':{ 'id':4316,'output':true,'number':'1197' },'4317':{ 'id':4317,'output':true,'number':'1942' },'4318':{ 'id':4318,'output':true,'number':'44' },'4319':{ 'id':4319,'output':true,'number':'198' },'4320':{ 'id':4320,'output':true,'number':'797' },'4321':{ 'id':4321,'output':true,'number':'1600' },'4322':{ 'id':4322,'output':true,'number':'44' },'4323':{ 'id':4323,'output':true,'number':'1600' },'4324':{ 'id':4324,'output':true,'number':'573' },'4325':{ 'id':4325,'output':true,'number':'135' },'4326':{ 'id':4326,'output':true,'number':'332' },'4327':{ 'id':4327,'output':true,'number':'511' },'4328':{ 'id':4328,'output':true,'number':'1381' },'4329':{ 'id':4329,'output':true,'number':'239' },'4330':{ 'id':4330,'output':true,'number':'91' },'4331':{ 'id':4331,'output':true,'number':'324' },'4332':{ 'id':4332,'output':true,'number':'2000' },'4333':{ 'id':4333,'output':true,'number':'669' },'4334':{ 'id':4334,'output':true,'number':'476' },'4335':{ 'id':4335,'output':true,'number':'580' },'4336':{ 'id':4336,'output':true,'number':'508' },'4337':{ 'id':4337,'output':true,'number':'34' },'4338':{ 'id':4338,'output':true,'number':'330' },'4339':{ 'id':4339,'output':true,'number':'88' },'4340':{ 'id':4340,'output':true,'number':'821' },'4341':{ 'id':4341,'output':true,'number':'267' },'4342':{ 'id':4342,'output':true,'number':'563' },'4343':{ 'id':4343,'output':true,'number':'322a' },'4344':{ 'id':4344,'output':true,'number':'935' },'4345':{ 'id':4345,'output':true,'number':'429' },'4346':{ 'id':4346,'output':true,'number':'1660' },'4347':{ 'id':4347,'output':true,'number':'44' },'4348':{ 'id':4348,'output':true,'number':'1946' },'4349':{ 'id':4349,'output':true,'number':'455' },'4350':{ 'id':4350,'output':true,'number':'1507' },'4351':{ 'id':4351,'output':true,'number':'736' },'4352':{ 'id':4352,'output':true,'number':'815' },'4353':{ 'id':4353,'output':true,'number':'586' },'4354':{ 'id':4354,'output':true,'number':'1820' },'4355':{ 'id':4355,'output':true,'number':'1600' },'4356':{ 'id':4356,'output':true,'number':'282' },'4357':{ 'id':4357,'output':true,'number':'358' },'4358':{ 'id':4358,'output':true,'number':'549' },'4359':{ 'id':4359,'output':true,'number':'44' },'4360':{ 'id':4360,'output':true,'number':'1942' },'4361':{ 'id':4361,'output':true,'number':'323' },'4362':{ 'id':4362,'output':true,'number':'665' },'4363':{ 'id':4363,'output':true,'number':'779' },'4364':{ 'id':4364,'output':true,'number':'2061' },'4365':{ 'id':4365,'output':true,'number':'599' },'4366':{ 'id':4366,'output':true,'number':'30' },'4367':{ 'id':4367,'output':true,'number':'592' },'4368':{ 'id':4368,'output':true,'number':'12c' },'4369':{ 'id':4369,'output':true,'number':'514' },'4370':{ 'id':4370,'output':true,'number':'2000' },'4371':{ 'id':4371,'output':true,'number':'427' },'4372':{ 'id':4372,'output':true,'number':'44' },'4373':{ 'id':4373,'output':true,'number':'611' },'4374':{ 'id':4374,'output':true,'number':'419' },'4375':{ 'id':4375,'output':true,'number':'513' },'4376':{ 'id':4376,'output':true,'number':'586' },'4377':{ 'id':4377,'output':true,'number':'649' },'4378':{ 'id':4378,'output':true,'number':'465' },'4379':{ 'id':4379,'output':true,'number':'212' },'4380':{ 'id':4380,'output':true,'number':'805' },'4381':{ 'id':4381,'output':true,'number':'560' },'4382':{ 'id':4382,'output':true,'number':'676' },'4383':{ 'id':4383,'output':true,'number':'606a' },'4384':{ 'id':4384,'output':true,'number':'483' },'4385':{ 'id':4385,'output':true,'number':'44' },'4386':{ 'id':4386,'output':true,'number':'1946' },'4387':{ 'id':4387,'output':true,'number':'670' },'4388':{ 'id':4388,'output':true,'number':'417' },'4389':{ 'id':4389,'output':true,'number':'657' },'4390':{ 'id':4390,'output':true,'number':'425' },'4391':{ 'id':4391,'output':true,'number':'44' },'4392':{ 'id':4392,'output':true,'number':'441' },'4393':{ 'id':4393,'output':true,'number':'590' },'4394':{ 'id':4394,'output':true,'number':'1838' },'4395':{ 'id':4395,'output':true,'number':'290' },'4396':{ 'id':4396,'output':true,'number':'370' },'4397':{ 'id':4397,'output':true,'number':'1942' },'4398':{ 'id':4398,'output':true,'number':'935' },'4399':{ 'id':4399,'output':true,'number':'49' },'4400':{ 'id':4400,'output':true,'number':'154' },'4401':{ 'id':4401,'output':true,'number':'30' },'4402':{ 'id':4402,'output':true,'number':'761' },'4403':{ 'id':4403,'output':true,'number':'507' },'4404':{ 'id':4404,'output':true,'number':'44' },'4405':{ 'id':4405,'output':true,'number':'27' },'4406':{ 'id':4406,'output':true,'number':'44' },'4407':{ 'id':4407,'output':true,'number':'2000' },'4408':{ 'id':4408,'output':true,'number':'36' },'4409':{ 'id':4409,'output':true,'number':'509' },'4410':{ 'id':4410,'output':true,'number':'1537' },'4411':{ 'id':4411,'output':true,'number':'44' },'4412':{ 'id':4412,'output':true,'number':'2323' },'4413':{ 'id':4413,'output':true,'number':'594' },'4414':{ 'id':4414,'output':true,'number':'23' },'4415':{ 'id':4415,'output':true,'number':'273' },'4416':{ 'id':4416,'output':true,'number':'609' },'4417':{ 'id':4417,'output':true,'number':'629' },'4418':{ 'id':4418,'output':true,'number':'350' },'4419':{ 'id':4419,'output':true,'number':'335' },'4420':{ 'id':4420,'output':true,'number':'457' },'4421':{ 'id':4421,'output':true,'number':'324' },'4422':{ 'id':4422,'output':true,'number':'207-213' },'4423':{ 'id':4423,'output':true,'number':'116' },'4424':{ 'id':4424,'output':true,'number':'350' },'4425':{ 'id':4425,'output':true,'number':'267' },'4426':{ 'id':4426,'output':true,'number':'20' },'4427':{ 'id':4427,'output':true,'number':'493' },'4428':{ 'id':4428,'output':true,'number':'588' },'4429':{ 'id':4429,'output':true,'number':'501' },'4430':{ 'id':4430,'output':true,'number':'457' },'4431':{ 'id':4431,'output':true,'number':'668' },'4432':{ 'id':4432,'output':true,'number':'2000' },'4433':{ 'id':4433,'output':true,'number':'312' },'4434':{ 'id':4434,'output':true,'number':'365' },'4435':{ 'id':4435,'output':true,'number':'505' },'4436':{ 'id':4436,'output':true,'number':'547' },'4437':{ 'id':4437,'output':true,'number':'332' },'4438':{ 'id':4438,'output':true,'number':'290' },'4439':{ 'id':4439,'output':true,'number':'241' },'4440':{ 'id':4440,'output':true,'number':'1659' },'4441':{ 'id':4441,'output':true,'number':'316' },'4442':{ 'id':4442,'output':true,'number':'1942' },'4443':{ 'id':4443,'output':true,'number':'495' },'4444':{ 'id':4444,'output':true,'number':'1387' },'4445':{ 'id':4445,'output':true,'number':'486' },'4446':{ 'id':4446,'output':true,'number':'1529' },'4447':{ 'id':4447,'output':true,'number':'891' },'4448':{ 'id':4448,'output':true,'number':'638' },'4449':{ 'id':4449,'output':true,'number':'364a' },'4450':{ 'id':4450,'output':true,'number':'1938' },'4451':{ 'id':4451,'output':true,'number':'666' },'4452':{ 'id':4452,'output':true,'number':'935' },'4453':{ 'id':4453,'output':true,'number':'666' },'4454':{ 'id':4454,'output':true,'number':'44' },'4455':{ 'id':4455,'output':true,'number':'324' },'4456':{ 'id':4456,'output':true,'number':'650' },'4457':{ 'id':4457,'output':true,'number':'645' },'4458':{ 'id':4458,'output':true,'number':'869' },'4459':{ 'id':4459,'output':true,'number':'352' },'4460':{ 'id':4460,'output':true,'number':'861' },'4461':{ 'id':4461,'output':true,'number':'513' },'4462':{ 'id':4462,'output':true,'number':'1015' },'4463':{ 'id':4463,'output':true,'number':'511' },'4464':{ 'id':4464,'output':true,'number':'20' },'4465':{ 'id':4465,'output':true,'number':'668' },'4466':{ 'id':4466,'output':true,'number':'42' },'4467':{ 'id':4467,'output':true,'number':'666' },'4468':{ 'id':4468,'output':true,'number':'10' },'4469':{ 'id':4469,'output':true,'number':'600' },'4470':{ 'id':4470,'output':true,'number':'2323' },'4471':{ 'id':4471,'output':true,'number':'668' },'4472':{ 'id':4472,'output':true,'number':'441' },'4473':{ 'id':4473,'output':true,'number':'466' },'4474':{ 'id':4474,'output':true,'number':'2096' },'4475':{ 'id':4475,'output':true,'number':'496' },'4476':{ 'id':4476,'output':true,'number':'44' },'4477':{ 'id':4477,'output':true,'number':'489' },'4478':{ 'id':4478,'output':true,'number':'2000' },'4479':{ 'id':4479,'output':true,'number':'604' },'4480':{ 'id':4480,'output':true,'number':'2060r' },'4481':{ 'id':4481,'output':true,'number':'30' },'4482':{ 'id':4482,'output':true,'number':'2000' },'4483':{ 'id':4483,'output':true,'number':'131' },'4484':{ 'id':4484,'output':true,'number':'2000' },'4485':{ 'id':4485,'output':true,'number':'572' },'4486':{ 'id':4486,'output':true,'number':'20' },'4487':{ 'id':4487,'output':true,'number':'316' },'4488':{ 'id':4488,'output':true,'number':'2300' },'4489':{ 'id':4489,'output':true,'number':'544a' },'4490':{ 'id':4490,'output':true,'number':'220' },'4491':{ 'id':4491,'output':true,'number':'116' },'4492':{ 'id':4492,'output':true,'number':'44' },'4493':{ 'id':4493,'output':true,'number':'30' },'4494':{ 'id':4494,'output':true,'number':'636' },'4495':{ 'id':4495,'output':true,'number':'568' },'4496':{ 'id':4496,'output':true,'number':'1938' },'4497':{ 'id':4497,'output':true,'number':'324' },'4498':{ 'id':4498,'output':true,'number':'2271' },'4499':{ 'id':4499,'output':true,'number':'312' },'4500':{ 'id':4500,'output':true,'number':'719' },'4501':{ 'id':4501,'output':true,'number':'552' },'4502':{ 'id':4502,'output':true,'number':'303-307' },'4503':{ 'id':4503,'output':true,'number':'312' },'4504':{ 'id':4504,'output':true,'number':'44' },'4505':{ 'id':4505,'output':true,'number':'324' },'4506':{ 'id':4506,'output':true,'number':'2000' },'4507':{ 'id':4507,'output':true,'number':'847' },'4508':{ 'id':4508,'output':true,'number':'282' },'4509':{ 'id':4509,'output':true,'number':'486' },'4510':{ 'id':4510,'output':true,'number':'592' },'4511':{ 'id':4511,'output':true,'number':'448' },'4512':{ 'id':4512,'output':true,'number':'25' },'4513':{ 'id':4513,'output':true,'number':'44' },'4514':{ 'id':4514,'output':true,'number':'1938' },'4515':{ 'id':4515,'output':true,'number':'723' },'4516':{ 'id':4516,'output':true,'number':'280-284' },'4517':{ 'id':4517,'output':true,'number':'376' },'4518':{ 'id':4518,'output':true,'number':'27' },'4519':{ 'id':4519,'output':true,'number':'452' },'4520':{ 'id':4520,'output':true,'number':'637' },'4521':{ 'id':4521,'output':true,'number':'595' },'4522':{ 'id':4522,'output':true,'number':'44' },'4523':{ 'id':4523,'output':true,'number':'493' },'4524':{ 'id':4524,'output':true,'number':'44' },'4525':{ 'id':4525,'output':true,'number':'332' },'4526':{ 'id':4526,'output':true,'number':'44' },'4527':{ 'id':4527,'output':true,'number':'422' },'4528':{ 'id':4528,'output':true,'number':'1831' },'4529':{ 'id':4529,'output':true,'number':'501' },'4530':{ 'id':4530,'output':true,'number':'1948' },'4531':{ 'id':4531,'output':true,'number':'263' },'4532':{ 'id':4532,'output':true,'number':'322-326' },'4533':{ 'id':4533,'output':true,'number':'312' },'4534':{ 'id':4534,'output':true,'number':'231' },'4535':{ 'id':4535,'output':true,'number':'580' },'4536':{ 'id':4536,'output':true,'number':'630' },'4537':{ 'id':4537,'output':true,'number':'54' },'4538':{ 'id':4538,'output':true,'number':'855' },'4539':{ 'id':4539,'output':true,'number':'20' },'4540':{ 'id':4540,'output':true,'number':'23' },'4541':{ 'id':4541,'output':true,'number':'85' },'4542':{ 'id':4542,'output':true,'number':'44' },'4543':{ 'id':4543,'output':true,'number':'65' },'4544':{ 'id':4544,'output':true,'number':'411' },'4545':{ 'id':4545,'output':true,'number':'626' },'4546':{ 'id':4546,'output':true,'number':'563' },'4547':{ 'id':4547,'output':true,'number':'594' },'4548':{ 'id':4548,'output':true,'number':'630' },'4549':{ 'id':4549,'output':true,'number':'604a' },'4550':{ 'id':4550,'output':true,'number':'662' },'4551':{ 'id':4551,'output':true,'number':'572' },'4552':{ 'id':4552,'output':true,'number':'865' },'4553':{ 'id':4553,'output':true,'number':'335' },'4554':{ 'id':4554,'output':true,'number':'400' },'4555':{ 'id':4555,'output':true,'number':'672' },'4556':{ 'id':4556,'output':true,'number':'27' },'4557':{ 'id':4557,'output':true,'number':'404' },'4558':{ 'id':4558,'output':true,'number':'797' },'4559':{ 'id':4559,'output':true,'number':'316' },'4560':{ 'id':4560,'output':true,'number':'673' },'4561':{ 'id':4561,'output':true,'number':'652' },'4562':{ 'id':4562,'output':true,'number':'44' },'4563':{ 'id':4563,'output':true,'number':'312' },'4564':{ 'id':4564,'output':true,'number':'42' },'4565':{ 'id':4565,'output':true,'number':'266' },'4566':{ 'id':4566,'output':true,'number':'1942' },'4567':{ 'id':4567,'output':true,'number':'442' },'4568':{ 'id':4568,'output':true,'number':'20' },'4569':{ 'id':4569,'output':true,'number':'312' },'4570':{ 'id':4570,'output':true,'number':'590' },'4571':{ 'id':4571,'output':true,'number':'2000' },'4572':{ 'id':4572,'output':true,'number':'169' },'4573':{ 'id':4573,'output':true,'number':'2000' },'4574':{ 'id':4574,'output':true,'number':'44' },'4575':{ 'id':4575,'output':true,'number':'1600' },'4576':{ 'id':4576,'output':true,'number':'453' },'4577':{ 'id':4577,'output':true,'number':'757' },'4578':{ 'id':4578,'output':true,'number':'44' },'4579':{ 'id':4579,'output':true,'number':'302' },'4580':{ 'id':4580,'output':true,'number':'769' },'4581':{ 'id':4581,'output':true,'number':'2000' },'4582':{ 'id':4582,'output':true,'number':'989' },'4583':{ 'id':4583,'output':true,'number':'310' },'4584':{ 'id':4584,'output':true,'number':'44' },'4585':{ 'id':4585,'output':true,'number':'496' },'4586':{ 'id':4586,'output':true,'number':'609' },'4587':{ 'id':4587,'output':true,'number':'413' },'4588':{ 'id':4588,'output':true,'number':'44' },'4589':{ 'id':4589,'output':true,'number':'562' },'4590':{ 'id':4590,'output':true,'number':'1942' },'4591':{ 'id':4591,'output':true,'number':'484' },'4592':{ 'id':4592,'output':true,'number':'1569' },'4593':{ 'id':4593,'output':true,'number':'417' },'4594':{ 'id':4594,'output':true,'number':'192' },'4595':{ 'id':4595,'output':true,'number':'1946' },'4596':{ 'id':4596,'output':true,'number':'1' },'4597':{ 'id':4597,'output':true,'number':'431' },'4598':{ 'id':4598,'output':true,'number':'726' },'4599':{ 'id':4599,'output':true,'number':'815' },'4600':{ 'id':4600,'output':true,'number':'782' },'4601':{ 'id':4601,'output':true,'number':'95' },'4602':{ 'id':4602,'output':true,'number':'376' },'4603':{ 'id':4603,'output':true,'number':'44' },'4604':{ 'id':4604,'output':true,'number':'393' },'4605':{ 'id':4605,'output':true,'number':'408' },'4606':{ 'id':4606,'output':true,'number':'495' },'4607':{ 'id':4607,'output':true,'number':'326' },'4608':{ 'id':4608,'output':true,'number':'30' },'4609':{ 'id':4609,'output':true,'number':'2223' },'4610':{ 'id':4610,'output':true,'number':'44' },'4611':{ 'id':4611,'output':true,'number':'2323' },'4612':{ 'id':4612,'output':true,'number':'220-224' },'4613':{ 'id':4613,'output':true,'number':'501' },'4614':{ 'id':4614,'output':true,'number':'2000' },'4615':{ 'id':4615,'output':true,'number':'1600' },'4616':{ 'id':4616,'output':true,'number':'44' },'4617':{ 'id':4617,'output':true,'number':'719' },'4618':{ 'id':4618,'output':true,'number':'44' },'4619':{ 'id':4619,'output':true,'number':'2301' },'4620':{ 'id':4620,'output':true,'number':'411' },'4621':{ 'id':4621,'output':true,'number':'3' },'4622':{ 'id':4622,'output':true,'number':'712' },'4623':{ 'id':4623,'output':true,'number':'407' },'4624':{ 'id':4624,'output':true,'number':'519' },'4625':{ 'id':4625,'output':true,'number':'316' },'4626':{ 'id':4626,'output':true,'number':'2311' },'4627':{ 'id':4627,'output':true,'number':'431' },'4628':{ 'id':4628,'output':true,'number':'44' },'4629':{ 'id':4629,'output':true,'number':'769' },'4630':{ 'id':4630,'output':true,'number':'2300' },'4631':{ 'id':4631,'output':true,'number':'847' },'4632':{ 'id':4632,'output':true,'number':'455' },'4633':{ 'id':4633,'output':true,'number':'489' },'4634':{ 'id':4634,'output':true,'number':'457' },'4635':{ 'id':4635,'output':true,'number':'546' },'4636':{ 'id':4636,'output':true,'number':'1946' },'4637':{ 'id':4637,'output':true,'number':'465' },'4638':{ 'id':4638,'output':true,'number':'1267' },'4639':{ 'id':4639,'output':true,'number':'44' },'4640':{ 'id':4640,'output':true,'number':'935' },'4641':{ 'id':4641,'output':true,'number':'332' },'4642':{ 'id':4642,'output':true,'number':'62-64' },'4643':{ 'id':4643,'output':true,'number':'499' },'4644':{ 'id':4644,'output':true,'number':'44' },'4645':{ 'id':4645,'output':true,'number':'2251' },'4646':{ 'id':4646,'output':true,'number':'44' },'4647':{ 'id':4647,'output':true,'number':'65b' },'4648':{ 'id':4648,'output':true,'number':'607' },'4649':{ 'id':4649,'output':true,'number':'91' },'4650':{ 'id':4650,'output':true,'number':'1185' },'4651':{ 'id':4651,'output':true,'number':'1942' },'4652':{ 'id':4652,'output':true,'number':'1565' },'4653':{ 'id':4653,'output':true,'number':'229' },'4654':{ 'id':4654,'output':true,'number':'23-27' },'4655':{ 'id':4655,'output':true,'number':'267' },'4656':{ 'id':4656,'output':true,'number':'445' },'4657':{ 'id':4657,'output':true,'number':'666' },'4658':{ 'id':4658,'output':true,'number':'44' },'4659':{ 'id':4659,'output':true,'number':'1900' },'4660':{ 'id':4660,'output':true,'number':'719' },'4661':{ 'id':4661,'output':true,'number':'648' },'4662':{ 'id':4662,'output':true,'number':'194' },'4663':{ 'id':4663,'output':true,'number':'367' },'4664':{ 'id':4664,'output':true,'number':'1938' },'4665':{ 'id':4665,'output':true,'number':'855a' },'4666':{ 'id':4666,'output':true,'number':'76-78' },'4667':{ 'id':4667,'output':true,'number':'575' },'4668':{ 'id':4668,'output':true,'number':'172' },'4669':{ 'id':4669,'output':true,'number':'23' },'4670':{ 'id':4670,'output':true,'number':'231' },'4671':{ 'id':4671,'output':true,'number':'463a' },'4672':{ 'id':4672,'output':true,'number':'598' },'4673':{ 'id':4673,'output':true,'number':'408' },'4674':{ 'id':4674,'output':true,'number':'1271' },'4675':{ 'id':4675,'output':true,'number':'1600' },'4676':{ 'id':4676,'output':true,'number':'330' },'4677':{ 'id':4677,'output':true,'number':'509' },'4678':{ 'id':4678,'output':true,'number':'1561' },'4679':{ 'id':4679,'output':true,'number':'455' },'4680':{ 'id':4680,'output':true,'number':'303-321' },'4681':{ 'id':4681,'output':true,'number':'294' },'4682':{ 'id':4682,'output':true,'number':'769' },'4683':{ 'id':4683,'output':true,'number':'568' },'4684':{ 'id':4684,'output':true,'number':'648' },'4685':{ 'id':4685,'output':true,'number':'185' },'4686':{ 'id':4686,'output':true,'number':'531' },'4687':{ 'id':4687,'output':true,'number':'30' },'4688':{ 'id':4688,'output':true,'number':'44' },'4689':{ 'id':4689,'output':true,'number':'513' },'4690':{ 'id':4690,'output':true,'number':'453' },'4691':{ 'id':4691,'output':true,'number':'142' },'4692':{ 'id':4692,'output':true,'number':'825' },'4693':{ 'id':4693,'output':true,'number':'1735' },'4694':{ 'id':4694,'output':true,'number':'957' },'4695':{ 'id':4695,'output':true,'number':'382' },'4696':{ 'id':4696,'output':true,'number':'90' },'4697':{ 'id':4697,'output':true,'number':'324' },'4698':{ 'id':4698,'output':true,'number':'684' },'4699':{ 'id':4699,'output':true,'number':'677' },'4700':{ 'id':4700,'output':true,'number':'399' },'4701':{ 'id':4701,'output':true,'number':'658' },'4702':{ 'id':4702,'output':true,'number':'440' },'4703':{ 'id':4703,'output':true,'number':'799' },'4704':{ 'id':4704,'output':true,'number':'222' },'4705':{ 'id':4705,'output':true,'number':'570' },'4706':{ 'id':4706,'output':true,'number':'30' },'4707':{ 'id':4707,'output':true,'number':'611' },'4708':{ 'id':4708,'output':true,'number':'481a' },'4709':{ 'id':4709,'output':true,'number':'23' },'4710':{ 'id':4710,'output':true,'number':'674' },'4711':{ 'id':4711,'output':true,'number':'20' },'4712':{ 'id':4712,'output':true,'number':'34' },'4713':{ 'id':4713,'output':true,'number':'1301' },'4714':{ 'id':4714,'output':true,'number':'602' },'4715':{ 'id':4715,'output':true,'number':'65a' },'4716':{ 'id':4716,'output':true,'number':'508' },'4717':{ 'id':4717,'output':true,'number':'88' },'4718':{ 'id':4718,'output':true,'number':'312' },'4719':{ 'id':4719,'output':true,'number':'686' },'4720':{ 'id':4720,'output':true,'number':'311' },'4721':{ 'id':4721,'output':true,'number':'382' },'4722':{ 'id':4722,'output':true,'number':'584' },'4723':{ 'id':4723,'output':true,'number':'513' },'4724':{ 'id':4724,'output':true,'number':'596' },'4725':{ 'id':4725,'output':true,'number':'2300' },'4726':{ 'id':4726,'output':true,'number':'401' },'4727':{ 'id':4727,'output':true,'number':'80' },'4728':{ 'id':4728,'output':true,'number':'403' },'4729':{ 'id':4729,'output':true,'number':'222' },'4730':{ 'id':4730,'output':true,'number':'55' },'4731':{ 'id':4731,'output':true,'number':'116' },'4732':{ 'id':4732,'output':true,'number':'88' },'4733':{ 'id':4733,'output':true,'number':'652' },'4734':{ 'id':4734,'output':true,'number':'817' },'4735':{ 'id':4735,'output':true,'number':'190' },'4736':{ 'id':4736,'output':true,'number':'568' },'4737':{ 'id':4737,'output':true,'number':'485' },'4738':{ 'id':4738,'output':true,'number':'20' },'4739':{ 'id':4739,'output':true,'number':'503' },'4740':{ 'id':4740,'output':true,'number':'30' },'4741':{ 'id':4741,'output':true,'number':'27' },'4742':{ 'id':4742,'output':true,'number':'516' },'4743':{ 'id':4743,'output':true,'number':'626' },'4744':{ 'id':4744,'output':true,'number':'40' },'4745':{ 'id':4745,'output':true,'number':'324' },'4746':{ 'id':4746,'output':true,'number':'459' },'4747':{ 'id':4747,'output':true,'number':'664' },'4748':{ 'id':4748,'output':true,'number':'312' },'4749':{ 'id':4749,'output':true,'number':'677' },'4750':{ 'id':4750,'output':true,'number':'321' },'4751':{ 'id':4751,'output':true,'number':'1650-1660' },'4752':{ 'id':4752,'output':true,'number':'815' },'4753':{ 'id':4753,'output':true,'number':'2261' },'4754':{ 'id':4754,'output':true,'number':'121' },'4755':{ 'id':4755,'output':true,'number':'150a' },'4756':{ 'id':4756,'output':true,'number':'519' },'4757':{ 'id':4757,'output':true,'number':'324' },'4758':{ 'id':4758,'output':true,'number':'415a' },'4759':{ 'id':4759,'output':true,'number':'2300' },'4760':{ 'id':4760,'output':true,'number':'332' },'4761':{ 'id':4761,'output':true,'number':'813' },'4762':{ 'id':4762,'output':true,'number':'384' },'4763':{ 'id':4763,'output':true,'number':'636' },'4764':{ 'id':4764,'output':true,'number':'779' },'4765':{ 'id':4765,'output':true,'number':'439' },'4766':{ 'id':4766,'output':true,'number':'148' },'4767':{ 'id':4767,'output':true,'number':'44' },'4768':{ 'id':4768,'output':true,'number':'487' },'4769':{ 'id':4769,'output':true,'number':'20' },'4770':{ 'id':4770,'output':true,'number':'811' },'4771':{ 'id':4771,'output':true,'number':'30' },'4772':{ 'id':4772,'output':true,'number':'519' },'4773':{ 'id':4773,'output':true,'number':'30' },'4774':{ 'id':4774,'output':true,'number':'423' },'4775':{ 'id':4775,'output':true,'number':'580' },'4776':{ 'id':4776,'output':true,'number':'805' },'4777':{ 'id':4777,'output':true,'number':'626' },'4778':{ 'id':4778,'output':true,'number':'1600' },'4779':{ 'id':4779,'output':true,'number':'785' },'4780':{ 'id':4780,'output':true,'number':'949' },'4781':{ 'id':4781,'output':true,'number':'482' },'4782':{ 'id':4782,'output':true,'number':'2014-2060' },'4783':{ 'id':4783,'output':true,'number':'2000' },'4784':{ 'id':4784,'output':true,'number':'34' },'4785':{ 'id':4785,'output':true,'number':'935' },'4786':{ 'id':4786,'output':true,'number':'323-333' },'4787':{ 'id':4787,'output':true,'number':'988-990' },'4788':{ 'id':4788,'output':true,'number':'1600' },'4789':{ 'id':4789,'output':true,'number':'573' },'4790':{ 'id':4790,'output':true,'number':'44' },'4791':{ 'id':4791,'output':true,'number':'20' },'4792':{ 'id':4792,'output':true,'number':'1600' },'4793':{ 'id':4793,'output':true,'number':'751' },'4794':{ 'id':4794,'output':true,'number':'44' },'4795':{ 'id':4795,'output':true,'number':'519' },'4796':{ 'id':4796,'output':true,'number':'2300' },'4797':{ 'id':4797,'output':true,'number':'1251' },'4798':{ 'id':4798,'output':true,'number':'1938' },'4799':{ 'id':4799,'output':true,'number':'324' },'4800':{ 'id':4800,'output':true,'number':'447' },'4801':{ 'id':4801,'output':true,'number':'145' },'4802':{ 'id':4802,'output':true,'number':'859' },'4803':{ 'id':4803,'output':true,'number':'693' },'4804':{ 'id':4804,'output':true,'number':'60' },'4805':{ 'id':4805,'output':true,'number':'501' },'4806':{ 'id':4806,'output':true,'number':'330' },'4807':{ 'id':4807,'output':true,'number':'2000' },'4808':{ 'id':4808,'output':true,'number':'30' },'4809':{ 'id':4809,'output':true,'number':'23' },'4810':{ 'id':4810,'output':true,'number':'2300' },'4811':{ 'id':4811,'output':true,'number':'674' },'4812':{ 'id':4812,'output':true,'number':'591' },'4813':{ 'id':4813,'output':true,'number':'865' },'4814':{ 'id':4814,'output':true,'number':'1600' },'4815':{ 'id':4815,'output':true,'number':'419' },'4816':{ 'id':4816,'output':true,'number':'313' },'4817':{ 'id':4817,'output':true,'number':'568' },'4818':{ 'id':4818,'output':true,'number':'169' },'4819':{ 'id':4819,'output':true,'number':'817' },'4820':{ 'id':4820,'output':true,'number':'444' },'4821':{ 'id':4821,'output':true,'number':'575' },'4822':{ 'id':4822,'output':true,'number':'337' },'4823':{ 'id':4823,'output':true,'number':'439' },'4824':{ 'id':4824,'output':true,'number':'411' },'4825':{ 'id':4825,'output':true,'number':'44' },'4826':{ 'id':4826,'output':true,'number':'308' },'4827':{ 'id':4827,'output':true,'number':'401' },'4828':{ 'id':4828,'output':true,'number':'337' },'4829':{ 'id':4829,'output':true,'number':'1765' },'4830':{ 'id':4830,'output':true,'number':'403' },'4831':{ 'id':4831,'output':true,'number':'300' },'4832':{ 'id':4832,'output':true,'number':'411' },'4833':{ 'id':4833,'output':true,'number':'300' },'4834':{ 'id':4834,'output':true,'number':'1077-1079' },'4835':{ 'id':4835,'output':true,'number':'694' },'4836':{ 'id':4836,'output':true,'number':'1900' },'4837':{ 'id':4837,'output':true,'number':'2300' },'4838':{ 'id':4838,'output':true,'number':'509' },'4839':{ 'id':4839,'output':true,'number':'44' },'4840':{ 'id':4840,'output':true,'number':'284' },'4841':{ 'id':4841,'output':true,'number':'332' },'4842':{ 'id':4842,'output':true,'number':'2300' },'4843':{ 'id':4843,'output':true,'number':'1537' },'4844':{ 'id':4844,'output':true,'number':'584' },'4845':{ 'id':4845,'output':true,'number':'274' },'4846':{ 'id':4846,'output':true,'number':'300' },'4847':{ 'id':4847,'output':true,'number':'1' },'4848':{ 'id':4848,'output':true,'number':'40' },'4849':{ 'id':4849,'output':true,'number':'23' },'4850':{ 'id':4850,'output':true,'number':'1600' },'4851':{ 'id':4851,'output':true,'number':'2014' },'4852':{ 'id':4852,'output':true,'number':'44' },'4853':{ 'id':4853,'output':true,'number':'628' },'4854':{ 'id':4854,'output':true,'number':'485' },'4855':{ 'id':4855,'output':true,'number':'672' },'4856':{ 'id':4856,'output':true,'number':'1426' },'4857':{ 'id':4857,'output':true,'number':'789' },'4858':{ 'id':4858,'output':true,'number':'847' },'4859':{ 'id':4859,'output':true,'number':'280' },'4860':{ 'id':4860,'output':true,'number':'626' },'4861':{ 'id':4861,'output':true,'number':'1286-1294' },'4862':{ 'id':4862,'output':true,'number':'809' },'4863':{ 'id':4863,'output':true,'number':'413' },'4864':{ 'id':4864,'output':true,'number':'1600' },'4865':{ 'id':4865,'output':true,'number':'503' },'4866':{ 'id':4866,'output':true,'number':'575' },'4867':{ 'id':4867,'output':true,'number':'1784-1786' },'4868':{ 'id':4868,'output':true,'number':'1073' },'4869':{ 'id':4869,'output':true,'number':'783' },'4870':{ 'id':4870,'output':true,'number':'330' },'4871':{ 'id':4871,'output':true,'number':'267' },'4872':{ 'id':4872,'output':true,'number':'1784' },'4873':{ 'id':4873,'output':true,'number':'382a' },'4874':{ 'id':4874,'output':true,'number':'324' },'4875':{ 'id':4875,'output':true,'number':'666' },'4876':{ 'id':4876,'output':true,'number':'769' },'4877':{ 'id':4877,'output':true,'number':'600' },'4878':{ 'id':4878,'output':true,'number':'663' },'4879':{ 'id':4879,'output':true,'number':'299' },'4880':{ 'id':4880,'output':true,'number':'677' },'4881':{ 'id':4881,'output':true,'number':'1600' },'4882':{ 'id':4882,'output':true,'number':'817' },'4883':{ 'id':4883,'output':true,'number':'610' },'4884':{ 'id':4884,'output':true,'number':'1600' },'4885':{ 'id':4885,'output':true,'number':'255' },'4886':{ 'id':4886,'output':true,'number':'307' },'4887':{ 'id':4887,'output':true,'number':'716' },'4888':{ 'id':4888,'output':true,'number':'1938' },'4889':{ 'id':4889,'output':true,'number':'993' },'4890':{ 'id':4890,'output':true,'number':'1946' },'4891':{ 'id':4891,'output':true,'number':'2150' },'4892':{ 'id':4892,'output':true,'number':'55' },'4893':{ 'id':4893,'output':true,'number':'1' },'4894':{ 'id':4894,'output':true,'number':'400' },'4895':{ 'id':4895,'output':true,'number':'274' },'4896':{ 'id':4896,'output':true,'number':'1600' },'4897':{ 'id':4897,'output':true,'number':'300' },'4898':{ 'id':4898,'output':true,'number':'577' },'4899':{ 'id':4899,'output':true,'number':'2301' },'4900':{ 'id':4900,'output':true,'number':'127' },'4901':{ 'id':4901,'output':true,'number':'262' },'4902':{ 'id':4902,'output':true,'number':'686' },'4903':{ 'id':4903,'output':true,'number':'279' },'4904':{ 'id':4904,'output':true,'number':'253' },'4905':{ 'id':4905,'output':true,'number':'845' },'4906':{ 'id':4906,'output':true,'number':'196' },'4907':{ 'id':4907,'output':true,'number':'501' },'4908':{ 'id':4908,'output':true,'number':'1537' },'4909':{ 'id':4909,'output':true,'number':'769' },'4910':{ 'id':4910,'output':true,'number':'27' },'4911':{ 'id':4911,'output':true,'number':'500' },'4912':{ 'id':4912,'output':true,'number':'651' },'4913':{ 'id':4913,'output':true,'number':'592' },'4914':{ 'id':4914,'output':true,'number':'1600' },'4915':{ 'id':4915,'output':true,'number':'453' },'4916':{ 'id':4916,'output':true,'number':'415' },'4917':{ 'id':4917,'output':true,'number':'1938' },'4918':{ 'id':4918,'output':true,'number':'1239' },'4919':{ 'id':4919,'output':true,'number':'30' },'4920':{ 'id':4920,'output':true,'number':'1546-1548' },'4921':{ 'id':4921,'output':true,'number':'27' },'4922':{ 'id':4922,'output':true,'number':'441' },'4923':{ 'id':4923,'output':true,'number':'401' },'4924':{ 'id':4924,'output':true,'number':'2000' },'4925':{ 'id':4925,'output':true,'number':'610' },'4926':{ 'id':4926,'output':true,'number':'312' },'4927':{ 'id':4927,'output':true,'number':'423' },'4928':{ 'id':4928,'output':true,'number':'417' },'4929':{ 'id':4929,'output':true,'number':'26' },'4930':{ 'id':4930,'output':true,'number':'662' },'4931':{ 'id':4931,'output':true,'number':'2300' },'4932':{ 'id':4932,'output':true,'number':'1306' },'4933':{ 'id':4933,'output':true,'number':'563' },'4934':{ 'id':4934,'output':true,'number':'666' },'4935':{ 'id':4935,'output':true,'number':'957' },'4936':{ 'id':4936,'output':true,'number':'341' },'4937':{ 'id':4937,'output':true,'number':'497' },'4938':{ 'id':4938,'output':true,'number':'439' },'4939':{ 'id':4939,'output':true,'number':'471' },'4940':{ 'id':4940,'output':true,'number':'672' },'4941':{ 'id':4941,'output':true,'number':'25' },'4942':{ 'id':4942,'output':true,'number':'2300' },'4943':{ 'id':4943,'output':true,'number':'503' },'4944':{ 'id':4944,'output':true,'number':'719' },'4945':{ 'id':4945,'output':true,'number':'496' },'4946':{ 'id':4946,'output':true,'number':'380-382' },'4947':{ 'id':4947,'output':true,'number':'29' },'4948':{ 'id':4948,'output':true,'number':'726' },'4949':{ 'id':4949,'output':true,'number':'431' },'4950':{ 'id':4950,'output':true,'number':'1744' },'4951':{ 'id':4951,'output':true,'number':'543' },'4952':{ 'id':4952,'output':true,'number':'675' },'4953':{ 'id':4953,'output':true,'number':'672' },'4954':{ 'id':4954,'output':true,'number':'169' },'4955':{ 'id':4955,'output':true,'number':'757' },'4956':{ 'id':4956,'output':true,'number':'691' },'4957':{ 'id':4957,'output':true,'number':'652' },'4958':{ 'id':4958,'output':true,'number':'288' },'4959':{ 'id':4959,'output':true,'number':'491' },'4960':{ 'id':4960,'output':true,'number':'1326' },'4961':{ 'id':4961,'output':true,'number':'66' },'4962':{ 'id':4962,'output':true,'number':'1601' },'4963':{ 'id':4963,'output':true,'number':'44' },'4964':{ 'id':4964,'output':true,'number':'1600' },'4965':{ 'id':4965,'output':true,'number':'95' },'4966':{ 'id':4966,'output':true,'number':'25' },'4967':{ 'id':4967,'output':true,'number':'462a' },'4968':{ 'id':4968,'output':true,'number':'724' },'4969':{ 'id':4969,'output':true,'number':'27' },'4970':{ 'id':4970,'output':true,'number':'2301' },'4971':{ 'id':4971,'output':true,'number':'1516' },'4972':{ 'id':4972,'output':true,'number':'255' },'4973':{ 'id':4973,'output':true,'number':'96' },'4974':{ 'id':4974,'output':true,'number':'370' },'4975':{ 'id':4975,'output':true,'number':'588' },'4976':{ 'id':4976,'output':true,'number':'335' },'4977':{ 'id':4977,'output':true,'number':'44' },'4978':{ 'id':4978,'output':true,'number':'30' },'4979':{ 'id':4979,'output':true,'number':'1942' },'4980':{ 'id':4980,'output':true,'number':'637' },'4981':{ 'id':4981,'output':true,'number':'1629' },'4982':{ 'id':4982,'output':true,'number':'44' },'4983':{ 'id':4983,'output':true,'number':'2323' },'4984':{ 'id':4984,'output':true,'number':'298' },'4985':{ 'id':4985,'output':true,'number':'589' },'4986':{ 'id':4986,'output':true,'number':'380' },'4987':{ 'id':4987,'output':true,'number':'336' },'4988':{ 'id':4988,'output':true,'number':'1600' },'4989':{ 'id':4989,'output':true,'number':'287' },'4990':{ 'id':4990,'output':true,'number':'23' },'4991':{ 'id':4991,'output':true,'number':'332' },'4992':{ 'id':4992,'output':true,'number':'44' },'4993':{ 'id':4993,'output':true,'number':'457' },'4994':{ 'id':4994,'output':true,'number':'312' },'4995':{ 'id':4995,'output':true,'number':'485' },'4996':{ 'id':4996,'output':true,'number':'490' },'4997':{ 'id':4997,'output':true,'number':'499' },'4998':{ 'id':4998,'output':true,'number':'1938' },'4999':{ 'id':4999,'output':true,'number':'36' },'5000':{ 'id':5000,'output':true,'number':'63' },'5001':{ 'id':5001,'output':true,'number':'2323' },'5002':{ 'id':5002,'output':true,'number':'169' },'5003':{ 'id':5003,'output':true,'number':'268' },'5004':{ 'id':5004,'output':true,'number':'769' },'5005':{ 'id':5005,'output':true,'number':'324' },'5006':{ 'id':5006,'output':true,'number':'2254' },'5007':{ 'id':5007,'output':true,'number':'1045' },'5008':{ 'id':5008,'output':true,'number':'504' },'5009':{ 'id':5009,'output':true,'number':'588' },'5010':{ 'id':5010,'output':true,'number':'573' },'5011':{ 'id':5011,'output':true,'number':'1383' },'5012':{ 'id':5012,'output':true,'number':'2227' },'5013':{ 'id':5013,'output':true,'number':'449' },'5014':{ 'id':5014,'output':true,'number':'1946' },'5015':{ 'id':5015,'output':true,'number':'503' },'5016':{ 'id':5016,'output':true,'number':'2000' },'5017':{ 'id':5017,'output':true,'number':'1938' },'5018':{ 'id':5018,'output':true,'number':'779' },'5019':{ 'id':5019,'output':true,'number':'658' },'5020':{ 'id':5020,'output':true,'number':'225' },'5021':{ 'id':5021,'output':true,'number':'61' },'5022':{ 'id':5022,'output':true,'number':'280' },'5023':{ 'id':5023,'output':true,'number':'461' },'5024':{ 'id':5024,'output':true,'number':'546' },'5025':{ 'id':5025,'output':true,'number':'592' },'5026':{ 'id':5026,'output':true,'number':'801' },'5027':{ 'id':5027,'output':true,'number':'580' },'5028':{ 'id':5028,'output':true,'number':'1' },'5029':{ 'id':5029,'output':true,'number':'590' },'5030':{ 'id':5030,'output':true,'number':'489' },'5031':{ 'id':5031,'output':true,'number':'710' },'5032':{ 'id':5032,'output':true,'number':'2271' },'5033':{ 'id':5033,'output':true,'number':'789' },'5034':{ 'id':5034,'output':true,'number':'55' },'5035':{ 'id':5035,'output':true,'number':'218' },'5036':{ 'id':5036,'output':true,'number':'652' },'5037':{ 'id':5037,'output':true,'number':'1600' },'5038':{ 'id':5038,'output':true,'number':'637-651' },'5039':{ 'id':5039,'output':true,'number':'255' },'5040':{ 'id':5040,'output':true,'number':'489' },'5041':{ 'id':5041,'output':true,'number':'648' },'5042':{ 'id':5042,'output':true,'number':'600' },'5043':{ 'id':5043,'output':true,'number':'1784' },'5044':{ 'id':5044,'output':true,'number':'472' },'5045':{ 'id':5045,'output':true,'number':'1946' },'5046':{ 'id':5046,'output':true,'number':'2300' },'5047':{ 'id':5047,'output':true,'number':'683' },'5048':{ 'id':5048,'output':true,'number':'541-543' },'5049':{ 'id':5049,'output':true,'number':'312' },'5050':{ 'id':5050,'output':true,'number':'2000' },'5051':{ 'id':5051,'output':true,'number':'1426' },'5052':{ 'id':5052,'output':true,'number':'70' },'5053':{ 'id':5053,'output':true,'number':'44' },'5054':{ 'id':5054,'output':true,'number':'2311' },'5055':{ 'id':5055,'output':true,'number':'1938' },'5056':{ 'id':5056,'output':true,'number':'669' },'5057':{ 'id':5057,'output':true,'number':'202' },'5058':{ 'id':5058,'output':true,'number':'2300' },'5059':{ 'id':5059,'output':true,'number':'172' },'5060':{ 'id':5060,'output':true,'number':'1938' },'5061':{ 'id':5061,'output':true,'number':'628' },'5062':{ 'id':5062,'output':true,'number':'2251' },'5063':{ 'id':5063,'output':true,'number':'1599' },'5064':{ 'id':5064,'output':true,'number':'2310' },'5065':{ 'id':5065,'output':true,'number':'44' },'5066':{ 'id':5066,'output':true,'number':'130' },'5067':{ 'id':5067,'output':true,'number':'2000' },'5068':{ 'id':5068,'output':true,'number':'455' },'5069':{ 'id':5069,'output':true,'number':'30' },'5070':{ 'id':5070,'output':true,'number':'2223' },'5071':{ 'id':5071,'output':true,'number':'1876' },'5072':{ 'id':5072,'output':true,'number':'20' },'5073':{ 'id':5073,'output':true,'number':'1' },'5074':{ 'id':5074,'output':true,'number':'2300' },'5075':{ 'id':5075,'output':true,'number':'2323' },'5076':{ 'id':5076,'output':true,'number':'42' },'5077':{ 'id':5077,'output':true,'number':'220' },'5078':{ 'id':5078,'output':true,'number':'44' },'5079':{ 'id':5079,'output':true,'number':'44' },'5080':{ 'id':5080,'output':true,'number':'2323' },'5081':{ 'id':5081,'output':true,'number':'2271' },'5082':{ 'id':5082,'output':true,'number':'390' },'5083':{ 'id':5083,'output':true,'number':'10' },'5084':{ 'id':5084,'output':true,'number':'461' },'5085':{ 'id':5085,'output':true,'number':'2261' },'5086':{ 'id':5086,'output':true,'number':'2345' },'5087':{ 'id':5087,'output':true,'number':'204' },'5088':{ 'id':5088,'output':true,'number':'2000' },'5089':{ 'id':5089,'output':true,'number':'2000' },'5090':{ 'id':5090,'output':true,'number':'803' },'5091':{ 'id':5091,'output':true,'number':'2227' },'5092':{ 'id':5092,'output':true,'number':'30' },'5093':{ 'id':5093,'output':true,'number':'805' },'5094':{ 'id':5094,'output':true,'number':'116' },'5095':{ 'id':5095,'output':true,'number':'1349' },'5096':{ 'id':5096,'output':true,'number':'2223' },'5097':{ 'id':5097,'output':true,'number':'561' },'5098':{ 'id':5098,'output':true,'number':'324' },'5099':{ 'id':5099,'output':true,'number':'857' },'5100':{ 'id':5100,'output':true,'number':'44' },'5101':{ 'id':5101,'output':true,'number':'853' },'5102':{ 'id':5102,'output':true,'number':'786-788' },'5103':{ 'id':5103,'output':true,'number':'1308' },'5104':{ 'id':5104,'output':true,'number':'145' },'5105':{ 'id':5105,'output':true,'number':'27' },'5106':{ 'id':5106,'output':true,'number':'688' },'5107':{ 'id':5107,'output':true,'number':'88' },'5108':{ 'id':5108,'output':true,'number':'1600' },'5109':{ 'id':5109,'output':true,'number':'512' },'5110':{ 'id':5110,'output':true,'number':'1938' },'5111':{ 'id':5111,'output':true,'number':'1353' },'5112':{ 'id':5112,'output':true,'number':'472' },'5113':{ 'id':5113,'output':true,'number':'62' },'5114':{ 'id':5114,'output':true,'number':'222' },'5115':{ 'id':5115,'output':true,'number':'1600' },'5116':{ 'id':5116,'output':true,'number':'1946' },'5117':{ 'id':5117,'output':true,'number':'662' },'5118':{ 'id':5118,'output':true,'number':'20' },'5119':{ 'id':5119,'output':true,'number':'20' },'5120':{ 'id':5120,'output':true,'number':'497' },'5121':{ 'id':5121,'output':true,'number':'445' },'5122':{ 'id':5122,'output':true,'number':'2323' },'5123':{ 'id':5123,'output':true,'number':'40' },'5124':{ 'id':5124,'output':true,'number':'303' },'5125':{ 'id':5125,'output':true,'number':'116' },'5126':{ 'id':5126,'output':true,'number':'2071' },'5127':{ 'id':5127,'output':true,'number':'2362r' },'5128':{ 'id':5128,'output':true,'number':'2291' },'5129':{ 'id':5129,'output':true,'number':'44' },'5130':{ 'id':5130,'output':true,'number':'20' },'5131':{ 'id':5131,'output':true,'number':'445' },'5132':{ 'id':5132,'output':true,'number':'1600' },'5133':{ 'id':5133,'output':true,'number':'44' },'5134':{ 'id':5134,'output':true,'number':'2000' },'5135':{ 'id':5135,'output':true,'number':'987' },'5136':{ 'id':5136,'output':true,'number':'401' },'5137':{ 'id':5137,'output':true,'number':'861-865' },'5138':{ 'id':5138,'output':true,'number':'751' },'5139':{ 'id':5139,'output':true,'number':'392' },'5140':{ 'id':5140,'output':true,'number':'1946' },'5141':{ 'id':5141,'output':true,'number':'44' },'5142':{ 'id':5142,'output':true,'number':'471' },'5143':{ 'id':5143,'output':true,'number':'455' },'5144':{ 'id':5144,'output':true,'number':'2000' },'5145':{ 'id':5145,'output':true,'number':'450' },'5146':{ 'id':5146,'output':true,'number':'415' },'5147':{ 'id':5147,'output':true,'number':'44' },'5148':{ 'id':5148,'output':true,'number':'1942' },'5149':{ 'id':5149,'output':true,'number':'27' },'5150':{ 'id':5150,'output':true,'number':'255' },'5151':{ 'id':5151,'output':true,'number':'44' },'5152':{ 'id':5152,'output':true,'number':'23' },'5153':{ 'id':5153,'output':true,'number':'1946' },'5154':{ 'id':5154,'output':true,'number':'405' },'5155':{ 'id':5155,'output':true,'number':'27' },'5156':{ 'id':5156,'output':true,'number':'419' },'5157':{ 'id':5157,'output':true,'number':'487' },'5158':{ 'id':5158,'output':true,'number':'34' },'5159':{ 'id':5159,'output':true,'number':'27' },'5160':{ 'id':5160,'output':true,'number':'761' },'5161':{ 'id':5161,'output':true,'number':'16' },'5162':{ 'id':5162,'output':true,'number':'596' },'5163':{ 'id':5163,'output':true,'number':'1600' },'5164':{ 'id':5164,'output':true,'number':'275' },'5165':{ 'id':5165,'output':true,'number':'537' },'5166':{ 'id':5166,'output':true,'number':'116' },'5167':{ 'id':5167,'output':true,'number':'2150' },'5168':{ 'id':5168,'output':true,'number':'1587a' },'5169':{ 'id':5169,'output':true,'number':'471' },'5170':{ 'id':5170,'output':true,'number':'300' },'5171':{ 'id':5171,'output':true,'number':'626' },'5172':{ 'id':5172,'output':true,'number':'2251' },'5173':{ 'id':5173,'output':true,'number':'370' },'5174':{ 'id':5174,'output':true,'number':'519' },'5175':{ 'id':5175,'output':true,'number':'935' },'5176':{ 'id':5176,'output':true,'number':'2322' },'5177':{ 'id':5177,'output':true,'number':'36' },'5178':{ 'id':5178,'output':true,'number':'1942' },'5179':{ 'id':5179,'output':true,'number':'44' },'5180':{ 'id':5180,'output':true,'number':'44' },'5181':{ 'id':5181,'output':true,'number':'1157' },'5182':{ 'id':5182,'output':true,'number':'497' },'5183':{ 'id':5183,'output':true,'number':'23' },'5184':{ 'id':5184,'output':true,'number':'457' },'5185':{ 'id':5185,'output':true,'number':'785' },'5186':{ 'id':5186,'output':true,'number':'44' },'5187':{ 'id':5187,'output':true,'number':'562' },'5188':{ 'id':5188,'output':true,'number':'462' },'5189':{ 'id':5189,'output':true,'number':'1185' },'5190':{ 'id':5190,'output':true,'number':'809' },'5191':{ 'id':5191,'output':true,'number':'789' },'5192':{ 'id':5192,'output':true,'number':'1047' },'5193':{ 'id':5193,'output':true,'number':'761' },'5194':{ 'id':5194,'output':true,'number':'669' },'5195':{ 'id':5195,'output':true,'number':'655' },'5196':{ 'id':5196,'output':true,'number':'2345' },'5197':{ 'id':5197,'output':true,'number':'666' },'5198':{ 'id':5198,'output':true,'number':'27' },'5199':{ 'id':5199,'output':true,'number':'1938-1946' },'5200':{ 'id':5200,'output':true,'number':'209' },'5201':{ 'id':5201,'output':true,'number':'724' },'5202':{ 'id':5202,'output':true,'number':'618' },'5203':{ 'id':5203,'output':true,'number':'407' },'5204':{ 'id':5204,'output':true,'number':'401' },'5205':{ 'id':5205,'output':true,'number':'1942' },'5206':{ 'id':5206,'output':true,'number':'588' },'5207':{ 'id':5207,'output':true,'number':'30' },'5208':{ 'id':5208,'output':true,'number':'2000' },'5209':{ 'id':5209,'output':true,'number':'44' },'5210':{ 'id':5210,'output':true,'number':'455' },'5211':{ 'id':5211,'output':true,'number':'457' },'5212':{ 'id':5212,'output':true,'number':'44' },'5213':{ 'id':5213,'output':true,'number':'677' },'5214':{ 'id':5214,'output':true,'number':'669' },'5215':{ 'id':5215,'output':true,'number':'1137' },'5216':{ 'id':5216,'output':true,'number':'30' },'5217':{ 'id':5217,'output':true,'number':'1600' },'5218':{ 'id':5218,'output':true,'number':'666' },'5219':{ 'id':5219,'output':true,'number':'1211' },'5220':{ 'id':5220,'output':true,'number':'44' },'5221':{ 'id':5221,'output':true,'number':'1213-1215' },'5222':{ 'id':5222,'output':true,'number':'1600' },'5223':{ 'id':5223,'output':true,'number':'2364' },'5224':{ 'id':5224,'output':true,'number':'1' },'5225':{ 'id':5225,'output':true,'number':'27' },'5226':{ 'id':5226,'output':true,'number':'44' },'5227':{ 'id':5227,'output':true,'number':'1207' },'5228':{ 'id':5228,'output':true,'number':'282' },'5229':{ 'id':5229,'output':true,'number':'1938' },'5230':{ 'id':5230,'output':true,'number':'370' },'5231':{ 'id':5231,'output':true,'number':'1771' },'5232':{ 'id':5232,'output':true,'number':'549' },'5233':{ 'id':5233,'output':true,'number':'1191' },'5234':{ 'id':5234,'output':true,'number':'389' },'5235':{ 'id':5235,'output':true,'number':'419' },'5236':{ 'id':5236,'output':true,'number':'274' },'5237':{ 'id':5237,'output':true,'number':'145a' },'5238':{ 'id':5238,'output':true,'number':'44' },'5239':{ 'id':5239,'output':true,'number':'11' },'5240':{ 'id':5240,'output':true,'number':'1135-1137' },'5241':{ 'id':5241,'output':true,'number':'30' },'5242':{ 'id':5242,'output':true,'number':'2323' },'5243':{ 'id':5243,'output':true,'number':'429' },'5244':{ 'id':5244,'output':true,'number':'399' },'5245':{ 'id':5245,'output':true,'number':'2300' },'5246':{ 'id':5246,'output':true,'number':'169' },'5247':{ 'id':5247,'output':true,'number':'637' },'5248':{ 'id':5248,'output':true,'number':'2300' },'5249':{ 'id':5249,'output':true,'number':'2300' },'5250':{ 'id':5250,'output':true,'number':'817' },'5251':{ 'id':5251,'output':true,'number':'441' },'5252':{ 'id':5252,'output':true,'number':'692' },'5253':{ 'id':5253,'output':true,'number':'809' },'5254':{ 'id':5254,'output':true,'number':'676' },'5255':{ 'id':5255,'output':true,'number':'2072' },'5256':{ 'id':5256,'output':true,'number':'36' },'5257':{ 'id':5257,'output':true,'number':'27' },'5258':{ 'id':5258,'output':true,'number':'2281' },'5259':{ 'id':5259,'output':true,'number':'1' },'5260':{ 'id':5260,'output':true,'number':'576' },'5261':{ 'id':5261,'output':true,'number':'209' },'5262':{ 'id':5262,'output':true,'number':'423' },'5263':{ 'id':5263,'output':true,'number':'1938' },'5264':{ 'id':5264,'output':true,'number':'1938' },'5265':{ 'id':5265,'output':true,'number':'439' },'5266':{ 'id':5266,'output':true,'number':'563' },'5267':{ 'id':5267,'output':true,'number':'377' },'5268':{ 'id':5268,'output':true,'number':'449' },'5269':{ 'id':5269,'output':true,'number':'797' },'5270':{ 'id':5270,'output':true,'number':'1600' },'5271':{ 'id':5271,'output':true,'number':'235' },'5272':{ 'id':5272,'output':true,'number':'1942' },'5273':{ 'id':5273,'output':true,'number':'1946' },'5274':{ 'id':5274,'output':true,'number':'497' },'5275':{ 'id':5275,'output':true,'number':'311' },'5276':{ 'id':5276,'output':true,'number':'548' },'5277':{ 'id':5277,'output':true,'number':'220' },'5278':{ 'id':5278,'output':true,'number':'332' },'5279':{ 'id':5279,'output':true,'number':'300' },'5280':{ 'id':5280,'output':true,'number':'1600' },'5281':{ 'id':5281,'output':true,'number':'1643' },'5282':{ 'id':5282,'output':true,'number':'708' },'5283':{ 'id':5283,'output':true,'number':'503' },'5284':{ 'id':5284,'output':true,'number':'457' },'5285':{ 'id':5285,'output':true,'number':'1942' },'5286':{ 'id':5286,'output':true,'number':'586' },'5287':{ 'id':5287,'output':true,'number':'44' },'5288':{ 'id':5288,'output':true,'number':'40' },'5289':{ 'id':5289,'output':true,'number':'461' },'5290':{ 'id':5290,'output':true,'number':'241' },'5291':{ 'id':5291,'output':true,'number':'2301' },'5292':{ 'id':5292,'output':true,'number':'222' },'5293':{ 'id':5293,'output':true,'number':'2000' },'5294':{ 'id':5294,'output':true,'number':'44' },'5295':{ 'id':5295,'output':true,'number':'44' },'5296':{ 'id':5296,'output':true,'number':'108' },'5297':{ 'id':5297,'output':true,'number':'44' },'5298':{ 'id':5298,'output':true,'number':'360' },'5299':{ 'id':5299,'output':true,'number':'415' },'5300':{ 'id':5300,'output':true,'number':'638' },'5301':{ 'id':5301,'output':true,'number':'399' },'5302':{ 'id':5302,'output':true,'number':'638' },'5303':{ 'id':5303,'output':true,'number':'586' },'5304':{ 'id':5304,'output':true,'number':'305' },'5305':{ 'id':5305,'output':true,'number':'36' },'5306':{ 'id':5306,'output':true,'number':'196' },'5307':{ 'id':5307,'output':true,'number':'488' },'5308':{ 'id':5308,'output':true,'number':'322' },'5309':{ 'id':5309,'output':true,'number':'588' },'5310':{ 'id':5310,'output':true,'number':'1938' },'5311':{ 'id':5311,'output':true,'number':'724' },'5312':{ 'id':5312,'output':true,'number':'2000' },'5313':{ 'id':5313,'output':true,'number':'609a' },'5314':{ 'id':5314,'output':true,'number':'280' },'5315':{ 'id':5315,'output':true,'number':'2000' },'5316':{ 'id':5316,'output':true,'number':'1946' },'5317':{ 'id':5317,'output':true,'number':'1600' },'5318':{ 'id':5318,'output':true,'number':'769' } },
        { 'type':'MultiLineString','coordinates':[[[-71.311515,42.276278],[-71.311406,42.276356],[-71.311302,42.27643],[-71.311174,42.276521],[-71.31095,42.27668],[-71.31058,42.27694],[-71.310353,42.2771],[-71.31011,42.277284],[-71.309907,42.277494],[-71.309681,42.277773],[-71.309632,42.277854],[-71.309495,42.278102],[-71.309074,42.278831],[-71.308953,42.279],[-71.308878,42.279104],[-71.30856,42.27959],[-71.308428,42.279802],[-71.308003,42.280381],[-71.307586,42.28093],[-71.30754,42.28108],[-71.307519,42.281153],[-71.307458,42.281411],[-71.30742,42.281709],[-71.307331,42.282071],[-71.307169,42.282412],[-71.306951,42.28271],[-71.306651,42.283038],[-71.3064,42.283299],[-71.30607,42.28361],[-71.30576,42.283911],[-71.30539,42.28417],[-71.304964,42.284411],[-71.30423,42.28468],[-71.303976,42.284779],[-71.303867,42.284821],[-71.303572,42.285022],[-71.303299,42.28535],[-71.303181,42.28555],[-71.303079,42.285771],[-71.303021,42.285981],[-71.302968,42.286363],[-71.30294,42.286771],[-71.302888,42.287059],[-71.3028,42.287251],[-71.30255,42.287539],[-71.30204,42.288094],[-71.301612,42.288561],[-71.301368,42.288797],[-71.300846,42.28914],[-71.30066,42.289293],[-71.300119,42.28975]],[[-71.117,42.331732],[-71.11726,42.33176],[-71.117387,42.331775],[-71.117517,42.331799],[-71.117591,42.331818],[-71.117623,42.33183],[-71.117923,42.331976],[-71.118021,42.332037],[-71.118102,42.332112],[-71.118229,42.332245],[-71.118324,42.332355],[-71.118431,42.332498]],[[-71.276759,42.310023],[-71.276138,42.31065],[-71.276024,42.310767],[-71.275375,42.311441],[-71.275133,42.311692],[-71.275084,42.311743],[-71.274988,42.311843],[-71.274204,42.312649],[-71.273795,42.313074]],[[-71.114607,42.331748],[-71.11417,42.331733],[-71.113823,42.331734]],[[-71.289584,42.297859],[-71.289474,42.297961],[-71.289366,42.298091],[-71.288774,42.298948],[-71.288146,42.299875],[-71.287942,42.300181],[-71.287876,42.30028],[-71.287594,42.300683],[-71.287352,42.301017],[-71.287105,42.301343],[-71.286867,42.301642],[-71.286609,42.301936],[-71.286197,42.302424],[-71.28599,42.302635],[-71.285387,42.303247],[-71.285009,42.303621],[-71.284624,42.303957],[-71.284348,42.304165],[-71.28358,42.30474],[-71.282176,42.305761],[-71.281698,42.306095],[-71.280612,42.30684]],[[-71.300119,42.28975],[-71.300038,42.289795],[-71.299151,42.290282],[-71.298973,42.29038],[-71.298426,42.290721],[-71.298167,42.290883],[-71.2979,42.29105],[-71.297354,42.291404],[-71.297099,42.291571],[-71.29693,42.29168],[-71.29628,42.29211],[-71.296147,42.292211],[-71.29569,42.29256],[-71.29551,42.2927],[-71.29504,42.293111],[-71.29488,42.29325],[-71.29454,42.29355],[-71.294288,42.293745],[-71.294034,42.29398],[-71.293813,42.294216],[-71.293671,42.294382],[-71.293563,42.294541],[-71.293476,42.294707],[-71.293414,42.29485],[-71.293358,42.295023],[-71.293325,42.295188],[-71.293302,42.295338],[-71.293236,42.295634],[-71.293168,42.295861],[-71.292997,42.296384],[-71.292965,42.296481]],[[-71.273795,42.313074],[-71.273638,42.313242],[-71.273568,42.313317],[-71.273517,42.313367],[-71.273457,42.313424],[-71.273396,42.313475],[-71.273323,42.313531],[-71.273245,42.313588],[-71.273162,42.313643],[-71.273081,42.313694],[-71.273002,42.313744],[-71.272501,42.314055]],[[-71.134796,42.339034],[-71.134765,42.339017],[-71.134669,42.338968],[-71.13456,42.338915],[-71.134448,42.338868],[-71.134333,42.338825],[-71.134229,42.338792],[-71.134102,42.338756],[-71.133983,42.338727],[-71.133861,42.338702],[-71.133726,42.338677],[-71.133015,42.338576],[-71.132782,42.338546],[-71.131468,42.338364],[-71.131391,42.338354],[-71.13109,42.338315],[-71.130872,42.338295],[-71.13065,42.33828],[-71.13043,42.33827],[-71.13017,42.33828],[-71.12996,42.33831],[-71.12971,42.33836],[-71.129516,42.338415],[-71.1294,42.338442],[-71.12917,42.33847],[-71.128964,42.338479],[-71.12883,42.33847],[-71.12862,42.33845],[-71.128401,42.3384],[-71.1282,42.33832],[-71.12788,42.33816],[-71.12756,42.33798],[-71.1273,42.3378],[-71.127,42.33757],[-71.12687,42.33746],[-71.12645,42.33705],[-71.126351,42.336949],[-71.126278,42.336874]],[[-71.114736,42.331871],[-71.114961,42.33187],[-71.115355,42.331876],[-71.1158,42.331879],[-71.116197,42.331848],[-71.116454,42.331811],[-71.117,42.331732]],[[-71.117167,42.33158],[-71.116823,42.331604],[-71.11605,42.3317],[-71.11569,42.33175],[-71.115428,42.33175],[-71.11476,42.331748]],[[-71.139986,42.342146],[-71.1398,42.34204],[-71.139749,42.342012],[-71.13909,42.341623],[-71.13879,42.34148],[-71.1384,42.34131],[-71.13802,42.34114]],[[-71.232204,42.346548],[-71.232128,42.346594],[-71.232076,42.346622],[-71.232028,42.346644],[-71.23197,42.346669],[-71.231735,42.346754],[-71.231622,42.346794],[-71.231521,42.346833],[-71.231233,42.346956],[-71.231105,42.347009],[-71.230995,42.347051],[-71.230889,42.34709],[-71.230801,42.347119],[-71.230728,42.347141],[-71.230656,42.34716],[-71.230581,42.347178]],[[-71.11875,42.33289],[-71.118709,42.332757],[-71.118678,42.332691],[-71.11862,42.332601]],[[-71.229325,42.34852],[-71.229876,42.348269],[-71.230038,42.3482],[-71.230104,42.348176],[-71.230172,42.348154],[-71.230237,42.348135],[-71.230307,42.348118],[-71.230374,42.348105],[-71.230451,42.348092],[-71.230521,42.348083],[-71.230606,42.348073],[-71.230676,42.348067],[-71.230755,42.348063],[-71.230827,42.34806],[-71.230899,42.348059],[-71.23119,42.348058]],[[-71.150152,42.348635],[-71.149958,42.348409],[-71.149755,42.348185],[-71.149649,42.348074],[-71.149368,42.347754],[-71.149047,42.347457],[-71.148651,42.347198],[-71.148344,42.347019],[-71.148043,42.346857],[-71.147731,42.346747],[-71.147316,42.346582],[-71.146736,42.346341],[-71.146514,42.346247],[-71.146351,42.346167],[-71.146238,42.346106],[-71.146096,42.345986],[-71.145862,42.345755],[-71.145661,42.345523],[-71.14556,42.345413],[-71.145335,42.345203],[-71.145049,42.344963],[-71.144841,42.344823],[-71.144594,42.344658],[-71.144543,42.344623],[-71.144234,42.34446],[-71.143728,42.34419],[-71.143483,42.344064],[-71.143109,42.343878],[-71.143051,42.343846],[-71.142971,42.343801],[-71.142866,42.34374],[-71.142828,42.343716],[-71.142757,42.343677],[-71.142675,42.343629],[-71.142653,42.343617],[-71.142313,42.343409],[-71.142112,42.343287],[-71.141918,42.343189],[-71.141518,42.342952],[-71.141013,42.342674],[-71.140658,42.342501],[-71.140427,42.342395],[-71.14013,42.342227],[-71.139986,42.342146]],[[-71.167374,42.350554],[-71.166568,42.350478],[-71.166451,42.350466],[-71.166336,42.350452],[-71.166226,42.350437],[-71.166128,42.350423],[-71.166018,42.350405],[-71.165906,42.350385],[-71.165799,42.350363],[-71.165688,42.350339],[-71.165583,42.350314],[-71.165397,42.35027],[-71.165132,42.350185],[-71.164854,42.350048],[-71.164714,42.34997],[-71.164583,42.349881],[-71.164262,42.349668],[-71.163744,42.349328],[-71.163542,42.349216],[-71.163385,42.349131],[-71.163333,42.349115],[-71.163103,42.349062],[-71.162832,42.349024],[-71.162425,42.348995],[-71.162138,42.348989],[-71.161622,42.348964],[-71.161377,42.348956],[-71.161256,42.348955],[-71.160437,42.348916]],[[-71.226834,42.349296],[-71.226742,42.349301],[-71.226661,42.349307],[-71.226568,42.349318],[-71.226479,42.34933],[-71.226381,42.349344]],[[-71.225342,42.349367],[-71.225424,42.349394],[-71.2255,42.349412],[-71.225582,42.349427],[-71.22568,42.349441],[-71.225851,42.34946],[-71.22594,42.349466]],[[-71.22618,42.349456],[-71.226232,42.34945],[-71.226284,42.349443],[-71.226343,42.349434],[-71.226502,42.349404],[-71.226586,42.349384],[-71.226668,42.349361],[-71.226748,42.349332],[-71.226834,42.349296]],[[-71.225342,42.349367],[-71.224575,42.349297],[-71.223716,42.349212],[-71.223509,42.349196],[-71.223451,42.349193],[-71.223325,42.349188],[-71.22312,42.349184],[-71.223067,42.349184],[-71.222864,42.349182],[-71.222151,42.349182],[-71.221539,42.349183],[-71.221337,42.349189],[-71.221164,42.3492],[-71.221013,42.349217],[-71.220836,42.349244],[-71.220656,42.349276],[-71.219707,42.349476],[-71.21905,42.349618],[-71.218324,42.349774],[-71.216712,42.350143],[-71.215843,42.350331],[-71.215701,42.350366],[-71.215557,42.350408],[-71.215373,42.350462],[-71.215219,42.350513],[-71.215075,42.350564],[-71.214936,42.350621],[-71.214829,42.350663],[-71.214685,42.350712],[-71.214555,42.350747],[-71.2144,42.350783],[-71.214262,42.350808],[-71.214123,42.350829],[-71.213965,42.350849],[-71.213785,42.350869],[-71.213618,42.350882],[-71.213415,42.35089],[-71.213215,42.350893],[-71.212948,42.350889],[-71.21276,42.350889],[-71.212508,42.350889],[-71.212258,42.350893],[-71.211986,42.350907],[-71.211767,42.350923],[-71.211543,42.350942]],[[-71.280612,42.30684],[-71.279884,42.30736],[-71.278795,42.308144],[-71.278581,42.308297]],[[-71.167659,42.350561],[-71.167542,42.350561],[-71.167455,42.350559],[-71.167374,42.350554]],[[-71.113344,42.331902],[-71.113675,42.331867],[-71.113917,42.331858],[-71.114161,42.331855],[-71.114577,42.331867]],[[-71.187723,42.356614],[-71.187868,42.356591],[-71.187991,42.356565],[-71.188132,42.356531],[-71.188317,42.356481],[-71.18859,42.356401],[-71.18868,42.356372],[-71.188768,42.356333],[-71.188875,42.356282]],[[-71.11476,42.331748],[-71.114607,42.331748]],[[-71.19679,42.354602],[-71.196533,42.354635],[-71.196397,42.354655],[-71.196272,42.35468],[-71.196173,42.354703],[-71.195697,42.354812],[-71.195177,42.35493],[-71.1951,42.354948],[-71.194684,42.355043]],[[-71.278581,42.308297],[-71.278215,42.308618],[-71.277458,42.309333],[-71.276759,42.310023]],[[-71.150394,42.349059],[-71.15038,42.348953]],[[-71.291895,42.296933],[-71.292171,42.296828],[-71.292517,42.296695],[-71.292686,42.296643],[-71.292907,42.296597]],[[-71.268588,42.316648],[-71.267785,42.317198],[-71.267587,42.317332],[-71.267012,42.317734],[-71.266732,42.317931],[-71.26612,42.31835],[-71.265354,42.318837],[-71.265185,42.318961],[-71.265008,42.319096],[-71.264853,42.319229],[-71.26475,42.319329],[-71.264647,42.319434],[-71.264575,42.319518],[-71.264486,42.319634],[-71.264415,42.319727],[-71.264259,42.319952],[-71.264181,42.320076],[-71.263676,42.321065],[-71.263652,42.321122],[-71.26362,42.321203],[-71.263586,42.32129],[-71.263512,42.321512],[-71.263388,42.321846],[-71.263322,42.322024],[-71.263252,42.322189],[-71.263178,42.322348],[-71.263089,42.322523],[-71.263021,42.322653],[-71.262966,42.32276],[-71.26291,42.32285],[-71.262697,42.323164],[-71.262649,42.323232],[-71.262522,42.323407],[-71.262458,42.323491],[-71.262394,42.323569],[-71.262314,42.323657],[-71.262216,42.32376],[-71.262162,42.323811],[-71.26198,42.323983],[-71.261907,42.324053],[-71.261831,42.324123],[-71.261316,42.324575],[-71.261238,42.324644],[-71.261168,42.324704],[-71.261117,42.324742],[-71.26107,42.324776],[-71.261021,42.324809],[-71.260976,42.324839],[-71.260931,42.324866],[-71.260901,42.324884],[-71.260866,42.324904],[-71.260821,42.324928],[-71.260778,42.324949],[-71.26072,42.324975],[-71.26066,42.325],[-71.260595,42.325025],[-71.26052,42.325049],[-71.260443,42.325072],[-71.260368,42.325092],[-71.260293,42.32511],[-71.260232,42.325124],[-71.260156,42.325139],[-71.260073,42.325152],[-71.259986,42.325164],[-71.259905,42.325174],[-71.259817,42.325181],[-71.259373,42.325214],[-71.258921,42.325248]],[[-71.291177,42.297183],[-71.291317,42.297137]],[[-71.2398,42.339679],[-71.239634,42.339934],[-71.239548,42.340058],[-71.239452,42.34019],[-71.239343,42.340333],[-71.239243,42.340446],[-71.239144,42.34055],[-71.238993,42.340694]],[[-71.194684,42.355043],[-71.194371,42.35507],[-71.194229,42.355084],[-71.194087,42.355098],[-71.193941,42.355116],[-71.193787,42.355138],[-71.193636,42.355163],[-71.193489,42.355188],[-71.193339,42.355217],[-71.193203,42.355246],[-71.192596,42.355372],[-71.191804,42.355537],[-71.191113,42.355689],[-71.190866,42.355747],[-71.190618,42.355806],[-71.1904,42.355861],[-71.189833,42.356014],[-71.188875,42.356282]],[[-71.291317,42.297137],[-71.291639,42.297029],[-71.291895,42.296933]],[[-71.118609,42.332734],[-71.11875,42.33289]],[[-71.194684,42.355043],[-71.194804,42.35505],[-71.194924,42.355047],[-71.195041,42.355042],[-71.195145,42.355032],[-71.195234,42.355016],[-71.195258,42.355011]],[[-71.114577,42.331867],[-71.114736,42.331871]],[[-71.184168,42.357396],[-71.184267,42.357406],[-71.184395,42.35741],[-71.184533,42.357403],[-71.184649,42.357391],[-71.184771,42.357369],[-71.185366,42.357252]],[[-71.240579,42.338327],[-71.240147,42.3391]],[[-71.24089,42.337766],[-71.240579,42.338327]],[[-71.211543,42.350942],[-71.211311,42.350964],[-71.210596,42.351057]],[[-71.185366,42.357252],[-71.185492,42.357218],[-71.18589,42.35711],[-71.186031,42.357072],[-71.186681,42.356896],[-71.186751,42.356877],[-71.186977,42.356816],[-71.187061,42.356793],[-71.187389,42.356704],[-71.187723,42.356614]],[[-71.240147,42.3391],[-71.240087,42.339205]],[[-71.240087,42.339205],[-71.239902,42.339511],[-71.2398,42.339679]],[[-71.250852,42.328991],[-71.250899,42.328977],[-71.25095,42.328961],[-71.251,42.328942],[-71.251056,42.328917],[-71.25111,42.328888],[-71.251166,42.328855],[-71.251283,42.328778],[-71.25153,42.328616]],[[-71.289584,42.297859],[-71.289712,42.29776],[-71.289778,42.297719],[-71.289854,42.297675],[-71.289954,42.297622],[-71.290068,42.297567],[-71.290102,42.297553],[-71.290248,42.297493],[-71.290565,42.297387],[-71.291177,42.297183]],[[-71.119077,42.333164],[-71.11903,42.33313],[-71.118913,42.333039],[-71.11885,42.33299],[-71.11875,42.33289]],[[-71.253162,42.327491],[-71.253392,42.327339],[-71.253491,42.327272],[-71.253545,42.327229],[-71.253604,42.32718],[-71.253656,42.327131],[-71.253782,42.327003]],[[-71.25153,42.328616],[-71.252286,42.328097]],[[-71.271908,42.314433],[-71.271108,42.314959],[-71.270886,42.315106],[-71.2703,42.315491],[-71.269754,42.31585],[-71.269243,42.31619],[-71.269143,42.316258],[-71.268796,42.316503],[-71.268588,42.316648]],[[-71.209143,42.351301],[-71.208621,42.351394],[-71.208112,42.351486],[-71.207309,42.35163]],[[-71.271999,42.314373],[-71.271908,42.314433]],[[-71.272501,42.314055],[-71.271999,42.314373]],[[-71.207309,42.35163],[-71.20594,42.351875]],[[-71.169329,42.351188],[-71.169274,42.351164],[-71.169219,42.351133],[-71.168743,42.350873],[-71.168683,42.350839],[-71.168622,42.350802],[-71.168457,42.350682],[-71.168425,42.35066],[-71.168387,42.350644],[-71.168351,42.350636],[-71.168304,42.350628],[-71.168122,42.350607],[-71.167805,42.350569],[-71.167732,42.350563],[-71.167659,42.350561]],[[-71.227812,42.349092],[-71.227717,42.349115],[-71.22762,42.349139],[-71.227453,42.349174]],[[-71.20594,42.351875],[-71.20502,42.352044],[-71.204584,42.352127],[-71.20412,42.35222],[-71.203755,42.352304]],[[-71.168123,42.351066],[-71.168202,42.351061],[-71.168289,42.351058],[-71.168382,42.351056],[-71.168618,42.351058],[-71.168734,42.351059],[-71.168787,42.351063],[-71.168851,42.351071],[-71.16891,42.351082],[-71.169108,42.351128],[-71.169185,42.351146],[-71.169255,42.351166],[-71.169329,42.351188]],[[-71.160437,42.348916],[-71.159904,42.348892],[-71.159612,42.348891],[-71.159326,42.348902],[-71.159156,42.348915],[-71.158996,42.348929],[-71.15883,42.34895],[-71.158654,42.348977],[-71.158236,42.349032],[-71.158025,42.349049],[-71.157808,42.349065],[-71.157388,42.349091],[-71.157079,42.34909]],[[-71.157079,42.34909],[-71.156658,42.3491]],[[-71.248506,42.330044],[-71.248442,42.330107],[-71.248383,42.33017],[-71.248329,42.330233],[-71.248275,42.3303],[-71.248198,42.330397],[-71.248115,42.330507],[-71.248019,42.33064],[-71.247478,42.331383],[-71.247403,42.331482],[-71.247329,42.33158]],[[-71.152954,42.349089],[-71.152771,42.349082]],[[-71.153429,42.349109],[-71.152954,42.349089]],[[-71.22594,42.349466],[-71.226035,42.349466],[-71.226093,42.349463],[-71.22618,42.349456]],[[-71.150152,42.348635],[-71.150194,42.348724]],[[-71.154106,42.349133],[-71.154023,42.349129],[-71.153429,42.349109]],[[-71.150194,42.348724],[-71.150215,42.348768],[-71.150267,42.348878],[-71.15038,42.348953]],[[-71.15038,42.348953],[-71.150378,42.348831],[-71.150305,42.348749],[-71.150152,42.348635]],[[-71.152771,42.349082],[-71.152615,42.349075],[-71.152091,42.349049],[-71.151199,42.34902],[-71.151002,42.349015]],[[-71.156658,42.3491],[-71.156475,42.349105],[-71.155746,42.349114],[-71.155224,42.349125],[-71.154715,42.349129],[-71.15442,42.349136],[-71.15418,42.349137],[-71.154106,42.349133]],[[-71.241005,42.337572],[-71.24089,42.337766]],[[-71.122615,42.334504],[-71.12207,42.33433],[-71.12166,42.33416],[-71.12143,42.33405],[-71.12124,42.33391],[-71.12089,42.33366],[-71.1208,42.33362],[-71.12061,42.33353],[-71.12041,42.33347],[-71.12003,42.33338],[-71.11961,42.33331],[-71.11937,42.33326],[-71.1192,42.33322],[-71.119077,42.333164]],[[-71.123198,42.334689],[-71.122615,42.334504]],[[-71.123601,42.33481],[-71.12353,42.33479],[-71.123323,42.334723],[-71.123198,42.334689]],[[-71.250492,42.329216],[-71.250419,42.329261],[-71.250357,42.329299],[-71.2503,42.329332],[-71.25024,42.329365],[-71.250175,42.329398],[-71.25011,42.329429],[-71.250047,42.329458],[-71.249982,42.329486],[-71.249917,42.329512],[-71.24985,42.329538],[-71.249783,42.329562],[-71.24967,42.3296],[-71.249493,42.329659],[-71.249212,42.329754]],[[-71.210596,42.351057],[-71.210362,42.351089],[-71.210129,42.351124],[-71.209143,42.351301]],[[-71.258921,42.325248],[-71.25875,42.325261],[-71.258679,42.325267]],[[-71.173942,42.353389],[-71.173518,42.353171],[-71.172602,42.352707],[-71.171749,42.352276],[-71.17089,42.351838],[-71.170557,42.35167],[-71.17044,42.351614],[-71.170318,42.35156],[-71.170186,42.351502],[-71.170079,42.351456],[-71.169957,42.351408],[-71.169773,42.351341],[-71.169648,42.351298],[-71.169329,42.351188]],[[-71.182669,42.356451],[-71.18255,42.356481],[-71.182404,42.356526],[-71.182295,42.356565],[-71.182058,42.356643]],[[-71.203755,42.352304],[-71.20356,42.352356],[-71.202216,42.352733],[-71.201224,42.353007],[-71.200965,42.353084],[-71.200821,42.353127],[-71.200678,42.353173],[-71.200534,42.353232],[-71.20038,42.353303],[-71.20019,42.353409],[-71.199888,42.353584],[-71.199754,42.353651],[-71.199617,42.353715],[-71.199441,42.353787],[-71.199258,42.353858],[-71.198911,42.353982],[-71.198187,42.354217],[-71.197896,42.35431],[-71.197688,42.354376],[-71.197476,42.354436],[-71.197208,42.354504],[-71.19679,42.354602]],[[-71.252286,42.328097],[-71.252444,42.32799],[-71.253162,42.327491]],[[-71.232425,42.346384],[-71.232204,42.346548]],[[-71.227453,42.349174],[-71.226834,42.349296]],[[-71.228487,42.348849],[-71.228143,42.348991]],[[-71.238993,42.340694],[-71.238625,42.341047]],[[-71.12595,42.33654],[-71.125658,42.336257]],[[-71.135162,42.339239],[-71.134796,42.339034]],[[-71.13593,42.339712],[-71.135863,42.33967],[-71.135539,42.339463]],[[-71.126278,42.336874],[-71.12607,42.33666],[-71.12595,42.33654]],[[-71.135539,42.339463],[-71.135366,42.339359],[-71.135334,42.339339],[-71.135162,42.339239]],[[-71.13802,42.34114],[-71.13781,42.34105],[-71.137591,42.340937],[-71.13752,42.3409],[-71.13728,42.34075],[-71.13689,42.34042],[-71.136144,42.339871],[-71.136024,42.339782],[-71.13593,42.339712]],[[-71.195258,42.355011],[-71.195319,42.354999],[-71.195752,42.354906]],[[-71.195752,42.354906],[-71.195891,42.354873],[-71.196234,42.354779],[-71.196385,42.354735],[-71.19652,42.35469],[-71.19679,42.354602]],[[-71.246039,42.332822],[-71.245926,42.332914],[-71.245604,42.333168],[-71.245511,42.333241],[-71.245423,42.333306]],[[-71.245423,42.333306],[-71.245007,42.33361]],[[-71.118431,42.332498],[-71.118445,42.332517],[-71.118463,42.332541],[-71.118609,42.332734]],[[-71.249212,42.329754],[-71.249167,42.329753],[-71.249124,42.329755],[-71.249076,42.329762],[-71.249027,42.329773],[-71.248971,42.329787],[-71.248896,42.329811],[-71.248815,42.32984],[-71.24876,42.329863],[-71.248701,42.32989],[-71.248647,42.329918],[-71.248609,42.329942],[-71.248576,42.329968],[-71.248546,42.329997],[-71.248506,42.330044]],[[-71.248506,42.330044],[-71.248582,42.330034],[-71.248633,42.330019],[-71.248683,42.33],[-71.248728,42.329981],[-71.248793,42.329949],[-71.248869,42.329917],[-71.248958,42.329884],[-71.249055,42.329849],[-71.249099,42.329832],[-71.249138,42.329812],[-71.249176,42.329786],[-71.249212,42.329754]],[[-71.247329,42.33158],[-71.247255,42.331674],[-71.247172,42.331773],[-71.247093,42.331868],[-71.247009,42.331961],[-71.24692,42.332055],[-71.246829,42.332143],[-71.246727,42.33224],[-71.24664,42.332321],[-71.246544,42.332405],[-71.246447,42.332488],[-71.246176,42.332712],[-71.246039,42.332822]],[[-71.125658,42.336257],[-71.12539,42.33598],[-71.12512,42.33566],[-71.12496,42.33546],[-71.12482,42.33532],[-71.12467,42.3352],[-71.12453,42.33513],[-71.12437,42.33505],[-71.12392,42.3349],[-71.123601,42.33481]],[[-71.184166,42.356266],[-71.1839,42.356297],[-71.183116,42.356377],[-71.182928,42.356404],[-71.182799,42.356424],[-71.182669,42.356451]],[[-71.11862,42.332601],[-71.118557,42.332496],[-71.118352,42.332198],[-71.118336,42.332174],[-71.118275,42.332109],[-71.118163,42.332001],[-71.118056,42.331925],[-71.117913,42.331855],[-71.117825,42.331815],[-71.117755,42.331735],[-71.11774,42.33161]],[[-71.232085,42.3473],[-71.232075,42.347225],[-71.232065,42.347171],[-71.232048,42.347106],[-71.232015,42.346999],[-71.232005,42.346958],[-71.232,42.346917],[-71.232002,42.346881],[-71.232011,42.346846],[-71.232025,42.346804],[-71.232044,42.346763],[-71.232067,42.34672],[-71.232087,42.346685],[-71.232113,42.346646],[-71.232151,42.346602],[-71.232204,42.346548]],[[-71.228953,42.348118],[-71.22895,42.348204],[-71.228945,42.348259],[-71.228935,42.348326],[-71.228927,42.348372],[-71.228915,42.348416],[-71.228896,42.348463],[-71.228866,42.348514],[-71.228832,42.348559],[-71.228794,42.348597],[-71.228737,42.348652],[-71.228668,42.348711],[-71.228599,42.348768],[-71.228487,42.348849]],[[-71.2289,42.347519],[-71.228889,42.347555],[-71.228882,42.347584],[-71.228878,42.34762],[-71.228879,42.347675],[-71.228885,42.347731],[-71.228925,42.347955],[-71.228953,42.348118]],[[-71.188875,42.356282],[-71.188723,42.356299],[-71.18863,42.356308],[-71.18855,42.356313],[-71.188477,42.356309],[-71.188411,42.356295],[-71.188359,42.356279],[-71.188298,42.356253],[-71.188235,42.356218],[-71.18818,42.35618]],[[-71.25313,42.327369],[-71.253043,42.327424],[-71.25297,42.327469],[-71.252874,42.327528],[-71.252719,42.327632],[-71.252202,42.327991]],[[-71.113823,42.331734],[-71.113783,42.331735],[-71.113525,42.331748],[-71.113345,42.33177]],[[-71.183443,42.356629],[-71.183503,42.35667],[-71.183565,42.356724],[-71.183622,42.356774],[-71.183678,42.356833]],[[-71.230581,42.347178],[-71.230443,42.347201],[-71.230291,42.347222],[-71.230149,42.347236],[-71.230001,42.347247],[-71.229857,42.347254],[-71.229427,42.347267],[-71.229353,42.347272],[-71.229286,42.347279],[-71.229222,42.34729],[-71.229172,42.347301],[-71.229128,42.347314],[-71.229085,42.34733],[-71.229046,42.347351],[-71.22901,42.347376],[-71.228978,42.347402],[-71.22895,42.347431],[-71.228933,42.347456],[-71.228915,42.347486],[-71.2289,42.347519]],[[-71.23119,42.348058],[-71.23165,42.348063],[-71.231694,42.348062],[-71.231743,42.348059],[-71.23178,42.348054],[-71.231821,42.348047],[-71.231857,42.348037],[-71.231891,42.348023],[-71.231927,42.348005],[-71.23196,42.347984],[-71.231988,42.347964],[-71.232012,42.347943],[-71.232042,42.347911],[-71.232066,42.34788],[-71.232083,42.347853],[-71.2321,42.34782]],[[-71.228487,42.348849],[-71.2286,42.348818],[-71.228676,42.348794],[-71.228756,42.348766],[-71.22883,42.348739],[-71.228893,42.348712],[-71.229004,42.348663],[-71.229325,42.34852]],[[-71.245007,42.33361],[-71.244829,42.33374]],[[-71.252202,42.327991],[-71.251447,42.328511]],[[-71.244829,42.33374],[-71.244443,42.334029],[-71.244293,42.334151],[-71.244185,42.334234],[-71.244081,42.334312],[-71.243969,42.334396],[-71.243837,42.334491],[-71.243759,42.334547],[-71.243633,42.334633],[-71.243523,42.334706],[-71.243413,42.334779],[-71.242845,42.33515],[-71.24273,42.335228],[-71.242617,42.335305],[-71.242514,42.335381],[-71.242408,42.335461],[-71.242311,42.335547],[-71.242223,42.335644],[-71.242147,42.335738],[-71.242073,42.335841],[-71.241587,42.336533],[-71.241005,42.337572]],[[-71.2321,42.34782],[-71.23211,42.34779],[-71.232117,42.347758],[-71.232118,42.347723],[-71.232085,42.3473]],[[-71.173942,42.353389],[-71.174648,42.353754],[-71.174876,42.353873],[-71.17516,42.354009],[-71.175481,42.354157],[-71.175779,42.354286],[-71.176063,42.35441],[-71.176936,42.354771],[-71.177935,42.355181],[-71.178201,42.355282],[-71.178534,42.355401],[-71.178828,42.355494],[-71.179121,42.355589],[-71.179403,42.355674],[-71.179719,42.355762],[-71.179975,42.355842],[-71.180307,42.355958],[-71.180537,42.356037],[-71.181171,42.356301],[-71.181588,42.356477]],[[-71.250852,42.328991],[-71.250594,42.329154],[-71.250492,42.329216]],[[-71.253782,42.327003],[-71.253596,42.327092],[-71.253519,42.327132],[-71.253451,42.327173],[-71.25313,42.327369]],[[-71.258207,42.325314],[-71.258034,42.325332],[-71.257916,42.325346],[-71.257813,42.325359],[-71.257705,42.325374],[-71.257625,42.325387],[-71.257547,42.3254],[-71.257442,42.325422],[-71.257331,42.325448],[-71.257218,42.325477],[-71.257104,42.32551],[-71.256976,42.325551],[-71.256839,42.325597],[-71.256707,42.325646],[-71.256461,42.32574],[-71.256382,42.325767],[-71.256279,42.325802],[-71.255493,42.326055],[-71.255354,42.3261],[-71.255216,42.326145],[-71.25502,42.326206],[-71.25495,42.32623],[-71.254883,42.326255],[-71.254812,42.326284],[-71.254743,42.326316],[-71.254681,42.326347],[-71.254624,42.326378],[-71.25457,42.326412],[-71.254512,42.32645],[-71.254446,42.326497],[-71.253928,42.326895],[-71.253782,42.327003]],[[-71.238625,42.341047],[-71.238465,42.3412],[-71.238306,42.341332],[-71.238085,42.341526],[-71.237764,42.341864],[-71.237242,42.342388],[-71.237079,42.342547],[-71.236408,42.3432],[-71.236383,42.343225],[-71.236257,42.343331],[-71.236156,42.34341],[-71.236024,42.343507],[-71.235476,42.343909],[-71.235098,42.344186],[-71.234994,42.344266],[-71.234899,42.344354],[-71.234805,42.344448],[-71.234707,42.344557],[-71.234636,42.344646],[-71.234572,42.344741],[-71.23449,42.344861],[-71.2344,42.344984],[-71.234302,42.345099],[-71.234191,42.345202],[-71.234056,42.34532],[-71.233943,42.345409],[-71.233826,42.345492],[-71.233504,42.345692],[-71.23315,42.34589],[-71.232966,42.346],[-71.232819,42.346094],[-71.23268,42.34619],[-71.232468,42.346351],[-71.232425,42.346384]],[[-71.181588,42.356477],[-71.181907,42.356601],[-71.181984,42.356628],[-71.182058,42.356643],[-71.182151,42.356657],[-71.182282,42.356668],[-71.1824,42.356673],[-71.182501,42.35667],[-71.182604,42.356665],[-71.182692,42.356659],[-71.183038,42.356589],[-71.183119,42.35658],[-71.183209,42.356579],[-71.183288,42.356587],[-71.183364,42.356602],[-71.183443,42.356629]],[[-71.228953,42.348118],[-71.229041,42.348401],[-71.22906,42.348435],[-71.229076,42.348456],[-71.2291,42.348475],[-71.229131,42.348492],[-71.229167,42.348504],[-71.229202,42.348514],[-71.229241,42.34852],[-71.229283,42.348522],[-71.229325,42.34852]],[[-71.226381,42.349344],[-71.226281,42.349351],[-71.226188,42.349355],[-71.226097,42.349358],[-71.225989,42.349359],[-71.225868,42.349357],[-71.225746,42.349351],[-71.225598,42.349348],[-71.225515,42.34935],[-71.225442,42.349355],[-71.225342,42.349367]],[[-71.258679,42.325267],[-71.258207,42.325314]],[[-71.251447,42.328511],[-71.251329,42.328592],[-71.251207,42.328681],[-71.251043,42.328801],[-71.250996,42.328839],[-71.250959,42.328872],[-71.250922,42.328908],[-71.250889,42.328946],[-71.250852,42.328991]],[[-71.228143,42.348991],[-71.228066,42.349018],[-71.22799,42.349043],[-71.22791,42.349067],[-71.227812,42.349092]]] },
        { 'type':'MultiPoint','coordinates':[[-71.276482,42.309327,1],[-71.307179,42.279102,2],[-71.304399,42.28002,3],[-71.303904,42.281872,4],[-71.25798,42.324783,5],[-71.250823,42.332,6],[-71.241222,42.332406,7],[-71.245252,42.331232,8],[-71.268593,42.31626,9],[-71.280869,42.306281,10],[-71.293985,42.295232,11],[-71.295926,42.291923,12],[-71.28832,42.300574,13],[-71.287365,42.300565,14],[-71.266588,42.318571,15],[-71.278037,42.307989,16],[-71.296292,42.292445,17],[-71.286293,42.302713,18],[-71.262256,42.323342,19],[-71.29272,42.295449,20],[-71.306837,42.282123,21],[-71.139953,42.341874,22],[-71.131167,42.338521,23],[-71.126187,42.336473,24],[-71.186705,42.356492,25],[-71.181516,42.356061,26],[-71.131167,42.338521,27],[-71.2239,42.348801,28],[-71.131167,42.338521,29],[-71.232691,42.345966,30],[-71.181026,42.356018,31],[-71.224604,42.349083,32],[-71.181395,42.356491,33],[-71.224824,42.349504,34],[-71.209968,42.351309,35],[-71.186359,42.357167,36],[-71.240629,42.337914,37],[-71.231912,42.346981,38],[-71.204164,42.352357,39],[-71.218536,42.349862,40],[-71.230878,42.347913,41],[-71.188691,42.356563,42],[-71.225352,42.349523,43],[-71.189002,42.356401,44],[-71.187655,42.356778,45],[-71.20778,42.351771,46],[-71.256298,42.326043,47],[-71.257364,42.325245,48],[-71.196546,42.354484,49],[-71.231087,42.347771,50],[-71.183941,42.357665,51],[-71.230588,42.348072,52],[-71.207763,42.351736,53],[-71.228857,42.348901,54],[-71.189086,42.356374,55],[-71.210059,42.351302,56],[-71.207914,42.351669,57],[-71.249797,42.329738,58],[-71.248708,42.329513,59],[-71.200551,42.353408,60],[-71.221167,42.349372,61],[-71.181526,42.356536,62],[-71.181997,42.356727,63],[-71.186396,42.357172,64],[-71.257996,42.325205,65],[-71.186856,42.356287,66],[-71.228021,42.348639,67],[-71.231841,42.347041,68],[-71.222309,42.348938,69],[-71.198084,42.355112,70],[-71.212613,42.351023,71],[-71.23074,42.347987,72],[-71.231047,42.347818,73],[-71.231142,42.347711,74],[-71.231395,42.347454,75],[-71.212522,42.351018,76],[-71.206294,42.351956,77],[-71.207656,42.351706,78],[-71.225547,42.349258,79],[-71.228793,42.348883,80],[-71.252192,42.327847,81],[-71.251289,42.328883,82],[-71.189687,42.35621,83],[-71.227964,42.349302,84],[-71.200625,42.35337,85],[-71.252375,42.328132,86],[-71.18161,42.356569,87],[-71.181288,42.356443,88],[-71.188085,42.356661,89],[-71.24077,42.338574,90],[-71.239801,42.339091,91],[-71.207093,42.351804,92],[-71.217647,42.350186,93],[-71.199617,42.353545,94],[-71.231206,42.347653,95],[-71.206625,42.351897,96],[-71.20508,42.352192,97],[-71.204232,42.352345,98],[-71.209123,42.351457,99],[-71.230527,42.348101,100],[-71.205858,42.352162,101],[-71.237378,42.341298,102],[-71.186328,42.357191,103],[-71.187005,42.356973,104],[-71.181508,42.356148,105],[-71.245153,42.333314,106],[-71.197987,42.354444,107],[-71.226586,42.34951,108],[-71.224816,42.349112,109],[-71.186828,42.356689,110],[-71.187273,42.356906,111],[-71.254628,42.326166,112],[-71.18682,42.356202,113],[-71.230342,42.348166,114],[-71.200051,42.353698,115],[-71.241857,42.332529,116],[-71.226862,42.349446,117],[-71.205471,42.352161,118],[-71.253139,42.327627,119],[-71.20248,42.352817,120],[-71.223479,42.349381,121],[-71.232071,42.346834,122],[-71.208991,42.351479,123],[-71.181876,42.356682,124],[-71.222695,42.34944,125],[-71.186077,42.356552,126],[-71.258124,42.325117,127],[-71.187051,42.356964,128],[-71.21229,42.351025,129],[-71.213245,42.351028,130],[-71.230963,42.347866,131],[-71.254492,42.326142,132],[-71.205808,42.352109,133],[-71.243899,42.334784,134],[-71.231253,42.347599,135],[-71.200244,42.353564,136],[-71.230258,42.348191,137],[-71.203696,42.352527,138],[-71.251658,42.328634,139],[-71.231453,42.347397,140],[-71.221913,42.34936,141],[-71.254723,42.326143,142],[-71.206584,42.351907,143],[-71.23177,42.347106,144],[-71.209883,42.35133,145],[-71.257338,42.325644,146],[-71.225605,42.349556,147],[-71.177092,42.354661,148],[-71.240661,42.33789,149],[-71.230666,42.348027,150],[-71.250371,42.32949,151],[-71.209432,42.351392,152],[-71.252965,42.327743,153],[-71.235988,42.343088,154],[-71.187092,42.356951,155],[-71.238367,42.341475,156],[-71.235296,42.344357,157],[-71.242298,42.335113,158],[-71.224187,42.348763,159],[-71.250508,42.329439,160],[-71.230096,42.348256,161],[-71.203248,42.35272,162],[-71.181728,42.356626,163],[-71.232958,42.345814,164],[-71.23203,42.346876,165],[-71.186444,42.357135,166],[-71.205582,42.352134,167],[-71.224695,42.349085,168],[-71.188799,42.35646,169],[-71.235962,42.344069,170],[-71.233659,42.345305,171],[-71.228733,42.348916,172],[-71.245368,42.333157,173],[-71.255176,42.325887,174],[-71.174965,42.353599,175],[-71.207602,42.351715,176],[-71.209055,42.351459,177],[-71.200402,42.353167,178],[-71.231696,42.347173,179],[-71.248871,42.329428,180],[-71.235166,42.344452,181],[-71.241155,42.33789,182],[-71.207565,42.351725,183],[-71.216347,42.350415,184],[-71.229886,42.34847,185],[-71.223577,42.349379,186],[-71.238933,42.34053,187],[-71.186303,42.356513,188],[-71.231294,42.347549,189],[-71.252549,42.328012,190],[-71.228972,42.348811,191],[-71.24619,42.332167,192],[-71.239234,42.340284,193],[-71.231564,42.347287,194],[-71.231503,42.347352,195],[-71.234723,42.343951,196],[-71.20956,42.351409,197],[-71.185517,42.357506,198],[-71.251457,42.328778,199],[-71.254453,42.32623,200],[-71.182249,42.356802,201],[-71.190282,42.356058,202],[-71.198046,42.35402,203],[-71.225087,42.3495,204],[-71.186287,42.357187,205],[-71.228519,42.348599,206],[-71.175601,42.35396,207],[-71.224723,42.349468,208],[-71.238673,42.340794,209],[-71.224786,42.349471,210],[-71.238599,42.340819,211],[-71.225712,42.349264,212],[-71.24746,42.331853,213],[-71.209841,42.351337,214],[-71.224986,42.34949,215],[-71.245577,42.332959,216],[-71.232228,42.34615,217],[-71.22672,42.349162,218],[-71.236958,42.342398,219],[-71.208796,42.351534,220],[-71.17434,42.353896,221],[-71.247222,42.33116,222],[-71.229333,42.348068,223],[-71.231976,42.346921,224],[-71.257064,42.325325,225],[-71.254306,42.326423,226],[-71.200314,42.353632,227],[-71.182356,42.356838,228],[-71.199613,42.35388,229],[-71.252728,42.327922,230],[-71.209508,42.351638,231],[-71.235004,42.344555,232],[-71.243024,42.334642,233],[-71.249726,42.329392,234],[-71.197478,42.354165,235],[-71.226353,42.349232,236],[-71.225951,42.349269,237],[-71.240376,42.339144,238],[-71.228357,42.349107,239],[-71.199292,42.354021,240],[-71.24989,42.32933,241],[-71.237896,42.341337,242],[-71.243944,42.334228,243],[-71.227623,42.349386,244],[-71.231348,42.347497,245],[-71.185117,42.357621,246],[-71.212188,42.351102,247],[-71.226671,42.349174,248],[-71.235932,42.343899,249],[-71.244933,42.333839,250],[-71.204336,42.352323,251],[-71.176188,42.354702,252],[-71.225238,42.349511,253],[-71.256141,42.326053,254],[-71.184023,42.357479,255],[-71.231625,42.34723,256],[-71.235588,42.344196,257],[-71.226229,42.349616,258],[-71.245357,42.333058,259],[-71.250198,42.32954,260],[-71.226616,42.349187,261],[-71.199401,42.353589,262],[-71.249803,42.32937,263],[-71.18244,42.356875,264],[-71.182141,42.356767,265],[-71.184024,42.357673,266],[-71.228912,42.348844,267],[-71.237312,42.341636,268],[-71.23802,42.341325,269],[-71.20052,42.353505,270],[-71.205174,42.35218,271],[-71.254422,42.326349,272],[-71.205713,42.352104,273],[-71.230436,42.348134,274],[-71.18917,42.356352,275],[-71.208967,42.351554,276],[-71.204414,42.352312,277],[-71.226643,42.349488,278],[-71.190108,42.356114,279],[-71.199387,42.353974,280],[-71.229043,42.348139,281],[-71.244575,42.334107,282],[-71.192229,42.355586,283],[-71.238013,42.341824,284],[-71.244294,42.333829,285],[-71.230807,42.34795,286],[-71.225043,42.34949,287],[-71.204505,42.352288,288],[-71.229836,42.348505,289],[-71.249204,42.330137,290],[-71.188914,42.356426,291],[-71.251157,42.328968,292],[-71.229238,42.348716,293],[-71.218691,42.34982,294],[-71.245767,42.332771,295],[-71.15457,42.348932,296],[-71.170201,42.351719,297],[-71.159868,42.3491,298],[-71.15895,42.348702,299],[-71.144481,42.344371,300],[-71.164559,42.35006,301],[-71.166855,42.350198,302],[-71.16372,42.34949,303],[-71.144922,42.345146,304],[-71.15219,42.34921,305],[-71.165362,42.350053,306],[-71.17209,42.352673,307],[-71.15153,42.3492,308],[-71.15424,42.34898,309],[-71.168827,42.351282,310],[-71.16464,42.34963,311],[-71.16371,42.349504,312],[-71.165212,42.349996,313],[-71.17258,42.352943,314],[-71.14504,42.34468,315],[-71.148113,42.346654,316],[-71.163674,42.34954,317],[-71.14355,42.34447,318],[-71.1509,42.34879,319],[-71.153167,42.349264,320],[-71.15298,42.34926,321],[-71.14549,42.34625,322],[-71.14237,42.34325,323],[-71.152913,42.348846,324],[-71.169797,42.351569,325],[-71.170079,42.35167,326],[-71.1723,42.352773,327],[-71.1531,42.34892,328],[-71.155274,42.349301,329],[-71.1643,42.34991,330],[-71.164797,42.35022,331],[-71.17258,42.352943,332],[-71.15676,42.34884,333],[-71.154374,42.348961,334],[-71.148807,42.347044,335],[-71.1453,42.344872,336],[-71.147741,42.346525,337],[-71.160635,42.349079,338],[-71.165224,42.349995,339],[-71.16704,42.35036,340],[-71.149519,42.348831,341],[-71.152141,42.348818,342],[-71.15437,42.34896,343],[-71.13994,42.34251,344],[-71.16995,42.35161,345],[-71.143271,42.344154,346],[-71.165081,42.349929,347],[-71.15198,42.348857,348],[-71.154199,42.349318,349],[-71.14762,42.34646,350],[-71.17258,42.352943,351],[-71.15484,42.34929,352],[-71.16043,42.34868,353],[-71.15532,42.349267,354],[-71.151581,42.349201,355],[-71.15014,42.34812,356],[-71.165136,42.350357,357],[-71.160109,42.349145,358],[-71.15014,42.34812,359],[-71.165091,42.349932,360],[-71.151163,42.348805,361],[-71.16784,42.35044,362],[-71.150232,42.348095,363],[-71.154472,42.349297,364],[-71.15569,42.34886,365],[-71.16329,42.34928,366],[-71.14125,42.342572,367],[-71.16739,42.35037,368],[-71.153641,42.348955,369],[-71.15391,42.34896,370],[-71.15905,42.34917,371],[-71.149738,42.34791,372],[-71.158843,42.349174,373],[-71.14207,42.34287,374],[-71.16104,42.349107,375],[-71.288061,42.299342,376],[-71.153101,42.348937,377],[-71.157221,42.349297,378],[-71.167137,42.35093,379],[-71.292205,42.296609,380],[-71.293526,42.29375,381],[-71.129076,42.33866,382],[-71.171291,42.352237,383],[-71.288061,42.299342,384],[-71.163481,42.349417,385],[-71.144331,42.344787,386],[-71.143551,42.344487,387],[-71.293526,42.29375,388],[-71.149261,42.347397,389],[-71.129691,42.33818,390],[-71.165551,42.350507,391],[-71.142071,42.342887,392],[-71.141192,42.342542,393],[-71.159715,42.34914,394],[-71.169196,42.350699,395],[-71.2595,42.323613,396],[-71.143842,42.344645,397],[-71.133923,42.338927,398],[-71.158281,42.348877,399],[-71.29288,42.295624,400],[-71.171491,42.352337,401],[-71.148861,42.347687,402],[-71.148811,42.347057,403],[-71.141192,42.342542,404],[-71.29288,42.295624,405],[-71.138924,42.341813,406],[-71.143881,42.343987,407],[-71.273928,42.313475,408],[-71.146931,42.346227,409],[-71.152316,42.349234,410],[-71.144531,42.345127,411],[-71.29288,42.295624,412],[-71.170481,42.351847,413],[-71.18597,42.356771,414],[-71.143881,42.343987,415],[-71.295608,42.292989,416],[-71.263696,42.321802,417],[-71.145241,42.345433,418],[-71.154841,42.349307,419],[-71.296891,42.29085,420],[-71.162951,42.349217,421],[-71.23544,42.343196,422],[-71.142071,42.342887,423],[-71.304567,42.281562,424],[-71.163675,42.349558,425],[-71.142071,42.342887,426],[-71.143551,42.344487,427],[-71.296891,42.29085,428],[-71.275323,42.311091,429],[-71.144482,42.344388,430],[-71.154561,42.348967,431],[-71.292862,42.295885,432],[-71.145961,42.345457,433],[-71.142071,42.342887,434],[-71.141192,42.342542,435],[-71.261617,42.325914,436],[-71.161365,42.348732,437],[-71.129272,42.338297,438],[-71.149611,42.347497,439],[-71.292617,42.296943,440],[-71.254792,42.325413,441],[-71.167137,42.35093,442],[-71.144331,42.344787,443],[-71.275085,42.310689,444],[-71.164911,42.349767,445],[-71.180855,42.355898,446],[-71.164531,42.349567,447],[-71.294851,42.292962,448],[-71.158473,42.349172,449],[-71.154571,42.34895,450],[-71.142071,42.342887,451],[-71.143551,42.344487,452],[-71.288825,42.300849,453],[-71.125576,42.336517,454],[-71.155691,42.348877,455],[-71.292562,42.296295,456],[-71.141192,42.342542,457],[-71.147231,42.346347,458],[-71.153642,42.348972,459],[-71.263484,42.322387,460],[-71.150233,42.348112,461],[-71.202833,42.352819,462],[-71.158993,42.348752,463],[-71.292862,42.295885,464],[-71.273531,42.312829,465],[-71.144297,42.344292,466],[-71.144297,42.344292,467],[-71.170531,42.351347,468],[-71.17008,42.351687,469],[-71.211081,42.351257,470],[-71.170531,42.351347,471],[-71.303928,42.284931,472],[-71.149721,42.347896,473],[-71.17008,42.351687,474],[-71.142071,42.342887,475],[-71.305692,42.28233,476],[-71.269088,42.315967,477],[-71.181784,42.356282,478],[-71.160771,42.348747,479],[-71.289413,42.300252,480],[-71.141192,42.342542,481],[-71.142071,42.342887,482],[-71.153911,42.348977,483],[-71.261617,42.325914,484],[-71.147621,42.346477,485],[-71.202999,42.352785,486],[-71.146331,42.347447,487],[-71.294851,42.292962,488],[-71.266927,42.317393,489],[-71.151164,42.348822,490],[-71.166836,42.350359,491],[-71.2875,42.300371,492],[-71.143551,42.344487,493],[-71.131716,42.338239,494],[-71.169421,42.351477,495],[-71.172301,42.35279,496],[-71.145841,42.345327,497],[-71.143551,42.344487,498],[-71.170811,42.351447,499],[-71.275085,42.310689,500],[-71.295165,42.293462,501],[-71.132692,42.338307,502],[-71.151773,42.348736,503],[-71.296891,42.29085,504],[-71.142071,42.342887,505],[-71.170314,42.351337,506],[-71.153151,42.349267,507],[-71.293526,42.29375,508],[-71.155167,42.34878,509],[-71.18954,42.35639,510],[-71.161891,42.348787,511],[-71.143842,42.344645,512],[-71.302512,42.28655,513],[-71.141192,42.342542,514],[-71.158473,42.349172,515],[-71.29288,42.295624,516],[-71.151361,42.348827,517],[-71.226655,42.34954,518],[-71.149033,42.347164,519],[-71.296744,42.290453,520],[-71.144061,42.344077,521],[-71.151361,42.348827,522],[-71.142071,42.342887,523],[-71.294425,42.294077,524],[-71.289413,42.300252,525],[-71.180851,42.356452,526],[-71.147742,42.346542,527],[-71.141192,42.342542,528],[-71.141192,42.342542,529],[-71.153178,42.349286,530],[-71.141192,42.342542,531],[-71.283953,42.303341,532],[-71.165631,42.350527,533],[-71.134779,42.338836,534],[-71.151936,42.349386,535],[-71.170121,42.351267,536],[-71.293526,42.29375,537],[-71.141192,42.342542,538],[-71.141611,42.343307,539],[-71.288771,42.300372,540],[-71.164911,42.349767,541],[-71.183995,42.357903,542],[-71.164531,42.349567,543],[-71.161365,42.348732,544],[-71.157391,42.348897,545],[-71.172281,42.352177,546],[-71.169421,42.351477,547],[-71.307974,42.279763,548],[-71.260031,42.325343,549],[-71.222016,42.349512,550],[-71.172941,42.353187,551],[-71.292943,42.294595,552],[-71.142071,42.342887,553],[-71.143881,42.343987,554],[-71.165551,42.350507,555],[-71.26587,42.319014,556],[-71.169781,42.351107,557],[-71.186515,42.357254,558],[-71.145241,42.345433,559],[-71.141192,42.342542,560],[-71.115488,42.331213,561],[-71.166641,42.350337,562],[-71.147551,42.346914,563],[-71.172581,42.352957,564],[-71.163271,42.348867,565],[-71.223917,42.349503,566],[-71.144061,42.344077,567],[-71.293151,42.294216,568],[-71.166371,42.350227,569],[-71.159869,42.349117,570],[-71.164798,42.350237,571],[-71.273531,42.312829,572],[-71.13653,42.339904,573],[-71.187311,42.356943,574],[-71.167391,42.350387,575],[-71.301341,42.289736,576],[-71.162981,42.348867,577],[-71.141192,42.342542,578],[-71.148271,42.346737,579],[-71.29288,42.295624,580],[-71.153814,42.348952,581],[-71.133554,42.338462,582],[-71.144297,42.344292,583],[-71.309397,42.279624,584],[-71.297344,42.290994,585],[-71.147621,42.346477,586],[-71.144297,42.344292,587],[-71.307316,42.28516,588],[-71.142071,42.342887,589],[-71.225963,42.349233,590],[-71.144891,42.344557,591],[-71.29288,42.295624,592],[-71.165221,42.350007,593],[-71.169651,42.351547,594],[-71.145093,42.345293,595],[-71.292721,42.294464,596],[-71.143842,42.344645,597],[-71.125049,42.33605,598],[-71.163762,42.349529,599],[-71.281416,42.306014,600],[-71.153178,42.349286,601],[-71.141192,42.342542,602],[-71.142071,42.342887,603],[-71.293151,42.294216,604],[-71.146201,42.345697,605],[-71.180851,42.356452,606],[-71.144891,42.344557,607],[-71.288825,42.300849,608],[-71.281082,42.306133,609],[-71.144061,42.344077,610],[-71.149739,42.347927,611],[-71.254792,42.325413,612],[-71.141192,42.342542,613],[-71.222869,42.34952,614],[-71.162791,42.348837,615],[-71.165708,42.350548,616],[-71.158473,42.349172,617],[-71.157611,42.349257,618],[-71.164429,42.349997,619],[-71.276008,42.310374,620],[-71.292205,42.296609,621],[-71.224421,42.348982,622],[-71.15292,42.348882,623],[-71.292205,42.296609,624],[-71.142071,42.342887,625],[-71.141192,42.342542,626],[-71.146791,42.346157,627],[-71.307316,42.28516,628],[-71.173991,42.353067,629],[-71.180851,42.356452,630],[-71.152551,42.349257,631],[-71.292943,42.294595,632],[-71.294851,42.292962,633],[-71.143881,42.343987,634],[-71.161951,42.349207,635],[-71.292617,42.296943,636],[-71.141192,42.342542,637],[-71.138924,42.341813,638],[-71.141192,42.342542,639],[-71.289915,42.299943,640],[-71.149491,42.347657,641],[-71.18597,42.356771,642],[-71.145093,42.345293,643],[-71.254792,42.325413,644],[-71.293631,42.295262,645],[-71.138924,42.341813,646],[-71.169581,42.351047,647],[-71.164661,42.349657,648],[-71.143881,42.343987,649],[-71.226263,42.349195,650],[-71.150141,42.348137,651],[-71.288442,42.300856,652],[-71.168828,42.351299,653],[-71.178429,42.355863,654],[-71.152343,42.348895,655],[-71.29288,42.295624,656],[-71.254792,42.325413,657],[-71.229668,42.34859,658],[-71.167041,42.350377,659],[-71.254871,42.326577,660],[-71.145241,42.345433,661],[-71.133783,42.338466,662],[-71.141192,42.342542,663],[-71.293128,42.293882,664],[-71.152395,42.349233,665],[-71.229668,42.34859,666],[-71.145241,42.345433,667],[-71.310797,42.277521,668],[-71.254792,42.325413,669],[-71.18597,42.356771,670],[-71.163822,42.349589,671],[-71.294746,42.293953,672],[-71.142071,42.342887,673],[-71.134141,42.338986,674],[-71.144297,42.344292,675],[-71.145241,42.345433,676],[-71.154052,42.349335,677],[-71.2285,42.348483,678],[-71.165092,42.349949,679],[-71.148808,42.347061,680],[-71.276008,42.310374,681],[-71.235538,42.344317,682],[-71.1531,42.348948,683],[-71.29288,42.295624,684],[-71.141192,42.342542,685],[-71.187311,42.356943,686],[-71.153641,42.348977,687],[-71.305692,42.28233,688],[-71.154881,42.34931,689],[-71.198442,42.354421,690],[-71.160636,42.349096,691],[-71.141192,42.342542,692],[-71.275085,42.310689,693],[-71.13714,42.341004,694],[-71.167841,42.350457,695],[-71.292205,42.296609,696],[-71.157611,42.349257,697],[-71.174116,42.353079,698],[-71.141192,42.342542,699],[-71.294851,42.292962,700],[-71.156704,42.348831,701],[-71.169051,42.351357,702],[-71.157611,42.349257,703],[-71.311116,42.276284,704],[-71.261617,42.325914,705],[-71.19835,42.355382,706],[-71.172561,42.352367,707],[-71.293419,42.294039,708],[-71.141192,42.342542,709],[-71.129076,42.33866,710],[-71.146331,42.345807,711],[-71.162271,42.348807,712],[-71.169951,42.351627,713],[-71.220201,42.349792,714],[-71.150141,42.348137,715],[-71.141191,42.342537,716],[-71.27221,42.314897,717],[-71.191551,42.355849,718],[-71.141587,42.342586,719],[-71.308845,42.277425,720],[-71.144923,42.345163,721],[-71.186515,42.357254,722],[-71.1721,42.352077,723],[-71.27881,42.307919,724],[-71.172941,42.353187,725],[-71.180851,42.356452,726],[-71.142071,42.342887,727],[-71.172781,42.353027,728],[-71.292205,42.296609,729],[-71.133783,42.338466,730],[-71.162981,42.348867,731],[-71.273527,42.313643,732],[-71.15531,42.34942,733],[-71.180851,42.356452,734],[-71.143881,42.343987,735],[-71.289915,42.299943,736],[-71.149005,42.347176,737],[-71.185477,42.357567,738],[-71.141192,42.342542,739],[-71.28698,42.3013,740],[-71.123011,42.334837,741],[-71.243711,42.333546,742],[-71.170308,42.351821,743],[-71.289413,42.300252,744],[-71.141192,42.342542,745],[-71.211081,42.351257,746],[-71.143881,42.343987,747],[-71.169421,42.351477,748],[-71.145769,42.346072,749],[-71.191022,42.356147,750],[-71.141192,42.342542,751],[-71.288206,42.299045,752],[-71.243711,42.333546,753],[-71.211081,42.351257,754],[-71.151729,42.348854,755],[-71.261617,42.325914,756],[-71.142071,42.342887,757],[-71.18597,42.356771,758],[-71.162091,42.348807,759],[-71.29288,42.295624,760],[-71.144934,42.345155,761],[-71.176125,42.354732,762],[-71.1542,42.349336,763],[-71.254792,42.325413,764],[-71.294715,42.294243,765],[-71.235761,42.344109,766],[-71.154282,42.349309,767],[-71.152316,42.349234,768],[-71.145041,42.344697,769],[-71.186515,42.357254,770],[-71.164911,42.349767,771],[-71.266432,42.317848,772],[-71.165082,42.349946,773],[-71.118258,42.332644,774],[-71.154581,42.348967,775],[-71.191551,42.355849,776],[-71.261253,42.324153,777],[-71.207964,42.351672,778],[-71.148011,42.346517,779],[-71.293151,42.294216,780],[-71.141192,42.342542,781],[-71.18124,42.356062,782],[-71.145093,42.345293,783],[-71.139105,42.341915,784],[-71.160941,42.348737,785],[-71.129076,42.33866,786],[-71.144482,42.344388,787],[-71.292205,42.296609,788],[-71.120453,42.333104,789],[-71.211708,42.351222,790],[-71.151745,42.349233,791],[-71.203575,42.352624,792],[-71.142071,42.342887,793],[-71.175997,42.354106,794],[-71.147471,42.346377,795],[-71.2595,42.323613,796],[-71.150551,42.349407,797],[-71.144482,42.344388,798],[-71.143842,42.344645,799],[-71.20851,42.351912,800],[-71.292617,42.296943,801],[-71.125049,42.33605,802],[-71.151741,42.349227,803],[-71.265475,42.319161,804],[-71.163271,42.348867,805],[-71.126919,42.337867,806],[-71.154352,42.349309,807],[-71.237799,42.342282,808],[-71.144482,42.344388,809],[-71.224696,42.349683,810],[-71.147817,42.346252,811],[-71.254792,42.325413,812],[-71.143551,42.344487,813],[-71.18597,42.356771,814],[-71.164971,42.350328,815],[-71.240322,42.338196,816],[-71.143881,42.343987,817],[-71.186515,42.357254,818],[-71.142071,42.342887,819],[-71.276303,42.309992,820],[-71.172371,42.352227,821],[-71.225255,42.349571,822],[-71.142071,42.342887,823],[-71.189775,42.356322,824],[-71.261617,42.325914,825],[-71.183995,42.357903,826],[-71.148271,42.346737,827],[-71.294425,42.294077,828],[-71.141192,42.342542,829],[-71.164301,42.349927,830],[-71.172301,42.35279,831],[-71.177132,42.355086,832],[-71.161141,42.348767,833],[-71.173643,42.354256,834],[-71.165221,42.350007,835],[-71.292617,42.296943,836],[-71.259168,42.32562,837],[-71.180851,42.356452,838],[-71.163291,42.349297,839],[-71.206429,42.351994,840],[-71.145241,42.345433,841],[-71.177096,42.354567,842],[-71.159531,42.349117,843],[-71.290378,42.299547,844],[-71.162791,42.348837,845],[-71.1721,42.352077,846],[-71.159911,42.349117,847],[-71.224862,42.349144,848],[-71.276008,42.310374,849],[-71.229668,42.34859,850],[-71.144482,42.344388,851],[-71.292812,42.294072,852],[-71.171066,42.35218,853],[-71.129953,42.338071,854],[-71.142071,42.342887,855],[-71.179237,42.355844,856],[-71.144482,42.344388,857],[-71.18597,42.356771,858],[-71.171237,42.35164,859],[-71.296744,42.290453,860],[-71.261331,42.324906,861],[-71.151741,42.349227,862],[-71.158473,42.349172,863],[-71.19744,42.354268,864],[-71.161701,42.348777,865],[-71.177955,42.354863,866],[-71.144481,42.344387,867],[-71.297344,42.290994,868],[-71.165221,42.350007,869],[-71.23757,42.341434,870],[-71.141192,42.342542,871],[-71.138756,42.341202,872],[-71.115488,42.331213,873],[-71.133736,42.338881,874],[-71.161581,42.349187,875],[-71.256322,42.326139,876],[-71.153178,42.349286,877],[-71.228855,42.349003,878],[-71.158844,42.349191,879],[-71.220577,42.349519,880],[-71.171066,42.35218,881],[-71.175589,42.353919,882],[-71.145711,42.345227,883],[-71.292205,42.296609,884],[-71.295758,42.292835,885],[-71.206429,42.351994,886],[-71.169651,42.351547,887],[-71.178834,42.355727,888],[-71.142071,42.342887,889],[-71.231101,42.346584,890],[-71.153641,42.348977,891],[-71.297344,42.290994,892],[-71.169798,42.351586,893],[-71.198868,42.354299,894],[-71.145093,42.345293,895],[-71.126115,42.337009,896],[-71.288592,42.30103,897],[-71.211081,42.351257,898],[-71.142071,42.342887,899],[-71.261617,42.325914,900],[-71.16104,42.349107,901],[-71.198442,42.354421,902],[-71.142071,42.342887,903],[-71.138233,42.341515,904],[-71.160431,42.348697,905],[-71.18597,42.356771,906],[-71.141192,42.342542,907],[-71.292721,42.294464,908],[-71.261617,42.325914,909],[-71.18597,42.356771,910],[-71.159051,42.349187,911],[-71.221689,42.34957,912],[-71.145256,42.345427,913],[-71.235538,42.344317,914],[-71.141991,42.342727,915],[-71.297344,42.290994,916],[-71.161401,42.349187,917],[-71.115488,42.331213,918],[-71.154201,42.349327,919],[-71.225255,42.349571,920],[-71.261617,42.325914,921],[-71.227792,42.349702,922],[-71.170341,42.351787,923],[-71.29288,42.295624,924],[-71.144891,42.344557,925],[-71.152163,42.348887,926],[-71.142071,42.342887,927],[-71.18597,42.356771,928],[-71.15317,42.3493,929],[-71.176125,42.354732,930],[-71.142071,42.342887,931],[-71.257515,42.325605,932],[-71.243711,42.333546,933],[-71.177096,42.354567,934],[-71.15127,42.348833,935],[-71.180851,42.356452,936],[-71.163271,42.348867,937],[-71.187042,42.356981,938],[-71.145491,42.346267,939],[-71.29604,42.292591,940],[-71.158473,42.349172,941],[-71.186515,42.357254,942],[-71.141192,42.342542,943],[-71.129076,42.33866,944],[-71.142071,42.342887,945],[-71.20851,42.351912,946],[-71.157731,42.348897,947],[-71.292205,42.296609,948],[-71.144482,42.344388,949],[-71.202833,42.352819,950],[-71.142071,42.342887,951],[-71.142071,42.342887,952],[-71.170119,42.351266,953],[-71.115488,42.331213,954],[-71.17095,42.352081,955],[-71.275778,42.310253,956],[-71.261617,42.325914,957],[-71.152854,42.349236,958],[-71.165137,42.350374,959],[-71.237028,42.343104,960],[-71.142071,42.342887,961],[-71.23544,42.343196,962],[-71.142071,42.342887,963],[-71.261617,42.325914,964],[-71.156761,42.348857,965],[-71.132255,42.338264,966],[-71.161365,42.348732,967],[-71.216041,42.350536,968],[-71.115488,42.331213,969],[-71.23521,42.344503,970],[-71.164531,42.349567,971],[-71.293526,42.29375,972],[-71.151801,42.349227,973],[-71.144297,42.344292,974],[-71.16104,42.349107,975],[-71.211081,42.351257,976],[-71.158473,42.349172,977],[-71.134141,42.338986,978],[-71.143551,42.344487,979],[-71.276008,42.310374,980],[-71.258381,42.325983,981],[-71.234289,42.344634,982],[-71.144297,42.344292,983],[-71.179484,42.355998,984],[-71.172581,42.35296,985],[-71.129803,42.338545,986],[-71.141192,42.342542,987],[-71.296891,42.29085,988],[-71.145041,42.344697,989],[-71.144482,42.344388,990],[-71.141192,42.342542,991],[-71.135054,42.338977,992],[-71.259168,42.32562,993],[-71.17491,42.353486,994],[-71.165343,42.350061,995],[-71.289915,42.299943,996],[-71.142071,42.342887,997],[-71.23544,42.343196,998],[-71.164281,42.349427,999],[-71.126204,42.337098,1000],[-71.158473,42.349172,1001],[-71.20706,42.351886,1002],[-71.151741,42.349227,1003],[-71.293419,42.294039,1004],[-71.260655,42.324443,1005],[-71.153152,42.348948,1006],[-71.158473,42.349172,1007],[-71.229332,42.348716,1008],[-71.151223,42.348825,1009],[-71.187311,42.356943,1010],[-71.169971,42.351637,1011],[-71.263696,42.321802,1012],[-71.164641,42.349647,1013],[-71.13653,42.339904,1014],[-71.165212,42.350396,1015],[-71.131716,42.338239,1016],[-71.294851,42.292962,1017],[-71.132857,42.338792,1018],[-71.144482,42.344388,1019],[-71.297344,42.290994,1020],[-71.144923,42.345163,1021],[-71.165343,42.350061,1022],[-71.158473,42.349172,1023],[-71.129076,42.33866,1024],[-71.158473,42.349172,1025],[-71.21463,42.351021,1026],[-71.145093,42.345293,1027],[-71.292949,42.296807,1028],[-71.141192,42.342542,1029],[-71.133736,42.338881,1030],[-71.172581,42.35296,1031],[-71.245769,42.330768,1032],[-71.157901,42.348877,1033],[-71.18597,42.356771,1034],[-71.163551,42.349467,1035],[-71.29288,42.295624,1036],[-71.157611,42.349257,1037],[-71.148598,42.346977,1038],[-71.146331,42.345807,1039],[-71.174042,42.353867,1040],[-71.254792,42.325413,1041],[-71.202171,42.352951,1042],[-71.144923,42.345163,1043],[-71.292562,42.296295,1044],[-71.142071,42.342887,1045],[-71.217943,42.350182,1046],[-71.154841,42.349307,1047],[-71.131237,42.338121,1048],[-71.155471,42.348777,1049],[-71.133783,42.338466,1050],[-71.142071,42.342887,1051],[-71.143842,42.344645,1052],[-71.164281,42.349427,1053],[-71.146791,42.346157,1054],[-71.152143,42.348836,1055],[-71.235761,42.344109,1056],[-71.159541,42.348717,1057],[-71.159869,42.349117,1058],[-71.293857,42.294685,1059],[-71.165551,42.350507,1060],[-71.164911,42.349767,1061],[-71.133291,42.338426,1062],[-71.162271,42.348807,1063],[-71.131716,42.338239,1064],[-71.156795,42.349362,1065],[-71.115488,42.331213,1066],[-71.255911,42.326164,1067],[-71.143551,42.344487,1068],[-71.158473,42.349172,1069],[-71.160636,42.349096,1070],[-71.143272,42.344171,1071],[-71.202999,42.352785,1072],[-71.165082,42.349946,1073],[-71.236122,42.343779,1074],[-71.254792,42.325413,1075],[-71.142071,42.342887,1076],[-71.163721,42.349507,1077],[-71.123213,42.335088,1078],[-71.143551,42.344487,1079],[-71.175014,42.35422,1080],[-71.158281,42.348877,1081],[-71.18597,42.356771,1082],[-71.115488,42.331213,1083],[-71.305449,42.279682,1084],[-71.145461,42.344997,1085],[-71.147435,42.346081,1086],[-71.157611,42.349257,1087],[-71.232481,42.346038,1088],[-71.151981,42.348874,1089],[-71.180436,42.355739,1090],[-71.257515,42.325605,1091],[-71.153642,42.348972,1092],[-71.153641,42.348977,1093],[-71.23544,42.343196,1094],[-71.275085,42.310689,1095],[-71.226662,42.349136,1096],[-71.163731,42.349507,1097],[-71.130977,42.338109,1098],[-71.276008,42.310374,1099],[-71.141192,42.342542,1100],[-71.162951,42.349217,1101],[-71.170081,42.351687,1102],[-71.275085,42.310689,1103],[-71.223344,42.349508,1104],[-71.144522,42.345091,1105],[-71.206429,42.351994,1106],[-71.295461,42.293162,1107],[-71.142071,42.342887,1108],[-71.161891,42.348787,1109],[-71.115488,42.331213,1110],[-71.254792,42.325413,1111],[-71.198868,42.354299,1112],[-71.151801,42.349227,1113],[-71.214463,42.351037,1114],[-71.260655,42.324443,1115],[-71.152316,42.349234,1116],[-71.156981,42.348867,1117],[-71.153921,42.349337,1118],[-71.115488,42.331213,1119],[-71.229668,42.34859,1120],[-71.17008,42.351687,1121],[-71.180851,42.356452,1122],[-71.295125,42.293802,1123],[-71.141192,42.342542,1124],[-71.164071,42.349767,1125],[-71.118767,42.332477,1126],[-71.256322,42.326139,1127],[-71.203374,42.352635,1128],[-71.155221,42.349297,1129],[-71.230914,42.346803,1130],[-71.254792,42.325413,1131],[-71.144923,42.345163,1132],[-71.158473,42.349172,1133],[-71.144301,42.344297,1134],[-71.261617,42.325914,1135],[-71.126204,42.337098,1136],[-71.158473,42.349172,1137],[-71.177775,42.355356,1138],[-71.273928,42.313475,1139],[-71.141192,42.342542,1140],[-71.163271,42.348867,1141],[-71.118574,42.33216,1142],[-71.115488,42.331213,1143],[-71.134779,42.338836,1144],[-71.163901,42.349147,1145],[-71.18597,42.356771,1146],[-71.118258,42.332644,1147],[-71.142071,42.342887,1148],[-71.141192,42.342542,1149],[-71.151531,42.349217,1150],[-71.158473,42.349172,1151],[-71.235347,42.344401,1152],[-71.141192,42.342542,1153],[-71.236514,42.343473,1154],[-71.294851,42.292962,1155],[-71.154371,42.348977,1156],[-71.164071,42.349767,1157],[-71.118258,42.332644,1158],[-71.261617,42.325914,1159],[-71.129953,42.338071,1160],[-71.142071,42.342887,1161],[-71.235538,42.344317,1162],[-71.261617,42.325914,1163],[-71.298214,42.29109,1164],[-71.142371,42.343267,1165],[-71.169401,42.351497,1166],[-71.115488,42.331213,1167],[-71.222016,42.349512,1168],[-71.161141,42.348767,1169],[-71.18597,42.356771,1170],[-71.261617,42.325914,1171],[-71.308307,42.281507,1172],[-71.142071,42.342887,1173],[-71.124082,42.33525,1174],[-71.29013,42.299728,1175],[-71.180238,42.355684,1176],[-71.163706,42.349506,1177],[-71.124082,42.33525,1178],[-71.261864,42.323741,1179],[-71.153642,42.348972,1180],[-71.141192,42.342542,1181],[-71.159531,42.349117,1182],[-71.292862,42.295885,1183],[-71.191551,42.355849,1184],[-71.16456,42.350077,1185],[-71.232554,42.346606,1186],[-71.276008,42.310374,1187],[-71.164911,42.349767,1188],[-71.160636,42.349096,1189],[-71.115488,42.331213,1190],[-71.29288,42.295624,1191],[-71.132168,42.338249,1192],[-71.142071,42.342887,1193],[-71.191551,42.355849,1194],[-71.118376,42.332788,1195],[-71.162611,42.348817,1196],[-71.161951,42.349207,1197],[-71.148011,42.346517,1198],[-71.255896,42.325605,1199],[-71.18597,42.356771,1200],[-71.146931,42.346227,1201],[-71.133553,42.338851,1202],[-71.293151,42.294216,1203],[-71.141192,42.342542,1204],[-71.152178,42.34883,1205],[-71.127153,42.338033,1206],[-71.250135,42.329076,1207],[-71.18597,42.356771,1208],[-71.147616,42.346462,1209],[-71.180471,42.356327,1210],[-71.254792,42.325413,1211],[-71.144923,42.345163,1212],[-71.170231,42.351747,1213],[-71.153641,42.348977,1214],[-71.29651,42.291561,1215],[-71.229843,42.348479,1216],[-71.156168,42.349426,1217],[-71.18597,42.356771,1218],[-71.259645,42.325402,1219],[-71.144891,42.344557,1220],[-71.141192,42.342542,1221],[-71.126115,42.337009,1222],[-71.261331,42.324906,1223],[-71.239731,42.339233,1224],[-71.147471,42.346377,1225],[-71.229332,42.348716,1226],[-71.292617,42.296943,1227],[-71.146931,42.346227,1228],[-71.146081,42.345577,1229],[-71.165081,42.349947,1230],[-71.27475,42.311357,1231],[-71.232337,42.346807,1232],[-71.165341,42.350057,1233],[-71.2285,42.348483,1234],[-71.29288,42.295624,1235],[-71.149711,42.347897,1236],[-71.147621,42.346477,1237],[-71.132081,42.338234,1238],[-71.141192,42.342542,1239],[-71.216396,42.350452,1240],[-71.155321,42.349297,1241],[-71.217597,42.35016,1242],[-71.147091,42.346297,1243],[-71.143842,42.344645,1244],[-71.294715,42.294243,1245],[-71.145301,42.344887,1246],[-71.169421,42.351477,1247],[-71.18124,42.356062,1248],[-71.160041,42.349147,1249],[-71.139281,42.342014,1250],[-71.293857,42.294685,1251],[-71.164281,42.349897,1252],[-71.172091,42.35269,1253],[-71.139105,42.341915,1254],[-71.148114,42.346671,1255],[-71.239433,42.339749,1256],[-71.254792,42.325413,1257],[-71.141192,42.342542,1258],[-71.144481,42.344387,1259],[-71.304843,42.279516,1260],[-71.143881,42.343987,1261],[-71.150141,42.348137,1262],[-71.293128,42.293882,1263],[-71.180471,42.356327,1264],[-71.160641,42.349097,1265],[-71.153642,42.348972,1266],[-71.163481,42.349417,1267],[-71.142071,42.342887,1268],[-71.115488,42.331213,1269],[-71.254792,42.325413,1270],[-71.170611,42.351907,1271],[-71.202833,42.352819,1272],[-71.170531,42.351347,1273],[-71.144297,42.344292,1274],[-71.297344,42.290994,1275],[-71.171771,42.352527,1276],[-71.141192,42.342542,1277],[-71.159871,42.349117,1278],[-71.139957,42.342447,1279],[-71.18597,42.356771,1280],[-71.310087,42.276377,1281],[-71.142071,42.342887,1282],[-71.148861,42.347687,1283],[-71.143881,42.343987,1284],[-71.306751,42.283311,1285],[-71.196917,42.355378,1286],[-71.160621,42.349217,1287],[-71.222869,42.34952,1288],[-71.25442,42.326841,1289],[-71.150141,42.348137,1290],[-71.166641,42.350337,1291],[-71.297344,42.290994,1292],[-71.115488,42.331213,1293],[-71.160431,42.348697,1294],[-71.153751,42.348978,1295],[-71.124259,42.334795,1296],[-71.27475,42.311357,1297],[-71.153641,42.348977,1298],[-71.142371,42.343267,1299],[-71.262793,42.322358,1300],[-71.118767,42.332477,1301],[-71.164911,42.349767,1302],[-71.255273,42.32799,1303],[-71.176257,42.354234,1304],[-71.289143,42.30054,1305],[-71.209998,42.351418,1306],[-71.270147,42.314902,1307],[-71.287694,42.29989,1308],[-71.29288,42.295624,1309],[-71.115488,42.331213,1310],[-71.115488,42.331213,1311],[-71.21463,42.351021,1312],[-71.152316,42.349234,1313],[-71.144481,42.344387,1314],[-71.161891,42.348787,1315],[-71.153641,42.348977,1316],[-71.254792,42.325413,1317],[-71.152531,42.348919,1318],[-71.141192,42.342542,1319],[-71.175997,42.354106,1320],[-71.152316,42.349234,1321],[-71.153641,42.348977,1322],[-71.145241,42.345433,1323],[-71.2907,42.296876,1324],[-71.254792,42.325413,1325],[-71.141192,42.342542,1326],[-71.162951,42.349217,1327],[-71.225963,42.349233,1328],[-71.145093,42.345293,1329],[-71.133065,42.338787,1330],[-71.165251,42.350019,1331],[-71.302732,42.288457,1332],[-71.254792,42.325413,1333],[-71.171666,42.351827,1334],[-71.142071,42.342887,1335],[-71.211081,42.351257,1336],[-71.144061,42.344077,1337],[-71.151421,42.349207,1338],[-71.157551,42.348897,1339],[-71.298535,42.290381,1340],[-71.164401,42.349507,1341],[-71.142071,42.342887,1342],[-71.145093,42.345293,1343],[-71.202833,42.352819,1344],[-71.150141,42.348137,1345],[-71.145241,42.345433,1346],[-71.145591,42.345097,1347],[-71.292562,42.296295,1348],[-71.141192,42.342542,1349],[-71.142071,42.342887,1350],[-71.145241,42.345433,1351],[-71.129272,42.338297,1352],[-71.145093,42.345293,1353],[-71.186515,42.357254,1354],[-71.160436,42.348718,1355],[-71.144061,42.344077,1356],[-71.145241,42.345433,1357],[-71.23994,42.338777,1358],[-71.148114,42.346671,1359],[-71.129691,42.33818,1360],[-71.142071,42.342887,1361],[-71.146201,42.345697,1362],[-71.141192,42.342542,1363],[-71.160621,42.349217,1364],[-71.142071,42.342887,1365],[-71.163271,42.348867,1366],[-71.161141,42.348767,1367],[-71.199271,42.353623,1368],[-71.142071,42.342887,1369],[-71.144301,42.344297,1370],[-71.153178,42.349286,1371],[-71.142371,42.343267,1372],[-71.144061,42.344077,1373],[-71.145041,42.344697,1374],[-71.172581,42.35296,1375],[-71.226655,42.34954,1376],[-71.141192,42.342542,1377],[-71.212519,42.351065,1378],[-71.141192,42.342542,1379],[-71.309397,42.279624,1380],[-71.141192,42.342542,1381],[-71.138562,42.341125,1382],[-71.142071,42.342887,1383],[-71.224909,42.349655,1384],[-71.163291,42.349297,1385],[-71.165171,42.350377,1386],[-71.142071,42.342887,1387],[-71.145241,42.345433,1388],[-71.155691,42.348877,1389],[-71.142071,42.342887,1390],[-71.170639,42.35192,1391],[-71.132857,42.338792,1392],[-71.142071,42.342887,1393],[-71.142071,42.342887,1394],[-71.144891,42.344557,1395],[-71.142071,42.342887,1396],[-71.151361,42.348827,1397],[-71.144061,42.344077,1398],[-71.165212,42.350396,1399],[-71.187311,42.356943,1400],[-71.144923,42.345163,1401],[-71.212002,42.351154,1402],[-71.160621,42.349217,1403],[-71.16104,42.349107,1404],[-71.142071,42.342887,1405],[-71.23544,42.343196,1406],[-71.141192,42.342542,1407],[-71.134141,42.338986,1408],[-71.170351,42.351347,1409],[-71.153599,42.348977,1410],[-71.145093,42.345293,1411],[-71.142071,42.342887,1412],[-71.162361,42.349297,1413],[-71.150141,42.348137,1414],[-71.142071,42.342887,1415],[-71.131716,42.338239,1416],[-71.150141,42.348137,1417],[-71.152921,42.349277,1418],[-71.141192,42.342542,1419],[-71.289915,42.299943,1420],[-71.145099,42.345287,1421],[-71.246083,42.332122,1422],[-71.152316,42.349234,1423],[-71.222016,42.349512,1424],[-71.164911,42.349767,1425],[-71.170341,42.351787,1426],[-71.153641,42.348977,1427],[-71.152316,42.349234,1428],[-71.261253,42.324153,1429],[-71.165111,42.349957,1430],[-71.144923,42.345163,1431],[-71.133291,42.338426,1432],[-71.16104,42.349107,1433],[-71.160636,42.349096,1434],[-71.145841,42.345327,1435],[-71.141192,42.342542,1436],[-71.26008,42.324496,1437],[-71.202171,42.352951,1438],[-71.163891,42.349657,1439],[-71.225255,42.349571,1440],[-71.144923,42.345163,1441],[-71.232251,42.346178,1442],[-71.148081,42.346657,1443],[-71.297344,42.290994,1444],[-71.259168,42.32562,1445],[-71.170481,42.351847,1446],[-71.146331,42.345807,1447],[-71.137702,42.340625,1448],[-71.144891,42.344557,1449],[-71.152751,42.349277,1450],[-71.142071,42.342887,1451],[-71.309397,42.279624,1452],[-71.27622,42.311113,1453],[-71.180851,42.356452,1454],[-71.16104,42.349107,1455],[-71.181014,42.355975,1456],[-71.142071,42.342887,1457],[-71.175818,42.354005,1458],[-71.165343,42.350061,1459],[-71.158951,42.34872,1460],[-71.115488,42.331213,1461],[-71.144923,42.345163,1462],[-71.157731,42.348897,1463],[-71.18597,42.356771,1464],[-71.142071,42.342887,1465],[-71.170231,42.351747,1466],[-71.142071,42.342887,1467],[-71.276915,42.309581,1468],[-71.243711,42.333546,1469],[-71.203575,42.352624,1470],[-71.144923,42.345163,1471],[-71.176257,42.354234,1472],[-71.166836,42.350337,1473],[-71.213617,42.351122,1474],[-71.165961,42.350107,1475],[-71.156351,42.348907,1476],[-71.125404,42.33638,1477],[-71.145301,42.344889,1478],[-71.158473,42.349172,1479],[-71.131716,42.338239,1480],[-71.152316,42.349234,1481],[-71.168082,42.350483,1482],[-71.165212,42.350396,1483],[-71.287644,42.301282,1484],[-71.144482,42.344388,1485],[-71.18597,42.356771,1486],[-71.144301,42.344297,1487],[-71.217244,42.350261,1488],[-71.141192,42.342542,1489],[-71.115488,42.331213,1490],[-71.143842,42.344645,1491],[-71.292562,42.296295,1492],[-71.142071,42.342887,1493],[-71.141192,42.342542,1494],[-71.157901,42.348877,1495],[-71.123213,42.335088,1496],[-71.154375,42.348978,1497],[-71.154391,42.348937,1498],[-71.160833,42.349225,1499],[-71.303325,42.283771,1500],[-71.133553,42.338851,1501],[-71.221689,42.34957,1502],[-71.164161,42.349347,1503],[-71.124564,42.335664,1504],[-71.141192,42.342542,1505],[-71.115488,42.331213,1506],[-71.164911,42.349767,1507],[-71.275085,42.310689,1508],[-71.163271,42.348867,1509],[-71.156761,42.348857,1510],[-71.141192,42.342542,1511],[-71.126919,42.337867,1512],[-71.124082,42.33525,1513],[-71.160831,42.349227,1514],[-71.161141,42.348767,1515],[-71.289006,42.300696,1516],[-71.254792,42.325413,1517],[-71.186515,42.357254,1518],[-71.142071,42.342887,1519],[-71.134141,42.338986,1520],[-71.125049,42.33605,1521],[-71.243711,42.333546,1522],[-71.158861,42.349187,1523],[-71.296744,42.290453,1524],[-71.243711,42.333546,1525],[-71.163271,42.348867,1526],[-71.143551,42.344487,1527],[-71.226526,42.348972,1528],[-71.261617,42.325914,1529],[-71.143842,42.344645,1530],[-71.153642,42.348972,1531],[-71.141192,42.342542,1532],[-71.125049,42.33605,1533],[-71.180064,42.355559,1534],[-71.172301,42.35279,1535],[-71.134141,42.338986,1536],[-71.115488,42.331213,1537],[-71.118143,42.332491,1538],[-71.142071,42.342887,1539],[-71.26295,42.322044,1540],[-71.261617,42.325914,1541],[-71.143551,42.344487,1542],[-71.158281,42.348877,1543],[-71.126029,42.336918,1544],[-71.115488,42.331213,1545],[-71.165231,42.350397,1546],[-71.160621,42.349217,1547],[-71.275085,42.310689,1548],[-71.118143,42.332491,1549],[-71.192392,42.355659,1550],[-71.153642,42.348972,1551],[-71.187311,42.356943,1552],[-71.274538,42.311899,1553],[-71.177955,42.354863,1554],[-71.141192,42.342542,1555],[-71.289143,42.30054,1556],[-71.297344,42.290994,1557],[-71.159051,42.349187,1558],[-71.172091,42.35269,1559],[-71.231393,42.346423,1560],[-71.297344,42.290994,1561],[-71.164531,42.349567,1562],[-71.152872,42.349256,1563],[-71.124082,42.33525,1564],[-71.243711,42.333546,1565],[-71.18954,42.35639,1566],[-71.142071,42.342887,1567],[-71.203575,42.352624,1568],[-71.296744,42.290453,1569],[-71.219417,42.349814,1570],[-71.165213,42.350013,1571],[-71.276008,42.310374,1572],[-71.273928,42.313475,1573],[-71.144482,42.344388,1574],[-71.170611,42.351907,1575],[-71.129076,42.33866,1576],[-71.287644,42.301282,1577],[-71.161341,42.348777,1578],[-71.170341,42.351787,1579],[-71.276008,42.310374,1580],[-71.124755,42.335938,1581],[-71.202999,42.352785,1582],[-71.172101,42.352697,1583],[-71.200562,42.353707,1584],[-71.259168,42.32562,1585],[-71.243711,42.333546,1586],[-71.172581,42.35296,1587],[-71.26791,42.316744,1588],[-71.295758,42.292835,1589],[-71.144297,42.344292,1590],[-71.147742,42.346542,1591],[-71.134332,42.339028,1592],[-71.289915,42.299943,1593],[-71.157901,42.348877,1594],[-71.169798,42.351586,1595],[-71.276008,42.310374,1596],[-71.115488,42.331213,1597],[-71.224181,42.34871,1598],[-71.165111,42.349957,1599],[-71.133783,42.338466,1600],[-71.115488,42.331213,1601],[-71.183995,42.357903,1602],[-71.152821,42.349277,1603],[-71.296744,42.290453,1604],[-71.143551,42.344487,1605],[-71.149739,42.347927,1606],[-71.161401,42.349187,1607],[-71.23678,42.341691,1608],[-71.257515,42.325605,1609],[-71.145591,42.345097,1610],[-71.154391,42.348937,1611],[-71.306662,42.280244,1612],[-71.164911,42.349767,1613],[-71.134332,42.339028,1614],[-71.170202,42.351736,1615],[-71.132692,42.338307,1616],[-71.276975,42.309289,1617],[-71.176906,42.354492,1618],[-71.144891,42.344557,1619],[-71.292562,42.296295,1620],[-71.293526,42.29375,1621],[-71.171931,42.352607,1622],[-71.158636,42.348746,1623],[-71.129076,42.33866,1624],[-71.125049,42.33605,1625],[-71.161771,42.349197,1626],[-71.152316,42.349234,1627],[-71.292205,42.296609,1628],[-71.119922,42.333187,1629],[-71.13217,42.338783,1630],[-71.144891,42.344557,1631],[-71.187311,42.356943,1632],[-71.293526,42.29375,1633],[-71.132692,42.338307,1634],[-71.142071,42.342887,1635],[-71.275085,42.310689,1636],[-71.243711,42.333546,1637],[-71.163271,42.348867,1638],[-71.142071,42.342887,1639],[-71.225963,42.349233,1640],[-71.290378,42.299547,1641],[-71.164798,42.350237,1642],[-71.143842,42.344645,1643],[-71.293526,42.29375,1644],[-71.115488,42.331213,1645],[-71.18597,42.356771,1646],[-71.160771,42.348747,1647],[-71.144891,42.344557,1648],[-71.261617,42.325914,1649],[-71.191093,42.355943,1650],[-71.144061,42.344077,1651],[-71.28666,42.301635,1652],[-71.12081,42.333324,1653],[-71.141192,42.342542,1654],[-71.142071,42.342887,1655],[-71.138233,42.341515,1656],[-71.142071,42.342887,1657],[-71.153961,42.349327,1658],[-71.141192,42.342542,1659],[-71.274133,42.312337,1660],[-71.141192,42.342542,1661],[-71.202999,42.352785,1662],[-71.142071,42.342887,1663],[-71.190919,42.355988,1664],[-71.289006,42.300696,1665],[-71.115488,42.331213,1666],[-71.144923,42.345163,1667],[-71.145093,42.345293,1668],[-71.305692,42.28233,1669],[-71.165626,42.350555,1670],[-71.144923,42.345163,1671],[-71.260655,42.324443,1672],[-71.115346,42.33048,1673],[-71.144891,42.344557,1674],[-71.157611,42.349257,1675],[-71.273531,42.312829,1676],[-71.115488,42.331213,1677],[-71.12752,42.3383,1678],[-71.141192,42.342542,1679],[-71.233348,42.346338,1680],[-71.260031,42.325343,1681],[-71.118574,42.33216,1682],[-71.142071,42.342887,1683],[-71.292562,42.296295,1684],[-71.288442,42.300856,1685],[-71.142071,42.342887,1686],[-71.142071,42.342887,1687],[-71.195672,42.355166,1688],[-71.255631,42.326527,1689],[-71.145061,42.344717,1690],[-71.141192,42.342542,1691],[-71.294746,42.293953,1692],[-71.28698,42.3013,1693],[-71.186515,42.357254,1694],[-71.158881,42.349187,1695],[-71.124082,42.33525,1696],[-71.125576,42.336517,1697],[-71.127348,42.33764,1698],[-71.142071,42.342887,1699],[-71.27475,42.311357,1700],[-71.261617,42.325914,1701],[-71.172091,42.352687,1702],[-71.142071,42.342887,1703],[-71.198868,42.354299,1704],[-71.243711,42.333546,1705],[-71.150141,42.348137,1706],[-71.142071,42.342887,1707],[-71.277488,42.30891,1708],[-71.248559,42.329667,1709],[-71.218942,42.349856,1710],[-71.141192,42.342542,1711],[-71.131716,42.338239,1712],[-71.118667,42.332373,1713],[-71.144297,42.344292,1714],[-71.144061,42.344077,1715],[-71.2875,42.300371,1716],[-71.279585,42.307184,1717],[-71.142071,42.342887,1718],[-71.154581,42.348967,1719],[-71.229843,42.348479,1720],[-71.243711,42.333546,1721],[-71.163901,42.349147,1722],[-71.142071,42.342887,1723],[-71.29288,42.295624,1724],[-71.27475,42.311357,1725],[-71.120149,42.333179,1726],[-71.141192,42.342542,1727],[-71.22239,42.349464,1728],[-71.133554,42.338462,1729],[-71.13217,42.338783,1730],[-71.145093,42.345293,1731],[-71.277076,42.309973,1732],[-71.261253,42.324153,1733],[-71.170119,42.351266,1734],[-71.169241,42.351397,1735],[-71.134363,42.33864,1736],[-71.243711,42.333546,1737],[-71.144481,42.344387,1738],[-71.168828,42.351299,1739],[-71.287421,42.301556,1740],[-71.122274,42.334165,1741],[-71.208988,42.351596,1742],[-71.141192,42.342542,1743],[-71.174498,42.353922,1744],[-71.133553,42.338851,1745],[-71.119264,42.333071,1746],[-71.172581,42.35296,1747],[-71.292862,42.295885,1748],[-71.143551,42.344487,1749],[-71.165485,42.35057,1750],[-71.154111,42.349327,1751],[-71.217414,42.350209,1752],[-71.125049,42.33605,1753],[-71.144481,42.344387,1754],[-71.141192,42.342542,1755],[-71.27475,42.311357,1756],[-71.243711,42.333546,1757],[-71.226263,42.349195,1758],[-71.171771,42.352527,1759],[-71.133783,42.338466,1760],[-71.115488,42.331213,1761],[-71.243711,42.333546,1762],[-71.161581,42.349187,1763],[-71.275085,42.310689,1764],[-71.124082,42.33525,1765],[-71.152163,42.348887,1766],[-71.154241,42.348997,1767],[-71.188203,42.356748,1768],[-71.115488,42.331213,1769],[-71.152421,42.349247,1770],[-71.157391,42.348897,1771],[-71.145241,42.345433,1772],[-71.123213,42.335088,1773],[-71.235087,42.344605,1774],[-71.142071,42.342887,1775],[-71.191551,42.355849,1776],[-71.118258,42.332644,1777],[-71.254792,42.325413,1778],[-71.166931,42.350357,1779],[-71.281082,42.306133,1780],[-71.143842,42.344645,1781],[-71.167043,42.350389,1782],[-71.142071,42.342887,1783],[-71.21665,42.35038,1784],[-71.124082,42.33525,1785],[-71.153231,42.348987,1786],[-71.143881,42.343987,1787],[-71.152721,42.349267,1788],[-71.137241,42.340382,1789],[-71.175354,42.353842,1790],[-71.144061,42.344077,1791],[-71.164911,42.349767,1792],[-71.254792,42.325413,1793],[-71.139485,42.341573,1794],[-71.142071,42.342887,1795],[-71.158881,42.349187,1796],[-71.308307,42.281507,1797],[-71.170531,42.351347,1798],[-71.143551,42.344487,1799],[-71.135054,42.338977,1800],[-71.12737,42.338142,1801],[-71.165631,42.350527,1802],[-71.141991,42.342727,1803],[-71.308431,42.279401,1804],[-71.125049,42.33605,1805],[-71.228855,42.349003,1806],[-71.162661,42.349207,1807],[-71.133923,42.338927,1808],[-71.246083,42.332122,1809],[-71.134141,42.338986,1810],[-71.170341,42.351787,1811],[-71.142071,42.342887,1812],[-71.120636,42.33325,1813],[-71.143269,42.34416,1814],[-71.148114,42.346671,1815],[-71.235347,42.344401,1816],[-71.254792,42.325413,1817],[-71.170641,42.351917,1818],[-71.143881,42.343987,1819],[-71.27475,42.311357,1820],[-71.287694,42.29989,1821],[-71.23678,42.341691,1822],[-71.141192,42.342542,1823],[-71.226662,42.349136,1824],[-71.287224,42.30075,1825],[-71.115488,42.331213,1826],[-71.145093,42.345293,1827],[-71.154391,42.348937,1828],[-71.256322,42.326139,1829],[-71.143551,42.344487,1830],[-71.142071,42.342887,1831],[-71.222133,42.348964,1832],[-71.271207,42.315614,1833],[-71.144301,42.344297,1834],[-71.141192,42.342542,1835],[-71.296891,42.29085,1836],[-71.243711,42.333546,1837],[-71.179429,42.355258,1838],[-71.169421,42.351477,1839],[-71.131716,42.338239,1840],[-71.115488,42.331213,1841],[-71.125404,42.33638,1842],[-71.168871,42.351307,1843],[-71.293128,42.293882,1844],[-71.292617,42.296943,1845],[-71.159711,42.349117,1846],[-71.142071,42.342887,1847],[-71.214813,42.350948,1848],[-71.259168,42.32562,1849],[-71.153171,42.349277,1850],[-71.144481,42.344387,1851],[-71.274538,42.311899,1852],[-71.142071,42.342887,1853],[-71.133923,42.338927,1854],[-71.152163,42.348887,1855],[-71.126919,42.337867,1856],[-71.119922,42.333187,1857],[-71.187412,42.356343,1858],[-71.145241,42.345433,1859],[-71.296744,42.290453,1860],[-71.123011,42.334837,1861],[-71.150141,42.348137,1862],[-71.142071,42.342887,1863],[-71.293631,42.295262,1864],[-71.270268,42.315899,1865],[-71.164641,42.349647,1866],[-71.163891,42.349657,1867],[-71.287694,42.29989,1868],[-71.29288,42.295624,1869],[-71.115488,42.331213,1870],[-71.151741,42.349227,1871],[-71.27475,42.311357,1872],[-71.115488,42.331213,1873],[-71.119264,42.333071,1874],[-71.15317,42.3493,1875],[-71.294746,42.293953,1876],[-71.266862,42.318288,1877],[-71.151421,42.349207,1878],[-71.141192,42.342542,1879],[-71.292562,42.296295,1880],[-71.275323,42.311091,1881],[-71.144481,42.344387,1882],[-71.142071,42.342887,1883],[-71.144923,42.345163,1884],[-71.115488,42.331213,1885],[-71.198261,42.354465,1886],[-71.145961,42.345457,1887],[-71.289413,42.300252,1888],[-71.136967,42.340875,1889],[-71.134363,42.33864,1890],[-71.142071,42.342887,1891],[-71.296744,42.290453,1892],[-71.132168,42.338249,1893],[-71.172775,42.353075,1894],[-71.157611,42.349257,1895],[-71.276915,42.309581,1896],[-71.275085,42.310689,1897],[-71.170111,42.351697,1898],[-71.151101,42.348817,1899],[-71.29013,42.299728,1900],[-71.13653,42.339904,1901],[-71.129272,42.338297,1902],[-71.154323,42.349309,1903],[-71.145093,42.345293,1904],[-71.158473,42.349172,1905],[-71.246083,42.332122,1906],[-71.144891,42.344557,1907],[-71.169293,42.350794,1908],[-71.293631,42.295262,1909],[-71.144482,42.344388,1910],[-71.142071,42.342887,1911],[-71.145161,42.344807,1912],[-71.143881,42.343987,1913],[-71.169831,42.351597,1914],[-71.260855,42.325249,1915],[-71.293631,42.295262,1916],[-71.144891,42.344557,1917],[-71.18597,42.356771,1918],[-71.145591,42.345097,1919],[-71.141192,42.342542,1920],[-71.256845,42.325967,1921],[-71.133554,42.338462,1922],[-71.143881,42.343987,1923],[-71.293526,42.29375,1924],[-71.145321,42.344907,1925],[-71.157551,42.348897,1926],[-71.273527,42.313643,1927],[-71.143842,42.344645,1928],[-71.142071,42.342887,1929],[-71.140381,42.342817,1930],[-71.142071,42.342887,1931],[-71.154681,42.348997,1932],[-71.160636,42.349096,1933],[-71.221528,42.34939,1934],[-71.144061,42.344077,1935],[-71.276008,42.310374,1936],[-71.141192,42.342542,1937],[-71.213867,42.350631,1938],[-71.292943,42.294595,1939],[-71.165548,42.350542,1940],[-71.153178,42.349286,1941],[-71.153911,42.348977,1942],[-71.145321,42.344907,1943],[-71.143551,42.344487,1944],[-71.293526,42.29375,1945],[-71.142071,42.342887,1946],[-71.145241,42.345433,1947],[-71.292205,42.296609,1948],[-71.163271,42.348867,1949],[-71.13653,42.339904,1950],[-71.257256,42.325258,1951],[-71.309397,42.279624,1952],[-71.141192,42.342542,1953],[-71.118376,42.332788,1954],[-71.152316,42.349234,1955],[-71.151223,42.348825,1956],[-71.243711,42.333546,1957],[-71.146593,42.346072,1958],[-71.153178,42.349286,1959],[-71.293419,42.294039,1960],[-71.151223,42.348825,1961],[-71.148111,42.346667,1962],[-71.27475,42.311357,1963],[-71.289915,42.299943,1964],[-71.142071,42.342887,1965],[-71.179237,42.355844,1966],[-71.163706,42.349506,1967],[-71.142071,42.342887,1968],[-71.255405,42.326334,1969],[-71.187866,42.356915,1970],[-71.149001,42.347177,1971],[-71.294851,42.292962,1972],[-71.143551,42.344487,1973],[-71.142071,42.342887,1974],[-71.243711,42.333546,1975],[-71.296891,42.29085,1976],[-71.15531,42.34942,1977],[-71.148781,42.347047,1978],[-71.143551,42.344487,1979],[-71.145241,42.345433,1980],[-71.165363,42.35007,1981],[-71.228568,42.349069,1982],[-71.148081,42.346657,1983],[-71.311316,42.275945,1984],[-71.141192,42.342542,1985],[-71.133783,42.338466,1986],[-71.115488,42.331213,1987],[-71.273018,42.313371,1988],[-71.163901,42.349147,1989],[-71.144482,42.344388,1990],[-71.142071,42.342887,1991],[-71.144061,42.344077,1992],[-71.243711,42.333546,1993],[-71.141991,42.342727,1994],[-71.170111,42.351697,1995],[-71.162091,42.348807,1996],[-71.142071,42.342887,1997],[-71.202999,42.352785,1998],[-71.276008,42.310374,1999],[-71.172581,42.35296,2000],[-71.141192,42.342542,2001],[-71.142071,42.342887,2002],[-71.141192,42.342542,2003],[-71.154581,42.348967,2004],[-71.260655,42.324443,2005],[-71.142071,42.342887,2006],[-71.141192,42.342542,2007],[-71.289413,42.300252,2008],[-71.143551,42.344487,2009],[-71.152311,42.349247,2010],[-71.115488,42.331213,2011],[-71.310221,42.276165,2012],[-71.141192,42.342542,2013],[-71.132692,42.338307,2014],[-71.141192,42.342542,2015],[-71.145093,42.345293,2016],[-71.246083,42.332122,2017],[-71.133554,42.338462,2018],[-71.142071,42.342887,2019],[-71.168871,42.351307,2020],[-71.141192,42.342542,2021],[-71.146331,42.345807,2022],[-71.118767,42.332477,2023],[-71.142071,42.342887,2024],[-71.163271,42.348867,2025],[-71.154121,42.348997,2026],[-71.141192,42.342542,2027],[-71.142071,42.342887,2028],[-71.243711,42.333546,2029],[-71.139376,42.342064,2030],[-71.143842,42.344645,2031],[-71.273928,42.313475,2032],[-71.152871,42.349277,2033],[-71.123213,42.335088,2034],[-71.256845,42.325967,2035],[-71.293631,42.295262,2036],[-71.172601,42.352967,2037],[-71.169801,42.351587,2038],[-71.16104,42.349107,2039],[-71.309735,42.276586,2040],[-71.292862,42.295885,2041],[-71.154411,42.349317,2042],[-71.141192,42.342542,2043],[-71.294715,42.294243,2044],[-71.142071,42.342887,2045],[-71.211081,42.351257,2046],[-71.141192,42.342542,2047],[-71.294715,42.294243,2048],[-71.143551,42.344487,2049],[-71.201624,42.353108,2050],[-71.243711,42.333546,2051],[-71.289915,42.299943,2052],[-71.261617,42.325914,2053],[-71.160636,42.349096,2054],[-71.145093,42.345293,2055],[-71.293978,42.294455,2056],[-71.245769,42.330768,2057],[-71.164461,42.350027,2058],[-71.292205,42.296609,2059],[-71.307745,42.278308,2060],[-71.11919,42.332997,2061],[-71.174702,42.353349,2062],[-71.159711,42.349117,2063],[-71.292205,42.296609,2064],[-71.124755,42.335938,2065],[-71.23544,42.343196,2066],[-71.142071,42.342887,2067],[-71.306355,42.281195,2068],[-71.275085,42.310689,2069],[-71.142071,42.342887,2070],[-71.123213,42.335088,2071],[-71.287897,42.29952,2072],[-71.254792,42.325413,2073],[-71.152981,42.349277,2074],[-71.296891,42.29085,2075],[-71.16647,42.350936,2076],[-71.243711,42.333546,2077],[-71.139281,42.342014,2078],[-71.29288,42.295624,2079],[-71.292862,42.295885,2080],[-71.273527,42.313643,2081],[-71.115488,42.331213,2082],[-71.292812,42.294072,2083],[-71.144891,42.344557,2084],[-71.254792,42.325413,2085],[-71.143272,42.344171,2086],[-71.255273,42.32799,2087],[-71.293526,42.29375,2088],[-71.276849,42.310355,2089],[-71.163271,42.348867,2090],[-71.275085,42.310689,2091],[-71.310797,42.277521,2092],[-71.287694,42.29989,2093],[-71.18597,42.356771,2094],[-71.269259,42.315838,2095],[-71.161951,42.349207,2096],[-71.292562,42.296295,2097],[-71.143842,42.344645,2098],[-71.115488,42.331213,2099],[-71.138068,42.341422,2100],[-71.27475,42.311357,2101],[-71.141192,42.342542,2102],[-71.12081,42.333324,2103],[-71.142071,42.342887,2104],[-71.246083,42.332122,2105],[-71.145241,42.345433,2106],[-71.293419,42.294039,2107],[-71.141192,42.342542,2108],[-71.291632,42.29796,2109],[-71.158473,42.349172,2110],[-71.275085,42.310689,2111],[-71.154391,42.348937,2112],[-71.243711,42.333546,2113],[-71.145241,42.345433,2114],[-71.267384,42.317818,2115],[-71.169421,42.351477,2116],[-71.118376,42.332788,2117],[-71.208622,42.351648,2118],[-71.115488,42.331213,2119],[-71.144891,42.344557,2120],[-71.151361,42.348827,2121],[-71.140109,42.341987,2122],[-71.142071,42.342887,2123],[-71.164501,42.350047,2124],[-71.187412,42.356343,2125],[-71.243711,42.333546,2126],[-71.142137,42.342909,2127],[-71.118258,42.332644,2128],[-71.143842,42.344645,2129],[-71.153641,42.348977,2130],[-71.261253,42.324153,2131],[-71.142071,42.342887,2132],[-71.158694,42.348468,2133],[-71.256322,42.326139,2134],[-71.141192,42.342542,2135],[-71.141192,42.342542,2136],[-71.119264,42.333071,2137],[-71.144891,42.344557,2138],[-71.142071,42.342887,2139],[-71.254792,42.325413,2140],[-71.147471,42.346377,2141],[-71.169421,42.351477,2142],[-71.243711,42.333546,2143],[-71.188203,42.356748,2144],[-71.142071,42.342887,2145],[-71.291632,42.29796,2146],[-71.144923,42.345163,2147],[-71.143551,42.344487,2148],[-71.126985,42.3373,2149],[-71.144923,42.345163,2150],[-71.160941,42.348737,2151],[-71.279948,42.307007,2152],[-71.180238,42.355684,2153],[-71.145241,42.345433,2154],[-71.134332,42.339028,2155],[-71.141192,42.342542,2156],[-71.1721,42.352077,2157],[-71.115488,42.331213,2158],[-71.143842,42.344645,2159],[-71.163891,42.349657,2160],[-71.177096,42.354567,2161],[-71.126348,42.336671,2162],[-71.141192,42.342542,2163],[-71.258591,42.326044,2164],[-71.142071,42.342887,2165],[-71.146201,42.345697,2166],[-71.125937,42.336834,2167],[-71.142071,42.342887,2168],[-71.141192,42.342542,2169],[-71.296891,42.29085,2170],[-71.158473,42.349172,2171],[-71.154371,42.348977,2172],[-71.229843,42.348479,2173],[-71.163901,42.349147,2174],[-71.169581,42.351047,2175],[-71.115488,42.331213,2176],[-71.165369,42.350071,2177],[-71.141192,42.342542,2178],[-71.276453,42.309314,2179],[-71.187311,42.356943,2180],[-71.144061,42.344077,2181],[-71.207964,42.351672,2182],[-71.145961,42.345457,2183],[-71.152316,42.349234,2184],[-71.243711,42.333546,2185],[-71.165631,42.350527,2186],[-71.142071,42.342887,2187],[-71.123213,42.335088,2188],[-71.126919,42.337867,2189],[-71.152161,42.348887,2190],[-71.125049,42.33605,2191],[-71.142071,42.342887,2192],[-71.144061,42.344077,2193],[-71.133291,42.338426,2194],[-71.154371,42.348977,2195],[-71.159531,42.349117,2196],[-71.145321,42.344907,2197],[-71.131237,42.338121,2198],[-71.161041,42.349227,2199],[-71.133065,42.338787,2200],[-71.141192,42.342542,2201],[-71.142371,42.343267,2202],[-71.23544,42.343196,2203],[-71.161041,42.349227,2204],[-71.153642,42.348972,2205],[-71.23544,42.343196,2206],[-71.142071,42.342887,2207],[-71.147741,42.346537,2208],[-71.181623,42.355959,2209],[-71.164801,42.350237,2210],[-71.142071,42.342887,2211],[-71.292617,42.296943,2212],[-71.158473,42.349172,2213],[-71.144301,42.344297,2214],[-71.126029,42.336918,2215],[-71.158473,42.349172,2216],[-71.142071,42.342887,2217],[-71.23544,42.343196,2218],[-71.145093,42.345293,2219],[-71.168811,42.351287,2220],[-71.222624,42.348925,2221],[-71.164911,42.349767,2222],[-71.162791,42.348837,2223],[-71.29288,42.295624,2224],[-71.12782,42.3384,2225],[-71.154241,42.348997,2226],[-71.235761,42.344109,2227],[-71.142071,42.342887,2228],[-71.144891,42.344557,2229],[-71.277868,42.307691,2230],[-71.142071,42.342887,2231],[-71.151981,42.348874,2232],[-71.175307,42.354368,2233],[-71.204952,42.352354,2234],[-71.143881,42.343987,2235],[-71.124082,42.33525,2236],[-71.164911,42.349767,2237],[-71.14433,42.344787,2238],[-71.124082,42.33525,2239],[-71.141192,42.342542,2240],[-71.145241,42.345433,2241],[-71.255911,42.326164,2242],[-71.164941,42.350327,2243],[-71.153281,42.348907,2244],[-71.133553,42.338851,2245],[-71.142071,42.342887,2246],[-71.154581,42.348967,2247],[-71.156407,42.349476,2248],[-71.143881,42.343987,2249],[-71.170531,42.351347,2250],[-71.243711,42.333546,2251],[-71.201099,42.353601,2252],[-71.157391,42.348897,2253],[-71.261617,42.325914,2254],[-71.144061,42.344077,2255],[-71.153641,42.348977,2256],[-71.254792,42.325413,2257],[-71.141192,42.342542,2258],[-71.16104,42.349107,2259],[-71.27475,42.311357,2260],[-71.200237,42.353253,2261],[-71.172321,42.352797,2262],[-71.29013,42.299728,2263],[-71.141192,42.342542,2264],[-71.141192,42.342542,2265],[-71.279071,42.307675,2266],[-71.160833,42.349225,2267],[-71.142071,42.342887,2268],[-71.115488,42.331213,2269],[-71.23544,42.343196,2270],[-71.144061,42.344077,2271],[-71.269498,42.316423,2272],[-71.143842,42.344645,2273],[-71.143881,42.343987,2274],[-71.254792,42.325413,2275],[-71.163271,42.348867,2276],[-71.141192,42.342542,2277],[-71.289915,42.299943,2278],[-71.142393,42.34329,2279],[-71.152316,42.349234,2280],[-71.243711,42.333546,2281],[-71.148271,42.346737,2282],[-71.144061,42.344077,2283],[-71.119398,42.333098,2284],[-71.144061,42.344077,2285],[-71.141192,42.342542,2286],[-71.187311,42.356943,2287],[-71.177315,42.354615,2288],[-71.144923,42.345163,2289],[-71.25442,42.326841,2290],[-71.142071,42.342887,2291],[-71.145093,42.345293,2292],[-71.115488,42.331213,2293],[-71.144061,42.344077,2294],[-71.143551,42.344487,2295],[-71.221292,42.349423,2296],[-71.18597,42.356771,2297],[-71.144891,42.344557,2298],[-71.23544,42.343196,2299],[-71.154371,42.348977,2300],[-71.160636,42.349096,2301],[-71.273928,42.313475,2302],[-71.169051,42.351357,2303],[-71.143842,42.344645,2304],[-71.254792,42.325413,2305],[-71.129272,42.338297,2306],[-71.160621,42.349217,2307],[-71.254792,42.325413,2308],[-71.149711,42.347897,2309],[-71.158281,42.348877,2310],[-71.243711,42.333546,2311],[-71.143842,42.344645,2312],[-71.142071,42.342887,2313],[-71.294425,42.294077,2314],[-71.156054,42.348912,2315],[-71.167841,42.350457,2316],[-71.139012,42.341866,2317],[-71.165481,42.350497,2318],[-71.141192,42.342542,2319],[-71.115488,42.331213,2320],[-71.153178,42.349286,2321],[-71.145841,42.345327,2322],[-71.23544,42.343196,2323],[-71.133065,42.338787,2324],[-71.142071,42.342887,2325],[-71.151223,42.348825,2326],[-71.145241,42.345433,2327],[-71.142071,42.342887,2328],[-71.279415,42.307349,2329],[-71.141192,42.342542,2330],[-71.141192,42.342542,2331],[-71.133065,42.338787,2332],[-71.178194,42.355037,2333],[-71.154371,42.348977,2334],[-71.214463,42.351037,2335],[-71.165136,42.350405,2336],[-71.142071,42.342887,2337],[-71.261617,42.325914,2338],[-71.141192,42.342542,2339],[-71.142071,42.342887,2340],[-71.135054,42.338977,2341],[-71.144061,42.344077,2342],[-71.152316,42.349234,2343],[-71.253457,42.326958,2344],[-71.157221,42.349297,2345],[-71.142071,42.342887,2346],[-71.180851,42.356452,2347],[-71.164071,42.349767,2348],[-71.171066,42.35218,2349],[-71.144061,42.344077,2350],[-71.158473,42.349172,2351],[-71.153178,42.349286,2352],[-71.245769,42.330768,2353],[-71.161701,42.348777,2354],[-71.144923,42.345163,2355],[-71.295461,42.293162,2356],[-71.143881,42.343987,2357],[-71.141192,42.342542,2358],[-71.222016,42.349512,2359],[-71.131237,42.338121,2360],[-71.162951,42.349217,2361],[-71.276008,42.310374,2362],[-71.142071,42.342887,2363],[-71.152316,42.349234,2364],[-71.130792,42.338107,2365],[-71.142071,42.342887,2366],[-71.143881,42.343987,2367],[-71.115488,42.331213,2368],[-71.243711,42.333546,2369],[-71.170531,42.351347,2370],[-71.250155,42.335985,2371],[-71.141192,42.342542,2372],[-71.142071,42.342887,2373],[-71.206429,42.351994,2374],[-71.143881,42.343987,2375],[-71.142071,42.342887,2376],[-71.245427,42.333007,2377],[-71.124082,42.33525,2378],[-71.162661,42.349207,2379],[-71.212002,42.351154,2380],[-71.157391,42.348897,2381],[-71.144923,42.345163,2382],[-71.245769,42.330768,2383],[-71.170201,42.351737,2384],[-71.142071,42.342887,2385],[-71.115488,42.331213,2386],[-71.144061,42.344077,2387],[-71.143881,42.343987,2388],[-71.120876,42.333401,2389],[-71.142071,42.342887,2390],[-71.149261,42.347397,2391],[-71.133783,42.338466,2392],[-71.141192,42.342542,2393],[-71.142071,42.342887,2394],[-71.180855,42.355898,2395],[-71.180851,42.356452,2396],[-71.145241,42.345433,2397],[-71.27475,42.311357,2398],[-71.141192,42.342542,2399],[-71.162981,42.348867,2400],[-71.119143,42.332901,2401],[-71.158289,42.3492,2402],[-71.141192,42.342542,2403],[-71.12737,42.338142,2404],[-71.115488,42.331213,2405],[-71.143881,42.343987,2406],[-71.246083,42.332122,2407],[-71.144891,42.344557,2408],[-71.144923,42.345163,2409],[-71.263696,42.321802,2410],[-71.169781,42.351107,2411],[-71.165481,42.350497,2412],[-71.124082,42.33525,2413],[-71.242912,42.334812,2414],[-71.149431,42.347547,2415],[-71.292862,42.295885,2416],[-71.144923,42.345163,2417],[-71.141192,42.342542,2418],[-71.254792,42.325413,2419],[-71.163291,42.349297,2420],[-71.146081,42.345577,2421],[-71.134779,42.338836,2422],[-71.143842,42.344645,2423],[-71.141192,42.342542,2424],[-71.243711,42.333546,2425],[-71.142071,42.342887,2426],[-71.152316,42.349234,2427],[-71.292617,42.296943,2428],[-71.169581,42.351047,2429],[-71.161401,42.349187,2430],[-71.115488,42.331213,2431],[-71.228855,42.349003,2432],[-71.164911,42.349767,2433],[-71.118574,42.33216,2434],[-71.157611,42.349257,2435],[-71.141192,42.342542,2436],[-71.141192,42.342542,2437],[-71.154504,42.349313,2438],[-71.164161,42.349347,2439],[-71.243711,42.333546,2440],[-71.202999,42.352785,2441],[-71.143881,42.343987,2442],[-71.187311,42.356943,2443],[-71.161771,42.349197,2444],[-71.142071,42.342887,2445],[-71.261617,42.325914,2446],[-71.143842,42.344645,2447],[-71.141192,42.342542,2448],[-71.243711,42.333546,2449],[-71.133783,42.338466,2450],[-71.143551,42.344487,2451],[-71.254792,42.325413,2452],[-71.145093,42.345293,2453],[-71.143551,42.344487,2454],[-71.124082,42.33525,2455],[-71.143351,42.344197,2456],[-71.142071,42.342887,2457],[-71.273928,42.313475,2458],[-71.169051,42.351357,2459],[-71.169241,42.351397,2460],[-71.257515,42.325605,2461],[-71.142071,42.342887,2462],[-71.163551,42.349467,2463],[-71.287644,42.301282,2464],[-71.141991,42.342727,2465],[-71.141192,42.342542,2466],[-71.250027,42.330225,2467],[-71.228568,42.349069,2468],[-71.162951,42.349217,2469],[-71.129076,42.33866,2470],[-71.141192,42.342542,2471],[-71.143881,42.343987,2472],[-71.23544,42.343196,2473],[-71.166856,42.350215,2474],[-71.143881,42.343987,2475],[-71.243711,42.333546,2476],[-71.203151,42.352744,2477],[-71.141192,42.342542,2478],[-71.123213,42.335088,2479],[-71.141192,42.342542,2480],[-71.146593,42.346072,2481],[-71.126881,42.337191,2482],[-71.157611,42.349257,2483],[-71.141192,42.342542,2484],[-71.243711,42.333546,2485],[-71.246083,42.332122,2486],[-71.141192,42.342542,2487],[-71.2595,42.323613,2488],[-71.144061,42.344077,2489],[-71.142071,42.342887,2490],[-71.275085,42.310689,2491],[-71.152481,42.349257,2492],[-71.142071,42.342887,2493],[-71.255405,42.326334,2494],[-71.162091,42.348807,2495],[-71.142071,42.342887,2496],[-71.259168,42.32562,2497],[-71.16104,42.349107,2498],[-71.166856,42.350215,2499],[-71.149611,42.347497,2500],[-71.149005,42.347176,2501],[-71.143551,42.344487,2502],[-71.255405,42.326334,2503],[-71.180851,42.356452,2504],[-71.144061,42.344077,2505],[-71.293128,42.293882,2506],[-71.152316,42.349234,2507],[-71.149261,42.347397,2508],[-71.198442,42.354421,2509],[-71.142071,42.342887,2510],[-71.141192,42.342542,2511],[-71.263611,42.321992,2512],[-71.153101,42.348937,2513],[-71.144891,42.344557,2514],[-71.126919,42.337867,2515],[-71.148598,42.346977,2516],[-71.145093,42.345293,2517],[-71.161771,42.349197,2518],[-71.144891,42.344557,2519],[-71.163551,42.349467,2520],[-71.174042,42.353867,2521],[-71.138658,42.341661,2522],[-71.141192,42.342542,2523],[-71.28817,42.298343,2524],[-71.143551,42.344487,2525],[-71.142071,42.342887,2526],[-71.115488,42.331213,2527],[-71.144923,42.345163,2528],[-71.141192,42.342542,2529],[-71.275323,42.311091,2530],[-71.203575,42.352624,2531],[-71.144891,42.344557,2532],[-71.235987,42.343904,2533],[-71.153642,42.348972,2534],[-71.152316,42.349234,2535],[-71.119393,42.33342,2536],[-71.173671,42.353627,2537],[-71.141192,42.342542,2538],[-71.165631,42.350527,2539],[-71.225963,42.349233,2540],[-71.141192,42.342542,2541],[-71.176125,42.354732,2542],[-71.142071,42.342887,2543],[-71.143551,42.344487,2544],[-71.126775,42.337085,2545],[-71.172301,42.352787,2546],[-71.143551,42.344487,2547],[-71.118767,42.332477,2548],[-71.166856,42.350215,2549],[-71.152316,42.349234,2550],[-71.123213,42.335088,2551],[-71.142071,42.342887,2552],[-71.168871,42.351307,2553],[-71.23544,42.343196,2554],[-71.163721,42.349507,2555],[-71.141192,42.342542,2556],[-71.275085,42.310689,2557],[-71.18597,42.356771,2558],[-71.142071,42.342887,2559],[-71.292812,42.294072,2560],[-71.152163,42.348887,2561],[-71.142071,42.342887,2562],[-71.115488,42.331213,2563],[-71.15595,42.349315,2564],[-71.141192,42.342542,2565],[-71.293526,42.29375,2566],[-71.164401,42.349507,2567],[-71.145461,42.344997,2568],[-71.243711,42.333546,2569],[-71.144923,42.345163,2570],[-71.142071,42.342887,2571],[-71.12782,42.3384,2572],[-71.164911,42.349767,2573],[-71.144891,42.344557,2574],[-71.115488,42.331213,2575],[-71.186515,42.357254,2576],[-71.171931,42.352607,2577],[-71.277868,42.307691,2578],[-71.152316,42.349234,2579],[-71.143551,42.344487,2580],[-71.239336,42.339896,2581],[-71.170611,42.351907,2582],[-71.162661,42.349207,2583],[-71.207964,42.351672,2584],[-71.133291,42.338426,2585],[-71.141192,42.342542,2586],[-71.13217,42.338783,2587],[-71.157221,42.349297,2588],[-71.161401,42.349187,2589],[-71.292205,42.296609,2590],[-71.141192,42.342542,2591],[-71.157611,42.349257,2592],[-71.253966,42.327348,2593],[-71.246083,42.332122,2594],[-71.141192,42.342542,2595],[-71.29288,42.295624,2596],[-71.157731,42.348897,2597],[-71.142071,42.342887,2598],[-71.115488,42.331213,2599],[-71.150901,42.348807,2600],[-71.151361,42.348827,2601],[-71.137323,42.341121,2602],[-71.147061,42.346287,2603],[-71.147621,42.346477,2604],[-71.192137,42.355708,2605],[-71.153281,42.348907,2606],[-71.143842,42.344645,2607],[-71.273928,42.313475,2608],[-71.141192,42.342542,2609],[-71.144061,42.344077,2610],[-71.123011,42.334837,2611],[-71.18597,42.356771,2612],[-71.143842,42.344645,2613],[-71.294851,42.292962,2614],[-71.144923,42.345163,2615],[-71.161891,42.348787,2616],[-71.118258,42.332644,2617],[-71.149431,42.347547,2618],[-71.161041,42.349227,2619],[-71.261617,42.325914,2620],[-71.157611,42.349257,2621],[-71.141192,42.342542,2622],[-71.261617,42.325914,2623],[-71.144923,42.345163,2624],[-71.145093,42.345293,2625],[-71.211708,42.351222,2626],[-71.143842,42.344645,2627],[-71.141192,42.342542,2628],[-71.279071,42.307675,2629],[-71.121461,42.334605,2630],[-71.169831,42.351597,2631],[-71.23544,42.343196,2632],[-71.144891,42.344557,2633],[-71.142071,42.342887,2634],[-71.18672,42.356385,2635],[-71.152316,42.349234,2636],[-71.146081,42.345577,2637],[-71.293151,42.294216,2638],[-71.19835,42.355382,2639],[-71.141192,42.342542,2640],[-71.189775,42.356322,2641],[-71.149005,42.347176,2642],[-71.142071,42.342887,2643],[-71.265411,42.319589,2644],[-71.143881,42.343987,2645],[-71.141192,42.342542,2646],[-71.246083,42.332122,2647],[-71.179237,42.355844,2648],[-71.142071,42.342887,2649],[-71.281082,42.306133,2650],[-71.141192,42.342542,2651],[-71.143842,42.344645,2652],[-71.243989,42.334063,2653],[-71.142071,42.342887,2654],[-71.142071,42.342887,2655],[-71.211081,42.351257,2656],[-71.155691,42.348877,2657],[-71.142071,42.342887,2658],[-71.23544,42.343196,2659],[-71.153642,42.348972,2660],[-71.153642,42.348972,2661],[-71.243711,42.333546,2662],[-71.142071,42.342887,2663],[-71.141192,42.342542,2664],[-71.141192,42.342542,2665],[-71.125049,42.33605,2666],[-71.141192,42.342542,2667],[-71.292721,42.294464,2668],[-71.150141,42.348137,2669],[-71.141192,42.342542,2670],[-71.27475,42.311357,2671],[-71.150991,42.348807,2672],[-71.163891,42.349657,2673],[-71.292943,42.294595,2674],[-71.160941,42.348737,2675],[-71.164281,42.349897,2676],[-71.246083,42.332122,2677],[-71.148081,42.346657,2678],[-71.157901,42.348877,2679],[-71.132692,42.338307,2680],[-71.144923,42.345163,2681],[-71.163271,42.348867,2682],[-71.13653,42.339904,2683],[-71.187412,42.356343,2684],[-71.152316,42.349234,2685],[-71.164281,42.349897,2686],[-71.160621,42.349217,2687],[-71.142071,42.342887,2688],[-71.186515,42.357254,2689],[-71.144481,42.344387,2690],[-71.145241,42.345433,2691],[-71.138562,42.341125,2692],[-71.230914,42.346803,2693],[-71.141192,42.342542,2694],[-71.115488,42.331213,2695],[-71.150141,42.348137,2696],[-71.142071,42.342887,2697],[-71.261617,42.325914,2698],[-71.142071,42.342887,2699],[-71.144061,42.344077,2700],[-71.261602,42.324003,2701],[-71.242651,42.334989,2702],[-71.143881,42.343987,2703],[-71.280645,42.306527,2704],[-71.143842,42.344645,2705],[-71.141192,42.342542,2706],[-71.160833,42.349225,2707],[-71.151773,42.348779,2708],[-71.151223,42.348825,2709],[-71.132857,42.338792,2710],[-71.173191,42.353247,2711],[-71.142071,42.342887,2712],[-71.119551,42.333121,2713],[-71.142071,42.342887,2714],[-71.141192,42.342542,2715],[-71.255631,42.326527,2716],[-71.141192,42.342542,2717],[-71.145241,42.345433,2718],[-71.18597,42.356771,2719],[-71.183995,42.357903,2720],[-71.153642,42.348972,2721],[-71.254792,42.325413,2722],[-71.142071,42.342887,2723],[-71.142071,42.342887,2724],[-71.254792,42.325413,2725],[-71.169241,42.351397,2726],[-71.141192,42.342542,2727],[-71.177989,42.355442,2728],[-71.162951,42.349217,2729],[-71.151361,42.348827,2730],[-71.123213,42.335088,2731],[-71.165212,42.350396,2732],[-71.146791,42.346157,2733],[-71.233687,42.346104,2734],[-71.142071,42.342887,2735],[-71.163271,42.348867,2736],[-71.118767,42.332477,2737],[-71.139527,42.342111,2738],[-71.165711,42.350537,2739],[-71.254871,42.326577,2740],[-71.141192,42.342542,2741],[-71.141192,42.342542,2742],[-71.243711,42.333546,2743],[-71.172281,42.352177,2744],[-71.155471,42.348777,2745],[-71.132692,42.338307,2746],[-71.180851,42.356452,2747],[-71.142071,42.342887,2748],[-71.280645,42.306527,2749],[-71.141192,42.342542,2750],[-71.141192,42.342542,2751],[-71.115488,42.331213,2752],[-71.143881,42.343987,2753],[-71.143551,42.344487,2754],[-71.245427,42.333007,2755],[-71.178429,42.355863,2756],[-71.141192,42.342542,2757],[-71.138924,42.341813,2758],[-71.141192,42.342542,2759],[-71.141192,42.342542,2760],[-71.19429,42.355448,2761],[-71.144923,42.345163,2762],[-71.154371,42.348977,2763],[-71.289915,42.299943,2764],[-71.165092,42.349949,2765],[-71.141192,42.342542,2766],[-71.261617,42.325914,2767],[-71.163481,42.349417,2768],[-71.162791,42.348837,2769],[-71.275085,42.310689,2770],[-71.144923,42.345163,2771],[-71.145711,42.345227,2772],[-71.174042,42.353867,2773],[-71.122677,42.334303,2774],[-71.143551,42.344487,2775],[-71.261617,42.325914,2776],[-71.151361,42.348827,2777],[-71.153178,42.349286,2778],[-71.259168,42.32562,2779],[-71.147231,42.346347,2780],[-71.172781,42.353027,2781],[-71.25442,42.326841,2782],[-71.18597,42.356771,2783],[-71.142071,42.342887,2784],[-71.254792,42.325413,2785],[-71.164401,42.349507,2786],[-71.142071,42.342887,2787],[-71.305692,42.28233,2788],[-71.151981,42.349237,2789],[-71.161581,42.349187,2790],[-71.158473,42.349172,2791],[-71.18597,42.356771,2792],[-71.172281,42.352177,2793],[-71.289006,42.300696,2794],[-71.142071,42.342887,2795],[-71.164798,42.350237,2796],[-71.255398,42.3265,2797],[-71.158951,42.34872,2798],[-71.144061,42.344077,2799],[-71.293526,42.29375,2800],[-71.144891,42.344557,2801],[-71.141192,42.342542,2802],[-71.122677,42.334303,2803],[-71.144923,42.345163,2804],[-71.161701,42.348777,2805],[-71.263255,42.320581,2806],[-71.170441,42.351875,2807],[-71.141192,42.342542,2808],[-71.142071,42.342887,2809],[-71.13217,42.338783,2810],[-71.144891,42.344557,2811],[-71.211081,42.351257,2812],[-71.142071,42.342887,2813],[-71.142071,42.342887,2814],[-71.259645,42.325402,2815],[-71.141192,42.342542,2816],[-71.142071,42.342887,2817],[-71.275085,42.310689,2818],[-71.18597,42.356771,2819],[-71.144061,42.344077,2820],[-71.119398,42.333098,2821],[-71.162271,42.348807,2822],[-71.152316,42.349234,2823],[-71.261617,42.325914,2824],[-71.145241,42.345433,2825],[-71.144061,42.344077,2826],[-71.124082,42.33525,2827],[-71.133783,42.338466,2828],[-71.163481,42.349417,2829],[-71.139281,42.342014,2830],[-71.163271,42.348867,2831],[-71.143842,42.344645,2832],[-71.259168,42.32562,2833],[-71.160636,42.349096,2834],[-71.147061,42.346287,2835],[-71.265167,42.318591,2836],[-71.16011,42.349162,2837],[-71.141192,42.342542,2838],[-71.242065,42.335281,2839],[-71.144891,42.344557,2840],[-71.143551,42.344487,2841],[-71.254792,42.325413,2842],[-71.142071,42.342887,2843],[-71.157611,42.349257,2844],[-71.176437,42.354333,2845],[-71.129494,42.338207,2846],[-71.142071,42.342887,2847],[-71.202606,42.352822,2848],[-71.144061,42.344077,2849],[-71.157611,42.349257,2850],[-71.13653,42.339904,2851],[-71.165082,42.349946,2852],[-71.141192,42.342542,2853],[-71.243711,42.333546,2854],[-71.187705,42.356961,2855],[-71.141192,42.342542,2856],[-71.275085,42.310689,2857],[-71.161041,42.349227,2858],[-71.143842,42.344645,2859],[-71.21342,42.351125,2860],[-71.142071,42.342887,2861],[-71.145093,42.345293,2862],[-71.243711,42.333546,2863],[-71.18597,42.356771,2864],[-71.141192,42.342542,2865],[-71.250027,42.330225,2866],[-71.142071,42.342887,2867],[-71.141192,42.342542,2868],[-71.120688,42.334002,2869],[-71.141192,42.342542,2870],[-71.150141,42.348137,2871],[-71.246083,42.332122,2872],[-71.155322,42.349284,2873],[-71.143881,42.343987,2874],[-71.174042,42.353867,2875],[-71.145093,42.345293,2876],[-71.141192,42.342542,2877],[-71.279415,42.307349,2878],[-71.145241,42.345433,2879],[-71.141192,42.342542,2880],[-71.123213,42.335088,2881],[-71.243711,42.333546,2882],[-71.142071,42.342887,2883],[-71.255631,42.326527,2884],[-71.165711,42.350537,2885],[-71.143551,42.344487,2886],[-71.180436,42.355739,2887],[-71.145241,42.345433,2888],[-71.142071,42.342887,2889],[-71.254792,42.325413,2890],[-71.23544,42.343196,2891],[-71.152316,42.349234,2892],[-71.141192,42.342542,2893],[-71.145241,42.345433,2894],[-71.160771,42.348747,2895],[-71.130097,42.338499,2896],[-71.163271,42.348867,2897],[-71.145093,42.345293,2898],[-71.264262,42.320843,2899],[-71.226263,42.349195,2900],[-71.145093,42.345293,2901],[-71.212519,42.351065,2902],[-71.141192,42.342542,2903],[-71.145161,42.344807,2904],[-71.243711,42.333546,2905],[-71.142091,42.343007,2906],[-71.142071,42.342887,2907],[-71.227173,42.349566,2908],[-71.159051,42.349187,2909],[-71.157551,42.348897,2910],[-71.115488,42.331213,2911],[-71.169421,42.351477,2912],[-71.141192,42.342542,2913],[-71.133736,42.338881,2914],[-71.144331,42.344787,2915],[-71.142071,42.342887,2916],[-71.292862,42.295885,2917],[-71.22067,42.349541,2918],[-71.142071,42.342887,2919],[-71.240212,42.339579,2920],[-71.141192,42.342542,2921],[-71.143842,42.344645,2922],[-71.129803,42.338545,2923],[-71.152382,42.34925,2924],[-71.145241,42.345433,2925],[-71.275085,42.310689,2926],[-71.185477,42.357567,2927],[-71.170481,42.351847,2928],[-71.261647,42.323819,2929],[-71.147471,42.346377,2930],[-71.152316,42.349234,2931],[-71.26713,42.317247,2932],[-71.141192,42.342542,2933],[-71.141192,42.342542,2934],[-71.115488,42.331213,2935],[-71.150501,42.348677,2936],[-71.143842,42.344645,2937],[-71.115488,42.331213,2938],[-71.142071,42.342887,2939],[-71.144891,42.344557,2940],[-71.115488,42.331213,2941],[-71.144891,42.344557,2942],[-71.150141,42.348137,2943],[-71.279217,42.307536,2944],[-71.165363,42.35007,2945],[-71.142071,42.342887,2946],[-71.119687,42.333134,2947],[-71.145093,42.345293,2948],[-71.141192,42.342542,2949],[-71.260031,42.325343,2950],[-71.149611,42.347497,2951],[-71.141192,42.342542,2952],[-71.169421,42.351477,2953],[-71.123213,42.335088,2954],[-71.143842,42.344645,2955],[-71.141192,42.342542,2956],[-71.141192,42.342542,2957],[-71.165481,42.350497,2958],[-71.243711,42.333546,2959],[-71.143842,42.344645,2960],[-71.164071,42.349767,2961],[-71.198176,42.353946,2962],[-71.18597,42.356771,2963],[-71.144891,42.344557,2964],[-71.120999,42.333467,2965],[-71.145241,42.345433,2966],[-71.150141,42.348137,2967],[-71.134779,42.338836,2968],[-71.147061,42.346287,2969],[-71.142071,42.342887,2970],[-71.264721,42.320419,2971],[-71.183995,42.357903,2972],[-71.169781,42.351107,2973],[-71.254871,42.326577,2974],[-71.143842,42.344645,2975],[-71.160431,42.348697,2976],[-71.259645,42.325402,2977],[-71.141192,42.342542,2978],[-71.143881,42.343987,2979],[-71.226039,42.349788,2980],[-71.235987,42.343904,2981],[-71.159911,42.349117,2982],[-71.259585,42.324923,2983],[-71.144923,42.345163,2984],[-71.150141,42.348137,2985],[-71.275085,42.310689,2986],[-71.141192,42.342542,2987],[-71.141192,42.342542,2988],[-71.276632,42.310575,2989],[-71.191551,42.355849,2990],[-71.145461,42.344997,2991],[-71.143842,42.344645,2992],[-71.143551,42.344487,2993],[-71.141192,42.342542,2994],[-71.115488,42.331213,2995],[-71.144061,42.344077,2996],[-71.141192,42.342542,2997],[-71.160636,42.349096,2998],[-71.212002,42.351154,2999],[-71.164071,42.349767,3000],[-71.246083,42.332122,3001],[-71.143842,42.344645,3002],[-71.153178,42.349286,3003],[-71.27881,42.307919,3004],[-71.180851,42.356452,3005],[-71.152316,42.349234,3006],[-71.260655,42.324443,3007],[-71.159869,42.349117,3008],[-71.152163,42.348887,3009],[-71.294425,42.294077,3010],[-71.138346,42.341571,3011],[-71.141192,42.342542,3012],[-71.260655,42.324443,3013],[-71.164281,42.349427,3014],[-71.144061,42.344077,3015],[-71.29288,42.295624,3016],[-71.187311,42.356943,3017],[-71.157401,42.349297,3018],[-71.23544,42.343196,3019],[-71.148011,42.346517,3020],[-71.142071,42.342887,3021],[-71.255273,42.32799,3022],[-71.133736,42.338881,3023],[-71.164911,42.349767,3024],[-71.243711,42.333546,3025],[-71.143551,42.344487,3026],[-71.146331,42.345807,3027],[-71.177208,42.355452,3028],[-71.188855,42.356681,3029],[-71.143881,42.343987,3030],[-71.141192,42.342542,3031],[-71.145093,42.345293,3032],[-71.142071,42.342887,3033],[-71.142071,42.342887,3034],[-71.191551,42.355849,3035],[-71.141192,42.342542,3036],[-71.127097,42.337406,3037],[-71.144891,42.344557,3038],[-71.145093,42.345293,3039],[-71.255896,42.325605,3040],[-71.137697,42.341295,3041],[-71.142071,42.342887,3042],[-71.160621,42.349217,3043],[-71.142071,42.342887,3044],[-71.142071,42.342887,3045],[-71.262662,42.323542,3046],[-71.206429,42.351994,3047],[-71.151223,42.348825,3048],[-71.123213,42.335088,3049],[-71.142071,42.342887,3050],[-71.161951,42.349207,3051],[-71.209349,42.3515,3052],[-71.137697,42.341295,3053],[-71.143551,42.344487,3054],[-71.123213,42.335088,3055],[-71.165481,42.350497,3056],[-71.153642,42.348972,3057],[-71.219417,42.349814,3058],[-71.132692,42.338307,3059],[-71.141192,42.342542,3060],[-71.265577,42.319013,3061],[-71.141192,42.342542,3062],[-71.141192,42.342542,3063],[-71.254792,42.325413,3064],[-71.248136,42.332773,3065],[-71.143551,42.344487,3066],[-71.232251,42.346178,3067],[-71.163551,42.349467,3068],[-71.143842,42.344645,3069],[-71.132692,42.338307,3070],[-71.137465,42.341217,3071],[-71.142071,42.342887,3072],[-71.115488,42.331213,3073],[-71.142071,42.342887,3074],[-71.145093,42.345293,3075],[-71.222016,42.349512,3076],[-71.189775,42.356322,3077],[-71.160833,42.349225,3078],[-71.243711,42.333546,3079],[-71.141192,42.342542,3080],[-71.145093,42.345293,3081],[-71.254792,42.325413,3082],[-71.213867,42.350631,3083],[-71.144923,42.345163,3084],[-71.261331,42.324906,3085],[-71.143551,42.344487,3086],[-71.163271,42.348867,3087],[-71.275085,42.310689,3088],[-71.243711,42.333546,3089],[-71.172301,42.35279,3090],[-71.243711,42.333546,3091],[-71.141192,42.342542,3092],[-71.161041,42.349227,3093],[-71.263484,42.322387,3094],[-71.224181,42.34871,3095],[-71.150141,42.348137,3096],[-71.141192,42.342542,3097],[-71.144923,42.345163,3098],[-71.152316,42.349234,3099],[-71.289413,42.300252,3100],[-71.185477,42.357567,3101],[-71.163271,42.348867,3102],[-71.254792,42.325413,3103],[-71.142071,42.342887,3104],[-71.145093,42.345293,3105],[-71.268811,42.316137,3106],[-71.191551,42.355849,3107],[-71.142071,42.342887,3108],[-71.152316,42.349234,3109],[-71.169831,42.351597,3110],[-71.145711,42.345227,3111],[-71.262982,42.32325,3112],[-71.185477,42.357567,3113],[-71.142071,42.342887,3114],[-71.263706,42.322209,3115],[-71.142071,42.342887,3116],[-71.142071,42.342887,3117],[-71.261647,42.323819,3118],[-71.20706,42.351886,3119],[-71.165551,42.350507,3120],[-71.120999,42.333467,3121],[-71.163271,42.348867,3122],[-71.162091,42.348807,3123],[-71.261253,42.324153,3124],[-71.227047,42.349013,3125],[-71.142071,42.342887,3126],[-71.119264,42.333071,3127],[-71.153178,42.349286,3128],[-71.170202,42.351736,3129],[-71.254792,42.325413,3130],[-71.186515,42.357254,3131],[-71.141192,42.342542,3132],[-71.225963,42.349233,3133],[-71.143881,42.343987,3134],[-71.142071,42.342887,3135],[-71.216041,42.350536,3136],[-71.224909,42.349655,3137],[-71.153101,42.348937,3138],[-71.148598,42.346977,3139],[-71.141192,42.342542,3140],[-71.142071,42.342887,3141],[-71.267704,42.316853,3142],[-71.180471,42.356327,3143],[-71.142071,42.342887,3144],[-71.12752,42.3383,3145],[-71.164911,42.349767,3146],[-71.23544,42.343196,3147],[-71.233,42.346516,3148],[-71.255631,42.326527,3149],[-71.153178,42.349286,3150],[-71.276915,42.309581,3151],[-71.130409,42.338469,3152],[-71.115488,42.331213,3153],[-71.142071,42.342887,3154],[-71.246083,42.332122,3155],[-71.23418,42.344793,3156],[-71.127097,42.337406,3157],[-71.143551,42.344487,3158],[-71.273531,42.312829,3159],[-71.119687,42.333134,3160],[-71.25442,42.326841,3161],[-71.142071,42.342887,3162],[-71.214463,42.351037,3163],[-71.186515,42.357254,3164],[-71.125404,42.33638,3165],[-71.142071,42.342887,3166],[-71.276008,42.310374,3167],[-71.132692,42.338307,3168],[-71.115488,42.331213,3169],[-71.142071,42.342887,3170],[-71.129953,42.338071,3171],[-71.115488,42.331213,3172],[-71.255257,42.328405,3173],[-71.170481,42.351847,3174],[-71.149431,42.347547,3175],[-71.20851,42.351912,3176],[-71.123213,42.335088,3177],[-71.141192,42.342542,3178],[-71.243711,42.333546,3179],[-71.224181,42.34871,3180],[-71.261617,42.325914,3181],[-71.157611,42.349257,3182],[-71.258038,42.325148,3183],[-71.188057,42.356806,3184],[-71.275085,42.310689,3185],[-71.163271,42.348867,3186],[-71.295125,42.293802,3187],[-71.115488,42.331213,3188],[-71.254792,42.325413,3189],[-71.146201,42.345697,3190],[-71.275085,42.310689,3191],[-71.181014,42.355975,3192],[-71.267388,42.31713,3193],[-71.142071,42.342887,3194],[-71.223556,42.349521,3195],[-71.221689,42.34957,3196],[-71.255405,42.326334,3197],[-71.123213,42.335088,3198],[-71.254792,42.325413,3199],[-71.115488,42.331213,3200],[-71.18597,42.356771,3201],[-71.133736,42.338881,3202],[-71.285867,42.303124,3203],[-71.170202,42.351736,3204],[-71.124082,42.33525,3205],[-71.191551,42.355849,3206],[-71.275085,42.310689,3207],[-71.139376,42.342064,3208],[-71.122751,42.334096,3209],[-71.197265,42.355109,3210],[-71.258038,42.325148,3211],[-71.172941,42.353187,3212],[-71.124082,42.33525,3213],[-71.186515,42.357254,3214],[-71.293128,42.293882,3215],[-71.224277,42.349501,3216],[-71.124564,42.335664,3217],[-71.183995,42.357903,3218],[-71.269259,42.315838,3219],[-71.155081,42.349311,3220],[-71.261879,42.32442,3221],[-71.198868,42.354299,3222],[-71.288825,42.300849,3223],[-71.133923,42.338927,3224],[-71.263484,42.322387,3225],[-71.229801,42.347108,3226],[-71.142071,42.342887,3227],[-71.246083,42.332122,3228],[-71.261331,42.324906,3229],[-71.187705,42.356961,3230],[-71.294851,42.292962,3231],[-71.229671,42.348805,3232],[-71.202999,42.352785,3233],[-71.18597,42.356771,3234],[-71.275323,42.311091,3235],[-71.143842,42.344645,3236],[-71.119687,42.333134,3237],[-71.115488,42.331213,3238],[-71.209349,42.3515,3239],[-71.217597,42.35016,3240],[-71.124082,42.33525,3241],[-71.223917,42.349503,3242],[-71.27881,42.307919,3243],[-71.256845,42.325967,3244],[-71.245769,42.330768,3245],[-71.191551,42.355849,3246],[-71.256845,42.325967,3247],[-71.180471,42.356327,3248],[-71.243711,42.333546,3249],[-71.17824,42.355616,3250],[-71.275085,42.310689,3251],[-71.118936,42.332698,3252],[-71.133553,42.338851,3253],[-71.134543,42.338699,3254],[-71.255257,42.328405,3255],[-71.226662,42.349136,3256],[-71.244955,42.333352,3257],[-71.115488,42.331213,3258],[-71.29288,42.295624,3259],[-71.254792,42.325413,3260],[-71.115488,42.331213,3261],[-71.209557,42.35158,3262],[-71.294746,42.293953,3263],[-71.179749,42.355479,3264],[-71.255257,42.328405,3265],[-71.243711,42.333546,3266],[-71.115488,42.331213,3267],[-71.124564,42.335664,3268],[-71.2595,42.323613,3269],[-71.235916,42.344029,3270],[-71.27881,42.307919,3271],[-71.243711,42.333546,3272],[-71.124082,42.33525,3273],[-71.19778,42.35407,3274],[-71.27475,42.311357,3275],[-71.243711,42.333546,3276],[-71.133055,42.338355,3277],[-71.21342,42.351125,3278],[-71.277763,42.308663,3279],[-71.133055,42.338355,3280],[-71.255631,42.326527,3281],[-71.228568,42.349069,3282],[-71.290378,42.299547,3283],[-71.133553,42.338851,3284],[-71.260655,42.324443,3285],[-71.18597,42.356771,3286],[-71.159051,42.349187,3287],[-71.243989,42.334063,3288],[-71.273531,42.312829,3289],[-71.23544,42.343196,3290],[-71.246523,42.334626,3291],[-71.203151,42.352744,3292],[-71.261331,42.324906,3293],[-71.180851,42.356452,3294],[-71.279071,42.307675,3295],[-71.243711,42.333546,3296],[-71.19045,42.356188,3297],[-71.180851,42.356452,3298],[-71.23678,42.341691,3299],[-71.123213,42.335088,3300],[-71.276915,42.309581,3301],[-71.223344,42.349508,3302],[-71.23191,42.346311,3303],[-71.207964,42.351672,3304],[-71.243711,42.333546,3305],[-71.195672,42.355166,3306],[-71.270271,42.315084,3307],[-71.13653,42.339904,3308],[-71.256322,42.326139,3309],[-71.234457,42.34428,3310],[-71.124755,42.335938,3311],[-71.179429,42.355258,3312],[-71.296891,42.29085,3313],[-71.219417,42.349814,3314],[-71.120453,42.333104,3315],[-71.123213,42.335088,3316],[-71.279415,42.307349,3317],[-71.191093,42.355943,3318],[-71.275085,42.310689,3319],[-71.183995,42.357903,3320],[-71.260855,42.325249,3321],[-71.221528,42.34939,3322],[-71.261617,42.325914,3323],[-71.115488,42.331213,3324],[-71.115488,42.331213,3325],[-71.187705,42.356961,3326],[-71.26529,42.319244,3327],[-71.238081,42.341999,3328],[-71.181623,42.355959,3329],[-71.18597,42.356771,3330],[-71.124082,42.33525,3331],[-71.18597,42.356771,3332],[-71.246083,42.332122,3333],[-71.19744,42.354268,3334],[-71.292838,42.294918,3335],[-71.218632,42.349964,3336],[-71.191551,42.355849,3337],[-71.179237,42.355844,3338],[-71.292943,42.294595,3339],[-71.219417,42.349814,3340],[-71.124082,42.33525,3341],[-71.187042,42.356981,3342],[-71.256322,42.326139,3343],[-71.129803,42.338545,3344],[-71.243711,42.333546,3345],[-71.234289,42.344634,3346],[-71.27475,42.311357,3347],[-71.129076,42.33866,3348],[-71.119551,42.333121,3349],[-71.129953,42.338071,3350],[-71.118767,42.332477,3351],[-71.129272,42.338297,3352],[-71.180855,42.355898,3353],[-71.207697,42.351767,3354],[-71.262537,42.320933,3355],[-71.246083,42.332122,3356],[-71.139855,42.341709,3357],[-71.224181,42.34871,3358],[-71.254792,42.325413,3359],[-71.214463,42.351037,3360],[-71.118767,42.332477,3361],[-71.188203,42.356748,3362],[-71.243711,42.333546,3363],[-71.129953,42.338071,3364],[-71.183629,42.357599,3365],[-71.234457,42.34428,3366],[-71.118258,42.332644,3367],[-71.216396,42.350452,3368],[-71.125404,42.33638,3369],[-71.180851,42.356452,3370],[-71.25442,42.326841,3371],[-71.205633,42.352408,3372],[-71.130792,42.338107,3373],[-71.179804,42.356092,3374],[-71.276527,42.309703,3375],[-71.129272,42.338297,3376],[-71.115488,42.331213,3377],[-71.191551,42.355849,3378],[-71.276008,42.310374,3379],[-71.115488,42.331213,3380],[-71.115488,42.331213,3381],[-71.18597,42.356771,3382],[-71.173191,42.353247,3383],[-71.209557,42.35158,3384],[-71.115488,42.331213,3385],[-71.186515,42.357254,3386],[-71.255273,42.32799,3387],[-71.118376,42.332788,3388],[-71.124082,42.33525,3389],[-71.181513,42.356158,3390],[-71.241493,42.33241,3391],[-71.18597,42.356771,3392],[-71.186515,42.357254,3393],[-71.23544,42.343196,3394],[-71.261617,42.325914,3395],[-71.138756,42.341202,3396],[-71.246083,42.332122,3397],[-71.18597,42.356771,3398],[-71.274423,42.31212,3399],[-71.134332,42.339028,3400],[-71.115488,42.331213,3401],[-71.178429,42.355863,3402],[-71.254792,42.325413,3403],[-71.12782,42.3384,3404],[-71.254792,42.325413,3405],[-71.179237,42.355844,3406],[-71.261617,42.325914,3407],[-71.248123,42.330925,3408],[-71.124082,42.33525,3409],[-71.126919,42.337867,3410],[-71.275323,42.311091,3411],[-71.18597,42.356771,3412],[-71.243711,42.333546,3413],[-71.198868,42.354299,3414],[-71.243711,42.333546,3415],[-71.123213,42.335088,3416],[-71.18597,42.356771,3417],[-71.175307,42.354368,3418],[-71.209557,42.35158,3419],[-71.132692,42.338307,3420],[-71.23544,42.343196,3421],[-71.18597,42.356771,3422],[-71.23418,42.344793,3423],[-71.139105,42.341915,3424],[-71.115488,42.331213,3425],[-71.191551,42.355849,3426],[-71.276008,42.310374,3427],[-71.243711,42.333546,3428],[-71.185477,42.357567,3429],[-71.176257,42.354234,3430],[-71.223917,42.349503,3431],[-71.261617,42.325914,3432],[-71.246083,42.332122,3433],[-71.18597,42.356771,3434],[-71.206429,42.351994,3435],[-71.130792,42.338107,3436],[-71.142071,42.342887,3437],[-71.23678,42.341691,3438],[-71.263611,42.321992,3439],[-71.138658,42.341661,3440],[-71.144923,42.345163,3441],[-71.187705,42.356961,3442],[-71.125576,42.336517,3443],[-71.13714,42.341004,3444],[-71.115346,42.33048,3445],[-71.186515,42.357254,3446],[-71.239699,42.340341,3447],[-71.118258,42.332644,3448],[-71.254847,42.326009,3449],[-71.131237,42.338121,3450],[-71.254792,42.325413,3451],[-71.175206,42.35367,3452],[-71.275085,42.310689,3453],[-71.235538,42.344317,3454],[-71.115488,42.331213,3455],[-71.235916,42.344029,3456],[-71.115488,42.331213,3457],[-71.187311,42.356943,3458],[-71.281416,42.306014,3459],[-71.123213,42.335088,3460],[-71.12081,42.333324,3461],[-71.162661,42.349207,3462],[-71.208321,42.351676,3463],[-71.129953,42.338071,3464],[-71.279585,42.307184,3465],[-71.20851,42.351912,3466],[-71.243711,42.333546,3467],[-71.124082,42.33525,3468],[-71.122077,42.33411,3469],[-71.198261,42.354465,3470],[-71.115488,42.331213,3471],[-71.186515,42.357254,3472],[-71.259168,42.32562,3473],[-71.176906,42.354492,3474],[-71.158473,42.349172,3475],[-71.124082,42.33525,3476],[-71.243711,42.333546,3477],[-71.229671,42.348805,3478],[-71.260655,42.324443,3479],[-71.124082,42.33525,3480],[-71.118767,42.332477,3481],[-71.18954,42.35639,3482],[-71.115488,42.331213,3483],[-71.234891,42.34484,3484],[-71.115488,42.331213,3485],[-71.217414,42.350209,3486],[-71.241045,42.336889,3487],[-71.259168,42.32562,3488],[-71.118376,42.332788,3489],[-71.211081,42.351257,3490],[-71.133736,42.338881,3491],[-71.183995,42.357903,3492],[-71.118376,42.332788,3493],[-71.180064,42.355559,3494],[-71.259168,42.32562,3495],[-71.198606,42.354368,3496],[-71.126919,42.337867,3497],[-71.225255,42.349571,3498],[-71.261617,42.325914,3499],[-71.131716,42.338239,3500],[-71.115488,42.331213,3501],[-71.18597,42.356771,3502],[-71.255405,42.326334,3503],[-71.202999,42.352785,3504],[-71.256845,42.325967,3505],[-71.255911,42.326164,3506],[-71.250135,42.329076,3507],[-71.243711,42.333546,3508],[-71.145241,42.345433,3509],[-71.143881,42.343987,3510],[-71.254792,42.325413,3511],[-71.20706,42.351886,3512],[-71.172781,42.353027,3513],[-71.212002,42.351154,3514],[-71.288592,42.30103,3515],[-71.248669,42.330355,3516],[-71.243711,42.333546,3517],[-71.254792,42.325413,3518],[-71.275085,42.310689,3519],[-71.273173,42.313176,3520],[-71.118376,42.332788,3521],[-71.276008,42.310374,3522],[-71.187311,42.356943,3523],[-71.261647,42.323819,3524],[-71.275085,42.310689,3525],[-71.254792,42.325413,3526],[-71.186515,42.357254,3527],[-71.274538,42.311899,3528],[-71.254871,42.326577,3529],[-71.23544,42.343196,3530],[-71.123011,42.334837,3531],[-71.131716,42.338239,3532],[-71.123011,42.334837,3533],[-71.255129,42.326955,3534],[-71.243711,42.333546,3535],[-71.118376,42.332788,3536],[-71.246083,42.332122,3537],[-71.261253,42.324153,3538],[-71.260655,42.324443,3539],[-71.125049,42.33605,3540],[-71.27475,42.311357,3541],[-71.258119,42.323853,3542],[-71.115488,42.331213,3543],[-71.260655,42.324443,3544],[-71.243711,42.333546,3545],[-71.115488,42.331213,3546],[-71.260855,42.325249,3547],[-71.115488,42.331213,3548],[-71.253966,42.327348,3549],[-71.123213,42.335088,3550],[-71.254871,42.326577,3551],[-71.243711,42.333546,3552],[-71.261617,42.325914,3553],[-71.187705,42.356961,3554],[-71.115488,42.331213,3555],[-71.256845,42.325967,3556],[-71.115488,42.331213,3557],[-71.217244,42.350261,3558],[-71.115488,42.331213,3559],[-71.115488,42.331213,3560],[-71.243711,42.333546,3561],[-71.255896,42.325605,3562],[-71.118767,42.332477,3563],[-71.144891,42.344557,3564],[-71.142071,42.342887,3565],[-71.259168,42.32562,3566],[-71.253966,42.327348,3567],[-71.115488,42.331213,3568],[-71.163271,42.348867,3569],[-71.273928,42.313475,3570],[-71.261253,42.324153,3571],[-71.118258,42.332644,3572],[-71.261647,42.323819,3573],[-71.243711,42.333546,3574],[-71.115488,42.331213,3575],[-71.261253,42.324153,3576],[-71.254847,42.326009,3577],[-71.292862,42.295885,3578],[-71.115488,42.331213,3579],[-71.261253,42.324153,3580],[-71.261617,42.325914,3581],[-71.281416,42.306014,3582],[-71.276008,42.310374,3583],[-71.255896,42.325605,3584],[-71.115488,42.331213,3585],[-71.243711,42.333546,3586],[-71.120149,42.333179,3587],[-71.124564,42.335664,3588],[-71.145093,42.345293,3589],[-71.246083,42.332122,3590],[-71.243711,42.333546,3591],[-71.256845,42.325967,3592],[-71.243711,42.333546,3593],[-71.259168,42.32562,3594],[-71.18597,42.356771,3595],[-71.115488,42.331213,3596],[-71.261617,42.325914,3597],[-71.177096,42.354567,3598],[-71.243711,42.333546,3599],[-71.261617,42.325914,3600],[-71.256845,42.325967,3601],[-71.207964,42.351672,3602],[-71.163901,42.349147,3603],[-71.125049,42.33605,3604],[-71.243711,42.333546,3605],[-71.293151,42.294216,3606],[-71.256845,42.325967,3607],[-71.28914,42.297971,3608],[-71.261617,42.325914,3609],[-71.154241,42.348997,3610],[-71.243711,42.333546,3611],[-71.187042,42.356981,3612],[-71.243711,42.333546,3613],[-71.261617,42.325914,3614],[-71.118574,42.33216,3615],[-71.292617,42.296943,3616],[-71.265167,42.318591,3617],[-71.115488,42.331213,3618],[-71.254871,42.326577,3619],[-71.161041,42.349227,3620],[-71.254792,42.325413,3621],[-71.241608,42.337258,3622],[-71.262662,42.323542,3623],[-71.174042,42.353867,3624],[-71.259168,42.32562,3625],[-71.144891,42.344557,3626],[-71.256322,42.326139,3627],[-71.281082,42.306133,3628],[-71.261617,42.325914,3629],[-71.273527,42.313643,3630],[-71.243711,42.333546,3631],[-71.266053,42.31877,3632],[-71.19744,42.354268,3633],[-71.288442,42.300856,3634],[-71.280645,42.306527,3635],[-71.115488,42.331213,3636],[-71.120453,42.333104,3637],[-71.130977,42.338109,3638],[-71.255273,42.32799,3639],[-71.241409,42.336304,3640],[-71.119604,42.33345,3641],[-71.118376,42.332788,3642],[-71.133065,42.338787,3643],[-71.255273,42.32799,3644],[-71.175686,42.354542,3645],[-71.137697,42.341295,3646],[-71.260655,42.324443,3647],[-71.273928,42.313475,3648],[-71.246083,42.332122,3649],[-71.150141,42.348137,3650],[-71.115488,42.331213,3651],[-71.293526,42.29375,3652],[-71.118667,42.332373,3653],[-71.276008,42.310374,3654],[-71.288442,42.300856,3655],[-71.292862,42.295885,3656],[-71.26529,42.319244,3657],[-71.273527,42.313643,3658],[-71.256845,42.325967,3659],[-71.203993,42.352431,3660],[-71.132255,42.338264,3661],[-71.276915,42.309581,3662],[-71.294102,42.294291,3663],[-71.254792,42.325413,3664],[-71.141192,42.342542,3665],[-71.137697,42.341295,3666],[-71.164161,42.349347,3667],[-71.132081,42.338234,3668],[-71.125049,42.33605,3669],[-71.221689,42.34957,3670],[-71.271676,42.315015,3671],[-71.260655,42.324443,3672],[-71.115488,42.331213,3673],[-71.115488,42.331213,3674],[-71.115488,42.331213,3675],[-71.118258,42.332644,3676],[-71.118767,42.332477,3677],[-71.209349,42.3515,3678],[-71.255405,42.326334,3679],[-71.133291,42.338426,3680],[-71.119922,42.333187,3681],[-71.294851,42.292962,3682],[-71.115488,42.331213,3683],[-71.133783,42.338466,3684],[-71.115488,42.331213,3685],[-71.212002,42.351154,3686],[-71.240151,42.338459,3687],[-71.19835,42.355382,3688],[-71.120636,42.33325,3689],[-71.175686,42.354542,3690],[-71.229332,42.348716,3691],[-71.273527,42.313643,3692],[-71.246083,42.332122,3693],[-71.134332,42.339028,3694],[-71.18597,42.356771,3695],[-71.115488,42.331213,3696],[-71.13653,42.339904,3697],[-71.129494,42.338207,3698],[-71.186515,42.357254,3699],[-71.175307,42.354368,3700],[-71.18597,42.356771,3701],[-71.236864,42.343223,3702],[-71.221528,42.34939,3703],[-71.261617,42.325914,3704],[-71.176688,42.354409,3705],[-71.142071,42.342887,3706],[-71.118258,42.332644,3707],[-71.254871,42.326577,3708],[-71.123011,42.334837,3709],[-71.229668,42.34859,3710],[-71.183995,42.357903,3711],[-71.259585,42.324923,3712],[-71.245769,42.330768,3713],[-71.275323,42.311091,3714],[-71.186515,42.357254,3715],[-71.133554,42.338462,3716],[-71.18597,42.356771,3717],[-71.139376,42.342064,3718],[-71.292562,42.296295,3719],[-71.292205,42.296609,3720],[-71.115488,42.331213,3721],[-71.234289,42.344634,3722],[-71.260655,42.324443,3723],[-71.243711,42.333546,3724],[-71.241938,42.336778,3725],[-71.29288,42.295624,3726],[-71.293151,42.294216,3727],[-71.255911,42.326164,3728],[-71.18597,42.356771,3729],[-71.217597,42.35016,3730],[-71.243711,42.333546,3731],[-71.23757,42.341434,3732],[-71.222016,42.349512,3733],[-71.221689,42.34957,3734],[-71.191022,42.356147,3735],[-71.295125,42.293802,3736],[-71.132692,42.338307,3737],[-71.279071,42.307675,3738],[-71.180851,42.356452,3739],[-71.207964,42.351672,3740],[-71.191551,42.355849,3741],[-71.115488,42.331213,3742],[-71.243711,42.333546,3743],[-71.23191,42.346311,3744],[-71.119922,42.333187,3745],[-71.125049,42.33605,3746],[-71.276915,42.309581,3747],[-71.206429,42.351994,3748],[-71.206429,42.351994,3749],[-71.254792,42.325413,3750],[-71.13653,42.339904,3751],[-71.133554,42.338462,3752],[-71.243711,42.333546,3753],[-71.163271,42.348867,3754],[-71.185477,42.357567,3755],[-71.203151,42.352744,3756],[-71.243711,42.333546,3757],[-71.115488,42.331213,3758],[-71.276915,42.309581,3759],[-71.260655,42.324443,3760],[-71.115488,42.331213,3761],[-71.265577,42.319013,3762],[-71.148011,42.346517,3763],[-71.118143,42.332491,3764],[-71.148808,42.347061,3765],[-71.263484,42.322387,3766],[-71.158881,42.349187,3767],[-71.257758,42.325003,3768],[-71.275778,42.310253,3769],[-71.29013,42.299728,3770],[-71.207964,42.351672,3771],[-71.292617,42.296943,3772],[-71.275085,42.310689,3773],[-71.274423,42.31212,3774],[-71.274538,42.311899,3775],[-71.254792,42.325413,3776],[-71.27475,42.311357,3777],[-71.157401,42.349297,3778],[-71.259168,42.32562,3779],[-71.169951,42.351627,3780],[-71.261617,42.325914,3781],[-71.243711,42.333546,3782],[-71.260655,42.324443,3783],[-71.273928,42.313475,3784],[-71.279585,42.307184,3785],[-71.259105,42.324988,3786],[-71.288825,42.300849,3787],[-71.235987,42.343904,3788],[-71.119398,42.333098,3789],[-71.209349,42.3515,3790],[-71.255405,42.326334,3791],[-71.124755,42.335938,3792],[-71.255129,42.326955,3793],[-71.27554,42.31196,3794],[-71.271024,42.314756,3795],[-71.243711,42.333546,3796],[-71.243711,42.333546,3797],[-71.23356,42.345303,3798],[-71.254792,42.325413,3799],[-71.274874,42.312507,3800],[-71.254404,42.32626,3801],[-71.206429,42.351994,3802],[-71.28789,42.301232,3803],[-71.139281,42.342014,3804],[-71.279585,42.307184,3805],[-71.275085,42.310689,3806],[-71.272892,42.314477,3807],[-71.212519,42.351065,3808],[-71.260655,42.324443,3809],[-71.242065,42.335281,3810],[-71.28698,42.3013,3811],[-71.276008,42.310374,3812],[-71.273531,42.312829,3813],[-71.147231,42.346347,3814],[-71.261617,42.325914,3815],[-71.207964,42.351672,3816],[-71.243711,42.333546,3817],[-71.132081,42.338234,3818],[-71.246083,42.332122,3819],[-71.261253,42.324153,3820],[-71.153641,42.348977,3821],[-71.256845,42.325967,3822],[-71.118143,42.332491,3823],[-71.276008,42.310374,3824],[-71.261617,42.325914,3825],[-71.256845,42.325967,3826],[-71.245342,42.336208,3827],[-71.133783,42.338466,3828],[-71.243711,42.333546,3829],[-71.18597,42.356771,3830],[-71.115488,42.331213,3831],[-71.295125,42.293802,3832],[-71.123213,42.335088,3833],[-71.202999,42.352785,3834],[-71.119687,42.333134,3835],[-71.260655,42.324443,3836],[-71.118767,42.332477,3837],[-71.243711,42.333546,3838],[-71.281082,42.306133,3839],[-71.118663,42.332269,3840],[-71.129803,42.338545,3841],[-71.134197,42.338585,3842],[-71.261617,42.325914,3843],[-71.115488,42.331213,3844],[-71.287421,42.301556,3845],[-71.126881,42.337191,3846],[-71.243711,42.333546,3847],[-71.124082,42.33525,3848],[-71.256845,42.325967,3849],[-71.125049,42.33605,3850],[-71.240752,42.336567,3851],[-71.138233,42.341515,3852],[-71.250135,42.329076,3853],[-71.142071,42.342887,3854],[-71.124564,42.335664,3855],[-71.130792,42.338107,3856],[-71.255631,42.326527,3857],[-71.143842,42.344645,3858],[-71.151223,42.348825,3859],[-71.23544,42.343196,3860],[-71.255273,42.32799,3861],[-71.123213,42.335088,3862],[-71.203374,42.352635,3863],[-71.130097,42.338499,3864],[-71.25442,42.326841,3865],[-71.126115,42.337009,3866],[-71.250135,42.329076,3867],[-71.259645,42.325402,3868],[-71.255911,42.326164,3869],[-71.187705,42.356961,3870],[-71.130869,42.338485,3871],[-71.202833,42.352819,3872],[-71.258038,42.325148,3873],[-71.23544,42.343196,3874],[-71.276915,42.309581,3875],[-71.127153,42.338033,3876],[-71.27475,42.311357,3877],[-71.206429,42.351994,3878],[-71.275085,42.310689,3879],[-71.138857,42.341711,3880],[-71.261617,42.325914,3881],[-71.18597,42.356771,3882],[-71.119551,42.333121,3883],[-71.129272,42.338297,3884],[-71.243711,42.333546,3885],[-71.18597,42.356771,3886],[-71.29288,42.295624,3887],[-71.134141,42.338986,3888],[-71.255896,42.325605,3889],[-71.261617,42.325914,3890],[-71.261617,42.325914,3891],[-71.183995,42.357903,3892],[-71.240322,42.338196,3893],[-71.115488,42.331213,3894],[-71.204952,42.352354,3895],[-71.125404,42.33638,3896],[-71.23544,42.343196,3897],[-71.122677,42.334303,3898],[-71.141192,42.342542,3899],[-71.132255,42.338264,3900],[-71.259168,42.32562,3901],[-71.256845,42.325967,3902],[-71.261617,42.325914,3903],[-71.124564,42.335664,3904],[-71.115488,42.331213,3905],[-71.18597,42.356771,3906],[-71.243711,42.333546,3907],[-71.175997,42.354106,3908],[-71.27475,42.311357,3909],[-71.183371,42.357613,3910],[-71.124564,42.335664,3911],[-71.141192,42.342542,3912],[-71.29288,42.295624,3913],[-71.139855,42.341709,3914],[-71.276975,42.309289,3915],[-71.138658,42.341661,3916],[-71.120636,42.33325,3917],[-71.126029,42.336918,3918],[-71.124082,42.33525,3919],[-71.19744,42.354268,3920],[-71.264641,42.320663,3921],[-71.243711,42.333546,3922],[-71.214463,42.351037,3923],[-71.123213,42.335088,3924],[-71.115488,42.331213,3925],[-71.237659,42.342426,3926],[-71.232251,42.346178,3927],[-71.127237,42.337489,3928],[-71.20706,42.351886,3929],[-71.129076,42.33866,3930],[-71.132081,42.338234,3931],[-71.186515,42.357254,3932],[-71.279217,42.307536,3933],[-71.126775,42.337085,3934],[-71.259168,42.32562,3935],[-71.245769,42.330768,3936],[-71.129953,42.338071,3937],[-71.176688,42.354409,3938],[-71.243711,42.333546,3939],[-71.18597,42.356771,3940],[-71.275085,42.310689,3941],[-71.124564,42.335664,3942],[-71.256322,42.326139,3943],[-71.119398,42.333098,3944],[-71.255896,42.325605,3945],[-71.131237,42.338121,3946],[-71.243711,42.333546,3947],[-71.202999,42.352785,3948],[-71.261617,42.325914,3949],[-71.124082,42.33525,3950],[-71.124082,42.33525,3951],[-71.185477,42.357567,3952],[-71.118143,42.332491,3953],[-71.203374,42.352635,3954],[-71.115488,42.331213,3955],[-71.134543,42.338699,3956],[-71.255257,42.328405,3957],[-71.129076,42.33866,3958],[-71.115488,42.331213,3959],[-71.14952,42.348848,3960],[-71.246083,42.332122,3961],[-71.187311,42.356943,3962],[-71.133291,42.338426,3963],[-71.142071,42.342887,3964],[-71.200092,42.354153,3965],[-71.115488,42.331213,3966],[-71.256845,42.325967,3967],[-71.255631,42.326527,3968],[-71.129076,42.33866,3969],[-71.213907,42.351082,3970],[-71.125049,42.33605,3971],[-71.241787,42.337014,3972],[-71.115488,42.331213,3973],[-71.176489,42.354892,3974],[-71.275085,42.310689,3975],[-71.124082,42.33525,3976],[-71.115488,42.331213,3977],[-71.195672,42.355166,3978],[-71.115488,42.331213,3979],[-71.133291,42.338426,3980],[-71.115488,42.331213,3981],[-71.134543,42.338699,3982],[-71.259168,42.32562,3983],[-71.124082,42.33525,3984],[-71.261617,42.325914,3985],[-71.222016,42.349512,3986],[-71.115488,42.331213,3987],[-71.235987,42.343904,3988],[-71.141192,42.342542,3989],[-71.125049,42.33605,3990],[-71.254792,42.325413,3991],[-71.126919,42.337867,3992],[-71.275085,42.310689,3993],[-71.256845,42.325967,3994],[-71.115488,42.331213,3995],[-71.131237,42.338121,3996],[-71.292205,42.296609,3997],[-71.180851,42.356452,3998],[-71.119922,42.333187,3999],[-71.206429,42.351994,4000],[-71.117453,42.33139,4001],[-71.260655,42.324443,4002],[-71.198445,42.35387,4003],[-71.210198,42.351382,4004],[-71.115488,42.331213,4005],[-71.139195,42.341963,4006],[-71.273928,42.313475,4007],[-71.225963,42.349233,4008],[-71.133736,42.338881,4009],[-71.118667,42.332373,4010],[-71.275085,42.310689,4011],[-71.235615,42.344185,4012],[-71.243711,42.333546,4013],[-71.176906,42.354492,4014],[-71.115488,42.331213,4015],[-71.187311,42.356943,4016],[-71.273531,42.312829,4017],[-71.124082,42.33525,4018],[-71.115488,42.331213,4019],[-71.238363,42.341714,4020],[-71.275085,42.310689,4021],[-71.203151,42.352744,4022],[-71.256651,42.325332,4023],[-71.217015,42.350247,4024],[-71.125576,42.336517,4025],[-71.23544,42.343196,4026],[-71.115488,42.331213,4027],[-71.20851,42.351912,4028],[-71.239219,42.340849,4029],[-71.130097,42.338499,4030],[-71.256845,42.325967,4031],[-71.234351,42.345404,4032],[-71.275085,42.310689,4033],[-71.175307,42.354368,4034],[-71.13217,42.338783,4035],[-71.245261,42.332525,4036],[-71.118767,42.332477,4037],[-71.179804,42.356092,4038],[-71.289413,42.300252,4039],[-71.180471,42.356327,4040],[-71.243711,42.333546,4041],[-71.254792,42.325413,4042],[-71.295076,42.292751,4043],[-71.138562,42.341125,4044],[-71.124082,42.33525,4045],[-71.124082,42.33525,4046],[-71.243711,42.333546,4047],[-71.20706,42.351886,4048],[-71.261617,42.325914,4049],[-71.129272,42.338297,4050],[-71.292205,42.296609,4051],[-71.235087,42.344605,4052],[-71.288825,42.300849,4053],[-71.241347,42.3355,4054],[-71.133055,42.338355,4055],[-71.18597,42.356771,4056],[-71.254684,42.326026,4057],[-71.133554,42.338462,4058],[-71.293526,42.29375,4059],[-71.129953,42.338071,4060],[-71.163891,42.349657,4061],[-71.260655,42.324443,4062],[-71.292862,42.295885,4063],[-71.226263,42.349195,4064],[-71.274423,42.31212,4065],[-71.18597,42.356771,4066],[-71.273928,42.313475,4067],[-71.249077,42.331594,4068],[-71.287948,42.300843,4069],[-71.176125,42.354732,4070],[-71.255179,42.325892,4071],[-71.243711,42.333546,4072],[-71.115488,42.331213,4073],[-71.133554,42.338462,4074],[-71.245427,42.333007,4075],[-71.237418,42.34273,4076],[-71.129953,42.338071,4077],[-71.183995,42.357903,4078],[-71.154581,42.348967,4079],[-71.133736,42.338881,4080],[-71.257515,42.325605,4081],[-71.180851,42.356452,4082],[-71.275085,42.310689,4083],[-71.124082,42.33525,4084],[-71.124082,42.33525,4085],[-71.129076,42.33866,4086],[-71.115488,42.331213,4087],[-71.185477,42.357567,4088],[-71.125546,42.335766,4089],[-71.23544,42.343196,4090],[-71.243711,42.333546,4091],[-71.23544,42.343196,4092],[-71.115488,42.331213,4093],[-71.130792,42.338107,4094],[-71.243711,42.333546,4095],[-71.186515,42.357254,4096],[-71.293419,42.294039,4097],[-71.115346,42.33048,4098],[-71.294746,42.293953,4099],[-71.187311,42.356943,4100],[-71.144891,42.344557,4101],[-71.133783,42.338466,4102],[-71.23544,42.343196,4103],[-71.243711,42.333546,4104],[-71.260655,42.324443,4105],[-71.141192,42.342542,4106],[-71.13653,42.339904,4107],[-71.131716,42.338239,4108],[-71.122274,42.334165,4109],[-71.198868,42.354299,4110],[-71.262662,42.323542,4111],[-71.180471,42.356327,4112],[-71.276975,42.309289,4113],[-71.228568,42.349069,4114],[-71.294425,42.294077,4115],[-71.138068,42.341422,4116],[-71.119264,42.333071,4117],[-71.142071,42.342887,4118],[-71.275085,42.310689,4119],[-71.131716,42.338239,4120],[-71.273928,42.313475,4121],[-71.230585,42.346972,4122],[-71.253966,42.327348,4123],[-71.213617,42.351122,4124],[-71.12737,42.338142,4125],[-71.235615,42.344185,4126],[-71.126919,42.337867,4127],[-71.134141,42.338986,4128],[-71.115488,42.331213,4129],[-71.187311,42.356943,4130],[-71.256845,42.325967,4131],[-71.256845,42.325967,4132],[-71.243711,42.333546,4133],[-71.124082,42.33525,4134],[-71.259168,42.32562,4135],[-71.175997,42.354106,4136],[-71.27475,42.311357,4137],[-71.129076,42.33866,4138],[-71.27475,42.311357,4139],[-71.180238,42.355684,4140],[-71.243711,42.333546,4141],[-71.23544,42.343196,4142],[-71.115488,42.331213,4143],[-71.129076,42.33866,4144],[-71.276915,42.309581,4145],[-71.12284,42.334126,4146],[-71.243711,42.333546,4147],[-71.119922,42.333187,4148],[-71.243711,42.333546,4149],[-71.138857,42.341711,4150],[-71.118663,42.332269,4151],[-71.18597,42.356771,4152],[-71.124564,42.335664,4153],[-71.243711,42.333546,4154],[-71.11806,42.331747,4155],[-71.131716,42.338239,4156],[-71.120999,42.333467,4157],[-71.238222,42.341891,4158],[-71.115488,42.331213,4159],[-71.191551,42.355849,4160],[-71.141192,42.342542,4161],[-71.23544,42.343196,4162],[-71.303967,42.287617,4163],[-71.203151,42.352744,4164],[-71.253966,42.327348,4165],[-71.130243,42.3381,4166],[-71.115488,42.331213,4167],[-71.133923,42.338927,4168],[-71.246083,42.332122,4169],[-71.225255,42.349571,4170],[-71.309718,42.283564,4171],[-71.186618,42.356103,4172],[-71.13682,42.340742,4173],[-71.243711,42.333546,4174],[-71.23544,42.343196,4175],[-71.137697,42.341295,4176],[-71.289413,42.300252,4177],[-71.139855,42.341709,4178],[-71.289915,42.299943,4179],[-71.23544,42.343196,4180],[-71.295461,42.293162,4181],[-71.115488,42.331213,4182],[-71.115488,42.331213,4183],[-71.180471,42.356327,4184],[-71.120149,42.333179,4185],[-71.124082,42.33525,4186],[-71.254792,42.325413,4187],[-71.198261,42.354465,4188],[-71.243711,42.333546,4189],[-71.176437,42.354333,4190],[-71.125576,42.336517,4191],[-71.225255,42.349571,4192],[-71.151731,42.348857,4193],[-71.209349,42.3515,4194],[-71.125039,42.33513,4195],[-71.180851,42.356452,4196],[-71.115488,42.331213,4197],[-71.115488,42.331213,4198],[-71.115488,42.331213,4199],[-71.130977,42.338109,4200],[-71.144061,42.344077,4201],[-71.1296,42.338644,4202],[-71.29288,42.295624,4203],[-71.181623,42.355959,4204],[-71.292943,42.294595,4205],[-71.173828,42.354241,4206],[-71.115488,42.331213,4207],[-71.13217,42.338783,4208],[-71.303247,42.287406,4209],[-71.194738,42.355403,4210],[-71.273527,42.313643,4211],[-71.246083,42.332122,4212],[-71.276008,42.310374,4213],[-71.130437,42.338089,4214],[-71.124082,42.33525,4215],[-71.228568,42.349069,4216],[-71.125937,42.336834,4217],[-71.180064,42.355559,4218],[-71.127237,42.337489,4219],[-71.115488,42.331213,4220],[-71.27475,42.311357,4221],[-71.130769,42.338481,4222],[-71.115488,42.331213,4223],[-71.119922,42.333187,4224],[-71.115488,42.331213,4225],[-71.19429,42.355448,4226],[-71.296744,42.290453,4227],[-71.248776,42.329652,4228],[-71.118376,42.332788,4229],[-71.206429,42.351994,4230],[-71.259168,42.32562,4231],[-71.18597,42.356771,4232],[-71.118143,42.332491,4233],[-71.115488,42.331213,4234],[-71.125576,42.336517,4235],[-71.115488,42.331213,4236],[-71.124082,42.33525,4237],[-71.211081,42.351257,4238],[-71.119551,42.333121,4239],[-71.216041,42.350536,4240],[-71.13653,42.339904,4241],[-71.261617,42.325914,4242],[-71.293151,42.294216,4243],[-71.206429,42.351994,4244],[-71.115488,42.331213,4245],[-71.27881,42.307919,4246],[-71.115488,42.331213,4247],[-71.202448,42.35289,4248],[-71.243711,42.333546,4249],[-71.138562,42.341125,4250],[-71.29013,42.299728,4251],[-71.119264,42.333071,4252],[-71.243711,42.333546,4253],[-71.115488,42.331213,4254],[-71.255911,42.326164,4255],[-71.118258,42.332644,4256],[-71.115488,42.331213,4257],[-71.115488,42.331213,4258],[-71.243711,42.333546,4259],[-71.260655,42.324443,4260],[-71.23544,42.343196,4261],[-71.115488,42.331213,4262],[-71.260655,42.324443,4263],[-71.223917,42.349503,4264],[-71.119687,42.333134,4265],[-71.200092,42.354153,4266],[-71.243711,42.333546,4267],[-71.207964,42.351672,4268],[-71.292205,42.296609,4269],[-71.13217,42.338783,4270],[-71.125049,42.33605,4271],[-71.138346,42.341571,4272],[-71.243711,42.333546,4273],[-71.243711,42.333546,4274],[-71.1296,42.338644,4275],[-71.115488,42.331213,4276],[-71.246083,42.332122,4277],[-71.118143,42.332491,4278],[-71.289413,42.300252,4279],[-71.216041,42.350536,4280],[-71.276008,42.310374,4281],[-71.125576,42.336517,4282],[-71.126919,42.337867,4283],[-71.135054,42.338977,4284],[-71.243711,42.333546,4285],[-71.250135,42.329076,4286],[-71.246083,42.332122,4287],[-71.23356,42.345303,4288],[-71.273928,42.313475,4289],[-71.224696,42.349683,4290],[-71.237284,42.342864,4291],[-71.142071,42.342887,4292],[-71.137391,42.340498,4293],[-71.261331,42.324906,4294],[-71.243711,42.333546,4295],[-71.261617,42.325914,4296],[-71.243989,42.334063,4297],[-71.212519,42.351065,4298],[-71.246083,42.332122,4299],[-71.115488,42.331213,4300],[-71.129803,42.338545,4301],[-71.134543,42.338699,4302],[-71.276915,42.309581,4303],[-71.255405,42.326334,4304],[-71.262948,42.321501,4305],[-71.180238,42.355684,4306],[-71.115488,42.331213,4307],[-71.261253,42.324153,4308],[-71.115488,42.331213,4309],[-71.254309,42.326425,4310],[-71.275085,42.310689,4311],[-71.254792,42.325413,4312],[-71.141192,42.342542,4313],[-71.137738,42.340804,4314],[-71.261617,42.325914,4315],[-71.222605,42.349454,4316],[-71.243711,42.333546,4317],[-71.115488,42.331213,4318],[-71.147771,42.346547,4319],[-71.138857,42.341711,4320],[-71.23544,42.343196,4321],[-71.115488,42.331213,4322],[-71.23544,42.343196,4323],[-71.197265,42.355109,4324],[-71.145241,42.345433,4325],[-71.276008,42.310374,4326],[-71.29013,42.299728,4327],[-71.229671,42.348805,4328],[-71.118376,42.332788,4329],[-71.143551,42.344487,4330],[-71.275085,42.310689,4331],[-71.246083,42.332122,4332],[-71.133553,42.338851,4333],[-71.287224,42.30075,4334],[-71.29288,42.295624,4335],[-71.126985,42.3373,4336],[-71.2595,42.323613,4337],[-71.120739,42.333286,4338],[-71.143881,42.343987,4339],[-71.206429,42.351994,4340],[-71.273928,42.313475,4341],[-71.129076,42.33866,4342],[-71.120453,42.333104,4343],[-71.211081,42.351257,4344],[-71.124082,42.33525,4345],[-71.23678,42.341691,4346],[-71.115488,42.331213,4347],[-71.243711,42.333546,4348],[-71.125049,42.33605,4349],[-71.233348,42.346338,4350],[-71.136951,42.340153,4351],[-71.206429,42.351994,4352],[-71.129953,42.338071,4353],[-71.240947,42.337115,4354],[-71.23544,42.343196,4355],[-71.119398,42.333098,4356],[-71.276915,42.309581,4357],[-71.195672,42.355166,4358],[-71.115488,42.331213,4359],[-71.243711,42.333546,4360],[-71.2761,42.311276,4361],[-71.133356,42.33886,4362],[-71.138068,42.341422,4363],[-71.248308,42.330801,4364],[-71.293857,42.294685,4365],[-71.142071,42.342887,4366],[-71.292721,42.294873,4367],[-71.259585,42.324923,4368],[-71.28914,42.297971,4369],[-71.246083,42.332122,4370],[-71.124082,42.33525,4371],[-71.115488,42.331213,4372],[-71.130869,42.338485,4373],[-71.124082,42.33525,4374],[-71.290378,42.299547,4375],[-71.129953,42.338071,4376],[-71.169421,42.351477,4377],[-71.125404,42.33638,4378],[-71.271307,42.314613,4379],[-71.139012,42.341866,4380],[-71.292205,42.296609,4381],[-71.134034,42.338547,4382],[-71.293128,42.293882,4383],[-71.125937,42.336834,4384],[-71.115488,42.331213,4385],[-71.243711,42.333546,4386],[-71.296744,42.290453,4387],[-71.124082,42.33525,4388],[-71.169951,42.351627,4389],[-71.124082,42.33525,4390],[-71.115488,42.331213,4391],[-71.124564,42.335664,4392],[-71.29288,42.295624,4393],[-71.241171,42.336445,4394],[-71.274133,42.312337,4395],[-71.122274,42.334165,4396],[-71.243711,42.333546,4397],[-71.211081,42.351257,4398],[-71.26276,42.324125,4399],[-71.180436,42.355739,4400],[-71.142071,42.342887,4401],[-71.137323,42.341121,4402],[-71.289915,42.299943,4403],[-71.115488,42.331213,4404],[-71.261617,42.325914,4405],[-71.115488,42.331213,4406],[-71.246083,42.332122,4407],[-71.260655,42.324443,4408],[-71.289915,42.299943,4409],[-71.234351,42.345404,4410],[-71.261647,42.323819,4411],[-71.256845,42.325967,4412],[-71.292943,42.294595,4413],[-71.261617,42.325914,4414],[-71.273928,42.313475,4415],[-71.130769,42.338481,4416],[-71.295461,42.293162,4417],[-71.121457,42.333769,4418],[-71.152316,42.349234,4419],[-71.125049,42.33605,4420],[-71.275085,42.310689,4421],[-71.118143,42.332491,4422],[-71.144891,42.344557,4423],[-71.276915,42.309581,4424],[-71.273928,42.313475,4425],[-71.141192,42.342542,4426],[-71.288825,42.300849,4427],[-71.129953,42.338071,4428],[-71.289143,42.30054,4429],[-71.125049,42.33605,4430],[-71.296891,42.29085,4431],[-71.246083,42.332122,4432],[-71.27475,42.311357,4433],[-71.153178,42.349286,4434],[-71.289413,42.300252,4435],[-71.195672,42.355166,4436],[-71.276008,42.310374,4437],[-71.119551,42.333121,4438],[-71.273527,42.313643,4439],[-71.237934,42.342156,4440],[-71.275323,42.311091,4441],[-71.243711,42.333546,4442],[-71.288825,42.300849,4443],[-71.229668,42.34859,4444],[-71.287694,42.29989,4445],[-71.234144,42.345881,4446],[-71.309397,42.279624,4447],[-71.132168,42.338249,4448],[-71.153641,42.348977,4449],[-71.243711,42.333546,4450],[-71.297344,42.290994,4451],[-71.211081,42.351257,4452],[-71.297344,42.290994,4453],[-71.115488,42.331213,4454],[-71.275085,42.310689,4455],[-71.199684,42.35346,4456],[-71.169051,42.351357,4457],[-71.208846,42.35194,4458],[-71.276915,42.309581,4459],[-71.20851,42.351912,4460],[-71.290378,42.299547,4461],[-71.21463,42.351021,4462],[-71.29013,42.299728,4463],[-71.141192,42.342542,4464],[-71.296891,42.29085,4465],[-71.261602,42.324003,4466],[-71.297344,42.290994,4467],[-71.174702,42.353349,4468],[-71.293151,42.294216,4469],[-71.256845,42.325967,4470],[-71.296891,42.29085,4471],[-71.124564,42.335664,4472],[-71.28698,42.3013,4473],[-71.24897,42.329536,4474],[-71.288206,42.299045,4475],[-71.115488,42.331213,4476],[-71.288442,42.300856,4477],[-71.246083,42.332122,4478],[-71.293419,42.294039,4479],[-71.245769,42.330768,4480],[-71.142071,42.342887,4481],[-71.246083,42.332122,4482],[-71.145093,42.345293,4483],[-71.246083,42.332122,4484],[-71.292862,42.295885,4485],[-71.141192,42.342542,4486],[-71.275323,42.311091,4487],[-71.254792,42.325413,4488],[-71.292205,42.296609,4489],[-71.118767,42.332477,4490],[-71.144891,42.344557,4491],[-71.115488,42.331213,4492],[-71.142071,42.342887,4493],[-71.132081,42.338234,4494],[-71.292562,42.296295,4495],[-71.243711,42.333546,4496],[-71.275085,42.310689,4497],[-71.255129,42.326955,4498],[-71.27475,42.311357,4499],[-71.202999,42.352785,4500],[-71.292205,42.296609,4501],[-71.119604,42.33345,4502],[-71.27475,42.311357,4503],[-71.115488,42.331213,4504],[-71.275085,42.310689,4505],[-71.246083,42.332122,4506],[-71.308915,42.284049,4507],[-71.119398,42.333098,4508],[-71.287694,42.29989,4509],[-71.129953,42.338071,4510],[-71.286197,42.30205,4511],[-71.114038,42.332122,4512],[-71.115488,42.331213,4513],[-71.243711,42.333546,4514],[-71.173191,42.353247,4515],[-71.119398,42.333098,4516],[-71.277763,42.308663,4517],[-71.261617,42.325914,4518],[-71.286197,42.30205,4519],[-71.13217,42.338783,4520],[-71.293631,42.295262,4521],[-71.115488,42.331213,4522],[-71.160636,42.349096,4523],[-71.115488,42.331213,4524],[-71.276008,42.310374,4525],[-71.115488,42.331213,4526],[-71.280176,42.306907,4527],[-71.241787,42.337014,4528],[-71.289143,42.30054,4529],[-71.244495,42.33367,4530],[-71.273928,42.313475,4531],[-71.120453,42.333104,4532],[-71.27475,42.311357,4533],[-71.118376,42.332788,4534],[-71.29288,42.295624,4535],[-71.131716,42.338239,4536],[-71.262,42.323432,4537],[-71.207964,42.351672,4538],[-71.141192,42.342542,4539],[-71.261617,42.325914,4540],[-71.264015,42.32136,4541],[-71.115488,42.331213,4542],[-71.263706,42.322209,4543],[-71.124082,42.33525,4544],[-71.294851,42.292962,4545],[-71.129076,42.33866,4546],[-71.292943,42.294595,4547],[-71.131716,42.338239,4548],[-71.293419,42.294039,4549],[-71.133291,42.338426,4550],[-71.292862,42.295885,4551],[-71.20851,42.351912,4552],[-71.152316,42.349234,4553],[-71.123845,42.334675,4554],[-71.297805,42.290542,4555],[-71.261617,42.325914,4556],[-71.279217,42.307536,4557],[-71.206429,42.351994,4558],[-71.275323,42.311091,4559],[-71.133736,42.338881,4560],[-71.296223,42.291791,4561],[-71.115488,42.331213,4562],[-71.27475,42.311357,4563],[-71.261602,42.324003,4564],[-71.273531,42.312829,4565],[-71.243711,42.333546,4566],[-71.285549,42.302568,4567],[-71.141192,42.342542,4568],[-71.27475,42.311357,4569],[-71.129953,42.338071,4570],[-71.246083,42.332122,4571],[-71.268485,42.317181,4572],[-71.246083,42.332122,4573],[-71.115488,42.331213,4574],[-71.23544,42.343196,4575],[-71.125049,42.33605,4576],[-71.13714,42.341004,4577],[-71.115488,42.331213,4578],[-71.274423,42.31212,4579],[-71.137697,42.341295,4580],[-71.246083,42.332122,4581],[-71.21342,42.351125,4582],[-71.274538,42.311899,4583],[-71.115488,42.331213,4584],[-71.288206,42.299045,4585],[-71.130769,42.338481,4586],[-71.124082,42.33525,4587],[-71.115488,42.331213,4588],[-71.292562,42.296295,4589],[-71.243711,42.333546,4590],[-71.160771,42.348747,4591],[-71.235347,42.344401,4592],[-71.124082,42.33525,4593],[-71.118574,42.33216,4594],[-71.243711,42.333546,4595],[-71.259168,42.32562,4596],[-71.124082,42.33525,4597],[-71.13653,42.339904,4598],[-71.139376,42.342064,4599],[-71.138562,42.341125,4600],[-71.143842,42.344645,4601],[-71.1225,42.334212,4602],[-71.115488,42.331213,4603],[-71.123011,42.334837,4604],[-71.279415,42.307349,4605],[-71.288825,42.300849,4606],[-71.276008,42.310374,4607],[-71.142071,42.342887,4608],[-71.255257,42.328405,4609],[-71.115488,42.331213,4610],[-71.256845,42.325967,4611],[-71.118767,42.332477,4612],[-71.289143,42.30054,4613],[-71.246083,42.332122,4614],[-71.23544,42.343196,4615],[-71.115488,42.331213,4616],[-71.202999,42.352785,4617],[-71.115488,42.331213,4618],[-71.255911,42.326164,4619],[-71.124082,42.33525,4620],[-71.259645,42.325402,4621],[-71.135054,42.338977,4622],[-71.123213,42.335088,4623],[-71.126919,42.337867,4624],[-71.120149,42.333179,4625],[-71.256322,42.326139,4626],[-71.124082,42.33525,4627],[-71.115488,42.331213,4628],[-71.137697,42.341295,4629],[-71.254792,42.325413,4630],[-71.207964,42.351672,4631],[-71.125049,42.33605,4632],[-71.288442,42.300856,4633],[-71.191551,42.355849,4634],[-71.292205,42.296609,4635],[-71.243711,42.333546,4636],[-71.287316,42.301994,4637],[-71.225255,42.349571,4638],[-71.115488,42.331213,4639],[-71.211081,42.351257,4640],[-71.276008,42.310374,4641],[-71.176437,42.354333,4642],[-71.289143,42.30054,4643],[-71.115488,42.331213,4644],[-71.25442,42.326841,4645],[-71.115488,42.331213,4646],[-71.263706,42.322209,4647],[-71.198442,42.354421,4648],[-71.143551,42.344487,4649],[-71.222016,42.349512,4650],[-71.243711,42.333546,4651],[-71.23521,42.344503,4652],[-71.118258,42.332644,4653],[-71.261617,42.325914,4654],[-71.273928,42.313475,4655],[-71.191093,42.355943,4656],[-71.297344,42.290994,4657],[-71.115488,42.331213,4658],[-71.242912,42.334812,4659],[-71.202999,42.352785,4660],[-71.132692,42.338307,4661],[-71.118574,42.33216,4662],[-71.153916,42.349332,4663],[-71.243711,42.333546,4664],[-71.310286,42.283227,4665],[-71.177096,42.354567,4666],[-71.293631,42.295262,4667],[-71.18124,42.356062,4668],[-71.261617,42.325914,4669],[-71.118376,42.332788,4670],[-71.287143,42.302124,4671],[-71.130437,42.338089,4672],[-71.279415,42.307349,4673],[-71.225255,42.349571,4674],[-71.23544,42.343196,4675],[-71.120739,42.333286,4676],[-71.289915,42.299943,4677],[-71.235087,42.344605,4678],[-71.125049,42.33605,4679],[-71.186515,42.357254,4680],[-71.274423,42.31212,4681],[-71.137697,42.341295,4682],[-71.292562,42.296295,4683],[-71.132692,42.338307,4684],[-71.269692,42.316185,4685],[-71.12737,42.338142,4686],[-71.142071,42.342887,4687],[-71.115488,42.331213,4688],[-71.290378,42.299547,4689],[-71.125049,42.33605,4690],[-71.180064,42.355559,4691],[-71.20706,42.351886,4692],[-71.24,42.33992,4693],[-71.212002,42.351154,4694],[-71.122677,42.334303,4695],[-71.177617,42.354778,4696],[-71.275085,42.310689,4697],[-71.134282,42.338613,4698],[-71.170919,42.352056,4699],[-71.123213,42.335088,4700],[-71.133055,42.338355,4701],[-71.157551,42.348897,4702],[-71.206429,42.351994,4703],[-71.118767,42.332477,4704],[-71.165082,42.349946,4705],[-71.258916,42.3236,4706],[-71.130869,42.338485,4707],[-71.159711,42.349117,4708],[-71.261617,42.325914,4709],[-71.133783,42.338466,4710],[-71.141192,42.342542,4711],[-71.2595,42.323613,4712],[-71.226655,42.34954,4713],[-71.167391,42.350387,4714],[-71.263706,42.322209,4715],[-71.126985,42.3373,4716],[-71.143881,42.343987,4717],[-71.27475,42.311357,4718],[-71.134363,42.33864,4719],[-71.151531,42.349217,4720],[-71.122677,42.334303,4721],[-71.129691,42.33818,4722],[-71.161771,42.349197,4723],[-71.130243,42.3381,4724],[-71.254792,42.325413,4725],[-71.123213,42.335088,4726],[-71.263198,42.321616,4727],[-71.123213,42.335088,4728],[-71.118767,42.332477,4729],[-71.115346,42.33048,4730],[-71.144891,42.344557,4731],[-71.143881,42.343987,4732],[-71.132692,42.338307,4733],[-71.139527,42.342111,4734],[-71.118574,42.33216,4735],[-71.292562,42.296295,4736],[-71.126029,42.336918,4737],[-71.141192,42.342542,4738],[-71.126426,42.337382,4739],[-71.142071,42.342887,4740],[-71.261617,42.325914,4741],[-71.127237,42.337489,4742],[-71.131716,42.338239,4743],[-71.261253,42.324153,4744],[-71.275085,42.310689,4745],[-71.125049,42.33605,4746],[-71.170531,42.351347,4747],[-71.27475,42.311357,4748],[-71.133923,42.338927,4749],[-71.186515,42.357254,4750],[-71.23678,42.341691,4751],[-71.206429,42.351994,4752],[-71.254871,42.326577,4753],[-71.265475,42.319161,4754],[-71.180238,42.355684,4755],[-71.126919,42.337867,4756],[-71.275085,42.310689,4757],[-71.124082,42.33525,4758],[-71.254792,42.325413,4759],[-71.276008,42.310374,4760],[-71.206429,42.351994,4761],[-71.122896,42.334436,4762],[-71.132081,42.338234,4763],[-71.138068,42.341422,4764],[-71.157401,42.349297,4765],[-71.266664,42.3177,4766],[-71.115488,42.331213,4767],[-71.126115,42.337009,4768],[-71.141192,42.342542,4769],[-71.139281,42.342014,4770],[-71.142071,42.342887,4771],[-71.126919,42.337867,4772],[-71.142071,42.342887,4773],[-71.124082,42.33525,4774],[-71.29288,42.295624,4775],[-71.139012,42.341866,4776],[-71.131716,42.338239,4777],[-71.23544,42.343196,4778],[-71.138346,42.341571,4779],[-71.211708,42.351222,4780],[-71.2875,42.300371,4781],[-71.245769,42.330768,4782],[-71.245769,42.330768,4783],[-71.2595,42.323613,4784],[-71.211081,42.351257,4785],[-71.187042,42.356981,4786],[-71.213867,42.350631,4787],[-71.23544,42.343196,4788],[-71.129076,42.33866,4789],[-71.115488,42.331213,4790],[-71.141192,42.342542,4791],[-71.23544,42.343196,4792],[-71.136967,42.340875,4793],[-71.115488,42.331213,4794],[-71.126919,42.337867,4795],[-71.254792,42.325413,4796],[-71.224909,42.349655,4797],[-71.243711,42.333546,4798],[-71.275085,42.310689,4799],[-71.124755,42.335938,4800],[-71.179804,42.356092,4801],[-71.208321,42.351676,4802],[-71.171771,42.352527,4803],[-71.262544,42.322971,4804],[-71.16104,42.349107,4805],[-71.120739,42.333286,4806],[-71.246083,42.332122,4807],[-71.142071,42.342887,4808],[-71.261617,42.325914,4809],[-71.254792,42.325413,4810],[-71.133783,42.338466,4811],[-71.130097,42.338499,4812],[-71.20851,42.351912,4813],[-71.23544,42.343196,4814],[-71.124082,42.33525,4815],[-71.186515,42.357254,4816],[-71.292562,42.296295,4817],[-71.180851,42.356452,4818],[-71.139527,42.342111,4819],[-71.286197,42.30205,4820],[-71.1296,42.338644,4821],[-71.187311,42.356943,4822],[-71.124564,42.335664,4823],[-71.124082,42.33525,4824],[-71.115488,42.331213,4825],[-71.274538,42.311899,4826],[-71.123213,42.335088,4827],[-71.187311,42.356943,4828],[-71.240556,42.339026,4829],[-71.123213,42.335088,4830],[-71.18597,42.356771,4831],[-71.124082,42.33525,4832],[-71.18597,42.356771,4833],[-71.217414,42.350209,4834],[-71.134779,42.338836,4835],[-71.242912,42.334812,4836],[-71.254792,42.325413,4837],[-71.289915,42.299943,4838],[-71.115488,42.331213,4839],[-71.119398,42.333098,4840],[-71.276008,42.310374,4841],[-71.254792,42.325413,4842],[-71.234351,42.345404,4843],[-71.165671,42.350037,4844],[-71.119264,42.333071,4845],[-71.18597,42.356771,4846],[-71.259168,42.32562,4847],[-71.261253,42.324153,4848],[-71.261617,42.325914,4849],[-71.23544,42.343196,4850],[-71.245769,42.330768,4851],[-71.115488,42.331213,4852],[-71.294851,42.292962,4853],[-71.126029,42.336918,4854],[-71.133783,42.338466,4855],[-71.230585,42.346972,4856],[-71.138515,42.341578,4857],[-71.207964,42.351672,4858],[-71.150141,42.348137,4859],[-71.131716,42.338239,4860],[-71.226263,42.349195,4861],[-71.139195,42.341963,4862],[-71.124082,42.33525,4863],[-71.23544,42.343196,4864],[-71.126426,42.337382,4865],[-71.164974,42.350328,4866],[-71.240322,42.338196,4867],[-71.217244,42.350261,4868],[-71.138233,42.341515,4869],[-71.120739,42.333286,4870],[-71.273928,42.313475,4871],[-71.240322,42.338196,4872],[-71.12284,42.334126,4873],[-71.275085,42.310689,4874],[-71.133554,42.338462,4875],[-71.137697,42.341295,4876],[-71.293151,42.294216,4877],[-71.170111,42.351697,4878],[-71.185477,42.357567,4879],[-71.133923,42.338927,4880],[-71.23544,42.343196,4881],[-71.139527,42.342111,4882],[-71.293526,42.29375,4883],[-71.23544,42.343196,4884],[-71.183995,42.357903,4885],[-71.275457,42.312378,4886],[-71.135054,42.338977,4887],[-71.243711,42.333546,4888],[-71.213617,42.351122,4889],[-71.243711,42.333546,4890],[-71.250135,42.329076,4891],[-71.115346,42.33048,4892],[-71.259168,42.32562,4893],[-71.27881,42.307919,4894],[-71.119264,42.333071,4895],[-71.23544,42.343196,4896],[-71.18597,42.356771,4897],[-71.293631,42.295262,4898],[-71.255911,42.326164,4899],[-71.144923,42.345163,4900],[-71.273531,42.312829,4901],[-71.134363,42.33864,4902],[-71.119072,42.333449,4903],[-71.273928,42.313475,4904],[-71.207964,42.351672,4905],[-71.269894,42.31531,4906],[-71.289143,42.30054,4907],[-71.234351,42.345404,4908],[-71.137697,42.341295,4909],[-71.261617,42.325914,4910],[-71.126775,42.337085,4911],[-71.13217,42.338783,4912],[-71.129953,42.338071,4913],[-71.23544,42.343196,4914],[-71.125049,42.33605,4915],[-71.124082,42.33525,4916],[-71.243711,42.333546,4917],[-71.224696,42.349683,4918],[-71.258916,42.3236,4919],[-71.23418,42.344793,4920],[-71.261617,42.325914,4921],[-71.124564,42.335664,4922],[-71.123213,42.335088,4923],[-71.246083,42.332122,4924],[-71.293526,42.29375,4925],[-71.27475,42.311357,4926],[-71.124082,42.33525,4927],[-71.124082,42.33525,4928],[-71.260282,42.32486,4929],[-71.133291,42.338426,4930],[-71.254792,42.325413,4931],[-71.226662,42.349136,4932],[-71.129076,42.33866,4933],[-71.133554,42.338462,4934],[-71.212002,42.351154,4935],[-71.187705,42.356961,4936],[-71.289006,42.300696,4937],[-71.124564,42.335664,4938],[-71.125576,42.336517,4939],[-71.133783,42.338466,4940],[-71.260855,42.325249,4941],[-71.254792,42.325413,4942],[-71.288771,42.300372,4943],[-71.202999,42.352785,4944],[-71.126657,42.336968,4945],[-71.122677,42.334303,4946],[-71.261331,42.324906,4947],[-71.13653,42.339904,4948],[-71.124082,42.33525,4949],[-71.239502,42.339448,4950],[-71.12782,42.3384,4951],[-71.133736,42.338881,4952],[-71.133783,42.338466,4953],[-71.180851,42.356452,4954],[-71.13714,42.341004,4955],[-71.201886,42.353034,4956],[-71.132692,42.338307,4957],[-71.274133,42.312337,4958],[-71.288592,42.30103,4959],[-71.227804,42.348639,4960],[-71.262761,42.322681,4961],[-71.236409,42.343614,4962],[-71.115488,42.331213,4963],[-71.23544,42.343196,4964],[-71.143842,42.344645,4965],[-71.260855,42.325249,4966],[-71.28698,42.3013,4967],[-71.13653,42.339904,4968],[-71.261617,42.325914,4969],[-71.255911,42.326164,4970],[-71.233149,42.345619,4971],[-71.183995,42.357903,4972],[-71.144061,42.344077,4973],[-71.122274,42.334165,4974],[-71.129953,42.338071,4975],[-71.152316,42.349234,4976],[-71.115488,42.331213,4977],[-71.142071,42.342887,4978],[-71.243711,42.333546,4979],[-71.13217,42.338783,4980],[-71.237143,42.342964,4981],[-71.115488,42.331213,4982],[-71.256845,42.325967,4983],[-71.119551,42.333121,4984],[-71.130097,42.338499,4985],[-71.122677,42.334303,4986],[-71.120999,42.333467,4987],[-71.23544,42.343196,4988],[-71.185477,42.357567,4989],[-71.261617,42.325914,4990],[-71.276008,42.310374,4991],[-71.115488,42.331213,4992],[-71.191551,42.355849,4993],[-71.27475,42.311357,4994],[-71.126029,42.336918,4995],[-71.126483,42.33681,4996],[-71.289143,42.30054,4997],[-71.243711,42.333546,4998],[-71.260655,42.324443,4999],[-71.263484,42.322387,5000],[-71.256845,42.325967,5001],[-71.180851,42.356452,5002],[-71.273531,42.312829,5003],[-71.137697,42.341295,5004],[-71.275085,42.310689,5005],[-71.254573,42.326126,5006],[-71.216041,42.350536,5007],[-71.126881,42.337191,5008],[-71.129953,42.338071,5009],[-71.129076,42.33866,5010],[-71.229671,42.348805,5011],[-71.255273,42.32799,5012],[-71.191281,42.355905,5013],[-71.243711,42.333546,5014],[-71.288771,42.300372,5015],[-71.246083,42.332122,5016],[-71.243711,42.333546,5017],[-71.138068,42.341422,5018],[-71.133055,42.338355,5019],[-71.118258,42.332644,5020],[-71.263484,42.322387,5021],[-71.119398,42.333098,5022],[-71.125049,42.33605,5023],[-71.292205,42.296609,5024],[-71.129953,42.338071,5025],[-71.206429,42.351994,5026],[-71.29288,42.295624,5027],[-71.259168,42.32562,5028],[-71.129953,42.338071,5029],[-71.288442,42.300856,5030],[-71.135054,42.338977,5031],[-71.255129,42.326955,5032],[-71.138515,42.341578,5033],[-71.115346,42.33048,5034],[-71.118667,42.332373,5035],[-71.132692,42.338307,5036],[-71.23544,42.343196,5037],[-71.13217,42.338783,5038],[-71.273928,42.313475,5039],[-71.126204,42.337098,5040],[-71.132692,42.338307,5041],[-71.130437,42.338089,5042],[-71.240322,42.338196,5043],[-71.125976,42.336268,5044],[-71.243711,42.333546,5045],[-71.254792,42.325413,5046],[-71.134141,42.338986,5047],[-71.12782,42.3384,5048],[-71.27475,42.311357,5049],[-71.246083,42.332122,5050],[-71.230585,42.346972,5051],[-71.176688,42.354409,5052],[-71.115488,42.331213,5053],[-71.256322,42.326139,5054],[-71.243711,42.333546,5055],[-71.133553,42.338851,5056],[-71.118663,42.332269,5057],[-71.254792,42.325413,5058],[-71.18124,42.356062,5059],[-71.243711,42.333546,5060],[-71.131716,42.338239,5061],[-71.25442,42.326841,5062],[-71.23625,42.343684,5063],[-71.255896,42.325605,5064],[-71.115488,42.331213,5065],[-71.265591,42.318194,5066],[-71.246083,42.332122,5067],[-71.125049,42.33605,5068],[-71.142071,42.342887,5069],[-71.255257,42.328405,5070],[-71.242065,42.335281,5071],[-71.141192,42.342542,5072],[-71.259168,42.32562,5073],[-71.254792,42.325413,5074],[-71.256845,42.325967,5075],[-71.261602,42.324003,5076],[-71.118767,42.332477,5077],[-71.115488,42.331213,5078],[-71.115488,42.331213,5079],[-71.256845,42.325967,5080],[-71.255129,42.326955,5081],[-71.123085,42.334484,5082],[-71.259378,42.324959,5083],[-71.125049,42.33605,5084],[-71.254871,42.326577,5085],[-71.257515,42.325605,5086],[-71.148114,42.346671,5087],[-71.246083,42.332122,5088],[-71.245769,42.330768,5089],[-71.206429,42.351994,5090],[-71.255273,42.32799,5091],[-71.142071,42.342887,5092],[-71.139012,42.341866,5093],[-71.144891,42.344557,5094],[-71.228568,42.349069,5095],[-71.255257,42.328405,5096],[-71.196294,42.35493,5097],[-71.275085,42.310689,5098],[-71.208321,42.351676,5099],[-71.115488,42.331213,5100],[-71.207964,42.351672,5101],[-71.138756,42.341202,5102],[-71.226662,42.349136,5103],[-71.179804,42.356092,5104],[-71.261617,42.325914,5105],[-71.134447,42.338667,5106],[-71.143881,42.343987,5107],[-71.23544,42.343196,5108],[-71.127097,42.337406,5109],[-71.243711,42.333546,5110],[-71.228568,42.349069,5111],[-71.125976,42.336268,5112],[-71.262544,42.322971,5113],[-71.118767,42.332477,5114],[-71.23544,42.343196,5115],[-71.243711,42.333546,5116],[-71.133291,42.338426,5117],[-71.141192,42.342542,5118],[-71.141192,42.342542,5119],[-71.126273,42.337247,5120],[-71.157611,42.349257,5121],[-71.256845,42.325967,5122],[-71.261253,42.324153,5123],[-71.119604,42.33345,5124],[-71.144891,42.344557,5125],[-71.248537,42.330478,5126],[-71.257963,42.324788,5127],[-71.255405,42.326334,5128],[-71.261647,42.323819,5129],[-71.141192,42.342542,5130],[-71.157611,42.349257,5131],[-71.23544,42.343196,5132],[-71.115488,42.331213,5133],[-71.246083,42.332122,5134],[-71.21342,42.351125,5135],[-71.123213,42.335088,5136],[-71.20851,42.351912,5137],[-71.136967,42.340875,5138],[-71.154581,42.348967,5139],[-71.243711,42.333546,5140],[-71.115488,42.331213,5141],[-71.125576,42.336517,5142],[-71.125049,42.33605,5143],[-71.246083,42.332122,5144],[-71.158281,42.348877,5145],[-71.124082,42.33525,5146],[-71.115488,42.331213,5147],[-71.243711,42.333546,5148],[-71.261617,42.325914,5149],[-71.183995,42.357903,5150],[-71.115488,42.331213,5151],[-71.261617,42.325914,5152],[-71.243711,42.333546,5153],[-71.123213,42.335088,5154],[-71.261617,42.325914,5155],[-71.124082,42.33525,5156],[-71.126115,42.337009,5157],[-71.2595,42.323613,5158],[-71.261617,42.325914,5159],[-71.137323,42.341121,5160],[-71.259585,42.324923,5161],[-71.130243,42.3381,5162],[-71.23544,42.343196,5163],[-71.185477,42.357567,5164],[-71.12752,42.3383,5165],[-71.144891,42.344557,5166],[-71.250135,42.329076,5167],[-71.235916,42.344029,5168],[-71.125576,42.336517,5169],[-71.18597,42.356771,5170],[-71.131716,42.338239,5171],[-71.25442,42.326841,5172],[-71.122274,42.334165,5173],[-71.126919,42.337867,5174],[-71.211081,42.351257,5175],[-71.256377,42.325467,5176],[-71.260655,42.324443,5177],[-71.243711,42.333546,5178],[-71.115488,42.331213,5179],[-71.115488,42.331213,5180],[-71.22082,42.349468,5181],[-71.160833,42.349225,5182],[-71.261617,42.325914,5183],[-71.191551,42.355849,5184],[-71.138346,42.341571,5185],[-71.115488,42.331213,5186],[-71.164641,42.349647,5187],[-71.28698,42.3013,5188],[-71.222016,42.349512,5189],[-71.139195,42.341963,5190],[-71.138515,42.341578,5191],[-71.216041,42.350536,5192],[-71.137323,42.341121,5193],[-71.133553,42.338851,5194],[-71.132857,42.338792,5195],[-71.257515,42.325605,5196],[-71.133554,42.338462,5197],[-71.261617,42.325914,5198],[-71.243711,42.333546,5199],[-71.118143,42.332491,5200],[-71.13653,42.339904,5201],[-71.131237,42.338121,5202],[-71.123213,42.335088,5203],[-71.123213,42.335088,5204],[-71.243711,42.333546,5205],[-71.129953,42.338071,5206],[-71.142071,42.342887,5207],[-71.246083,42.332122,5208],[-71.115488,42.331213,5209],[-71.125049,42.33605,5210],[-71.125049,42.33605,5211],[-71.261647,42.323819,5212],[-71.133923,42.338927,5213],[-71.133553,42.338851,5214],[-71.220201,42.349792,5215],[-71.142071,42.342887,5216],[-71.23544,42.343196,5217],[-71.133554,42.338462,5218],[-71.223526,42.349909,5219],[-71.115488,42.331213,5220],[-71.223344,42.349508,5221],[-71.23544,42.343196,5222],[-71.258038,42.325148,5223],[-71.259168,42.32562,5224],[-71.261617,42.325914,5225],[-71.115488,42.331213,5226],[-71.222869,42.34952,5227],[-71.119398,42.333098,5228],[-71.243711,42.333546,5229],[-71.122274,42.334165,5230],[-71.24074,42.338676,5231],[-71.128062,42.338497,5232],[-71.22239,42.349464,5233],[-71.123011,42.334837,5234],[-71.124082,42.33525,5235],[-71.119264,42.333071,5236],[-71.179804,42.356092,5237],[-71.115488,42.331213,5238],[-71.174042,42.353867,5239],[-71.220201,42.349792,5240],[-71.142071,42.342887,5241],[-71.256845,42.325967,5242],[-71.124082,42.33525,5243],[-71.123213,42.335088,5244],[-71.254792,42.325413,5245],[-71.180851,42.356452,5246],[-71.13217,42.338783,5247],[-71.254792,42.325413,5248],[-71.254792,42.325413,5249],[-71.139527,42.342111,5250],[-71.124564,42.335664,5251],[-71.134779,42.338836,5252],[-71.139195,42.341963,5253],[-71.134034,42.338547,5254],[-71.247927,42.330121,5255],[-71.260655,42.324443,5256],[-71.261617,42.325914,5257],[-71.255631,42.326527,5258],[-71.259168,42.32562,5259],[-71.129272,42.338297,5260],[-71.118143,42.332491,5261],[-71.124082,42.33525,5262],[-71.243711,42.333546,5263],[-71.243711,42.333546,5264],[-71.124564,42.335664,5265],[-71.129076,42.33866,5266],[-71.154473,42.349314,5267],[-71.191281,42.355905,5268],[-71.138857,42.341711,5269],[-71.23544,42.343196,5270],[-71.118376,42.332788,5271],[-71.243711,42.333546,5272],[-71.243711,42.333546,5273],[-71.126273,42.337247,5274],[-71.119825,42.333475,5275],[-71.164161,42.349347,5276],[-71.118767,42.332477,5277],[-71.12081,42.333324,5278],[-71.119687,42.333134,5279],[-71.23544,42.343196,5280],[-71.237553,42.342601,5281],[-71.135054,42.338977,5282],[-71.126426,42.337382,5283],[-71.125049,42.33605,5284],[-71.243711,42.333546,5285],[-71.129953,42.338071,5286],[-71.115488,42.331213,5287],[-71.261253,42.324153,5288],[-71.125049,42.33605,5289],[-71.118376,42.332788,5290],[-71.255911,42.326164,5291],[-71.118767,42.332477,5292],[-71.246083,42.332122,5293],[-71.115488,42.331213,5294],[-71.115488,42.331213,5295],[-71.144368,42.344347,5296],[-71.115488,42.331213,5297],[-71.121892,42.333936,5298],[-71.124082,42.33525,5299],[-71.132168,42.338249,5300],[-71.123213,42.335088,5301],[-71.132168,42.338249,5302],[-71.129953,42.338071,5303],[-71.119604,42.33345,5304],[-71.260655,42.324443,5305],[-71.118574,42.33216,5306],[-71.160941,42.348737,5307],[-71.120453,42.333104,5308],[-71.129953,42.338071,5309],[-71.243711,42.333546,5310],[-71.13653,42.339904,5311],[-71.246083,42.332122,5312],[-71.130769,42.338481,5313],[-71.150141,42.348137,5314],[-71.246083,42.332122,5315],[-71.243711,42.333546,5316],[-71.23544,42.343196,5317],[-71.137697,42.341295,5318]] },
        []
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, res) => {
        t.error(err);

        t.equals(res.length, 7);

        t.deepEquals(res[0].properties['carmen:addressnumber'][1].indexOf('160'), 11, 'has 160 address at pos 11');
        t.deepEquals(res[1].properties['carmen:addressnumber'][1].indexOf('160'), -1, 'has no 160 address');
        t.deepEquals(res[2].properties['carmen:addressnumber'][1].indexOf('160'), -1, 'has no 160 address');
        t.deepEquals(res[3].properties['carmen:addressnumber'][1].indexOf('160'), -1, 'has no 160 address');
        t.deepEquals(res[4].properties['carmen:addressnumber'][1].indexOf('160'), -1, 'has no 160 address');
        t.deepEquals(res[5].properties['carmen:addressnumber'][1].indexOf('160'), -1, 'hsa no 160 address');
        t.deepEquals(res[6].properties['carmen:addressnumber'][1].indexOf('160'), 86, 'has 170 address at pos 86');

        t.end();
    });
});

test('Split - Generate sorted ranges', (t) => {
    const fixture = JSON.parse(fs.readFileSync(path.join(__dirname, 'fixtures/itp-sort.json'), 'utf8'));
    const feat = new SplitFeat(
        fixture.id,
        fixture.name,
        fixture.props,
        fixture.network,
        fixture.address,
        fixture.intersections
    );

    const split = new Split({
        stdout: false,
        debug: true,
        country: 'us'
    });

    split.split(feat, (err, res) => {
        t.error(err);
        const lranges = [];
        for (let i = 0; i < res[0].properties['carmen:lfromhn'][0].length; i++) {
            lranges.push(`${res[0].properties['carmen:lfromhn'][0][i]}-${res[0].properties['carmen:ltohn'][0][i]}`);
        }
        t.deepEqual(lranges,[
            'null-null', '1-25', '53-73', '105-117', '133-137', '205-231', 'null-null', '301-313', '355-355', 'null-null', '443-469', '481-489', '501-511', '531-547', '600-592', '626-610', '654-634', '660-660', '690-690', '710-704', '746-740', '760-760', '760-1000'
        ], 'generated expected lranges');
        const rranges = [];
        for (let i = 0; i < res[0].properties['carmen:rfromhn'][0].length; i++) {
            rranges.push(`${res[0].properties['carmen:rfromhn'][0][i]}-${res[0].properties['carmen:rtohn'][0][i]}`);
        }
        t.deepEqual(rranges,
            ['0-4', '4-26', '48-70', '104-126', '150-150', '212-212', '230-230', '302-314', 'null-null', '400-412', '442-470', '480-480', '500-526', '530-548', 'null-null', '635-611', '653-637', '669-661', '695-685', '711-701', '749-731', '789-765', '1001-789']
            , 'generated expected rranges');
        t.end();
    });
});
